<?php
if (session_id() == "") session_start(); // Initialize Session data
ob_start(); // Turn on output buffering
?>
<?php include_once "ewcfg9.php" ?>
<?php include_once "ewmysql9.php" ?>
<?php include_once "phpfn9.php" ?>
<?php include_once "tb_accommodationinfo.php" ?>
<?php include_once "userfn9.php" ?>
<?php

//
// Page class
//

$tb_accommodation_edit = NULL; // Initialize page object first

class ctb_accommodation_edit extends ctb_accommodation {

	// Page ID
	var $PageID = 'edit';

	// Project ID
	var $ProjectID = "{6072F4AB-8E55-4BED-87E8-94ADB1680AEB}";

	// Table name
	var $TableName = 'tb_accommodation';

	// Page object name
	var $PageObjName = 'tb_accommodation_edit';

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		if ($this->UseTokenInUrl) $PageUrl .= "t=" . $this->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_MESSAGE], $v);
	}

	function getFailureMessage() {
		return @$_SESSION[EW_SESSION_FAILURE_MESSAGE];
	}

	function setFailureMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_FAILURE_MESSAGE], $v);
	}

	function getSuccessMessage() {
		return @$_SESSION[EW_SESSION_SUCCESS_MESSAGE];
	}

	function setSuccessMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_SUCCESS_MESSAGE], $v);
	}

	function getWarningMessage() {
		return @$_SESSION[EW_SESSION_WARNING_MESSAGE];
	}

	function setWarningMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_WARNING_MESSAGE], $v);
	}

	// Show message
	function ShowMessage() {
		$hidden = FALSE;
		$html = "";

		// Message
		$sMessage = $this->getMessage();
		$this->Message_Showing($sMessage, "");
		if ($sMessage <> "") { // Message in Session, display
			$html .= "<p class=\"ewMessage\">" . $sMessage . "</p>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}

		// Warning message
		$sWarningMessage = $this->getWarningMessage();
		$this->Message_Showing($sWarningMessage, "warning");
		if ($sWarningMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewWarningIcon\"></td><td class=\"ewWarningMessage\">" . $sWarningMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_WARNING_MESSAGE] = ""; // Clear message in Session
		}

		// Success message
		$sSuccessMessage = $this->getSuccessMessage();
		$this->Message_Showing($sSuccessMessage, "success");
		if ($sSuccessMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewSuccessIcon\"></td><td class=\"ewSuccessMessage\">" . $sSuccessMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = ""; // Clear message in Session
		}

		// Failure message
		$sErrorMessage = $this->getFailureMessage();
		$this->Message_Showing($sErrorMessage, "failure");
		if ($sErrorMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewErrorIcon\"></td><td class=\"ewErrorMessage\">" . $sErrorMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_FAILURE_MESSAGE] = ""; // Clear message in Session
		}		
		echo "<div class=\"ewMessageDialog\"" . (($hidden) ? " style=\"display: none;\"" : "") . ">" . $html . "</div>";
	}
	var $PageHeader;
	var $PageFooter;

	// Show Page Header
	function ShowPageHeader() {
		$sHeader = $this->PageHeader;
		$this->Page_DataRendering($sHeader);
		if ($sHeader <> "") { // Header exists, display
			echo "<p class=\"phpmaker\">" . $sHeader . "</p>";
		}
	}

	// Show Page Footer
	function ShowPageFooter() {
		$sFooter = $this->PageFooter;
		$this->Page_DataRendered($sFooter);
		if ($sFooter <> "") { // Fotoer exists, display
			echo "<p class=\"phpmaker\">" . $sFooter . "</p>";
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm;
		if ($this->UseTokenInUrl) {
			if ($objForm)
				return ($this->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($this->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}

	//
	// Page class constructor
	//
	function __construct() {
		global $conn, $Language;
		$GLOBALS["Page"] = &$this;

		// Language object
		if (!isset($Language)) $Language = new cLanguage();

		// Parent constuctor
		parent::__construct();

		// Table object (tb_accommodation)
		if (!isset($GLOBALS["tb_accommodation"])) {
			$GLOBALS["tb_accommodation"] = &$this;
			$GLOBALS["Table"] = &$GLOBALS["tb_accommodation"];
		}

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'edit', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'tb_accommodation', TRUE);

		// Start timer
		if (!isset($GLOBALS["gTimer"])) $GLOBALS["gTimer"] = new cTimer();

		// Open connection
		if (!isset($conn)) $conn = ew_Connect();
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;

		// Create form object
		$objForm = new cFormObj();
		$this->CurrentAction = (@$_GET["a"] <> "") ? $_GET["a"] : @$_POST["a_list"];

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $conn;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();
		$this->Page_Redirecting($url);

		 // Close connection
		$conn->Close();

		// Go to URL if specified
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			header("Location: " . $url);
		}
		exit();
	}
	var $DbMasterFilter;
	var $DbDetailFilter;

	// 
	// Page main
	//
	function Page_Main() {
		global $objForm, $Language, $gsFormError;

		// Load key from QueryString
		if (@$_GET["ac_id"] <> "")
			$this->ac_id->setQueryStringValue($_GET["ac_id"]);

		// Process form if post back
		if (@$_POST["a_edit"] <> "") {
			$this->CurrentAction = $_POST["a_edit"]; // Get action code
			$this->LoadFormValues(); // Get form values
		} else {
			$this->CurrentAction = "I"; // Default action is display
		}

		// Check if valid key
		if ($this->ac_id->CurrentValue == "")
			$this->Page_Terminate("tb_accommodationlist.php"); // Invalid key, return to list

		// Validate form if post back
		if (@$_POST["a_edit"] <> "") {
			if (!$this->ValidateForm()) {
				$this->CurrentAction = ""; // Form error, reset action
				$this->setFailureMessage($gsFormError);
				$this->EventCancelled = TRUE; // Event cancelled
				$this->RestoreFormValues();
			}
		}
		switch ($this->CurrentAction) {
			case "I": // Get a record to display
				if (!$this->LoadRow()) { // Load record based on key
					if ($this->getFailureMessage() == "") $this->setFailureMessage($Language->Phrase("NoRecord")); // No record found
					$this->Page_Terminate("tb_accommodationlist.php"); // No matching record, return to list
				}
				break;
			Case "U": // Update
				$this->SendEmail = TRUE; // Send email on update success
				if ($this->EditRow()) { // Update record based on key
					if ($this->getSuccessMessage() == "")
						$this->setSuccessMessage($Language->Phrase("UpdateSuccess")); // Update success
					$sReturnUrl = $this->getReturnUrl();
					if (ew_GetPageName($sReturnUrl) == "tb_accommodationview.php")
						$sReturnUrl = $this->GetViewUrl(); // View paging, return to View page directly
					$this->Page_Terminate($sReturnUrl); // Return to caller
				} else {
					$this->EventCancelled = TRUE; // Event cancelled
					$this->RestoreFormValues(); // Restore form values if update failed
				}
		}

		// Render the record
		if ($this->CurrentAction == "F") { // Confirm page
			$this->RowType = EW_ROWTYPE_VIEW; // Render as View
		} else {
			$this->RowType = EW_ROWTYPE_EDIT; // Render as Edit
		}
		$this->ResetAttrs();
		$this->RenderRow();
	}

	// Get upload files
	function GetUploadFiles() {
		global $objForm;

		// Get upload data
		$index = $objForm->Index; // Save form index
		$objForm->Index = -1;
		$confirmPage = (strval($objForm->GetValue("a_confirm")) <> "");
		$objForm->Index = $index; // Restore form index
	}

	// Load form values
	function LoadFormValues() {

		// Load from form
		global $objForm;
		if (!$this->ac_id->FldIsDetailKey) {
			$this->ac_id->setFormValue($objForm->GetValue("x_ac_id"));
		}
		if (!$this->court_id->FldIsDetailKey) {
			$this->court_id->setFormValue($objForm->GetValue("x_court_id"));
		}
		if (!$this->ac_type->FldIsDetailKey) {
			$this->ac_type->setFormValue($objForm->GetValue("x_ac_type"));
		}
		if (!$this->ac_width->FldIsDetailKey) {
			$this->ac_width->setFormValue($objForm->GetValue("x_ac_width"));
		}
		if (!$this->ac_depth->FldIsDetailKey) {
			$this->ac_depth->setFormValue($objForm->GetValue("x_ac_depth"));
		}
		if (!$this->ac_height->FldIsDetailKey) {
			$this->ac_height->setFormValue($objForm->GetValue("x_ac_height"));
		}
		if (!$this->ac_address->FldIsDetailKey) {
			$this->ac_address->setFormValue($objForm->GetValue("x_ac_address"));
		}
		if (!$this->ac_interval->FldIsDetailKey) {
			$this->ac_interval->setFormValue($objForm->GetValue("x_ac_interval"));
		}
		if (!$this->ac_share->FldIsDetailKey) {
			$this->ac_share->setFormValue($objForm->GetValue("x_ac_share"));
		}
	}

	// Restore form values
	function RestoreFormValues() {
		global $objForm;
		$this->LoadRow();
		$this->ac_id->CurrentValue = $this->ac_id->FormValue;
		$this->court_id->CurrentValue = $this->court_id->FormValue;
		$this->ac_type->CurrentValue = $this->ac_type->FormValue;
		$this->ac_width->CurrentValue = $this->ac_width->FormValue;
		$this->ac_depth->CurrentValue = $this->ac_depth->FormValue;
		$this->ac_height->CurrentValue = $this->ac_height->FormValue;
		$this->ac_address->CurrentValue = $this->ac_address->FormValue;
		$this->ac_interval->CurrentValue = $this->ac_interval->FormValue;
		$this->ac_share->CurrentValue = $this->ac_share->FormValue;
	}

	// Load row based on key values
	function LoadRow() {
		global $conn, $Security, $Language;
		$sFilter = $this->KeyFilter();

		// Call Row Selecting event
		$this->Row_Selecting($sFilter);

		// Load SQL based on filter
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		global $conn;
		if (!$rs || $rs->EOF) return;

		// Call Row Selected event
		$row = &$rs->fields;
		$this->Row_Selected($row);
		$this->ac_id->setDbValue($rs->fields('ac_id'));
		$this->court_id->setDbValue($rs->fields('court_id'));
		$this->ac_type->setDbValue($rs->fields('ac_type'));
		$this->ac_width->setDbValue($rs->fields('ac_width'));
		$this->ac_depth->setDbValue($rs->fields('ac_depth'));
		$this->ac_height->setDbValue($rs->fields('ac_height'));
		$this->ac_address->setDbValue($rs->fields('ac_address'));
		$this->ac_interval->setDbValue($rs->fields('ac_interval'));
		$this->ac_share->setDbValue($rs->fields('ac_share'));
	}

	// Render row values based on field settings
	function RenderRow() {
		global $conn, $Security, $Language;
		global $gsLanguage;

		// Initialize URLs
		// Convert decimal values if posted back

		if ($this->ac_width->FormValue == $this->ac_width->CurrentValue && is_numeric(ew_StrToFloat($this->ac_width->CurrentValue)))
			$this->ac_width->CurrentValue = ew_StrToFloat($this->ac_width->CurrentValue);

		// Convert decimal values if posted back
		if ($this->ac_depth->FormValue == $this->ac_depth->CurrentValue && is_numeric(ew_StrToFloat($this->ac_depth->CurrentValue)))
			$this->ac_depth->CurrentValue = ew_StrToFloat($this->ac_depth->CurrentValue);

		// Convert decimal values if posted back
		if ($this->ac_height->FormValue == $this->ac_height->CurrentValue && is_numeric(ew_StrToFloat($this->ac_height->CurrentValue)))
			$this->ac_height->CurrentValue = ew_StrToFloat($this->ac_height->CurrentValue);

		// Convert decimal values if posted back
		if ($this->ac_interval->FormValue == $this->ac_interval->CurrentValue && is_numeric(ew_StrToFloat($this->ac_interval->CurrentValue)))
			$this->ac_interval->CurrentValue = ew_StrToFloat($this->ac_interval->CurrentValue);

		// Call Row_Rendering event
		$this->Row_Rendering();

		// Common render codes for all row types
		// ac_id
		// court_id
		// ac_type
		// ac_width
		// ac_depth
		// ac_height
		// ac_address
		// ac_interval
		// ac_share

		if ($this->RowType == EW_ROWTYPE_VIEW) { // View row

			// ac_id
			$this->ac_id->ViewValue = $this->ac_id->CurrentValue;
			$this->ac_id->ViewCustomAttributes = "";

			// court_id
			$this->court_id->ViewValue = $this->court_id->CurrentValue;
			$this->court_id->ViewCustomAttributes = "";

			// ac_type
			$this->ac_type->ViewValue = $this->ac_type->CurrentValue;
			$this->ac_type->ViewCustomAttributes = "";

			// ac_width
			$this->ac_width->ViewValue = $this->ac_width->CurrentValue;
			$this->ac_width->ViewCustomAttributes = "";

			// ac_depth
			$this->ac_depth->ViewValue = $this->ac_depth->CurrentValue;
			$this->ac_depth->ViewCustomAttributes = "";

			// ac_height
			$this->ac_height->ViewValue = $this->ac_height->CurrentValue;
			$this->ac_height->ViewCustomAttributes = "";

			// ac_address
			$this->ac_address->ViewValue = $this->ac_address->CurrentValue;
			$this->ac_address->ViewCustomAttributes = "";

			// ac_interval
			$this->ac_interval->ViewValue = $this->ac_interval->CurrentValue;
			$this->ac_interval->ViewCustomAttributes = "";

			// ac_share
			$this->ac_share->ViewValue = $this->ac_share->CurrentValue;
			$this->ac_share->ViewCustomAttributes = "";

			// ac_id
			$this->ac_id->LinkCustomAttributes = "";
			$this->ac_id->HrefValue = "";
			$this->ac_id->TooltipValue = "";

			// court_id
			$this->court_id->LinkCustomAttributes = "";
			$this->court_id->HrefValue = "";
			$this->court_id->TooltipValue = "";

			// ac_type
			$this->ac_type->LinkCustomAttributes = "";
			$this->ac_type->HrefValue = "";
			$this->ac_type->TooltipValue = "";

			// ac_width
			$this->ac_width->LinkCustomAttributes = "";
			$this->ac_width->HrefValue = "";
			$this->ac_width->TooltipValue = "";

			// ac_depth
			$this->ac_depth->LinkCustomAttributes = "";
			$this->ac_depth->HrefValue = "";
			$this->ac_depth->TooltipValue = "";

			// ac_height
			$this->ac_height->LinkCustomAttributes = "";
			$this->ac_height->HrefValue = "";
			$this->ac_height->TooltipValue = "";

			// ac_address
			$this->ac_address->LinkCustomAttributes = "";
			$this->ac_address->HrefValue = "";
			$this->ac_address->TooltipValue = "";

			// ac_interval
			$this->ac_interval->LinkCustomAttributes = "";
			$this->ac_interval->HrefValue = "";
			$this->ac_interval->TooltipValue = "";

			// ac_share
			$this->ac_share->LinkCustomAttributes = "";
			$this->ac_share->HrefValue = "";
			$this->ac_share->TooltipValue = "";
		} elseif ($this->RowType == EW_ROWTYPE_EDIT) { // Edit row

			// ac_id
			$this->ac_id->EditCustomAttributes = "";
			$this->ac_id->EditValue = $this->ac_id->CurrentValue;
			$this->ac_id->ViewCustomAttributes = "";

			// court_id
			$this->court_id->EditCustomAttributes = "";
			$this->court_id->EditValue = ew_HtmlEncode($this->court_id->CurrentValue);

			// ac_type
			$this->ac_type->EditCustomAttributes = "";
			$this->ac_type->EditValue = ew_HtmlEncode($this->ac_type->CurrentValue);

			// ac_width
			$this->ac_width->EditCustomAttributes = "";
			$this->ac_width->EditValue = ew_HtmlEncode($this->ac_width->CurrentValue);
			if (strval($this->ac_width->EditValue) <> "" && is_numeric($this->ac_width->EditValue)) $this->ac_width->EditValue = ew_FormatNumber($this->ac_width->EditValue, -2, -1, -2, 0);

			// ac_depth
			$this->ac_depth->EditCustomAttributes = "";
			$this->ac_depth->EditValue = ew_HtmlEncode($this->ac_depth->CurrentValue);
			if (strval($this->ac_depth->EditValue) <> "" && is_numeric($this->ac_depth->EditValue)) $this->ac_depth->EditValue = ew_FormatNumber($this->ac_depth->EditValue, -2, -1, -2, 0);

			// ac_height
			$this->ac_height->EditCustomAttributes = "";
			$this->ac_height->EditValue = ew_HtmlEncode($this->ac_height->CurrentValue);
			if (strval($this->ac_height->EditValue) <> "" && is_numeric($this->ac_height->EditValue)) $this->ac_height->EditValue = ew_FormatNumber($this->ac_height->EditValue, -2, -1, -2, 0);

			// ac_address
			$this->ac_address->EditCustomAttributes = "";
			$this->ac_address->EditValue = ew_HtmlEncode($this->ac_address->CurrentValue);

			// ac_interval
			$this->ac_interval->EditCustomAttributes = "";
			$this->ac_interval->EditValue = ew_HtmlEncode($this->ac_interval->CurrentValue);
			if (strval($this->ac_interval->EditValue) <> "" && is_numeric($this->ac_interval->EditValue)) $this->ac_interval->EditValue = ew_FormatNumber($this->ac_interval->EditValue, -2, -1, -2, 0);

			// ac_share
			$this->ac_share->EditCustomAttributes = "";
			$this->ac_share->EditValue = ew_HtmlEncode($this->ac_share->CurrentValue);

			// Edit refer script
			// ac_id

			$this->ac_id->HrefValue = "";

			// court_id
			$this->court_id->HrefValue = "";

			// ac_type
			$this->ac_type->HrefValue = "";

			// ac_width
			$this->ac_width->HrefValue = "";

			// ac_depth
			$this->ac_depth->HrefValue = "";

			// ac_height
			$this->ac_height->HrefValue = "";

			// ac_address
			$this->ac_address->HrefValue = "";

			// ac_interval
			$this->ac_interval->HrefValue = "";

			// ac_share
			$this->ac_share->HrefValue = "";
		}
		if ($this->RowType == EW_ROWTYPE_ADD ||
			$this->RowType == EW_ROWTYPE_EDIT ||
			$this->RowType == EW_ROWTYPE_SEARCH) { // Add / Edit / Search row
			$this->SetupFieldTitles();
		}

		// Call Row Rendered event
		if ($this->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$this->Row_Rendered();
	}

	// Validate form
	function ValidateForm() {
		global $Language, $gsFormError;

		// Initialize form error message
		$gsFormError = "";

		// Check if validation required
		if (!EW_SERVER_VALIDATE)
			return ($gsFormError == "");
		if (!is_null($this->ac_id->FormValue) && $this->ac_id->FormValue == "") {
			ew_AddMessage($gsFormError, $Language->Phrase("EnterRequiredField") . " - " . $this->ac_id->FldCaption());
		}
		if (!ew_CheckInteger($this->ac_id->FormValue)) {
			ew_AddMessage($gsFormError, $this->ac_id->FldErrMsg());
		}
		if (!ew_CheckInteger($this->ac_type->FormValue)) {
			ew_AddMessage($gsFormError, $this->ac_type->FldErrMsg());
		}
		if (!ew_CheckNumber($this->ac_width->FormValue)) {
			ew_AddMessage($gsFormError, $this->ac_width->FldErrMsg());
		}
		if (!ew_CheckNumber($this->ac_depth->FormValue)) {
			ew_AddMessage($gsFormError, $this->ac_depth->FldErrMsg());
		}
		if (!ew_CheckNumber($this->ac_height->FormValue)) {
			ew_AddMessage($gsFormError, $this->ac_height->FldErrMsg());
		}
		if (!ew_CheckNumber($this->ac_interval->FormValue)) {
			ew_AddMessage($gsFormError, $this->ac_interval->FldErrMsg());
		}

		// Return validate result
		$ValidateForm = ($gsFormError == "");

		// Call Form_CustomValidate event
		$sFormCustomError = "";
		$ValidateForm = $ValidateForm && $this->Form_CustomValidate($sFormCustomError);
		if ($sFormCustomError <> "") {
			ew_AddMessage($gsFormError, $sFormCustomError);
		}
		return $ValidateForm;
	}

	// Update record based on key values
	function EditRow() {
		global $conn, $Security, $Language;
		$sFilter = $this->KeyFilter();
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$conn->raiseErrorFn = 'ew_ErrorFn';
		$rs = $conn->Execute($sSql);
		$conn->raiseErrorFn = '';
		if ($rs === FALSE)
			return FALSE;
		if ($rs->EOF) {
			$EditRow = FALSE; // Update Failed
		} else {

			// Save old values
			$rsold = &$rs->fields;
			$rsnew = array();

			// ac_id
			// court_id

			$this->court_id->SetDbValueDef($rsnew, $this->court_id->CurrentValue, NULL, $this->court_id->ReadOnly);

			// ac_type
			$this->ac_type->SetDbValueDef($rsnew, $this->ac_type->CurrentValue, NULL, $this->ac_type->ReadOnly);

			// ac_width
			$this->ac_width->SetDbValueDef($rsnew, $this->ac_width->CurrentValue, NULL, $this->ac_width->ReadOnly);

			// ac_depth
			$this->ac_depth->SetDbValueDef($rsnew, $this->ac_depth->CurrentValue, NULL, $this->ac_depth->ReadOnly);

			// ac_height
			$this->ac_height->SetDbValueDef($rsnew, $this->ac_height->CurrentValue, NULL, $this->ac_height->ReadOnly);

			// ac_address
			$this->ac_address->SetDbValueDef($rsnew, $this->ac_address->CurrentValue, NULL, $this->ac_address->ReadOnly);

			// ac_interval
			$this->ac_interval->SetDbValueDef($rsnew, $this->ac_interval->CurrentValue, NULL, $this->ac_interval->ReadOnly);

			// ac_share
			$this->ac_share->SetDbValueDef($rsnew, $this->ac_share->CurrentValue, NULL, $this->ac_share->ReadOnly);

			// Call Row Updating event
			$bUpdateRow = $this->Row_Updating($rsold, $rsnew);
			if ($bUpdateRow) {
				$conn->raiseErrorFn = 'ew_ErrorFn';
				if (count($rsnew) > 0)
					$EditRow = $this->Update($rsnew);
				else
					$EditRow = TRUE; // No field to update
				$conn->raiseErrorFn = '';
			} else {
				if ($this->getSuccessMessage() <> "" || $this->getFailureMessage() <> "") {

					// Use the message, do nothing
				} elseif ($this->CancelMessage <> "") {
					$this->setFailureMessage($this->CancelMessage);
					$this->CancelMessage = "";
				} else {
					$this->setFailureMessage($Language->Phrase("UpdateCancelled"));
				}
				$EditRow = FALSE;
			}
		}

		// Call Row_Updated event
		if ($EditRow)
			$this->Row_Updated($rsold, $rsnew);
		$rs->Close();
		return $EditRow;
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	// $type = ''|'success'|'failure'|'warning'
	function Message_Showing(&$msg, $type) {
		if ($type == 'success') {

			//$msg = "your success message";
		} elseif ($type == 'failure') {

			//$msg = "your failure message";
		} elseif ($type == 'warning') {

			//$msg = "your warning message";
		} else {

			//$msg = "your message";
		}
	}

	// Page Data Rendering event
	function Page_DataRendering(&$header) {

		// Example:
		//$header = "your header";

	}

	// Page Data Rendered event
	function Page_DataRendered(&$footer) {

		// Example:
		//$footer = "your footer";

	}

	// Form Custom Validate event
	function Form_CustomValidate(&$CustomError) {

		// Return error message in CustomError
		return TRUE;
	}
}
?>
<?php ew_Header(FALSE) ?>
<?php

// Create page object
if (!isset($tb_accommodation_edit)) $tb_accommodation_edit = new ctb_accommodation_edit();

// Page init
$tb_accommodation_edit->Page_Init();

// Page main
$tb_accommodation_edit->Page_Main();
?>
<?php include_once "header.php" ?>
<script type="text/javascript">

// Page object
var tb_accommodation_edit = new ew_Page("tb_accommodation_edit");
tb_accommodation_edit.PageID = "edit"; // Page ID
var EW_PAGE_ID = tb_accommodation_edit.PageID; // For backward compatibility

// Form object
var ftb_accommodationedit = new ew_Form("ftb_accommodationedit");

// Validate form
ftb_accommodationedit.Validate = function(fobj) {
	if (!this.ValidateRequired)
		return true; // Ignore validation
	fobj = fobj || this.Form;
	this.PostAutoSuggest();	
	if (fobj.a_confirm && fobj.a_confirm.value == "F")
		return true;
	var elm, aelm;
	var rowcnt = 1;
	var startcnt = (rowcnt == 0) ? 0 : 1; // rowcnt == 0 => Inline-Add
	for (var i = startcnt; i <= rowcnt; i++) {
		var infix = "";
		elm = fobj.elements["x" + infix + "_ac_id"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tb_accommodation->ac_id->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_ac_id"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_accommodation->ac_id->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_ac_type"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_accommodation->ac_type->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_ac_width"];
		if (elm && !ew_CheckNumber(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_accommodation->ac_width->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_ac_depth"];
		if (elm && !ew_CheckNumber(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_accommodation->ac_depth->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_ac_height"];
		if (elm && !ew_CheckNumber(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_accommodation->ac_height->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_ac_interval"];
		if (elm && !ew_CheckNumber(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_accommodation->ac_interval->FldErrMsg()) ?>");

		// Set up row object
		ew_ElementsToRow(fobj, infix);

		// Fire Form_CustomValidate event
		if (!this.Form_CustomValidate(fobj))
			return false;
	}

	// Process detail page
	if (fobj.detailpage && fobj.detailpage.value && ewForms[fobj.detailpage.value])
		return ewForms[fobj.detailpage.value].Validate(fobj);
	return true;
}

// Form_CustomValidate event
ftb_accommodationedit.Form_CustomValidate =  
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }

// Use JavaScript validation or not
<?php if (EW_CLIENT_VALIDATE) { ?>
ftb_accommodationedit.ValidateRequired = true;
<?php } else { ?>
ftb_accommodationedit.ValidateRequired = false; 
<?php } ?>

// Dynamic selection lists
// Form object for search

</script>
<script type="text/javascript">

// Write your client script here, no need to add script tags.
</script>
<p><span class="ewTitle ewTableTitle"><?php echo $Language->Phrase("Edit") ?>&nbsp;<?php echo $Language->Phrase("TblTypeTABLE") ?><?php echo $tb_accommodation->TableCaption() ?></span></p>
<p class="phpmaker"><a href="<?php echo $tb_accommodation->getReturnUrl() ?>"><?php echo $Language->Phrase("GoBack") ?></a></p>
<?php $tb_accommodation_edit->ShowPageHeader(); ?>
<?php
$tb_accommodation_edit->ShowMessage();
?>
<form name="ftb_accommodationedit" id="ftb_accommodationedit" class="ewForm" action="<?php echo ew_CurrentPage() ?>" method="post" onsubmit="return ewForms[this.id].Submit();">
<p>
<input type="hidden" name="t" value="tb_accommodation">
<input type="hidden" name="a_edit" id="a_edit" value="U">
<?php if ($tb_accommodation->CurrentAction == "F") { // Confirm page ?>
<input type="hidden" name="a_confirm" id="a_confirm" value="F">
<?php } ?>
<table cellspacing="0" class="ewGrid"><tr><td class="ewGridContent">
<div class="ewGridMiddlePanel">
<table cellspacing="0" id="tbl_tb_accommodationedit" class="ewTable">
<?php if ($tb_accommodation->ac_id->Visible) { // ac_id ?>
	<tr id="r_ac_id"<?php echo $tb_accommodation->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_accommodation_ac_id"><?php echo $tb_accommodation->ac_id->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></span></td>
		<td<?php echo $tb_accommodation->ac_id->CellAttributes() ?>><span id="el_tb_accommodation_ac_id">
<?php if ($tb_accommodation->CurrentAction <> "F") { ?>
<span<?php echo $tb_accommodation->ac_id->ViewAttributes() ?>>
<?php echo $tb_accommodation->ac_id->EditValue ?></span>
<input type="hidden" name="x_ac_id" id="x_ac_id" value="<?php echo ew_HtmlEncode($tb_accommodation->ac_id->CurrentValue) ?>">
<?php } else { ?>
<span<?php echo $tb_accommodation->ac_id->ViewAttributes() ?>>
<?php echo $tb_accommodation->ac_id->ViewValue ?></span>
<input type="hidden" name="x_ac_id" id="x_ac_id" value="<?php echo ew_HtmlEncode($tb_accommodation->ac_id->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_accommodation->ac_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_accommodation->court_id->Visible) { // court_id ?>
	<tr id="r_court_id"<?php echo $tb_accommodation->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_accommodation_court_id"><?php echo $tb_accommodation->court_id->FldCaption() ?></span></td>
		<td<?php echo $tb_accommodation->court_id->CellAttributes() ?>><span id="el_tb_accommodation_court_id">
<?php if ($tb_accommodation->CurrentAction <> "F") { ?>
<input type="text" name="x_court_id" id="x_court_id" size="30" maxlength="10" value="<?php echo $tb_accommodation->court_id->EditValue ?>"<?php echo $tb_accommodation->court_id->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_accommodation->court_id->ViewAttributes() ?>>
<?php echo $tb_accommodation->court_id->ViewValue ?></span>
<input type="hidden" name="x_court_id" id="x_court_id" value="<?php echo ew_HtmlEncode($tb_accommodation->court_id->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_accommodation->court_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_accommodation->ac_type->Visible) { // ac_type ?>
	<tr id="r_ac_type"<?php echo $tb_accommodation->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_accommodation_ac_type"><?php echo $tb_accommodation->ac_type->FldCaption() ?></span></td>
		<td<?php echo $tb_accommodation->ac_type->CellAttributes() ?>><span id="el_tb_accommodation_ac_type">
<?php if ($tb_accommodation->CurrentAction <> "F") { ?>
<input type="text" name="x_ac_type" id="x_ac_type" size="30" value="<?php echo $tb_accommodation->ac_type->EditValue ?>"<?php echo $tb_accommodation->ac_type->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_accommodation->ac_type->ViewAttributes() ?>>
<?php echo $tb_accommodation->ac_type->ViewValue ?></span>
<input type="hidden" name="x_ac_type" id="x_ac_type" value="<?php echo ew_HtmlEncode($tb_accommodation->ac_type->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_accommodation->ac_type->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_accommodation->ac_width->Visible) { // ac_width ?>
	<tr id="r_ac_width"<?php echo $tb_accommodation->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_accommodation_ac_width"><?php echo $tb_accommodation->ac_width->FldCaption() ?></span></td>
		<td<?php echo $tb_accommodation->ac_width->CellAttributes() ?>><span id="el_tb_accommodation_ac_width">
<?php if ($tb_accommodation->CurrentAction <> "F") { ?>
<input type="text" name="x_ac_width" id="x_ac_width" size="30" value="<?php echo $tb_accommodation->ac_width->EditValue ?>"<?php echo $tb_accommodation->ac_width->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_accommodation->ac_width->ViewAttributes() ?>>
<?php echo $tb_accommodation->ac_width->ViewValue ?></span>
<input type="hidden" name="x_ac_width" id="x_ac_width" value="<?php echo ew_HtmlEncode($tb_accommodation->ac_width->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_accommodation->ac_width->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_accommodation->ac_depth->Visible) { // ac_depth ?>
	<tr id="r_ac_depth"<?php echo $tb_accommodation->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_accommodation_ac_depth"><?php echo $tb_accommodation->ac_depth->FldCaption() ?></span></td>
		<td<?php echo $tb_accommodation->ac_depth->CellAttributes() ?>><span id="el_tb_accommodation_ac_depth">
<?php if ($tb_accommodation->CurrentAction <> "F") { ?>
<input type="text" name="x_ac_depth" id="x_ac_depth" size="30" value="<?php echo $tb_accommodation->ac_depth->EditValue ?>"<?php echo $tb_accommodation->ac_depth->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_accommodation->ac_depth->ViewAttributes() ?>>
<?php echo $tb_accommodation->ac_depth->ViewValue ?></span>
<input type="hidden" name="x_ac_depth" id="x_ac_depth" value="<?php echo ew_HtmlEncode($tb_accommodation->ac_depth->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_accommodation->ac_depth->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_accommodation->ac_height->Visible) { // ac_height ?>
	<tr id="r_ac_height"<?php echo $tb_accommodation->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_accommodation_ac_height"><?php echo $tb_accommodation->ac_height->FldCaption() ?></span></td>
		<td<?php echo $tb_accommodation->ac_height->CellAttributes() ?>><span id="el_tb_accommodation_ac_height">
<?php if ($tb_accommodation->CurrentAction <> "F") { ?>
<input type="text" name="x_ac_height" id="x_ac_height" size="30" value="<?php echo $tb_accommodation->ac_height->EditValue ?>"<?php echo $tb_accommodation->ac_height->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_accommodation->ac_height->ViewAttributes() ?>>
<?php echo $tb_accommodation->ac_height->ViewValue ?></span>
<input type="hidden" name="x_ac_height" id="x_ac_height" value="<?php echo ew_HtmlEncode($tb_accommodation->ac_height->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_accommodation->ac_height->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_accommodation->ac_address->Visible) { // ac_address ?>
	<tr id="r_ac_address"<?php echo $tb_accommodation->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_accommodation_ac_address"><?php echo $tb_accommodation->ac_address->FldCaption() ?></span></td>
		<td<?php echo $tb_accommodation->ac_address->CellAttributes() ?>><span id="el_tb_accommodation_ac_address">
<?php if ($tb_accommodation->CurrentAction <> "F") { ?>
<input type="text" name="x_ac_address" id="x_ac_address" size="30" maxlength="200" value="<?php echo $tb_accommodation->ac_address->EditValue ?>"<?php echo $tb_accommodation->ac_address->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_accommodation->ac_address->ViewAttributes() ?>>
<?php echo $tb_accommodation->ac_address->ViewValue ?></span>
<input type="hidden" name="x_ac_address" id="x_ac_address" value="<?php echo ew_HtmlEncode($tb_accommodation->ac_address->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_accommodation->ac_address->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_accommodation->ac_interval->Visible) { // ac_interval ?>
	<tr id="r_ac_interval"<?php echo $tb_accommodation->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_accommodation_ac_interval"><?php echo $tb_accommodation->ac_interval->FldCaption() ?></span></td>
		<td<?php echo $tb_accommodation->ac_interval->CellAttributes() ?>><span id="el_tb_accommodation_ac_interval">
<?php if ($tb_accommodation->CurrentAction <> "F") { ?>
<input type="text" name="x_ac_interval" id="x_ac_interval" size="30" value="<?php echo $tb_accommodation->ac_interval->EditValue ?>"<?php echo $tb_accommodation->ac_interval->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_accommodation->ac_interval->ViewAttributes() ?>>
<?php echo $tb_accommodation->ac_interval->ViewValue ?></span>
<input type="hidden" name="x_ac_interval" id="x_ac_interval" value="<?php echo ew_HtmlEncode($tb_accommodation->ac_interval->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_accommodation->ac_interval->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_accommodation->ac_share->Visible) { // ac_share ?>
	<tr id="r_ac_share"<?php echo $tb_accommodation->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_accommodation_ac_share"><?php echo $tb_accommodation->ac_share->FldCaption() ?></span></td>
		<td<?php echo $tb_accommodation->ac_share->CellAttributes() ?>><span id="el_tb_accommodation_ac_share">
<?php if ($tb_accommodation->CurrentAction <> "F") { ?>
<input type="text" name="x_ac_share" id="x_ac_share" size="30" maxlength="200" value="<?php echo $tb_accommodation->ac_share->EditValue ?>"<?php echo $tb_accommodation->ac_share->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_accommodation->ac_share->ViewAttributes() ?>>
<?php echo $tb_accommodation->ac_share->ViewValue ?></span>
<input type="hidden" name="x_ac_share" id="x_ac_share" value="<?php echo ew_HtmlEncode($tb_accommodation->ac_share->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_accommodation->ac_share->CustomMsg ?></td>
	</tr>
<?php } ?>
</table>
</div>
</td></tr></table>
<p>
<?php if ($tb_accommodation->CurrentAction <> "F") { // Confirm page ?>
<input type="submit" name="btnAction" id="btnAction" value="<?php echo ew_BtnCaption($Language->Phrase("EditBtn")) ?>" onclick="this.form.a_edit.value='F';">
<?php } else { ?>
<input type="submit" name="btnCancel" id="btnCancel" value="<?php echo ew_BtnCaption($Language->Phrase("CancelBtn")) ?>" onclick="this.form.a_edit.value='X';">
<input type="submit" name="btnAction" id="btnAction" value="<?php echo ew_BtnCaption($Language->Phrase("ConfirmBtn")) ?>">
<?php } ?>
</form>
<script type="text/javascript">
ftb_accommodationedit.Init();
</script>
<?php
$tb_accommodation_edit->ShowPageFooter();
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
?>
<script type="text/javascript">

// Write your table-specific startup script here
// document.write("page loaded");

</script>
<?php include_once "footer.php" ?>
<?php
$tb_accommodation_edit->Page_Terminate();
?>
