<?php
if (session_id() == "") session_start(); // Initialize Session data
ob_start(); // Turn on output buffering
?>
<?php include_once "ewcfg9.php" ?>
<?php include_once "ewmysql9.php" ?>
<?php include_once "phpfn9.php" ?>
<?php include_once "tb_appendsinfo.php" ?>
<?php include_once "userfn9.php" ?>
<?php

//
// Page class
//

$tb_appends_edit = NULL; // Initialize page object first

class ctb_appends_edit extends ctb_appends {

	// Page ID
	var $PageID = 'edit';

	// Project ID
	var $ProjectID = "{6072F4AB-8E55-4BED-87E8-94ADB1680AEB}";

	// Table name
	var $TableName = 'tb_appends';

	// Page object name
	var $PageObjName = 'tb_appends_edit';

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		if ($this->UseTokenInUrl) $PageUrl .= "t=" . $this->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_MESSAGE], $v);
	}

	function getFailureMessage() {
		return @$_SESSION[EW_SESSION_FAILURE_MESSAGE];
	}

	function setFailureMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_FAILURE_MESSAGE], $v);
	}

	function getSuccessMessage() {
		return @$_SESSION[EW_SESSION_SUCCESS_MESSAGE];
	}

	function setSuccessMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_SUCCESS_MESSAGE], $v);
	}

	function getWarningMessage() {
		return @$_SESSION[EW_SESSION_WARNING_MESSAGE];
	}

	function setWarningMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_WARNING_MESSAGE], $v);
	}

	// Show message
	function ShowMessage() {
		$hidden = FALSE;
		$html = "";

		// Message
		$sMessage = $this->getMessage();
		$this->Message_Showing($sMessage, "");
		if ($sMessage <> "") { // Message in Session, display
			$html .= "<p class=\"ewMessage\">" . $sMessage . "</p>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}

		// Warning message
		$sWarningMessage = $this->getWarningMessage();
		$this->Message_Showing($sWarningMessage, "warning");
		if ($sWarningMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewWarningIcon\"></td><td class=\"ewWarningMessage\">" . $sWarningMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_WARNING_MESSAGE] = ""; // Clear message in Session
		}

		// Success message
		$sSuccessMessage = $this->getSuccessMessage();
		$this->Message_Showing($sSuccessMessage, "success");
		if ($sSuccessMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewSuccessIcon\"></td><td class=\"ewSuccessMessage\">" . $sSuccessMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = ""; // Clear message in Session
		}

		// Failure message
		$sErrorMessage = $this->getFailureMessage();
		$this->Message_Showing($sErrorMessage, "failure");
		if ($sErrorMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewErrorIcon\"></td><td class=\"ewErrorMessage\">" . $sErrorMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_FAILURE_MESSAGE] = ""; // Clear message in Session
		}		
		echo "<div class=\"ewMessageDialog\"" . (($hidden) ? " style=\"display: none;\"" : "") . ">" . $html . "</div>";
	}
	var $PageHeader;
	var $PageFooter;

	// Show Page Header
	function ShowPageHeader() {
		$sHeader = $this->PageHeader;
		$this->Page_DataRendering($sHeader);
		if ($sHeader <> "") { // Header exists, display
			echo "<p class=\"phpmaker\">" . $sHeader . "</p>";
		}
	}

	// Show Page Footer
	function ShowPageFooter() {
		$sFooter = $this->PageFooter;
		$this->Page_DataRendered($sFooter);
		if ($sFooter <> "") { // Fotoer exists, display
			echo "<p class=\"phpmaker\">" . $sFooter . "</p>";
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm;
		if ($this->UseTokenInUrl) {
			if ($objForm)
				return ($this->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($this->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}

	//
	// Page class constructor
	//
	function __construct() {
		global $conn, $Language;
		$GLOBALS["Page"] = &$this;

		// Language object
		if (!isset($Language)) $Language = new cLanguage();

		// Parent constuctor
		parent::__construct();

		// Table object (tb_appends)
		if (!isset($GLOBALS["tb_appends"])) {
			$GLOBALS["tb_appends"] = &$this;
			$GLOBALS["Table"] = &$GLOBALS["tb_appends"];
		}

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'edit', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'tb_appends', TRUE);

		// Start timer
		if (!isset($GLOBALS["gTimer"])) $GLOBALS["gTimer"] = new cTimer();

		// Open connection
		if (!isset($conn)) $conn = ew_Connect();
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;

		// Create form object
		$objForm = new cFormObj();
		$this->CurrentAction = (@$_GET["a"] <> "") ? $_GET["a"] : @$_POST["a_list"];

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $conn;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();
		$this->Page_Redirecting($url);

		 // Close connection
		$conn->Close();

		// Go to URL if specified
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			header("Location: " . $url);
		}
		exit();
	}
	var $DbMasterFilter;
	var $DbDetailFilter;

	// 
	// Page main
	//
	function Page_Main() {
		global $objForm, $Language, $gsFormError;

		// Load key from QueryString
		if (@$_GET["ap_id"] <> "")
			$this->ap_id->setQueryStringValue($_GET["ap_id"]);

		// Process form if post back
		if (@$_POST["a_edit"] <> "") {
			$this->CurrentAction = $_POST["a_edit"]; // Get action code
			$this->LoadFormValues(); // Get form values
		} else {
			$this->CurrentAction = "I"; // Default action is display
		}

		// Check if valid key
		if ($this->ap_id->CurrentValue == "")
			$this->Page_Terminate("tb_appendslist.php"); // Invalid key, return to list

		// Validate form if post back
		if (@$_POST["a_edit"] <> "") {
			if (!$this->ValidateForm()) {
				$this->CurrentAction = ""; // Form error, reset action
				$this->setFailureMessage($gsFormError);
				$this->EventCancelled = TRUE; // Event cancelled
				$this->RestoreFormValues();
			}
		}
		switch ($this->CurrentAction) {
			case "I": // Get a record to display
				if (!$this->LoadRow()) { // Load record based on key
					if ($this->getFailureMessage() == "") $this->setFailureMessage($Language->Phrase("NoRecord")); // No record found
					$this->Page_Terminate("tb_appendslist.php"); // No matching record, return to list
				}
				break;
			Case "U": // Update
				$this->SendEmail = TRUE; // Send email on update success
				if ($this->EditRow()) { // Update record based on key
					if ($this->getSuccessMessage() == "")
						$this->setSuccessMessage($Language->Phrase("UpdateSuccess")); // Update success
					$sReturnUrl = $this->getReturnUrl();
					if (ew_GetPageName($sReturnUrl) == "tb_appendsview.php")
						$sReturnUrl = $this->GetViewUrl(); // View paging, return to View page directly
					$this->Page_Terminate($sReturnUrl); // Return to caller
				} else {
					$this->EventCancelled = TRUE; // Event cancelled
					$this->RestoreFormValues(); // Restore form values if update failed
				}
		}

		// Render the record
		if ($this->CurrentAction == "F") { // Confirm page
			$this->RowType = EW_ROWTYPE_VIEW; // Render as View
		} else {
			$this->RowType = EW_ROWTYPE_EDIT; // Render as Edit
		}
		$this->ResetAttrs();
		$this->RenderRow();
	}

	// Get upload files
	function GetUploadFiles() {
		global $objForm;

		// Get upload data
		$index = $objForm->Index; // Save form index
		$objForm->Index = -1;
		$confirmPage = (strval($objForm->GetValue("a_confirm")) <> "");
		$objForm->Index = $index; // Restore form index
	}

	// Load form values
	function LoadFormValues() {

		// Load from form
		global $objForm;
		if (!$this->ap_id->FldIsDetailKey) {
			$this->ap_id->setFormValue($objForm->GetValue("x_ap_id"));
		}
		if (!$this->court_id->FldIsDetailKey) {
			$this->court_id->setFormValue($objForm->GetValue("x_court_id"));
		}
		if (!$this->apt_id->FldIsDetailKey) {
			$this->apt_id->setFormValue($objForm->GetValue("x_apt_id"));
		}
		if (!$this->cont_id->FldIsDetailKey) {
			$this->cont_id->setFormValue($objForm->GetValue("x_cont_id"));
		}
		if (!$this->ap_sn->FldIsDetailKey) {
			$this->ap_sn->setFormValue($objForm->GetValue("x_ap_sn"));
		}
		if (!$this->ap_number->FldIsDetailKey) {
			$this->ap_number->setFormValue($objForm->GetValue("x_ap_number"));
		}
		if (!$this->ap_brand->FldIsDetailKey) {
			$this->ap_brand->setFormValue($objForm->GetValue("x_ap_brand"));
		}
		if (!$this->ap_model->FldIsDetailKey) {
			$this->ap_model->setFormValue($objForm->GetValue("x_ap_model"));
		}
		if (!$this->ap_append->FldIsDetailKey) {
			$this->ap_append->setFormValue($objForm->GetValue("x_ap_append"));
		}
		if (!$this->ap_description->FldIsDetailKey) {
			$this->ap_description->setFormValue($objForm->GetValue("x_ap_description"));
		}
		if (!$this->plt_id->FldIsDetailKey) {
			$this->plt_id->setFormValue($objForm->GetValue("x_plt_id"));
		}
		if (!$this->ap_year->FldIsDetailKey) {
			$this->ap_year->setFormValue($objForm->GetValue("x_ap_year"));
		}
		if (!$this->ap_date_recieve->FldIsDetailKey) {
			$this->ap_date_recieve->setFormValue($objForm->GetValue("x_ap_date_recieve"));
			$this->ap_date_recieve->CurrentValue = ew_UnFormatDateTime($this->ap_date_recieve->CurrentValue, 5);
		}
		if (!$this->ap_contract_start->FldIsDetailKey) {
			$this->ap_contract_start->setFormValue($objForm->GetValue("x_ap_contract_start"));
			$this->ap_contract_start->CurrentValue = ew_UnFormatDateTime($this->ap_contract_start->CurrentValue, 5);
		}
		if (!$this->ap_warranty->FldIsDetailKey) {
			$this->ap_warranty->setFormValue($objForm->GetValue("x_ap_warranty"));
		}
		if (!$this->ap_price->FldIsDetailKey) {
			$this->ap_price->setFormValue($objForm->GetValue("x_ap_price"));
		}
		if (!$this->ap_origin->FldIsDetailKey) {
			$this->ap_origin->setFormValue($objForm->GetValue("x_ap_origin"));
		}
		if (!$this->ap_present->FldIsDetailKey) {
			$this->ap_present->setFormValue($objForm->GetValue("x_ap_present"));
		}
		if (!$this->ap_comment->FldIsDetailKey) {
			$this->ap_comment->setFormValue($objForm->GetValue("x_ap_comment"));
		}
	}

	// Restore form values
	function RestoreFormValues() {
		global $objForm;
		$this->LoadRow();
		$this->ap_id->CurrentValue = $this->ap_id->FormValue;
		$this->court_id->CurrentValue = $this->court_id->FormValue;
		$this->apt_id->CurrentValue = $this->apt_id->FormValue;
		$this->cont_id->CurrentValue = $this->cont_id->FormValue;
		$this->ap_sn->CurrentValue = $this->ap_sn->FormValue;
		$this->ap_number->CurrentValue = $this->ap_number->FormValue;
		$this->ap_brand->CurrentValue = $this->ap_brand->FormValue;
		$this->ap_model->CurrentValue = $this->ap_model->FormValue;
		$this->ap_append->CurrentValue = $this->ap_append->FormValue;
		$this->ap_description->CurrentValue = $this->ap_description->FormValue;
		$this->plt_id->CurrentValue = $this->plt_id->FormValue;
		$this->ap_year->CurrentValue = $this->ap_year->FormValue;
		$this->ap_date_recieve->CurrentValue = $this->ap_date_recieve->FormValue;
		$this->ap_date_recieve->CurrentValue = ew_UnFormatDateTime($this->ap_date_recieve->CurrentValue, 5);
		$this->ap_contract_start->CurrentValue = $this->ap_contract_start->FormValue;
		$this->ap_contract_start->CurrentValue = ew_UnFormatDateTime($this->ap_contract_start->CurrentValue, 5);
		$this->ap_warranty->CurrentValue = $this->ap_warranty->FormValue;
		$this->ap_price->CurrentValue = $this->ap_price->FormValue;
		$this->ap_origin->CurrentValue = $this->ap_origin->FormValue;
		$this->ap_present->CurrentValue = $this->ap_present->FormValue;
		$this->ap_comment->CurrentValue = $this->ap_comment->FormValue;
	}

	// Load row based on key values
	function LoadRow() {
		global $conn, $Security, $Language;
		$sFilter = $this->KeyFilter();

		// Call Row Selecting event
		$this->Row_Selecting($sFilter);

		// Load SQL based on filter
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		global $conn;
		if (!$rs || $rs->EOF) return;

		// Call Row Selected event
		$row = &$rs->fields;
		$this->Row_Selected($row);
		$this->ap_id->setDbValue($rs->fields('ap_id'));
		$this->court_id->setDbValue($rs->fields('court_id'));
		$this->apt_id->setDbValue($rs->fields('apt_id'));
		$this->cont_id->setDbValue($rs->fields('cont_id'));
		$this->ap_sn->setDbValue($rs->fields('ap_sn'));
		$this->ap_number->setDbValue($rs->fields('ap_number'));
		$this->ap_brand->setDbValue($rs->fields('ap_brand'));
		$this->ap_model->setDbValue($rs->fields('ap_model'));
		$this->ap_append->setDbValue($rs->fields('ap_append'));
		$this->ap_description->setDbValue($rs->fields('ap_description'));
		$this->plt_id->setDbValue($rs->fields('plt_id'));
		$this->ap_year->setDbValue($rs->fields('ap_year'));
		$this->ap_date_recieve->setDbValue($rs->fields('ap_date_recieve'));
		$this->ap_contract_start->setDbValue($rs->fields('ap_contract_start'));
		$this->ap_warranty->setDbValue($rs->fields('ap_warranty'));
		$this->ap_price->setDbValue($rs->fields('ap_price'));
		$this->ap_origin->setDbValue($rs->fields('ap_origin'));
		$this->ap_present->setDbValue($rs->fields('ap_present'));
		$this->ap_comment->setDbValue($rs->fields('ap_comment'));
	}

	// Render row values based on field settings
	function RenderRow() {
		global $conn, $Security, $Language;
		global $gsLanguage;

		// Initialize URLs
		// Convert decimal values if posted back

		if ($this->ap_warranty->FormValue == $this->ap_warranty->CurrentValue && is_numeric(ew_StrToFloat($this->ap_warranty->CurrentValue)))
			$this->ap_warranty->CurrentValue = ew_StrToFloat($this->ap_warranty->CurrentValue);

		// Convert decimal values if posted back
		if ($this->ap_price->FormValue == $this->ap_price->CurrentValue && is_numeric(ew_StrToFloat($this->ap_price->CurrentValue)))
			$this->ap_price->CurrentValue = ew_StrToFloat($this->ap_price->CurrentValue);

		// Call Row_Rendering event
		$this->Row_Rendering();

		// Common render codes for all row types
		// ap_id
		// court_id
		// apt_id
		// cont_id
		// ap_sn
		// ap_number
		// ap_brand
		// ap_model
		// ap_append
		// ap_description
		// plt_id
		// ap_year
		// ap_date_recieve
		// ap_contract_start
		// ap_warranty
		// ap_price
		// ap_origin
		// ap_present
		// ap_comment

		if ($this->RowType == EW_ROWTYPE_VIEW) { // View row

			// ap_id
			$this->ap_id->ViewValue = $this->ap_id->CurrentValue;
			$this->ap_id->ViewCustomAttributes = "";

			// court_id
			$this->court_id->ViewValue = $this->court_id->CurrentValue;
			$this->court_id->ViewCustomAttributes = "";

			// apt_id
			if (strval($this->apt_id->CurrentValue) <> "") {
				$sFilterWrk = "`apt_id`" . ew_SearchString("=", $this->apt_id->CurrentValue, EW_DATATYPE_STRING);
			$sSqlWrk = "SELECT `apt_id`, `apt_name` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_append_types`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				ew_AddFilter($sWhereWrk, $sFilterWrk);
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$this->apt_id->ViewValue = $rswrk->fields('DispFld');
					$rswrk->Close();
				} else {
					$this->apt_id->ViewValue = $this->apt_id->CurrentValue;
				}
			} else {
				$this->apt_id->ViewValue = NULL;
			}
			$this->apt_id->ViewCustomAttributes = "";

			// cont_id
			if (strval($this->cont_id->CurrentValue) <> "") {
				$sFilterWrk = "`cont_id`" . ew_SearchString("=", $this->cont_id->CurrentValue, EW_DATATYPE_NUMBER);
			$sSqlWrk = "SELECT `cont_id`, `cont_num` AS `DispFld`, `cont_project` AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_contracts`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				ew_AddFilter($sWhereWrk, $sFilterWrk);
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$this->cont_id->ViewValue = $rswrk->fields('DispFld');
					$this->cont_id->ViewValue .= ew_ValueSeparator(1,$tb_appends->cont_id) . $rswrk->fields('Disp2Fld');
					$rswrk->Close();
				} else {
					$this->cont_id->ViewValue = $this->cont_id->CurrentValue;
				}
			} else {
				$this->cont_id->ViewValue = NULL;
			}
			$this->cont_id->ViewCustomAttributes = "";

			// ap_sn
			$this->ap_sn->ViewValue = $this->ap_sn->CurrentValue;
			$this->ap_sn->ViewCustomAttributes = "";

			// ap_number
			$this->ap_number->ViewValue = $this->ap_number->CurrentValue;
			$this->ap_number->ViewCustomAttributes = "";

			// ap_brand
			$this->ap_brand->ViewValue = $this->ap_brand->CurrentValue;
			$this->ap_brand->ViewCustomAttributes = "";

			// ap_model
			$this->ap_model->ViewValue = $this->ap_model->CurrentValue;
			$this->ap_model->ViewCustomAttributes = "";

			// ap_append
			$this->ap_append->ViewValue = $this->ap_append->CurrentValue;
			$this->ap_append->ViewCustomAttributes = "";

			// ap_description
			$this->ap_description->ViewValue = $this->ap_description->CurrentValue;
			$this->ap_description->ViewCustomAttributes = "";

			// plt_id
			if (strval($this->plt_id->CurrentValue) <> "") {
				$sFilterWrk = "`plt_id`" . ew_SearchString("=", $this->plt_id->CurrentValue, EW_DATATYPE_STRING);
			$sSqlWrk = "SELECT `plt_id`, `plt_name` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_place_types`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				ew_AddFilter($sWhereWrk, $sFilterWrk);
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$this->plt_id->ViewValue = $rswrk->fields('DispFld');
					$rswrk->Close();
				} else {
					$this->plt_id->ViewValue = $this->plt_id->CurrentValue;
				}
			} else {
				$this->plt_id->ViewValue = NULL;
			}
			$this->plt_id->ViewCustomAttributes = "";

			// ap_year
			$this->ap_year->ViewValue = $this->ap_year->CurrentValue;
			$this->ap_year->ViewCustomAttributes = "";

			// ap_date_recieve
			$this->ap_date_recieve->ViewValue = $this->ap_date_recieve->CurrentValue;
			$this->ap_date_recieve->ViewValue = ew_FormatDateTime($this->ap_date_recieve->ViewValue, 5);
			$this->ap_date_recieve->ViewCustomAttributes = "";

			// ap_contract_start
			$this->ap_contract_start->ViewValue = $this->ap_contract_start->CurrentValue;
			$this->ap_contract_start->ViewValue = ew_FormatDateTime($this->ap_contract_start->ViewValue, 5);
			$this->ap_contract_start->ViewCustomAttributes = "";

			// ap_warranty
			$this->ap_warranty->ViewValue = $this->ap_warranty->CurrentValue;
			$this->ap_warranty->ViewCustomAttributes = "";

			// ap_price
			$this->ap_price->ViewValue = $this->ap_price->CurrentValue;
			$this->ap_price->ViewCustomAttributes = "";

			// ap_origin
			if (strval($this->ap_origin->CurrentValue) <> "") {
				switch ($this->ap_origin->CurrentValue) {
					case $this->ap_origin->FldTagValue(1):
						$this->ap_origin->ViewValue = $this->ap_origin->FldTagCaption(1) <> "" ? $this->ap_origin->FldTagCaption(1) : $this->ap_origin->CurrentValue;
						break;
					case $this->ap_origin->FldTagValue(2):
						$this->ap_origin->ViewValue = $this->ap_origin->FldTagCaption(2) <> "" ? $this->ap_origin->FldTagCaption(2) : $this->ap_origin->CurrentValue;
						break;
					case $this->ap_origin->FldTagValue(3):
						$this->ap_origin->ViewValue = $this->ap_origin->FldTagCaption(3) <> "" ? $this->ap_origin->FldTagCaption(3) : $this->ap_origin->CurrentValue;
						break;
					case $this->ap_origin->FldTagValue(4):
						$this->ap_origin->ViewValue = $this->ap_origin->FldTagCaption(4) <> "" ? $this->ap_origin->FldTagCaption(4) : $this->ap_origin->CurrentValue;
						break;
					default:
						$this->ap_origin->ViewValue = $this->ap_origin->CurrentValue;
				}
			} else {
				$this->ap_origin->ViewValue = NULL;
			}
			$this->ap_origin->ViewCustomAttributes = "";

			// ap_present
			if (strval($this->ap_present->CurrentValue) <> "") {
				switch ($this->ap_present->CurrentValue) {
					case $this->ap_present->FldTagValue(1):
						$this->ap_present->ViewValue = $this->ap_present->FldTagCaption(1) <> "" ? $this->ap_present->FldTagCaption(1) : $this->ap_present->CurrentValue;
						break;
					case $this->ap_present->FldTagValue(2):
						$this->ap_present->ViewValue = $this->ap_present->FldTagCaption(2) <> "" ? $this->ap_present->FldTagCaption(2) : $this->ap_present->CurrentValue;
						break;
					case $this->ap_present->FldTagValue(3):
						$this->ap_present->ViewValue = $this->ap_present->FldTagCaption(3) <> "" ? $this->ap_present->FldTagCaption(3) : $this->ap_present->CurrentValue;
						break;
					case $this->ap_present->FldTagValue(4):
						$this->ap_present->ViewValue = $this->ap_present->FldTagCaption(4) <> "" ? $this->ap_present->FldTagCaption(4) : $this->ap_present->CurrentValue;
						break;
					case $this->ap_present->FldTagValue(5):
						$this->ap_present->ViewValue = $this->ap_present->FldTagCaption(5) <> "" ? $this->ap_present->FldTagCaption(5) : $this->ap_present->CurrentValue;
						break;
					case $this->ap_present->FldTagValue(6):
						$this->ap_present->ViewValue = $this->ap_present->FldTagCaption(6) <> "" ? $this->ap_present->FldTagCaption(6) : $this->ap_present->CurrentValue;
						break;
					default:
						$this->ap_present->ViewValue = $this->ap_present->CurrentValue;
				}
			} else {
				$this->ap_present->ViewValue = NULL;
			}
			$this->ap_present->ViewCustomAttributes = "";

			// ap_comment
			$this->ap_comment->ViewValue = $this->ap_comment->CurrentValue;
			$this->ap_comment->ViewCustomAttributes = "";

			// ap_id
			$this->ap_id->LinkCustomAttributes = "";
			$this->ap_id->HrefValue = "";
			$this->ap_id->TooltipValue = "";

			// court_id
			$this->court_id->LinkCustomAttributes = "";
			$this->court_id->HrefValue = "";
			$this->court_id->TooltipValue = "";

			// apt_id
			$this->apt_id->LinkCustomAttributes = "";
			$this->apt_id->HrefValue = "";
			$this->apt_id->TooltipValue = "";

			// cont_id
			$this->cont_id->LinkCustomAttributes = "";
			$this->cont_id->HrefValue = "";
			$this->cont_id->TooltipValue = "";

			// ap_sn
			$this->ap_sn->LinkCustomAttributes = "";
			$this->ap_sn->HrefValue = "";
			$this->ap_sn->TooltipValue = "";

			// ap_number
			$this->ap_number->LinkCustomAttributes = "";
			$this->ap_number->HrefValue = "";
			$this->ap_number->TooltipValue = "";

			// ap_brand
			$this->ap_brand->LinkCustomAttributes = "";
			$this->ap_brand->HrefValue = "";
			$this->ap_brand->TooltipValue = "";

			// ap_model
			$this->ap_model->LinkCustomAttributes = "";
			$this->ap_model->HrefValue = "";
			$this->ap_model->TooltipValue = "";

			// ap_append
			$this->ap_append->LinkCustomAttributes = "";
			$this->ap_append->HrefValue = "";
			$this->ap_append->TooltipValue = "";

			// ap_description
			$this->ap_description->LinkCustomAttributes = "";
			$this->ap_description->HrefValue = "";
			$this->ap_description->TooltipValue = "";

			// plt_id
			$this->plt_id->LinkCustomAttributes = "";
			$this->plt_id->HrefValue = "";
			$this->plt_id->TooltipValue = "";

			// ap_year
			$this->ap_year->LinkCustomAttributes = "";
			$this->ap_year->HrefValue = "";
			$this->ap_year->TooltipValue = "";

			// ap_date_recieve
			$this->ap_date_recieve->LinkCustomAttributes = "";
			$this->ap_date_recieve->HrefValue = "";
			$this->ap_date_recieve->TooltipValue = "";

			// ap_contract_start
			$this->ap_contract_start->LinkCustomAttributes = "";
			$this->ap_contract_start->HrefValue = "";
			$this->ap_contract_start->TooltipValue = "";

			// ap_warranty
			$this->ap_warranty->LinkCustomAttributes = "";
			$this->ap_warranty->HrefValue = "";
			$this->ap_warranty->TooltipValue = "";

			// ap_price
			$this->ap_price->LinkCustomAttributes = "";
			$this->ap_price->HrefValue = "";
			$this->ap_price->TooltipValue = "";

			// ap_origin
			$this->ap_origin->LinkCustomAttributes = "";
			$this->ap_origin->HrefValue = "";
			$this->ap_origin->TooltipValue = "";

			// ap_present
			$this->ap_present->LinkCustomAttributes = "";
			$this->ap_present->HrefValue = "";
			$this->ap_present->TooltipValue = "";

			// ap_comment
			$this->ap_comment->LinkCustomAttributes = "";
			$this->ap_comment->HrefValue = "";
			$this->ap_comment->TooltipValue = "";
		} elseif ($this->RowType == EW_ROWTYPE_EDIT) { // Edit row

			// ap_id
			$this->ap_id->EditCustomAttributes = "";
			$this->ap_id->EditValue = $this->ap_id->CurrentValue;
			$this->ap_id->ViewCustomAttributes = "";

			// court_id
			$this->court_id->EditCustomAttributes = "";
			$this->court_id->EditValue = ew_HtmlEncode($this->court_id->CurrentValue);

			// apt_id
			$this->apt_id->EditCustomAttributes = "";
			$sFilterWrk = "";
			$sSqlWrk = "SELECT `apt_id`, `apt_name` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld`, '' AS `SelectFilterFld`, '' AS `SelectFilterFld2`, '' AS `SelectFilterFld3`, '' AS `SelectFilterFld4` FROM `tb_append_types`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				ew_AddFilter($sWhereWrk, $sFilterWrk);
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = $conn->Execute($sSqlWrk);
			$arwrk = ($rswrk) ? $rswrk->GetRows() : array();
			if ($rswrk) $rswrk->Close();
			array_unshift($arwrk, array("", $Language->Phrase("PleaseSelect"), "", "", "", "", "", "", ""));
			$this->apt_id->EditValue = $arwrk;

			// cont_id
			$this->cont_id->EditCustomAttributes = "";
			$sFilterWrk = "";
			$sSqlWrk = "SELECT `cont_id`, `cont_num` AS `DispFld`, `cont_project` AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld`, '' AS `SelectFilterFld`, '' AS `SelectFilterFld2`, '' AS `SelectFilterFld3`, '' AS `SelectFilterFld4` FROM `tb_contracts`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				ew_AddFilter($sWhereWrk, $sFilterWrk);
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = $conn->Execute($sSqlWrk);
			$arwrk = ($rswrk) ? $rswrk->GetRows() : array();
			if ($rswrk) $rswrk->Close();
			array_unshift($arwrk, array("", $Language->Phrase("PleaseSelect"), "", "", "", "", "", "", ""));
			$this->cont_id->EditValue = $arwrk;

			// ap_sn
			$this->ap_sn->EditCustomAttributes = "";
			$this->ap_sn->EditValue = ew_HtmlEncode($this->ap_sn->CurrentValue);

			// ap_number
			$this->ap_number->EditCustomAttributes = "";
			$this->ap_number->EditValue = ew_HtmlEncode($this->ap_number->CurrentValue);

			// ap_brand
			$this->ap_brand->EditCustomAttributes = "";
			$this->ap_brand->EditValue = ew_HtmlEncode($this->ap_brand->CurrentValue);

			// ap_model
			$this->ap_model->EditCustomAttributes = "";
			$this->ap_model->EditValue = ew_HtmlEncode($this->ap_model->CurrentValue);

			// ap_append
			$this->ap_append->EditCustomAttributes = "";
			$this->ap_append->EditValue = ew_HtmlEncode($this->ap_append->CurrentValue);

			// ap_description
			$this->ap_description->EditCustomAttributes = "";
			$this->ap_description->EditValue = ew_HtmlEncode($this->ap_description->CurrentValue);

			// plt_id
			$this->plt_id->EditCustomAttributes = "";
			$sFilterWrk = "";
			$sSqlWrk = "SELECT `plt_id`, `plt_name` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld`, '' AS `SelectFilterFld`, '' AS `SelectFilterFld2`, '' AS `SelectFilterFld3`, '' AS `SelectFilterFld4` FROM `tb_place_types`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				ew_AddFilter($sWhereWrk, $sFilterWrk);
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = $conn->Execute($sSqlWrk);
			$arwrk = ($rswrk) ? $rswrk->GetRows() : array();
			if ($rswrk) $rswrk->Close();
			array_unshift($arwrk, array("", $Language->Phrase("PleaseSelect"), "", "", "", "", "", "", ""));
			$this->plt_id->EditValue = $arwrk;

			// ap_year
			$this->ap_year->EditCustomAttributes = "";
			$this->ap_year->EditValue = ew_HtmlEncode($this->ap_year->CurrentValue);

			// ap_date_recieve
			$this->ap_date_recieve->EditCustomAttributes = "";
			$this->ap_date_recieve->EditValue = ew_HtmlEncode(ew_FormatDateTime($this->ap_date_recieve->CurrentValue, 5));

			// ap_contract_start
			$this->ap_contract_start->EditCustomAttributes = "";
			$this->ap_contract_start->EditValue = ew_HtmlEncode(ew_FormatDateTime($this->ap_contract_start->CurrentValue, 5));

			// ap_warranty
			$this->ap_warranty->EditCustomAttributes = "";
			$this->ap_warranty->EditValue = ew_HtmlEncode($this->ap_warranty->CurrentValue);
			if (strval($this->ap_warranty->EditValue) <> "" && is_numeric($this->ap_warranty->EditValue)) $this->ap_warranty->EditValue = ew_FormatNumber($this->ap_warranty->EditValue, -2, -1, -2, 0);

			// ap_price
			$this->ap_price->EditCustomAttributes = "";
			$this->ap_price->EditValue = ew_HtmlEncode($this->ap_price->CurrentValue);
			if (strval($this->ap_price->EditValue) <> "" && is_numeric($this->ap_price->EditValue)) $this->ap_price->EditValue = ew_FormatNumber($this->ap_price->EditValue, -2, -1, -2, 0);

			// ap_origin
			$this->ap_origin->EditCustomAttributes = "";
			$arwrk = array();
			$arwrk[] = array($this->ap_origin->FldTagValue(1), $this->ap_origin->FldTagCaption(1) <> "" ? $this->ap_origin->FldTagCaption(1) : $this->ap_origin->FldTagValue(1));
			$arwrk[] = array($this->ap_origin->FldTagValue(2), $this->ap_origin->FldTagCaption(2) <> "" ? $this->ap_origin->FldTagCaption(2) : $this->ap_origin->FldTagValue(2));
			$arwrk[] = array($this->ap_origin->FldTagValue(3), $this->ap_origin->FldTagCaption(3) <> "" ? $this->ap_origin->FldTagCaption(3) : $this->ap_origin->FldTagValue(3));
			$arwrk[] = array($this->ap_origin->FldTagValue(4), $this->ap_origin->FldTagCaption(4) <> "" ? $this->ap_origin->FldTagCaption(4) : $this->ap_origin->FldTagValue(4));
			$this->ap_origin->EditValue = $arwrk;

			// ap_present
			$this->ap_present->EditCustomAttributes = "";
			$arwrk = array();
			$arwrk[] = array($this->ap_present->FldTagValue(1), $this->ap_present->FldTagCaption(1) <> "" ? $this->ap_present->FldTagCaption(1) : $this->ap_present->FldTagValue(1));
			$arwrk[] = array($this->ap_present->FldTagValue(2), $this->ap_present->FldTagCaption(2) <> "" ? $this->ap_present->FldTagCaption(2) : $this->ap_present->FldTagValue(2));
			$arwrk[] = array($this->ap_present->FldTagValue(3), $this->ap_present->FldTagCaption(3) <> "" ? $this->ap_present->FldTagCaption(3) : $this->ap_present->FldTagValue(3));
			$arwrk[] = array($this->ap_present->FldTagValue(4), $this->ap_present->FldTagCaption(4) <> "" ? $this->ap_present->FldTagCaption(4) : $this->ap_present->FldTagValue(4));
			$arwrk[] = array($this->ap_present->FldTagValue(5), $this->ap_present->FldTagCaption(5) <> "" ? $this->ap_present->FldTagCaption(5) : $this->ap_present->FldTagValue(5));
			$arwrk[] = array($this->ap_present->FldTagValue(6), $this->ap_present->FldTagCaption(6) <> "" ? $this->ap_present->FldTagCaption(6) : $this->ap_present->FldTagValue(6));
			$this->ap_present->EditValue = $arwrk;

			// ap_comment
			$this->ap_comment->EditCustomAttributes = "";
			$this->ap_comment->EditValue = ew_HtmlEncode($this->ap_comment->CurrentValue);

			// Edit refer script
			// ap_id

			$this->ap_id->HrefValue = "";

			// court_id
			$this->court_id->HrefValue = "";

			// apt_id
			$this->apt_id->HrefValue = "";

			// cont_id
			$this->cont_id->HrefValue = "";

			// ap_sn
			$this->ap_sn->HrefValue = "";

			// ap_number
			$this->ap_number->HrefValue = "";

			// ap_brand
			$this->ap_brand->HrefValue = "";

			// ap_model
			$this->ap_model->HrefValue = "";

			// ap_append
			$this->ap_append->HrefValue = "";

			// ap_description
			$this->ap_description->HrefValue = "";

			// plt_id
			$this->plt_id->HrefValue = "";

			// ap_year
			$this->ap_year->HrefValue = "";

			// ap_date_recieve
			$this->ap_date_recieve->HrefValue = "";

			// ap_contract_start
			$this->ap_contract_start->HrefValue = "";

			// ap_warranty
			$this->ap_warranty->HrefValue = "";

			// ap_price
			$this->ap_price->HrefValue = "";

			// ap_origin
			$this->ap_origin->HrefValue = "";

			// ap_present
			$this->ap_present->HrefValue = "";

			// ap_comment
			$this->ap_comment->HrefValue = "";
		}
		if ($this->RowType == EW_ROWTYPE_ADD ||
			$this->RowType == EW_ROWTYPE_EDIT ||
			$this->RowType == EW_ROWTYPE_SEARCH) { // Add / Edit / Search row
			$this->SetupFieldTitles();
		}

		// Call Row Rendered event
		if ($this->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$this->Row_Rendered();
	}

	// Validate form
	function ValidateForm() {
		global $Language, $gsFormError;

		// Initialize form error message
		$gsFormError = "";

		// Check if validation required
		if (!EW_SERVER_VALIDATE)
			return ($gsFormError == "");
		if (!is_null($this->ap_id->FormValue) && $this->ap_id->FormValue == "") {
			ew_AddMessage($gsFormError, $Language->Phrase("EnterRequiredField") . " - " . $this->ap_id->FldCaption());
		}
		if (!is_null($this->apt_id->FormValue) && $this->apt_id->FormValue == "") {
			ew_AddMessage($gsFormError, $Language->Phrase("EnterRequiredField") . " - " . $this->apt_id->FldCaption());
		}
		if (!is_null($this->cont_id->FormValue) && $this->cont_id->FormValue == "") {
			ew_AddMessage($gsFormError, $Language->Phrase("EnterRequiredField") . " - " . $this->cont_id->FldCaption());
		}
		if (!is_null($this->ap_number->FormValue) && $this->ap_number->FormValue == "") {
			ew_AddMessage($gsFormError, $Language->Phrase("EnterRequiredField") . " - " . $this->ap_number->FldCaption());
		}
		if (!is_null($this->plt_id->FormValue) && $this->plt_id->FormValue == "") {
			ew_AddMessage($gsFormError, $Language->Phrase("EnterRequiredField") . " - " . $this->plt_id->FldCaption());
		}
		if (!ew_CheckDate($this->ap_date_recieve->FormValue)) {
			ew_AddMessage($gsFormError, $this->ap_date_recieve->FldErrMsg());
		}
		if (!ew_CheckDate($this->ap_contract_start->FormValue)) {
			ew_AddMessage($gsFormError, $this->ap_contract_start->FldErrMsg());
		}
		if (!ew_CheckNumber($this->ap_warranty->FormValue)) {
			ew_AddMessage($gsFormError, $this->ap_warranty->FldErrMsg());
		}
		if (!ew_CheckNumber($this->ap_price->FormValue)) {
			ew_AddMessage($gsFormError, $this->ap_price->FldErrMsg());
		}
		if ($this->ap_origin->FormValue == "") {
			ew_AddMessage($gsFormError, $Language->Phrase("EnterRequiredField") . " - " . $this->ap_origin->FldCaption());
		}
		if ($this->ap_present->FormValue == "") {
			ew_AddMessage($gsFormError, $Language->Phrase("EnterRequiredField") . " - " . $this->ap_present->FldCaption());
		}

		// Return validate result
		$ValidateForm = ($gsFormError == "");

		// Call Form_CustomValidate event
		$sFormCustomError = "";
		$ValidateForm = $ValidateForm && $this->Form_CustomValidate($sFormCustomError);
		if ($sFormCustomError <> "") {
			ew_AddMessage($gsFormError, $sFormCustomError);
		}
		return $ValidateForm;
	}

	// Update record based on key values
	function EditRow() {
		global $conn, $Security, $Language;
		$sFilter = $this->KeyFilter();
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$conn->raiseErrorFn = 'ew_ErrorFn';
		$rs = $conn->Execute($sSql);
		$conn->raiseErrorFn = '';
		if ($rs === FALSE)
			return FALSE;
		if ($rs->EOF) {
			$EditRow = FALSE; // Update Failed
		} else {

			// Save old values
			$rsold = &$rs->fields;
			$rsnew = array();

			// ap_id
			// court_id

			$this->court_id->SetDbValueDef($rsnew, $this->court_id->CurrentValue, NULL, $this->court_id->ReadOnly);

			// apt_id
			$this->apt_id->SetDbValueDef($rsnew, $this->apt_id->CurrentValue, NULL, $this->apt_id->ReadOnly);

			// cont_id
			$this->cont_id->SetDbValueDef($rsnew, $this->cont_id->CurrentValue, NULL, $this->cont_id->ReadOnly);

			// ap_sn
			$this->ap_sn->SetDbValueDef($rsnew, $this->ap_sn->CurrentValue, NULL, $this->ap_sn->ReadOnly);

			// ap_number
			$this->ap_number->SetDbValueDef($rsnew, $this->ap_number->CurrentValue, NULL, $this->ap_number->ReadOnly);

			// ap_brand
			$this->ap_brand->SetDbValueDef($rsnew, $this->ap_brand->CurrentValue, NULL, $this->ap_brand->ReadOnly);

			// ap_model
			$this->ap_model->SetDbValueDef($rsnew, $this->ap_model->CurrentValue, NULL, $this->ap_model->ReadOnly);

			// ap_append
			$this->ap_append->SetDbValueDef($rsnew, $this->ap_append->CurrentValue, NULL, $this->ap_append->ReadOnly);

			// ap_description
			$this->ap_description->SetDbValueDef($rsnew, $this->ap_description->CurrentValue, NULL, $this->ap_description->ReadOnly);

			// plt_id
			$this->plt_id->SetDbValueDef($rsnew, $this->plt_id->CurrentValue, NULL, $this->plt_id->ReadOnly);

			// ap_year
			$this->ap_year->SetDbValueDef($rsnew, $this->ap_year->CurrentValue, NULL, $this->ap_year->ReadOnly);

			// ap_date_recieve
			$this->ap_date_recieve->SetDbValueDef($rsnew, ew_UnFormatDateTime($this->ap_date_recieve->CurrentValue, 5), NULL, $this->ap_date_recieve->ReadOnly);

			// ap_contract_start
			$this->ap_contract_start->SetDbValueDef($rsnew, ew_UnFormatDateTime($this->ap_contract_start->CurrentValue, 5), NULL, $this->ap_contract_start->ReadOnly);

			// ap_warranty
			$this->ap_warranty->SetDbValueDef($rsnew, $this->ap_warranty->CurrentValue, NULL, $this->ap_warranty->ReadOnly);

			// ap_price
			$this->ap_price->SetDbValueDef($rsnew, $this->ap_price->CurrentValue, NULL, $this->ap_price->ReadOnly);

			// ap_origin
			$this->ap_origin->SetDbValueDef($rsnew, $this->ap_origin->CurrentValue, NULL, $this->ap_origin->ReadOnly);

			// ap_present
			$this->ap_present->SetDbValueDef($rsnew, $this->ap_present->CurrentValue, NULL, $this->ap_present->ReadOnly);

			// ap_comment
			$this->ap_comment->SetDbValueDef($rsnew, $this->ap_comment->CurrentValue, NULL, $this->ap_comment->ReadOnly);

			// Call Row Updating event
			$bUpdateRow = $this->Row_Updating($rsold, $rsnew);
			if ($bUpdateRow) {
				$conn->raiseErrorFn = 'ew_ErrorFn';
				if (count($rsnew) > 0)
					$EditRow = $this->Update($rsnew);
				else
					$EditRow = TRUE; // No field to update
				$conn->raiseErrorFn = '';
			} else {
				if ($this->getSuccessMessage() <> "" || $this->getFailureMessage() <> "") {

					// Use the message, do nothing
				} elseif ($this->CancelMessage <> "") {
					$this->setFailureMessage($this->CancelMessage);
					$this->CancelMessage = "";
				} else {
					$this->setFailureMessage($Language->Phrase("UpdateCancelled"));
				}
				$EditRow = FALSE;
			}
		}

		// Call Row_Updated event
		if ($EditRow)
			$this->Row_Updated($rsold, $rsnew);
		$rs->Close();
		return $EditRow;
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	// $type = ''|'success'|'failure'|'warning'
	function Message_Showing(&$msg, $type) {
		if ($type == 'success') {

			//$msg = "your success message";
		} elseif ($type == 'failure') {

			//$msg = "your failure message";
		} elseif ($type == 'warning') {

			//$msg = "your warning message";
		} else {

			//$msg = "your message";
		}
	}

	// Page Data Rendering event
	function Page_DataRendering(&$header) {

		// Example:
		//$header = "your header";

	}

	// Page Data Rendered event
	function Page_DataRendered(&$footer) {

		// Example:
		//$footer = "your footer";

	}

	// Form Custom Validate event
	function Form_CustomValidate(&$CustomError) {

		// Return error message in CustomError
		return TRUE;
	}
}
?>
<?php ew_Header(FALSE) ?>
<?php

// Create page object
if (!isset($tb_appends_edit)) $tb_appends_edit = new ctb_appends_edit();

// Page init
$tb_appends_edit->Page_Init();

// Page main
$tb_appends_edit->Page_Main();
?>
<?php include_once "header.php" ?>
<script type="text/javascript">

// Page object
var tb_appends_edit = new ew_Page("tb_appends_edit");
tb_appends_edit.PageID = "edit"; // Page ID
var EW_PAGE_ID = tb_appends_edit.PageID; // For backward compatibility

// Form object
var ftb_appendsedit = new ew_Form("ftb_appendsedit");

// Validate form
ftb_appendsedit.Validate = function(fobj) {
	if (!this.ValidateRequired)
		return true; // Ignore validation
	fobj = fobj || this.Form;
	this.PostAutoSuggest();	
	if (fobj.a_confirm && fobj.a_confirm.value == "F")
		return true;
	var elm, aelm;
	var rowcnt = 1;
	var startcnt = (rowcnt == 0) ? 0 : 1; // rowcnt == 0 => Inline-Add
	for (var i = startcnt; i <= rowcnt; i++) {
		var infix = "";
		elm = fobj.elements["x" + infix + "_ap_id"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tb_appends->ap_id->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_apt_id"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tb_appends->apt_id->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_cont_id"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tb_appends->cont_id->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_ap_number"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tb_appends->ap_number->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_plt_id"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tb_appends->plt_id->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_ap_date_recieve"];
		if (elm && !ew_CheckDate(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_appends->ap_date_recieve->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_ap_contract_start"];
		if (elm && !ew_CheckDate(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_appends->ap_contract_start->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_ap_warranty"];
		if (elm && !ew_CheckNumber(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_appends->ap_warranty->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_ap_price"];
		if (elm && !ew_CheckNumber(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_appends->ap_price->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_ap_origin"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tb_appends->ap_origin->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_ap_present"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tb_appends->ap_present->FldCaption()) ?>");

		// Set up row object
		ew_ElementsToRow(fobj, infix);

		// Fire Form_CustomValidate event
		if (!this.Form_CustomValidate(fobj))
			return false;
	}

	// Process detail page
	if (fobj.detailpage && fobj.detailpage.value && ewForms[fobj.detailpage.value])
		return ewForms[fobj.detailpage.value].Validate(fobj);
	return true;
}

// Form_CustomValidate event
ftb_appendsedit.Form_CustomValidate =  
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }

// Use JavaScript validation or not
<?php if (EW_CLIENT_VALIDATE) { ?>
ftb_appendsedit.ValidateRequired = true;
<?php } else { ?>
ftb_appendsedit.ValidateRequired = false; 
<?php } ?>

// Dynamic selection lists
ftb_appendsedit.Lists["x_apt_id"] = {"LinkField":"x_apt_id","Ajax":null,"AutoFill":false,"DisplayFields":["x_apt_name","","",""],"ParentFields":[],"FilterFields":[],"Options":[]};
ftb_appendsedit.Lists["x_cont_id"] = {"LinkField":"x_cont_id","Ajax":null,"AutoFill":false,"DisplayFields":["x_cont_num","x_cont_project","",""],"ParentFields":[],"FilterFields":[],"Options":[]};
ftb_appendsedit.Lists["x_plt_id"] = {"LinkField":"x_plt_id","Ajax":null,"AutoFill":false,"DisplayFields":["x_plt_name","","",""],"ParentFields":[],"FilterFields":[],"Options":[]};

// Form object for search
</script>
<script type="text/javascript">

// Write your client script here, no need to add script tags.
</script>
<p><span class="ewTitle ewTableTitle"><?php echo $Language->Phrase("Edit") ?>&nbsp;<?php echo $Language->Phrase("TblTypeTABLE") ?><?php echo $tb_appends->TableCaption() ?></span></p>
<p class="phpmaker"><a href="<?php echo $tb_appends->getReturnUrl() ?>"><?php echo $Language->Phrase("GoBack") ?></a></p>
<?php $tb_appends_edit->ShowPageHeader(); ?>
<?php
$tb_appends_edit->ShowMessage();
?>
<form name="ftb_appendsedit" id="ftb_appendsedit" class="ewForm" action="<?php echo ew_CurrentPage() ?>" method="post" onsubmit="return ewForms[this.id].Submit();">
<p>
<input type="hidden" name="t" value="tb_appends">
<input type="hidden" name="a_edit" id="a_edit" value="U">
<?php if ($tb_appends->CurrentAction == "F") { // Confirm page ?>
<input type="hidden" name="a_confirm" id="a_confirm" value="F">
<?php } ?>
<table cellspacing="0" class="ewGrid"><tr><td class="ewGridContent">
<div class="ewGridMiddlePanel">
<table cellspacing="0" id="tbl_tb_appendsedit" class="ewTable">
<?php if ($tb_appends->ap_id->Visible) { // ap_id ?>
	<tr id="r_ap_id"<?php echo $tb_appends->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_appends_ap_id"><?php echo $tb_appends->ap_id->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></span></td>
		<td<?php echo $tb_appends->ap_id->CellAttributes() ?>><span id="el_tb_appends_ap_id">
<?php if ($tb_appends->CurrentAction <> "F") { ?>
<span<?php echo $tb_appends->ap_id->ViewAttributes() ?>>
<?php echo $tb_appends->ap_id->EditValue ?></span>
<input type="hidden" name="x_ap_id" id="x_ap_id" value="<?php echo ew_HtmlEncode($tb_appends->ap_id->CurrentValue) ?>">
<?php } else { ?>
<span<?php echo $tb_appends->ap_id->ViewAttributes() ?>>
<?php echo $tb_appends->ap_id->ViewValue ?></span>
<input type="hidden" name="x_ap_id" id="x_ap_id" value="<?php echo ew_HtmlEncode($tb_appends->ap_id->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_appends->ap_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_appends->court_id->Visible) { // court_id ?>
	<tr id="r_court_id"<?php echo $tb_appends->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_appends_court_id"><?php echo $tb_appends->court_id->FldCaption() ?></span></td>
		<td<?php echo $tb_appends->court_id->CellAttributes() ?>><span id="el_tb_appends_court_id">
<?php if ($tb_appends->CurrentAction <> "F") { ?>
<input type="text" name="x_court_id" id="x_court_id" size="30" maxlength="10" value="<?php echo $tb_appends->court_id->EditValue ?>"<?php echo $tb_appends->court_id->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_appends->court_id->ViewAttributes() ?>>
<?php echo $tb_appends->court_id->ViewValue ?></span>
<input type="hidden" name="x_court_id" id="x_court_id" value="<?php echo ew_HtmlEncode($tb_appends->court_id->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_appends->court_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_appends->apt_id->Visible) { // apt_id ?>
	<tr id="r_apt_id"<?php echo $tb_appends->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_appends_apt_id"><?php echo $tb_appends->apt_id->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></span></td>
		<td<?php echo $tb_appends->apt_id->CellAttributes() ?>><span id="el_tb_appends_apt_id">
<?php if ($tb_appends->CurrentAction <> "F") { ?>
<select id="x_apt_id" name="x_apt_id"<?php echo $tb_appends->apt_id->EditAttributes() ?>>
<?php
if (is_array($tb_appends->apt_id->EditValue)) {
	$arwrk = $tb_appends->apt_id->EditValue;
	$rowswrk = count($arwrk);
	$emptywrk = TRUE;
	for ($rowcntwrk = 0; $rowcntwrk < $rowswrk; $rowcntwrk++) {
		$selwrk = (strval($tb_appends->apt_id->CurrentValue) == strval($arwrk[$rowcntwrk][0])) ? " selected=\"selected\"" : "";
		if ($selwrk <> "") $emptywrk = FALSE;
?>
<option value="<?php echo ew_HtmlEncode($arwrk[$rowcntwrk][0]) ?>"<?php echo $selwrk ?>>
<?php echo $arwrk[$rowcntwrk][1] ?>
</option>
<?php
	}
}
?>
</select>
<script type="text/javascript">
ftb_appendsedit.Lists["x_apt_id"].Options = <?php echo (is_array($tb_appends->apt_id->EditValue)) ? ew_ArrayToJson($tb_appends->apt_id->EditValue, 1) : "[]" ?>;
</script>
<?php } else { ?>
<span<?php echo $tb_appends->apt_id->ViewAttributes() ?>>
<?php echo $tb_appends->apt_id->ViewValue ?></span>
<input type="hidden" name="x_apt_id" id="x_apt_id" value="<?php echo ew_HtmlEncode($tb_appends->apt_id->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_appends->apt_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_appends->cont_id->Visible) { // cont_id ?>
	<tr id="r_cont_id"<?php echo $tb_appends->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_appends_cont_id"><?php echo $tb_appends->cont_id->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></span></td>
		<td<?php echo $tb_appends->cont_id->CellAttributes() ?>><span id="el_tb_appends_cont_id">
<?php if ($tb_appends->CurrentAction <> "F") { ?>
<select id="x_cont_id" name="x_cont_id"<?php echo $tb_appends->cont_id->EditAttributes() ?>>
<?php
if (is_array($tb_appends->cont_id->EditValue)) {
	$arwrk = $tb_appends->cont_id->EditValue;
	$rowswrk = count($arwrk);
	$emptywrk = TRUE;
	for ($rowcntwrk = 0; $rowcntwrk < $rowswrk; $rowcntwrk++) {
		$selwrk = (strval($tb_appends->cont_id->CurrentValue) == strval($arwrk[$rowcntwrk][0])) ? " selected=\"selected\"" : "";
		if ($selwrk <> "") $emptywrk = FALSE;
?>
<option value="<?php echo ew_HtmlEncode($arwrk[$rowcntwrk][0]) ?>"<?php echo $selwrk ?>>
<?php echo $arwrk[$rowcntwrk][1] ?>
<?php if ($arwrk[$rowcntwrk][2] <> "") { ?>
<?php echo ew_ValueSeparator(1,$tb_appends->cont_id) ?><?php echo $arwrk[$rowcntwrk][2] ?>
<?php } ?>
</option>
<?php
	}
}
?>
</select>
<script type="text/javascript">
ftb_appendsedit.Lists["x_cont_id"].Options = <?php echo (is_array($tb_appends->cont_id->EditValue)) ? ew_ArrayToJson($tb_appends->cont_id->EditValue, 1) : "[]" ?>;
</script>
<?php } else { ?>
<span<?php echo $tb_appends->cont_id->ViewAttributes() ?>>
<?php echo $tb_appends->cont_id->ViewValue ?></span>
<input type="hidden" name="x_cont_id" id="x_cont_id" value="<?php echo ew_HtmlEncode($tb_appends->cont_id->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_appends->cont_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_appends->ap_sn->Visible) { // ap_sn ?>
	<tr id="r_ap_sn"<?php echo $tb_appends->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_appends_ap_sn"><?php echo $tb_appends->ap_sn->FldCaption() ?></span></td>
		<td<?php echo $tb_appends->ap_sn->CellAttributes() ?>><span id="el_tb_appends_ap_sn">
<?php if ($tb_appends->CurrentAction <> "F") { ?>
<input type="text" name="x_ap_sn" id="x_ap_sn" size="30" maxlength="100" value="<?php echo $tb_appends->ap_sn->EditValue ?>"<?php echo $tb_appends->ap_sn->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_appends->ap_sn->ViewAttributes() ?>>
<?php echo $tb_appends->ap_sn->ViewValue ?></span>
<input type="hidden" name="x_ap_sn" id="x_ap_sn" value="<?php echo ew_HtmlEncode($tb_appends->ap_sn->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_appends->ap_sn->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_appends->ap_number->Visible) { // ap_number ?>
	<tr id="r_ap_number"<?php echo $tb_appends->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_appends_ap_number"><?php echo $tb_appends->ap_number->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></span></td>
		<td<?php echo $tb_appends->ap_number->CellAttributes() ?>><span id="el_tb_appends_ap_number">
<?php if ($tb_appends->CurrentAction <> "F") { ?>
<input type="text" name="x_ap_number" id="x_ap_number" size="30" maxlength="100" value="<?php echo $tb_appends->ap_number->EditValue ?>"<?php echo $tb_appends->ap_number->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_appends->ap_number->ViewAttributes() ?>>
<?php echo $tb_appends->ap_number->ViewValue ?></span>
<input type="hidden" name="x_ap_number" id="x_ap_number" value="<?php echo ew_HtmlEncode($tb_appends->ap_number->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_appends->ap_number->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_appends->ap_brand->Visible) { // ap_brand ?>
	<tr id="r_ap_brand"<?php echo $tb_appends->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_appends_ap_brand"><?php echo $tb_appends->ap_brand->FldCaption() ?></span></td>
		<td<?php echo $tb_appends->ap_brand->CellAttributes() ?>><span id="el_tb_appends_ap_brand">
<?php if ($tb_appends->CurrentAction <> "F") { ?>
<input type="text" name="x_ap_brand" id="x_ap_brand" size="30" maxlength="200" value="<?php echo $tb_appends->ap_brand->EditValue ?>"<?php echo $tb_appends->ap_brand->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_appends->ap_brand->ViewAttributes() ?>>
<?php echo $tb_appends->ap_brand->ViewValue ?></span>
<input type="hidden" name="x_ap_brand" id="x_ap_brand" value="<?php echo ew_HtmlEncode($tb_appends->ap_brand->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_appends->ap_brand->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_appends->ap_model->Visible) { // ap_model ?>
	<tr id="r_ap_model"<?php echo $tb_appends->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_appends_ap_model"><?php echo $tb_appends->ap_model->FldCaption() ?></span></td>
		<td<?php echo $tb_appends->ap_model->CellAttributes() ?>><span id="el_tb_appends_ap_model">
<?php if ($tb_appends->CurrentAction <> "F") { ?>
<input type="text" name="x_ap_model" id="x_ap_model" size="30" maxlength="200" value="<?php echo $tb_appends->ap_model->EditValue ?>"<?php echo $tb_appends->ap_model->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_appends->ap_model->ViewAttributes() ?>>
<?php echo $tb_appends->ap_model->ViewValue ?></span>
<input type="hidden" name="x_ap_model" id="x_ap_model" value="<?php echo ew_HtmlEncode($tb_appends->ap_model->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_appends->ap_model->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_appends->ap_append->Visible) { // ap_append ?>
	<tr id="r_ap_append"<?php echo $tb_appends->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_appends_ap_append"><?php echo $tb_appends->ap_append->FldCaption() ?></span></td>
		<td<?php echo $tb_appends->ap_append->CellAttributes() ?>><span id="el_tb_appends_ap_append">
<?php if ($tb_appends->CurrentAction <> "F") { ?>
<input type="text" name="x_ap_append" id="x_ap_append" size="30" maxlength="200" value="<?php echo $tb_appends->ap_append->EditValue ?>"<?php echo $tb_appends->ap_append->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_appends->ap_append->ViewAttributes() ?>>
<?php echo $tb_appends->ap_append->ViewValue ?></span>
<input type="hidden" name="x_ap_append" id="x_ap_append" value="<?php echo ew_HtmlEncode($tb_appends->ap_append->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_appends->ap_append->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_appends->ap_description->Visible) { // ap_description ?>
	<tr id="r_ap_description"<?php echo $tb_appends->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_appends_ap_description"><?php echo $tb_appends->ap_description->FldCaption() ?></span></td>
		<td<?php echo $tb_appends->ap_description->CellAttributes() ?>><span id="el_tb_appends_ap_description">
<?php if ($tb_appends->CurrentAction <> "F") { ?>
<input type="text" name="x_ap_description" id="x_ap_description" size="30" maxlength="200" value="<?php echo $tb_appends->ap_description->EditValue ?>"<?php echo $tb_appends->ap_description->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_appends->ap_description->ViewAttributes() ?>>
<?php echo $tb_appends->ap_description->ViewValue ?></span>
<input type="hidden" name="x_ap_description" id="x_ap_description" value="<?php echo ew_HtmlEncode($tb_appends->ap_description->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_appends->ap_description->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_appends->plt_id->Visible) { // plt_id ?>
	<tr id="r_plt_id"<?php echo $tb_appends->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_appends_plt_id"><?php echo $tb_appends->plt_id->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></span></td>
		<td<?php echo $tb_appends->plt_id->CellAttributes() ?>><span id="el_tb_appends_plt_id">
<?php if ($tb_appends->CurrentAction <> "F") { ?>
<select id="x_plt_id" name="x_plt_id"<?php echo $tb_appends->plt_id->EditAttributes() ?>>
<?php
if (is_array($tb_appends->plt_id->EditValue)) {
	$arwrk = $tb_appends->plt_id->EditValue;
	$rowswrk = count($arwrk);
	$emptywrk = TRUE;
	for ($rowcntwrk = 0; $rowcntwrk < $rowswrk; $rowcntwrk++) {
		$selwrk = (strval($tb_appends->plt_id->CurrentValue) == strval($arwrk[$rowcntwrk][0])) ? " selected=\"selected\"" : "";
		if ($selwrk <> "") $emptywrk = FALSE;
?>
<option value="<?php echo ew_HtmlEncode($arwrk[$rowcntwrk][0]) ?>"<?php echo $selwrk ?>>
<?php echo $arwrk[$rowcntwrk][1] ?>
</option>
<?php
	}
}
?>
</select>
<script type="text/javascript">
ftb_appendsedit.Lists["x_plt_id"].Options = <?php echo (is_array($tb_appends->plt_id->EditValue)) ? ew_ArrayToJson($tb_appends->plt_id->EditValue, 1) : "[]" ?>;
</script>
<?php } else { ?>
<span<?php echo $tb_appends->plt_id->ViewAttributes() ?>>
<?php echo $tb_appends->plt_id->ViewValue ?></span>
<input type="hidden" name="x_plt_id" id="x_plt_id" value="<?php echo ew_HtmlEncode($tb_appends->plt_id->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_appends->plt_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_appends->ap_year->Visible) { // ap_year ?>
	<tr id="r_ap_year"<?php echo $tb_appends->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_appends_ap_year"><?php echo $tb_appends->ap_year->FldCaption() ?></span></td>
		<td<?php echo $tb_appends->ap_year->CellAttributes() ?>><span id="el_tb_appends_ap_year">
<?php if ($tb_appends->CurrentAction <> "F") { ?>
<input type="text" name="x_ap_year" id="x_ap_year" size="30" maxlength="4" value="<?php echo $tb_appends->ap_year->EditValue ?>"<?php echo $tb_appends->ap_year->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_appends->ap_year->ViewAttributes() ?>>
<?php echo $tb_appends->ap_year->ViewValue ?></span>
<input type="hidden" name="x_ap_year" id="x_ap_year" value="<?php echo ew_HtmlEncode($tb_appends->ap_year->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_appends->ap_year->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_appends->ap_date_recieve->Visible) { // ap_date_recieve ?>
	<tr id="r_ap_date_recieve"<?php echo $tb_appends->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_appends_ap_date_recieve"><?php echo $tb_appends->ap_date_recieve->FldCaption() ?></span></td>
		<td<?php echo $tb_appends->ap_date_recieve->CellAttributes() ?>><span id="el_tb_appends_ap_date_recieve">
<?php if ($tb_appends->CurrentAction <> "F") { ?>
<input type="text" name="x_ap_date_recieve" id="x_ap_date_recieve" value="<?php echo $tb_appends->ap_date_recieve->EditValue ?>"<?php echo $tb_appends->ap_date_recieve->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_appends->ap_date_recieve->ViewAttributes() ?>>
<?php echo $tb_appends->ap_date_recieve->ViewValue ?></span>
<input type="hidden" name="x_ap_date_recieve" id="x_ap_date_recieve" value="<?php echo ew_HtmlEncode($tb_appends->ap_date_recieve->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_appends->ap_date_recieve->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_appends->ap_contract_start->Visible) { // ap_contract_start ?>
	<tr id="r_ap_contract_start"<?php echo $tb_appends->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_appends_ap_contract_start"><?php echo $tb_appends->ap_contract_start->FldCaption() ?></span></td>
		<td<?php echo $tb_appends->ap_contract_start->CellAttributes() ?>><span id="el_tb_appends_ap_contract_start">
<?php if ($tb_appends->CurrentAction <> "F") { ?>
<input type="text" name="x_ap_contract_start" id="x_ap_contract_start" value="<?php echo $tb_appends->ap_contract_start->EditValue ?>"<?php echo $tb_appends->ap_contract_start->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_appends->ap_contract_start->ViewAttributes() ?>>
<?php echo $tb_appends->ap_contract_start->ViewValue ?></span>
<input type="hidden" name="x_ap_contract_start" id="x_ap_contract_start" value="<?php echo ew_HtmlEncode($tb_appends->ap_contract_start->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_appends->ap_contract_start->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_appends->ap_warranty->Visible) { // ap_warranty ?>
	<tr id="r_ap_warranty"<?php echo $tb_appends->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_appends_ap_warranty"><?php echo $tb_appends->ap_warranty->FldCaption() ?></span></td>
		<td<?php echo $tb_appends->ap_warranty->CellAttributes() ?>><span id="el_tb_appends_ap_warranty">
<?php if ($tb_appends->CurrentAction <> "F") { ?>
<input type="text" name="x_ap_warranty" id="x_ap_warranty" size="30" value="<?php echo $tb_appends->ap_warranty->EditValue ?>"<?php echo $tb_appends->ap_warranty->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_appends->ap_warranty->ViewAttributes() ?>>
<?php echo $tb_appends->ap_warranty->ViewValue ?></span>
<input type="hidden" name="x_ap_warranty" id="x_ap_warranty" value="<?php echo ew_HtmlEncode($tb_appends->ap_warranty->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_appends->ap_warranty->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_appends->ap_price->Visible) { // ap_price ?>
	<tr id="r_ap_price"<?php echo $tb_appends->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_appends_ap_price"><?php echo $tb_appends->ap_price->FldCaption() ?></span></td>
		<td<?php echo $tb_appends->ap_price->CellAttributes() ?>><span id="el_tb_appends_ap_price">
<?php if ($tb_appends->CurrentAction <> "F") { ?>
<input type="text" name="x_ap_price" id="x_ap_price" size="30" value="<?php echo $tb_appends->ap_price->EditValue ?>"<?php echo $tb_appends->ap_price->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_appends->ap_price->ViewAttributes() ?>>
<?php echo $tb_appends->ap_price->ViewValue ?></span>
<input type="hidden" name="x_ap_price" id="x_ap_price" value="<?php echo ew_HtmlEncode($tb_appends->ap_price->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_appends->ap_price->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_appends->ap_origin->Visible) { // ap_origin ?>
	<tr id="r_ap_origin"<?php echo $tb_appends->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_appends_ap_origin"><?php echo $tb_appends->ap_origin->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></span></td>
		<td<?php echo $tb_appends->ap_origin->CellAttributes() ?>><span id="el_tb_appends_ap_origin">
<?php if ($tb_appends->CurrentAction <> "F") { ?>
<div id="tp_x_ap_origin" class="<?php echo EW_ITEM_TEMPLATE_CLASSNAME ?>"><input type="radio" name="x_ap_origin" id="x_ap_origin" value="{value}"<?php echo $tb_appends->ap_origin->EditAttributes() ?>></div>
<div id="dsl_x_ap_origin" data-repeatcolumn="5" class="ewItemList">
<?php
$arwrk = $tb_appends->ap_origin->EditValue;
if (is_array($arwrk)) {
	$rowswrk = count($arwrk);
	$emptywrk = TRUE;
	for ($rowcntwrk = 0; $rowcntwrk < $rowswrk; $rowcntwrk++) {
		$selwrk = (strval($tb_appends->ap_origin->CurrentValue) == strval($arwrk[$rowcntwrk][0])) ? " checked=\"checked\"" : "";
		if ($selwrk <> "") $emptywrk = FALSE;

		// Note: No spacing within the LABEL tag
?>
<?php echo ew_RepeatColumnTable($rowswrk, $rowcntwrk, 5, 1) ?>
<label><input type="radio" name="x_ap_origin" id="x_ap_origin" value="<?php echo ew_HtmlEncode($arwrk[$rowcntwrk][0]) ?>"<?php echo $selwrk ?><?php echo $tb_appends->ap_origin->EditAttributes() ?>><?php echo $arwrk[$rowcntwrk][1] ?></label>
<?php echo ew_RepeatColumnTable($rowswrk, $rowcntwrk, 5, 2) ?>
<?php
	}
}
?>
</div>
<?php } else { ?>
<span<?php echo $tb_appends->ap_origin->ViewAttributes() ?>>
<?php echo $tb_appends->ap_origin->ViewValue ?></span>
<input type="hidden" name="x_ap_origin" id="x_ap_origin" value="<?php echo ew_HtmlEncode($tb_appends->ap_origin->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_appends->ap_origin->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_appends->ap_present->Visible) { // ap_present ?>
	<tr id="r_ap_present"<?php echo $tb_appends->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_appends_ap_present"><?php echo $tb_appends->ap_present->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></span></td>
		<td<?php echo $tb_appends->ap_present->CellAttributes() ?>><span id="el_tb_appends_ap_present">
<?php if ($tb_appends->CurrentAction <> "F") { ?>
<div id="tp_x_ap_present" class="<?php echo EW_ITEM_TEMPLATE_CLASSNAME ?>"><input type="radio" name="x_ap_present" id="x_ap_present" value="{value}"<?php echo $tb_appends->ap_present->EditAttributes() ?>></div>
<div id="dsl_x_ap_present" data-repeatcolumn="5" class="ewItemList">
<?php
$arwrk = $tb_appends->ap_present->EditValue;
if (is_array($arwrk)) {
	$rowswrk = count($arwrk);
	$emptywrk = TRUE;
	for ($rowcntwrk = 0; $rowcntwrk < $rowswrk; $rowcntwrk++) {
		$selwrk = (strval($tb_appends->ap_present->CurrentValue) == strval($arwrk[$rowcntwrk][0])) ? " checked=\"checked\"" : "";
		if ($selwrk <> "") $emptywrk = FALSE;

		// Note: No spacing within the LABEL tag
?>
<?php echo ew_RepeatColumnTable($rowswrk, $rowcntwrk, 5, 1) ?>
<label><input type="radio" name="x_ap_present" id="x_ap_present" value="<?php echo ew_HtmlEncode($arwrk[$rowcntwrk][0]) ?>"<?php echo $selwrk ?><?php echo $tb_appends->ap_present->EditAttributes() ?>><?php echo $arwrk[$rowcntwrk][1] ?></label>
<?php echo ew_RepeatColumnTable($rowswrk, $rowcntwrk, 5, 2) ?>
<?php
	}
}
?>
</div>
<?php } else { ?>
<span<?php echo $tb_appends->ap_present->ViewAttributes() ?>>
<?php echo $tb_appends->ap_present->ViewValue ?></span>
<input type="hidden" name="x_ap_present" id="x_ap_present" value="<?php echo ew_HtmlEncode($tb_appends->ap_present->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_appends->ap_present->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_appends->ap_comment->Visible) { // ap_comment ?>
	<tr id="r_ap_comment"<?php echo $tb_appends->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_appends_ap_comment"><?php echo $tb_appends->ap_comment->FldCaption() ?></span></td>
		<td<?php echo $tb_appends->ap_comment->CellAttributes() ?>><span id="el_tb_appends_ap_comment">
<?php if ($tb_appends->CurrentAction <> "F") { ?>
<input type="text" name="x_ap_comment" id="x_ap_comment" size="30" maxlength="200" value="<?php echo $tb_appends->ap_comment->EditValue ?>"<?php echo $tb_appends->ap_comment->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_appends->ap_comment->ViewAttributes() ?>>
<?php echo $tb_appends->ap_comment->ViewValue ?></span>
<input type="hidden" name="x_ap_comment" id="x_ap_comment" value="<?php echo ew_HtmlEncode($tb_appends->ap_comment->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_appends->ap_comment->CustomMsg ?></td>
	</tr>
<?php } ?>
</table>
</div>
</td></tr></table>
<p>
<?php if ($tb_appends->CurrentAction <> "F") { // Confirm page ?>
<input type="submit" name="btnAction" id="btnAction" value="<?php echo ew_BtnCaption($Language->Phrase("EditBtn")) ?>" onclick="this.form.a_edit.value='F';">
<?php } else { ?>
<input type="submit" name="btnCancel" id="btnCancel" value="<?php echo ew_BtnCaption($Language->Phrase("CancelBtn")) ?>" onclick="this.form.a_edit.value='X';">
<input type="submit" name="btnAction" id="btnAction" value="<?php echo ew_BtnCaption($Language->Phrase("ConfirmBtn")) ?>">
<?php } ?>
</form>
<script type="text/javascript">
ftb_appendsedit.Init();
</script>
<?php
$tb_appends_edit->ShowPageFooter();
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
?>
<script type="text/javascript">

// Write your table-specific startup script here
// document.write("page loaded");

</script>
<?php include_once "footer.php" ?>
<?php
$tb_appends_edit->Page_Terminate();
?>
