<?php

// Global variable for table object
$tb_appends = NULL;

//
// Table class for tb_appends
//
class ctb_appends extends cTable {
	var $ap_id;
	var $court_id;
	var $apt_id;
	var $cont_id;
	var $ap_sn;
	var $ap_number;
	var $ap_brand;
	var $ap_model;
	var $ap_append;
	var $ap_description;
	var $plt_id;
	var $ap_year;
	var $ap_date_recieve;
	var $ap_contract_start;
	var $ap_warranty;
	var $ap_price;
	var $ap_origin;
	var $ap_present;
	var $ap_comment;

	//
	// Table class constructor
	//
	function __construct() {
		global $Language;

		// Language object
		if (!isset($Language)) $Language = new cLanguage();
		$this->TableVar = 'tb_appends';
		$this->TableName = 'tb_appends';
		$this->TableType = 'TABLE';
		$this->ExportAll = TRUE;
		$this->ExportPageBreakCount = 0; // Page break per every n record (PDF only)
		$this->ExportPageOrientation = "portrait"; // Page orientation (PDF only)
		$this->ExportPageSize = "a4"; // Page size (PDF only)
		$this->DetailAdd = FALSE; // Allow detail add
		$this->DetailEdit = FALSE; // Allow detail edit
		$this->GridAddRowCount = 5;
		$this->AllowAddDeleteRow = ew_AllowAddDeleteRow(); // Allow add/delete row

		// ap_id
		$this->ap_id = new cField('tb_appends', 'tb_appends', 'x_ap_id', 'ap_id', '`ap_id`', '`ap_id`', 200, -1, FALSE, '`ap_id`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['ap_id'] = &$this->ap_id;

		// court_id
		$this->court_id = new cField('tb_appends', 'tb_appends', 'x_court_id', 'court_id', '`court_id`', '`court_id`', 200, -1, FALSE, '`court_id`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['court_id'] = &$this->court_id;

		// apt_id
		$this->apt_id = new cField('tb_appends', 'tb_appends', 'x_apt_id', 'apt_id', '`apt_id`', '`apt_id`', 200, -1, FALSE, '`apt_id`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['apt_id'] = &$this->apt_id;

		// cont_id
		$this->cont_id = new cField('tb_appends', 'tb_appends', 'x_cont_id', 'cont_id', '`cont_id`', '`cont_id`', 3, -1, FALSE, '`cont_id`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->cont_id->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['cont_id'] = &$this->cont_id;

		// ap_sn
		$this->ap_sn = new cField('tb_appends', 'tb_appends', 'x_ap_sn', 'ap_sn', '`ap_sn`', '`ap_sn`', 200, -1, FALSE, '`ap_sn`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['ap_sn'] = &$this->ap_sn;

		// ap_number
		$this->ap_number = new cField('tb_appends', 'tb_appends', 'x_ap_number', 'ap_number', '`ap_number`', '`ap_number`', 200, -1, FALSE, '`ap_number`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['ap_number'] = &$this->ap_number;

		// ap_brand
		$this->ap_brand = new cField('tb_appends', 'tb_appends', 'x_ap_brand', 'ap_brand', '`ap_brand`', '`ap_brand`', 200, -1, FALSE, '`ap_brand`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['ap_brand'] = &$this->ap_brand;

		// ap_model
		$this->ap_model = new cField('tb_appends', 'tb_appends', 'x_ap_model', 'ap_model', '`ap_model`', '`ap_model`', 200, -1, FALSE, '`ap_model`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['ap_model'] = &$this->ap_model;

		// ap_append
		$this->ap_append = new cField('tb_appends', 'tb_appends', 'x_ap_append', 'ap_append', '`ap_append`', '`ap_append`', 200, -1, FALSE, '`ap_append`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['ap_append'] = &$this->ap_append;

		// ap_description
		$this->ap_description = new cField('tb_appends', 'tb_appends', 'x_ap_description', 'ap_description', '`ap_description`', '`ap_description`', 200, -1, FALSE, '`ap_description`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['ap_description'] = &$this->ap_description;

		// plt_id
		$this->plt_id = new cField('tb_appends', 'tb_appends', 'x_plt_id', 'plt_id', '`plt_id`', '`plt_id`', 200, -1, FALSE, '`plt_id`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['plt_id'] = &$this->plt_id;

		// ap_year
		$this->ap_year = new cField('tb_appends', 'tb_appends', 'x_ap_year', 'ap_year', '`ap_year`', '`ap_year`', 200, -1, FALSE, '`ap_year`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['ap_year'] = &$this->ap_year;

		// ap_date_recieve
		$this->ap_date_recieve = new cField('tb_appends', 'tb_appends', 'x_ap_date_recieve', 'ap_date_recieve', '`ap_date_recieve`', 'DATE_FORMAT(`ap_date_recieve`, \'%Y/%m/%d %H:%i:%s\')', 133, 5, FALSE, '`ap_date_recieve`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->ap_date_recieve->FldDefaultErrMsg = str_replace("%s", "/", $Language->Phrase("IncorrectDateYMD"));
		$this->fields['ap_date_recieve'] = &$this->ap_date_recieve;

		// ap_contract_start
		$this->ap_contract_start = new cField('tb_appends', 'tb_appends', 'x_ap_contract_start', 'ap_contract_start', '`ap_contract_start`', 'DATE_FORMAT(`ap_contract_start`, \'%Y/%m/%d %H:%i:%s\')', 133, 5, FALSE, '`ap_contract_start`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->ap_contract_start->FldDefaultErrMsg = str_replace("%s", "/", $Language->Phrase("IncorrectDateYMD"));
		$this->fields['ap_contract_start'] = &$this->ap_contract_start;

		// ap_warranty
		$this->ap_warranty = new cField('tb_appends', 'tb_appends', 'x_ap_warranty', 'ap_warranty', '`ap_warranty`', '`ap_warranty`', 131, -1, FALSE, '`ap_warranty`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->ap_warranty->FldDefaultErrMsg = $Language->Phrase("IncorrectFloat");
		$this->fields['ap_warranty'] = &$this->ap_warranty;

		// ap_price
		$this->ap_price = new cField('tb_appends', 'tb_appends', 'x_ap_price', 'ap_price', '`ap_price`', '`ap_price`', 131, -1, FALSE, '`ap_price`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->ap_price->FldDefaultErrMsg = $Language->Phrase("IncorrectFloat");
		$this->fields['ap_price'] = &$this->ap_price;

		// ap_origin
		$this->ap_origin = new cField('tb_appends', 'tb_appends', 'x_ap_origin', 'ap_origin', '`ap_origin`', '`ap_origin`', 3, -1, FALSE, '`ap_origin`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->ap_origin->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['ap_origin'] = &$this->ap_origin;

		// ap_present
		$this->ap_present = new cField('tb_appends', 'tb_appends', 'x_ap_present', 'ap_present', '`ap_present`', '`ap_present`', 3, -1, FALSE, '`ap_present`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->ap_present->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['ap_present'] = &$this->ap_present;

		// ap_comment
		$this->ap_comment = new cField('tb_appends', 'tb_appends', 'x_ap_comment', 'ap_comment', '`ap_comment`', '`ap_comment`', 200, -1, FALSE, '`ap_comment`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['ap_comment'] = &$this->ap_comment;
	}

	// Single column sort
	function UpdateSort(&$ofld) {
		if ($this->CurrentOrder == $ofld->FldName) {
			$sSortField = $ofld->FldExpression;
			$sLastSort = $ofld->getSort();
			if ($this->CurrentOrderType == "ASC" || $this->CurrentOrderType == "DESC") {
				$sThisSort = $this->CurrentOrderType;
			} else {
				$sThisSort = ($sLastSort == "ASC") ? "DESC" : "ASC";
			}
			$ofld->setSort($sThisSort);
			$this->setSessionOrderBy($sSortField . " " . $sThisSort); // Save to Session
		} else {
			$ofld->setSort("");
		}
	}

	// Table level SQL
	function SqlFrom() { // From
		return "`tb_appends`";
	}

	function SqlSelect() { // Select
		return "SELECT * FROM " . $this->SqlFrom();
	}

	function SqlWhere() { // Where
		$sWhere = "";
		$this->TableFilter = "";
		ew_AddFilter($sWhere, $this->TableFilter);
		return $sWhere;
	}

	function SqlGroupBy() { // Group By
		return "";
	}

	function SqlHaving() { // Having
		return "";
	}

	function SqlOrderBy() { // Order By
		return "";
	}

	// Check if Anonymous User is allowed
	function AllowAnonymousUser() {
		switch (@$this->PageID) {
			case "add":
			case "register":
			case "addopt":
				return FALSE;
			case "edit":
			case "update":
			case "changepwd":
			case "forgotpwd":
				return FALSE;
			case "delete":
				return FALSE;
			case "view":
				return FALSE;
			case "search":
				return FALSE;
			default:
				return FALSE;
		}
	}

	// Apply User ID filters
	function ApplyUserIDFilters($sFilter) {
		return $sFilter;
	}

	// Check if User ID security allows view all
	function UserIDAllow($id = "") {
		return TRUE;
	}

	// Get SQL
	function GetSQL($where, $orderby) {
		return ew_BuildSelectSql($this->SqlSelect(), $this->SqlWhere(),
			$this->SqlGroupBy(), $this->SqlHaving(), $this->SqlOrderBy(),
			$where, $orderby);
	}

	// Table SQL
	function SQL() {
		$sFilter = $this->CurrentFilter;
		$sFilter = $this->ApplyUserIDFilters($sFilter);
		$sSort = $this->getSessionOrderBy();
		return ew_BuildSelectSql($this->SqlSelect(), $this->SqlWhere(),
			$this->SqlGroupBy(), $this->SqlHaving(), $this->SqlOrderBy(),
			$sFilter, $sSort);
	}

	// Table SQL with List page filter
	function SelectSQL() {
		$sFilter = $this->getSessionWhere();
		ew_AddFilter($sFilter, $this->CurrentFilter);
		$sFilter = $this->ApplyUserIDFilters($sFilter);
		$sSort = $this->getSessionOrderBy();
		return ew_BuildSelectSql($this->SqlSelect(), $this->SqlWhere(), $this->SqlGroupBy(),
			$this->SqlHaving(), $this->SqlOrderBy(), $sFilter, $sSort);
	}

	// Get ORDER BY clause
	function GetOrderBy() {
		$sSort = $this->getSessionOrderBy();
		return ew_BuildSelectSql("", "", "", "", $this->SqlOrderBy(), "", $sSort);
	}

	// Try to get record count
	function TryGetRecordCount($sSql) {
		global $conn;
		$cnt = -1;
		if ($this->TableType == 'TABLE' || $this->TableType == 'VIEW') {
			$sSql = "SELECT COUNT(*) FROM" . substr($sSql, 13);
			$sOrderBy = $this->GetOrderBy();
			if (substr($sSql, strlen($sOrderBy) * -1) == $sOrderBy)
				$sSql = substr($sSql, 0, strlen($sSql) - strlen($sOrderBy)); // Remove ORDER BY clause
		} else {
			$sSql = "SELECT COUNT(*) FROM (" . $sSql . ") EW_COUNT_TABLE";
		}
		if ($rs = $conn->Execute($sSql)) {
			if (!$rs->EOF && $rs->FieldCount() > 0) {
				$cnt = $rs->fields[0];
				$rs->Close();
			}
		}
		return intval($cnt);
	}

	// Get record count based on filter (for detail record count in master table pages)
	function LoadRecordCount($sFilter) {
		$origFilter = $this->CurrentFilter;
		$this->CurrentFilter = $sFilter;
		$this->Recordset_Selecting($this->CurrentFilter);

		//$sSql = $this->SQL();
		$sSql = $this->GetSQL($this->CurrentFilter, "");
		$cnt = $this->TryGetRecordCount($sSql);
		if ($cnt == -1) {
			if ($rs = $this->LoadRs($this->CurrentFilter)) {
				$cnt = $rs->RecordCount();
				$rs->Close();
			}
		}
		$this->CurrentFilter = $origFilter;
		return intval($cnt);
	}

	// Get record count (for current List page)
	function SelectRecordCount() {
		global $conn;
		$origFilter = $this->CurrentFilter;
		$this->Recordset_Selecting($this->CurrentFilter);
		$sSql = $this->SelectSQL();
		$cnt = $this->TryGetRecordCount($sSql);
		if ($cnt == -1) {
			if ($rs = $conn->Execute($sSql)) {
				$cnt = $rs->RecordCount();
				$rs->Close();
			}
		}
		$this->CurrentFilter = $origFilter;
		return intval($cnt);
	}

	// Update Table
	var $UpdateTable = "`tb_appends`";

	// INSERT statement
	function InsertSQL(&$rs) {
		global $conn;
		$names = "";
		$values = "";
		foreach ($rs as $name => $value) {
			if (!isset($this->fields[$name]))
				continue;
			$names .= $this->fields[$name]->FldExpression . ",";
			$values .= ew_QuotedValue($value, $this->fields[$name]->FldDataType) . ",";
		}
		while (substr($names, -1) == ",")
			$names = substr($names, 0, -1);
		while (substr($values, -1) == ",")
			$values = substr($values, 0, -1);
		return "INSERT INTO " . $this->UpdateTable . " ($names) VALUES ($values)";
	}

	// Insert
	function Insert(&$rs) {
		global $conn;
		return $conn->Execute($this->InsertSQL($rs));
	}

	// UPDATE statement
	function UpdateSQL(&$rs, $where = "") {
		$sql = "UPDATE " . $this->UpdateTable . " SET ";
		foreach ($rs as $name => $value) {
			if (!isset($this->fields[$name]))
				continue;
			$sql .= $this->fields[$name]->FldExpression . "=";
			$sql .= ew_QuotedValue($value, $this->fields[$name]->FldDataType) . ",";
		}
		while (substr($sql, -1) == ",")
			$sql = substr($sql, 0, -1);
		$filter = $this->CurrentFilter;
		ew_AddFilter($filter, $where);
		if ($filter <> "")	$sql .= " WHERE " . $filter;
		return $sql;
	}

	// Update
	function Update(&$rs, $where = "") {
		global $conn;
		return $conn->Execute($this->UpdateSQL($rs, $where));
	}

	// DELETE statement
	function DeleteSQL(&$rs, $where = "") {
		$sql = "DELETE FROM " . $this->UpdateTable . " WHERE ";
		if ($rs) {
			$sql .= ew_QuotedName('ap_id') . '=' . ew_QuotedValue($rs['ap_id'], $this->ap_id->FldDataType) . ' AND ';
		}
		if (substr($sql, -5) == " AND ") $sql = substr($sql, 0, -5);
		$filter = $this->CurrentFilter;
		ew_AddFilter($filter, $where);
		if ($filter <> "")	$sql .= " AND " . $filter;
		return $sql;
	}

	// Delete
	function Delete(&$rs, $where = "") {
		global $conn;
		return $conn->Execute($this->DeleteSQL($rs, $where));
	}

	// Key filter WHERE clause
	function SqlKeyFilter() {
		return "`ap_id` = '@ap_id@'";
	}

	// Key filter
	function KeyFilter() {
		$sKeyFilter = $this->SqlKeyFilter();
		$sKeyFilter = str_replace("@ap_id@", ew_AdjustSql($this->ap_id->CurrentValue), $sKeyFilter); // Replace key value
		return $sKeyFilter;
	}

	// Return page URL
	function getReturnUrl() {
		$name = EW_PROJECT_NAME . "_" . $this->TableVar . "_" . EW_TABLE_RETURN_URL;

		// Get referer URL automatically
		if (ew_ServerVar("HTTP_REFERER") <> "" && ew_ReferPage() <> ew_CurrentPage() && ew_ReferPage() <> "login.php") // Referer not same page or login page
			$_SESSION[$name] = ew_ServerVar("HTTP_REFERER"); // Save to Session
		if (@$_SESSION[$name] <> "") {
			return $_SESSION[$name];
		} else {
			return "tb_appendslist.php";
		}
	}

	function setReturnUrl($v) {
		$_SESSION[EW_PROJECT_NAME . "_" . $this->TableVar . "_" . EW_TABLE_RETURN_URL] = $v;
	}

	// List URL
	function GetListUrl() {
		return "tb_appendslist.php";
	}

	// View URL
	function GetViewUrl() {
		return $this->KeyUrl("tb_appendsview.php", $this->UrlParm());
	}

	// Add URL
	function GetAddUrl() {
		return "tb_appendsadd.php";
	}

	// Edit URL
	function GetEditUrl($parm = "") {
		return $this->KeyUrl("tb_appendsedit.php", $this->UrlParm($parm));
	}

	// Inline edit URL
	function GetInlineEditUrl() {
		return $this->KeyUrl(ew_CurrentPage(), $this->UrlParm("a=edit"));
	}

	// Copy URL
	function GetCopyUrl($parm = "") {
		return $this->KeyUrl("tb_appendsadd.php", $this->UrlParm($parm));
	}

	// Inline copy URL
	function GetInlineCopyUrl() {
		return $this->KeyUrl(ew_CurrentPage(), $this->UrlParm("a=copy"));
	}

	// Delete URL
	function GetDeleteUrl() {
		return $this->KeyUrl("tb_appendsdelete.php", $this->UrlParm());
	}

	// Add key value to URL
	function KeyUrl($url, $parm = "") {
		$sUrl = $url . "?";
		if ($parm <> "") $sUrl .= $parm . "&";
		if (!is_null($this->ap_id->CurrentValue)) {
			$sUrl .= "ap_id=" . urlencode($this->ap_id->CurrentValue);
		} else {
			return "javascript:alert(ewLanguage.Phrase('InvalidRecord'));";
		}
		return $sUrl;
	}

	// Sort URL
	function SortUrl(&$fld) {
		if ($this->CurrentAction <> "" || $this->Export <> "" ||
			in_array($fld->FldType, array(128, 204, 205))) { // Unsortable data type
				return "";
		} elseif ($fld->Sortable) {
			$sUrlParm = $this->UrlParm("order=" . urlencode($fld->FldName) . "&ordertype=" . $fld->ReverseSort());
			return ew_CurrentPage() . "?" . $sUrlParm;
		} else {
			return "";
		}
	}

	// Get record keys from $_POST/$_GET/$_SESSION
	function GetRecordKeys() {
		global $EW_COMPOSITE_KEY_SEPARATOR;
		$arKeys = array();
		$arKey = array();
		if (isset($_POST["key_m"])) {
			$arKeys = ew_StripSlashes($_POST["key_m"]);
			$cnt = count($arKeys);
		} elseif (isset($_GET["key_m"])) {
			$arKeys = ew_StripSlashes($_GET["key_m"]);
			$cnt = count($arKeys);
		} elseif (isset($_GET)) {
			$arKeys[] = @$_GET["ap_id"]; // ap_id

			//return $arKeys; // do not return yet, so the values will also be checked by the following code
		}

		// check keys
		$ar = array();
		foreach ($arKeys as $key) {
			$ar[] = $key;
		}
		return $ar;
	}

	// Get key filter
	function GetKeyFilter() {
		$arKeys = $this->GetRecordKeys();
		$sKeyFilter = "";
		foreach ($arKeys as $key) {
			if ($sKeyFilter <> "") $sKeyFilter .= " OR ";
			$this->ap_id->CurrentValue = $key;
			$sKeyFilter .= "(" . $this->KeyFilter() . ")";
		}
		return $sKeyFilter;
	}

	// Load rows based on filter
	function &LoadRs($sFilter) {
		global $conn;

		// Set up filter (SQL WHERE clause) and get return SQL
		//$this->CurrentFilter = $sFilter;
		//$sSql = $this->SQL();

		$sSql = $this->GetSQL($sFilter, "");
		$rs = $conn->Execute($sSql);
		return $rs;
	}

	// Load row values from recordset
	function LoadListRowValues(&$rs) {
		$this->ap_id->setDbValue($rs->fields('ap_id'));
		$this->court_id->setDbValue($rs->fields('court_id'));
		$this->apt_id->setDbValue($rs->fields('apt_id'));
		$this->cont_id->setDbValue($rs->fields('cont_id'));
		$this->ap_sn->setDbValue($rs->fields('ap_sn'));
		$this->ap_number->setDbValue($rs->fields('ap_number'));
		$this->ap_brand->setDbValue($rs->fields('ap_brand'));
		$this->ap_model->setDbValue($rs->fields('ap_model'));
		$this->ap_append->setDbValue($rs->fields('ap_append'));
		$this->ap_description->setDbValue($rs->fields('ap_description'));
		$this->plt_id->setDbValue($rs->fields('plt_id'));
		$this->ap_year->setDbValue($rs->fields('ap_year'));
		$this->ap_date_recieve->setDbValue($rs->fields('ap_date_recieve'));
		$this->ap_contract_start->setDbValue($rs->fields('ap_contract_start'));
		$this->ap_warranty->setDbValue($rs->fields('ap_warranty'));
		$this->ap_price->setDbValue($rs->fields('ap_price'));
		$this->ap_origin->setDbValue($rs->fields('ap_origin'));
		$this->ap_present->setDbValue($rs->fields('ap_present'));
		$this->ap_comment->setDbValue($rs->fields('ap_comment'));
	}

	// Render list row values
	function RenderListRow() {
		global $conn, $Security;

		// Call Row Rendering event
		$this->Row_Rendering();

   // Common render codes
		// ap_id
		// court_id
		// apt_id
		// cont_id
		// ap_sn
		// ap_number
		// ap_brand
		// ap_model
		// ap_append
		// ap_description
		// plt_id
		// ap_year
		// ap_date_recieve
		// ap_contract_start
		// ap_warranty
		// ap_price
		// ap_origin
		// ap_present
		// ap_comment
		// ap_id

		$this->ap_id->ViewValue = $this->ap_id->CurrentValue;
		$this->ap_id->ViewCustomAttributes = "";

		// court_id
		$this->court_id->ViewValue = $this->court_id->CurrentValue;
		$this->court_id->ViewCustomAttributes = "";

		// apt_id
		if (strval($this->apt_id->CurrentValue) <> "") {
			$sFilterWrk = "`apt_id`" . ew_SearchString("=", $this->apt_id->CurrentValue, EW_DATATYPE_STRING);
		$sSqlWrk = "SELECT `apt_id`, `apt_name` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_append_types`";
		$sWhereWrk = "";
		if ($sFilterWrk <> "") {
			ew_AddFilter($sWhereWrk, $sFilterWrk);
		}
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = $conn->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$this->apt_id->ViewValue = $rswrk->fields('DispFld');
				$rswrk->Close();
			} else {
				$this->apt_id->ViewValue = $this->apt_id->CurrentValue;
			}
		} else {
			$this->apt_id->ViewValue = NULL;
		}
		$this->apt_id->ViewCustomAttributes = "";

		// cont_id
		if (strval($this->cont_id->CurrentValue) <> "") {
			$sFilterWrk = "`cont_id`" . ew_SearchString("=", $this->cont_id->CurrentValue, EW_DATATYPE_NUMBER);
		$sSqlWrk = "SELECT `cont_id`, `cont_num` AS `DispFld`, `cont_project` AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_contracts`";
		$sWhereWrk = "";
		if ($sFilterWrk <> "") {
			ew_AddFilter($sWhereWrk, $sFilterWrk);
		}
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = $conn->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$this->cont_id->ViewValue = $rswrk->fields('DispFld');
				$this->cont_id->ViewValue .= ew_ValueSeparator(1,$this->cont_id) . $rswrk->fields('Disp2Fld');
				$rswrk->Close();
			} else {
				$this->cont_id->ViewValue = $this->cont_id->CurrentValue;
			}
		} else {
			$this->cont_id->ViewValue = NULL;
		}
		$this->cont_id->ViewCustomAttributes = "";

		// ap_sn
		$this->ap_sn->ViewValue = $this->ap_sn->CurrentValue;
		$this->ap_sn->ViewCustomAttributes = "";

		// ap_number
		$this->ap_number->ViewValue = $this->ap_number->CurrentValue;
		$this->ap_number->ViewCustomAttributes = "";

		// ap_brand
		$this->ap_brand->ViewValue = $this->ap_brand->CurrentValue;
		$this->ap_brand->ViewCustomAttributes = "";

		// ap_model
		$this->ap_model->ViewValue = $this->ap_model->CurrentValue;
		$this->ap_model->ViewCustomAttributes = "";

		// ap_append
		$this->ap_append->ViewValue = $this->ap_append->CurrentValue;
		$this->ap_append->ViewCustomAttributes = "";

		// ap_description
		$this->ap_description->ViewValue = $this->ap_description->CurrentValue;
		$this->ap_description->ViewCustomAttributes = "";

		// plt_id
		if (strval($this->plt_id->CurrentValue) <> "") {
			$sFilterWrk = "`plt_id`" . ew_SearchString("=", $this->plt_id->CurrentValue, EW_DATATYPE_STRING);
		$sSqlWrk = "SELECT `plt_id`, `plt_name` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_place_types`";
		$sWhereWrk = "";
		if ($sFilterWrk <> "") {
			ew_AddFilter($sWhereWrk, $sFilterWrk);
		}
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = $conn->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$this->plt_id->ViewValue = $rswrk->fields('DispFld');
				$rswrk->Close();
			} else {
				$this->plt_id->ViewValue = $this->plt_id->CurrentValue;
			}
		} else {
			$this->plt_id->ViewValue = NULL;
		}
		$this->plt_id->ViewCustomAttributes = "";

		// ap_year
		$this->ap_year->ViewValue = $this->ap_year->CurrentValue;
		$this->ap_year->ViewCustomAttributes = "";

		// ap_date_recieve
		$this->ap_date_recieve->ViewValue = $this->ap_date_recieve->CurrentValue;
		$this->ap_date_recieve->ViewValue = ew_FormatDateTime($this->ap_date_recieve->ViewValue, 5);
		$this->ap_date_recieve->ViewCustomAttributes = "";

		// ap_contract_start
		$this->ap_contract_start->ViewValue = $this->ap_contract_start->CurrentValue;
		$this->ap_contract_start->ViewValue = ew_FormatDateTime($this->ap_contract_start->ViewValue, 5);
		$this->ap_contract_start->ViewCustomAttributes = "";

		// ap_warranty
		$this->ap_warranty->ViewValue = $this->ap_warranty->CurrentValue;
		$this->ap_warranty->ViewCustomAttributes = "";

		// ap_price
		$this->ap_price->ViewValue = $this->ap_price->CurrentValue;
		$this->ap_price->ViewCustomAttributes = "";

		// ap_origin
		if (strval($this->ap_origin->CurrentValue) <> "") {
			switch ($this->ap_origin->CurrentValue) {
				case $this->ap_origin->FldTagValue(1):
					$this->ap_origin->ViewValue = $this->ap_origin->FldTagCaption(1) <> "" ? $this->ap_origin->FldTagCaption(1) : $this->ap_origin->CurrentValue;
					break;
				case $this->ap_origin->FldTagValue(2):
					$this->ap_origin->ViewValue = $this->ap_origin->FldTagCaption(2) <> "" ? $this->ap_origin->FldTagCaption(2) : $this->ap_origin->CurrentValue;
					break;
				case $this->ap_origin->FldTagValue(3):
					$this->ap_origin->ViewValue = $this->ap_origin->FldTagCaption(3) <> "" ? $this->ap_origin->FldTagCaption(3) : $this->ap_origin->CurrentValue;
					break;
				case $this->ap_origin->FldTagValue(4):
					$this->ap_origin->ViewValue = $this->ap_origin->FldTagCaption(4) <> "" ? $this->ap_origin->FldTagCaption(4) : $this->ap_origin->CurrentValue;
					break;
				default:
					$this->ap_origin->ViewValue = $this->ap_origin->CurrentValue;
			}
		} else {
			$this->ap_origin->ViewValue = NULL;
		}
		$this->ap_origin->ViewCustomAttributes = "";

		// ap_present
		if (strval($this->ap_present->CurrentValue) <> "") {
			switch ($this->ap_present->CurrentValue) {
				case $this->ap_present->FldTagValue(1):
					$this->ap_present->ViewValue = $this->ap_present->FldTagCaption(1) <> "" ? $this->ap_present->FldTagCaption(1) : $this->ap_present->CurrentValue;
					break;
				case $this->ap_present->FldTagValue(2):
					$this->ap_present->ViewValue = $this->ap_present->FldTagCaption(2) <> "" ? $this->ap_present->FldTagCaption(2) : $this->ap_present->CurrentValue;
					break;
				case $this->ap_present->FldTagValue(3):
					$this->ap_present->ViewValue = $this->ap_present->FldTagCaption(3) <> "" ? $this->ap_present->FldTagCaption(3) : $this->ap_present->CurrentValue;
					break;
				case $this->ap_present->FldTagValue(4):
					$this->ap_present->ViewValue = $this->ap_present->FldTagCaption(4) <> "" ? $this->ap_present->FldTagCaption(4) : $this->ap_present->CurrentValue;
					break;
				case $this->ap_present->FldTagValue(5):
					$this->ap_present->ViewValue = $this->ap_present->FldTagCaption(5) <> "" ? $this->ap_present->FldTagCaption(5) : $this->ap_present->CurrentValue;
					break;
				case $this->ap_present->FldTagValue(6):
					$this->ap_present->ViewValue = $this->ap_present->FldTagCaption(6) <> "" ? $this->ap_present->FldTagCaption(6) : $this->ap_present->CurrentValue;
					break;
				default:
					$this->ap_present->ViewValue = $this->ap_present->CurrentValue;
			}
		} else {
			$this->ap_present->ViewValue = NULL;
		}
		$this->ap_present->ViewCustomAttributes = "";

		// ap_comment
		$this->ap_comment->ViewValue = $this->ap_comment->CurrentValue;
		$this->ap_comment->ViewCustomAttributes = "";

		// ap_id
		$this->ap_id->LinkCustomAttributes = "";
		$this->ap_id->HrefValue = "";
		$this->ap_id->TooltipValue = "";

		// court_id
		$this->court_id->LinkCustomAttributes = "";
		$this->court_id->HrefValue = "";
		$this->court_id->TooltipValue = "";

		// apt_id
		$this->apt_id->LinkCustomAttributes = "";
		$this->apt_id->HrefValue = "";
		$this->apt_id->TooltipValue = "";

		// cont_id
		$this->cont_id->LinkCustomAttributes = "";
		$this->cont_id->HrefValue = "";
		$this->cont_id->TooltipValue = "";

		// ap_sn
		$this->ap_sn->LinkCustomAttributes = "";
		$this->ap_sn->HrefValue = "";
		$this->ap_sn->TooltipValue = "";

		// ap_number
		$this->ap_number->LinkCustomAttributes = "";
		$this->ap_number->HrefValue = "";
		$this->ap_number->TooltipValue = "";

		// ap_brand
		$this->ap_brand->LinkCustomAttributes = "";
		$this->ap_brand->HrefValue = "";
		$this->ap_brand->TooltipValue = "";

		// ap_model
		$this->ap_model->LinkCustomAttributes = "";
		$this->ap_model->HrefValue = "";
		$this->ap_model->TooltipValue = "";

		// ap_append
		$this->ap_append->LinkCustomAttributes = "";
		$this->ap_append->HrefValue = "";
		$this->ap_append->TooltipValue = "";

		// ap_description
		$this->ap_description->LinkCustomAttributes = "";
		$this->ap_description->HrefValue = "";
		$this->ap_description->TooltipValue = "";

		// plt_id
		$this->plt_id->LinkCustomAttributes = "";
		$this->plt_id->HrefValue = "";
		$this->plt_id->TooltipValue = "";

		// ap_year
		$this->ap_year->LinkCustomAttributes = "";
		$this->ap_year->HrefValue = "";
		$this->ap_year->TooltipValue = "";

		// ap_date_recieve
		$this->ap_date_recieve->LinkCustomAttributes = "";
		$this->ap_date_recieve->HrefValue = "";
		$this->ap_date_recieve->TooltipValue = "";

		// ap_contract_start
		$this->ap_contract_start->LinkCustomAttributes = "";
		$this->ap_contract_start->HrefValue = "";
		$this->ap_contract_start->TooltipValue = "";

		// ap_warranty
		$this->ap_warranty->LinkCustomAttributes = "";
		$this->ap_warranty->HrefValue = "";
		$this->ap_warranty->TooltipValue = "";

		// ap_price
		$this->ap_price->LinkCustomAttributes = "";
		$this->ap_price->HrefValue = "";
		$this->ap_price->TooltipValue = "";

		// ap_origin
		$this->ap_origin->LinkCustomAttributes = "";
		$this->ap_origin->HrefValue = "";
		$this->ap_origin->TooltipValue = "";

		// ap_present
		$this->ap_present->LinkCustomAttributes = "";
		$this->ap_present->HrefValue = "";
		$this->ap_present->TooltipValue = "";

		// ap_comment
		$this->ap_comment->LinkCustomAttributes = "";
		$this->ap_comment->HrefValue = "";
		$this->ap_comment->TooltipValue = "";

		// Call Row Rendered event
		$this->Row_Rendered();
	}

	// Aggregate list row values
	function AggregateListRowValues() {
	}

	// Aggregate list row (for rendering)
	function AggregateListRow() {
	}

	// Export data in HTML/CSV/Word/Excel/Email/PDF format
	function ExportDocument(&$Doc, &$Recordset, $StartRec, $StopRec, $ExportPageType = "") {
		if (!$Recordset || !$Doc)
			return;

		// Write header
		$Doc->ExportTableHeader();
		if ($Doc->Horizontal) { // Horizontal format, write header
			$Doc->BeginExportRow();
			if ($ExportPageType == "view") {
				$Doc->ExportCaption($this->ap_id);
				$Doc->ExportCaption($this->court_id);
				$Doc->ExportCaption($this->apt_id);
				$Doc->ExportCaption($this->cont_id);
				$Doc->ExportCaption($this->ap_sn);
				$Doc->ExportCaption($this->ap_number);
				$Doc->ExportCaption($this->ap_brand);
				$Doc->ExportCaption($this->ap_model);
				$Doc->ExportCaption($this->ap_append);
				$Doc->ExportCaption($this->ap_description);
				$Doc->ExportCaption($this->plt_id);
				$Doc->ExportCaption($this->ap_year);
				$Doc->ExportCaption($this->ap_date_recieve);
				$Doc->ExportCaption($this->ap_contract_start);
				$Doc->ExportCaption($this->ap_warranty);
				$Doc->ExportCaption($this->ap_price);
				$Doc->ExportCaption($this->ap_origin);
				$Doc->ExportCaption($this->ap_present);
				$Doc->ExportCaption($this->ap_comment);
			} else {
				$Doc->ExportCaption($this->ap_id);
				$Doc->ExportCaption($this->court_id);
				$Doc->ExportCaption($this->apt_id);
				$Doc->ExportCaption($this->cont_id);
				$Doc->ExportCaption($this->ap_sn);
				$Doc->ExportCaption($this->ap_number);
				$Doc->ExportCaption($this->ap_brand);
				$Doc->ExportCaption($this->ap_model);
				$Doc->ExportCaption($this->ap_append);
				$Doc->ExportCaption($this->ap_description);
				$Doc->ExportCaption($this->plt_id);
				$Doc->ExportCaption($this->ap_year);
				$Doc->ExportCaption($this->ap_date_recieve);
				$Doc->ExportCaption($this->ap_contract_start);
				$Doc->ExportCaption($this->ap_warranty);
				$Doc->ExportCaption($this->ap_price);
				$Doc->ExportCaption($this->ap_origin);
				$Doc->ExportCaption($this->ap_present);
				$Doc->ExportCaption($this->ap_comment);
			}
			$Doc->EndExportRow();
		}

		// Move to first record
		$RecCnt = $StartRec - 1;
		if (!$Recordset->EOF) {
			$Recordset->MoveFirst();
			if ($StartRec > 1)
				$Recordset->Move($StartRec - 1);
		}
		while (!$Recordset->EOF && $RecCnt < $StopRec) {
			$RecCnt++;
			if (intval($RecCnt) >= intval($StartRec)) {
				$RowCnt = intval($RecCnt) - intval($StartRec) + 1;

				// Page break
				if ($this->ExportPageBreakCount > 0) {
					if ($RowCnt > 1 && ($RowCnt - 1) % $this->ExportPageBreakCount == 0)
						$Doc->ExportPageBreak();
				}
				$this->LoadListRowValues($Recordset);

				// Render row
				$this->RowType = EW_ROWTYPE_VIEW; // Render view
				$this->ResetAttrs();
				$this->RenderListRow();
				$Doc->BeginExportRow($RowCnt); // Allow CSS styles if enabled
				if ($ExportPageType == "view") {
					$Doc->ExportField($this->ap_id);
					$Doc->ExportField($this->court_id);
					$Doc->ExportField($this->apt_id);
					$Doc->ExportField($this->cont_id);
					$Doc->ExportField($this->ap_sn);
					$Doc->ExportField($this->ap_number);
					$Doc->ExportField($this->ap_brand);
					$Doc->ExportField($this->ap_model);
					$Doc->ExportField($this->ap_append);
					$Doc->ExportField($this->ap_description);
					$Doc->ExportField($this->plt_id);
					$Doc->ExportField($this->ap_year);
					$Doc->ExportField($this->ap_date_recieve);
					$Doc->ExportField($this->ap_contract_start);
					$Doc->ExportField($this->ap_warranty);
					$Doc->ExportField($this->ap_price);
					$Doc->ExportField($this->ap_origin);
					$Doc->ExportField($this->ap_present);
					$Doc->ExportField($this->ap_comment);
				} else {
					$Doc->ExportField($this->ap_id);
					$Doc->ExportField($this->court_id);
					$Doc->ExportField($this->apt_id);
					$Doc->ExportField($this->cont_id);
					$Doc->ExportField($this->ap_sn);
					$Doc->ExportField($this->ap_number);
					$Doc->ExportField($this->ap_brand);
					$Doc->ExportField($this->ap_model);
					$Doc->ExportField($this->ap_append);
					$Doc->ExportField($this->ap_description);
					$Doc->ExportField($this->plt_id);
					$Doc->ExportField($this->ap_year);
					$Doc->ExportField($this->ap_date_recieve);
					$Doc->ExportField($this->ap_contract_start);
					$Doc->ExportField($this->ap_warranty);
					$Doc->ExportField($this->ap_price);
					$Doc->ExportField($this->ap_origin);
					$Doc->ExportField($this->ap_present);
					$Doc->ExportField($this->ap_comment);
				}
				$Doc->EndExportRow();
			}
			$Recordset->MoveNext();
		}
		$Doc->ExportTableFooter();
	}

	// Table level events
	// Recordset Selecting event
	function Recordset_Selecting(&$filter) {

		// Enter your code here	
	}

	// Recordset Selected event
	function Recordset_Selected(&$rs) {

		//echo "Recordset Selected";
	}

	// Recordset Search Validated event
	function Recordset_SearchValidated() {

		// Example:
		//$this->MyField1->AdvancedSearch->SearchValue = "your search criteria"; // Search value

	}

	// Recordset Searching event
	function Recordset_Searching(&$filter) {

		// Enter your code here	
	}

	// Row_Selecting event
	function Row_Selecting(&$filter) {

		// Enter your code here	
	}

	// Row Selected event
	function Row_Selected(&$rs) {

		//echo "Row Selected";
	}

	// Row Inserting event
	function Row_Inserting($rsold, &$rsnew) {

		// Enter your code here
		// To cancel, set return value to FALSE

		return TRUE;
	}

	// Row Inserted event
	function Row_Inserted($rsold, &$rsnew) {

		//echo "Row Inserted"
	}

	// Row Updating event
	function Row_Updating($rsold, &$rsnew) {

		// Enter your code here
		// To cancel, set return value to FALSE

		return TRUE;
	}

	// Row Updated event
	function Row_Updated($rsold, &$rsnew) {

		//echo "Row Updated";
	}

	// Row Update Conflict event
	function Row_UpdateConflict($rsold, &$rsnew) {

		// Enter your code here
		// To ignore conflict, set return value to FALSE

		return TRUE;
	}

	// Row Deleting event
	function Row_Deleting(&$rs) {

		// Enter your code here
		// To cancel, set return value to False

		return TRUE;
	}

	// Row Deleted event
	function Row_Deleted(&$rs) {

		//echo "Row Deleted";
	}

	// Email Sending event
	function Email_Sending(&$Email, &$Args) {

		//var_dump($Email); var_dump($Args); exit();
		return TRUE;
	}

	// Row Rendering event
	function Row_Rendering() {

		// Enter your code here	
	}

	// Row Rendered event
	function Row_Rendered() {

		// To view properties of field class, use:
		//var_dump($this-><FieldName>); 

	}

	// User ID Filtering event
	function UserID_Filtering(&$filter) {

		// Enter your code here
	}
}
?>
