<?php
if (session_id() == "") session_start(); // Initialize Session data
ob_start(); // Turn on output buffering
?>
<?php include_once "ewcfg9.php" ?>
<?php include_once "ewmysql9.php" ?>
<?php include_once "phpfn9.php" ?>
<?php include_once "tb_appendsinfo.php" ?>
<?php include_once "userfn9.php" ?>
<?php

//
// Page class
//

$tb_appends_view = NULL; // Initialize page object first

class ctb_appends_view extends ctb_appends {

	// Page ID
	var $PageID = 'view';

	// Project ID
	var $ProjectID = "{6072F4AB-8E55-4BED-87E8-94ADB1680AEB}";

	// Table name
	var $TableName = 'tb_appends';

	// Page object name
	var $PageObjName = 'tb_appends_view';

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		if ($this->UseTokenInUrl) $PageUrl .= "t=" . $this->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Page URLs
	var $AddUrl;
	var $EditUrl;
	var $CopyUrl;
	var $DeleteUrl;
	var $ViewUrl;
	var $ListUrl;

	// Export URLs
	var $ExportPrintUrl;
	var $ExportHtmlUrl;
	var $ExportExcelUrl;
	var $ExportWordUrl;
	var $ExportXmlUrl;
	var $ExportCsvUrl;
	var $ExportPdfUrl;

	// Update URLs
	var $InlineAddUrl;
	var $InlineCopyUrl;
	var $InlineEditUrl;
	var $GridAddUrl;
	var $GridEditUrl;
	var $MultiDeleteUrl;
	var $MultiUpdateUrl;

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_MESSAGE], $v);
	}

	function getFailureMessage() {
		return @$_SESSION[EW_SESSION_FAILURE_MESSAGE];
	}

	function setFailureMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_FAILURE_MESSAGE], $v);
	}

	function getSuccessMessage() {
		return @$_SESSION[EW_SESSION_SUCCESS_MESSAGE];
	}

	function setSuccessMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_SUCCESS_MESSAGE], $v);
	}

	function getWarningMessage() {
		return @$_SESSION[EW_SESSION_WARNING_MESSAGE];
	}

	function setWarningMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_WARNING_MESSAGE], $v);
	}

	// Show message
	function ShowMessage() {
		$hidden = FALSE;
		$html = "";

		// Message
		$sMessage = $this->getMessage();
		$this->Message_Showing($sMessage, "");
		if ($sMessage <> "") { // Message in Session, display
			$html .= "<p class=\"ewMessage\">" . $sMessage . "</p>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}

		// Warning message
		$sWarningMessage = $this->getWarningMessage();
		$this->Message_Showing($sWarningMessage, "warning");
		if ($sWarningMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewWarningIcon\"></td><td class=\"ewWarningMessage\">" . $sWarningMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_WARNING_MESSAGE] = ""; // Clear message in Session
		}

		// Success message
		$sSuccessMessage = $this->getSuccessMessage();
		$this->Message_Showing($sSuccessMessage, "success");
		if ($sSuccessMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewSuccessIcon\"></td><td class=\"ewSuccessMessage\">" . $sSuccessMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = ""; // Clear message in Session
		}

		// Failure message
		$sErrorMessage = $this->getFailureMessage();
		$this->Message_Showing($sErrorMessage, "failure");
		if ($sErrorMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewErrorIcon\"></td><td class=\"ewErrorMessage\">" . $sErrorMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_FAILURE_MESSAGE] = ""; // Clear message in Session
		}		
		echo "<div class=\"ewMessageDialog\"" . (($hidden) ? " style=\"display: none;\"" : "") . ">" . $html . "</div>";
	}
	var $PageHeader;
	var $PageFooter;

	// Show Page Header
	function ShowPageHeader() {
		$sHeader = $this->PageHeader;
		$this->Page_DataRendering($sHeader);
		if ($sHeader <> "") { // Header exists, display
			echo "<p class=\"phpmaker\">" . $sHeader . "</p>";
		}
	}

	// Show Page Footer
	function ShowPageFooter() {
		$sFooter = $this->PageFooter;
		$this->Page_DataRendered($sFooter);
		if ($sFooter <> "") { // Fotoer exists, display
			echo "<p class=\"phpmaker\">" . $sFooter . "</p>";
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm;
		if ($this->UseTokenInUrl) {
			if ($objForm)
				return ($this->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($this->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}

	//
	// Page class constructor
	//
	function __construct() {
		global $conn, $Language;
		$GLOBALS["Page"] = &$this;

		// Language object
		if (!isset($Language)) $Language = new cLanguage();

		// Parent constuctor
		parent::__construct();

		// Table object (tb_appends)
		if (!isset($GLOBALS["tb_appends"])) {
			$GLOBALS["tb_appends"] = &$this;
			$GLOBALS["Table"] = &$GLOBALS["tb_appends"];
		}
		$KeyUrl = "";
		if (@$_GET["ap_id"] <> "") {
			$this->RecKey["ap_id"] = $_GET["ap_id"];
			$KeyUrl .= "&ap_id=" . urlencode($this->RecKey["ap_id"]);
		}
		$this->ExportPrintUrl = $this->PageUrl() . "export=print" . $KeyUrl;
		$this->ExportHtmlUrl = $this->PageUrl() . "export=html" . $KeyUrl;
		$this->ExportExcelUrl = $this->PageUrl() . "export=excel" . $KeyUrl;
		$this->ExportWordUrl = $this->PageUrl() . "export=word" . $KeyUrl;
		$this->ExportXmlUrl = $this->PageUrl() . "export=xml" . $KeyUrl;
		$this->ExportCsvUrl = $this->PageUrl() . "export=csv" . $KeyUrl;
		$this->ExportPdfUrl = $this->PageUrl() . "export=pdf" . $KeyUrl;

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'view', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'tb_appends', TRUE);

		// Start timer
		if (!isset($GLOBALS["gTimer"])) $GLOBALS["gTimer"] = new cTimer();

		// Open connection
		if (!isset($conn)) $conn = ew_Connect();

		// Export options
		$this->ExportOptions = new cListOptions();
		$this->ExportOptions->Tag = "span";
		$this->ExportOptions->TagClassName = "ewExportOption";
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;
		$this->CurrentAction = (@$_GET["a"] <> "") ? $_GET["a"] : @$_POST["a_list"];

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $conn;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();
		$this->Page_Redirecting($url);

		 // Close connection
		$conn->Close();

		// Go to URL if specified
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			header("Location: " . $url);
		}
		exit();
	}
	var $ExportOptions; // Export options
	var $DisplayRecs = 1;
	var $StartRec;
	var $StopRec;
	var $TotalRecs = 0;
	var $RecRange = 10;
	var $Pager;
	var $RecCnt;
	var $RecKey = array();
	var $Recordset;

	//
	// Page main
	//
	function Page_Main() {
		global $Language;

		// Load current record
		$bLoadCurrentRecord = FALSE;
		$sReturnUrl = "";
		$bMatchRecord = FALSE;
		if ($this->IsPageRequest()) { // Validate request
			if (@$_GET["ap_id"] <> "") {
				$this->ap_id->setQueryStringValue($_GET["ap_id"]);
				$this->RecKey["ap_id"] = $this->ap_id->QueryStringValue;
			} else {
				$bLoadCurrentRecord = TRUE;
			}

			// Get action
			$this->CurrentAction = "I"; // Display form
			switch ($this->CurrentAction) {
				case "I": // Get a record to display
					$this->StartRec = 1; // Initialize start position
					if ($this->Recordset = $this->LoadRecordset()) // Load records
						$this->TotalRecs = $this->Recordset->RecordCount(); // Get record count
					if ($this->TotalRecs <= 0) { // No record found
						if ($this->getSuccessMessage() == "" && $this->getFailureMessage() == "")
							$this->setFailureMessage($Language->Phrase("NoRecord")); // Set no record message
						$this->Page_Terminate("tb_appendslist.php"); // Return to list page
					} elseif ($bLoadCurrentRecord) { // Load current record position
						$this->SetUpStartRec(); // Set up start record position

						// Point to current record
						if (intval($this->StartRec) <= intval($this->TotalRecs)) {
							$bMatchRecord = TRUE;
							$this->Recordset->Move($this->StartRec-1);
						}
					} else { // Match key values
						while (!$this->Recordset->EOF) {
							if (strval($this->ap_id->CurrentValue) == strval($this->Recordset->fields('ap_id'))) {
								$this->setStartRecordNumber($this->StartRec); // Save record position
								$bMatchRecord = TRUE;
								break;
							} else {
								$this->StartRec++;
								$this->Recordset->MoveNext();
							}
						}
					}
					if (!$bMatchRecord) {
						if ($this->getSuccessMessage() == "" && $this->getFailureMessage() == "")
							$this->setFailureMessage($Language->Phrase("NoRecord")); // Set no record message
						$sReturnUrl = "tb_appendslist.php"; // No matching record, return to list
					} else {
						$this->LoadRowValues($this->Recordset); // Load row values
					}
			}
		} else {
			$sReturnUrl = "tb_appendslist.php"; // Not page request, return to list
		}
		if ($sReturnUrl <> "")
			$this->Page_Terminate($sReturnUrl);

		// Render row
		$this->RowType = EW_ROWTYPE_VIEW;
		$this->ResetAttrs();
		$this->RenderRow();
	}

	// Set up starting record parameters
	function SetUpStartRec() {
		if ($this->DisplayRecs == 0)
			return;
		if ($this->IsPageRequest()) { // Validate request
			if (@$_GET[EW_TABLE_START_REC] <> "") { // Check for "start" parameter
				$this->StartRec = $_GET[EW_TABLE_START_REC];
				$this->setStartRecordNumber($this->StartRec);
			} elseif (@$_GET[EW_TABLE_PAGE_NO] <> "") {
				$PageNo = $_GET[EW_TABLE_PAGE_NO];
				if (is_numeric($PageNo)) {
					$this->StartRec = ($PageNo-1)*$this->DisplayRecs+1;
					if ($this->StartRec <= 0) {
						$this->StartRec = 1;
					} elseif ($this->StartRec >= intval(($this->TotalRecs-1)/$this->DisplayRecs)*$this->DisplayRecs+1) {
						$this->StartRec = intval(($this->TotalRecs-1)/$this->DisplayRecs)*$this->DisplayRecs+1;
					}
					$this->setStartRecordNumber($this->StartRec);
				}
			}
		}
		$this->StartRec = $this->getStartRecordNumber();

		// Check if correct start record counter
		if (!is_numeric($this->StartRec) || $this->StartRec == "") { // Avoid invalid start record counter
			$this->StartRec = 1; // Reset start record counter
			$this->setStartRecordNumber($this->StartRec);
		} elseif (intval($this->StartRec) > intval($this->TotalRecs)) { // Avoid starting record > total records
			$this->StartRec = intval(($this->TotalRecs-1)/$this->DisplayRecs)*$this->DisplayRecs+1; // Point to last page first record
			$this->setStartRecordNumber($this->StartRec);
		} elseif (($this->StartRec-1) % $this->DisplayRecs <> 0) {
			$this->StartRec = intval(($this->StartRec-1)/$this->DisplayRecs)*$this->DisplayRecs+1; // Point to page boundary
			$this->setStartRecordNumber($this->StartRec);
		}
	}

	// Load recordset
	function LoadRecordset($offset = -1, $rowcnt = -1) {
		global $conn;

		// Call Recordset Selecting event
		$this->Recordset_Selecting($this->CurrentFilter);

		// Load List page SQL
		$sSql = $this->SelectSQL();
		if ($offset > -1 && $rowcnt > -1)
			$sSql .= " LIMIT $rowcnt OFFSET $offset";

		// Load recordset
		$rs = ew_LoadRecordset($sSql);

		// Call Recordset Selected event
		$this->Recordset_Selected($rs);
		return $rs;
	}

	// Load row based on key values
	function LoadRow() {
		global $conn, $Security, $Language;
		$sFilter = $this->KeyFilter();

		// Call Row Selecting event
		$this->Row_Selecting($sFilter);

		// Load SQL based on filter
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		global $conn;
		if (!$rs || $rs->EOF) return;

		// Call Row Selected event
		$row = &$rs->fields;
		$this->Row_Selected($row);
		$this->ap_id->setDbValue($rs->fields('ap_id'));
		$this->court_id->setDbValue($rs->fields('court_id'));
		$this->apt_id->setDbValue($rs->fields('apt_id'));
		$this->cont_id->setDbValue($rs->fields('cont_id'));
		$this->ap_sn->setDbValue($rs->fields('ap_sn'));
		$this->ap_number->setDbValue($rs->fields('ap_number'));
		$this->ap_brand->setDbValue($rs->fields('ap_brand'));
		$this->ap_model->setDbValue($rs->fields('ap_model'));
		$this->ap_append->setDbValue($rs->fields('ap_append'));
		$this->ap_description->setDbValue($rs->fields('ap_description'));
		$this->plt_id->setDbValue($rs->fields('plt_id'));
		$this->ap_year->setDbValue($rs->fields('ap_year'));
		$this->ap_date_recieve->setDbValue($rs->fields('ap_date_recieve'));
		$this->ap_contract_start->setDbValue($rs->fields('ap_contract_start'));
		$this->ap_warranty->setDbValue($rs->fields('ap_warranty'));
		$this->ap_price->setDbValue($rs->fields('ap_price'));
		$this->ap_origin->setDbValue($rs->fields('ap_origin'));
		$this->ap_present->setDbValue($rs->fields('ap_present'));
		$this->ap_comment->setDbValue($rs->fields('ap_comment'));
	}

	// Render row values based on field settings
	function RenderRow() {
		global $conn, $Security, $Language;
		global $gsLanguage;

		// Initialize URLs
		$this->AddUrl = $this->GetAddUrl();
		$this->EditUrl = $this->GetEditUrl();
		$this->CopyUrl = $this->GetCopyUrl();
		$this->DeleteUrl = $this->GetDeleteUrl();
		$this->ListUrl = $this->GetListUrl();

		// Convert decimal values if posted back
		if ($this->ap_warranty->FormValue == $this->ap_warranty->CurrentValue && is_numeric(ew_StrToFloat($this->ap_warranty->CurrentValue)))
			$this->ap_warranty->CurrentValue = ew_StrToFloat($this->ap_warranty->CurrentValue);

		// Convert decimal values if posted back
		if ($this->ap_price->FormValue == $this->ap_price->CurrentValue && is_numeric(ew_StrToFloat($this->ap_price->CurrentValue)))
			$this->ap_price->CurrentValue = ew_StrToFloat($this->ap_price->CurrentValue);

		// Call Row_Rendering event
		$this->Row_Rendering();

		// Common render codes for all row types
		// ap_id
		// court_id
		// apt_id
		// cont_id
		// ap_sn
		// ap_number
		// ap_brand
		// ap_model
		// ap_append
		// ap_description
		// plt_id
		// ap_year
		// ap_date_recieve
		// ap_contract_start
		// ap_warranty
		// ap_price
		// ap_origin
		// ap_present
		// ap_comment

		if ($this->RowType == EW_ROWTYPE_VIEW) { // View row

			// ap_id
			$this->ap_id->ViewValue = $this->ap_id->CurrentValue;
			$this->ap_id->ViewCustomAttributes = "";

			// court_id
			$this->court_id->ViewValue = $this->court_id->CurrentValue;
			$this->court_id->ViewCustomAttributes = "";

			// apt_id
			if (strval($this->apt_id->CurrentValue) <> "") {
				$sFilterWrk = "`apt_id`" . ew_SearchString("=", $this->apt_id->CurrentValue, EW_DATATYPE_STRING);
			$sSqlWrk = "SELECT `apt_id`, `apt_name` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_append_types`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				ew_AddFilter($sWhereWrk, $sFilterWrk);
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$this->apt_id->ViewValue = $rswrk->fields('DispFld');
					$rswrk->Close();
				} else {
					$this->apt_id->ViewValue = $this->apt_id->CurrentValue;
				}
			} else {
				$this->apt_id->ViewValue = NULL;
			}
			$this->apt_id->ViewCustomAttributes = "";

			// cont_id
			if (strval($this->cont_id->CurrentValue) <> "") {
				$sFilterWrk = "`cont_id`" . ew_SearchString("=", $this->cont_id->CurrentValue, EW_DATATYPE_NUMBER);
			$sSqlWrk = "SELECT `cont_id`, `cont_num` AS `DispFld`, `cont_project` AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_contracts`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				ew_AddFilter($sWhereWrk, $sFilterWrk);
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$this->cont_id->ViewValue = $rswrk->fields('DispFld');
					$this->cont_id->ViewValue .= ew_ValueSeparator(1,$tb_appends->cont_id) . $rswrk->fields('Disp2Fld');
					$rswrk->Close();
				} else {
					$this->cont_id->ViewValue = $this->cont_id->CurrentValue;
				}
			} else {
				$this->cont_id->ViewValue = NULL;
			}
			$this->cont_id->ViewCustomAttributes = "";

			// ap_sn
			$this->ap_sn->ViewValue = $this->ap_sn->CurrentValue;
			$this->ap_sn->ViewCustomAttributes = "";

			// ap_number
			$this->ap_number->ViewValue = $this->ap_number->CurrentValue;
			$this->ap_number->ViewCustomAttributes = "";

			// ap_brand
			$this->ap_brand->ViewValue = $this->ap_brand->CurrentValue;
			$this->ap_brand->ViewCustomAttributes = "";

			// ap_model
			$this->ap_model->ViewValue = $this->ap_model->CurrentValue;
			$this->ap_model->ViewCustomAttributes = "";

			// ap_append
			$this->ap_append->ViewValue = $this->ap_append->CurrentValue;
			$this->ap_append->ViewCustomAttributes = "";

			// ap_description
			$this->ap_description->ViewValue = $this->ap_description->CurrentValue;
			$this->ap_description->ViewCustomAttributes = "";

			// plt_id
			if (strval($this->plt_id->CurrentValue) <> "") {
				$sFilterWrk = "`plt_id`" . ew_SearchString("=", $this->plt_id->CurrentValue, EW_DATATYPE_STRING);
			$sSqlWrk = "SELECT `plt_id`, `plt_name` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_place_types`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				ew_AddFilter($sWhereWrk, $sFilterWrk);
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$this->plt_id->ViewValue = $rswrk->fields('DispFld');
					$rswrk->Close();
				} else {
					$this->plt_id->ViewValue = $this->plt_id->CurrentValue;
				}
			} else {
				$this->plt_id->ViewValue = NULL;
			}
			$this->plt_id->ViewCustomAttributes = "";

			// ap_year
			$this->ap_year->ViewValue = $this->ap_year->CurrentValue;
			$this->ap_year->ViewCustomAttributes = "";

			// ap_date_recieve
			$this->ap_date_recieve->ViewValue = $this->ap_date_recieve->CurrentValue;
			$this->ap_date_recieve->ViewValue = ew_FormatDateTime($this->ap_date_recieve->ViewValue, 5);
			$this->ap_date_recieve->ViewCustomAttributes = "";

			// ap_contract_start
			$this->ap_contract_start->ViewValue = $this->ap_contract_start->CurrentValue;
			$this->ap_contract_start->ViewValue = ew_FormatDateTime($this->ap_contract_start->ViewValue, 5);
			$this->ap_contract_start->ViewCustomAttributes = "";

			// ap_warranty
			$this->ap_warranty->ViewValue = $this->ap_warranty->CurrentValue;
			$this->ap_warranty->ViewCustomAttributes = "";

			// ap_price
			$this->ap_price->ViewValue = $this->ap_price->CurrentValue;
			$this->ap_price->ViewCustomAttributes = "";

			// ap_origin
			if (strval($this->ap_origin->CurrentValue) <> "") {
				switch ($this->ap_origin->CurrentValue) {
					case $this->ap_origin->FldTagValue(1):
						$this->ap_origin->ViewValue = $this->ap_origin->FldTagCaption(1) <> "" ? $this->ap_origin->FldTagCaption(1) : $this->ap_origin->CurrentValue;
						break;
					case $this->ap_origin->FldTagValue(2):
						$this->ap_origin->ViewValue = $this->ap_origin->FldTagCaption(2) <> "" ? $this->ap_origin->FldTagCaption(2) : $this->ap_origin->CurrentValue;
						break;
					case $this->ap_origin->FldTagValue(3):
						$this->ap_origin->ViewValue = $this->ap_origin->FldTagCaption(3) <> "" ? $this->ap_origin->FldTagCaption(3) : $this->ap_origin->CurrentValue;
						break;
					case $this->ap_origin->FldTagValue(4):
						$this->ap_origin->ViewValue = $this->ap_origin->FldTagCaption(4) <> "" ? $this->ap_origin->FldTagCaption(4) : $this->ap_origin->CurrentValue;
						break;
					default:
						$this->ap_origin->ViewValue = $this->ap_origin->CurrentValue;
				}
			} else {
				$this->ap_origin->ViewValue = NULL;
			}
			$this->ap_origin->ViewCustomAttributes = "";

			// ap_present
			if (strval($this->ap_present->CurrentValue) <> "") {
				switch ($this->ap_present->CurrentValue) {
					case $this->ap_present->FldTagValue(1):
						$this->ap_present->ViewValue = $this->ap_present->FldTagCaption(1) <> "" ? $this->ap_present->FldTagCaption(1) : $this->ap_present->CurrentValue;
						break;
					case $this->ap_present->FldTagValue(2):
						$this->ap_present->ViewValue = $this->ap_present->FldTagCaption(2) <> "" ? $this->ap_present->FldTagCaption(2) : $this->ap_present->CurrentValue;
						break;
					case $this->ap_present->FldTagValue(3):
						$this->ap_present->ViewValue = $this->ap_present->FldTagCaption(3) <> "" ? $this->ap_present->FldTagCaption(3) : $this->ap_present->CurrentValue;
						break;
					case $this->ap_present->FldTagValue(4):
						$this->ap_present->ViewValue = $this->ap_present->FldTagCaption(4) <> "" ? $this->ap_present->FldTagCaption(4) : $this->ap_present->CurrentValue;
						break;
					case $this->ap_present->FldTagValue(5):
						$this->ap_present->ViewValue = $this->ap_present->FldTagCaption(5) <> "" ? $this->ap_present->FldTagCaption(5) : $this->ap_present->CurrentValue;
						break;
					case $this->ap_present->FldTagValue(6):
						$this->ap_present->ViewValue = $this->ap_present->FldTagCaption(6) <> "" ? $this->ap_present->FldTagCaption(6) : $this->ap_present->CurrentValue;
						break;
					default:
						$this->ap_present->ViewValue = $this->ap_present->CurrentValue;
				}
			} else {
				$this->ap_present->ViewValue = NULL;
			}
			$this->ap_present->ViewCustomAttributes = "";

			// ap_comment
			$this->ap_comment->ViewValue = $this->ap_comment->CurrentValue;
			$this->ap_comment->ViewCustomAttributes = "";

			// ap_id
			$this->ap_id->LinkCustomAttributes = "";
			$this->ap_id->HrefValue = "";
			$this->ap_id->TooltipValue = "";

			// court_id
			$this->court_id->LinkCustomAttributes = "";
			$this->court_id->HrefValue = "";
			$this->court_id->TooltipValue = "";

			// apt_id
			$this->apt_id->LinkCustomAttributes = "";
			$this->apt_id->HrefValue = "";
			$this->apt_id->TooltipValue = "";

			// cont_id
			$this->cont_id->LinkCustomAttributes = "";
			$this->cont_id->HrefValue = "";
			$this->cont_id->TooltipValue = "";

			// ap_sn
			$this->ap_sn->LinkCustomAttributes = "";
			$this->ap_sn->HrefValue = "";
			$this->ap_sn->TooltipValue = "";

			// ap_number
			$this->ap_number->LinkCustomAttributes = "";
			$this->ap_number->HrefValue = "";
			$this->ap_number->TooltipValue = "";

			// ap_brand
			$this->ap_brand->LinkCustomAttributes = "";
			$this->ap_brand->HrefValue = "";
			$this->ap_brand->TooltipValue = "";

			// ap_model
			$this->ap_model->LinkCustomAttributes = "";
			$this->ap_model->HrefValue = "";
			$this->ap_model->TooltipValue = "";

			// ap_append
			$this->ap_append->LinkCustomAttributes = "";
			$this->ap_append->HrefValue = "";
			$this->ap_append->TooltipValue = "";

			// ap_description
			$this->ap_description->LinkCustomAttributes = "";
			$this->ap_description->HrefValue = "";
			$this->ap_description->TooltipValue = "";

			// plt_id
			$this->plt_id->LinkCustomAttributes = "";
			$this->plt_id->HrefValue = "";
			$this->plt_id->TooltipValue = "";

			// ap_year
			$this->ap_year->LinkCustomAttributes = "";
			$this->ap_year->HrefValue = "";
			$this->ap_year->TooltipValue = "";

			// ap_date_recieve
			$this->ap_date_recieve->LinkCustomAttributes = "";
			$this->ap_date_recieve->HrefValue = "";
			$this->ap_date_recieve->TooltipValue = "";

			// ap_contract_start
			$this->ap_contract_start->LinkCustomAttributes = "";
			$this->ap_contract_start->HrefValue = "";
			$this->ap_contract_start->TooltipValue = "";

			// ap_warranty
			$this->ap_warranty->LinkCustomAttributes = "";
			$this->ap_warranty->HrefValue = "";
			$this->ap_warranty->TooltipValue = "";

			// ap_price
			$this->ap_price->LinkCustomAttributes = "";
			$this->ap_price->HrefValue = "";
			$this->ap_price->TooltipValue = "";

			// ap_origin
			$this->ap_origin->LinkCustomAttributes = "";
			$this->ap_origin->HrefValue = "";
			$this->ap_origin->TooltipValue = "";

			// ap_present
			$this->ap_present->LinkCustomAttributes = "";
			$this->ap_present->HrefValue = "";
			$this->ap_present->TooltipValue = "";

			// ap_comment
			$this->ap_comment->LinkCustomAttributes = "";
			$this->ap_comment->HrefValue = "";
			$this->ap_comment->TooltipValue = "";
		}

		// Call Row Rendered event
		if ($this->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$this->Row_Rendered();
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	// $type = ''|'success'|'failure'|'warning'
	function Message_Showing(&$msg, $type) {
		if ($type == 'success') {

			//$msg = "your success message";
		} elseif ($type == 'failure') {

			//$msg = "your failure message";
		} elseif ($type == 'warning') {

			//$msg = "your warning message";
		} else {

			//$msg = "your message";
		}
	}

	// Page Data Rendering event
	function Page_DataRendering(&$header) {

		// Example:
		//$header = "your header";

	}

	// Page Data Rendered event
	function Page_DataRendered(&$footer) {

		// Example:
		//$footer = "your footer";

	}
}
?>
<?php ew_Header(FALSE) ?>
<?php

// Create page object
if (!isset($tb_appends_view)) $tb_appends_view = new ctb_appends_view();

// Page init
$tb_appends_view->Page_Init();

// Page main
$tb_appends_view->Page_Main();
?>
<?php include_once "header.php" ?>
<script type="text/javascript">

// Page object
var tb_appends_view = new ew_Page("tb_appends_view");
tb_appends_view.PageID = "view"; // Page ID
var EW_PAGE_ID = tb_appends_view.PageID; // For backward compatibility

// Form object
var ftb_appendsview = new ew_Form("ftb_appendsview");

// Form_CustomValidate event
ftb_appendsview.Form_CustomValidate =  
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }

// Use JavaScript validation or not
<?php if (EW_CLIENT_VALIDATE) { ?>
ftb_appendsview.ValidateRequired = true;
<?php } else { ?>
ftb_appendsview.ValidateRequired = false; 
<?php } ?>

// Dynamic selection lists
ftb_appendsview.Lists["x_apt_id"] = {"LinkField":"x_apt_id","Ajax":null,"AutoFill":false,"DisplayFields":["x_apt_name","","",""],"ParentFields":[],"FilterFields":[],"Options":[]};
ftb_appendsview.Lists["x_cont_id"] = {"LinkField":"x_cont_id","Ajax":null,"AutoFill":false,"DisplayFields":["x_cont_num","x_cont_project","",""],"ParentFields":[],"FilterFields":[],"Options":[]};
ftb_appendsview.Lists["x_plt_id"] = {"LinkField":"x_plt_id","Ajax":null,"AutoFill":false,"DisplayFields":["x_plt_name","","",""],"ParentFields":[],"FilterFields":[],"Options":[]};

// Form object for search
</script>
<script type="text/javascript">

// Write your client script here, no need to add script tags.
</script>
<p><span class="ewTitle ewTableTitle"><?php echo $Language->Phrase("View") ?>&nbsp;<?php echo $Language->Phrase("TblTypeTABLE") ?><?php echo $tb_appends->TableCaption() ?>&nbsp;&nbsp;</span><?php $tb_appends_view->ExportOptions->Render("body"); ?>
</p>
<p class="phpmaker">
<a href="<?php echo $tb_appends_view->ListUrl ?>"><?php echo $Language->Phrase("BackToList") ?></a>&nbsp;
<?php if ($tb_appends_view->AddUrl <> "") { ?>
<a href="<?php echo $tb_appends_view->AddUrl ?>"><?php echo $Language->Phrase("ViewPageAddLink") ?></a>&nbsp;
<?php } ?>
<?php if ($tb_appends_view->EditUrl <> "") { ?>
<a href="<?php echo $tb_appends_view->EditUrl ?>"><?php echo $Language->Phrase("ViewPageEditLink") ?></a>&nbsp;
<?php } ?>
<?php if ($tb_appends_view->DeleteUrl <> "") { ?>
<a href="<?php echo $tb_appends_view->DeleteUrl ?>"><?php echo $Language->Phrase("ViewPageDeleteLink") ?></a>&nbsp;
<?php } ?>
</p>
<?php $tb_appends_view->ShowPageHeader(); ?>
<?php
$tb_appends_view->ShowMessage();
?>
<form name="ewpagerform" id="ewpagerform" class="ewForm" action="<?php echo ew_CurrentPage() ?>">
<table border="0" cellspacing="0" cellpadding="0" class="ewPager">
	<tr>
		<td nowrap>
<?php if (!isset($tb_appends_view->Pager)) $tb_appends_view->Pager = new cPrevNextPager($tb_appends_view->StartRec, $tb_appends_view->DisplayRecs, $tb_appends_view->TotalRecs) ?>
<?php if ($tb_appends_view->Pager->RecordCount > 0) { ?>
	<table border="0" cellspacing="0" cellpadding="0"><tr><td><span class="phpmaker"><?php echo $Language->Phrase("Page") ?>&nbsp;</span></td>
<!--first page button-->
	<?php if ($tb_appends_view->Pager->FirstButton->Enabled) { ?>
	<td><a href="<?php echo $tb_appends_view->PageUrl() ?>start=<?php echo $tb_appends_view->Pager->FirstButton->Start ?>"><img src="phpimages/first.gif" alt="<?php echo $Language->Phrase("PagerFirst") ?>" width="16" height="16" border="0"></a></td>
	<?php } else { ?>
	<td><img src="phpimages/firstdisab.gif" alt="<?php echo $Language->Phrase("PagerFirst") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
<!--previous page button-->
	<?php if ($tb_appends_view->Pager->PrevButton->Enabled) { ?>
	<td><a href="<?php echo $tb_appends_view->PageUrl() ?>start=<?php echo $tb_appends_view->Pager->PrevButton->Start ?>"><img src="phpimages/prev.gif" alt="<?php echo $Language->Phrase("PagerPrevious") ?>" width="16" height="16" border="0"></a></td>
	<?php } else { ?>
	<td><img src="phpimages/prevdisab.gif" alt="<?php echo $Language->Phrase("PagerPrevious") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
<!--current page number-->
	<td><input type="text" name="<?php echo EW_TABLE_PAGE_NO ?>" id="<?php echo EW_TABLE_PAGE_NO ?>" value="<?php echo $tb_appends_view->Pager->CurrentPage ?>" size="4"></td>
<!--next page button-->
	<?php if ($tb_appends_view->Pager->NextButton->Enabled) { ?>
	<td><a href="<?php echo $tb_appends_view->PageUrl() ?>start=<?php echo $tb_appends_view->Pager->NextButton->Start ?>"><img src="phpimages/next.gif" alt="<?php echo $Language->Phrase("PagerNext") ?>" width="16" height="16" border="0"></a></td>	
	<?php } else { ?>
	<td><img src="phpimages/nextdisab.gif" alt="<?php echo $Language->Phrase("PagerNext") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
<!--last page button-->
	<?php if ($tb_appends_view->Pager->LastButton->Enabled) { ?>
	<td><a href="<?php echo $tb_appends_view->PageUrl() ?>start=<?php echo $tb_appends_view->Pager->LastButton->Start ?>"><img src="phpimages/last.gif" alt="<?php echo $Language->Phrase("PagerLast") ?>" width="16" height="16" border="0"></a></td>	
	<?php } else { ?>
	<td><img src="phpimages/lastdisab.gif" alt="<?php echo $Language->Phrase("PagerLast") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
	<td><span class="phpmaker">&nbsp;<?php echo $Language->Phrase("of") ?>&nbsp;<?php echo $tb_appends_view->Pager->PageCount ?></span></td>
	</tr></table>
<?php } else { ?>
	<?php if ($tb_appends_view->SearchWhere == "0=101") { ?>
	<span class="phpmaker"><?php echo $Language->Phrase("EnterSearchCriteria") ?></span>
	<?php } else { ?>
	<span class="phpmaker"><?php echo $Language->Phrase("NoRecord") ?></span>
	<?php } ?>
<?php } ?>
		</td>
	</tr>
</table>
</form>
<br>
<form name="ftb_appendsview" id="ftb_appendsview" class="ewForm" action="" method="post">
<input type="hidden" name="t" value="tb_appends">
<table cellspacing="0" class="ewGrid"><tr><td class="ewGridContent">
<div class="ewGridMiddlePanel">
<table cellspacing="0" id="tbl_tb_appendsview" class="ewTable">
<?php if ($tb_appends->ap_id->Visible) { // ap_id ?>
	<tr id="r_ap_id"<?php echo $tb_appends->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_appends_ap_id"><?php echo $tb_appends->ap_id->FldCaption() ?></span></td>
		<td<?php echo $tb_appends->ap_id->CellAttributes() ?>><span id="el_tb_appends_ap_id">
<span<?php echo $tb_appends->ap_id->ViewAttributes() ?>>
<?php echo $tb_appends->ap_id->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_appends->court_id->Visible) { // court_id ?>
	<tr id="r_court_id"<?php echo $tb_appends->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_appends_court_id"><?php echo $tb_appends->court_id->FldCaption() ?></span></td>
		<td<?php echo $tb_appends->court_id->CellAttributes() ?>><span id="el_tb_appends_court_id">
<span<?php echo $tb_appends->court_id->ViewAttributes() ?>>
<?php echo $tb_appends->court_id->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_appends->apt_id->Visible) { // apt_id ?>
	<tr id="r_apt_id"<?php echo $tb_appends->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_appends_apt_id"><?php echo $tb_appends->apt_id->FldCaption() ?></span></td>
		<td<?php echo $tb_appends->apt_id->CellAttributes() ?>><span id="el_tb_appends_apt_id">
<span<?php echo $tb_appends->apt_id->ViewAttributes() ?>>
<?php echo $tb_appends->apt_id->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_appends->cont_id->Visible) { // cont_id ?>
	<tr id="r_cont_id"<?php echo $tb_appends->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_appends_cont_id"><?php echo $tb_appends->cont_id->FldCaption() ?></span></td>
		<td<?php echo $tb_appends->cont_id->CellAttributes() ?>><span id="el_tb_appends_cont_id">
<span<?php echo $tb_appends->cont_id->ViewAttributes() ?>>
<?php echo $tb_appends->cont_id->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_appends->ap_sn->Visible) { // ap_sn ?>
	<tr id="r_ap_sn"<?php echo $tb_appends->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_appends_ap_sn"><?php echo $tb_appends->ap_sn->FldCaption() ?></span></td>
		<td<?php echo $tb_appends->ap_sn->CellAttributes() ?>><span id="el_tb_appends_ap_sn">
<span<?php echo $tb_appends->ap_sn->ViewAttributes() ?>>
<?php echo $tb_appends->ap_sn->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_appends->ap_number->Visible) { // ap_number ?>
	<tr id="r_ap_number"<?php echo $tb_appends->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_appends_ap_number"><?php echo $tb_appends->ap_number->FldCaption() ?></span></td>
		<td<?php echo $tb_appends->ap_number->CellAttributes() ?>><span id="el_tb_appends_ap_number">
<span<?php echo $tb_appends->ap_number->ViewAttributes() ?>>
<?php echo $tb_appends->ap_number->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_appends->ap_brand->Visible) { // ap_brand ?>
	<tr id="r_ap_brand"<?php echo $tb_appends->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_appends_ap_brand"><?php echo $tb_appends->ap_brand->FldCaption() ?></span></td>
		<td<?php echo $tb_appends->ap_brand->CellAttributes() ?>><span id="el_tb_appends_ap_brand">
<span<?php echo $tb_appends->ap_brand->ViewAttributes() ?>>
<?php echo $tb_appends->ap_brand->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_appends->ap_model->Visible) { // ap_model ?>
	<tr id="r_ap_model"<?php echo $tb_appends->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_appends_ap_model"><?php echo $tb_appends->ap_model->FldCaption() ?></span></td>
		<td<?php echo $tb_appends->ap_model->CellAttributes() ?>><span id="el_tb_appends_ap_model">
<span<?php echo $tb_appends->ap_model->ViewAttributes() ?>>
<?php echo $tb_appends->ap_model->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_appends->ap_append->Visible) { // ap_append ?>
	<tr id="r_ap_append"<?php echo $tb_appends->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_appends_ap_append"><?php echo $tb_appends->ap_append->FldCaption() ?></span></td>
		<td<?php echo $tb_appends->ap_append->CellAttributes() ?>><span id="el_tb_appends_ap_append">
<span<?php echo $tb_appends->ap_append->ViewAttributes() ?>>
<?php echo $tb_appends->ap_append->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_appends->ap_description->Visible) { // ap_description ?>
	<tr id="r_ap_description"<?php echo $tb_appends->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_appends_ap_description"><?php echo $tb_appends->ap_description->FldCaption() ?></span></td>
		<td<?php echo $tb_appends->ap_description->CellAttributes() ?>><span id="el_tb_appends_ap_description">
<span<?php echo $tb_appends->ap_description->ViewAttributes() ?>>
<?php echo $tb_appends->ap_description->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_appends->plt_id->Visible) { // plt_id ?>
	<tr id="r_plt_id"<?php echo $tb_appends->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_appends_plt_id"><?php echo $tb_appends->plt_id->FldCaption() ?></span></td>
		<td<?php echo $tb_appends->plt_id->CellAttributes() ?>><span id="el_tb_appends_plt_id">
<span<?php echo $tb_appends->plt_id->ViewAttributes() ?>>
<?php echo $tb_appends->plt_id->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_appends->ap_year->Visible) { // ap_year ?>
	<tr id="r_ap_year"<?php echo $tb_appends->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_appends_ap_year"><?php echo $tb_appends->ap_year->FldCaption() ?></span></td>
		<td<?php echo $tb_appends->ap_year->CellAttributes() ?>><span id="el_tb_appends_ap_year">
<span<?php echo $tb_appends->ap_year->ViewAttributes() ?>>
<?php echo $tb_appends->ap_year->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_appends->ap_date_recieve->Visible) { // ap_date_recieve ?>
	<tr id="r_ap_date_recieve"<?php echo $tb_appends->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_appends_ap_date_recieve"><?php echo $tb_appends->ap_date_recieve->FldCaption() ?></span></td>
		<td<?php echo $tb_appends->ap_date_recieve->CellAttributes() ?>><span id="el_tb_appends_ap_date_recieve">
<span<?php echo $tb_appends->ap_date_recieve->ViewAttributes() ?>>
<?php echo $tb_appends->ap_date_recieve->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_appends->ap_contract_start->Visible) { // ap_contract_start ?>
	<tr id="r_ap_contract_start"<?php echo $tb_appends->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_appends_ap_contract_start"><?php echo $tb_appends->ap_contract_start->FldCaption() ?></span></td>
		<td<?php echo $tb_appends->ap_contract_start->CellAttributes() ?>><span id="el_tb_appends_ap_contract_start">
<span<?php echo $tb_appends->ap_contract_start->ViewAttributes() ?>>
<?php echo $tb_appends->ap_contract_start->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_appends->ap_warranty->Visible) { // ap_warranty ?>
	<tr id="r_ap_warranty"<?php echo $tb_appends->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_appends_ap_warranty"><?php echo $tb_appends->ap_warranty->FldCaption() ?></span></td>
		<td<?php echo $tb_appends->ap_warranty->CellAttributes() ?>><span id="el_tb_appends_ap_warranty">
<span<?php echo $tb_appends->ap_warranty->ViewAttributes() ?>>
<?php echo $tb_appends->ap_warranty->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_appends->ap_price->Visible) { // ap_price ?>
	<tr id="r_ap_price"<?php echo $tb_appends->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_appends_ap_price"><?php echo $tb_appends->ap_price->FldCaption() ?></span></td>
		<td<?php echo $tb_appends->ap_price->CellAttributes() ?>><span id="el_tb_appends_ap_price">
<span<?php echo $tb_appends->ap_price->ViewAttributes() ?>>
<?php echo $tb_appends->ap_price->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_appends->ap_origin->Visible) { // ap_origin ?>
	<tr id="r_ap_origin"<?php echo $tb_appends->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_appends_ap_origin"><?php echo $tb_appends->ap_origin->FldCaption() ?></span></td>
		<td<?php echo $tb_appends->ap_origin->CellAttributes() ?>><span id="el_tb_appends_ap_origin">
<span<?php echo $tb_appends->ap_origin->ViewAttributes() ?>>
<?php echo $tb_appends->ap_origin->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_appends->ap_present->Visible) { // ap_present ?>
	<tr id="r_ap_present"<?php echo $tb_appends->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_appends_ap_present"><?php echo $tb_appends->ap_present->FldCaption() ?></span></td>
		<td<?php echo $tb_appends->ap_present->CellAttributes() ?>><span id="el_tb_appends_ap_present">
<span<?php echo $tb_appends->ap_present->ViewAttributes() ?>>
<?php echo $tb_appends->ap_present->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_appends->ap_comment->Visible) { // ap_comment ?>
	<tr id="r_ap_comment"<?php echo $tb_appends->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_appends_ap_comment"><?php echo $tb_appends->ap_comment->FldCaption() ?></span></td>
		<td<?php echo $tb_appends->ap_comment->CellAttributes() ?>><span id="el_tb_appends_ap_comment">
<span<?php echo $tb_appends->ap_comment->ViewAttributes() ?>>
<?php echo $tb_appends->ap_comment->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
</table>
</div>
</td></tr></table>
</form>
<br>
<form name="ewpagerform" id="ewpagerform" class="ewForm" action="<?php echo ew_CurrentPage() ?>">
<table border="0" cellspacing="0" cellpadding="0" class="ewPager">
	<tr>
		<td nowrap>
<?php if (!isset($tb_appends_view->Pager)) $tb_appends_view->Pager = new cPrevNextPager($tb_appends_view->StartRec, $tb_appends_view->DisplayRecs, $tb_appends_view->TotalRecs) ?>
<?php if ($tb_appends_view->Pager->RecordCount > 0) { ?>
	<table border="0" cellspacing="0" cellpadding="0"><tr><td><span class="phpmaker"><?php echo $Language->Phrase("Page") ?>&nbsp;</span></td>
<!--first page button-->
	<?php if ($tb_appends_view->Pager->FirstButton->Enabled) { ?>
	<td><a href="<?php echo $tb_appends_view->PageUrl() ?>start=<?php echo $tb_appends_view->Pager->FirstButton->Start ?>"><img src="phpimages/first.gif" alt="<?php echo $Language->Phrase("PagerFirst") ?>" width="16" height="16" border="0"></a></td>
	<?php } else { ?>
	<td><img src="phpimages/firstdisab.gif" alt="<?php echo $Language->Phrase("PagerFirst") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
<!--previous page button-->
	<?php if ($tb_appends_view->Pager->PrevButton->Enabled) { ?>
	<td><a href="<?php echo $tb_appends_view->PageUrl() ?>start=<?php echo $tb_appends_view->Pager->PrevButton->Start ?>"><img src="phpimages/prev.gif" alt="<?php echo $Language->Phrase("PagerPrevious") ?>" width="16" height="16" border="0"></a></td>
	<?php } else { ?>
	<td><img src="phpimages/prevdisab.gif" alt="<?php echo $Language->Phrase("PagerPrevious") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
<!--current page number-->
	<td><input type="text" name="<?php echo EW_TABLE_PAGE_NO ?>" id="<?php echo EW_TABLE_PAGE_NO ?>" value="<?php echo $tb_appends_view->Pager->CurrentPage ?>" size="4"></td>
<!--next page button-->
	<?php if ($tb_appends_view->Pager->NextButton->Enabled) { ?>
	<td><a href="<?php echo $tb_appends_view->PageUrl() ?>start=<?php echo $tb_appends_view->Pager->NextButton->Start ?>"><img src="phpimages/next.gif" alt="<?php echo $Language->Phrase("PagerNext") ?>" width="16" height="16" border="0"></a></td>	
	<?php } else { ?>
	<td><img src="phpimages/nextdisab.gif" alt="<?php echo $Language->Phrase("PagerNext") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
<!--last page button-->
	<?php if ($tb_appends_view->Pager->LastButton->Enabled) { ?>
	<td><a href="<?php echo $tb_appends_view->PageUrl() ?>start=<?php echo $tb_appends_view->Pager->LastButton->Start ?>"><img src="phpimages/last.gif" alt="<?php echo $Language->Phrase("PagerLast") ?>" width="16" height="16" border="0"></a></td>	
	<?php } else { ?>
	<td><img src="phpimages/lastdisab.gif" alt="<?php echo $Language->Phrase("PagerLast") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
	<td><span class="phpmaker">&nbsp;<?php echo $Language->Phrase("of") ?>&nbsp;<?php echo $tb_appends_view->Pager->PageCount ?></span></td>
	</tr></table>
<?php } else { ?>
	<?php if ($tb_appends_view->SearchWhere == "0=101") { ?>
	<span class="phpmaker"><?php echo $Language->Phrase("EnterSearchCriteria") ?></span>
	<?php } else { ?>
	<span class="phpmaker"><?php echo $Language->Phrase("NoRecord") ?></span>
	<?php } ?>
<?php } ?>
		</td>
	</tr>
</table>
</form>
<p>
<script type="text/javascript">
ftb_appendsview.Init();
</script>
<?php
$tb_appends_view->ShowPageFooter();
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
?>
<script type="text/javascript">

// Write your table-specific startup script here
// document.write("page loaded");

</script>
<?php include_once "footer.php" ?>
<?php
$tb_appends_view->Page_Terminate();
?>
