<?php
if (session_id() == "") session_start(); // Initialize Session data
ob_start(); // Turn on output buffering
?>
<?php include_once "ewcfg9.php" ?>
<?php include_once "ewmysql9.php" ?>
<?php include_once "phpfn9.php" ?>
<?php include_once "tb_computersinfo.php" ?>
<?php include_once "userfn9.php" ?>
<?php

//
// Page class
//

$tb_computers_edit = NULL; // Initialize page object first

class ctb_computers_edit extends ctb_computers {

	// Page ID
	var $PageID = 'edit';

	// Project ID
	var $ProjectID = "{6072F4AB-8E55-4BED-87E8-94ADB1680AEB}";

	// Table name
	var $TableName = 'tb_computers';

	// Page object name
	var $PageObjName = 'tb_computers_edit';

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		if ($this->UseTokenInUrl) $PageUrl .= "t=" . $this->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_MESSAGE], $v);
	}

	function getFailureMessage() {
		return @$_SESSION[EW_SESSION_FAILURE_MESSAGE];
	}

	function setFailureMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_FAILURE_MESSAGE], $v);
	}

	function getSuccessMessage() {
		return @$_SESSION[EW_SESSION_SUCCESS_MESSAGE];
	}

	function setSuccessMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_SUCCESS_MESSAGE], $v);
	}

	function getWarningMessage() {
		return @$_SESSION[EW_SESSION_WARNING_MESSAGE];
	}

	function setWarningMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_WARNING_MESSAGE], $v);
	}

	// Show message
	function ShowMessage() {
		$hidden = FALSE;
		$html = "";

		// Message
		$sMessage = $this->getMessage();
		$this->Message_Showing($sMessage, "");
		if ($sMessage <> "") { // Message in Session, display
			$html .= "<p class=\"ewMessage\">" . $sMessage . "</p>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}

		// Warning message
		$sWarningMessage = $this->getWarningMessage();
		$this->Message_Showing($sWarningMessage, "warning");
		if ($sWarningMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewWarningIcon\"></td><td class=\"ewWarningMessage\">" . $sWarningMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_WARNING_MESSAGE] = ""; // Clear message in Session
		}

		// Success message
		$sSuccessMessage = $this->getSuccessMessage();
		$this->Message_Showing($sSuccessMessage, "success");
		if ($sSuccessMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewSuccessIcon\"></td><td class=\"ewSuccessMessage\">" . $sSuccessMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = ""; // Clear message in Session
		}

		// Failure message
		$sErrorMessage = $this->getFailureMessage();
		$this->Message_Showing($sErrorMessage, "failure");
		if ($sErrorMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewErrorIcon\"></td><td class=\"ewErrorMessage\">" . $sErrorMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_FAILURE_MESSAGE] = ""; // Clear message in Session
		}		
		echo "<div class=\"ewMessageDialog\"" . (($hidden) ? " style=\"display: none;\"" : "") . ">" . $html . "</div>";
	}
	var $PageHeader;
	var $PageFooter;

	// Show Page Header
	function ShowPageHeader() {
		$sHeader = $this->PageHeader;
		$this->Page_DataRendering($sHeader);
		if ($sHeader <> "") { // Header exists, display
			echo "<p class=\"phpmaker\">" . $sHeader . "</p>";
		}
	}

	// Show Page Footer
	function ShowPageFooter() {
		$sFooter = $this->PageFooter;
		$this->Page_DataRendered($sFooter);
		if ($sFooter <> "") { // Fotoer exists, display
			echo "<p class=\"phpmaker\">" . $sFooter . "</p>";
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm;
		if ($this->UseTokenInUrl) {
			if ($objForm)
				return ($this->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($this->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}

	//
	// Page class constructor
	//
	function __construct() {
		global $conn, $Language;
		$GLOBALS["Page"] = &$this;

		// Language object
		if (!isset($Language)) $Language = new cLanguage();

		// Parent constuctor
		parent::__construct();

		// Table object (tb_computers)
		if (!isset($GLOBALS["tb_computers"])) {
			$GLOBALS["tb_computers"] = &$this;
			$GLOBALS["Table"] = &$GLOBALS["tb_computers"];
		}

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'edit', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'tb_computers', TRUE);

		// Start timer
		if (!isset($GLOBALS["gTimer"])) $GLOBALS["gTimer"] = new cTimer();

		// Open connection
		if (!isset($conn)) $conn = ew_Connect();
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;

		// Create form object
		$objForm = new cFormObj();
		$this->CurrentAction = (@$_GET["a"] <> "") ? $_GET["a"] : @$_POST["a_list"];

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $conn;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();
		$this->Page_Redirecting($url);

		 // Close connection
		$conn->Close();

		// Go to URL if specified
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			header("Location: " . $url);
		}
		exit();
	}
	var $DbMasterFilter;
	var $DbDetailFilter;

	// 
	// Page main
	//
	function Page_Main() {
		global $objForm, $Language, $gsFormError;

		// Load key from QueryString
		if (@$_GET["comp_id"] <> "")
			$this->comp_id->setQueryStringValue($_GET["comp_id"]);

		// Process form if post back
		if (@$_POST["a_edit"] <> "") {
			$this->CurrentAction = $_POST["a_edit"]; // Get action code
			$this->LoadFormValues(); // Get form values
		} else {
			$this->CurrentAction = "I"; // Default action is display
		}

		// Check if valid key
		if ($this->comp_id->CurrentValue == "")
			$this->Page_Terminate("tb_computerslist.php"); // Invalid key, return to list

		// Validate form if post back
		if (@$_POST["a_edit"] <> "") {
			if (!$this->ValidateForm()) {
				$this->CurrentAction = ""; // Form error, reset action
				$this->setFailureMessage($gsFormError);
				$this->EventCancelled = TRUE; // Event cancelled
				$this->RestoreFormValues();
			}
		}
		switch ($this->CurrentAction) {
			case "I": // Get a record to display
				if (!$this->LoadRow()) { // Load record based on key
					if ($this->getFailureMessage() == "") $this->setFailureMessage($Language->Phrase("NoRecord")); // No record found
					$this->Page_Terminate("tb_computerslist.php"); // No matching record, return to list
				}
				break;
			Case "U": // Update
				$this->SendEmail = TRUE; // Send email on update success
				if ($this->EditRow()) { // Update record based on key
					if ($this->getSuccessMessage() == "")
						$this->setSuccessMessage($Language->Phrase("UpdateSuccess")); // Update success
					$sReturnUrl = $this->getReturnUrl();
					if (ew_GetPageName($sReturnUrl) == "tb_computersview.php")
						$sReturnUrl = $this->GetViewUrl(); // View paging, return to View page directly
					$this->Page_Terminate($sReturnUrl); // Return to caller
				} else {
					$this->EventCancelled = TRUE; // Event cancelled
					$this->RestoreFormValues(); // Restore form values if update failed
				}
		}

		// Render the record
		if ($this->CurrentAction == "F") { // Confirm page
			$this->RowType = EW_ROWTYPE_VIEW; // Render as View
		} else {
			$this->RowType = EW_ROWTYPE_EDIT; // Render as Edit
		}
		$this->ResetAttrs();
		$this->RenderRow();
	}

	// Get upload files
	function GetUploadFiles() {
		global $objForm;

		// Get upload data
		$index = $objForm->Index; // Save form index
		$objForm->Index = -1;
		$confirmPage = (strval($objForm->GetValue("a_confirm")) <> "");
		$objForm->Index = $index; // Restore form index
	}

	// Load form values
	function LoadFormValues() {

		// Load from form
		global $objForm;
		if (!$this->comp_id->FldIsDetailKey) {
			$this->comp_id->setFormValue($objForm->GetValue("x_comp_id"));
		}
		if (!$this->court_id->FldIsDetailKey) {
			$this->court_id->setFormValue($objForm->GetValue("x_court_id"));
		}
		if (!$this->cont_id->FldIsDetailKey) {
			$this->cont_id->setFormValue($objForm->GetValue("x_cont_id"));
		}
		if (!$this->plt_id->FldIsDetailKey) {
			$this->plt_id->setFormValue($objForm->GetValue("x_plt_id"));
		}
		if (!$this->comp_num->FldIsDetailKey) {
			$this->comp_num->setFormValue($objForm->GetValue("x_comp_num"));
		}
		if (!$this->comp_sn->FldIsDetailKey) {
			$this->comp_sn->setFormValue($objForm->GetValue("x_comp_sn"));
		}
		if (!$this->comp_brand->FldIsDetailKey) {
			$this->comp_brand->setFormValue($objForm->GetValue("x_comp_brand"));
		}
		if (!$this->mdt_id->FldIsDetailKey) {
			$this->mdt_id->setFormValue($objForm->GetValue("x_mdt_id"));
		}
		if (!$this->comp_hdd->FldIsDetailKey) {
			$this->comp_hdd->setFormValue($objForm->GetValue("x_comp_hdd"));
		}
		if (!$this->comp_speed->FldIsDetailKey) {
			$this->comp_speed->setFormValue($objForm->GetValue("x_comp_speed"));
		}
		if (!$this->comp_ram->FldIsDetailKey) {
			$this->comp_ram->setFormValue($objForm->GetValue("x_comp_ram"));
		}
		if (!$this->comp_work->FldIsDetailKey) {
			$this->comp_work->setFormValue($objForm->GetValue("x_comp_work"));
		}
		if (!$this->comp_connect->FldIsDetailKey) {
			$this->comp_connect->setFormValue($objForm->GetValue("x_comp_connect"));
		}
		if (!$this->comp_os->FldIsDetailKey) {
			$this->comp_os->setFormValue($objForm->GetValue("x_comp_os"));
		}
		if (!$this->comp_screen->FldIsDetailKey) {
			$this->comp_screen->setFormValue($objForm->GetValue("x_comp_screen"));
		}
		if (!$this->comp_year->FldIsDetailKey) {
			$this->comp_year->setFormValue($objForm->GetValue("x_comp_year"));
		}
		if (!$this->comp_date_recieve->FldIsDetailKey) {
			$this->comp_date_recieve->setFormValue($objForm->GetValue("x_comp_date_recieve"));
			$this->comp_date_recieve->CurrentValue = ew_UnFormatDateTime($this->comp_date_recieve->CurrentValue, 5);
		}
		if (!$this->comp_contract_start->FldIsDetailKey) {
			$this->comp_contract_start->setFormValue($objForm->GetValue("x_comp_contract_start"));
			$this->comp_contract_start->CurrentValue = ew_UnFormatDateTime($this->comp_contract_start->CurrentValue, 5);
		}
		if (!$this->comp_warranty->FldIsDetailKey) {
			$this->comp_warranty->setFormValue($objForm->GetValue("x_comp_warranty"));
		}
		if (!$this->comp_price->FldIsDetailKey) {
			$this->comp_price->setFormValue($objForm->GetValue("x_comp_price"));
		}
		if (!$this->comp_origin->FldIsDetailKey) {
			$this->comp_origin->setFormValue($objForm->GetValue("x_comp_origin"));
		}
		if (!$this->comp_present->FldIsDetailKey) {
			$this->comp_present->setFormValue($objForm->GetValue("x_comp_present"));
		}
		if (!$this->comp_comment->FldIsDetailKey) {
			$this->comp_comment->setFormValue($objForm->GetValue("x_comp_comment"));
		}
	}

	// Restore form values
	function RestoreFormValues() {
		global $objForm;
		$this->LoadRow();
		$this->comp_id->CurrentValue = $this->comp_id->FormValue;
		$this->court_id->CurrentValue = $this->court_id->FormValue;
		$this->cont_id->CurrentValue = $this->cont_id->FormValue;
		$this->plt_id->CurrentValue = $this->plt_id->FormValue;
		$this->comp_num->CurrentValue = $this->comp_num->FormValue;
		$this->comp_sn->CurrentValue = $this->comp_sn->FormValue;
		$this->comp_brand->CurrentValue = $this->comp_brand->FormValue;
		$this->mdt_id->CurrentValue = $this->mdt_id->FormValue;
		$this->comp_hdd->CurrentValue = $this->comp_hdd->FormValue;
		$this->comp_speed->CurrentValue = $this->comp_speed->FormValue;
		$this->comp_ram->CurrentValue = $this->comp_ram->FormValue;
		$this->comp_work->CurrentValue = $this->comp_work->FormValue;
		$this->comp_connect->CurrentValue = $this->comp_connect->FormValue;
		$this->comp_os->CurrentValue = $this->comp_os->FormValue;
		$this->comp_screen->CurrentValue = $this->comp_screen->FormValue;
		$this->comp_year->CurrentValue = $this->comp_year->FormValue;
		$this->comp_date_recieve->CurrentValue = $this->comp_date_recieve->FormValue;
		$this->comp_date_recieve->CurrentValue = ew_UnFormatDateTime($this->comp_date_recieve->CurrentValue, 5);
		$this->comp_contract_start->CurrentValue = $this->comp_contract_start->FormValue;
		$this->comp_contract_start->CurrentValue = ew_UnFormatDateTime($this->comp_contract_start->CurrentValue, 5);
		$this->comp_warranty->CurrentValue = $this->comp_warranty->FormValue;
		$this->comp_price->CurrentValue = $this->comp_price->FormValue;
		$this->comp_origin->CurrentValue = $this->comp_origin->FormValue;
		$this->comp_present->CurrentValue = $this->comp_present->FormValue;
		$this->comp_comment->CurrentValue = $this->comp_comment->FormValue;
	}

	// Load row based on key values
	function LoadRow() {
		global $conn, $Security, $Language;
		$sFilter = $this->KeyFilter();

		// Call Row Selecting event
		$this->Row_Selecting($sFilter);

		// Load SQL based on filter
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		global $conn;
		if (!$rs || $rs->EOF) return;

		// Call Row Selected event
		$row = &$rs->fields;
		$this->Row_Selected($row);
		$this->comp_id->setDbValue($rs->fields('comp_id'));
		$this->court_id->setDbValue($rs->fields('court_id'));
		$this->cont_id->setDbValue($rs->fields('cont_id'));
		$this->plt_id->setDbValue($rs->fields('plt_id'));
		$this->comp_num->setDbValue($rs->fields('comp_num'));
		$this->comp_sn->setDbValue($rs->fields('comp_sn'));
		$this->comp_brand->setDbValue($rs->fields('comp_brand'));
		$this->mdt_id->setDbValue($rs->fields('mdt_id'));
		$this->comp_hdd->setDbValue($rs->fields('comp_hdd'));
		$this->comp_speed->setDbValue($rs->fields('comp_speed'));
		$this->comp_ram->setDbValue($rs->fields('comp_ram'));
		$this->comp_work->setDbValue($rs->fields('comp_work'));
		$this->comp_connect->setDbValue($rs->fields('comp_connect'));
		$this->comp_os->setDbValue($rs->fields('comp_os'));
		$this->comp_screen->setDbValue($rs->fields('comp_screen'));
		$this->comp_year->setDbValue($rs->fields('comp_year'));
		$this->comp_date_recieve->setDbValue($rs->fields('comp_date_recieve'));
		$this->comp_contract_start->setDbValue($rs->fields('comp_contract_start'));
		$this->comp_warranty->setDbValue($rs->fields('comp_warranty'));
		$this->comp_price->setDbValue($rs->fields('comp_price'));
		$this->comp_origin->setDbValue($rs->fields('comp_origin'));
		$this->comp_present->setDbValue($rs->fields('comp_present'));
		$this->comp_comment->setDbValue($rs->fields('comp_comment'));
	}

	// Render row values based on field settings
	function RenderRow() {
		global $conn, $Security, $Language;
		global $gsLanguage;

		// Initialize URLs
		// Convert decimal values if posted back

		if ($this->comp_warranty->FormValue == $this->comp_warranty->CurrentValue && is_numeric(ew_StrToFloat($this->comp_warranty->CurrentValue)))
			$this->comp_warranty->CurrentValue = ew_StrToFloat($this->comp_warranty->CurrentValue);

		// Convert decimal values if posted back
		if ($this->comp_price->FormValue == $this->comp_price->CurrentValue && is_numeric(ew_StrToFloat($this->comp_price->CurrentValue)))
			$this->comp_price->CurrentValue = ew_StrToFloat($this->comp_price->CurrentValue);

		// Call Row_Rendering event
		$this->Row_Rendering();

		// Common render codes for all row types
		// comp_id
		// court_id
		// cont_id
		// plt_id
		// comp_num
		// comp_sn
		// comp_brand
		// mdt_id
		// comp_hdd
		// comp_speed
		// comp_ram
		// comp_work
		// comp_connect
		// comp_os
		// comp_screen
		// comp_year
		// comp_date_recieve
		// comp_contract_start
		// comp_warranty
		// comp_price
		// comp_origin
		// comp_present
		// comp_comment

		if ($this->RowType == EW_ROWTYPE_VIEW) { // View row

			// comp_id
			$this->comp_id->ViewValue = $this->comp_id->CurrentValue;
			$this->comp_id->ViewCustomAttributes = "";

			// court_id
			$this->court_id->ViewValue = $this->court_id->CurrentValue;
			$this->court_id->ViewCustomAttributes = "";

			// cont_id
			if (strval($this->cont_id->CurrentValue) <> "") {
				$sFilterWrk = "`cont_id`" . ew_SearchString("=", $this->cont_id->CurrentValue, EW_DATATYPE_NUMBER);
			$sSqlWrk = "SELECT `cont_id`, `cont_num` AS `DispFld`, `cont_project` AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_contracts`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				ew_AddFilter($sWhereWrk, $sFilterWrk);
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$this->cont_id->ViewValue = $rswrk->fields('DispFld');
					$this->cont_id->ViewValue .= ew_ValueSeparator(1,$tb_computers->cont_id) . $rswrk->fields('Disp2Fld');
					$rswrk->Close();
				} else {
					$this->cont_id->ViewValue = $this->cont_id->CurrentValue;
				}
			} else {
				$this->cont_id->ViewValue = NULL;
			}
			$this->cont_id->ViewCustomAttributes = "";

			// plt_id
			if (strval($this->plt_id->CurrentValue) <> "") {
				$sFilterWrk = "`plt_id`" . ew_SearchString("=", $this->plt_id->CurrentValue, EW_DATATYPE_STRING);
			$sSqlWrk = "SELECT `plt_id`, `plt_name` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_place_types`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				ew_AddFilter($sWhereWrk, $sFilterWrk);
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$this->plt_id->ViewValue = $rswrk->fields('DispFld');
					$rswrk->Close();
				} else {
					$this->plt_id->ViewValue = $this->plt_id->CurrentValue;
				}
			} else {
				$this->plt_id->ViewValue = NULL;
			}
			$this->plt_id->ViewCustomAttributes = "";

			// comp_num
			$this->comp_num->ViewValue = $this->comp_num->CurrentValue;
			$this->comp_num->ViewCustomAttributes = "";

			// comp_sn
			$this->comp_sn->ViewValue = $this->comp_sn->CurrentValue;
			$this->comp_sn->ViewCustomAttributes = "";

			// comp_brand
			$this->comp_brand->ViewValue = $this->comp_brand->CurrentValue;
			$this->comp_brand->ViewCustomAttributes = "";

			// mdt_id
			if (strval($this->mdt_id->CurrentValue) <> "") {
				$sFilterWrk = "`mdt_id`" . ew_SearchString("=", $this->mdt_id->CurrentValue, EW_DATATYPE_STRING);
			$sSqlWrk = "SELECT `mdt_id`, `mdt_name` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_model_types`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				ew_AddFilter($sWhereWrk, $sFilterWrk);
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$this->mdt_id->ViewValue = $rswrk->fields('DispFld');
					$rswrk->Close();
				} else {
					$this->mdt_id->ViewValue = $this->mdt_id->CurrentValue;
				}
			} else {
				$this->mdt_id->ViewValue = NULL;
			}
			$this->mdt_id->ViewCustomAttributes = "";

			// comp_hdd
			$this->comp_hdd->ViewValue = $this->comp_hdd->CurrentValue;
			$this->comp_hdd->ViewCustomAttributes = "";

			// comp_speed
			$this->comp_speed->ViewValue = $this->comp_speed->CurrentValue;
			$this->comp_speed->ViewCustomAttributes = "";

			// comp_ram
			$this->comp_ram->ViewValue = $this->comp_ram->CurrentValue;
			$this->comp_ram->ViewCustomAttributes = "";

			// comp_work
			$this->comp_work->ViewValue = $this->comp_work->CurrentValue;
			$this->comp_work->ViewCustomAttributes = "";

			// comp_connect
			if (strval($this->comp_connect->CurrentValue) <> "") {
				switch ($this->comp_connect->CurrentValue) {
					case $this->comp_connect->FldTagValue(1):
						$this->comp_connect->ViewValue = $this->comp_connect->FldTagCaption(1) <> "" ? $this->comp_connect->FldTagCaption(1) : $this->comp_connect->CurrentValue;
						break;
					case $this->comp_connect->FldTagValue(2):
						$this->comp_connect->ViewValue = $this->comp_connect->FldTagCaption(2) <> "" ? $this->comp_connect->FldTagCaption(2) : $this->comp_connect->CurrentValue;
						break;
					case $this->comp_connect->FldTagValue(3):
						$this->comp_connect->ViewValue = $this->comp_connect->FldTagCaption(3) <> "" ? $this->comp_connect->FldTagCaption(3) : $this->comp_connect->CurrentValue;
						break;
					default:
						$this->comp_connect->ViewValue = $this->comp_connect->CurrentValue;
				}
			} else {
				$this->comp_connect->ViewValue = NULL;
			}
			$this->comp_connect->ViewCustomAttributes = "";

			// comp_os
			$this->comp_os->ViewValue = $this->comp_os->CurrentValue;
			$this->comp_os->ViewCustomAttributes = "";

			// comp_screen
			$this->comp_screen->ViewValue = $this->comp_screen->CurrentValue;
			$this->comp_screen->ViewCustomAttributes = "";

			// comp_year
			$this->comp_year->ViewValue = $this->comp_year->CurrentValue;
			$this->comp_year->ViewCustomAttributes = "";

			// comp_date_recieve
			$this->comp_date_recieve->ViewValue = $this->comp_date_recieve->CurrentValue;
			$this->comp_date_recieve->ViewValue = ew_FormatDateTime($this->comp_date_recieve->ViewValue, 5);
			$this->comp_date_recieve->ViewCustomAttributes = "";

			// comp_contract_start
			$this->comp_contract_start->ViewValue = $this->comp_contract_start->CurrentValue;
			$this->comp_contract_start->ViewValue = ew_FormatDateTime($this->comp_contract_start->ViewValue, 5);
			$this->comp_contract_start->ViewCustomAttributes = "";

			// comp_warranty
			$this->comp_warranty->ViewValue = $this->comp_warranty->CurrentValue;
			$this->comp_warranty->ViewCustomAttributes = "";

			// comp_price
			$this->comp_price->ViewValue = $this->comp_price->CurrentValue;
			$this->comp_price->ViewCustomAttributes = "";

			// comp_origin
			if (strval($this->comp_origin->CurrentValue) <> "") {
				switch ($this->comp_origin->CurrentValue) {
					case $this->comp_origin->FldTagValue(1):
						$this->comp_origin->ViewValue = $this->comp_origin->FldTagCaption(1) <> "" ? $this->comp_origin->FldTagCaption(1) : $this->comp_origin->CurrentValue;
						break;
					case $this->comp_origin->FldTagValue(2):
						$this->comp_origin->ViewValue = $this->comp_origin->FldTagCaption(2) <> "" ? $this->comp_origin->FldTagCaption(2) : $this->comp_origin->CurrentValue;
						break;
					case $this->comp_origin->FldTagValue(3):
						$this->comp_origin->ViewValue = $this->comp_origin->FldTagCaption(3) <> "" ? $this->comp_origin->FldTagCaption(3) : $this->comp_origin->CurrentValue;
						break;
					case $this->comp_origin->FldTagValue(4):
						$this->comp_origin->ViewValue = $this->comp_origin->FldTagCaption(4) <> "" ? $this->comp_origin->FldTagCaption(4) : $this->comp_origin->CurrentValue;
						break;
					default:
						$this->comp_origin->ViewValue = $this->comp_origin->CurrentValue;
				}
			} else {
				$this->comp_origin->ViewValue = NULL;
			}
			$this->comp_origin->ViewCustomAttributes = "";

			// comp_present
			if (strval($this->comp_present->CurrentValue) <> "") {
				switch ($this->comp_present->CurrentValue) {
					case $this->comp_present->FldTagValue(1):
						$this->comp_present->ViewValue = $this->comp_present->FldTagCaption(1) <> "" ? $this->comp_present->FldTagCaption(1) : $this->comp_present->CurrentValue;
						break;
					case $this->comp_present->FldTagValue(2):
						$this->comp_present->ViewValue = $this->comp_present->FldTagCaption(2) <> "" ? $this->comp_present->FldTagCaption(2) : $this->comp_present->CurrentValue;
						break;
					case $this->comp_present->FldTagValue(3):
						$this->comp_present->ViewValue = $this->comp_present->FldTagCaption(3) <> "" ? $this->comp_present->FldTagCaption(3) : $this->comp_present->CurrentValue;
						break;
					case $this->comp_present->FldTagValue(4):
						$this->comp_present->ViewValue = $this->comp_present->FldTagCaption(4) <> "" ? $this->comp_present->FldTagCaption(4) : $this->comp_present->CurrentValue;
						break;
					case $this->comp_present->FldTagValue(5):
						$this->comp_present->ViewValue = $this->comp_present->FldTagCaption(5) <> "" ? $this->comp_present->FldTagCaption(5) : $this->comp_present->CurrentValue;
						break;
					case $this->comp_present->FldTagValue(6):
						$this->comp_present->ViewValue = $this->comp_present->FldTagCaption(6) <> "" ? $this->comp_present->FldTagCaption(6) : $this->comp_present->CurrentValue;
						break;
					default:
						$this->comp_present->ViewValue = $this->comp_present->CurrentValue;
				}
			} else {
				$this->comp_present->ViewValue = NULL;
			}
			$this->comp_present->ViewCustomAttributes = "";

			// comp_comment
			$this->comp_comment->ViewValue = $this->comp_comment->CurrentValue;
			$this->comp_comment->ViewCustomAttributes = "";

			// comp_id
			$this->comp_id->LinkCustomAttributes = "";
			$this->comp_id->HrefValue = "";
			$this->comp_id->TooltipValue = "";

			// court_id
			$this->court_id->LinkCustomAttributes = "";
			$this->court_id->HrefValue = "";
			$this->court_id->TooltipValue = "";

			// cont_id
			$this->cont_id->LinkCustomAttributes = "";
			$this->cont_id->HrefValue = "";
			$this->cont_id->TooltipValue = "";

			// plt_id
			$this->plt_id->LinkCustomAttributes = "";
			$this->plt_id->HrefValue = "";
			$this->plt_id->TooltipValue = "";

			// comp_num
			$this->comp_num->LinkCustomAttributes = "";
			$this->comp_num->HrefValue = "";
			$this->comp_num->TooltipValue = "";

			// comp_sn
			$this->comp_sn->LinkCustomAttributes = "";
			$this->comp_sn->HrefValue = "";
			$this->comp_sn->TooltipValue = "";

			// comp_brand
			$this->comp_brand->LinkCustomAttributes = "";
			$this->comp_brand->HrefValue = "";
			$this->comp_brand->TooltipValue = "";

			// mdt_id
			$this->mdt_id->LinkCustomAttributes = "";
			$this->mdt_id->HrefValue = "";
			$this->mdt_id->TooltipValue = "";

			// comp_hdd
			$this->comp_hdd->LinkCustomAttributes = "";
			$this->comp_hdd->HrefValue = "";
			$this->comp_hdd->TooltipValue = "";

			// comp_speed
			$this->comp_speed->LinkCustomAttributes = "";
			$this->comp_speed->HrefValue = "";
			$this->comp_speed->TooltipValue = "";

			// comp_ram
			$this->comp_ram->LinkCustomAttributes = "";
			$this->comp_ram->HrefValue = "";
			$this->comp_ram->TooltipValue = "";

			// comp_work
			$this->comp_work->LinkCustomAttributes = "";
			$this->comp_work->HrefValue = "";
			$this->comp_work->TooltipValue = "";

			// comp_connect
			$this->comp_connect->LinkCustomAttributes = "";
			$this->comp_connect->HrefValue = "";
			$this->comp_connect->TooltipValue = "";

			// comp_os
			$this->comp_os->LinkCustomAttributes = "";
			$this->comp_os->HrefValue = "";
			$this->comp_os->TooltipValue = "";

			// comp_screen
			$this->comp_screen->LinkCustomAttributes = "";
			$this->comp_screen->HrefValue = "";
			$this->comp_screen->TooltipValue = "";

			// comp_year
			$this->comp_year->LinkCustomAttributes = "";
			$this->comp_year->HrefValue = "";
			$this->comp_year->TooltipValue = "";

			// comp_date_recieve
			$this->comp_date_recieve->LinkCustomAttributes = "";
			$this->comp_date_recieve->HrefValue = "";
			$this->comp_date_recieve->TooltipValue = "";

			// comp_contract_start
			$this->comp_contract_start->LinkCustomAttributes = "";
			$this->comp_contract_start->HrefValue = "";
			$this->comp_contract_start->TooltipValue = "";

			// comp_warranty
			$this->comp_warranty->LinkCustomAttributes = "";
			$this->comp_warranty->HrefValue = "";
			$this->comp_warranty->TooltipValue = "";

			// comp_price
			$this->comp_price->LinkCustomAttributes = "";
			$this->comp_price->HrefValue = "";
			$this->comp_price->TooltipValue = "";

			// comp_origin
			$this->comp_origin->LinkCustomAttributes = "";
			$this->comp_origin->HrefValue = "";
			$this->comp_origin->TooltipValue = "";

			// comp_present
			$this->comp_present->LinkCustomAttributes = "";
			$this->comp_present->HrefValue = "";
			$this->comp_present->TooltipValue = "";

			// comp_comment
			$this->comp_comment->LinkCustomAttributes = "";
			$this->comp_comment->HrefValue = "";
			$this->comp_comment->TooltipValue = "";
		} elseif ($this->RowType == EW_ROWTYPE_EDIT) { // Edit row

			// comp_id
			$this->comp_id->EditCustomAttributes = "";
			$this->comp_id->EditValue = $this->comp_id->CurrentValue;
			$this->comp_id->ViewCustomAttributes = "";

			// court_id
			$this->court_id->EditCustomAttributes = "";
			$this->court_id->EditValue = ew_HtmlEncode($this->court_id->CurrentValue);

			// cont_id
			$this->cont_id->EditCustomAttributes = "";
			$sFilterWrk = "";
			$sSqlWrk = "SELECT `cont_id`, `cont_num` AS `DispFld`, `cont_project` AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld`, '' AS `SelectFilterFld`, '' AS `SelectFilterFld2`, '' AS `SelectFilterFld3`, '' AS `SelectFilterFld4` FROM `tb_contracts`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				ew_AddFilter($sWhereWrk, $sFilterWrk);
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = $conn->Execute($sSqlWrk);
			$arwrk = ($rswrk) ? $rswrk->GetRows() : array();
			if ($rswrk) $rswrk->Close();
			array_unshift($arwrk, array("", $Language->Phrase("PleaseSelect"), "", "", "", "", "", "", ""));
			$this->cont_id->EditValue = $arwrk;

			// plt_id
			$this->plt_id->EditCustomAttributes = "";
			$sFilterWrk = "";
			$sSqlWrk = "SELECT `plt_id`, `plt_name` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld`, '' AS `SelectFilterFld`, '' AS `SelectFilterFld2`, '' AS `SelectFilterFld3`, '' AS `SelectFilterFld4` FROM `tb_place_types`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				ew_AddFilter($sWhereWrk, $sFilterWrk);
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = $conn->Execute($sSqlWrk);
			$arwrk = ($rswrk) ? $rswrk->GetRows() : array();
			if ($rswrk) $rswrk->Close();
			array_unshift($arwrk, array("", $Language->Phrase("PleaseSelect"), "", "", "", "", "", "", ""));
			$this->plt_id->EditValue = $arwrk;

			// comp_num
			$this->comp_num->EditCustomAttributes = "";
			$this->comp_num->EditValue = ew_HtmlEncode($this->comp_num->CurrentValue);

			// comp_sn
			$this->comp_sn->EditCustomAttributes = "";
			$this->comp_sn->EditValue = ew_HtmlEncode($this->comp_sn->CurrentValue);

			// comp_brand
			$this->comp_brand->EditCustomAttributes = "";
			$this->comp_brand->EditValue = ew_HtmlEncode($this->comp_brand->CurrentValue);

			// mdt_id
			$this->mdt_id->EditCustomAttributes = "";
			$sFilterWrk = "";
			$sSqlWrk = "SELECT `mdt_id`, `mdt_name` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld`, '' AS `SelectFilterFld`, '' AS `SelectFilterFld2`, '' AS `SelectFilterFld3`, '' AS `SelectFilterFld4` FROM `tb_model_types`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				ew_AddFilter($sWhereWrk, $sFilterWrk);
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = $conn->Execute($sSqlWrk);
			$arwrk = ($rswrk) ? $rswrk->GetRows() : array();
			if ($rswrk) $rswrk->Close();
			array_unshift($arwrk, array("", $Language->Phrase("PleaseSelect"), "", "", "", "", "", "", ""));
			$this->mdt_id->EditValue = $arwrk;

			// comp_hdd
			$this->comp_hdd->EditCustomAttributes = "";
			$this->comp_hdd->EditValue = ew_HtmlEncode($this->comp_hdd->CurrentValue);

			// comp_speed
			$this->comp_speed->EditCustomAttributes = "";
			$this->comp_speed->EditValue = ew_HtmlEncode($this->comp_speed->CurrentValue);

			// comp_ram
			$this->comp_ram->EditCustomAttributes = "";
			$this->comp_ram->EditValue = ew_HtmlEncode($this->comp_ram->CurrentValue);

			// comp_work
			$this->comp_work->EditCustomAttributes = "";
			$this->comp_work->EditValue = ew_HtmlEncode($this->comp_work->CurrentValue);

			// comp_connect
			$this->comp_connect->EditCustomAttributes = "";
			$arwrk = array();
			$arwrk[] = array($this->comp_connect->FldTagValue(1), $this->comp_connect->FldTagCaption(1) <> "" ? $this->comp_connect->FldTagCaption(1) : $this->comp_connect->FldTagValue(1));
			$arwrk[] = array($this->comp_connect->FldTagValue(2), $this->comp_connect->FldTagCaption(2) <> "" ? $this->comp_connect->FldTagCaption(2) : $this->comp_connect->FldTagValue(2));
			$arwrk[] = array($this->comp_connect->FldTagValue(3), $this->comp_connect->FldTagCaption(3) <> "" ? $this->comp_connect->FldTagCaption(3) : $this->comp_connect->FldTagValue(3));
			$this->comp_connect->EditValue = $arwrk;

			// comp_os
			$this->comp_os->EditCustomAttributes = "";
			$this->comp_os->EditValue = ew_HtmlEncode($this->comp_os->CurrentValue);

			// comp_screen
			$this->comp_screen->EditCustomAttributes = "";
			$this->comp_screen->EditValue = ew_HtmlEncode($this->comp_screen->CurrentValue);

			// comp_year
			$this->comp_year->EditCustomAttributes = "";
			$this->comp_year->EditValue = ew_HtmlEncode($this->comp_year->CurrentValue);

			// comp_date_recieve
			$this->comp_date_recieve->EditCustomAttributes = "";
			$this->comp_date_recieve->EditValue = ew_HtmlEncode(ew_FormatDateTime($this->comp_date_recieve->CurrentValue, 5));

			// comp_contract_start
			$this->comp_contract_start->EditCustomAttributes = "";
			$this->comp_contract_start->EditValue = ew_HtmlEncode(ew_FormatDateTime($this->comp_contract_start->CurrentValue, 5));

			// comp_warranty
			$this->comp_warranty->EditCustomAttributes = "";
			$this->comp_warranty->EditValue = ew_HtmlEncode($this->comp_warranty->CurrentValue);
			if (strval($this->comp_warranty->EditValue) <> "" && is_numeric($this->comp_warranty->EditValue)) $this->comp_warranty->EditValue = ew_FormatNumber($this->comp_warranty->EditValue, -2, -1, -2, 0);

			// comp_price
			$this->comp_price->EditCustomAttributes = "";
			$this->comp_price->EditValue = ew_HtmlEncode($this->comp_price->CurrentValue);
			if (strval($this->comp_price->EditValue) <> "" && is_numeric($this->comp_price->EditValue)) $this->comp_price->EditValue = ew_FormatNumber($this->comp_price->EditValue, -2, -1, -2, 0);

			// comp_origin
			$this->comp_origin->EditCustomAttributes = "";
			$arwrk = array();
			$arwrk[] = array($this->comp_origin->FldTagValue(1), $this->comp_origin->FldTagCaption(1) <> "" ? $this->comp_origin->FldTagCaption(1) : $this->comp_origin->FldTagValue(1));
			$arwrk[] = array($this->comp_origin->FldTagValue(2), $this->comp_origin->FldTagCaption(2) <> "" ? $this->comp_origin->FldTagCaption(2) : $this->comp_origin->FldTagValue(2));
			$arwrk[] = array($this->comp_origin->FldTagValue(3), $this->comp_origin->FldTagCaption(3) <> "" ? $this->comp_origin->FldTagCaption(3) : $this->comp_origin->FldTagValue(3));
			$arwrk[] = array($this->comp_origin->FldTagValue(4), $this->comp_origin->FldTagCaption(4) <> "" ? $this->comp_origin->FldTagCaption(4) : $this->comp_origin->FldTagValue(4));
			$this->comp_origin->EditValue = $arwrk;

			// comp_present
			$this->comp_present->EditCustomAttributes = "";
			$arwrk = array();
			$arwrk[] = array($this->comp_present->FldTagValue(1), $this->comp_present->FldTagCaption(1) <> "" ? $this->comp_present->FldTagCaption(1) : $this->comp_present->FldTagValue(1));
			$arwrk[] = array($this->comp_present->FldTagValue(2), $this->comp_present->FldTagCaption(2) <> "" ? $this->comp_present->FldTagCaption(2) : $this->comp_present->FldTagValue(2));
			$arwrk[] = array($this->comp_present->FldTagValue(3), $this->comp_present->FldTagCaption(3) <> "" ? $this->comp_present->FldTagCaption(3) : $this->comp_present->FldTagValue(3));
			$arwrk[] = array($this->comp_present->FldTagValue(4), $this->comp_present->FldTagCaption(4) <> "" ? $this->comp_present->FldTagCaption(4) : $this->comp_present->FldTagValue(4));
			$arwrk[] = array($this->comp_present->FldTagValue(5), $this->comp_present->FldTagCaption(5) <> "" ? $this->comp_present->FldTagCaption(5) : $this->comp_present->FldTagValue(5));
			$arwrk[] = array($this->comp_present->FldTagValue(6), $this->comp_present->FldTagCaption(6) <> "" ? $this->comp_present->FldTagCaption(6) : $this->comp_present->FldTagValue(6));
			$this->comp_present->EditValue = $arwrk;

			// comp_comment
			$this->comp_comment->EditCustomAttributes = "";
			$this->comp_comment->EditValue = ew_HtmlEncode($this->comp_comment->CurrentValue);

			// Edit refer script
			// comp_id

			$this->comp_id->HrefValue = "";

			// court_id
			$this->court_id->HrefValue = "";

			// cont_id
			$this->cont_id->HrefValue = "";

			// plt_id
			$this->plt_id->HrefValue = "";

			// comp_num
			$this->comp_num->HrefValue = "";

			// comp_sn
			$this->comp_sn->HrefValue = "";

			// comp_brand
			$this->comp_brand->HrefValue = "";

			// mdt_id
			$this->mdt_id->HrefValue = "";

			// comp_hdd
			$this->comp_hdd->HrefValue = "";

			// comp_speed
			$this->comp_speed->HrefValue = "";

			// comp_ram
			$this->comp_ram->HrefValue = "";

			// comp_work
			$this->comp_work->HrefValue = "";

			// comp_connect
			$this->comp_connect->HrefValue = "";

			// comp_os
			$this->comp_os->HrefValue = "";

			// comp_screen
			$this->comp_screen->HrefValue = "";

			// comp_year
			$this->comp_year->HrefValue = "";

			// comp_date_recieve
			$this->comp_date_recieve->HrefValue = "";

			// comp_contract_start
			$this->comp_contract_start->HrefValue = "";

			// comp_warranty
			$this->comp_warranty->HrefValue = "";

			// comp_price
			$this->comp_price->HrefValue = "";

			// comp_origin
			$this->comp_origin->HrefValue = "";

			// comp_present
			$this->comp_present->HrefValue = "";

			// comp_comment
			$this->comp_comment->HrefValue = "";
		}
		if ($this->RowType == EW_ROWTYPE_ADD ||
			$this->RowType == EW_ROWTYPE_EDIT ||
			$this->RowType == EW_ROWTYPE_SEARCH) { // Add / Edit / Search row
			$this->SetupFieldTitles();
		}

		// Call Row Rendered event
		if ($this->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$this->Row_Rendered();
	}

	// Validate form
	function ValidateForm() {
		global $Language, $gsFormError;

		// Initialize form error message
		$gsFormError = "";

		// Check if validation required
		if (!EW_SERVER_VALIDATE)
			return ($gsFormError == "");
		if (!is_null($this->comp_id->FormValue) && $this->comp_id->FormValue == "") {
			ew_AddMessage($gsFormError, $Language->Phrase("EnterRequiredField") . " - " . $this->comp_id->FldCaption());
		}
		if (!is_null($this->cont_id->FormValue) && $this->cont_id->FormValue == "") {
			ew_AddMessage($gsFormError, $Language->Phrase("EnterRequiredField") . " - " . $this->cont_id->FldCaption());
		}
		if (!is_null($this->plt_id->FormValue) && $this->plt_id->FormValue == "") {
			ew_AddMessage($gsFormError, $Language->Phrase("EnterRequiredField") . " - " . $this->plt_id->FldCaption());
		}
		if (!is_null($this->mdt_id->FormValue) && $this->mdt_id->FormValue == "") {
			ew_AddMessage($gsFormError, $Language->Phrase("EnterRequiredField") . " - " . $this->mdt_id->FldCaption());
		}
		if (!is_null($this->comp_date_recieve->FormValue) && $this->comp_date_recieve->FormValue == "") {
			ew_AddMessage($gsFormError, $Language->Phrase("EnterRequiredField") . " - " . $this->comp_date_recieve->FldCaption());
		}
		if (!ew_CheckDate($this->comp_date_recieve->FormValue)) {
			ew_AddMessage($gsFormError, $this->comp_date_recieve->FldErrMsg());
		}
		if (!ew_CheckDate($this->comp_contract_start->FormValue)) {
			ew_AddMessage($gsFormError, $this->comp_contract_start->FldErrMsg());
		}
		if (!ew_CheckNumber($this->comp_warranty->FormValue)) {
			ew_AddMessage($gsFormError, $this->comp_warranty->FldErrMsg());
		}
		if (!ew_CheckNumber($this->comp_price->FormValue)) {
			ew_AddMessage($gsFormError, $this->comp_price->FldErrMsg());
		}

		// Return validate result
		$ValidateForm = ($gsFormError == "");

		// Call Form_CustomValidate event
		$sFormCustomError = "";
		$ValidateForm = $ValidateForm && $this->Form_CustomValidate($sFormCustomError);
		if ($sFormCustomError <> "") {
			ew_AddMessage($gsFormError, $sFormCustomError);
		}
		return $ValidateForm;
	}

	// Update record based on key values
	function EditRow() {
		global $conn, $Security, $Language;
		$sFilter = $this->KeyFilter();
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$conn->raiseErrorFn = 'ew_ErrorFn';
		$rs = $conn->Execute($sSql);
		$conn->raiseErrorFn = '';
		if ($rs === FALSE)
			return FALSE;
		if ($rs->EOF) {
			$EditRow = FALSE; // Update Failed
		} else {

			// Save old values
			$rsold = &$rs->fields;
			$rsnew = array();

			// comp_id
			// court_id

			$this->court_id->SetDbValueDef($rsnew, $this->court_id->CurrentValue, NULL, $this->court_id->ReadOnly);

			// cont_id
			$this->cont_id->SetDbValueDef($rsnew, $this->cont_id->CurrentValue, NULL, $this->cont_id->ReadOnly);

			// plt_id
			$this->plt_id->SetDbValueDef($rsnew, $this->plt_id->CurrentValue, NULL, $this->plt_id->ReadOnly);

			// comp_num
			$this->comp_num->SetDbValueDef($rsnew, $this->comp_num->CurrentValue, NULL, $this->comp_num->ReadOnly);

			// comp_sn
			$this->comp_sn->SetDbValueDef($rsnew, $this->comp_sn->CurrentValue, NULL, $this->comp_sn->ReadOnly);

			// comp_brand
			$this->comp_brand->SetDbValueDef($rsnew, $this->comp_brand->CurrentValue, NULL, $this->comp_brand->ReadOnly);

			// mdt_id
			$this->mdt_id->SetDbValueDef($rsnew, $this->mdt_id->CurrentValue, NULL, $this->mdt_id->ReadOnly);

			// comp_hdd
			$this->comp_hdd->SetDbValueDef($rsnew, $this->comp_hdd->CurrentValue, NULL, $this->comp_hdd->ReadOnly);

			// comp_speed
			$this->comp_speed->SetDbValueDef($rsnew, $this->comp_speed->CurrentValue, NULL, $this->comp_speed->ReadOnly);

			// comp_ram
			$this->comp_ram->SetDbValueDef($rsnew, $this->comp_ram->CurrentValue, NULL, $this->comp_ram->ReadOnly);

			// comp_work
			$this->comp_work->SetDbValueDef($rsnew, $this->comp_work->CurrentValue, NULL, $this->comp_work->ReadOnly);

			// comp_connect
			$this->comp_connect->SetDbValueDef($rsnew, $this->comp_connect->CurrentValue, NULL, $this->comp_connect->ReadOnly);

			// comp_os
			$this->comp_os->SetDbValueDef($rsnew, $this->comp_os->CurrentValue, NULL, $this->comp_os->ReadOnly);

			// comp_screen
			$this->comp_screen->SetDbValueDef($rsnew, $this->comp_screen->CurrentValue, NULL, $this->comp_screen->ReadOnly);

			// comp_year
			$this->comp_year->SetDbValueDef($rsnew, $this->comp_year->CurrentValue, NULL, $this->comp_year->ReadOnly);

			// comp_date_recieve
			$this->comp_date_recieve->SetDbValueDef($rsnew, ew_UnFormatDateTime($this->comp_date_recieve->CurrentValue, 5), NULL, $this->comp_date_recieve->ReadOnly);

			// comp_contract_start
			$this->comp_contract_start->SetDbValueDef($rsnew, ew_UnFormatDateTime($this->comp_contract_start->CurrentValue, 5), NULL, $this->comp_contract_start->ReadOnly);

			// comp_warranty
			$this->comp_warranty->SetDbValueDef($rsnew, $this->comp_warranty->CurrentValue, NULL, $this->comp_warranty->ReadOnly);

			// comp_price
			$this->comp_price->SetDbValueDef($rsnew, $this->comp_price->CurrentValue, NULL, $this->comp_price->ReadOnly);

			// comp_origin
			$this->comp_origin->SetDbValueDef($rsnew, $this->comp_origin->CurrentValue, NULL, $this->comp_origin->ReadOnly);

			// comp_present
			$this->comp_present->SetDbValueDef($rsnew, $this->comp_present->CurrentValue, NULL, $this->comp_present->ReadOnly);

			// comp_comment
			$this->comp_comment->SetDbValueDef($rsnew, $this->comp_comment->CurrentValue, NULL, $this->comp_comment->ReadOnly);

			// Call Row Updating event
			$bUpdateRow = $this->Row_Updating($rsold, $rsnew);
			if ($bUpdateRow) {
				$conn->raiseErrorFn = 'ew_ErrorFn';
				if (count($rsnew) > 0)
					$EditRow = $this->Update($rsnew);
				else
					$EditRow = TRUE; // No field to update
				$conn->raiseErrorFn = '';
			} else {
				if ($this->getSuccessMessage() <> "" || $this->getFailureMessage() <> "") {

					// Use the message, do nothing
				} elseif ($this->CancelMessage <> "") {
					$this->setFailureMessage($this->CancelMessage);
					$this->CancelMessage = "";
				} else {
					$this->setFailureMessage($Language->Phrase("UpdateCancelled"));
				}
				$EditRow = FALSE;
			}
		}

		// Call Row_Updated event
		if ($EditRow)
			$this->Row_Updated($rsold, $rsnew);
		$rs->Close();
		return $EditRow;
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	// $type = ''|'success'|'failure'|'warning'
	function Message_Showing(&$msg, $type) {
		if ($type == 'success') {

			//$msg = "your success message";
		} elseif ($type == 'failure') {

			//$msg = "your failure message";
		} elseif ($type == 'warning') {

			//$msg = "your warning message";
		} else {

			//$msg = "your message";
		}
	}

	// Page Data Rendering event
	function Page_DataRendering(&$header) {

		// Example:
		//$header = "your header";

	}

	// Page Data Rendered event
	function Page_DataRendered(&$footer) {

		// Example:
		//$footer = "your footer";

	}

	// Form Custom Validate event
	function Form_CustomValidate(&$CustomError) {

		// Return error message in CustomError
		return TRUE;
	}
}
?>
<?php ew_Header(FALSE) ?>
<?php

// Create page object
if (!isset($tb_computers_edit)) $tb_computers_edit = new ctb_computers_edit();

// Page init
$tb_computers_edit->Page_Init();

// Page main
$tb_computers_edit->Page_Main();
?>
<?php include_once "header.php" ?>
<script type="text/javascript">

// Page object
var tb_computers_edit = new ew_Page("tb_computers_edit");
tb_computers_edit.PageID = "edit"; // Page ID
var EW_PAGE_ID = tb_computers_edit.PageID; // For backward compatibility

// Form object
var ftb_computersedit = new ew_Form("ftb_computersedit");

// Validate form
ftb_computersedit.Validate = function(fobj) {
	if (!this.ValidateRequired)
		return true; // Ignore validation
	fobj = fobj || this.Form;
	this.PostAutoSuggest();	
	if (fobj.a_confirm && fobj.a_confirm.value == "F")
		return true;
	var elm, aelm;
	var rowcnt = 1;
	var startcnt = (rowcnt == 0) ? 0 : 1; // rowcnt == 0 => Inline-Add
	for (var i = startcnt; i <= rowcnt; i++) {
		var infix = "";
		elm = fobj.elements["x" + infix + "_comp_id"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tb_computers->comp_id->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_cont_id"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tb_computers->cont_id->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_plt_id"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tb_computers->plt_id->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_mdt_id"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tb_computers->mdt_id->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_comp_date_recieve"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tb_computers->comp_date_recieve->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_comp_date_recieve"];
		if (elm && !ew_CheckDate(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_computers->comp_date_recieve->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_comp_contract_start"];
		if (elm && !ew_CheckDate(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_computers->comp_contract_start->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_comp_warranty"];
		if (elm && !ew_CheckNumber(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_computers->comp_warranty->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_comp_price"];
		if (elm && !ew_CheckNumber(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_computers->comp_price->FldErrMsg()) ?>");

		// Set up row object
		ew_ElementsToRow(fobj, infix);

		// Fire Form_CustomValidate event
		if (!this.Form_CustomValidate(fobj))
			return false;
	}

	// Process detail page
	if (fobj.detailpage && fobj.detailpage.value && ewForms[fobj.detailpage.value])
		return ewForms[fobj.detailpage.value].Validate(fobj);
	return true;
}

// Form_CustomValidate event
ftb_computersedit.Form_CustomValidate =  
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }

// Use JavaScript validation or not
<?php if (EW_CLIENT_VALIDATE) { ?>
ftb_computersedit.ValidateRequired = true;
<?php } else { ?>
ftb_computersedit.ValidateRequired = false; 
<?php } ?>

// Dynamic selection lists
ftb_computersedit.Lists["x_cont_id"] = {"LinkField":"x_cont_id","Ajax":null,"AutoFill":false,"DisplayFields":["x_cont_num","x_cont_project","",""],"ParentFields":[],"FilterFields":[],"Options":[]};
ftb_computersedit.Lists["x_plt_id"] = {"LinkField":"x_plt_id","Ajax":null,"AutoFill":false,"DisplayFields":["x_plt_name","","",""],"ParentFields":[],"FilterFields":[],"Options":[]};
ftb_computersedit.Lists["x_mdt_id"] = {"LinkField":"x_mdt_id","Ajax":null,"AutoFill":false,"DisplayFields":["x_mdt_name","","",""],"ParentFields":[],"FilterFields":[],"Options":[]};

// Form object for search
</script>
<script type="text/javascript">

// Write your client script here, no need to add script tags.
</script>
<p><span class="ewTitle ewTableTitle"><?php echo $Language->Phrase("Edit") ?>&nbsp;<?php echo $Language->Phrase("TblTypeTABLE") ?><?php echo $tb_computers->TableCaption() ?></span></p>
<p class="phpmaker"><a href="<?php echo $tb_computers->getReturnUrl() ?>"><?php echo $Language->Phrase("GoBack") ?></a></p>
<?php $tb_computers_edit->ShowPageHeader(); ?>
<?php
$tb_computers_edit->ShowMessage();
?>
<form name="ftb_computersedit" id="ftb_computersedit" class="ewForm" action="<?php echo ew_CurrentPage() ?>" method="post" onsubmit="return ewForms[this.id].Submit();">
<p>
<input type="hidden" name="t" value="tb_computers">
<input type="hidden" name="a_edit" id="a_edit" value="U">
<?php if ($tb_computers->CurrentAction == "F") { // Confirm page ?>
<input type="hidden" name="a_confirm" id="a_confirm" value="F">
<?php } ?>
<table cellspacing="0" class="ewGrid"><tr><td class="ewGridContent">
<div class="ewGridMiddlePanel">
<table cellspacing="0" id="tbl_tb_computersedit" class="ewTable">
<?php if ($tb_computers->comp_id->Visible) { // comp_id ?>
	<tr id="r_comp_id"<?php echo $tb_computers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_computers_comp_id"><?php echo $tb_computers->comp_id->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></span></td>
		<td<?php echo $tb_computers->comp_id->CellAttributes() ?>><span id="el_tb_computers_comp_id">
<?php if ($tb_computers->CurrentAction <> "F") { ?>
<span<?php echo $tb_computers->comp_id->ViewAttributes() ?>>
<?php echo $tb_computers->comp_id->EditValue ?></span>
<input type="hidden" name="x_comp_id" id="x_comp_id" value="<?php echo ew_HtmlEncode($tb_computers->comp_id->CurrentValue) ?>">
<?php } else { ?>
<span<?php echo $tb_computers->comp_id->ViewAttributes() ?>>
<?php echo $tb_computers->comp_id->ViewValue ?></span>
<input type="hidden" name="x_comp_id" id="x_comp_id" value="<?php echo ew_HtmlEncode($tb_computers->comp_id->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_computers->comp_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_computers->court_id->Visible) { // court_id ?>
	<tr id="r_court_id"<?php echo $tb_computers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_computers_court_id"><?php echo $tb_computers->court_id->FldCaption() ?></span></td>
		<td<?php echo $tb_computers->court_id->CellAttributes() ?>><span id="el_tb_computers_court_id">
<?php if ($tb_computers->CurrentAction <> "F") { ?>
<input type="text" name="x_court_id" id="x_court_id" size="30" maxlength="10" value="<?php echo $tb_computers->court_id->EditValue ?>"<?php echo $tb_computers->court_id->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_computers->court_id->ViewAttributes() ?>>
<?php echo $tb_computers->court_id->ViewValue ?></span>
<input type="hidden" name="x_court_id" id="x_court_id" value="<?php echo ew_HtmlEncode($tb_computers->court_id->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_computers->court_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_computers->cont_id->Visible) { // cont_id ?>
	<tr id="r_cont_id"<?php echo $tb_computers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_computers_cont_id"><?php echo $tb_computers->cont_id->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></span></td>
		<td<?php echo $tb_computers->cont_id->CellAttributes() ?>><span id="el_tb_computers_cont_id">
<?php if ($tb_computers->CurrentAction <> "F") { ?>
<select id="x_cont_id" name="x_cont_id"<?php echo $tb_computers->cont_id->EditAttributes() ?>>
<?php
if (is_array($tb_computers->cont_id->EditValue)) {
	$arwrk = $tb_computers->cont_id->EditValue;
	$rowswrk = count($arwrk);
	$emptywrk = TRUE;
	for ($rowcntwrk = 0; $rowcntwrk < $rowswrk; $rowcntwrk++) {
		$selwrk = (strval($tb_computers->cont_id->CurrentValue) == strval($arwrk[$rowcntwrk][0])) ? " selected=\"selected\"" : "";
		if ($selwrk <> "") $emptywrk = FALSE;
?>
<option value="<?php echo ew_HtmlEncode($arwrk[$rowcntwrk][0]) ?>"<?php echo $selwrk ?>>
<?php echo $arwrk[$rowcntwrk][1] ?>
<?php if ($arwrk[$rowcntwrk][2] <> "") { ?>
<?php echo ew_ValueSeparator(1,$tb_computers->cont_id) ?><?php echo $arwrk[$rowcntwrk][2] ?>
<?php } ?>
</option>
<?php
	}
}
?>
</select>
<script type="text/javascript">
ftb_computersedit.Lists["x_cont_id"].Options = <?php echo (is_array($tb_computers->cont_id->EditValue)) ? ew_ArrayToJson($tb_computers->cont_id->EditValue, 1) : "[]" ?>;
</script>
<?php } else { ?>
<span<?php echo $tb_computers->cont_id->ViewAttributes() ?>>
<?php echo $tb_computers->cont_id->ViewValue ?></span>
<input type="hidden" name="x_cont_id" id="x_cont_id" value="<?php echo ew_HtmlEncode($tb_computers->cont_id->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_computers->cont_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_computers->plt_id->Visible) { // plt_id ?>
	<tr id="r_plt_id"<?php echo $tb_computers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_computers_plt_id"><?php echo $tb_computers->plt_id->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></span></td>
		<td<?php echo $tb_computers->plt_id->CellAttributes() ?>><span id="el_tb_computers_plt_id">
<?php if ($tb_computers->CurrentAction <> "F") { ?>
<select id="x_plt_id" name="x_plt_id"<?php echo $tb_computers->plt_id->EditAttributes() ?>>
<?php
if (is_array($tb_computers->plt_id->EditValue)) {
	$arwrk = $tb_computers->plt_id->EditValue;
	$rowswrk = count($arwrk);
	$emptywrk = TRUE;
	for ($rowcntwrk = 0; $rowcntwrk < $rowswrk; $rowcntwrk++) {
		$selwrk = (strval($tb_computers->plt_id->CurrentValue) == strval($arwrk[$rowcntwrk][0])) ? " selected=\"selected\"" : "";
		if ($selwrk <> "") $emptywrk = FALSE;
?>
<option value="<?php echo ew_HtmlEncode($arwrk[$rowcntwrk][0]) ?>"<?php echo $selwrk ?>>
<?php echo $arwrk[$rowcntwrk][1] ?>
</option>
<?php
	}
}
?>
</select>
<script type="text/javascript">
ftb_computersedit.Lists["x_plt_id"].Options = <?php echo (is_array($tb_computers->plt_id->EditValue)) ? ew_ArrayToJson($tb_computers->plt_id->EditValue, 1) : "[]" ?>;
</script>
<?php } else { ?>
<span<?php echo $tb_computers->plt_id->ViewAttributes() ?>>
<?php echo $tb_computers->plt_id->ViewValue ?></span>
<input type="hidden" name="x_plt_id" id="x_plt_id" value="<?php echo ew_HtmlEncode($tb_computers->plt_id->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_computers->plt_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_computers->comp_num->Visible) { // comp_num ?>
	<tr id="r_comp_num"<?php echo $tb_computers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_computers_comp_num"><?php echo $tb_computers->comp_num->FldCaption() ?></span></td>
		<td<?php echo $tb_computers->comp_num->CellAttributes() ?>><span id="el_tb_computers_comp_num">
<?php if ($tb_computers->CurrentAction <> "F") { ?>
<input type="text" name="x_comp_num" id="x_comp_num" size="30" maxlength="100" value="<?php echo $tb_computers->comp_num->EditValue ?>"<?php echo $tb_computers->comp_num->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_computers->comp_num->ViewAttributes() ?>>
<?php echo $tb_computers->comp_num->ViewValue ?></span>
<input type="hidden" name="x_comp_num" id="x_comp_num" value="<?php echo ew_HtmlEncode($tb_computers->comp_num->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_computers->comp_num->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_computers->comp_sn->Visible) { // comp_sn ?>
	<tr id="r_comp_sn"<?php echo $tb_computers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_computers_comp_sn"><?php echo $tb_computers->comp_sn->FldCaption() ?></span></td>
		<td<?php echo $tb_computers->comp_sn->CellAttributes() ?>><span id="el_tb_computers_comp_sn">
<?php if ($tb_computers->CurrentAction <> "F") { ?>
<input type="text" name="x_comp_sn" id="x_comp_sn" size="30" maxlength="100" value="<?php echo $tb_computers->comp_sn->EditValue ?>"<?php echo $tb_computers->comp_sn->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_computers->comp_sn->ViewAttributes() ?>>
<?php echo $tb_computers->comp_sn->ViewValue ?></span>
<input type="hidden" name="x_comp_sn" id="x_comp_sn" value="<?php echo ew_HtmlEncode($tb_computers->comp_sn->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_computers->comp_sn->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_computers->comp_brand->Visible) { // comp_brand ?>
	<tr id="r_comp_brand"<?php echo $tb_computers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_computers_comp_brand"><?php echo $tb_computers->comp_brand->FldCaption() ?></span></td>
		<td<?php echo $tb_computers->comp_brand->CellAttributes() ?>><span id="el_tb_computers_comp_brand">
<?php if ($tb_computers->CurrentAction <> "F") { ?>
<input type="text" name="x_comp_brand" id="x_comp_brand" size="30" maxlength="200" value="<?php echo $tb_computers->comp_brand->EditValue ?>"<?php echo $tb_computers->comp_brand->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_computers->comp_brand->ViewAttributes() ?>>
<?php echo $tb_computers->comp_brand->ViewValue ?></span>
<input type="hidden" name="x_comp_brand" id="x_comp_brand" value="<?php echo ew_HtmlEncode($tb_computers->comp_brand->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_computers->comp_brand->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_computers->mdt_id->Visible) { // mdt_id ?>
	<tr id="r_mdt_id"<?php echo $tb_computers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_computers_mdt_id"><?php echo $tb_computers->mdt_id->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></span></td>
		<td<?php echo $tb_computers->mdt_id->CellAttributes() ?>><span id="el_tb_computers_mdt_id">
<?php if ($tb_computers->CurrentAction <> "F") { ?>
<select id="x_mdt_id" name="x_mdt_id"<?php echo $tb_computers->mdt_id->EditAttributes() ?>>
<?php
if (is_array($tb_computers->mdt_id->EditValue)) {
	$arwrk = $tb_computers->mdt_id->EditValue;
	$rowswrk = count($arwrk);
	$emptywrk = TRUE;
	for ($rowcntwrk = 0; $rowcntwrk < $rowswrk; $rowcntwrk++) {
		$selwrk = (strval($tb_computers->mdt_id->CurrentValue) == strval($arwrk[$rowcntwrk][0])) ? " selected=\"selected\"" : "";
		if ($selwrk <> "") $emptywrk = FALSE;
?>
<option value="<?php echo ew_HtmlEncode($arwrk[$rowcntwrk][0]) ?>"<?php echo $selwrk ?>>
<?php echo $arwrk[$rowcntwrk][1] ?>
</option>
<?php
	}
}
?>
</select>
<script type="text/javascript">
ftb_computersedit.Lists["x_mdt_id"].Options = <?php echo (is_array($tb_computers->mdt_id->EditValue)) ? ew_ArrayToJson($tb_computers->mdt_id->EditValue, 1) : "[]" ?>;
</script>
<?php } else { ?>
<span<?php echo $tb_computers->mdt_id->ViewAttributes() ?>>
<?php echo $tb_computers->mdt_id->ViewValue ?></span>
<input type="hidden" name="x_mdt_id" id="x_mdt_id" value="<?php echo ew_HtmlEncode($tb_computers->mdt_id->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_computers->mdt_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_computers->comp_hdd->Visible) { // comp_hdd ?>
	<tr id="r_comp_hdd"<?php echo $tb_computers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_computers_comp_hdd"><?php echo $tb_computers->comp_hdd->FldCaption() ?></span></td>
		<td<?php echo $tb_computers->comp_hdd->CellAttributes() ?>><span id="el_tb_computers_comp_hdd">
<?php if ($tb_computers->CurrentAction <> "F") { ?>
<input type="text" name="x_comp_hdd" id="x_comp_hdd" size="30" maxlength="100" value="<?php echo $tb_computers->comp_hdd->EditValue ?>"<?php echo $tb_computers->comp_hdd->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_computers->comp_hdd->ViewAttributes() ?>>
<?php echo $tb_computers->comp_hdd->ViewValue ?></span>
<input type="hidden" name="x_comp_hdd" id="x_comp_hdd" value="<?php echo ew_HtmlEncode($tb_computers->comp_hdd->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_computers->comp_hdd->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_computers->comp_speed->Visible) { // comp_speed ?>
	<tr id="r_comp_speed"<?php echo $tb_computers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_computers_comp_speed"><?php echo $tb_computers->comp_speed->FldCaption() ?></span></td>
		<td<?php echo $tb_computers->comp_speed->CellAttributes() ?>><span id="el_tb_computers_comp_speed">
<?php if ($tb_computers->CurrentAction <> "F") { ?>
<input type="text" name="x_comp_speed" id="x_comp_speed" size="30" maxlength="100" value="<?php echo $tb_computers->comp_speed->EditValue ?>"<?php echo $tb_computers->comp_speed->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_computers->comp_speed->ViewAttributes() ?>>
<?php echo $tb_computers->comp_speed->ViewValue ?></span>
<input type="hidden" name="x_comp_speed" id="x_comp_speed" value="<?php echo ew_HtmlEncode($tb_computers->comp_speed->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_computers->comp_speed->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_computers->comp_ram->Visible) { // comp_ram ?>
	<tr id="r_comp_ram"<?php echo $tb_computers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_computers_comp_ram"><?php echo $tb_computers->comp_ram->FldCaption() ?></span></td>
		<td<?php echo $tb_computers->comp_ram->CellAttributes() ?>><span id="el_tb_computers_comp_ram">
<?php if ($tb_computers->CurrentAction <> "F") { ?>
<input type="text" name="x_comp_ram" id="x_comp_ram" size="30" maxlength="100" value="<?php echo $tb_computers->comp_ram->EditValue ?>"<?php echo $tb_computers->comp_ram->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_computers->comp_ram->ViewAttributes() ?>>
<?php echo $tb_computers->comp_ram->ViewValue ?></span>
<input type="hidden" name="x_comp_ram" id="x_comp_ram" value="<?php echo ew_HtmlEncode($tb_computers->comp_ram->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_computers->comp_ram->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_computers->comp_work->Visible) { // comp_work ?>
	<tr id="r_comp_work"<?php echo $tb_computers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_computers_comp_work"><?php echo $tb_computers->comp_work->FldCaption() ?></span></td>
		<td<?php echo $tb_computers->comp_work->CellAttributes() ?>><span id="el_tb_computers_comp_work">
<?php if ($tb_computers->CurrentAction <> "F") { ?>
<input type="text" name="x_comp_work" id="x_comp_work" size="30" maxlength="200" value="<?php echo $tb_computers->comp_work->EditValue ?>"<?php echo $tb_computers->comp_work->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_computers->comp_work->ViewAttributes() ?>>
<?php echo $tb_computers->comp_work->ViewValue ?></span>
<input type="hidden" name="x_comp_work" id="x_comp_work" value="<?php echo ew_HtmlEncode($tb_computers->comp_work->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_computers->comp_work->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_computers->comp_connect->Visible) { // comp_connect ?>
	<tr id="r_comp_connect"<?php echo $tb_computers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_computers_comp_connect"><?php echo $tb_computers->comp_connect->FldCaption() ?></span></td>
		<td<?php echo $tb_computers->comp_connect->CellAttributes() ?>><span id="el_tb_computers_comp_connect">
<?php if ($tb_computers->CurrentAction <> "F") { ?>
<div id="tp_x_comp_connect" class="<?php echo EW_ITEM_TEMPLATE_CLASSNAME ?>"><input type="radio" name="x_comp_connect" id="x_comp_connect" value="{value}"<?php echo $tb_computers->comp_connect->EditAttributes() ?>></div>
<div id="dsl_x_comp_connect" data-repeatcolumn="5" class="ewItemList">
<?php
$arwrk = $tb_computers->comp_connect->EditValue;
if (is_array($arwrk)) {
	$rowswrk = count($arwrk);
	$emptywrk = TRUE;
	for ($rowcntwrk = 0; $rowcntwrk < $rowswrk; $rowcntwrk++) {
		$selwrk = (strval($tb_computers->comp_connect->CurrentValue) == strval($arwrk[$rowcntwrk][0])) ? " checked=\"checked\"" : "";
		if ($selwrk <> "") $emptywrk = FALSE;

		// Note: No spacing within the LABEL tag
?>
<?php echo ew_RepeatColumnTable($rowswrk, $rowcntwrk, 5, 1) ?>
<label><input type="radio" name="x_comp_connect" id="x_comp_connect" value="<?php echo ew_HtmlEncode($arwrk[$rowcntwrk][0]) ?>"<?php echo $selwrk ?><?php echo $tb_computers->comp_connect->EditAttributes() ?>><?php echo $arwrk[$rowcntwrk][1] ?></label>
<?php echo ew_RepeatColumnTable($rowswrk, $rowcntwrk, 5, 2) ?>
<?php
	}
}
?>
</div>
<?php } else { ?>
<span<?php echo $tb_computers->comp_connect->ViewAttributes() ?>>
<?php echo $tb_computers->comp_connect->ViewValue ?></span>
<input type="hidden" name="x_comp_connect" id="x_comp_connect" value="<?php echo ew_HtmlEncode($tb_computers->comp_connect->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_computers->comp_connect->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_computers->comp_os->Visible) { // comp_os ?>
	<tr id="r_comp_os"<?php echo $tb_computers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_computers_comp_os"><?php echo $tb_computers->comp_os->FldCaption() ?></span></td>
		<td<?php echo $tb_computers->comp_os->CellAttributes() ?>><span id="el_tb_computers_comp_os">
<?php if ($tb_computers->CurrentAction <> "F") { ?>
<input type="text" name="x_comp_os" id="x_comp_os" size="30" maxlength="200" value="<?php echo $tb_computers->comp_os->EditValue ?>"<?php echo $tb_computers->comp_os->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_computers->comp_os->ViewAttributes() ?>>
<?php echo $tb_computers->comp_os->ViewValue ?></span>
<input type="hidden" name="x_comp_os" id="x_comp_os" value="<?php echo ew_HtmlEncode($tb_computers->comp_os->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_computers->comp_os->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_computers->comp_screen->Visible) { // comp_screen ?>
	<tr id="r_comp_screen"<?php echo $tb_computers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_computers_comp_screen"><?php echo $tb_computers->comp_screen->FldCaption() ?></span></td>
		<td<?php echo $tb_computers->comp_screen->CellAttributes() ?>><span id="el_tb_computers_comp_screen">
<?php if ($tb_computers->CurrentAction <> "F") { ?>
<input type="text" name="x_comp_screen" id="x_comp_screen" size="30" maxlength="100" value="<?php echo $tb_computers->comp_screen->EditValue ?>"<?php echo $tb_computers->comp_screen->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_computers->comp_screen->ViewAttributes() ?>>
<?php echo $tb_computers->comp_screen->ViewValue ?></span>
<input type="hidden" name="x_comp_screen" id="x_comp_screen" value="<?php echo ew_HtmlEncode($tb_computers->comp_screen->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_computers->comp_screen->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_computers->comp_year->Visible) { // comp_year ?>
	<tr id="r_comp_year"<?php echo $tb_computers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_computers_comp_year"><?php echo $tb_computers->comp_year->FldCaption() ?></span></td>
		<td<?php echo $tb_computers->comp_year->CellAttributes() ?>><span id="el_tb_computers_comp_year">
<?php if ($tb_computers->CurrentAction <> "F") { ?>
<input type="text" name="x_comp_year" id="x_comp_year" size="30" maxlength="4" value="<?php echo $tb_computers->comp_year->EditValue ?>"<?php echo $tb_computers->comp_year->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_computers->comp_year->ViewAttributes() ?>>
<?php echo $tb_computers->comp_year->ViewValue ?></span>
<input type="hidden" name="x_comp_year" id="x_comp_year" value="<?php echo ew_HtmlEncode($tb_computers->comp_year->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_computers->comp_year->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_computers->comp_date_recieve->Visible) { // comp_date_recieve ?>
	<tr id="r_comp_date_recieve"<?php echo $tb_computers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_computers_comp_date_recieve"><?php echo $tb_computers->comp_date_recieve->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></span></td>
		<td<?php echo $tb_computers->comp_date_recieve->CellAttributes() ?>><span id="el_tb_computers_comp_date_recieve">
<?php if ($tb_computers->CurrentAction <> "F") { ?>
<input type="text" name="x_comp_date_recieve" id="x_comp_date_recieve" value="<?php echo $tb_computers->comp_date_recieve->EditValue ?>"<?php echo $tb_computers->comp_date_recieve->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_computers->comp_date_recieve->ViewAttributes() ?>>
<?php echo $tb_computers->comp_date_recieve->ViewValue ?></span>
<input type="hidden" name="x_comp_date_recieve" id="x_comp_date_recieve" value="<?php echo ew_HtmlEncode($tb_computers->comp_date_recieve->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_computers->comp_date_recieve->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_computers->comp_contract_start->Visible) { // comp_contract_start ?>
	<tr id="r_comp_contract_start"<?php echo $tb_computers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_computers_comp_contract_start"><?php echo $tb_computers->comp_contract_start->FldCaption() ?></span></td>
		<td<?php echo $tb_computers->comp_contract_start->CellAttributes() ?>><span id="el_tb_computers_comp_contract_start">
<?php if ($tb_computers->CurrentAction <> "F") { ?>
<input type="text" name="x_comp_contract_start" id="x_comp_contract_start" value="<?php echo $tb_computers->comp_contract_start->EditValue ?>"<?php echo $tb_computers->comp_contract_start->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_computers->comp_contract_start->ViewAttributes() ?>>
<?php echo $tb_computers->comp_contract_start->ViewValue ?></span>
<input type="hidden" name="x_comp_contract_start" id="x_comp_contract_start" value="<?php echo ew_HtmlEncode($tb_computers->comp_contract_start->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_computers->comp_contract_start->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_computers->comp_warranty->Visible) { // comp_warranty ?>
	<tr id="r_comp_warranty"<?php echo $tb_computers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_computers_comp_warranty"><?php echo $tb_computers->comp_warranty->FldCaption() ?></span></td>
		<td<?php echo $tb_computers->comp_warranty->CellAttributes() ?>><span id="el_tb_computers_comp_warranty">
<?php if ($tb_computers->CurrentAction <> "F") { ?>
<input type="text" name="x_comp_warranty" id="x_comp_warranty" size="30" value="<?php echo $tb_computers->comp_warranty->EditValue ?>"<?php echo $tb_computers->comp_warranty->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_computers->comp_warranty->ViewAttributes() ?>>
<?php echo $tb_computers->comp_warranty->ViewValue ?></span>
<input type="hidden" name="x_comp_warranty" id="x_comp_warranty" value="<?php echo ew_HtmlEncode($tb_computers->comp_warranty->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_computers->comp_warranty->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_computers->comp_price->Visible) { // comp_price ?>
	<tr id="r_comp_price"<?php echo $tb_computers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_computers_comp_price"><?php echo $tb_computers->comp_price->FldCaption() ?></span></td>
		<td<?php echo $tb_computers->comp_price->CellAttributes() ?>><span id="el_tb_computers_comp_price">
<?php if ($tb_computers->CurrentAction <> "F") { ?>
<input type="text" name="x_comp_price" id="x_comp_price" size="30" value="<?php echo $tb_computers->comp_price->EditValue ?>"<?php echo $tb_computers->comp_price->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_computers->comp_price->ViewAttributes() ?>>
<?php echo $tb_computers->comp_price->ViewValue ?></span>
<input type="hidden" name="x_comp_price" id="x_comp_price" value="<?php echo ew_HtmlEncode($tb_computers->comp_price->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_computers->comp_price->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_computers->comp_origin->Visible) { // comp_origin ?>
	<tr id="r_comp_origin"<?php echo $tb_computers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_computers_comp_origin"><?php echo $tb_computers->comp_origin->FldCaption() ?></span></td>
		<td<?php echo $tb_computers->comp_origin->CellAttributes() ?>><span id="el_tb_computers_comp_origin">
<?php if ($tb_computers->CurrentAction <> "F") { ?>
<div id="tp_x_comp_origin" class="<?php echo EW_ITEM_TEMPLATE_CLASSNAME ?>"><input type="radio" name="x_comp_origin" id="x_comp_origin" value="{value}"<?php echo $tb_computers->comp_origin->EditAttributes() ?>></div>
<div id="dsl_x_comp_origin" data-repeatcolumn="5" class="ewItemList">
<?php
$arwrk = $tb_computers->comp_origin->EditValue;
if (is_array($arwrk)) {
	$rowswrk = count($arwrk);
	$emptywrk = TRUE;
	for ($rowcntwrk = 0; $rowcntwrk < $rowswrk; $rowcntwrk++) {
		$selwrk = (strval($tb_computers->comp_origin->CurrentValue) == strval($arwrk[$rowcntwrk][0])) ? " checked=\"checked\"" : "";
		if ($selwrk <> "") $emptywrk = FALSE;

		// Note: No spacing within the LABEL tag
?>
<?php echo ew_RepeatColumnTable($rowswrk, $rowcntwrk, 5, 1) ?>
<label><input type="radio" name="x_comp_origin" id="x_comp_origin" value="<?php echo ew_HtmlEncode($arwrk[$rowcntwrk][0]) ?>"<?php echo $selwrk ?><?php echo $tb_computers->comp_origin->EditAttributes() ?>><?php echo $arwrk[$rowcntwrk][1] ?></label>
<?php echo ew_RepeatColumnTable($rowswrk, $rowcntwrk, 5, 2) ?>
<?php
	}
}
?>
</div>
<?php } else { ?>
<span<?php echo $tb_computers->comp_origin->ViewAttributes() ?>>
<?php echo $tb_computers->comp_origin->ViewValue ?></span>
<input type="hidden" name="x_comp_origin" id="x_comp_origin" value="<?php echo ew_HtmlEncode($tb_computers->comp_origin->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_computers->comp_origin->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_computers->comp_present->Visible) { // comp_present ?>
	<tr id="r_comp_present"<?php echo $tb_computers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_computers_comp_present"><?php echo $tb_computers->comp_present->FldCaption() ?></span></td>
		<td<?php echo $tb_computers->comp_present->CellAttributes() ?>><span id="el_tb_computers_comp_present">
<?php if ($tb_computers->CurrentAction <> "F") { ?>
<div id="tp_x_comp_present" class="<?php echo EW_ITEM_TEMPLATE_CLASSNAME ?>"><input type="radio" name="x_comp_present" id="x_comp_present" value="{value}"<?php echo $tb_computers->comp_present->EditAttributes() ?>></div>
<div id="dsl_x_comp_present" data-repeatcolumn="5" class="ewItemList">
<?php
$arwrk = $tb_computers->comp_present->EditValue;
if (is_array($arwrk)) {
	$rowswrk = count($arwrk);
	$emptywrk = TRUE;
	for ($rowcntwrk = 0; $rowcntwrk < $rowswrk; $rowcntwrk++) {
		$selwrk = (strval($tb_computers->comp_present->CurrentValue) == strval($arwrk[$rowcntwrk][0])) ? " checked=\"checked\"" : "";
		if ($selwrk <> "") $emptywrk = FALSE;

		// Note: No spacing within the LABEL tag
?>
<?php echo ew_RepeatColumnTable($rowswrk, $rowcntwrk, 5, 1) ?>
<label><input type="radio" name="x_comp_present" id="x_comp_present" value="<?php echo ew_HtmlEncode($arwrk[$rowcntwrk][0]) ?>"<?php echo $selwrk ?><?php echo $tb_computers->comp_present->EditAttributes() ?>><?php echo $arwrk[$rowcntwrk][1] ?></label>
<?php echo ew_RepeatColumnTable($rowswrk, $rowcntwrk, 5, 2) ?>
<?php
	}
}
?>
</div>
<?php } else { ?>
<span<?php echo $tb_computers->comp_present->ViewAttributes() ?>>
<?php echo $tb_computers->comp_present->ViewValue ?></span>
<input type="hidden" name="x_comp_present" id="x_comp_present" value="<?php echo ew_HtmlEncode($tb_computers->comp_present->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_computers->comp_present->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_computers->comp_comment->Visible) { // comp_comment ?>
	<tr id="r_comp_comment"<?php echo $tb_computers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_computers_comp_comment"><?php echo $tb_computers->comp_comment->FldCaption() ?></span></td>
		<td<?php echo $tb_computers->comp_comment->CellAttributes() ?>><span id="el_tb_computers_comp_comment">
<?php if ($tb_computers->CurrentAction <> "F") { ?>
<input type="text" name="x_comp_comment" id="x_comp_comment" size="30" maxlength="200" value="<?php echo $tb_computers->comp_comment->EditValue ?>"<?php echo $tb_computers->comp_comment->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_computers->comp_comment->ViewAttributes() ?>>
<?php echo $tb_computers->comp_comment->ViewValue ?></span>
<input type="hidden" name="x_comp_comment" id="x_comp_comment" value="<?php echo ew_HtmlEncode($tb_computers->comp_comment->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_computers->comp_comment->CustomMsg ?></td>
	</tr>
<?php } ?>
</table>
</div>
</td></tr></table>
<p>
<?php if ($tb_computers->CurrentAction <> "F") { // Confirm page ?>
<input type="submit" name="btnAction" id="btnAction" value="<?php echo ew_BtnCaption($Language->Phrase("EditBtn")) ?>" onclick="this.form.a_edit.value='F';">
<?php } else { ?>
<input type="submit" name="btnCancel" id="btnCancel" value="<?php echo ew_BtnCaption($Language->Phrase("CancelBtn")) ?>" onclick="this.form.a_edit.value='X';">
<input type="submit" name="btnAction" id="btnAction" value="<?php echo ew_BtnCaption($Language->Phrase("ConfirmBtn")) ?>">
<?php } ?>
</form>
<script type="text/javascript">
ftb_computersedit.Init();
</script>
<?php
$tb_computers_edit->ShowPageFooter();
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
?>
<script type="text/javascript">

// Write your table-specific startup script here
// document.write("page loaded");

</script>
<?php include_once "footer.php" ?>
<?php
$tb_computers_edit->Page_Terminate();
?>
