<?php
if (session_id() == "") session_start(); // Initialize Session data
ob_start(); // Turn on output buffering
?>
<?php include_once "ewcfg9.php" ?>
<?php include_once "ewmysql9.php" ?>
<?php include_once "phpfn9.php" ?>
<?php include_once "tb_computersinfo.php" ?>
<?php include_once "userfn9.php" ?>
<?php

//
// Page class
//

$tb_computers_view = NULL; // Initialize page object first

class ctb_computers_view extends ctb_computers {

	// Page ID
	var $PageID = 'view';

	// Project ID
	var $ProjectID = "{6072F4AB-8E55-4BED-87E8-94ADB1680AEB}";

	// Table name
	var $TableName = 'tb_computers';

	// Page object name
	var $PageObjName = 'tb_computers_view';

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		if ($this->UseTokenInUrl) $PageUrl .= "t=" . $this->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Page URLs
	var $AddUrl;
	var $EditUrl;
	var $CopyUrl;
	var $DeleteUrl;
	var $ViewUrl;
	var $ListUrl;

	// Export URLs
	var $ExportPrintUrl;
	var $ExportHtmlUrl;
	var $ExportExcelUrl;
	var $ExportWordUrl;
	var $ExportXmlUrl;
	var $ExportCsvUrl;
	var $ExportPdfUrl;

	// Update URLs
	var $InlineAddUrl;
	var $InlineCopyUrl;
	var $InlineEditUrl;
	var $GridAddUrl;
	var $GridEditUrl;
	var $MultiDeleteUrl;
	var $MultiUpdateUrl;

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_MESSAGE], $v);
	}

	function getFailureMessage() {
		return @$_SESSION[EW_SESSION_FAILURE_MESSAGE];
	}

	function setFailureMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_FAILURE_MESSAGE], $v);
	}

	function getSuccessMessage() {
		return @$_SESSION[EW_SESSION_SUCCESS_MESSAGE];
	}

	function setSuccessMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_SUCCESS_MESSAGE], $v);
	}

	function getWarningMessage() {
		return @$_SESSION[EW_SESSION_WARNING_MESSAGE];
	}

	function setWarningMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_WARNING_MESSAGE], $v);
	}

	// Show message
	function ShowMessage() {
		$hidden = FALSE;
		$html = "";

		// Message
		$sMessage = $this->getMessage();
		$this->Message_Showing($sMessage, "");
		if ($sMessage <> "") { // Message in Session, display
			$html .= "<p class=\"ewMessage\">" . $sMessage . "</p>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}

		// Warning message
		$sWarningMessage = $this->getWarningMessage();
		$this->Message_Showing($sWarningMessage, "warning");
		if ($sWarningMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewWarningIcon\"></td><td class=\"ewWarningMessage\">" . $sWarningMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_WARNING_MESSAGE] = ""; // Clear message in Session
		}

		// Success message
		$sSuccessMessage = $this->getSuccessMessage();
		$this->Message_Showing($sSuccessMessage, "success");
		if ($sSuccessMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewSuccessIcon\"></td><td class=\"ewSuccessMessage\">" . $sSuccessMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = ""; // Clear message in Session
		}

		// Failure message
		$sErrorMessage = $this->getFailureMessage();
		$this->Message_Showing($sErrorMessage, "failure");
		if ($sErrorMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewErrorIcon\"></td><td class=\"ewErrorMessage\">" . $sErrorMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_FAILURE_MESSAGE] = ""; // Clear message in Session
		}		
		echo "<div class=\"ewMessageDialog\"" . (($hidden) ? " style=\"display: none;\"" : "") . ">" . $html . "</div>";
	}
	var $PageHeader;
	var $PageFooter;

	// Show Page Header
	function ShowPageHeader() {
		$sHeader = $this->PageHeader;
		$this->Page_DataRendering($sHeader);
		if ($sHeader <> "") { // Header exists, display
			echo "<p class=\"phpmaker\">" . $sHeader . "</p>";
		}
	}

	// Show Page Footer
	function ShowPageFooter() {
		$sFooter = $this->PageFooter;
		$this->Page_DataRendered($sFooter);
		if ($sFooter <> "") { // Fotoer exists, display
			echo "<p class=\"phpmaker\">" . $sFooter . "</p>";
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm;
		if ($this->UseTokenInUrl) {
			if ($objForm)
				return ($this->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($this->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}

	//
	// Page class constructor
	//
	function __construct() {
		global $conn, $Language;
		$GLOBALS["Page"] = &$this;

		// Language object
		if (!isset($Language)) $Language = new cLanguage();

		// Parent constuctor
		parent::__construct();

		// Table object (tb_computers)
		if (!isset($GLOBALS["tb_computers"])) {
			$GLOBALS["tb_computers"] = &$this;
			$GLOBALS["Table"] = &$GLOBALS["tb_computers"];
		}
		$KeyUrl = "";
		if (@$_GET["comp_id"] <> "") {
			$this->RecKey["comp_id"] = $_GET["comp_id"];
			$KeyUrl .= "&comp_id=" . urlencode($this->RecKey["comp_id"]);
		}
		$this->ExportPrintUrl = $this->PageUrl() . "export=print" . $KeyUrl;
		$this->ExportHtmlUrl = $this->PageUrl() . "export=html" . $KeyUrl;
		$this->ExportExcelUrl = $this->PageUrl() . "export=excel" . $KeyUrl;
		$this->ExportWordUrl = $this->PageUrl() . "export=word" . $KeyUrl;
		$this->ExportXmlUrl = $this->PageUrl() . "export=xml" . $KeyUrl;
		$this->ExportCsvUrl = $this->PageUrl() . "export=csv" . $KeyUrl;
		$this->ExportPdfUrl = $this->PageUrl() . "export=pdf" . $KeyUrl;

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'view', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'tb_computers', TRUE);

		// Start timer
		if (!isset($GLOBALS["gTimer"])) $GLOBALS["gTimer"] = new cTimer();

		// Open connection
		if (!isset($conn)) $conn = ew_Connect();

		// Export options
		$this->ExportOptions = new cListOptions();
		$this->ExportOptions->Tag = "span";
		$this->ExportOptions->TagClassName = "ewExportOption";
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;
		$this->CurrentAction = (@$_GET["a"] <> "") ? $_GET["a"] : @$_POST["a_list"];

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $conn;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();
		$this->Page_Redirecting($url);

		 // Close connection
		$conn->Close();

		// Go to URL if specified
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			header("Location: " . $url);
		}
		exit();
	}
	var $ExportOptions; // Export options
	var $DisplayRecs = 1;
	var $StartRec;
	var $StopRec;
	var $TotalRecs = 0;
	var $RecRange = 10;
	var $Pager;
	var $RecCnt;
	var $RecKey = array();
	var $Recordset;

	//
	// Page main
	//
	function Page_Main() {
		global $Language;

		// Load current record
		$bLoadCurrentRecord = FALSE;
		$sReturnUrl = "";
		$bMatchRecord = FALSE;
		if ($this->IsPageRequest()) { // Validate request
			if (@$_GET["comp_id"] <> "") {
				$this->comp_id->setQueryStringValue($_GET["comp_id"]);
				$this->RecKey["comp_id"] = $this->comp_id->QueryStringValue;
			} else {
				$bLoadCurrentRecord = TRUE;
			}

			// Get action
			$this->CurrentAction = "I"; // Display form
			switch ($this->CurrentAction) {
				case "I": // Get a record to display
					$this->StartRec = 1; // Initialize start position
					if ($this->Recordset = $this->LoadRecordset()) // Load records
						$this->TotalRecs = $this->Recordset->RecordCount(); // Get record count
					if ($this->TotalRecs <= 0) { // No record found
						if ($this->getSuccessMessage() == "" && $this->getFailureMessage() == "")
							$this->setFailureMessage($Language->Phrase("NoRecord")); // Set no record message
						$this->Page_Terminate("tb_computerslist.php"); // Return to list page
					} elseif ($bLoadCurrentRecord) { // Load current record position
						$this->SetUpStartRec(); // Set up start record position

						// Point to current record
						if (intval($this->StartRec) <= intval($this->TotalRecs)) {
							$bMatchRecord = TRUE;
							$this->Recordset->Move($this->StartRec-1);
						}
					} else { // Match key values
						while (!$this->Recordset->EOF) {
							if (strval($this->comp_id->CurrentValue) == strval($this->Recordset->fields('comp_id'))) {
								$this->setStartRecordNumber($this->StartRec); // Save record position
								$bMatchRecord = TRUE;
								break;
							} else {
								$this->StartRec++;
								$this->Recordset->MoveNext();
							}
						}
					}
					if (!$bMatchRecord) {
						if ($this->getSuccessMessage() == "" && $this->getFailureMessage() == "")
							$this->setFailureMessage($Language->Phrase("NoRecord")); // Set no record message
						$sReturnUrl = "tb_computerslist.php"; // No matching record, return to list
					} else {
						$this->LoadRowValues($this->Recordset); // Load row values
					}
			}
		} else {
			$sReturnUrl = "tb_computerslist.php"; // Not page request, return to list
		}
		if ($sReturnUrl <> "")
			$this->Page_Terminate($sReturnUrl);

		// Render row
		$this->RowType = EW_ROWTYPE_VIEW;
		$this->ResetAttrs();
		$this->RenderRow();
	}

	// Set up starting record parameters
	function SetUpStartRec() {
		if ($this->DisplayRecs == 0)
			return;
		if ($this->IsPageRequest()) { // Validate request
			if (@$_GET[EW_TABLE_START_REC] <> "") { // Check for "start" parameter
				$this->StartRec = $_GET[EW_TABLE_START_REC];
				$this->setStartRecordNumber($this->StartRec);
			} elseif (@$_GET[EW_TABLE_PAGE_NO] <> "") {
				$PageNo = $_GET[EW_TABLE_PAGE_NO];
				if (is_numeric($PageNo)) {
					$this->StartRec = ($PageNo-1)*$this->DisplayRecs+1;
					if ($this->StartRec <= 0) {
						$this->StartRec = 1;
					} elseif ($this->StartRec >= intval(($this->TotalRecs-1)/$this->DisplayRecs)*$this->DisplayRecs+1) {
						$this->StartRec = intval(($this->TotalRecs-1)/$this->DisplayRecs)*$this->DisplayRecs+1;
					}
					$this->setStartRecordNumber($this->StartRec);
				}
			}
		}
		$this->StartRec = $this->getStartRecordNumber();

		// Check if correct start record counter
		if (!is_numeric($this->StartRec) || $this->StartRec == "") { // Avoid invalid start record counter
			$this->StartRec = 1; // Reset start record counter
			$this->setStartRecordNumber($this->StartRec);
		} elseif (intval($this->StartRec) > intval($this->TotalRecs)) { // Avoid starting record > total records
			$this->StartRec = intval(($this->TotalRecs-1)/$this->DisplayRecs)*$this->DisplayRecs+1; // Point to last page first record
			$this->setStartRecordNumber($this->StartRec);
		} elseif (($this->StartRec-1) % $this->DisplayRecs <> 0) {
			$this->StartRec = intval(($this->StartRec-1)/$this->DisplayRecs)*$this->DisplayRecs+1; // Point to page boundary
			$this->setStartRecordNumber($this->StartRec);
		}
	}

	// Load recordset
	function LoadRecordset($offset = -1, $rowcnt = -1) {
		global $conn;

		// Call Recordset Selecting event
		$this->Recordset_Selecting($this->CurrentFilter);

		// Load List page SQL
		$sSql = $this->SelectSQL();
		if ($offset > -1 && $rowcnt > -1)
			$sSql .= " LIMIT $rowcnt OFFSET $offset";

		// Load recordset
		$rs = ew_LoadRecordset($sSql);

		// Call Recordset Selected event
		$this->Recordset_Selected($rs);
		return $rs;
	}

	// Load row based on key values
	function LoadRow() {
		global $conn, $Security, $Language;
		$sFilter = $this->KeyFilter();

		// Call Row Selecting event
		$this->Row_Selecting($sFilter);

		// Load SQL based on filter
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		global $conn;
		if (!$rs || $rs->EOF) return;

		// Call Row Selected event
		$row = &$rs->fields;
		$this->Row_Selected($row);
		$this->comp_id->setDbValue($rs->fields('comp_id'));
		$this->court_id->setDbValue($rs->fields('court_id'));
		$this->cont_id->setDbValue($rs->fields('cont_id'));
		$this->plt_id->setDbValue($rs->fields('plt_id'));
		$this->comp_num->setDbValue($rs->fields('comp_num'));
		$this->comp_sn->setDbValue($rs->fields('comp_sn'));
		$this->comp_brand->setDbValue($rs->fields('comp_brand'));
		$this->mdt_id->setDbValue($rs->fields('mdt_id'));
		$this->comp_hdd->setDbValue($rs->fields('comp_hdd'));
		$this->comp_speed->setDbValue($rs->fields('comp_speed'));
		$this->comp_ram->setDbValue($rs->fields('comp_ram'));
		$this->comp_work->setDbValue($rs->fields('comp_work'));
		$this->comp_connect->setDbValue($rs->fields('comp_connect'));
		$this->comp_os->setDbValue($rs->fields('comp_os'));
		$this->comp_screen->setDbValue($rs->fields('comp_screen'));
		$this->comp_year->setDbValue($rs->fields('comp_year'));
		$this->comp_date_recieve->setDbValue($rs->fields('comp_date_recieve'));
		$this->comp_contract_start->setDbValue($rs->fields('comp_contract_start'));
		$this->comp_warranty->setDbValue($rs->fields('comp_warranty'));
		$this->comp_price->setDbValue($rs->fields('comp_price'));
		$this->comp_origin->setDbValue($rs->fields('comp_origin'));
		$this->comp_present->setDbValue($rs->fields('comp_present'));
		$this->comp_comment->setDbValue($rs->fields('comp_comment'));
	}

	// Render row values based on field settings
	function RenderRow() {
		global $conn, $Security, $Language;
		global $gsLanguage;

		// Initialize URLs
		$this->AddUrl = $this->GetAddUrl();
		$this->EditUrl = $this->GetEditUrl();
		$this->CopyUrl = $this->GetCopyUrl();
		$this->DeleteUrl = $this->GetDeleteUrl();
		$this->ListUrl = $this->GetListUrl();

		// Convert decimal values if posted back
		if ($this->comp_warranty->FormValue == $this->comp_warranty->CurrentValue && is_numeric(ew_StrToFloat($this->comp_warranty->CurrentValue)))
			$this->comp_warranty->CurrentValue = ew_StrToFloat($this->comp_warranty->CurrentValue);

		// Convert decimal values if posted back
		if ($this->comp_price->FormValue == $this->comp_price->CurrentValue && is_numeric(ew_StrToFloat($this->comp_price->CurrentValue)))
			$this->comp_price->CurrentValue = ew_StrToFloat($this->comp_price->CurrentValue);

		// Call Row_Rendering event
		$this->Row_Rendering();

		// Common render codes for all row types
		// comp_id
		// court_id
		// cont_id
		// plt_id
		// comp_num
		// comp_sn
		// comp_brand
		// mdt_id
		// comp_hdd
		// comp_speed
		// comp_ram
		// comp_work
		// comp_connect
		// comp_os
		// comp_screen
		// comp_year
		// comp_date_recieve
		// comp_contract_start
		// comp_warranty
		// comp_price
		// comp_origin
		// comp_present
		// comp_comment

		if ($this->RowType == EW_ROWTYPE_VIEW) { // View row

			// comp_id
			$this->comp_id->ViewValue = $this->comp_id->CurrentValue;
			$this->comp_id->ViewCustomAttributes = "";

			// court_id
			$this->court_id->ViewValue = $this->court_id->CurrentValue;
			$this->court_id->ViewCustomAttributes = "";

			// cont_id
			if (strval($this->cont_id->CurrentValue) <> "") {
				$sFilterWrk = "`cont_id`" . ew_SearchString("=", $this->cont_id->CurrentValue, EW_DATATYPE_NUMBER);
			$sSqlWrk = "SELECT `cont_id`, `cont_num` AS `DispFld`, `cont_project` AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_contracts`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				ew_AddFilter($sWhereWrk, $sFilterWrk);
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$this->cont_id->ViewValue = $rswrk->fields('DispFld');
					$this->cont_id->ViewValue .= ew_ValueSeparator(1,$tb_computers->cont_id) . $rswrk->fields('Disp2Fld');
					$rswrk->Close();
				} else {
					$this->cont_id->ViewValue = $this->cont_id->CurrentValue;
				}
			} else {
				$this->cont_id->ViewValue = NULL;
			}
			$this->cont_id->ViewCustomAttributes = "";

			// plt_id
			if (strval($this->plt_id->CurrentValue) <> "") {
				$sFilterWrk = "`plt_id`" . ew_SearchString("=", $this->plt_id->CurrentValue, EW_DATATYPE_STRING);
			$sSqlWrk = "SELECT `plt_id`, `plt_name` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_place_types`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				ew_AddFilter($sWhereWrk, $sFilterWrk);
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$this->plt_id->ViewValue = $rswrk->fields('DispFld');
					$rswrk->Close();
				} else {
					$this->plt_id->ViewValue = $this->plt_id->CurrentValue;
				}
			} else {
				$this->plt_id->ViewValue = NULL;
			}
			$this->plt_id->ViewCustomAttributes = "";

			// comp_num
			$this->comp_num->ViewValue = $this->comp_num->CurrentValue;
			$this->comp_num->ViewCustomAttributes = "";

			// comp_sn
			$this->comp_sn->ViewValue = $this->comp_sn->CurrentValue;
			$this->comp_sn->ViewCustomAttributes = "";

			// comp_brand
			$this->comp_brand->ViewValue = $this->comp_brand->CurrentValue;
			$this->comp_brand->ViewCustomAttributes = "";

			// mdt_id
			if (strval($this->mdt_id->CurrentValue) <> "") {
				$sFilterWrk = "`mdt_id`" . ew_SearchString("=", $this->mdt_id->CurrentValue, EW_DATATYPE_STRING);
			$sSqlWrk = "SELECT `mdt_id`, `mdt_name` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_model_types`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				ew_AddFilter($sWhereWrk, $sFilterWrk);
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$this->mdt_id->ViewValue = $rswrk->fields('DispFld');
					$rswrk->Close();
				} else {
					$this->mdt_id->ViewValue = $this->mdt_id->CurrentValue;
				}
			} else {
				$this->mdt_id->ViewValue = NULL;
			}
			$this->mdt_id->ViewCustomAttributes = "";

			// comp_hdd
			$this->comp_hdd->ViewValue = $this->comp_hdd->CurrentValue;
			$this->comp_hdd->ViewCustomAttributes = "";

			// comp_speed
			$this->comp_speed->ViewValue = $this->comp_speed->CurrentValue;
			$this->comp_speed->ViewCustomAttributes = "";

			// comp_ram
			$this->comp_ram->ViewValue = $this->comp_ram->CurrentValue;
			$this->comp_ram->ViewCustomAttributes = "";

			// comp_work
			$this->comp_work->ViewValue = $this->comp_work->CurrentValue;
			$this->comp_work->ViewCustomAttributes = "";

			// comp_connect
			if (strval($this->comp_connect->CurrentValue) <> "") {
				switch ($this->comp_connect->CurrentValue) {
					case $this->comp_connect->FldTagValue(1):
						$this->comp_connect->ViewValue = $this->comp_connect->FldTagCaption(1) <> "" ? $this->comp_connect->FldTagCaption(1) : $this->comp_connect->CurrentValue;
						break;
					case $this->comp_connect->FldTagValue(2):
						$this->comp_connect->ViewValue = $this->comp_connect->FldTagCaption(2) <> "" ? $this->comp_connect->FldTagCaption(2) : $this->comp_connect->CurrentValue;
						break;
					case $this->comp_connect->FldTagValue(3):
						$this->comp_connect->ViewValue = $this->comp_connect->FldTagCaption(3) <> "" ? $this->comp_connect->FldTagCaption(3) : $this->comp_connect->CurrentValue;
						break;
					default:
						$this->comp_connect->ViewValue = $this->comp_connect->CurrentValue;
				}
			} else {
				$this->comp_connect->ViewValue = NULL;
			}
			$this->comp_connect->ViewCustomAttributes = "";

			// comp_os
			$this->comp_os->ViewValue = $this->comp_os->CurrentValue;
			$this->comp_os->ViewCustomAttributes = "";

			// comp_screen
			$this->comp_screen->ViewValue = $this->comp_screen->CurrentValue;
			$this->comp_screen->ViewCustomAttributes = "";

			// comp_year
			$this->comp_year->ViewValue = $this->comp_year->CurrentValue;
			$this->comp_year->ViewCustomAttributes = "";

			// comp_date_recieve
			$this->comp_date_recieve->ViewValue = $this->comp_date_recieve->CurrentValue;
			$this->comp_date_recieve->ViewValue = ew_FormatDateTime($this->comp_date_recieve->ViewValue, 5);
			$this->comp_date_recieve->ViewCustomAttributes = "";

			// comp_contract_start
			$this->comp_contract_start->ViewValue = $this->comp_contract_start->CurrentValue;
			$this->comp_contract_start->ViewValue = ew_FormatDateTime($this->comp_contract_start->ViewValue, 5);
			$this->comp_contract_start->ViewCustomAttributes = "";

			// comp_warranty
			$this->comp_warranty->ViewValue = $this->comp_warranty->CurrentValue;
			$this->comp_warranty->ViewCustomAttributes = "";

			// comp_price
			$this->comp_price->ViewValue = $this->comp_price->CurrentValue;
			$this->comp_price->ViewCustomAttributes = "";

			// comp_origin
			if (strval($this->comp_origin->CurrentValue) <> "") {
				switch ($this->comp_origin->CurrentValue) {
					case $this->comp_origin->FldTagValue(1):
						$this->comp_origin->ViewValue = $this->comp_origin->FldTagCaption(1) <> "" ? $this->comp_origin->FldTagCaption(1) : $this->comp_origin->CurrentValue;
						break;
					case $this->comp_origin->FldTagValue(2):
						$this->comp_origin->ViewValue = $this->comp_origin->FldTagCaption(2) <> "" ? $this->comp_origin->FldTagCaption(2) : $this->comp_origin->CurrentValue;
						break;
					case $this->comp_origin->FldTagValue(3):
						$this->comp_origin->ViewValue = $this->comp_origin->FldTagCaption(3) <> "" ? $this->comp_origin->FldTagCaption(3) : $this->comp_origin->CurrentValue;
						break;
					case $this->comp_origin->FldTagValue(4):
						$this->comp_origin->ViewValue = $this->comp_origin->FldTagCaption(4) <> "" ? $this->comp_origin->FldTagCaption(4) : $this->comp_origin->CurrentValue;
						break;
					default:
						$this->comp_origin->ViewValue = $this->comp_origin->CurrentValue;
				}
			} else {
				$this->comp_origin->ViewValue = NULL;
			}
			$this->comp_origin->ViewCustomAttributes = "";

			// comp_present
			if (strval($this->comp_present->CurrentValue) <> "") {
				switch ($this->comp_present->CurrentValue) {
					case $this->comp_present->FldTagValue(1):
						$this->comp_present->ViewValue = $this->comp_present->FldTagCaption(1) <> "" ? $this->comp_present->FldTagCaption(1) : $this->comp_present->CurrentValue;
						break;
					case $this->comp_present->FldTagValue(2):
						$this->comp_present->ViewValue = $this->comp_present->FldTagCaption(2) <> "" ? $this->comp_present->FldTagCaption(2) : $this->comp_present->CurrentValue;
						break;
					case $this->comp_present->FldTagValue(3):
						$this->comp_present->ViewValue = $this->comp_present->FldTagCaption(3) <> "" ? $this->comp_present->FldTagCaption(3) : $this->comp_present->CurrentValue;
						break;
					case $this->comp_present->FldTagValue(4):
						$this->comp_present->ViewValue = $this->comp_present->FldTagCaption(4) <> "" ? $this->comp_present->FldTagCaption(4) : $this->comp_present->CurrentValue;
						break;
					case $this->comp_present->FldTagValue(5):
						$this->comp_present->ViewValue = $this->comp_present->FldTagCaption(5) <> "" ? $this->comp_present->FldTagCaption(5) : $this->comp_present->CurrentValue;
						break;
					case $this->comp_present->FldTagValue(6):
						$this->comp_present->ViewValue = $this->comp_present->FldTagCaption(6) <> "" ? $this->comp_present->FldTagCaption(6) : $this->comp_present->CurrentValue;
						break;
					default:
						$this->comp_present->ViewValue = $this->comp_present->CurrentValue;
				}
			} else {
				$this->comp_present->ViewValue = NULL;
			}
			$this->comp_present->ViewCustomAttributes = "";

			// comp_comment
			$this->comp_comment->ViewValue = $this->comp_comment->CurrentValue;
			$this->comp_comment->ViewCustomAttributes = "";

			// comp_id
			$this->comp_id->LinkCustomAttributes = "";
			$this->comp_id->HrefValue = "";
			$this->comp_id->TooltipValue = "";

			// court_id
			$this->court_id->LinkCustomAttributes = "";
			$this->court_id->HrefValue = "";
			$this->court_id->TooltipValue = "";

			// cont_id
			$this->cont_id->LinkCustomAttributes = "";
			$this->cont_id->HrefValue = "";
			$this->cont_id->TooltipValue = "";

			// plt_id
			$this->plt_id->LinkCustomAttributes = "";
			$this->plt_id->HrefValue = "";
			$this->plt_id->TooltipValue = "";

			// comp_num
			$this->comp_num->LinkCustomAttributes = "";
			$this->comp_num->HrefValue = "";
			$this->comp_num->TooltipValue = "";

			// comp_sn
			$this->comp_sn->LinkCustomAttributes = "";
			$this->comp_sn->HrefValue = "";
			$this->comp_sn->TooltipValue = "";

			// comp_brand
			$this->comp_brand->LinkCustomAttributes = "";
			$this->comp_brand->HrefValue = "";
			$this->comp_brand->TooltipValue = "";

			// mdt_id
			$this->mdt_id->LinkCustomAttributes = "";
			$this->mdt_id->HrefValue = "";
			$this->mdt_id->TooltipValue = "";

			// comp_hdd
			$this->comp_hdd->LinkCustomAttributes = "";
			$this->comp_hdd->HrefValue = "";
			$this->comp_hdd->TooltipValue = "";

			// comp_speed
			$this->comp_speed->LinkCustomAttributes = "";
			$this->comp_speed->HrefValue = "";
			$this->comp_speed->TooltipValue = "";

			// comp_ram
			$this->comp_ram->LinkCustomAttributes = "";
			$this->comp_ram->HrefValue = "";
			$this->comp_ram->TooltipValue = "";

			// comp_work
			$this->comp_work->LinkCustomAttributes = "";
			$this->comp_work->HrefValue = "";
			$this->comp_work->TooltipValue = "";

			// comp_connect
			$this->comp_connect->LinkCustomAttributes = "";
			$this->comp_connect->HrefValue = "";
			$this->comp_connect->TooltipValue = "";

			// comp_os
			$this->comp_os->LinkCustomAttributes = "";
			$this->comp_os->HrefValue = "";
			$this->comp_os->TooltipValue = "";

			// comp_screen
			$this->comp_screen->LinkCustomAttributes = "";
			$this->comp_screen->HrefValue = "";
			$this->comp_screen->TooltipValue = "";

			// comp_year
			$this->comp_year->LinkCustomAttributes = "";
			$this->comp_year->HrefValue = "";
			$this->comp_year->TooltipValue = "";

			// comp_date_recieve
			$this->comp_date_recieve->LinkCustomAttributes = "";
			$this->comp_date_recieve->HrefValue = "";
			$this->comp_date_recieve->TooltipValue = "";

			// comp_contract_start
			$this->comp_contract_start->LinkCustomAttributes = "";
			$this->comp_contract_start->HrefValue = "";
			$this->comp_contract_start->TooltipValue = "";

			// comp_warranty
			$this->comp_warranty->LinkCustomAttributes = "";
			$this->comp_warranty->HrefValue = "";
			$this->comp_warranty->TooltipValue = "";

			// comp_price
			$this->comp_price->LinkCustomAttributes = "";
			$this->comp_price->HrefValue = "";
			$this->comp_price->TooltipValue = "";

			// comp_origin
			$this->comp_origin->LinkCustomAttributes = "";
			$this->comp_origin->HrefValue = "";
			$this->comp_origin->TooltipValue = "";

			// comp_present
			$this->comp_present->LinkCustomAttributes = "";
			$this->comp_present->HrefValue = "";
			$this->comp_present->TooltipValue = "";

			// comp_comment
			$this->comp_comment->LinkCustomAttributes = "";
			$this->comp_comment->HrefValue = "";
			$this->comp_comment->TooltipValue = "";
		}

		// Call Row Rendered event
		if ($this->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$this->Row_Rendered();
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	// $type = ''|'success'|'failure'|'warning'
	function Message_Showing(&$msg, $type) {
		if ($type == 'success') {

			//$msg = "your success message";
		} elseif ($type == 'failure') {

			//$msg = "your failure message";
		} elseif ($type == 'warning') {

			//$msg = "your warning message";
		} else {

			//$msg = "your message";
		}
	}

	// Page Data Rendering event
	function Page_DataRendering(&$header) {

		// Example:
		//$header = "your header";

	}

	// Page Data Rendered event
	function Page_DataRendered(&$footer) {

		// Example:
		//$footer = "your footer";

	}
}
?>
<?php ew_Header(FALSE) ?>
<?php

// Create page object
if (!isset($tb_computers_view)) $tb_computers_view = new ctb_computers_view();

// Page init
$tb_computers_view->Page_Init();

// Page main
$tb_computers_view->Page_Main();
?>
<?php include_once "header.php" ?>
<script type="text/javascript">

// Page object
var tb_computers_view = new ew_Page("tb_computers_view");
tb_computers_view.PageID = "view"; // Page ID
var EW_PAGE_ID = tb_computers_view.PageID; // For backward compatibility

// Form object
var ftb_computersview = new ew_Form("ftb_computersview");

// Form_CustomValidate event
ftb_computersview.Form_CustomValidate =  
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }

// Use JavaScript validation or not
<?php if (EW_CLIENT_VALIDATE) { ?>
ftb_computersview.ValidateRequired = true;
<?php } else { ?>
ftb_computersview.ValidateRequired = false; 
<?php } ?>

// Dynamic selection lists
ftb_computersview.Lists["x_cont_id"] = {"LinkField":"x_cont_id","Ajax":null,"AutoFill":false,"DisplayFields":["x_cont_num","x_cont_project","",""],"ParentFields":[],"FilterFields":[],"Options":[]};
ftb_computersview.Lists["x_plt_id"] = {"LinkField":"x_plt_id","Ajax":null,"AutoFill":false,"DisplayFields":["x_plt_name","","",""],"ParentFields":[],"FilterFields":[],"Options":[]};
ftb_computersview.Lists["x_mdt_id"] = {"LinkField":"x_mdt_id","Ajax":null,"AutoFill":false,"DisplayFields":["x_mdt_name","","",""],"ParentFields":[],"FilterFields":[],"Options":[]};

// Form object for search
</script>
<script type="text/javascript">

// Write your client script here, no need to add script tags.
</script>
<p><span class="ewTitle ewTableTitle"><?php echo $Language->Phrase("View") ?>&nbsp;<?php echo $Language->Phrase("TblTypeTABLE") ?><?php echo $tb_computers->TableCaption() ?>&nbsp;&nbsp;</span><?php $tb_computers_view->ExportOptions->Render("body"); ?>
</p>
<p class="phpmaker">
<a href="<?php echo $tb_computers_view->ListUrl ?>"><?php echo $Language->Phrase("BackToList") ?></a>&nbsp;
<?php if ($tb_computers_view->AddUrl <> "") { ?>
<a href="<?php echo $tb_computers_view->AddUrl ?>"><?php echo $Language->Phrase("ViewPageAddLink") ?></a>&nbsp;
<?php } ?>
<?php if ($tb_computers_view->EditUrl <> "") { ?>
<a href="<?php echo $tb_computers_view->EditUrl ?>"><?php echo $Language->Phrase("ViewPageEditLink") ?></a>&nbsp;
<?php } ?>
<?php if ($tb_computers_view->CopyUrl <> "") { ?>
<a href="<?php echo $tb_computers_view->CopyUrl ?>"><?php echo $Language->Phrase("ViewPageCopyLink") ?></a>&nbsp;
<?php } ?>
<?php if ($tb_computers_view->DeleteUrl <> "") { ?>
<a href="<?php echo $tb_computers_view->DeleteUrl ?>"><?php echo $Language->Phrase("ViewPageDeleteLink") ?></a>&nbsp;
<?php } ?>
</p>
<?php $tb_computers_view->ShowPageHeader(); ?>
<?php
$tb_computers_view->ShowMessage();
?>
<form name="ewpagerform" id="ewpagerform" class="ewForm" action="<?php echo ew_CurrentPage() ?>">
<table border="0" cellspacing="0" cellpadding="0" class="ewPager">
	<tr>
		<td nowrap>
<?php if (!isset($tb_computers_view->Pager)) $tb_computers_view->Pager = new cPrevNextPager($tb_computers_view->StartRec, $tb_computers_view->DisplayRecs, $tb_computers_view->TotalRecs) ?>
<?php if ($tb_computers_view->Pager->RecordCount > 0) { ?>
	<table border="0" cellspacing="0" cellpadding="0"><tr><td><span class="phpmaker"><?php echo $Language->Phrase("Page") ?>&nbsp;</span></td>
<!--first page button-->
	<?php if ($tb_computers_view->Pager->FirstButton->Enabled) { ?>
	<td><a href="<?php echo $tb_computers_view->PageUrl() ?>start=<?php echo $tb_computers_view->Pager->FirstButton->Start ?>"><img src="phpimages/first.gif" alt="<?php echo $Language->Phrase("PagerFirst") ?>" width="16" height="16" border="0"></a></td>
	<?php } else { ?>
	<td><img src="phpimages/firstdisab.gif" alt="<?php echo $Language->Phrase("PagerFirst") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
<!--previous page button-->
	<?php if ($tb_computers_view->Pager->PrevButton->Enabled) { ?>
	<td><a href="<?php echo $tb_computers_view->PageUrl() ?>start=<?php echo $tb_computers_view->Pager->PrevButton->Start ?>"><img src="phpimages/prev.gif" alt="<?php echo $Language->Phrase("PagerPrevious") ?>" width="16" height="16" border="0"></a></td>
	<?php } else { ?>
	<td><img src="phpimages/prevdisab.gif" alt="<?php echo $Language->Phrase("PagerPrevious") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
<!--current page number-->
	<td><input type="text" name="<?php echo EW_TABLE_PAGE_NO ?>" id="<?php echo EW_TABLE_PAGE_NO ?>" value="<?php echo $tb_computers_view->Pager->CurrentPage ?>" size="4"></td>
<!--next page button-->
	<?php if ($tb_computers_view->Pager->NextButton->Enabled) { ?>
	<td><a href="<?php echo $tb_computers_view->PageUrl() ?>start=<?php echo $tb_computers_view->Pager->NextButton->Start ?>"><img src="phpimages/next.gif" alt="<?php echo $Language->Phrase("PagerNext") ?>" width="16" height="16" border="0"></a></td>	
	<?php } else { ?>
	<td><img src="phpimages/nextdisab.gif" alt="<?php echo $Language->Phrase("PagerNext") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
<!--last page button-->
	<?php if ($tb_computers_view->Pager->LastButton->Enabled) { ?>
	<td><a href="<?php echo $tb_computers_view->PageUrl() ?>start=<?php echo $tb_computers_view->Pager->LastButton->Start ?>"><img src="phpimages/last.gif" alt="<?php echo $Language->Phrase("PagerLast") ?>" width="16" height="16" border="0"></a></td>	
	<?php } else { ?>
	<td><img src="phpimages/lastdisab.gif" alt="<?php echo $Language->Phrase("PagerLast") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
	<td><span class="phpmaker">&nbsp;<?php echo $Language->Phrase("of") ?>&nbsp;<?php echo $tb_computers_view->Pager->PageCount ?></span></td>
	</tr></table>
<?php } else { ?>
	<?php if ($tb_computers_view->SearchWhere == "0=101") { ?>
	<span class="phpmaker"><?php echo $Language->Phrase("EnterSearchCriteria") ?></span>
	<?php } else { ?>
	<span class="phpmaker"><?php echo $Language->Phrase("NoRecord") ?></span>
	<?php } ?>
<?php } ?>
		</td>
	</tr>
</table>
</form>
<br>
<form name="ftb_computersview" id="ftb_computersview" class="ewForm" action="" method="post">
<input type="hidden" name="t" value="tb_computers">
<table cellspacing="0" class="ewGrid"><tr><td class="ewGridContent">
<div class="ewGridMiddlePanel">
<table cellspacing="0" id="tbl_tb_computersview" class="ewTable">
<?php if ($tb_computers->comp_id->Visible) { // comp_id ?>
	<tr id="r_comp_id"<?php echo $tb_computers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_computers_comp_id"><?php echo $tb_computers->comp_id->FldCaption() ?></span></td>
		<td<?php echo $tb_computers->comp_id->CellAttributes() ?>><span id="el_tb_computers_comp_id">
<span<?php echo $tb_computers->comp_id->ViewAttributes() ?>>
<?php echo $tb_computers->comp_id->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_computers->court_id->Visible) { // court_id ?>
	<tr id="r_court_id"<?php echo $tb_computers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_computers_court_id"><?php echo $tb_computers->court_id->FldCaption() ?></span></td>
		<td<?php echo $tb_computers->court_id->CellAttributes() ?>><span id="el_tb_computers_court_id">
<span<?php echo $tb_computers->court_id->ViewAttributes() ?>>
<?php echo $tb_computers->court_id->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_computers->cont_id->Visible) { // cont_id ?>
	<tr id="r_cont_id"<?php echo $tb_computers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_computers_cont_id"><?php echo $tb_computers->cont_id->FldCaption() ?></span></td>
		<td<?php echo $tb_computers->cont_id->CellAttributes() ?>><span id="el_tb_computers_cont_id">
<span<?php echo $tb_computers->cont_id->ViewAttributes() ?>>
<?php echo $tb_computers->cont_id->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_computers->plt_id->Visible) { // plt_id ?>
	<tr id="r_plt_id"<?php echo $tb_computers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_computers_plt_id"><?php echo $tb_computers->plt_id->FldCaption() ?></span></td>
		<td<?php echo $tb_computers->plt_id->CellAttributes() ?>><span id="el_tb_computers_plt_id">
<span<?php echo $tb_computers->plt_id->ViewAttributes() ?>>
<?php echo $tb_computers->plt_id->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_computers->comp_num->Visible) { // comp_num ?>
	<tr id="r_comp_num"<?php echo $tb_computers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_computers_comp_num"><?php echo $tb_computers->comp_num->FldCaption() ?></span></td>
		<td<?php echo $tb_computers->comp_num->CellAttributes() ?>><span id="el_tb_computers_comp_num">
<span<?php echo $tb_computers->comp_num->ViewAttributes() ?>>
<?php echo $tb_computers->comp_num->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_computers->comp_sn->Visible) { // comp_sn ?>
	<tr id="r_comp_sn"<?php echo $tb_computers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_computers_comp_sn"><?php echo $tb_computers->comp_sn->FldCaption() ?></span></td>
		<td<?php echo $tb_computers->comp_sn->CellAttributes() ?>><span id="el_tb_computers_comp_sn">
<span<?php echo $tb_computers->comp_sn->ViewAttributes() ?>>
<?php echo $tb_computers->comp_sn->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_computers->comp_brand->Visible) { // comp_brand ?>
	<tr id="r_comp_brand"<?php echo $tb_computers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_computers_comp_brand"><?php echo $tb_computers->comp_brand->FldCaption() ?></span></td>
		<td<?php echo $tb_computers->comp_brand->CellAttributes() ?>><span id="el_tb_computers_comp_brand">
<span<?php echo $tb_computers->comp_brand->ViewAttributes() ?>>
<?php echo $tb_computers->comp_brand->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_computers->mdt_id->Visible) { // mdt_id ?>
	<tr id="r_mdt_id"<?php echo $tb_computers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_computers_mdt_id"><?php echo $tb_computers->mdt_id->FldCaption() ?></span></td>
		<td<?php echo $tb_computers->mdt_id->CellAttributes() ?>><span id="el_tb_computers_mdt_id">
<span<?php echo $tb_computers->mdt_id->ViewAttributes() ?>>
<?php echo $tb_computers->mdt_id->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_computers->comp_hdd->Visible) { // comp_hdd ?>
	<tr id="r_comp_hdd"<?php echo $tb_computers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_computers_comp_hdd"><?php echo $tb_computers->comp_hdd->FldCaption() ?></span></td>
		<td<?php echo $tb_computers->comp_hdd->CellAttributes() ?>><span id="el_tb_computers_comp_hdd">
<span<?php echo $tb_computers->comp_hdd->ViewAttributes() ?>>
<?php echo $tb_computers->comp_hdd->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_computers->comp_speed->Visible) { // comp_speed ?>
	<tr id="r_comp_speed"<?php echo $tb_computers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_computers_comp_speed"><?php echo $tb_computers->comp_speed->FldCaption() ?></span></td>
		<td<?php echo $tb_computers->comp_speed->CellAttributes() ?>><span id="el_tb_computers_comp_speed">
<span<?php echo $tb_computers->comp_speed->ViewAttributes() ?>>
<?php echo $tb_computers->comp_speed->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_computers->comp_ram->Visible) { // comp_ram ?>
	<tr id="r_comp_ram"<?php echo $tb_computers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_computers_comp_ram"><?php echo $tb_computers->comp_ram->FldCaption() ?></span></td>
		<td<?php echo $tb_computers->comp_ram->CellAttributes() ?>><span id="el_tb_computers_comp_ram">
<span<?php echo $tb_computers->comp_ram->ViewAttributes() ?>>
<?php echo $tb_computers->comp_ram->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_computers->comp_work->Visible) { // comp_work ?>
	<tr id="r_comp_work"<?php echo $tb_computers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_computers_comp_work"><?php echo $tb_computers->comp_work->FldCaption() ?></span></td>
		<td<?php echo $tb_computers->comp_work->CellAttributes() ?>><span id="el_tb_computers_comp_work">
<span<?php echo $tb_computers->comp_work->ViewAttributes() ?>>
<?php echo $tb_computers->comp_work->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_computers->comp_connect->Visible) { // comp_connect ?>
	<tr id="r_comp_connect"<?php echo $tb_computers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_computers_comp_connect"><?php echo $tb_computers->comp_connect->FldCaption() ?></span></td>
		<td<?php echo $tb_computers->comp_connect->CellAttributes() ?>><span id="el_tb_computers_comp_connect">
<span<?php echo $tb_computers->comp_connect->ViewAttributes() ?>>
<?php echo $tb_computers->comp_connect->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_computers->comp_os->Visible) { // comp_os ?>
	<tr id="r_comp_os"<?php echo $tb_computers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_computers_comp_os"><?php echo $tb_computers->comp_os->FldCaption() ?></span></td>
		<td<?php echo $tb_computers->comp_os->CellAttributes() ?>><span id="el_tb_computers_comp_os">
<span<?php echo $tb_computers->comp_os->ViewAttributes() ?>>
<?php echo $tb_computers->comp_os->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_computers->comp_screen->Visible) { // comp_screen ?>
	<tr id="r_comp_screen"<?php echo $tb_computers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_computers_comp_screen"><?php echo $tb_computers->comp_screen->FldCaption() ?></span></td>
		<td<?php echo $tb_computers->comp_screen->CellAttributes() ?>><span id="el_tb_computers_comp_screen">
<span<?php echo $tb_computers->comp_screen->ViewAttributes() ?>>
<?php echo $tb_computers->comp_screen->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_computers->comp_year->Visible) { // comp_year ?>
	<tr id="r_comp_year"<?php echo $tb_computers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_computers_comp_year"><?php echo $tb_computers->comp_year->FldCaption() ?></span></td>
		<td<?php echo $tb_computers->comp_year->CellAttributes() ?>><span id="el_tb_computers_comp_year">
<span<?php echo $tb_computers->comp_year->ViewAttributes() ?>>
<?php echo $tb_computers->comp_year->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_computers->comp_date_recieve->Visible) { // comp_date_recieve ?>
	<tr id="r_comp_date_recieve"<?php echo $tb_computers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_computers_comp_date_recieve"><?php echo $tb_computers->comp_date_recieve->FldCaption() ?></span></td>
		<td<?php echo $tb_computers->comp_date_recieve->CellAttributes() ?>><span id="el_tb_computers_comp_date_recieve">
<span<?php echo $tb_computers->comp_date_recieve->ViewAttributes() ?>>
<?php echo $tb_computers->comp_date_recieve->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_computers->comp_contract_start->Visible) { // comp_contract_start ?>
	<tr id="r_comp_contract_start"<?php echo $tb_computers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_computers_comp_contract_start"><?php echo $tb_computers->comp_contract_start->FldCaption() ?></span></td>
		<td<?php echo $tb_computers->comp_contract_start->CellAttributes() ?>><span id="el_tb_computers_comp_contract_start">
<span<?php echo $tb_computers->comp_contract_start->ViewAttributes() ?>>
<?php echo $tb_computers->comp_contract_start->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_computers->comp_warranty->Visible) { // comp_warranty ?>
	<tr id="r_comp_warranty"<?php echo $tb_computers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_computers_comp_warranty"><?php echo $tb_computers->comp_warranty->FldCaption() ?></span></td>
		<td<?php echo $tb_computers->comp_warranty->CellAttributes() ?>><span id="el_tb_computers_comp_warranty">
<span<?php echo $tb_computers->comp_warranty->ViewAttributes() ?>>
<?php echo $tb_computers->comp_warranty->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_computers->comp_price->Visible) { // comp_price ?>
	<tr id="r_comp_price"<?php echo $tb_computers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_computers_comp_price"><?php echo $tb_computers->comp_price->FldCaption() ?></span></td>
		<td<?php echo $tb_computers->comp_price->CellAttributes() ?>><span id="el_tb_computers_comp_price">
<span<?php echo $tb_computers->comp_price->ViewAttributes() ?>>
<?php echo $tb_computers->comp_price->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_computers->comp_origin->Visible) { // comp_origin ?>
	<tr id="r_comp_origin"<?php echo $tb_computers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_computers_comp_origin"><?php echo $tb_computers->comp_origin->FldCaption() ?></span></td>
		<td<?php echo $tb_computers->comp_origin->CellAttributes() ?>><span id="el_tb_computers_comp_origin">
<span<?php echo $tb_computers->comp_origin->ViewAttributes() ?>>
<?php echo $tb_computers->comp_origin->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_computers->comp_present->Visible) { // comp_present ?>
	<tr id="r_comp_present"<?php echo $tb_computers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_computers_comp_present"><?php echo $tb_computers->comp_present->FldCaption() ?></span></td>
		<td<?php echo $tb_computers->comp_present->CellAttributes() ?>><span id="el_tb_computers_comp_present">
<span<?php echo $tb_computers->comp_present->ViewAttributes() ?>>
<?php echo $tb_computers->comp_present->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_computers->comp_comment->Visible) { // comp_comment ?>
	<tr id="r_comp_comment"<?php echo $tb_computers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_computers_comp_comment"><?php echo $tb_computers->comp_comment->FldCaption() ?></span></td>
		<td<?php echo $tb_computers->comp_comment->CellAttributes() ?>><span id="el_tb_computers_comp_comment">
<span<?php echo $tb_computers->comp_comment->ViewAttributes() ?>>
<?php echo $tb_computers->comp_comment->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
</table>
</div>
</td></tr></table>
</form>
<br>
<form name="ewpagerform" id="ewpagerform" class="ewForm" action="<?php echo ew_CurrentPage() ?>">
<table border="0" cellspacing="0" cellpadding="0" class="ewPager">
	<tr>
		<td nowrap>
<?php if (!isset($tb_computers_view->Pager)) $tb_computers_view->Pager = new cPrevNextPager($tb_computers_view->StartRec, $tb_computers_view->DisplayRecs, $tb_computers_view->TotalRecs) ?>
<?php if ($tb_computers_view->Pager->RecordCount > 0) { ?>
	<table border="0" cellspacing="0" cellpadding="0"><tr><td><span class="phpmaker"><?php echo $Language->Phrase("Page") ?>&nbsp;</span></td>
<!--first page button-->
	<?php if ($tb_computers_view->Pager->FirstButton->Enabled) { ?>
	<td><a href="<?php echo $tb_computers_view->PageUrl() ?>start=<?php echo $tb_computers_view->Pager->FirstButton->Start ?>"><img src="phpimages/first.gif" alt="<?php echo $Language->Phrase("PagerFirst") ?>" width="16" height="16" border="0"></a></td>
	<?php } else { ?>
	<td><img src="phpimages/firstdisab.gif" alt="<?php echo $Language->Phrase("PagerFirst") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
<!--previous page button-->
	<?php if ($tb_computers_view->Pager->PrevButton->Enabled) { ?>
	<td><a href="<?php echo $tb_computers_view->PageUrl() ?>start=<?php echo $tb_computers_view->Pager->PrevButton->Start ?>"><img src="phpimages/prev.gif" alt="<?php echo $Language->Phrase("PagerPrevious") ?>" width="16" height="16" border="0"></a></td>
	<?php } else { ?>
	<td><img src="phpimages/prevdisab.gif" alt="<?php echo $Language->Phrase("PagerPrevious") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
<!--current page number-->
	<td><input type="text" name="<?php echo EW_TABLE_PAGE_NO ?>" id="<?php echo EW_TABLE_PAGE_NO ?>" value="<?php echo $tb_computers_view->Pager->CurrentPage ?>" size="4"></td>
<!--next page button-->
	<?php if ($tb_computers_view->Pager->NextButton->Enabled) { ?>
	<td><a href="<?php echo $tb_computers_view->PageUrl() ?>start=<?php echo $tb_computers_view->Pager->NextButton->Start ?>"><img src="phpimages/next.gif" alt="<?php echo $Language->Phrase("PagerNext") ?>" width="16" height="16" border="0"></a></td>	
	<?php } else { ?>
	<td><img src="phpimages/nextdisab.gif" alt="<?php echo $Language->Phrase("PagerNext") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
<!--last page button-->
	<?php if ($tb_computers_view->Pager->LastButton->Enabled) { ?>
	<td><a href="<?php echo $tb_computers_view->PageUrl() ?>start=<?php echo $tb_computers_view->Pager->LastButton->Start ?>"><img src="phpimages/last.gif" alt="<?php echo $Language->Phrase("PagerLast") ?>" width="16" height="16" border="0"></a></td>	
	<?php } else { ?>
	<td><img src="phpimages/lastdisab.gif" alt="<?php echo $Language->Phrase("PagerLast") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
	<td><span class="phpmaker">&nbsp;<?php echo $Language->Phrase("of") ?>&nbsp;<?php echo $tb_computers_view->Pager->PageCount ?></span></td>
	</tr></table>
<?php } else { ?>
	<?php if ($tb_computers_view->SearchWhere == "0=101") { ?>
	<span class="phpmaker"><?php echo $Language->Phrase("EnterSearchCriteria") ?></span>
	<?php } else { ?>
	<span class="phpmaker"><?php echo $Language->Phrase("NoRecord") ?></span>
	<?php } ?>
<?php } ?>
		</td>
	</tr>
</table>
</form>
<p>
<script type="text/javascript">
ftb_computersview.Init();
</script>
<?php
$tb_computers_view->ShowPageFooter();
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
?>
<script type="text/javascript">

// Write your table-specific startup script here
// document.write("page loaded");

</script>
<?php include_once "footer.php" ?>
<?php
$tb_computers_view->Page_Terminate();
?>
