<?php

// Global variable for table object
$tb_court_details = NULL;

//
// Table class for tb_court_details
//
class ctb_court_details extends cTable {
	var $court_id;
	var $ct_isdn1;
	var $ct_isdn2;
	var $ct_isdn3;
	var $ct_ip;
	var $ct_just;
	var $ct_just_senior;
	var $ct_officer;
	var $ct_officer_other;
	var $ct_emp_driver;
	var $ct_emp_ger;
	var $ct_emp_interpreter;
	var $ct_emp_place;
	var $ct_emp_tele;
	var $ct_emp_guard;
	var $ct_tmp_librarian1;
	var $ct_tmp_librarian2;
	var $ct_tmp_place;
	var $ct_tmp_citation;
	var $ct_tmp_record;
	var $ct_tmp_office;
	var $ct_tmp_court1;
	var $ct_tmp_court2;
	var $ct_tmp_plan;
	var $ct_tmp_hr;
	var $ct_tmp_lawyer1;
	var $ct_tmp_lawyer2;
	var $ct_gov_computer;
	var $ct_gov_place;
	var $ct_gov_office;
	var $ct_gov_court;
	var $ct_gov_lawyer1;
	var $ct_gov_lawyer2;
	var $ct_room_child;
	var $ct_room;
	var $ct_rooming;
	var $ct_comment;
	var $ct_builing_update;
	var $ct_builing_num;
	var $ct_bu1_holdfile;
	var $ct_bu1_file;
	var $ct_bu2_holdfile;
	var $ct_bu2_file;
	var $ct_accommodation;
	var $ct_nw1_holdfile;
	var $ct_nw1_file;
	var $ct_nw2_holdfile;
	var $ct_nw2_file;
	var $ct_vcs_plan_holdfile;
	var $ct_vcs_plan_file;

	//
	// Table class constructor
	//
	function __construct() {
		global $Language;

		// Language object
		if (!isset($Language)) $Language = new cLanguage();
		$this->TableVar = 'tb_court_details';
		$this->TableName = 'tb_court_details';
		$this->TableType = 'TABLE';
		$this->ExportAll = TRUE;
		$this->ExportPageBreakCount = 0; // Page break per every n record (PDF only)
		$this->ExportPageOrientation = "portrait"; // Page orientation (PDF only)
		$this->ExportPageSize = "a4"; // Page size (PDF only)
		$this->DetailAdd = FALSE; // Allow detail add
		$this->DetailEdit = FALSE; // Allow detail edit
		$this->GridAddRowCount = 5;
		$this->AllowAddDeleteRow = ew_AllowAddDeleteRow(); // Allow add/delete row

		// court_id
		$this->court_id = new cField('tb_court_details', 'tb_court_details', 'x_court_id', 'court_id', '`court_id`', '`court_id`', 200, -1, FALSE, '`court_id`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['court_id'] = &$this->court_id;

		// ct_isdn1
		$this->ct_isdn1 = new cField('tb_court_details', 'tb_court_details', 'x_ct_isdn1', 'ct_isdn1', '`ct_isdn1`', '`ct_isdn1`', 200, -1, FALSE, '`ct_isdn1`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['ct_isdn1'] = &$this->ct_isdn1;

		// ct_isdn2
		$this->ct_isdn2 = new cField('tb_court_details', 'tb_court_details', 'x_ct_isdn2', 'ct_isdn2', '`ct_isdn2`', '`ct_isdn2`', 200, -1, FALSE, '`ct_isdn2`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['ct_isdn2'] = &$this->ct_isdn2;

		// ct_isdn3
		$this->ct_isdn3 = new cField('tb_court_details', 'tb_court_details', 'x_ct_isdn3', 'ct_isdn3', '`ct_isdn3`', '`ct_isdn3`', 200, -1, FALSE, '`ct_isdn3`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['ct_isdn3'] = &$this->ct_isdn3;

		// ct_ip
		$this->ct_ip = new cField('tb_court_details', 'tb_court_details', 'x_ct_ip', 'ct_ip', '`ct_ip`', '`ct_ip`', 200, -1, FALSE, '`ct_ip`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['ct_ip'] = &$this->ct_ip;

		// ct_just
		$this->ct_just = new cField('tb_court_details', 'tb_court_details', 'x_ct_just', 'ct_just', '`ct_just`', '`ct_just`', 3, -1, FALSE, '`ct_just`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->ct_just->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['ct_just'] = &$this->ct_just;

		// ct_just_senior
		$this->ct_just_senior = new cField('tb_court_details', 'tb_court_details', 'x_ct_just_senior', 'ct_just_senior', '`ct_just_senior`', '`ct_just_senior`', 3, -1, FALSE, '`ct_just_senior`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->ct_just_senior->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['ct_just_senior'] = &$this->ct_just_senior;

		// ct_officer
		$this->ct_officer = new cField('tb_court_details', 'tb_court_details', 'x_ct_officer', 'ct_officer', '`ct_officer`', '`ct_officer`', 3, -1, FALSE, '`ct_officer`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->ct_officer->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['ct_officer'] = &$this->ct_officer;

		// ct_officer_other
		$this->ct_officer_other = new cField('tb_court_details', 'tb_court_details', 'x_ct_officer_other', 'ct_officer_other', '`ct_officer_other`', '`ct_officer_other`', 3, -1, FALSE, '`ct_officer_other`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->ct_officer_other->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['ct_officer_other'] = &$this->ct_officer_other;

		// ct_emp_driver
		$this->ct_emp_driver = new cField('tb_court_details', 'tb_court_details', 'x_ct_emp_driver', 'ct_emp_driver', '`ct_emp_driver`', '`ct_emp_driver`', 3, -1, FALSE, '`ct_emp_driver`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->ct_emp_driver->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['ct_emp_driver'] = &$this->ct_emp_driver;

		// ct_emp_ger
		$this->ct_emp_ger = new cField('tb_court_details', 'tb_court_details', 'x_ct_emp_ger', 'ct_emp_ger', '`ct_emp_ger`', '`ct_emp_ger`', 3, -1, FALSE, '`ct_emp_ger`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->ct_emp_ger->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['ct_emp_ger'] = &$this->ct_emp_ger;

		// ct_emp_interpreter
		$this->ct_emp_interpreter = new cField('tb_court_details', 'tb_court_details', 'x_ct_emp_interpreter', 'ct_emp_interpreter', '`ct_emp_interpreter`', '`ct_emp_interpreter`', 3, -1, FALSE, '`ct_emp_interpreter`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->ct_emp_interpreter->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['ct_emp_interpreter'] = &$this->ct_emp_interpreter;

		// ct_emp_place
		$this->ct_emp_place = new cField('tb_court_details', 'tb_court_details', 'x_ct_emp_place', 'ct_emp_place', '`ct_emp_place`', '`ct_emp_place`', 3, -1, FALSE, '`ct_emp_place`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->ct_emp_place->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['ct_emp_place'] = &$this->ct_emp_place;

		// ct_emp_tele
		$this->ct_emp_tele = new cField('tb_court_details', 'tb_court_details', 'x_ct_emp_tele', 'ct_emp_tele', '`ct_emp_tele`', '`ct_emp_tele`', 3, -1, FALSE, '`ct_emp_tele`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->ct_emp_tele->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['ct_emp_tele'] = &$this->ct_emp_tele;

		// ct_emp_guard
		$this->ct_emp_guard = new cField('tb_court_details', 'tb_court_details', 'x_ct_emp_guard', 'ct_emp_guard', '`ct_emp_guard`', '`ct_emp_guard`', 3, -1, FALSE, '`ct_emp_guard`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->ct_emp_guard->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['ct_emp_guard'] = &$this->ct_emp_guard;

		// ct_tmp_librarian1
		$this->ct_tmp_librarian1 = new cField('tb_court_details', 'tb_court_details', 'x_ct_tmp_librarian1', 'ct_tmp_librarian1', '`ct_tmp_librarian1`', '`ct_tmp_librarian1`', 3, -1, FALSE, '`ct_tmp_librarian1`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->ct_tmp_librarian1->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['ct_tmp_librarian1'] = &$this->ct_tmp_librarian1;

		// ct_tmp_librarian2
		$this->ct_tmp_librarian2 = new cField('tb_court_details', 'tb_court_details', 'x_ct_tmp_librarian2', 'ct_tmp_librarian2', '`ct_tmp_librarian2`', '`ct_tmp_librarian2`', 3, -1, FALSE, '`ct_tmp_librarian2`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->ct_tmp_librarian2->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['ct_tmp_librarian2'] = &$this->ct_tmp_librarian2;

		// ct_tmp_place
		$this->ct_tmp_place = new cField('tb_court_details', 'tb_court_details', 'x_ct_tmp_place', 'ct_tmp_place', '`ct_tmp_place`', '`ct_tmp_place`', 3, -1, FALSE, '`ct_tmp_place`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->ct_tmp_place->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['ct_tmp_place'] = &$this->ct_tmp_place;

		// ct_tmp_citation
		$this->ct_tmp_citation = new cField('tb_court_details', 'tb_court_details', 'x_ct_tmp_citation', 'ct_tmp_citation', '`ct_tmp_citation`', '`ct_tmp_citation`', 3, -1, FALSE, '`ct_tmp_citation`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->ct_tmp_citation->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['ct_tmp_citation'] = &$this->ct_tmp_citation;

		// ct_tmp_record
		$this->ct_tmp_record = new cField('tb_court_details', 'tb_court_details', 'x_ct_tmp_record', 'ct_tmp_record', '`ct_tmp_record`', '`ct_tmp_record`', 3, -1, FALSE, '`ct_tmp_record`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->ct_tmp_record->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['ct_tmp_record'] = &$this->ct_tmp_record;

		// ct_tmp_office
		$this->ct_tmp_office = new cField('tb_court_details', 'tb_court_details', 'x_ct_tmp_office', 'ct_tmp_office', '`ct_tmp_office`', '`ct_tmp_office`', 3, -1, FALSE, '`ct_tmp_office`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->ct_tmp_office->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['ct_tmp_office'] = &$this->ct_tmp_office;

		// ct_tmp_court1
		$this->ct_tmp_court1 = new cField('tb_court_details', 'tb_court_details', 'x_ct_tmp_court1', 'ct_tmp_court1', '`ct_tmp_court1`', '`ct_tmp_court1`', 3, -1, FALSE, '`ct_tmp_court1`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->ct_tmp_court1->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['ct_tmp_court1'] = &$this->ct_tmp_court1;

		// ct_tmp_court2
		$this->ct_tmp_court2 = new cField('tb_court_details', 'tb_court_details', 'x_ct_tmp_court2', 'ct_tmp_court2', '`ct_tmp_court2`', '`ct_tmp_court2`', 3, -1, FALSE, '`ct_tmp_court2`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->ct_tmp_court2->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['ct_tmp_court2'] = &$this->ct_tmp_court2;

		// ct_tmp_plan
		$this->ct_tmp_plan = new cField('tb_court_details', 'tb_court_details', 'x_ct_tmp_plan', 'ct_tmp_plan', '`ct_tmp_plan`', '`ct_tmp_plan`', 3, -1, FALSE, '`ct_tmp_plan`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->ct_tmp_plan->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['ct_tmp_plan'] = &$this->ct_tmp_plan;

		// ct_tmp_hr
		$this->ct_tmp_hr = new cField('tb_court_details', 'tb_court_details', 'x_ct_tmp_hr', 'ct_tmp_hr', '`ct_tmp_hr`', '`ct_tmp_hr`', 3, -1, FALSE, '`ct_tmp_hr`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->ct_tmp_hr->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['ct_tmp_hr'] = &$this->ct_tmp_hr;

		// ct_tmp_lawyer1
		$this->ct_tmp_lawyer1 = new cField('tb_court_details', 'tb_court_details', 'x_ct_tmp_lawyer1', 'ct_tmp_lawyer1', '`ct_tmp_lawyer1`', '`ct_tmp_lawyer1`', 3, -1, FALSE, '`ct_tmp_lawyer1`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->ct_tmp_lawyer1->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['ct_tmp_lawyer1'] = &$this->ct_tmp_lawyer1;

		// ct_tmp_lawyer2
		$this->ct_tmp_lawyer2 = new cField('tb_court_details', 'tb_court_details', 'x_ct_tmp_lawyer2', 'ct_tmp_lawyer2', '`ct_tmp_lawyer2`', '`ct_tmp_lawyer2`', 3, -1, FALSE, '`ct_tmp_lawyer2`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->ct_tmp_lawyer2->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['ct_tmp_lawyer2'] = &$this->ct_tmp_lawyer2;

		// ct_gov_computer
		$this->ct_gov_computer = new cField('tb_court_details', 'tb_court_details', 'x_ct_gov_computer', 'ct_gov_computer', '`ct_gov_computer`', '`ct_gov_computer`', 3, -1, FALSE, '`ct_gov_computer`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->ct_gov_computer->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['ct_gov_computer'] = &$this->ct_gov_computer;

		// ct_gov_place
		$this->ct_gov_place = new cField('tb_court_details', 'tb_court_details', 'x_ct_gov_place', 'ct_gov_place', '`ct_gov_place`', '`ct_gov_place`', 3, -1, FALSE, '`ct_gov_place`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->ct_gov_place->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['ct_gov_place'] = &$this->ct_gov_place;

		// ct_gov_office
		$this->ct_gov_office = new cField('tb_court_details', 'tb_court_details', 'x_ct_gov_office', 'ct_gov_office', '`ct_gov_office`', '`ct_gov_office`', 3, -1, FALSE, '`ct_gov_office`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->ct_gov_office->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['ct_gov_office'] = &$this->ct_gov_office;

		// ct_gov_court
		$this->ct_gov_court = new cField('tb_court_details', 'tb_court_details', 'x_ct_gov_court', 'ct_gov_court', '`ct_gov_court`', '`ct_gov_court`', 3, -1, FALSE, '`ct_gov_court`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->ct_gov_court->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['ct_gov_court'] = &$this->ct_gov_court;

		// ct_gov_lawyer1
		$this->ct_gov_lawyer1 = new cField('tb_court_details', 'tb_court_details', 'x_ct_gov_lawyer1', 'ct_gov_lawyer1', '`ct_gov_lawyer1`', '`ct_gov_lawyer1`', 3, -1, FALSE, '`ct_gov_lawyer1`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->ct_gov_lawyer1->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['ct_gov_lawyer1'] = &$this->ct_gov_lawyer1;

		// ct_gov_lawyer2
		$this->ct_gov_lawyer2 = new cField('tb_court_details', 'tb_court_details', 'x_ct_gov_lawyer2', 'ct_gov_lawyer2', '`ct_gov_lawyer2`', '`ct_gov_lawyer2`', 3, -1, FALSE, '`ct_gov_lawyer2`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->ct_gov_lawyer2->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['ct_gov_lawyer2'] = &$this->ct_gov_lawyer2;

		// ct_room_child
		$this->ct_room_child = new cField('tb_court_details', 'tb_court_details', 'x_ct_room_child', 'ct_room_child', '`ct_room_child`', '`ct_room_child`', 3, -1, FALSE, '`ct_room_child`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->ct_room_child->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['ct_room_child'] = &$this->ct_room_child;

		// ct_room
		$this->ct_room = new cField('tb_court_details', 'tb_court_details', 'x_ct_room', 'ct_room', '`ct_room`', '`ct_room`', 3, -1, FALSE, '`ct_room`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->ct_room->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['ct_room'] = &$this->ct_room;

		// ct_rooming
		$this->ct_rooming = new cField('tb_court_details', 'tb_court_details', 'x_ct_rooming', 'ct_rooming', '`ct_rooming`', '`ct_rooming`', 3, -1, FALSE, '`ct_rooming`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->ct_rooming->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['ct_rooming'] = &$this->ct_rooming;

		// ct_comment
		$this->ct_comment = new cField('tb_court_details', 'tb_court_details', 'x_ct_comment', 'ct_comment', '`ct_comment`', '`ct_comment`', 200, -1, FALSE, '`ct_comment`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['ct_comment'] = &$this->ct_comment;

		// ct_builing_update
		$this->ct_builing_update = new cField('tb_court_details', 'tb_court_details', 'x_ct_builing_update', 'ct_builing_update', '`ct_builing_update`', '`ct_builing_update`', 3, -1, FALSE, '`ct_builing_update`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->ct_builing_update->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['ct_builing_update'] = &$this->ct_builing_update;

		// ct_builing_num
		$this->ct_builing_num = new cField('tb_court_details', 'tb_court_details', 'x_ct_builing_num', 'ct_builing_num', '`ct_builing_num`', '`ct_builing_num`', 3, -1, FALSE, '`ct_builing_num`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->ct_builing_num->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['ct_builing_num'] = &$this->ct_builing_num;

		// ct_bu1_holdfile
		$this->ct_bu1_holdfile = new cField('tb_court_details', 'tb_court_details', 'x_ct_bu1_holdfile', 'ct_bu1_holdfile', '`ct_bu1_holdfile`', '`ct_bu1_holdfile`', 200, -1, FALSE, '`ct_bu1_holdfile`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['ct_bu1_holdfile'] = &$this->ct_bu1_holdfile;

		// ct_bu1_file
		$this->ct_bu1_file = new cField('tb_court_details', 'tb_court_details', 'x_ct_bu1_file', 'ct_bu1_file', '`ct_bu1_file`', '`ct_bu1_file`', 200, -1, FALSE, '`ct_bu1_file`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['ct_bu1_file'] = &$this->ct_bu1_file;

		// ct_bu2_holdfile
		$this->ct_bu2_holdfile = new cField('tb_court_details', 'tb_court_details', 'x_ct_bu2_holdfile', 'ct_bu2_holdfile', '`ct_bu2_holdfile`', '`ct_bu2_holdfile`', 200, -1, FALSE, '`ct_bu2_holdfile`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['ct_bu2_holdfile'] = &$this->ct_bu2_holdfile;

		// ct_bu2_file
		$this->ct_bu2_file = new cField('tb_court_details', 'tb_court_details', 'x_ct_bu2_file', 'ct_bu2_file', '`ct_bu2_file`', '`ct_bu2_file`', 200, -1, FALSE, '`ct_bu2_file`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['ct_bu2_file'] = &$this->ct_bu2_file;

		// ct_accommodation
		$this->ct_accommodation = new cField('tb_court_details', 'tb_court_details', 'x_ct_accommodation', 'ct_accommodation', '`ct_accommodation`', '`ct_accommodation`', 3, -1, FALSE, '`ct_accommodation`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->ct_accommodation->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['ct_accommodation'] = &$this->ct_accommodation;

		// ct_nw1_holdfile
		$this->ct_nw1_holdfile = new cField('tb_court_details', 'tb_court_details', 'x_ct_nw1_holdfile', 'ct_nw1_holdfile', '`ct_nw1_holdfile`', '`ct_nw1_holdfile`', 200, -1, FALSE, '`ct_nw1_holdfile`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['ct_nw1_holdfile'] = &$this->ct_nw1_holdfile;

		// ct_nw1_file
		$this->ct_nw1_file = new cField('tb_court_details', 'tb_court_details', 'x_ct_nw1_file', 'ct_nw1_file', '`ct_nw1_file`', '`ct_nw1_file`', 200, -1, FALSE, '`ct_nw1_file`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['ct_nw1_file'] = &$this->ct_nw1_file;

		// ct_nw2_holdfile
		$this->ct_nw2_holdfile = new cField('tb_court_details', 'tb_court_details', 'x_ct_nw2_holdfile', 'ct_nw2_holdfile', '`ct_nw2_holdfile`', '`ct_nw2_holdfile`', 200, -1, FALSE, '`ct_nw2_holdfile`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['ct_nw2_holdfile'] = &$this->ct_nw2_holdfile;

		// ct_nw2_file
		$this->ct_nw2_file = new cField('tb_court_details', 'tb_court_details', 'x_ct_nw2_file', 'ct_nw2_file', '`ct_nw2_file`', '`ct_nw2_file`', 200, -1, FALSE, '`ct_nw2_file`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['ct_nw2_file'] = &$this->ct_nw2_file;

		// ct_vcs_plan_holdfile
		$this->ct_vcs_plan_holdfile = new cField('tb_court_details', 'tb_court_details', 'x_ct_vcs_plan_holdfile', 'ct_vcs_plan_holdfile', '`ct_vcs_plan_holdfile`', '`ct_vcs_plan_holdfile`', 200, -1, FALSE, '`ct_vcs_plan_holdfile`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['ct_vcs_plan_holdfile'] = &$this->ct_vcs_plan_holdfile;

		// ct_vcs_plan_file
		$this->ct_vcs_plan_file = new cField('tb_court_details', 'tb_court_details', 'x_ct_vcs_plan_file', 'ct_vcs_plan_file', '`ct_vcs_plan_file`', '`ct_vcs_plan_file`', 200, -1, FALSE, '`ct_vcs_plan_file`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['ct_vcs_plan_file'] = &$this->ct_vcs_plan_file;
	}

	// Single column sort
	function UpdateSort(&$ofld) {
		if ($this->CurrentOrder == $ofld->FldName) {
			$sSortField = $ofld->FldExpression;
			$sLastSort = $ofld->getSort();
			if ($this->CurrentOrderType == "ASC" || $this->CurrentOrderType == "DESC") {
				$sThisSort = $this->CurrentOrderType;
			} else {
				$sThisSort = ($sLastSort == "ASC") ? "DESC" : "ASC";
			}
			$ofld->setSort($sThisSort);
			$this->setSessionOrderBy($sSortField . " " . $sThisSort); // Save to Session
		} else {
			$ofld->setSort("");
		}
	}

	// Table level SQL
	function SqlFrom() { // From
		return "`tb_court_details`";
	}

	function SqlSelect() { // Select
		return "SELECT * FROM " . $this->SqlFrom();
	}

	function SqlWhere() { // Where
		$sWhere = "";
		$this->TableFilter = "";
		ew_AddFilter($sWhere, $this->TableFilter);
		return $sWhere;
	}

	function SqlGroupBy() { // Group By
		return "";
	}

	function SqlHaving() { // Having
		return "";
	}

	function SqlOrderBy() { // Order By
		return "";
	}

	// Check if Anonymous User is allowed
	function AllowAnonymousUser() {
		switch (@$this->PageID) {
			case "add":
			case "register":
			case "addopt":
				return FALSE;
			case "edit":
			case "update":
			case "changepwd":
			case "forgotpwd":
				return FALSE;
			case "delete":
				return FALSE;
			case "view":
				return FALSE;
			case "search":
				return FALSE;
			default:
				return FALSE;
		}
	}

	// Apply User ID filters
	function ApplyUserIDFilters($sFilter) {
		return $sFilter;
	}

	// Check if User ID security allows view all
	function UserIDAllow($id = "") {
		return TRUE;
	}

	// Get SQL
	function GetSQL($where, $orderby) {
		return ew_BuildSelectSql($this->SqlSelect(), $this->SqlWhere(),
			$this->SqlGroupBy(), $this->SqlHaving(), $this->SqlOrderBy(),
			$where, $orderby);
	}

	// Table SQL
	function SQL() {
		$sFilter = $this->CurrentFilter;
		$sFilter = $this->ApplyUserIDFilters($sFilter);
		$sSort = $this->getSessionOrderBy();
		return ew_BuildSelectSql($this->SqlSelect(), $this->SqlWhere(),
			$this->SqlGroupBy(), $this->SqlHaving(), $this->SqlOrderBy(),
			$sFilter, $sSort);
	}

	// Table SQL with List page filter
	function SelectSQL() {
		$sFilter = $this->getSessionWhere();
		ew_AddFilter($sFilter, $this->CurrentFilter);
		$sFilter = $this->ApplyUserIDFilters($sFilter);
		$sSort = $this->getSessionOrderBy();
		return ew_BuildSelectSql($this->SqlSelect(), $this->SqlWhere(), $this->SqlGroupBy(),
			$this->SqlHaving(), $this->SqlOrderBy(), $sFilter, $sSort);
	}

	// Get ORDER BY clause
	function GetOrderBy() {
		$sSort = $this->getSessionOrderBy();
		return ew_BuildSelectSql("", "", "", "", $this->SqlOrderBy(), "", $sSort);
	}

	// Try to get record count
	function TryGetRecordCount($sSql) {
		global $conn;
		$cnt = -1;
		if ($this->TableType == 'TABLE' || $this->TableType == 'VIEW') {
			$sSql = "SELECT COUNT(*) FROM" . substr($sSql, 13);
			$sOrderBy = $this->GetOrderBy();
			if (substr($sSql, strlen($sOrderBy) * -1) == $sOrderBy)
				$sSql = substr($sSql, 0, strlen($sSql) - strlen($sOrderBy)); // Remove ORDER BY clause
		} else {
			$sSql = "SELECT COUNT(*) FROM (" . $sSql . ") EW_COUNT_TABLE";
		}
		if ($rs = $conn->Execute($sSql)) {
			if (!$rs->EOF && $rs->FieldCount() > 0) {
				$cnt = $rs->fields[0];
				$rs->Close();
			}
		}
		return intval($cnt);
	}

	// Get record count based on filter (for detail record count in master table pages)
	function LoadRecordCount($sFilter) {
		$origFilter = $this->CurrentFilter;
		$this->CurrentFilter = $sFilter;
		$this->Recordset_Selecting($this->CurrentFilter);

		//$sSql = $this->SQL();
		$sSql = $this->GetSQL($this->CurrentFilter, "");
		$cnt = $this->TryGetRecordCount($sSql);
		if ($cnt == -1) {
			if ($rs = $this->LoadRs($this->CurrentFilter)) {
				$cnt = $rs->RecordCount();
				$rs->Close();
			}
		}
		$this->CurrentFilter = $origFilter;
		return intval($cnt);
	}

	// Get record count (for current List page)
	function SelectRecordCount() {
		global $conn;
		$origFilter = $this->CurrentFilter;
		$this->Recordset_Selecting($this->CurrentFilter);
		$sSql = $this->SelectSQL();
		$cnt = $this->TryGetRecordCount($sSql);
		if ($cnt == -1) {
			if ($rs = $conn->Execute($sSql)) {
				$cnt = $rs->RecordCount();
				$rs->Close();
			}
		}
		$this->CurrentFilter = $origFilter;
		return intval($cnt);
	}

	// Update Table
	var $UpdateTable = "`tb_court_details`";

	// INSERT statement
	function InsertSQL(&$rs) {
		global $conn;
		$names = "";
		$values = "";
		foreach ($rs as $name => $value) {
			if (!isset($this->fields[$name]))
				continue;
			$names .= $this->fields[$name]->FldExpression . ",";
			$values .= ew_QuotedValue($value, $this->fields[$name]->FldDataType) . ",";
		}
		while (substr($names, -1) == ",")
			$names = substr($names, 0, -1);
		while (substr($values, -1) == ",")
			$values = substr($values, 0, -1);
		return "INSERT INTO " . $this->UpdateTable . " ($names) VALUES ($values)";
	}

	// Insert
	function Insert(&$rs) {
		global $conn;
		return $conn->Execute($this->InsertSQL($rs));
	}

	// UPDATE statement
	function UpdateSQL(&$rs, $where = "") {
		$sql = "UPDATE " . $this->UpdateTable . " SET ";
		foreach ($rs as $name => $value) {
			if (!isset($this->fields[$name]))
				continue;
			$sql .= $this->fields[$name]->FldExpression . "=";
			$sql .= ew_QuotedValue($value, $this->fields[$name]->FldDataType) . ",";
		}
		while (substr($sql, -1) == ",")
			$sql = substr($sql, 0, -1);
		$filter = $this->CurrentFilter;
		ew_AddFilter($filter, $where);
		if ($filter <> "")	$sql .= " WHERE " . $filter;
		return $sql;
	}

	// Update
	function Update(&$rs, $where = "") {
		global $conn;
		return $conn->Execute($this->UpdateSQL($rs, $where));
	}

	// DELETE statement
	function DeleteSQL(&$rs, $where = "") {
		$sql = "DELETE FROM " . $this->UpdateTable . " WHERE ";
		if ($rs) {
			$sql .= ew_QuotedName('court_id') . '=' . ew_QuotedValue($rs['court_id'], $this->court_id->FldDataType) . ' AND ';
		}
		if (substr($sql, -5) == " AND ") $sql = substr($sql, 0, -5);
		$filter = $this->CurrentFilter;
		ew_AddFilter($filter, $where);
		if ($filter <> "")	$sql .= " AND " . $filter;
		return $sql;
	}

	// Delete
	function Delete(&$rs, $where = "") {
		global $conn;
		return $conn->Execute($this->DeleteSQL($rs, $where));
	}

	// Key filter WHERE clause
	function SqlKeyFilter() {
		return "`court_id` = '@court_id@'";
	}

	// Key filter
	function KeyFilter() {
		$sKeyFilter = $this->SqlKeyFilter();
		$sKeyFilter = str_replace("@court_id@", ew_AdjustSql($this->court_id->CurrentValue), $sKeyFilter); // Replace key value
		return $sKeyFilter;
	}

	// Return page URL
	function getReturnUrl() {
		$name = EW_PROJECT_NAME . "_" . $this->TableVar . "_" . EW_TABLE_RETURN_URL;

		// Get referer URL automatically
		if (ew_ServerVar("HTTP_REFERER") <> "" && ew_ReferPage() <> ew_CurrentPage() && ew_ReferPage() <> "login.php") // Referer not same page or login page
			$_SESSION[$name] = ew_ServerVar("HTTP_REFERER"); // Save to Session
		if (@$_SESSION[$name] <> "") {
			return $_SESSION[$name];
		} else {
			return "tb_court_detailslist.php";
		}
	}

	function setReturnUrl($v) {
		$_SESSION[EW_PROJECT_NAME . "_" . $this->TableVar . "_" . EW_TABLE_RETURN_URL] = $v;
	}

	// List URL
	function GetListUrl() {
		return "tb_court_detailslist.php";
	}

	// View URL
	function GetViewUrl() {
		return $this->KeyUrl("tb_court_detailsview.php", $this->UrlParm());
	}

	// Add URL
	function GetAddUrl() {
		return "tb_court_detailsadd.php";
	}

	// Edit URL
	function GetEditUrl($parm = "") {
		return $this->KeyUrl("tb_court_detailsedit.php", $this->UrlParm($parm));
	}

	// Inline edit URL
	function GetInlineEditUrl() {
		return $this->KeyUrl(ew_CurrentPage(), $this->UrlParm("a=edit"));
	}

	// Copy URL
	function GetCopyUrl($parm = "") {
		return $this->KeyUrl("tb_court_detailsadd.php", $this->UrlParm($parm));
	}

	// Inline copy URL
	function GetInlineCopyUrl() {
		return $this->KeyUrl(ew_CurrentPage(), $this->UrlParm("a=copy"));
	}

	// Delete URL
	function GetDeleteUrl() {
		return $this->KeyUrl("tb_court_detailsdelete.php", $this->UrlParm());
	}

	// Add key value to URL
	function KeyUrl($url, $parm = "") {
		$sUrl = $url . "?";
		if ($parm <> "") $sUrl .= $parm . "&";
		if (!is_null($this->court_id->CurrentValue)) {
			$sUrl .= "court_id=" . urlencode($this->court_id->CurrentValue);
		} else {
			return "javascript:alert(ewLanguage.Phrase('InvalidRecord'));";
		}
		return $sUrl;
	}

	// Sort URL
	function SortUrl(&$fld) {
		if ($this->CurrentAction <> "" || $this->Export <> "" ||
			in_array($fld->FldType, array(128, 204, 205))) { // Unsortable data type
				return "";
		} elseif ($fld->Sortable) {
			$sUrlParm = $this->UrlParm("order=" . urlencode($fld->FldName) . "&ordertype=" . $fld->ReverseSort());
			return ew_CurrentPage() . "?" . $sUrlParm;
		} else {
			return "";
		}
	}

	// Get record keys from $_POST/$_GET/$_SESSION
	function GetRecordKeys() {
		global $EW_COMPOSITE_KEY_SEPARATOR;
		$arKeys = array();
		$arKey = array();
		if (isset($_POST["key_m"])) {
			$arKeys = ew_StripSlashes($_POST["key_m"]);
			$cnt = count($arKeys);
		} elseif (isset($_GET["key_m"])) {
			$arKeys = ew_StripSlashes($_GET["key_m"]);
			$cnt = count($arKeys);
		} elseif (isset($_GET)) {
			$arKeys[] = @$_GET["court_id"]; // court_id

			//return $arKeys; // do not return yet, so the values will also be checked by the following code
		}

		// check keys
		$ar = array();
		foreach ($arKeys as $key) {
			$ar[] = $key;
		}
		return $ar;
	}

	// Get key filter
	function GetKeyFilter() {
		$arKeys = $this->GetRecordKeys();
		$sKeyFilter = "";
		foreach ($arKeys as $key) {
			if ($sKeyFilter <> "") $sKeyFilter .= " OR ";
			$this->court_id->CurrentValue = $key;
			$sKeyFilter .= "(" . $this->KeyFilter() . ")";
		}
		return $sKeyFilter;
	}

	// Load rows based on filter
	function &LoadRs($sFilter) {
		global $conn;

		// Set up filter (SQL WHERE clause) and get return SQL
		//$this->CurrentFilter = $sFilter;
		//$sSql = $this->SQL();

		$sSql = $this->GetSQL($sFilter, "");
		$rs = $conn->Execute($sSql);
		return $rs;
	}

	// Load row values from recordset
	function LoadListRowValues(&$rs) {
		$this->court_id->setDbValue($rs->fields('court_id'));
		$this->ct_isdn1->setDbValue($rs->fields('ct_isdn1'));
		$this->ct_isdn2->setDbValue($rs->fields('ct_isdn2'));
		$this->ct_isdn3->setDbValue($rs->fields('ct_isdn3'));
		$this->ct_ip->setDbValue($rs->fields('ct_ip'));
		$this->ct_just->setDbValue($rs->fields('ct_just'));
		$this->ct_just_senior->setDbValue($rs->fields('ct_just_senior'));
		$this->ct_officer->setDbValue($rs->fields('ct_officer'));
		$this->ct_officer_other->setDbValue($rs->fields('ct_officer_other'));
		$this->ct_emp_driver->setDbValue($rs->fields('ct_emp_driver'));
		$this->ct_emp_ger->setDbValue($rs->fields('ct_emp_ger'));
		$this->ct_emp_interpreter->setDbValue($rs->fields('ct_emp_interpreter'));
		$this->ct_emp_place->setDbValue($rs->fields('ct_emp_place'));
		$this->ct_emp_tele->setDbValue($rs->fields('ct_emp_tele'));
		$this->ct_emp_guard->setDbValue($rs->fields('ct_emp_guard'));
		$this->ct_tmp_librarian1->setDbValue($rs->fields('ct_tmp_librarian1'));
		$this->ct_tmp_librarian2->setDbValue($rs->fields('ct_tmp_librarian2'));
		$this->ct_tmp_place->setDbValue($rs->fields('ct_tmp_place'));
		$this->ct_tmp_citation->setDbValue($rs->fields('ct_tmp_citation'));
		$this->ct_tmp_record->setDbValue($rs->fields('ct_tmp_record'));
		$this->ct_tmp_office->setDbValue($rs->fields('ct_tmp_office'));
		$this->ct_tmp_court1->setDbValue($rs->fields('ct_tmp_court1'));
		$this->ct_tmp_court2->setDbValue($rs->fields('ct_tmp_court2'));
		$this->ct_tmp_plan->setDbValue($rs->fields('ct_tmp_plan'));
		$this->ct_tmp_hr->setDbValue($rs->fields('ct_tmp_hr'));
		$this->ct_tmp_lawyer1->setDbValue($rs->fields('ct_tmp_lawyer1'));
		$this->ct_tmp_lawyer2->setDbValue($rs->fields('ct_tmp_lawyer2'));
		$this->ct_gov_computer->setDbValue($rs->fields('ct_gov_computer'));
		$this->ct_gov_place->setDbValue($rs->fields('ct_gov_place'));
		$this->ct_gov_office->setDbValue($rs->fields('ct_gov_office'));
		$this->ct_gov_court->setDbValue($rs->fields('ct_gov_court'));
		$this->ct_gov_lawyer1->setDbValue($rs->fields('ct_gov_lawyer1'));
		$this->ct_gov_lawyer2->setDbValue($rs->fields('ct_gov_lawyer2'));
		$this->ct_room_child->setDbValue($rs->fields('ct_room_child'));
		$this->ct_room->setDbValue($rs->fields('ct_room'));
		$this->ct_rooming->setDbValue($rs->fields('ct_rooming'));
		$this->ct_comment->setDbValue($rs->fields('ct_comment'));
		$this->ct_builing_update->setDbValue($rs->fields('ct_builing_update'));
		$this->ct_builing_num->setDbValue($rs->fields('ct_builing_num'));
		$this->ct_bu1_holdfile->setDbValue($rs->fields('ct_bu1_holdfile'));
		$this->ct_bu1_file->setDbValue($rs->fields('ct_bu1_file'));
		$this->ct_bu2_holdfile->setDbValue($rs->fields('ct_bu2_holdfile'));
		$this->ct_bu2_file->setDbValue($rs->fields('ct_bu2_file'));
		$this->ct_accommodation->setDbValue($rs->fields('ct_accommodation'));
		$this->ct_nw1_holdfile->setDbValue($rs->fields('ct_nw1_holdfile'));
		$this->ct_nw1_file->setDbValue($rs->fields('ct_nw1_file'));
		$this->ct_nw2_holdfile->setDbValue($rs->fields('ct_nw2_holdfile'));
		$this->ct_nw2_file->setDbValue($rs->fields('ct_nw2_file'));
		$this->ct_vcs_plan_holdfile->setDbValue($rs->fields('ct_vcs_plan_holdfile'));
		$this->ct_vcs_plan_file->setDbValue($rs->fields('ct_vcs_plan_file'));
	}

	// Render list row values
	function RenderListRow() {
		global $conn, $Security;

		// Call Row Rendering event
		$this->Row_Rendering();

   // Common render codes
		// court_id
		// ct_isdn1
		// ct_isdn2
		// ct_isdn3
		// ct_ip
		// ct_just
		// ct_just_senior
		// ct_officer
		// ct_officer_other
		// ct_emp_driver
		// ct_emp_ger
		// ct_emp_interpreter
		// ct_emp_place
		// ct_emp_tele
		// ct_emp_guard
		// ct_tmp_librarian1
		// ct_tmp_librarian2
		// ct_tmp_place
		// ct_tmp_citation
		// ct_tmp_record
		// ct_tmp_office
		// ct_tmp_court1
		// ct_tmp_court2
		// ct_tmp_plan
		// ct_tmp_hr
		// ct_tmp_lawyer1
		// ct_tmp_lawyer2
		// ct_gov_computer
		// ct_gov_place
		// ct_gov_office
		// ct_gov_court
		// ct_gov_lawyer1
		// ct_gov_lawyer2
		// ct_room_child
		// ct_room
		// ct_rooming
		// ct_comment
		// ct_builing_update
		// ct_builing_num
		// ct_bu1_holdfile
		// ct_bu1_file
		// ct_bu2_holdfile
		// ct_bu2_file
		// ct_accommodation
		// ct_nw1_holdfile
		// ct_nw1_file
		// ct_nw2_holdfile
		// ct_nw2_file
		// ct_vcs_plan_holdfile
		// ct_vcs_plan_file
		// court_id

		$this->court_id->ViewValue = $this->court_id->CurrentValue;
		$this->court_id->ViewCustomAttributes = "";

		// ct_isdn1
		$this->ct_isdn1->ViewValue = $this->ct_isdn1->CurrentValue;
		$this->ct_isdn1->ViewCustomAttributes = "";

		// ct_isdn2
		$this->ct_isdn2->ViewValue = $this->ct_isdn2->CurrentValue;
		$this->ct_isdn2->ViewCustomAttributes = "";

		// ct_isdn3
		$this->ct_isdn3->ViewValue = $this->ct_isdn3->CurrentValue;
		$this->ct_isdn3->ViewCustomAttributes = "";

		// ct_ip
		$this->ct_ip->ViewValue = $this->ct_ip->CurrentValue;
		$this->ct_ip->ViewCustomAttributes = "";

		// ct_just
		$this->ct_just->ViewValue = $this->ct_just->CurrentValue;
		$this->ct_just->ViewCustomAttributes = "";

		// ct_just_senior
		$this->ct_just_senior->ViewValue = $this->ct_just_senior->CurrentValue;
		$this->ct_just_senior->ViewCustomAttributes = "";

		// ct_officer
		$this->ct_officer->ViewValue = $this->ct_officer->CurrentValue;
		$this->ct_officer->ViewCustomAttributes = "";

		// ct_officer_other
		$this->ct_officer_other->ViewValue = $this->ct_officer_other->CurrentValue;
		$this->ct_officer_other->ViewCustomAttributes = "";

		// ct_emp_driver
		$this->ct_emp_driver->ViewValue = $this->ct_emp_driver->CurrentValue;
		$this->ct_emp_driver->ViewCustomAttributes = "";

		// ct_emp_ger
		$this->ct_emp_ger->ViewValue = $this->ct_emp_ger->CurrentValue;
		$this->ct_emp_ger->ViewCustomAttributes = "";

		// ct_emp_interpreter
		$this->ct_emp_interpreter->ViewValue = $this->ct_emp_interpreter->CurrentValue;
		$this->ct_emp_interpreter->ViewCustomAttributes = "";

		// ct_emp_place
		$this->ct_emp_place->ViewValue = $this->ct_emp_place->CurrentValue;
		$this->ct_emp_place->ViewCustomAttributes = "";

		// ct_emp_tele
		$this->ct_emp_tele->ViewValue = $this->ct_emp_tele->CurrentValue;
		$this->ct_emp_tele->ViewCustomAttributes = "";

		// ct_emp_guard
		$this->ct_emp_guard->ViewValue = $this->ct_emp_guard->CurrentValue;
		$this->ct_emp_guard->ViewCustomAttributes = "";

		// ct_tmp_librarian1
		$this->ct_tmp_librarian1->ViewValue = $this->ct_tmp_librarian1->CurrentValue;
		$this->ct_tmp_librarian1->ViewCustomAttributes = "";

		// ct_tmp_librarian2
		$this->ct_tmp_librarian2->ViewValue = $this->ct_tmp_librarian2->CurrentValue;
		$this->ct_tmp_librarian2->ViewCustomAttributes = "";

		// ct_tmp_place
		$this->ct_tmp_place->ViewValue = $this->ct_tmp_place->CurrentValue;
		$this->ct_tmp_place->ViewCustomAttributes = "";

		// ct_tmp_citation
		$this->ct_tmp_citation->ViewValue = $this->ct_tmp_citation->CurrentValue;
		$this->ct_tmp_citation->ViewCustomAttributes = "";

		// ct_tmp_record
		$this->ct_tmp_record->ViewValue = $this->ct_tmp_record->CurrentValue;
		$this->ct_tmp_record->ViewCustomAttributes = "";

		// ct_tmp_office
		$this->ct_tmp_office->ViewValue = $this->ct_tmp_office->CurrentValue;
		$this->ct_tmp_office->ViewCustomAttributes = "";

		// ct_tmp_court1
		$this->ct_tmp_court1->ViewValue = $this->ct_tmp_court1->CurrentValue;
		$this->ct_tmp_court1->ViewCustomAttributes = "";

		// ct_tmp_court2
		$this->ct_tmp_court2->ViewValue = $this->ct_tmp_court2->CurrentValue;
		$this->ct_tmp_court2->ViewCustomAttributes = "";

		// ct_tmp_plan
		$this->ct_tmp_plan->ViewValue = $this->ct_tmp_plan->CurrentValue;
		$this->ct_tmp_plan->ViewCustomAttributes = "";

		// ct_tmp_hr
		$this->ct_tmp_hr->ViewValue = $this->ct_tmp_hr->CurrentValue;
		$this->ct_tmp_hr->ViewCustomAttributes = "";

		// ct_tmp_lawyer1
		$this->ct_tmp_lawyer1->ViewValue = $this->ct_tmp_lawyer1->CurrentValue;
		$this->ct_tmp_lawyer1->ViewCustomAttributes = "";

		// ct_tmp_lawyer2
		$this->ct_tmp_lawyer2->ViewValue = $this->ct_tmp_lawyer2->CurrentValue;
		$this->ct_tmp_lawyer2->ViewCustomAttributes = "";

		// ct_gov_computer
		$this->ct_gov_computer->ViewValue = $this->ct_gov_computer->CurrentValue;
		$this->ct_gov_computer->ViewCustomAttributes = "";

		// ct_gov_place
		$this->ct_gov_place->ViewValue = $this->ct_gov_place->CurrentValue;
		$this->ct_gov_place->ViewCustomAttributes = "";

		// ct_gov_office
		$this->ct_gov_office->ViewValue = $this->ct_gov_office->CurrentValue;
		$this->ct_gov_office->ViewCustomAttributes = "";

		// ct_gov_court
		$this->ct_gov_court->ViewValue = $this->ct_gov_court->CurrentValue;
		$this->ct_gov_court->ViewCustomAttributes = "";

		// ct_gov_lawyer1
		$this->ct_gov_lawyer1->ViewValue = $this->ct_gov_lawyer1->CurrentValue;
		$this->ct_gov_lawyer1->ViewCustomAttributes = "";

		// ct_gov_lawyer2
		$this->ct_gov_lawyer2->ViewValue = $this->ct_gov_lawyer2->CurrentValue;
		$this->ct_gov_lawyer2->ViewCustomAttributes = "";

		// ct_room_child
		$this->ct_room_child->ViewValue = $this->ct_room_child->CurrentValue;
		$this->ct_room_child->ViewCustomAttributes = "";

		// ct_room
		$this->ct_room->ViewValue = $this->ct_room->CurrentValue;
		$this->ct_room->ViewCustomAttributes = "";

		// ct_rooming
		$this->ct_rooming->ViewValue = $this->ct_rooming->CurrentValue;
		$this->ct_rooming->ViewCustomAttributes = "";

		// ct_comment
		$this->ct_comment->ViewValue = $this->ct_comment->CurrentValue;
		$this->ct_comment->ViewCustomAttributes = "";

		// ct_builing_update
		$this->ct_builing_update->ViewValue = $this->ct_builing_update->CurrentValue;
		$this->ct_builing_update->ViewCustomAttributes = "";

		// ct_builing_num
		$this->ct_builing_num->ViewValue = $this->ct_builing_num->CurrentValue;
		$this->ct_builing_num->ViewCustomAttributes = "";

		// ct_bu1_holdfile
		$this->ct_bu1_holdfile->ViewValue = $this->ct_bu1_holdfile->CurrentValue;
		$this->ct_bu1_holdfile->ViewCustomAttributes = "";

		// ct_bu1_file
		$this->ct_bu1_file->ViewValue = $this->ct_bu1_file->CurrentValue;
		$this->ct_bu1_file->ViewCustomAttributes = "";

		// ct_bu2_holdfile
		$this->ct_bu2_holdfile->ViewValue = $this->ct_bu2_holdfile->CurrentValue;
		$this->ct_bu2_holdfile->ViewCustomAttributes = "";

		// ct_bu2_file
		$this->ct_bu2_file->ViewValue = $this->ct_bu2_file->CurrentValue;
		$this->ct_bu2_file->ViewCustomAttributes = "";

		// ct_accommodation
		$this->ct_accommodation->ViewValue = $this->ct_accommodation->CurrentValue;
		$this->ct_accommodation->ViewCustomAttributes = "";

		// ct_nw1_holdfile
		$this->ct_nw1_holdfile->ViewValue = $this->ct_nw1_holdfile->CurrentValue;
		$this->ct_nw1_holdfile->ViewCustomAttributes = "";

		// ct_nw1_file
		$this->ct_nw1_file->ViewValue = $this->ct_nw1_file->CurrentValue;
		$this->ct_nw1_file->ViewCustomAttributes = "";

		// ct_nw2_holdfile
		$this->ct_nw2_holdfile->ViewValue = $this->ct_nw2_holdfile->CurrentValue;
		$this->ct_nw2_holdfile->ViewCustomAttributes = "";

		// ct_nw2_file
		$this->ct_nw2_file->ViewValue = $this->ct_nw2_file->CurrentValue;
		$this->ct_nw2_file->ViewCustomAttributes = "";

		// ct_vcs_plan_holdfile
		$this->ct_vcs_plan_holdfile->ViewValue = $this->ct_vcs_plan_holdfile->CurrentValue;
		$this->ct_vcs_plan_holdfile->ViewCustomAttributes = "";

		// ct_vcs_plan_file
		$this->ct_vcs_plan_file->ViewValue = $this->ct_vcs_plan_file->CurrentValue;
		$this->ct_vcs_plan_file->ViewCustomAttributes = "";

		// court_id
		$this->court_id->LinkCustomAttributes = "";
		$this->court_id->HrefValue = "";
		$this->court_id->TooltipValue = "";

		// ct_isdn1
		$this->ct_isdn1->LinkCustomAttributes = "";
		$this->ct_isdn1->HrefValue = "";
		$this->ct_isdn1->TooltipValue = "";

		// ct_isdn2
		$this->ct_isdn2->LinkCustomAttributes = "";
		$this->ct_isdn2->HrefValue = "";
		$this->ct_isdn2->TooltipValue = "";

		// ct_isdn3
		$this->ct_isdn3->LinkCustomAttributes = "";
		$this->ct_isdn3->HrefValue = "";
		$this->ct_isdn3->TooltipValue = "";

		// ct_ip
		$this->ct_ip->LinkCustomAttributes = "";
		$this->ct_ip->HrefValue = "";
		$this->ct_ip->TooltipValue = "";

		// ct_just
		$this->ct_just->LinkCustomAttributes = "";
		$this->ct_just->HrefValue = "";
		$this->ct_just->TooltipValue = "";

		// ct_just_senior
		$this->ct_just_senior->LinkCustomAttributes = "";
		$this->ct_just_senior->HrefValue = "";
		$this->ct_just_senior->TooltipValue = "";

		// ct_officer
		$this->ct_officer->LinkCustomAttributes = "";
		$this->ct_officer->HrefValue = "";
		$this->ct_officer->TooltipValue = "";

		// ct_officer_other
		$this->ct_officer_other->LinkCustomAttributes = "";
		$this->ct_officer_other->HrefValue = "";
		$this->ct_officer_other->TooltipValue = "";

		// ct_emp_driver
		$this->ct_emp_driver->LinkCustomAttributes = "";
		$this->ct_emp_driver->HrefValue = "";
		$this->ct_emp_driver->TooltipValue = "";

		// ct_emp_ger
		$this->ct_emp_ger->LinkCustomAttributes = "";
		$this->ct_emp_ger->HrefValue = "";
		$this->ct_emp_ger->TooltipValue = "";

		// ct_emp_interpreter
		$this->ct_emp_interpreter->LinkCustomAttributes = "";
		$this->ct_emp_interpreter->HrefValue = "";
		$this->ct_emp_interpreter->TooltipValue = "";

		// ct_emp_place
		$this->ct_emp_place->LinkCustomAttributes = "";
		$this->ct_emp_place->HrefValue = "";
		$this->ct_emp_place->TooltipValue = "";

		// ct_emp_tele
		$this->ct_emp_tele->LinkCustomAttributes = "";
		$this->ct_emp_tele->HrefValue = "";
		$this->ct_emp_tele->TooltipValue = "";

		// ct_emp_guard
		$this->ct_emp_guard->LinkCustomAttributes = "";
		$this->ct_emp_guard->HrefValue = "";
		$this->ct_emp_guard->TooltipValue = "";

		// ct_tmp_librarian1
		$this->ct_tmp_librarian1->LinkCustomAttributes = "";
		$this->ct_tmp_librarian1->HrefValue = "";
		$this->ct_tmp_librarian1->TooltipValue = "";

		// ct_tmp_librarian2
		$this->ct_tmp_librarian2->LinkCustomAttributes = "";
		$this->ct_tmp_librarian2->HrefValue = "";
		$this->ct_tmp_librarian2->TooltipValue = "";

		// ct_tmp_place
		$this->ct_tmp_place->LinkCustomAttributes = "";
		$this->ct_tmp_place->HrefValue = "";
		$this->ct_tmp_place->TooltipValue = "";

		// ct_tmp_citation
		$this->ct_tmp_citation->LinkCustomAttributes = "";
		$this->ct_tmp_citation->HrefValue = "";
		$this->ct_tmp_citation->TooltipValue = "";

		// ct_tmp_record
		$this->ct_tmp_record->LinkCustomAttributes = "";
		$this->ct_tmp_record->HrefValue = "";
		$this->ct_tmp_record->TooltipValue = "";

		// ct_tmp_office
		$this->ct_tmp_office->LinkCustomAttributes = "";
		$this->ct_tmp_office->HrefValue = "";
		$this->ct_tmp_office->TooltipValue = "";

		// ct_tmp_court1
		$this->ct_tmp_court1->LinkCustomAttributes = "";
		$this->ct_tmp_court1->HrefValue = "";
		$this->ct_tmp_court1->TooltipValue = "";

		// ct_tmp_court2
		$this->ct_tmp_court2->LinkCustomAttributes = "";
		$this->ct_tmp_court2->HrefValue = "";
		$this->ct_tmp_court2->TooltipValue = "";

		// ct_tmp_plan
		$this->ct_tmp_plan->LinkCustomAttributes = "";
		$this->ct_tmp_plan->HrefValue = "";
		$this->ct_tmp_plan->TooltipValue = "";

		// ct_tmp_hr
		$this->ct_tmp_hr->LinkCustomAttributes = "";
		$this->ct_tmp_hr->HrefValue = "";
		$this->ct_tmp_hr->TooltipValue = "";

		// ct_tmp_lawyer1
		$this->ct_tmp_lawyer1->LinkCustomAttributes = "";
		$this->ct_tmp_lawyer1->HrefValue = "";
		$this->ct_tmp_lawyer1->TooltipValue = "";

		// ct_tmp_lawyer2
		$this->ct_tmp_lawyer2->LinkCustomAttributes = "";
		$this->ct_tmp_lawyer2->HrefValue = "";
		$this->ct_tmp_lawyer2->TooltipValue = "";

		// ct_gov_computer
		$this->ct_gov_computer->LinkCustomAttributes = "";
		$this->ct_gov_computer->HrefValue = "";
		$this->ct_gov_computer->TooltipValue = "";

		// ct_gov_place
		$this->ct_gov_place->LinkCustomAttributes = "";
		$this->ct_gov_place->HrefValue = "";
		$this->ct_gov_place->TooltipValue = "";

		// ct_gov_office
		$this->ct_gov_office->LinkCustomAttributes = "";
		$this->ct_gov_office->HrefValue = "";
		$this->ct_gov_office->TooltipValue = "";

		// ct_gov_court
		$this->ct_gov_court->LinkCustomAttributes = "";
		$this->ct_gov_court->HrefValue = "";
		$this->ct_gov_court->TooltipValue = "";

		// ct_gov_lawyer1
		$this->ct_gov_lawyer1->LinkCustomAttributes = "";
		$this->ct_gov_lawyer1->HrefValue = "";
		$this->ct_gov_lawyer1->TooltipValue = "";

		// ct_gov_lawyer2
		$this->ct_gov_lawyer2->LinkCustomAttributes = "";
		$this->ct_gov_lawyer2->HrefValue = "";
		$this->ct_gov_lawyer2->TooltipValue = "";

		// ct_room_child
		$this->ct_room_child->LinkCustomAttributes = "";
		$this->ct_room_child->HrefValue = "";
		$this->ct_room_child->TooltipValue = "";

		// ct_room
		$this->ct_room->LinkCustomAttributes = "";
		$this->ct_room->HrefValue = "";
		$this->ct_room->TooltipValue = "";

		// ct_rooming
		$this->ct_rooming->LinkCustomAttributes = "";
		$this->ct_rooming->HrefValue = "";
		$this->ct_rooming->TooltipValue = "";

		// ct_comment
		$this->ct_comment->LinkCustomAttributes = "";
		$this->ct_comment->HrefValue = "";
		$this->ct_comment->TooltipValue = "";

		// ct_builing_update
		$this->ct_builing_update->LinkCustomAttributes = "";
		$this->ct_builing_update->HrefValue = "";
		$this->ct_builing_update->TooltipValue = "";

		// ct_builing_num
		$this->ct_builing_num->LinkCustomAttributes = "";
		$this->ct_builing_num->HrefValue = "";
		$this->ct_builing_num->TooltipValue = "";

		// ct_bu1_holdfile
		$this->ct_bu1_holdfile->LinkCustomAttributes = "";
		$this->ct_bu1_holdfile->HrefValue = "";
		$this->ct_bu1_holdfile->TooltipValue = "";

		// ct_bu1_file
		$this->ct_bu1_file->LinkCustomAttributes = "";
		$this->ct_bu1_file->HrefValue = "";
		$this->ct_bu1_file->TooltipValue = "";

		// ct_bu2_holdfile
		$this->ct_bu2_holdfile->LinkCustomAttributes = "";
		$this->ct_bu2_holdfile->HrefValue = "";
		$this->ct_bu2_holdfile->TooltipValue = "";

		// ct_bu2_file
		$this->ct_bu2_file->LinkCustomAttributes = "";
		$this->ct_bu2_file->HrefValue = "";
		$this->ct_bu2_file->TooltipValue = "";

		// ct_accommodation
		$this->ct_accommodation->LinkCustomAttributes = "";
		$this->ct_accommodation->HrefValue = "";
		$this->ct_accommodation->TooltipValue = "";

		// ct_nw1_holdfile
		$this->ct_nw1_holdfile->LinkCustomAttributes = "";
		$this->ct_nw1_holdfile->HrefValue = "";
		$this->ct_nw1_holdfile->TooltipValue = "";

		// ct_nw1_file
		$this->ct_nw1_file->LinkCustomAttributes = "";
		$this->ct_nw1_file->HrefValue = "";
		$this->ct_nw1_file->TooltipValue = "";

		// ct_nw2_holdfile
		$this->ct_nw2_holdfile->LinkCustomAttributes = "";
		$this->ct_nw2_holdfile->HrefValue = "";
		$this->ct_nw2_holdfile->TooltipValue = "";

		// ct_nw2_file
		$this->ct_nw2_file->LinkCustomAttributes = "";
		$this->ct_nw2_file->HrefValue = "";
		$this->ct_nw2_file->TooltipValue = "";

		// ct_vcs_plan_holdfile
		$this->ct_vcs_plan_holdfile->LinkCustomAttributes = "";
		$this->ct_vcs_plan_holdfile->HrefValue = "";
		$this->ct_vcs_plan_holdfile->TooltipValue = "";

		// ct_vcs_plan_file
		$this->ct_vcs_plan_file->LinkCustomAttributes = "";
		$this->ct_vcs_plan_file->HrefValue = "";
		$this->ct_vcs_plan_file->TooltipValue = "";

		// Call Row Rendered event
		$this->Row_Rendered();
	}

	// Aggregate list row values
	function AggregateListRowValues() {
	}

	// Aggregate list row (for rendering)
	function AggregateListRow() {
	}

	// Export data in HTML/CSV/Word/Excel/Email/PDF format
	function ExportDocument(&$Doc, &$Recordset, $StartRec, $StopRec, $ExportPageType = "") {
		if (!$Recordset || !$Doc)
			return;

		// Write header
		$Doc->ExportTableHeader();
		if ($Doc->Horizontal) { // Horizontal format, write header
			$Doc->BeginExportRow();
			if ($ExportPageType == "view") {
				$Doc->ExportCaption($this->court_id);
				$Doc->ExportCaption($this->ct_isdn1);
				$Doc->ExportCaption($this->ct_isdn2);
				$Doc->ExportCaption($this->ct_isdn3);
				$Doc->ExportCaption($this->ct_ip);
				$Doc->ExportCaption($this->ct_just);
				$Doc->ExportCaption($this->ct_just_senior);
				$Doc->ExportCaption($this->ct_officer);
				$Doc->ExportCaption($this->ct_officer_other);
				$Doc->ExportCaption($this->ct_emp_driver);
				$Doc->ExportCaption($this->ct_emp_ger);
				$Doc->ExportCaption($this->ct_emp_interpreter);
				$Doc->ExportCaption($this->ct_emp_place);
				$Doc->ExportCaption($this->ct_emp_tele);
				$Doc->ExportCaption($this->ct_emp_guard);
				$Doc->ExportCaption($this->ct_tmp_librarian1);
				$Doc->ExportCaption($this->ct_tmp_librarian2);
				$Doc->ExportCaption($this->ct_tmp_place);
				$Doc->ExportCaption($this->ct_tmp_citation);
				$Doc->ExportCaption($this->ct_tmp_record);
				$Doc->ExportCaption($this->ct_tmp_office);
				$Doc->ExportCaption($this->ct_tmp_court1);
				$Doc->ExportCaption($this->ct_tmp_court2);
				$Doc->ExportCaption($this->ct_tmp_plan);
				$Doc->ExportCaption($this->ct_tmp_hr);
				$Doc->ExportCaption($this->ct_tmp_lawyer1);
				$Doc->ExportCaption($this->ct_tmp_lawyer2);
				$Doc->ExportCaption($this->ct_gov_computer);
				$Doc->ExportCaption($this->ct_gov_place);
				$Doc->ExportCaption($this->ct_gov_office);
				$Doc->ExportCaption($this->ct_gov_court);
				$Doc->ExportCaption($this->ct_gov_lawyer1);
				$Doc->ExportCaption($this->ct_gov_lawyer2);
				$Doc->ExportCaption($this->ct_room_child);
				$Doc->ExportCaption($this->ct_room);
				$Doc->ExportCaption($this->ct_rooming);
				$Doc->ExportCaption($this->ct_comment);
				$Doc->ExportCaption($this->ct_builing_update);
				$Doc->ExportCaption($this->ct_builing_num);
				$Doc->ExportCaption($this->ct_bu1_holdfile);
				$Doc->ExportCaption($this->ct_bu1_file);
				$Doc->ExportCaption($this->ct_bu2_holdfile);
				$Doc->ExportCaption($this->ct_bu2_file);
				$Doc->ExportCaption($this->ct_accommodation);
				$Doc->ExportCaption($this->ct_nw1_holdfile);
				$Doc->ExportCaption($this->ct_nw1_file);
				$Doc->ExportCaption($this->ct_nw2_holdfile);
				$Doc->ExportCaption($this->ct_nw2_file);
				$Doc->ExportCaption($this->ct_vcs_plan_holdfile);
				$Doc->ExportCaption($this->ct_vcs_plan_file);
			} else {
				$Doc->ExportCaption($this->court_id);
				$Doc->ExportCaption($this->ct_isdn1);
				$Doc->ExportCaption($this->ct_isdn2);
				$Doc->ExportCaption($this->ct_isdn3);
				$Doc->ExportCaption($this->ct_ip);
				$Doc->ExportCaption($this->ct_just);
				$Doc->ExportCaption($this->ct_just_senior);
				$Doc->ExportCaption($this->ct_officer);
				$Doc->ExportCaption($this->ct_officer_other);
				$Doc->ExportCaption($this->ct_emp_driver);
				$Doc->ExportCaption($this->ct_emp_ger);
				$Doc->ExportCaption($this->ct_emp_interpreter);
				$Doc->ExportCaption($this->ct_emp_place);
				$Doc->ExportCaption($this->ct_emp_tele);
				$Doc->ExportCaption($this->ct_emp_guard);
				$Doc->ExportCaption($this->ct_tmp_librarian1);
				$Doc->ExportCaption($this->ct_tmp_librarian2);
				$Doc->ExportCaption($this->ct_tmp_place);
				$Doc->ExportCaption($this->ct_tmp_citation);
				$Doc->ExportCaption($this->ct_tmp_record);
				$Doc->ExportCaption($this->ct_tmp_office);
				$Doc->ExportCaption($this->ct_tmp_court1);
				$Doc->ExportCaption($this->ct_tmp_court2);
				$Doc->ExportCaption($this->ct_tmp_plan);
				$Doc->ExportCaption($this->ct_tmp_hr);
				$Doc->ExportCaption($this->ct_tmp_lawyer1);
				$Doc->ExportCaption($this->ct_tmp_lawyer2);
				$Doc->ExportCaption($this->ct_gov_computer);
				$Doc->ExportCaption($this->ct_gov_place);
				$Doc->ExportCaption($this->ct_gov_office);
				$Doc->ExportCaption($this->ct_gov_court);
				$Doc->ExportCaption($this->ct_gov_lawyer1);
				$Doc->ExportCaption($this->ct_gov_lawyer2);
				$Doc->ExportCaption($this->ct_room_child);
				$Doc->ExportCaption($this->ct_room);
				$Doc->ExportCaption($this->ct_rooming);
				$Doc->ExportCaption($this->ct_comment);
				$Doc->ExportCaption($this->ct_builing_update);
				$Doc->ExportCaption($this->ct_builing_num);
				$Doc->ExportCaption($this->ct_bu1_holdfile);
				$Doc->ExportCaption($this->ct_bu1_file);
				$Doc->ExportCaption($this->ct_bu2_holdfile);
				$Doc->ExportCaption($this->ct_bu2_file);
				$Doc->ExportCaption($this->ct_accommodation);
				$Doc->ExportCaption($this->ct_nw1_holdfile);
				$Doc->ExportCaption($this->ct_nw1_file);
				$Doc->ExportCaption($this->ct_nw2_holdfile);
				$Doc->ExportCaption($this->ct_nw2_file);
				$Doc->ExportCaption($this->ct_vcs_plan_holdfile);
				$Doc->ExportCaption($this->ct_vcs_plan_file);
			}
			$Doc->EndExportRow();
		}

		// Move to first record
		$RecCnt = $StartRec - 1;
		if (!$Recordset->EOF) {
			$Recordset->MoveFirst();
			if ($StartRec > 1)
				$Recordset->Move($StartRec - 1);
		}
		while (!$Recordset->EOF && $RecCnt < $StopRec) {
			$RecCnt++;
			if (intval($RecCnt) >= intval($StartRec)) {
				$RowCnt = intval($RecCnt) - intval($StartRec) + 1;

				// Page break
				if ($this->ExportPageBreakCount > 0) {
					if ($RowCnt > 1 && ($RowCnt - 1) % $this->ExportPageBreakCount == 0)
						$Doc->ExportPageBreak();
				}
				$this->LoadListRowValues($Recordset);

				// Render row
				$this->RowType = EW_ROWTYPE_VIEW; // Render view
				$this->ResetAttrs();
				$this->RenderListRow();
				$Doc->BeginExportRow($RowCnt); // Allow CSS styles if enabled
				if ($ExportPageType == "view") {
					$Doc->ExportField($this->court_id);
					$Doc->ExportField($this->ct_isdn1);
					$Doc->ExportField($this->ct_isdn2);
					$Doc->ExportField($this->ct_isdn3);
					$Doc->ExportField($this->ct_ip);
					$Doc->ExportField($this->ct_just);
					$Doc->ExportField($this->ct_just_senior);
					$Doc->ExportField($this->ct_officer);
					$Doc->ExportField($this->ct_officer_other);
					$Doc->ExportField($this->ct_emp_driver);
					$Doc->ExportField($this->ct_emp_ger);
					$Doc->ExportField($this->ct_emp_interpreter);
					$Doc->ExportField($this->ct_emp_place);
					$Doc->ExportField($this->ct_emp_tele);
					$Doc->ExportField($this->ct_emp_guard);
					$Doc->ExportField($this->ct_tmp_librarian1);
					$Doc->ExportField($this->ct_tmp_librarian2);
					$Doc->ExportField($this->ct_tmp_place);
					$Doc->ExportField($this->ct_tmp_citation);
					$Doc->ExportField($this->ct_tmp_record);
					$Doc->ExportField($this->ct_tmp_office);
					$Doc->ExportField($this->ct_tmp_court1);
					$Doc->ExportField($this->ct_tmp_court2);
					$Doc->ExportField($this->ct_tmp_plan);
					$Doc->ExportField($this->ct_tmp_hr);
					$Doc->ExportField($this->ct_tmp_lawyer1);
					$Doc->ExportField($this->ct_tmp_lawyer2);
					$Doc->ExportField($this->ct_gov_computer);
					$Doc->ExportField($this->ct_gov_place);
					$Doc->ExportField($this->ct_gov_office);
					$Doc->ExportField($this->ct_gov_court);
					$Doc->ExportField($this->ct_gov_lawyer1);
					$Doc->ExportField($this->ct_gov_lawyer2);
					$Doc->ExportField($this->ct_room_child);
					$Doc->ExportField($this->ct_room);
					$Doc->ExportField($this->ct_rooming);
					$Doc->ExportField($this->ct_comment);
					$Doc->ExportField($this->ct_builing_update);
					$Doc->ExportField($this->ct_builing_num);
					$Doc->ExportField($this->ct_bu1_holdfile);
					$Doc->ExportField($this->ct_bu1_file);
					$Doc->ExportField($this->ct_bu2_holdfile);
					$Doc->ExportField($this->ct_bu2_file);
					$Doc->ExportField($this->ct_accommodation);
					$Doc->ExportField($this->ct_nw1_holdfile);
					$Doc->ExportField($this->ct_nw1_file);
					$Doc->ExportField($this->ct_nw2_holdfile);
					$Doc->ExportField($this->ct_nw2_file);
					$Doc->ExportField($this->ct_vcs_plan_holdfile);
					$Doc->ExportField($this->ct_vcs_plan_file);
				} else {
					$Doc->ExportField($this->court_id);
					$Doc->ExportField($this->ct_isdn1);
					$Doc->ExportField($this->ct_isdn2);
					$Doc->ExportField($this->ct_isdn3);
					$Doc->ExportField($this->ct_ip);
					$Doc->ExportField($this->ct_just);
					$Doc->ExportField($this->ct_just_senior);
					$Doc->ExportField($this->ct_officer);
					$Doc->ExportField($this->ct_officer_other);
					$Doc->ExportField($this->ct_emp_driver);
					$Doc->ExportField($this->ct_emp_ger);
					$Doc->ExportField($this->ct_emp_interpreter);
					$Doc->ExportField($this->ct_emp_place);
					$Doc->ExportField($this->ct_emp_tele);
					$Doc->ExportField($this->ct_emp_guard);
					$Doc->ExportField($this->ct_tmp_librarian1);
					$Doc->ExportField($this->ct_tmp_librarian2);
					$Doc->ExportField($this->ct_tmp_place);
					$Doc->ExportField($this->ct_tmp_citation);
					$Doc->ExportField($this->ct_tmp_record);
					$Doc->ExportField($this->ct_tmp_office);
					$Doc->ExportField($this->ct_tmp_court1);
					$Doc->ExportField($this->ct_tmp_court2);
					$Doc->ExportField($this->ct_tmp_plan);
					$Doc->ExportField($this->ct_tmp_hr);
					$Doc->ExportField($this->ct_tmp_lawyer1);
					$Doc->ExportField($this->ct_tmp_lawyer2);
					$Doc->ExportField($this->ct_gov_computer);
					$Doc->ExportField($this->ct_gov_place);
					$Doc->ExportField($this->ct_gov_office);
					$Doc->ExportField($this->ct_gov_court);
					$Doc->ExportField($this->ct_gov_lawyer1);
					$Doc->ExportField($this->ct_gov_lawyer2);
					$Doc->ExportField($this->ct_room_child);
					$Doc->ExportField($this->ct_room);
					$Doc->ExportField($this->ct_rooming);
					$Doc->ExportField($this->ct_comment);
					$Doc->ExportField($this->ct_builing_update);
					$Doc->ExportField($this->ct_builing_num);
					$Doc->ExportField($this->ct_bu1_holdfile);
					$Doc->ExportField($this->ct_bu1_file);
					$Doc->ExportField($this->ct_bu2_holdfile);
					$Doc->ExportField($this->ct_bu2_file);
					$Doc->ExportField($this->ct_accommodation);
					$Doc->ExportField($this->ct_nw1_holdfile);
					$Doc->ExportField($this->ct_nw1_file);
					$Doc->ExportField($this->ct_nw2_holdfile);
					$Doc->ExportField($this->ct_nw2_file);
					$Doc->ExportField($this->ct_vcs_plan_holdfile);
					$Doc->ExportField($this->ct_vcs_plan_file);
				}
				$Doc->EndExportRow();
			}
			$Recordset->MoveNext();
		}
		$Doc->ExportTableFooter();
	}

	// Table level events
	// Recordset Selecting event
	function Recordset_Selecting(&$filter) {

		// Enter your code here	
	}

	// Recordset Selected event
	function Recordset_Selected(&$rs) {

		//echo "Recordset Selected";
	}

	// Recordset Search Validated event
	function Recordset_SearchValidated() {

		// Example:
		//$this->MyField1->AdvancedSearch->SearchValue = "your search criteria"; // Search value

	}

	// Recordset Searching event
	function Recordset_Searching(&$filter) {

		// Enter your code here	
	}

	// Row_Selecting event
	function Row_Selecting(&$filter) {

		// Enter your code here	
	}

	// Row Selected event
	function Row_Selected(&$rs) {

		//echo "Row Selected";
	}

	// Row Inserting event
	function Row_Inserting($rsold, &$rsnew) {

		// Enter your code here
		// To cancel, set return value to FALSE

		return TRUE;
	}

	// Row Inserted event
	function Row_Inserted($rsold, &$rsnew) {

		//echo "Row Inserted"
	}

	// Row Updating event
	function Row_Updating($rsold, &$rsnew) {

		// Enter your code here
		// To cancel, set return value to FALSE

		return TRUE;
	}

	// Row Updated event
	function Row_Updated($rsold, &$rsnew) {

		//echo "Row Updated";
	}

	// Row Update Conflict event
	function Row_UpdateConflict($rsold, &$rsnew) {

		// Enter your code here
		// To ignore conflict, set return value to FALSE

		return TRUE;
	}

	// Row Deleting event
	function Row_Deleting(&$rs) {

		// Enter your code here
		// To cancel, set return value to False

		return TRUE;
	}

	// Row Deleted event
	function Row_Deleted(&$rs) {

		//echo "Row Deleted";
	}

	// Email Sending event
	function Email_Sending(&$Email, &$Args) {

		//var_dump($Email); var_dump($Args); exit();
		return TRUE;
	}

	// Row Rendering event
	function Row_Rendering() {

		// Enter your code here	
	}

	// Row Rendered event
	function Row_Rendered() {

		// To view properties of field class, use:
		//var_dump($this-><FieldName>); 

	}

	// User ID Filtering event
	function UserID_Filtering(&$filter) {

		// Enter your code here
	}
}
?>
