<?php
if (session_id() == "") session_start(); // Initialize Session data
ob_start(); // Turn on output buffering
?>
<?php include_once "ewcfg9.php" ?>
<?php include_once "ewmysql9.php" ?>
<?php include_once "phpfn9.php" ?>
<?php include_once "tb_court_detailsinfo.php" ?>
<?php include_once "userfn9.php" ?>
<?php

//
// Page class
//

$tb_court_details_view = NULL; // Initialize page object first

class ctb_court_details_view extends ctb_court_details {

	// Page ID
	var $PageID = 'view';

	// Project ID
	var $ProjectID = "{6072F4AB-8E55-4BED-87E8-94ADB1680AEB}";

	// Table name
	var $TableName = 'tb_court_details';

	// Page object name
	var $PageObjName = 'tb_court_details_view';

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		if ($this->UseTokenInUrl) $PageUrl .= "t=" . $this->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Page URLs
	var $AddUrl;
	var $EditUrl;
	var $CopyUrl;
	var $DeleteUrl;
	var $ViewUrl;
	var $ListUrl;

	// Export URLs
	var $ExportPrintUrl;
	var $ExportHtmlUrl;
	var $ExportExcelUrl;
	var $ExportWordUrl;
	var $ExportXmlUrl;
	var $ExportCsvUrl;
	var $ExportPdfUrl;

	// Update URLs
	var $InlineAddUrl;
	var $InlineCopyUrl;
	var $InlineEditUrl;
	var $GridAddUrl;
	var $GridEditUrl;
	var $MultiDeleteUrl;
	var $MultiUpdateUrl;

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_MESSAGE], $v);
	}

	function getFailureMessage() {
		return @$_SESSION[EW_SESSION_FAILURE_MESSAGE];
	}

	function setFailureMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_FAILURE_MESSAGE], $v);
	}

	function getSuccessMessage() {
		return @$_SESSION[EW_SESSION_SUCCESS_MESSAGE];
	}

	function setSuccessMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_SUCCESS_MESSAGE], $v);
	}

	function getWarningMessage() {
		return @$_SESSION[EW_SESSION_WARNING_MESSAGE];
	}

	function setWarningMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_WARNING_MESSAGE], $v);
	}

	// Show message
	function ShowMessage() {
		$hidden = FALSE;
		$html = "";

		// Message
		$sMessage = $this->getMessage();
		$this->Message_Showing($sMessage, "");
		if ($sMessage <> "") { // Message in Session, display
			$html .= "<p class=\"ewMessage\">" . $sMessage . "</p>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}

		// Warning message
		$sWarningMessage = $this->getWarningMessage();
		$this->Message_Showing($sWarningMessage, "warning");
		if ($sWarningMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewWarningIcon\"></td><td class=\"ewWarningMessage\">" . $sWarningMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_WARNING_MESSAGE] = ""; // Clear message in Session
		}

		// Success message
		$sSuccessMessage = $this->getSuccessMessage();
		$this->Message_Showing($sSuccessMessage, "success");
		if ($sSuccessMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewSuccessIcon\"></td><td class=\"ewSuccessMessage\">" . $sSuccessMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = ""; // Clear message in Session
		}

		// Failure message
		$sErrorMessage = $this->getFailureMessage();
		$this->Message_Showing($sErrorMessage, "failure");
		if ($sErrorMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewErrorIcon\"></td><td class=\"ewErrorMessage\">" . $sErrorMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_FAILURE_MESSAGE] = ""; // Clear message in Session
		}		
		echo "<div class=\"ewMessageDialog\"" . (($hidden) ? " style=\"display: none;\"" : "") . ">" . $html . "</div>";
	}
	var $PageHeader;
	var $PageFooter;

	// Show Page Header
	function ShowPageHeader() {
		$sHeader = $this->PageHeader;
		$this->Page_DataRendering($sHeader);
		if ($sHeader <> "") { // Header exists, display
			echo "<p class=\"phpmaker\">" . $sHeader . "</p>";
		}
	}

	// Show Page Footer
	function ShowPageFooter() {
		$sFooter = $this->PageFooter;
		$this->Page_DataRendered($sFooter);
		if ($sFooter <> "") { // Fotoer exists, display
			echo "<p class=\"phpmaker\">" . $sFooter . "</p>";
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm;
		if ($this->UseTokenInUrl) {
			if ($objForm)
				return ($this->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($this->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}

	//
	// Page class constructor
	//
	function __construct() {
		global $conn, $Language;
		$GLOBALS["Page"] = &$this;

		// Language object
		if (!isset($Language)) $Language = new cLanguage();

		// Parent constuctor
		parent::__construct();

		// Table object (tb_court_details)
		if (!isset($GLOBALS["tb_court_details"])) {
			$GLOBALS["tb_court_details"] = &$this;
			$GLOBALS["Table"] = &$GLOBALS["tb_court_details"];
		}
		$KeyUrl = "";
		if (@$_GET["court_id"] <> "") {
			$this->RecKey["court_id"] = $_GET["court_id"];
			$KeyUrl .= "&court_id=" . urlencode($this->RecKey["court_id"]);
		}
		$this->ExportPrintUrl = $this->PageUrl() . "export=print" . $KeyUrl;
		$this->ExportHtmlUrl = $this->PageUrl() . "export=html" . $KeyUrl;
		$this->ExportExcelUrl = $this->PageUrl() . "export=excel" . $KeyUrl;
		$this->ExportWordUrl = $this->PageUrl() . "export=word" . $KeyUrl;
		$this->ExportXmlUrl = $this->PageUrl() . "export=xml" . $KeyUrl;
		$this->ExportCsvUrl = $this->PageUrl() . "export=csv" . $KeyUrl;
		$this->ExportPdfUrl = $this->PageUrl() . "export=pdf" . $KeyUrl;

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'view', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'tb_court_details', TRUE);

		// Start timer
		if (!isset($GLOBALS["gTimer"])) $GLOBALS["gTimer"] = new cTimer();

		// Open connection
		if (!isset($conn)) $conn = ew_Connect();

		// Export options
		$this->ExportOptions = new cListOptions();
		$this->ExportOptions->Tag = "span";
		$this->ExportOptions->TagClassName = "ewExportOption";
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;
		$this->CurrentAction = (@$_GET["a"] <> "") ? $_GET["a"] : @$_POST["a_list"];

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $conn;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();
		$this->Page_Redirecting($url);

		 // Close connection
		$conn->Close();

		// Go to URL if specified
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			header("Location: " . $url);
		}
		exit();
	}
	var $ExportOptions; // Export options
	var $DisplayRecs = 1;
	var $StartRec;
	var $StopRec;
	var $TotalRecs = 0;
	var $RecRange = 10;
	var $Pager;
	var $RecCnt;
	var $RecKey = array();
	var $Recordset;

	//
	// Page main
	//
	function Page_Main() {
		global $Language;

		// Load current record
		$bLoadCurrentRecord = FALSE;
		$sReturnUrl = "";
		$bMatchRecord = FALSE;
		if ($this->IsPageRequest()) { // Validate request
			if (@$_GET["court_id"] <> "") {
				$this->court_id->setQueryStringValue($_GET["court_id"]);
				$this->RecKey["court_id"] = $this->court_id->QueryStringValue;
			} else {
				$bLoadCurrentRecord = TRUE;
			}

			// Get action
			$this->CurrentAction = "I"; // Display form
			switch ($this->CurrentAction) {
				case "I": // Get a record to display
					$this->StartRec = 1; // Initialize start position
					if ($this->Recordset = $this->LoadRecordset()) // Load records
						$this->TotalRecs = $this->Recordset->RecordCount(); // Get record count
					if ($this->TotalRecs <= 0) { // No record found
						if ($this->getSuccessMessage() == "" && $this->getFailureMessage() == "")
							$this->setFailureMessage($Language->Phrase("NoRecord")); // Set no record message
						$this->Page_Terminate("tb_court_detailslist.php"); // Return to list page
					} elseif ($bLoadCurrentRecord) { // Load current record position
						$this->SetUpStartRec(); // Set up start record position

						// Point to current record
						if (intval($this->StartRec) <= intval($this->TotalRecs)) {
							$bMatchRecord = TRUE;
							$this->Recordset->Move($this->StartRec-1);
						}
					} else { // Match key values
						while (!$this->Recordset->EOF) {
							if (strval($this->court_id->CurrentValue) == strval($this->Recordset->fields('court_id'))) {
								$this->setStartRecordNumber($this->StartRec); // Save record position
								$bMatchRecord = TRUE;
								break;
							} else {
								$this->StartRec++;
								$this->Recordset->MoveNext();
							}
						}
					}
					if (!$bMatchRecord) {
						if ($this->getSuccessMessage() == "" && $this->getFailureMessage() == "")
							$this->setFailureMessage($Language->Phrase("NoRecord")); // Set no record message
						$sReturnUrl = "tb_court_detailslist.php"; // No matching record, return to list
					} else {
						$this->LoadRowValues($this->Recordset); // Load row values
					}
			}
		} else {
			$sReturnUrl = "tb_court_detailslist.php"; // Not page request, return to list
		}
		if ($sReturnUrl <> "")
			$this->Page_Terminate($sReturnUrl);

		// Render row
		$this->RowType = EW_ROWTYPE_VIEW;
		$this->ResetAttrs();
		$this->RenderRow();
	}

	// Set up starting record parameters
	function SetUpStartRec() {
		if ($this->DisplayRecs == 0)
			return;
		if ($this->IsPageRequest()) { // Validate request
			if (@$_GET[EW_TABLE_START_REC] <> "") { // Check for "start" parameter
				$this->StartRec = $_GET[EW_TABLE_START_REC];
				$this->setStartRecordNumber($this->StartRec);
			} elseif (@$_GET[EW_TABLE_PAGE_NO] <> "") {
				$PageNo = $_GET[EW_TABLE_PAGE_NO];
				if (is_numeric($PageNo)) {
					$this->StartRec = ($PageNo-1)*$this->DisplayRecs+1;
					if ($this->StartRec <= 0) {
						$this->StartRec = 1;
					} elseif ($this->StartRec >= intval(($this->TotalRecs-1)/$this->DisplayRecs)*$this->DisplayRecs+1) {
						$this->StartRec = intval(($this->TotalRecs-1)/$this->DisplayRecs)*$this->DisplayRecs+1;
					}
					$this->setStartRecordNumber($this->StartRec);
				}
			}
		}
		$this->StartRec = $this->getStartRecordNumber();

		// Check if correct start record counter
		if (!is_numeric($this->StartRec) || $this->StartRec == "") { // Avoid invalid start record counter
			$this->StartRec = 1; // Reset start record counter
			$this->setStartRecordNumber($this->StartRec);
		} elseif (intval($this->StartRec) > intval($this->TotalRecs)) { // Avoid starting record > total records
			$this->StartRec = intval(($this->TotalRecs-1)/$this->DisplayRecs)*$this->DisplayRecs+1; // Point to last page first record
			$this->setStartRecordNumber($this->StartRec);
		} elseif (($this->StartRec-1) % $this->DisplayRecs <> 0) {
			$this->StartRec = intval(($this->StartRec-1)/$this->DisplayRecs)*$this->DisplayRecs+1; // Point to page boundary
			$this->setStartRecordNumber($this->StartRec);
		}
	}

	// Load recordset
	function LoadRecordset($offset = -1, $rowcnt = -1) {
		global $conn;

		// Call Recordset Selecting event
		$this->Recordset_Selecting($this->CurrentFilter);

		// Load List page SQL
		$sSql = $this->SelectSQL();
		if ($offset > -1 && $rowcnt > -1)
			$sSql .= " LIMIT $rowcnt OFFSET $offset";

		// Load recordset
		$rs = ew_LoadRecordset($sSql);

		// Call Recordset Selected event
		$this->Recordset_Selected($rs);
		return $rs;
	}

	// Load row based on key values
	function LoadRow() {
		global $conn, $Security, $Language;
		$sFilter = $this->KeyFilter();

		// Call Row Selecting event
		$this->Row_Selecting($sFilter);

		// Load SQL based on filter
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		global $conn;
		if (!$rs || $rs->EOF) return;

		// Call Row Selected event
		$row = &$rs->fields;
		$this->Row_Selected($row);
		$this->court_id->setDbValue($rs->fields('court_id'));
		$this->ct_isdn1->setDbValue($rs->fields('ct_isdn1'));
		$this->ct_isdn2->setDbValue($rs->fields('ct_isdn2'));
		$this->ct_isdn3->setDbValue($rs->fields('ct_isdn3'));
		$this->ct_ip->setDbValue($rs->fields('ct_ip'));
		$this->ct_just->setDbValue($rs->fields('ct_just'));
		$this->ct_just_senior->setDbValue($rs->fields('ct_just_senior'));
		$this->ct_officer->setDbValue($rs->fields('ct_officer'));
		$this->ct_officer_other->setDbValue($rs->fields('ct_officer_other'));
		$this->ct_emp_driver->setDbValue($rs->fields('ct_emp_driver'));
		$this->ct_emp_ger->setDbValue($rs->fields('ct_emp_ger'));
		$this->ct_emp_interpreter->setDbValue($rs->fields('ct_emp_interpreter'));
		$this->ct_emp_place->setDbValue($rs->fields('ct_emp_place'));
		$this->ct_emp_tele->setDbValue($rs->fields('ct_emp_tele'));
		$this->ct_emp_guard->setDbValue($rs->fields('ct_emp_guard'));
		$this->ct_tmp_librarian1->setDbValue($rs->fields('ct_tmp_librarian1'));
		$this->ct_tmp_librarian2->setDbValue($rs->fields('ct_tmp_librarian2'));
		$this->ct_tmp_place->setDbValue($rs->fields('ct_tmp_place'));
		$this->ct_tmp_citation->setDbValue($rs->fields('ct_tmp_citation'));
		$this->ct_tmp_record->setDbValue($rs->fields('ct_tmp_record'));
		$this->ct_tmp_office->setDbValue($rs->fields('ct_tmp_office'));
		$this->ct_tmp_court1->setDbValue($rs->fields('ct_tmp_court1'));
		$this->ct_tmp_court2->setDbValue($rs->fields('ct_tmp_court2'));
		$this->ct_tmp_plan->setDbValue($rs->fields('ct_tmp_plan'));
		$this->ct_tmp_hr->setDbValue($rs->fields('ct_tmp_hr'));
		$this->ct_tmp_lawyer1->setDbValue($rs->fields('ct_tmp_lawyer1'));
		$this->ct_tmp_lawyer2->setDbValue($rs->fields('ct_tmp_lawyer2'));
		$this->ct_gov_computer->setDbValue($rs->fields('ct_gov_computer'));
		$this->ct_gov_place->setDbValue($rs->fields('ct_gov_place'));
		$this->ct_gov_office->setDbValue($rs->fields('ct_gov_office'));
		$this->ct_gov_court->setDbValue($rs->fields('ct_gov_court'));
		$this->ct_gov_lawyer1->setDbValue($rs->fields('ct_gov_lawyer1'));
		$this->ct_gov_lawyer2->setDbValue($rs->fields('ct_gov_lawyer2'));
		$this->ct_room_child->setDbValue($rs->fields('ct_room_child'));
		$this->ct_room->setDbValue($rs->fields('ct_room'));
		$this->ct_rooming->setDbValue($rs->fields('ct_rooming'));
		$this->ct_comment->setDbValue($rs->fields('ct_comment'));
		$this->ct_builing_update->setDbValue($rs->fields('ct_builing_update'));
		$this->ct_builing_num->setDbValue($rs->fields('ct_builing_num'));
		$this->ct_bu1_holdfile->setDbValue($rs->fields('ct_bu1_holdfile'));
		$this->ct_bu1_file->setDbValue($rs->fields('ct_bu1_file'));
		$this->ct_bu2_holdfile->setDbValue($rs->fields('ct_bu2_holdfile'));
		$this->ct_bu2_file->setDbValue($rs->fields('ct_bu2_file'));
		$this->ct_accommodation->setDbValue($rs->fields('ct_accommodation'));
		$this->ct_nw1_holdfile->setDbValue($rs->fields('ct_nw1_holdfile'));
		$this->ct_nw1_file->setDbValue($rs->fields('ct_nw1_file'));
		$this->ct_nw2_holdfile->setDbValue($rs->fields('ct_nw2_holdfile'));
		$this->ct_nw2_file->setDbValue($rs->fields('ct_nw2_file'));
		$this->ct_vcs_plan_holdfile->setDbValue($rs->fields('ct_vcs_plan_holdfile'));
		$this->ct_vcs_plan_file->setDbValue($rs->fields('ct_vcs_plan_file'));
	}

	// Render row values based on field settings
	function RenderRow() {
		global $conn, $Security, $Language;
		global $gsLanguage;

		// Initialize URLs
		$this->AddUrl = $this->GetAddUrl();
		$this->EditUrl = $this->GetEditUrl();
		$this->CopyUrl = $this->GetCopyUrl();
		$this->DeleteUrl = $this->GetDeleteUrl();
		$this->ListUrl = $this->GetListUrl();

		// Call Row_Rendering event
		$this->Row_Rendering();

		// Common render codes for all row types
		// court_id
		// ct_isdn1
		// ct_isdn2
		// ct_isdn3
		// ct_ip
		// ct_just
		// ct_just_senior
		// ct_officer
		// ct_officer_other
		// ct_emp_driver
		// ct_emp_ger
		// ct_emp_interpreter
		// ct_emp_place
		// ct_emp_tele
		// ct_emp_guard
		// ct_tmp_librarian1
		// ct_tmp_librarian2
		// ct_tmp_place
		// ct_tmp_citation
		// ct_tmp_record
		// ct_tmp_office
		// ct_tmp_court1
		// ct_tmp_court2
		// ct_tmp_plan
		// ct_tmp_hr
		// ct_tmp_lawyer1
		// ct_tmp_lawyer2
		// ct_gov_computer
		// ct_gov_place
		// ct_gov_office
		// ct_gov_court
		// ct_gov_lawyer1
		// ct_gov_lawyer2
		// ct_room_child
		// ct_room
		// ct_rooming
		// ct_comment
		// ct_builing_update
		// ct_builing_num
		// ct_bu1_holdfile
		// ct_bu1_file
		// ct_bu2_holdfile
		// ct_bu2_file
		// ct_accommodation
		// ct_nw1_holdfile
		// ct_nw1_file
		// ct_nw2_holdfile
		// ct_nw2_file
		// ct_vcs_plan_holdfile
		// ct_vcs_plan_file

		if ($this->RowType == EW_ROWTYPE_VIEW) { // View row

			// court_id
			$this->court_id->ViewValue = $this->court_id->CurrentValue;
			$this->court_id->ViewCustomAttributes = "";

			// ct_isdn1
			$this->ct_isdn1->ViewValue = $this->ct_isdn1->CurrentValue;
			$this->ct_isdn1->ViewCustomAttributes = "";

			// ct_isdn2
			$this->ct_isdn2->ViewValue = $this->ct_isdn2->CurrentValue;
			$this->ct_isdn2->ViewCustomAttributes = "";

			// ct_isdn3
			$this->ct_isdn3->ViewValue = $this->ct_isdn3->CurrentValue;
			$this->ct_isdn3->ViewCustomAttributes = "";

			// ct_ip
			$this->ct_ip->ViewValue = $this->ct_ip->CurrentValue;
			$this->ct_ip->ViewCustomAttributes = "";

			// ct_just
			$this->ct_just->ViewValue = $this->ct_just->CurrentValue;
			$this->ct_just->ViewCustomAttributes = "";

			// ct_just_senior
			$this->ct_just_senior->ViewValue = $this->ct_just_senior->CurrentValue;
			$this->ct_just_senior->ViewCustomAttributes = "";

			// ct_officer
			$this->ct_officer->ViewValue = $this->ct_officer->CurrentValue;
			$this->ct_officer->ViewCustomAttributes = "";

			// ct_officer_other
			$this->ct_officer_other->ViewValue = $this->ct_officer_other->CurrentValue;
			$this->ct_officer_other->ViewCustomAttributes = "";

			// ct_emp_driver
			$this->ct_emp_driver->ViewValue = $this->ct_emp_driver->CurrentValue;
			$this->ct_emp_driver->ViewCustomAttributes = "";

			// ct_emp_ger
			$this->ct_emp_ger->ViewValue = $this->ct_emp_ger->CurrentValue;
			$this->ct_emp_ger->ViewCustomAttributes = "";

			// ct_emp_interpreter
			$this->ct_emp_interpreter->ViewValue = $this->ct_emp_interpreter->CurrentValue;
			$this->ct_emp_interpreter->ViewCustomAttributes = "";

			// ct_emp_place
			$this->ct_emp_place->ViewValue = $this->ct_emp_place->CurrentValue;
			$this->ct_emp_place->ViewCustomAttributes = "";

			// ct_emp_tele
			$this->ct_emp_tele->ViewValue = $this->ct_emp_tele->CurrentValue;
			$this->ct_emp_tele->ViewCustomAttributes = "";

			// ct_emp_guard
			$this->ct_emp_guard->ViewValue = $this->ct_emp_guard->CurrentValue;
			$this->ct_emp_guard->ViewCustomAttributes = "";

			// ct_tmp_librarian1
			$this->ct_tmp_librarian1->ViewValue = $this->ct_tmp_librarian1->CurrentValue;
			$this->ct_tmp_librarian1->ViewCustomAttributes = "";

			// ct_tmp_librarian2
			$this->ct_tmp_librarian2->ViewValue = $this->ct_tmp_librarian2->CurrentValue;
			$this->ct_tmp_librarian2->ViewCustomAttributes = "";

			// ct_tmp_place
			$this->ct_tmp_place->ViewValue = $this->ct_tmp_place->CurrentValue;
			$this->ct_tmp_place->ViewCustomAttributes = "";

			// ct_tmp_citation
			$this->ct_tmp_citation->ViewValue = $this->ct_tmp_citation->CurrentValue;
			$this->ct_tmp_citation->ViewCustomAttributes = "";

			// ct_tmp_record
			$this->ct_tmp_record->ViewValue = $this->ct_tmp_record->CurrentValue;
			$this->ct_tmp_record->ViewCustomAttributes = "";

			// ct_tmp_office
			$this->ct_tmp_office->ViewValue = $this->ct_tmp_office->CurrentValue;
			$this->ct_tmp_office->ViewCustomAttributes = "";

			// ct_tmp_court1
			$this->ct_tmp_court1->ViewValue = $this->ct_tmp_court1->CurrentValue;
			$this->ct_tmp_court1->ViewCustomAttributes = "";

			// ct_tmp_court2
			$this->ct_tmp_court2->ViewValue = $this->ct_tmp_court2->CurrentValue;
			$this->ct_tmp_court2->ViewCustomAttributes = "";

			// ct_tmp_plan
			$this->ct_tmp_plan->ViewValue = $this->ct_tmp_plan->CurrentValue;
			$this->ct_tmp_plan->ViewCustomAttributes = "";

			// ct_tmp_hr
			$this->ct_tmp_hr->ViewValue = $this->ct_tmp_hr->CurrentValue;
			$this->ct_tmp_hr->ViewCustomAttributes = "";

			// ct_tmp_lawyer1
			$this->ct_tmp_lawyer1->ViewValue = $this->ct_tmp_lawyer1->CurrentValue;
			$this->ct_tmp_lawyer1->ViewCustomAttributes = "";

			// ct_tmp_lawyer2
			$this->ct_tmp_lawyer2->ViewValue = $this->ct_tmp_lawyer2->CurrentValue;
			$this->ct_tmp_lawyer2->ViewCustomAttributes = "";

			// ct_gov_computer
			$this->ct_gov_computer->ViewValue = $this->ct_gov_computer->CurrentValue;
			$this->ct_gov_computer->ViewCustomAttributes = "";

			// ct_gov_place
			$this->ct_gov_place->ViewValue = $this->ct_gov_place->CurrentValue;
			$this->ct_gov_place->ViewCustomAttributes = "";

			// ct_gov_office
			$this->ct_gov_office->ViewValue = $this->ct_gov_office->CurrentValue;
			$this->ct_gov_office->ViewCustomAttributes = "";

			// ct_gov_court
			$this->ct_gov_court->ViewValue = $this->ct_gov_court->CurrentValue;
			$this->ct_gov_court->ViewCustomAttributes = "";

			// ct_gov_lawyer1
			$this->ct_gov_lawyer1->ViewValue = $this->ct_gov_lawyer1->CurrentValue;
			$this->ct_gov_lawyer1->ViewCustomAttributes = "";

			// ct_gov_lawyer2
			$this->ct_gov_lawyer2->ViewValue = $this->ct_gov_lawyer2->CurrentValue;
			$this->ct_gov_lawyer2->ViewCustomAttributes = "";

			// ct_room_child
			$this->ct_room_child->ViewValue = $this->ct_room_child->CurrentValue;
			$this->ct_room_child->ViewCustomAttributes = "";

			// ct_room
			$this->ct_room->ViewValue = $this->ct_room->CurrentValue;
			$this->ct_room->ViewCustomAttributes = "";

			// ct_rooming
			$this->ct_rooming->ViewValue = $this->ct_rooming->CurrentValue;
			$this->ct_rooming->ViewCustomAttributes = "";

			// ct_comment
			$this->ct_comment->ViewValue = $this->ct_comment->CurrentValue;
			$this->ct_comment->ViewCustomAttributes = "";

			// ct_builing_update
			$this->ct_builing_update->ViewValue = $this->ct_builing_update->CurrentValue;
			$this->ct_builing_update->ViewCustomAttributes = "";

			// ct_builing_num
			$this->ct_builing_num->ViewValue = $this->ct_builing_num->CurrentValue;
			$this->ct_builing_num->ViewCustomAttributes = "";

			// ct_bu1_holdfile
			$this->ct_bu1_holdfile->ViewValue = $this->ct_bu1_holdfile->CurrentValue;
			$this->ct_bu1_holdfile->ViewCustomAttributes = "";

			// ct_bu1_file
			$this->ct_bu1_file->ViewValue = $this->ct_bu1_file->CurrentValue;
			$this->ct_bu1_file->ViewCustomAttributes = "";

			// ct_bu2_holdfile
			$this->ct_bu2_holdfile->ViewValue = $this->ct_bu2_holdfile->CurrentValue;
			$this->ct_bu2_holdfile->ViewCustomAttributes = "";

			// ct_bu2_file
			$this->ct_bu2_file->ViewValue = $this->ct_bu2_file->CurrentValue;
			$this->ct_bu2_file->ViewCustomAttributes = "";

			// ct_accommodation
			$this->ct_accommodation->ViewValue = $this->ct_accommodation->CurrentValue;
			$this->ct_accommodation->ViewCustomAttributes = "";

			// ct_nw1_holdfile
			$this->ct_nw1_holdfile->ViewValue = $this->ct_nw1_holdfile->CurrentValue;
			$this->ct_nw1_holdfile->ViewCustomAttributes = "";

			// ct_nw1_file
			$this->ct_nw1_file->ViewValue = $this->ct_nw1_file->CurrentValue;
			$this->ct_nw1_file->ViewCustomAttributes = "";

			// ct_nw2_holdfile
			$this->ct_nw2_holdfile->ViewValue = $this->ct_nw2_holdfile->CurrentValue;
			$this->ct_nw2_holdfile->ViewCustomAttributes = "";

			// ct_nw2_file
			$this->ct_nw2_file->ViewValue = $this->ct_nw2_file->CurrentValue;
			$this->ct_nw2_file->ViewCustomAttributes = "";

			// ct_vcs_plan_holdfile
			$this->ct_vcs_plan_holdfile->ViewValue = $this->ct_vcs_plan_holdfile->CurrentValue;
			$this->ct_vcs_plan_holdfile->ViewCustomAttributes = "";

			// ct_vcs_plan_file
			$this->ct_vcs_plan_file->ViewValue = $this->ct_vcs_plan_file->CurrentValue;
			$this->ct_vcs_plan_file->ViewCustomAttributes = "";

			// court_id
			$this->court_id->LinkCustomAttributes = "";
			$this->court_id->HrefValue = "";
			$this->court_id->TooltipValue = "";

			// ct_isdn1
			$this->ct_isdn1->LinkCustomAttributes = "";
			$this->ct_isdn1->HrefValue = "";
			$this->ct_isdn1->TooltipValue = "";

			// ct_isdn2
			$this->ct_isdn2->LinkCustomAttributes = "";
			$this->ct_isdn2->HrefValue = "";
			$this->ct_isdn2->TooltipValue = "";

			// ct_isdn3
			$this->ct_isdn3->LinkCustomAttributes = "";
			$this->ct_isdn3->HrefValue = "";
			$this->ct_isdn3->TooltipValue = "";

			// ct_ip
			$this->ct_ip->LinkCustomAttributes = "";
			$this->ct_ip->HrefValue = "";
			$this->ct_ip->TooltipValue = "";

			// ct_just
			$this->ct_just->LinkCustomAttributes = "";
			$this->ct_just->HrefValue = "";
			$this->ct_just->TooltipValue = "";

			// ct_just_senior
			$this->ct_just_senior->LinkCustomAttributes = "";
			$this->ct_just_senior->HrefValue = "";
			$this->ct_just_senior->TooltipValue = "";

			// ct_officer
			$this->ct_officer->LinkCustomAttributes = "";
			$this->ct_officer->HrefValue = "";
			$this->ct_officer->TooltipValue = "";

			// ct_officer_other
			$this->ct_officer_other->LinkCustomAttributes = "";
			$this->ct_officer_other->HrefValue = "";
			$this->ct_officer_other->TooltipValue = "";

			// ct_emp_driver
			$this->ct_emp_driver->LinkCustomAttributes = "";
			$this->ct_emp_driver->HrefValue = "";
			$this->ct_emp_driver->TooltipValue = "";

			// ct_emp_ger
			$this->ct_emp_ger->LinkCustomAttributes = "";
			$this->ct_emp_ger->HrefValue = "";
			$this->ct_emp_ger->TooltipValue = "";

			// ct_emp_interpreter
			$this->ct_emp_interpreter->LinkCustomAttributes = "";
			$this->ct_emp_interpreter->HrefValue = "";
			$this->ct_emp_interpreter->TooltipValue = "";

			// ct_emp_place
			$this->ct_emp_place->LinkCustomAttributes = "";
			$this->ct_emp_place->HrefValue = "";
			$this->ct_emp_place->TooltipValue = "";

			// ct_emp_tele
			$this->ct_emp_tele->LinkCustomAttributes = "";
			$this->ct_emp_tele->HrefValue = "";
			$this->ct_emp_tele->TooltipValue = "";

			// ct_emp_guard
			$this->ct_emp_guard->LinkCustomAttributes = "";
			$this->ct_emp_guard->HrefValue = "";
			$this->ct_emp_guard->TooltipValue = "";

			// ct_tmp_librarian1
			$this->ct_tmp_librarian1->LinkCustomAttributes = "";
			$this->ct_tmp_librarian1->HrefValue = "";
			$this->ct_tmp_librarian1->TooltipValue = "";

			// ct_tmp_librarian2
			$this->ct_tmp_librarian2->LinkCustomAttributes = "";
			$this->ct_tmp_librarian2->HrefValue = "";
			$this->ct_tmp_librarian2->TooltipValue = "";

			// ct_tmp_place
			$this->ct_tmp_place->LinkCustomAttributes = "";
			$this->ct_tmp_place->HrefValue = "";
			$this->ct_tmp_place->TooltipValue = "";

			// ct_tmp_citation
			$this->ct_tmp_citation->LinkCustomAttributes = "";
			$this->ct_tmp_citation->HrefValue = "";
			$this->ct_tmp_citation->TooltipValue = "";

			// ct_tmp_record
			$this->ct_tmp_record->LinkCustomAttributes = "";
			$this->ct_tmp_record->HrefValue = "";
			$this->ct_tmp_record->TooltipValue = "";

			// ct_tmp_office
			$this->ct_tmp_office->LinkCustomAttributes = "";
			$this->ct_tmp_office->HrefValue = "";
			$this->ct_tmp_office->TooltipValue = "";

			// ct_tmp_court1
			$this->ct_tmp_court1->LinkCustomAttributes = "";
			$this->ct_tmp_court1->HrefValue = "";
			$this->ct_tmp_court1->TooltipValue = "";

			// ct_tmp_court2
			$this->ct_tmp_court2->LinkCustomAttributes = "";
			$this->ct_tmp_court2->HrefValue = "";
			$this->ct_tmp_court2->TooltipValue = "";

			// ct_tmp_plan
			$this->ct_tmp_plan->LinkCustomAttributes = "";
			$this->ct_tmp_plan->HrefValue = "";
			$this->ct_tmp_plan->TooltipValue = "";

			// ct_tmp_hr
			$this->ct_tmp_hr->LinkCustomAttributes = "";
			$this->ct_tmp_hr->HrefValue = "";
			$this->ct_tmp_hr->TooltipValue = "";

			// ct_tmp_lawyer1
			$this->ct_tmp_lawyer1->LinkCustomAttributes = "";
			$this->ct_tmp_lawyer1->HrefValue = "";
			$this->ct_tmp_lawyer1->TooltipValue = "";

			// ct_tmp_lawyer2
			$this->ct_tmp_lawyer2->LinkCustomAttributes = "";
			$this->ct_tmp_lawyer2->HrefValue = "";
			$this->ct_tmp_lawyer2->TooltipValue = "";

			// ct_gov_computer
			$this->ct_gov_computer->LinkCustomAttributes = "";
			$this->ct_gov_computer->HrefValue = "";
			$this->ct_gov_computer->TooltipValue = "";

			// ct_gov_place
			$this->ct_gov_place->LinkCustomAttributes = "";
			$this->ct_gov_place->HrefValue = "";
			$this->ct_gov_place->TooltipValue = "";

			// ct_gov_office
			$this->ct_gov_office->LinkCustomAttributes = "";
			$this->ct_gov_office->HrefValue = "";
			$this->ct_gov_office->TooltipValue = "";

			// ct_gov_court
			$this->ct_gov_court->LinkCustomAttributes = "";
			$this->ct_gov_court->HrefValue = "";
			$this->ct_gov_court->TooltipValue = "";

			// ct_gov_lawyer1
			$this->ct_gov_lawyer1->LinkCustomAttributes = "";
			$this->ct_gov_lawyer1->HrefValue = "";
			$this->ct_gov_lawyer1->TooltipValue = "";

			// ct_gov_lawyer2
			$this->ct_gov_lawyer2->LinkCustomAttributes = "";
			$this->ct_gov_lawyer2->HrefValue = "";
			$this->ct_gov_lawyer2->TooltipValue = "";

			// ct_room_child
			$this->ct_room_child->LinkCustomAttributes = "";
			$this->ct_room_child->HrefValue = "";
			$this->ct_room_child->TooltipValue = "";

			// ct_room
			$this->ct_room->LinkCustomAttributes = "";
			$this->ct_room->HrefValue = "";
			$this->ct_room->TooltipValue = "";

			// ct_rooming
			$this->ct_rooming->LinkCustomAttributes = "";
			$this->ct_rooming->HrefValue = "";
			$this->ct_rooming->TooltipValue = "";

			// ct_comment
			$this->ct_comment->LinkCustomAttributes = "";
			$this->ct_comment->HrefValue = "";
			$this->ct_comment->TooltipValue = "";

			// ct_builing_update
			$this->ct_builing_update->LinkCustomAttributes = "";
			$this->ct_builing_update->HrefValue = "";
			$this->ct_builing_update->TooltipValue = "";

			// ct_builing_num
			$this->ct_builing_num->LinkCustomAttributes = "";
			$this->ct_builing_num->HrefValue = "";
			$this->ct_builing_num->TooltipValue = "";

			// ct_bu1_holdfile
			$this->ct_bu1_holdfile->LinkCustomAttributes = "";
			$this->ct_bu1_holdfile->HrefValue = "";
			$this->ct_bu1_holdfile->TooltipValue = "";

			// ct_bu1_file
			$this->ct_bu1_file->LinkCustomAttributes = "";
			$this->ct_bu1_file->HrefValue = "";
			$this->ct_bu1_file->TooltipValue = "";

			// ct_bu2_holdfile
			$this->ct_bu2_holdfile->LinkCustomAttributes = "";
			$this->ct_bu2_holdfile->HrefValue = "";
			$this->ct_bu2_holdfile->TooltipValue = "";

			// ct_bu2_file
			$this->ct_bu2_file->LinkCustomAttributes = "";
			$this->ct_bu2_file->HrefValue = "";
			$this->ct_bu2_file->TooltipValue = "";

			// ct_accommodation
			$this->ct_accommodation->LinkCustomAttributes = "";
			$this->ct_accommodation->HrefValue = "";
			$this->ct_accommodation->TooltipValue = "";

			// ct_nw1_holdfile
			$this->ct_nw1_holdfile->LinkCustomAttributes = "";
			$this->ct_nw1_holdfile->HrefValue = "";
			$this->ct_nw1_holdfile->TooltipValue = "";

			// ct_nw1_file
			$this->ct_nw1_file->LinkCustomAttributes = "";
			$this->ct_nw1_file->HrefValue = "";
			$this->ct_nw1_file->TooltipValue = "";

			// ct_nw2_holdfile
			$this->ct_nw2_holdfile->LinkCustomAttributes = "";
			$this->ct_nw2_holdfile->HrefValue = "";
			$this->ct_nw2_holdfile->TooltipValue = "";

			// ct_nw2_file
			$this->ct_nw2_file->LinkCustomAttributes = "";
			$this->ct_nw2_file->HrefValue = "";
			$this->ct_nw2_file->TooltipValue = "";

			// ct_vcs_plan_holdfile
			$this->ct_vcs_plan_holdfile->LinkCustomAttributes = "";
			$this->ct_vcs_plan_holdfile->HrefValue = "";
			$this->ct_vcs_plan_holdfile->TooltipValue = "";

			// ct_vcs_plan_file
			$this->ct_vcs_plan_file->LinkCustomAttributes = "";
			$this->ct_vcs_plan_file->HrefValue = "";
			$this->ct_vcs_plan_file->TooltipValue = "";
		}

		// Call Row Rendered event
		if ($this->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$this->Row_Rendered();
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	// $type = ''|'success'|'failure'|'warning'
	function Message_Showing(&$msg, $type) {
		if ($type == 'success') {

			//$msg = "your success message";
		} elseif ($type == 'failure') {

			//$msg = "your failure message";
		} elseif ($type == 'warning') {

			//$msg = "your warning message";
		} else {

			//$msg = "your message";
		}
	}

	// Page Data Rendering event
	function Page_DataRendering(&$header) {

		// Example:
		//$header = "your header";

	}

	// Page Data Rendered event
	function Page_DataRendered(&$footer) {

		// Example:
		//$footer = "your footer";

	}
}
?>
<?php ew_Header(FALSE) ?>
<?php

// Create page object
if (!isset($tb_court_details_view)) $tb_court_details_view = new ctb_court_details_view();

// Page init
$tb_court_details_view->Page_Init();

// Page main
$tb_court_details_view->Page_Main();
?>
<?php include_once "header.php" ?>
<script type="text/javascript">

// Page object
var tb_court_details_view = new ew_Page("tb_court_details_view");
tb_court_details_view.PageID = "view"; // Page ID
var EW_PAGE_ID = tb_court_details_view.PageID; // For backward compatibility

// Form object
var ftb_court_detailsview = new ew_Form("ftb_court_detailsview");

// Form_CustomValidate event
ftb_court_detailsview.Form_CustomValidate =  
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }

// Use JavaScript validation or not
<?php if (EW_CLIENT_VALIDATE) { ?>
ftb_court_detailsview.ValidateRequired = true;
<?php } else { ?>
ftb_court_detailsview.ValidateRequired = false; 
<?php } ?>

// Dynamic selection lists
// Form object for search

</script>
<script type="text/javascript">

// Write your client script here, no need to add script tags.
</script>
<p><span class="ewTitle ewTableTitle"><?php echo $Language->Phrase("View") ?>&nbsp;<?php echo $Language->Phrase("TblTypeTABLE") ?><?php echo $tb_court_details->TableCaption() ?>&nbsp;&nbsp;</span><?php $tb_court_details_view->ExportOptions->Render("body"); ?>
</p>
<p class="phpmaker">
<a href="<?php echo $tb_court_details_view->ListUrl ?>"><?php echo $Language->Phrase("BackToList") ?></a>&nbsp;
<?php if ($tb_court_details_view->AddUrl <> "") { ?>
<a href="<?php echo $tb_court_details_view->AddUrl ?>"><?php echo $Language->Phrase("ViewPageAddLink") ?></a>&nbsp;
<?php } ?>
<?php if ($tb_court_details_view->EditUrl <> "") { ?>
<a href="<?php echo $tb_court_details_view->EditUrl ?>"><?php echo $Language->Phrase("ViewPageEditLink") ?></a>&nbsp;
<?php } ?>
<?php if ($tb_court_details_view->CopyUrl <> "") { ?>
<a href="<?php echo $tb_court_details_view->CopyUrl ?>"><?php echo $Language->Phrase("ViewPageCopyLink") ?></a>&nbsp;
<?php } ?>
<?php if ($tb_court_details_view->DeleteUrl <> "") { ?>
<a href="<?php echo $tb_court_details_view->DeleteUrl ?>"><?php echo $Language->Phrase("ViewPageDeleteLink") ?></a>&nbsp;
<?php } ?>
</p>
<?php $tb_court_details_view->ShowPageHeader(); ?>
<?php
$tb_court_details_view->ShowMessage();
?>
<form name="ewpagerform" id="ewpagerform" class="ewForm" action="<?php echo ew_CurrentPage() ?>">
<table border="0" cellspacing="0" cellpadding="0" class="ewPager">
	<tr>
		<td nowrap>
<?php if (!isset($tb_court_details_view->Pager)) $tb_court_details_view->Pager = new cPrevNextPager($tb_court_details_view->StartRec, $tb_court_details_view->DisplayRecs, $tb_court_details_view->TotalRecs) ?>
<?php if ($tb_court_details_view->Pager->RecordCount > 0) { ?>
	<table border="0" cellspacing="0" cellpadding="0"><tr><td><span class="phpmaker"><?php echo $Language->Phrase("Page") ?>&nbsp;</span></td>
<!--first page button-->
	<?php if ($tb_court_details_view->Pager->FirstButton->Enabled) { ?>
	<td><a href="<?php echo $tb_court_details_view->PageUrl() ?>start=<?php echo $tb_court_details_view->Pager->FirstButton->Start ?>"><img src="phpimages/first.gif" alt="<?php echo $Language->Phrase("PagerFirst") ?>" width="16" height="16" border="0"></a></td>
	<?php } else { ?>
	<td><img src="phpimages/firstdisab.gif" alt="<?php echo $Language->Phrase("PagerFirst") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
<!--previous page button-->
	<?php if ($tb_court_details_view->Pager->PrevButton->Enabled) { ?>
	<td><a href="<?php echo $tb_court_details_view->PageUrl() ?>start=<?php echo $tb_court_details_view->Pager->PrevButton->Start ?>"><img src="phpimages/prev.gif" alt="<?php echo $Language->Phrase("PagerPrevious") ?>" width="16" height="16" border="0"></a></td>
	<?php } else { ?>
	<td><img src="phpimages/prevdisab.gif" alt="<?php echo $Language->Phrase("PagerPrevious") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
<!--current page number-->
	<td><input type="text" name="<?php echo EW_TABLE_PAGE_NO ?>" id="<?php echo EW_TABLE_PAGE_NO ?>" value="<?php echo $tb_court_details_view->Pager->CurrentPage ?>" size="4"></td>
<!--next page button-->
	<?php if ($tb_court_details_view->Pager->NextButton->Enabled) { ?>
	<td><a href="<?php echo $tb_court_details_view->PageUrl() ?>start=<?php echo $tb_court_details_view->Pager->NextButton->Start ?>"><img src="phpimages/next.gif" alt="<?php echo $Language->Phrase("PagerNext") ?>" width="16" height="16" border="0"></a></td>	
	<?php } else { ?>
	<td><img src="phpimages/nextdisab.gif" alt="<?php echo $Language->Phrase("PagerNext") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
<!--last page button-->
	<?php if ($tb_court_details_view->Pager->LastButton->Enabled) { ?>
	<td><a href="<?php echo $tb_court_details_view->PageUrl() ?>start=<?php echo $tb_court_details_view->Pager->LastButton->Start ?>"><img src="phpimages/last.gif" alt="<?php echo $Language->Phrase("PagerLast") ?>" width="16" height="16" border="0"></a></td>	
	<?php } else { ?>
	<td><img src="phpimages/lastdisab.gif" alt="<?php echo $Language->Phrase("PagerLast") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
	<td><span class="phpmaker">&nbsp;<?php echo $Language->Phrase("of") ?>&nbsp;<?php echo $tb_court_details_view->Pager->PageCount ?></span></td>
	</tr></table>
<?php } else { ?>
	<?php if ($tb_court_details_view->SearchWhere == "0=101") { ?>
	<span class="phpmaker"><?php echo $Language->Phrase("EnterSearchCriteria") ?></span>
	<?php } else { ?>
	<span class="phpmaker"><?php echo $Language->Phrase("NoRecord") ?></span>
	<?php } ?>
<?php } ?>
		</td>
	</tr>
</table>
</form>
<br>
<form name="ftb_court_detailsview" id="ftb_court_detailsview" class="ewForm" action="" method="post">
<input type="hidden" name="t" value="tb_court_details">
<table cellspacing="0" class="ewGrid"><tr><td class="ewGridContent">
<div class="ewGridMiddlePanel">
<table cellspacing="0" id="tbl_tb_court_detailsview" class="ewTable">
<?php if ($tb_court_details->court_id->Visible) { // court_id ?>
	<tr id="r_court_id"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_court_id"><?php echo $tb_court_details->court_id->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->court_id->CellAttributes() ?>><span id="el_tb_court_details_court_id">
<span<?php echo $tb_court_details->court_id->ViewAttributes() ?>>
<?php echo $tb_court_details->court_id->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_isdn1->Visible) { // ct_isdn1 ?>
	<tr id="r_ct_isdn1"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_isdn1"><?php echo $tb_court_details->ct_isdn1->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_isdn1->CellAttributes() ?>><span id="el_tb_court_details_ct_isdn1">
<span<?php echo $tb_court_details->ct_isdn1->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_isdn1->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_isdn2->Visible) { // ct_isdn2 ?>
	<tr id="r_ct_isdn2"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_isdn2"><?php echo $tb_court_details->ct_isdn2->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_isdn2->CellAttributes() ?>><span id="el_tb_court_details_ct_isdn2">
<span<?php echo $tb_court_details->ct_isdn2->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_isdn2->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_isdn3->Visible) { // ct_isdn3 ?>
	<tr id="r_ct_isdn3"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_isdn3"><?php echo $tb_court_details->ct_isdn3->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_isdn3->CellAttributes() ?>><span id="el_tb_court_details_ct_isdn3">
<span<?php echo $tb_court_details->ct_isdn3->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_isdn3->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_ip->Visible) { // ct_ip ?>
	<tr id="r_ct_ip"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_ip"><?php echo $tb_court_details->ct_ip->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_ip->CellAttributes() ?>><span id="el_tb_court_details_ct_ip">
<span<?php echo $tb_court_details->ct_ip->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_ip->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_just->Visible) { // ct_just ?>
	<tr id="r_ct_just"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_just"><?php echo $tb_court_details->ct_just->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_just->CellAttributes() ?>><span id="el_tb_court_details_ct_just">
<span<?php echo $tb_court_details->ct_just->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_just->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_just_senior->Visible) { // ct_just_senior ?>
	<tr id="r_ct_just_senior"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_just_senior"><?php echo $tb_court_details->ct_just_senior->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_just_senior->CellAttributes() ?>><span id="el_tb_court_details_ct_just_senior">
<span<?php echo $tb_court_details->ct_just_senior->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_just_senior->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_officer->Visible) { // ct_officer ?>
	<tr id="r_ct_officer"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_officer"><?php echo $tb_court_details->ct_officer->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_officer->CellAttributes() ?>><span id="el_tb_court_details_ct_officer">
<span<?php echo $tb_court_details->ct_officer->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_officer->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_officer_other->Visible) { // ct_officer_other ?>
	<tr id="r_ct_officer_other"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_officer_other"><?php echo $tb_court_details->ct_officer_other->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_officer_other->CellAttributes() ?>><span id="el_tb_court_details_ct_officer_other">
<span<?php echo $tb_court_details->ct_officer_other->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_officer_other->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_emp_driver->Visible) { // ct_emp_driver ?>
	<tr id="r_ct_emp_driver"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_emp_driver"><?php echo $tb_court_details->ct_emp_driver->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_emp_driver->CellAttributes() ?>><span id="el_tb_court_details_ct_emp_driver">
<span<?php echo $tb_court_details->ct_emp_driver->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_emp_driver->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_emp_ger->Visible) { // ct_emp_ger ?>
	<tr id="r_ct_emp_ger"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_emp_ger"><?php echo $tb_court_details->ct_emp_ger->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_emp_ger->CellAttributes() ?>><span id="el_tb_court_details_ct_emp_ger">
<span<?php echo $tb_court_details->ct_emp_ger->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_emp_ger->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_emp_interpreter->Visible) { // ct_emp_interpreter ?>
	<tr id="r_ct_emp_interpreter"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_emp_interpreter"><?php echo $tb_court_details->ct_emp_interpreter->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_emp_interpreter->CellAttributes() ?>><span id="el_tb_court_details_ct_emp_interpreter">
<span<?php echo $tb_court_details->ct_emp_interpreter->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_emp_interpreter->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_emp_place->Visible) { // ct_emp_place ?>
	<tr id="r_ct_emp_place"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_emp_place"><?php echo $tb_court_details->ct_emp_place->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_emp_place->CellAttributes() ?>><span id="el_tb_court_details_ct_emp_place">
<span<?php echo $tb_court_details->ct_emp_place->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_emp_place->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_emp_tele->Visible) { // ct_emp_tele ?>
	<tr id="r_ct_emp_tele"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_emp_tele"><?php echo $tb_court_details->ct_emp_tele->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_emp_tele->CellAttributes() ?>><span id="el_tb_court_details_ct_emp_tele">
<span<?php echo $tb_court_details->ct_emp_tele->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_emp_tele->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_emp_guard->Visible) { // ct_emp_guard ?>
	<tr id="r_ct_emp_guard"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_emp_guard"><?php echo $tb_court_details->ct_emp_guard->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_emp_guard->CellAttributes() ?>><span id="el_tb_court_details_ct_emp_guard">
<span<?php echo $tb_court_details->ct_emp_guard->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_emp_guard->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_tmp_librarian1->Visible) { // ct_tmp_librarian1 ?>
	<tr id="r_ct_tmp_librarian1"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_tmp_librarian1"><?php echo $tb_court_details->ct_tmp_librarian1->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_tmp_librarian1->CellAttributes() ?>><span id="el_tb_court_details_ct_tmp_librarian1">
<span<?php echo $tb_court_details->ct_tmp_librarian1->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_tmp_librarian1->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_tmp_librarian2->Visible) { // ct_tmp_librarian2 ?>
	<tr id="r_ct_tmp_librarian2"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_tmp_librarian2"><?php echo $tb_court_details->ct_tmp_librarian2->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_tmp_librarian2->CellAttributes() ?>><span id="el_tb_court_details_ct_tmp_librarian2">
<span<?php echo $tb_court_details->ct_tmp_librarian2->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_tmp_librarian2->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_tmp_place->Visible) { // ct_tmp_place ?>
	<tr id="r_ct_tmp_place"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_tmp_place"><?php echo $tb_court_details->ct_tmp_place->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_tmp_place->CellAttributes() ?>><span id="el_tb_court_details_ct_tmp_place">
<span<?php echo $tb_court_details->ct_tmp_place->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_tmp_place->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_tmp_citation->Visible) { // ct_tmp_citation ?>
	<tr id="r_ct_tmp_citation"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_tmp_citation"><?php echo $tb_court_details->ct_tmp_citation->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_tmp_citation->CellAttributes() ?>><span id="el_tb_court_details_ct_tmp_citation">
<span<?php echo $tb_court_details->ct_tmp_citation->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_tmp_citation->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_tmp_record->Visible) { // ct_tmp_record ?>
	<tr id="r_ct_tmp_record"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_tmp_record"><?php echo $tb_court_details->ct_tmp_record->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_tmp_record->CellAttributes() ?>><span id="el_tb_court_details_ct_tmp_record">
<span<?php echo $tb_court_details->ct_tmp_record->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_tmp_record->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_tmp_office->Visible) { // ct_tmp_office ?>
	<tr id="r_ct_tmp_office"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_tmp_office"><?php echo $tb_court_details->ct_tmp_office->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_tmp_office->CellAttributes() ?>><span id="el_tb_court_details_ct_tmp_office">
<span<?php echo $tb_court_details->ct_tmp_office->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_tmp_office->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_tmp_court1->Visible) { // ct_tmp_court1 ?>
	<tr id="r_ct_tmp_court1"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_tmp_court1"><?php echo $tb_court_details->ct_tmp_court1->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_tmp_court1->CellAttributes() ?>><span id="el_tb_court_details_ct_tmp_court1">
<span<?php echo $tb_court_details->ct_tmp_court1->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_tmp_court1->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_tmp_court2->Visible) { // ct_tmp_court2 ?>
	<tr id="r_ct_tmp_court2"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_tmp_court2"><?php echo $tb_court_details->ct_tmp_court2->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_tmp_court2->CellAttributes() ?>><span id="el_tb_court_details_ct_tmp_court2">
<span<?php echo $tb_court_details->ct_tmp_court2->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_tmp_court2->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_tmp_plan->Visible) { // ct_tmp_plan ?>
	<tr id="r_ct_tmp_plan"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_tmp_plan"><?php echo $tb_court_details->ct_tmp_plan->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_tmp_plan->CellAttributes() ?>><span id="el_tb_court_details_ct_tmp_plan">
<span<?php echo $tb_court_details->ct_tmp_plan->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_tmp_plan->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_tmp_hr->Visible) { // ct_tmp_hr ?>
	<tr id="r_ct_tmp_hr"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_tmp_hr"><?php echo $tb_court_details->ct_tmp_hr->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_tmp_hr->CellAttributes() ?>><span id="el_tb_court_details_ct_tmp_hr">
<span<?php echo $tb_court_details->ct_tmp_hr->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_tmp_hr->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_tmp_lawyer1->Visible) { // ct_tmp_lawyer1 ?>
	<tr id="r_ct_tmp_lawyer1"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_tmp_lawyer1"><?php echo $tb_court_details->ct_tmp_lawyer1->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_tmp_lawyer1->CellAttributes() ?>><span id="el_tb_court_details_ct_tmp_lawyer1">
<span<?php echo $tb_court_details->ct_tmp_lawyer1->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_tmp_lawyer1->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_tmp_lawyer2->Visible) { // ct_tmp_lawyer2 ?>
	<tr id="r_ct_tmp_lawyer2"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_tmp_lawyer2"><?php echo $tb_court_details->ct_tmp_lawyer2->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_tmp_lawyer2->CellAttributes() ?>><span id="el_tb_court_details_ct_tmp_lawyer2">
<span<?php echo $tb_court_details->ct_tmp_lawyer2->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_tmp_lawyer2->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_gov_computer->Visible) { // ct_gov_computer ?>
	<tr id="r_ct_gov_computer"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_gov_computer"><?php echo $tb_court_details->ct_gov_computer->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_gov_computer->CellAttributes() ?>><span id="el_tb_court_details_ct_gov_computer">
<span<?php echo $tb_court_details->ct_gov_computer->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_gov_computer->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_gov_place->Visible) { // ct_gov_place ?>
	<tr id="r_ct_gov_place"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_gov_place"><?php echo $tb_court_details->ct_gov_place->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_gov_place->CellAttributes() ?>><span id="el_tb_court_details_ct_gov_place">
<span<?php echo $tb_court_details->ct_gov_place->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_gov_place->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_gov_office->Visible) { // ct_gov_office ?>
	<tr id="r_ct_gov_office"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_gov_office"><?php echo $tb_court_details->ct_gov_office->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_gov_office->CellAttributes() ?>><span id="el_tb_court_details_ct_gov_office">
<span<?php echo $tb_court_details->ct_gov_office->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_gov_office->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_gov_court->Visible) { // ct_gov_court ?>
	<tr id="r_ct_gov_court"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_gov_court"><?php echo $tb_court_details->ct_gov_court->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_gov_court->CellAttributes() ?>><span id="el_tb_court_details_ct_gov_court">
<span<?php echo $tb_court_details->ct_gov_court->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_gov_court->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_gov_lawyer1->Visible) { // ct_gov_lawyer1 ?>
	<tr id="r_ct_gov_lawyer1"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_gov_lawyer1"><?php echo $tb_court_details->ct_gov_lawyer1->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_gov_lawyer1->CellAttributes() ?>><span id="el_tb_court_details_ct_gov_lawyer1">
<span<?php echo $tb_court_details->ct_gov_lawyer1->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_gov_lawyer1->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_gov_lawyer2->Visible) { // ct_gov_lawyer2 ?>
	<tr id="r_ct_gov_lawyer2"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_gov_lawyer2"><?php echo $tb_court_details->ct_gov_lawyer2->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_gov_lawyer2->CellAttributes() ?>><span id="el_tb_court_details_ct_gov_lawyer2">
<span<?php echo $tb_court_details->ct_gov_lawyer2->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_gov_lawyer2->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_room_child->Visible) { // ct_room_child ?>
	<tr id="r_ct_room_child"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_room_child"><?php echo $tb_court_details->ct_room_child->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_room_child->CellAttributes() ?>><span id="el_tb_court_details_ct_room_child">
<span<?php echo $tb_court_details->ct_room_child->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_room_child->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_room->Visible) { // ct_room ?>
	<tr id="r_ct_room"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_room"><?php echo $tb_court_details->ct_room->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_room->CellAttributes() ?>><span id="el_tb_court_details_ct_room">
<span<?php echo $tb_court_details->ct_room->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_room->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_rooming->Visible) { // ct_rooming ?>
	<tr id="r_ct_rooming"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_rooming"><?php echo $tb_court_details->ct_rooming->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_rooming->CellAttributes() ?>><span id="el_tb_court_details_ct_rooming">
<span<?php echo $tb_court_details->ct_rooming->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_rooming->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_comment->Visible) { // ct_comment ?>
	<tr id="r_ct_comment"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_comment"><?php echo $tb_court_details->ct_comment->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_comment->CellAttributes() ?>><span id="el_tb_court_details_ct_comment">
<span<?php echo $tb_court_details->ct_comment->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_comment->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_builing_update->Visible) { // ct_builing_update ?>
	<tr id="r_ct_builing_update"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_builing_update"><?php echo $tb_court_details->ct_builing_update->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_builing_update->CellAttributes() ?>><span id="el_tb_court_details_ct_builing_update">
<span<?php echo $tb_court_details->ct_builing_update->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_builing_update->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_builing_num->Visible) { // ct_builing_num ?>
	<tr id="r_ct_builing_num"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_builing_num"><?php echo $tb_court_details->ct_builing_num->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_builing_num->CellAttributes() ?>><span id="el_tb_court_details_ct_builing_num">
<span<?php echo $tb_court_details->ct_builing_num->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_builing_num->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_bu1_holdfile->Visible) { // ct_bu1_holdfile ?>
	<tr id="r_ct_bu1_holdfile"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_bu1_holdfile"><?php echo $tb_court_details->ct_bu1_holdfile->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_bu1_holdfile->CellAttributes() ?>><span id="el_tb_court_details_ct_bu1_holdfile">
<span<?php echo $tb_court_details->ct_bu1_holdfile->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_bu1_holdfile->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_bu1_file->Visible) { // ct_bu1_file ?>
	<tr id="r_ct_bu1_file"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_bu1_file"><?php echo $tb_court_details->ct_bu1_file->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_bu1_file->CellAttributes() ?>><span id="el_tb_court_details_ct_bu1_file">
<span<?php echo $tb_court_details->ct_bu1_file->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_bu1_file->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_bu2_holdfile->Visible) { // ct_bu2_holdfile ?>
	<tr id="r_ct_bu2_holdfile"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_bu2_holdfile"><?php echo $tb_court_details->ct_bu2_holdfile->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_bu2_holdfile->CellAttributes() ?>><span id="el_tb_court_details_ct_bu2_holdfile">
<span<?php echo $tb_court_details->ct_bu2_holdfile->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_bu2_holdfile->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_bu2_file->Visible) { // ct_bu2_file ?>
	<tr id="r_ct_bu2_file"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_bu2_file"><?php echo $tb_court_details->ct_bu2_file->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_bu2_file->CellAttributes() ?>><span id="el_tb_court_details_ct_bu2_file">
<span<?php echo $tb_court_details->ct_bu2_file->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_bu2_file->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_accommodation->Visible) { // ct_accommodation ?>
	<tr id="r_ct_accommodation"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_accommodation"><?php echo $tb_court_details->ct_accommodation->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_accommodation->CellAttributes() ?>><span id="el_tb_court_details_ct_accommodation">
<span<?php echo $tb_court_details->ct_accommodation->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_accommodation->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_nw1_holdfile->Visible) { // ct_nw1_holdfile ?>
	<tr id="r_ct_nw1_holdfile"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_nw1_holdfile"><?php echo $tb_court_details->ct_nw1_holdfile->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_nw1_holdfile->CellAttributes() ?>><span id="el_tb_court_details_ct_nw1_holdfile">
<span<?php echo $tb_court_details->ct_nw1_holdfile->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_nw1_holdfile->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_nw1_file->Visible) { // ct_nw1_file ?>
	<tr id="r_ct_nw1_file"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_nw1_file"><?php echo $tb_court_details->ct_nw1_file->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_nw1_file->CellAttributes() ?>><span id="el_tb_court_details_ct_nw1_file">
<span<?php echo $tb_court_details->ct_nw1_file->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_nw1_file->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_nw2_holdfile->Visible) { // ct_nw2_holdfile ?>
	<tr id="r_ct_nw2_holdfile"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_nw2_holdfile"><?php echo $tb_court_details->ct_nw2_holdfile->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_nw2_holdfile->CellAttributes() ?>><span id="el_tb_court_details_ct_nw2_holdfile">
<span<?php echo $tb_court_details->ct_nw2_holdfile->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_nw2_holdfile->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_nw2_file->Visible) { // ct_nw2_file ?>
	<tr id="r_ct_nw2_file"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_nw2_file"><?php echo $tb_court_details->ct_nw2_file->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_nw2_file->CellAttributes() ?>><span id="el_tb_court_details_ct_nw2_file">
<span<?php echo $tb_court_details->ct_nw2_file->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_nw2_file->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_vcs_plan_holdfile->Visible) { // ct_vcs_plan_holdfile ?>
	<tr id="r_ct_vcs_plan_holdfile"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_vcs_plan_holdfile"><?php echo $tb_court_details->ct_vcs_plan_holdfile->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_vcs_plan_holdfile->CellAttributes() ?>><span id="el_tb_court_details_ct_vcs_plan_holdfile">
<span<?php echo $tb_court_details->ct_vcs_plan_holdfile->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_vcs_plan_holdfile->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_vcs_plan_file->Visible) { // ct_vcs_plan_file ?>
	<tr id="r_ct_vcs_plan_file"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_vcs_plan_file"><?php echo $tb_court_details->ct_vcs_plan_file->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_vcs_plan_file->CellAttributes() ?>><span id="el_tb_court_details_ct_vcs_plan_file">
<span<?php echo $tb_court_details->ct_vcs_plan_file->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_vcs_plan_file->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
</table>
</div>
</td></tr></table>
</form>
<br>
<form name="ewpagerform" id="ewpagerform" class="ewForm" action="<?php echo ew_CurrentPage() ?>">
<table border="0" cellspacing="0" cellpadding="0" class="ewPager">
	<tr>
		<td nowrap>
<?php if (!isset($tb_court_details_view->Pager)) $tb_court_details_view->Pager = new cPrevNextPager($tb_court_details_view->StartRec, $tb_court_details_view->DisplayRecs, $tb_court_details_view->TotalRecs) ?>
<?php if ($tb_court_details_view->Pager->RecordCount > 0) { ?>
	<table border="0" cellspacing="0" cellpadding="0"><tr><td><span class="phpmaker"><?php echo $Language->Phrase("Page") ?>&nbsp;</span></td>
<!--first page button-->
	<?php if ($tb_court_details_view->Pager->FirstButton->Enabled) { ?>
	<td><a href="<?php echo $tb_court_details_view->PageUrl() ?>start=<?php echo $tb_court_details_view->Pager->FirstButton->Start ?>"><img src="phpimages/first.gif" alt="<?php echo $Language->Phrase("PagerFirst") ?>" width="16" height="16" border="0"></a></td>
	<?php } else { ?>
	<td><img src="phpimages/firstdisab.gif" alt="<?php echo $Language->Phrase("PagerFirst") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
<!--previous page button-->
	<?php if ($tb_court_details_view->Pager->PrevButton->Enabled) { ?>
	<td><a href="<?php echo $tb_court_details_view->PageUrl() ?>start=<?php echo $tb_court_details_view->Pager->PrevButton->Start ?>"><img src="phpimages/prev.gif" alt="<?php echo $Language->Phrase("PagerPrevious") ?>" width="16" height="16" border="0"></a></td>
	<?php } else { ?>
	<td><img src="phpimages/prevdisab.gif" alt="<?php echo $Language->Phrase("PagerPrevious") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
<!--current page number-->
	<td><input type="text" name="<?php echo EW_TABLE_PAGE_NO ?>" id="<?php echo EW_TABLE_PAGE_NO ?>" value="<?php echo $tb_court_details_view->Pager->CurrentPage ?>" size="4"></td>
<!--next page button-->
	<?php if ($tb_court_details_view->Pager->NextButton->Enabled) { ?>
	<td><a href="<?php echo $tb_court_details_view->PageUrl() ?>start=<?php echo $tb_court_details_view->Pager->NextButton->Start ?>"><img src="phpimages/next.gif" alt="<?php echo $Language->Phrase("PagerNext") ?>" width="16" height="16" border="0"></a></td>	
	<?php } else { ?>
	<td><img src="phpimages/nextdisab.gif" alt="<?php echo $Language->Phrase("PagerNext") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
<!--last page button-->
	<?php if ($tb_court_details_view->Pager->LastButton->Enabled) { ?>
	<td><a href="<?php echo $tb_court_details_view->PageUrl() ?>start=<?php echo $tb_court_details_view->Pager->LastButton->Start ?>"><img src="phpimages/last.gif" alt="<?php echo $Language->Phrase("PagerLast") ?>" width="16" height="16" border="0"></a></td>	
	<?php } else { ?>
	<td><img src="phpimages/lastdisab.gif" alt="<?php echo $Language->Phrase("PagerLast") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
	<td><span class="phpmaker">&nbsp;<?php echo $Language->Phrase("of") ?>&nbsp;<?php echo $tb_court_details_view->Pager->PageCount ?></span></td>
	</tr></table>
<?php } else { ?>
	<?php if ($tb_court_details_view->SearchWhere == "0=101") { ?>
	<span class="phpmaker"><?php echo $Language->Phrase("EnterSearchCriteria") ?></span>
	<?php } else { ?>
	<span class="phpmaker"><?php echo $Language->Phrase("NoRecord") ?></span>
	<?php } ?>
<?php } ?>
		</td>
	</tr>
</table>
</form>
<p>
<script type="text/javascript">
ftb_court_detailsview.Init();
</script>
<?php
$tb_court_details_view->ShowPageFooter();
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
?>
<script type="text/javascript">

// Write your table-specific startup script here
// document.write("page loaded");

</script>
<?php include_once "footer.php" ?>
<?php
$tb_court_details_view->Page_Terminate();
?>
