<?php
if (session_id() == "") session_start(); // Initialize Session data
ob_start(); // Turn on output buffering
?>
<?php include_once "ewcfg9.php" ?>
<?php include_once "ewmysql9.php" ?>
<?php include_once "phpfn9.php" ?>
<?php include_once "tb_nb_usagesinfo.php" ?>
<?php include_once "userfn9.php" ?>
<?php

//
// Page class
//

$tb_nb_usages_view = NULL; // Initialize page object first

class ctb_nb_usages_view extends ctb_nb_usages {

	// Page ID
	var $PageID = 'view';

	// Project ID
	var $ProjectID = "{6072F4AB-8E55-4BED-87E8-94ADB1680AEB}";

	// Table name
	var $TableName = 'tb_nb_usages';

	// Page object name
	var $PageObjName = 'tb_nb_usages_view';

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		if ($this->UseTokenInUrl) $PageUrl .= "t=" . $this->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Page URLs
	var $AddUrl;
	var $EditUrl;
	var $CopyUrl;
	var $DeleteUrl;
	var $ViewUrl;
	var $ListUrl;

	// Export URLs
	var $ExportPrintUrl;
	var $ExportHtmlUrl;
	var $ExportExcelUrl;
	var $ExportWordUrl;
	var $ExportXmlUrl;
	var $ExportCsvUrl;
	var $ExportPdfUrl;

	// Update URLs
	var $InlineAddUrl;
	var $InlineCopyUrl;
	var $InlineEditUrl;
	var $GridAddUrl;
	var $GridEditUrl;
	var $MultiDeleteUrl;
	var $MultiUpdateUrl;

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_MESSAGE], $v);
	}

	function getFailureMessage() {
		return @$_SESSION[EW_SESSION_FAILURE_MESSAGE];
	}

	function setFailureMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_FAILURE_MESSAGE], $v);
	}

	function getSuccessMessage() {
		return @$_SESSION[EW_SESSION_SUCCESS_MESSAGE];
	}

	function setSuccessMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_SUCCESS_MESSAGE], $v);
	}

	function getWarningMessage() {
		return @$_SESSION[EW_SESSION_WARNING_MESSAGE];
	}

	function setWarningMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_WARNING_MESSAGE], $v);
	}

	// Show message
	function ShowMessage() {
		$hidden = FALSE;
		$html = "";

		// Message
		$sMessage = $this->getMessage();
		$this->Message_Showing($sMessage, "");
		if ($sMessage <> "") { // Message in Session, display
			$html .= "<p class=\"ewMessage\">" . $sMessage . "</p>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}

		// Warning message
		$sWarningMessage = $this->getWarningMessage();
		$this->Message_Showing($sWarningMessage, "warning");
		if ($sWarningMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewWarningIcon\"></td><td class=\"ewWarningMessage\">" . $sWarningMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_WARNING_MESSAGE] = ""; // Clear message in Session
		}

		// Success message
		$sSuccessMessage = $this->getSuccessMessage();
		$this->Message_Showing($sSuccessMessage, "success");
		if ($sSuccessMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewSuccessIcon\"></td><td class=\"ewSuccessMessage\">" . $sSuccessMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = ""; // Clear message in Session
		}

		// Failure message
		$sErrorMessage = $this->getFailureMessage();
		$this->Message_Showing($sErrorMessage, "failure");
		if ($sErrorMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewErrorIcon\"></td><td class=\"ewErrorMessage\">" . $sErrorMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_FAILURE_MESSAGE] = ""; // Clear message in Session
		}		
		echo "<div class=\"ewMessageDialog\"" . (($hidden) ? " style=\"display: none;\"" : "") . ">" . $html . "</div>";
	}
	var $PageHeader;
	var $PageFooter;

	// Show Page Header
	function ShowPageHeader() {
		$sHeader = $this->PageHeader;
		$this->Page_DataRendering($sHeader);
		if ($sHeader <> "") { // Header exists, display
			echo "<p class=\"phpmaker\">" . $sHeader . "</p>";
		}
	}

	// Show Page Footer
	function ShowPageFooter() {
		$sFooter = $this->PageFooter;
		$this->Page_DataRendered($sFooter);
		if ($sFooter <> "") { // Fotoer exists, display
			echo "<p class=\"phpmaker\">" . $sFooter . "</p>";
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm;
		if ($this->UseTokenInUrl) {
			if ($objForm)
				return ($this->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($this->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}

	//
	// Page class constructor
	//
	function __construct() {
		global $conn, $Language;
		$GLOBALS["Page"] = &$this;

		// Language object
		if (!isset($Language)) $Language = new cLanguage();

		// Parent constuctor
		parent::__construct();

		// Table object (tb_nb_usages)
		if (!isset($GLOBALS["tb_nb_usages"])) {
			$GLOBALS["tb_nb_usages"] = &$this;
			$GLOBALS["Table"] = &$GLOBALS["tb_nb_usages"];
		}
		$KeyUrl = "";
		if (@$_GET["nb_id"] <> "") {
			$this->RecKey["nb_id"] = $_GET["nb_id"];
			$KeyUrl .= "&nb_id=" . urlencode($this->RecKey["nb_id"]);
		}
		if (@$_GET["per_id"] <> "") {
			$this->RecKey["per_id"] = $_GET["per_id"];
			$KeyUrl .= "&per_id=" . urlencode($this->RecKey["per_id"]);
		}
		$this->ExportPrintUrl = $this->PageUrl() . "export=print" . $KeyUrl;
		$this->ExportHtmlUrl = $this->PageUrl() . "export=html" . $KeyUrl;
		$this->ExportExcelUrl = $this->PageUrl() . "export=excel" . $KeyUrl;
		$this->ExportWordUrl = $this->PageUrl() . "export=word" . $KeyUrl;
		$this->ExportXmlUrl = $this->PageUrl() . "export=xml" . $KeyUrl;
		$this->ExportCsvUrl = $this->PageUrl() . "export=csv" . $KeyUrl;
		$this->ExportPdfUrl = $this->PageUrl() . "export=pdf" . $KeyUrl;

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'view', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'tb_nb_usages', TRUE);

		// Start timer
		if (!isset($GLOBALS["gTimer"])) $GLOBALS["gTimer"] = new cTimer();

		// Open connection
		if (!isset($conn)) $conn = ew_Connect();

		// Export options
		$this->ExportOptions = new cListOptions();
		$this->ExportOptions->Tag = "span";
		$this->ExportOptions->TagClassName = "ewExportOption";
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;
		$this->CurrentAction = (@$_GET["a"] <> "") ? $_GET["a"] : @$_POST["a_list"];

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $conn;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();
		$this->Page_Redirecting($url);

		 // Close connection
		$conn->Close();

		// Go to URL if specified
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			header("Location: " . $url);
		}
		exit();
	}
	var $ExportOptions; // Export options
	var $DisplayRecs = 1;
	var $StartRec;
	var $StopRec;
	var $TotalRecs = 0;
	var $RecRange = 10;
	var $Pager;
	var $RecCnt;
	var $RecKey = array();
	var $Recordset;

	//
	// Page main
	//
	function Page_Main() {
		global $Language;

		// Load current record
		$bLoadCurrentRecord = FALSE;
		$sReturnUrl = "";
		$bMatchRecord = FALSE;
		if ($this->IsPageRequest()) { // Validate request
			if (@$_GET["nb_id"] <> "") {
				$this->nb_id->setQueryStringValue($_GET["nb_id"]);
				$this->RecKey["nb_id"] = $this->nb_id->QueryStringValue;
			} else {
				$bLoadCurrentRecord = TRUE;
			}
			if (@$_GET["per_id"] <> "") {
				$this->per_id->setQueryStringValue($_GET["per_id"]);
				$this->RecKey["per_id"] = $this->per_id->QueryStringValue;
			} else {
				$bLoadCurrentRecord = TRUE;
			}

			// Get action
			$this->CurrentAction = "I"; // Display form
			switch ($this->CurrentAction) {
				case "I": // Get a record to display
					$this->StartRec = 1; // Initialize start position
					if ($this->Recordset = $this->LoadRecordset()) // Load records
						$this->TotalRecs = $this->Recordset->RecordCount(); // Get record count
					if ($this->TotalRecs <= 0) { // No record found
						if ($this->getSuccessMessage() == "" && $this->getFailureMessage() == "")
							$this->setFailureMessage($Language->Phrase("NoRecord")); // Set no record message
						$this->Page_Terminate("tb_nb_usageslist.php"); // Return to list page
					} elseif ($bLoadCurrentRecord) { // Load current record position
						$this->SetUpStartRec(); // Set up start record position

						// Point to current record
						if (intval($this->StartRec) <= intval($this->TotalRecs)) {
							$bMatchRecord = TRUE;
							$this->Recordset->Move($this->StartRec-1);
						}
					} else { // Match key values
						while (!$this->Recordset->EOF) {
							if (strval($this->nb_id->CurrentValue) == strval($this->Recordset->fields('nb_id')) && strval($this->per_id->CurrentValue) == strval($this->Recordset->fields('per_id'))) {
								$this->setStartRecordNumber($this->StartRec); // Save record position
								$bMatchRecord = TRUE;
								break;
							} else {
								$this->StartRec++;
								$this->Recordset->MoveNext();
							}
						}
					}
					if (!$bMatchRecord) {
						if ($this->getSuccessMessage() == "" && $this->getFailureMessage() == "")
							$this->setFailureMessage($Language->Phrase("NoRecord")); // Set no record message
						$sReturnUrl = "tb_nb_usageslist.php"; // No matching record, return to list
					} else {
						$this->LoadRowValues($this->Recordset); // Load row values
					}
			}
		} else {
			$sReturnUrl = "tb_nb_usageslist.php"; // Not page request, return to list
		}
		if ($sReturnUrl <> "")
			$this->Page_Terminate($sReturnUrl);

		// Render row
		$this->RowType = EW_ROWTYPE_VIEW;
		$this->ResetAttrs();
		$this->RenderRow();
	}

	// Set up starting record parameters
	function SetUpStartRec() {
		if ($this->DisplayRecs == 0)
			return;
		if ($this->IsPageRequest()) { // Validate request
			if (@$_GET[EW_TABLE_START_REC] <> "") { // Check for "start" parameter
				$this->StartRec = $_GET[EW_TABLE_START_REC];
				$this->setStartRecordNumber($this->StartRec);
			} elseif (@$_GET[EW_TABLE_PAGE_NO] <> "") {
				$PageNo = $_GET[EW_TABLE_PAGE_NO];
				if (is_numeric($PageNo)) {
					$this->StartRec = ($PageNo-1)*$this->DisplayRecs+1;
					if ($this->StartRec <= 0) {
						$this->StartRec = 1;
					} elseif ($this->StartRec >= intval(($this->TotalRecs-1)/$this->DisplayRecs)*$this->DisplayRecs+1) {
						$this->StartRec = intval(($this->TotalRecs-1)/$this->DisplayRecs)*$this->DisplayRecs+1;
					}
					$this->setStartRecordNumber($this->StartRec);
				}
			}
		}
		$this->StartRec = $this->getStartRecordNumber();

		// Check if correct start record counter
		if (!is_numeric($this->StartRec) || $this->StartRec == "") { // Avoid invalid start record counter
			$this->StartRec = 1; // Reset start record counter
			$this->setStartRecordNumber($this->StartRec);
		} elseif (intval($this->StartRec) > intval($this->TotalRecs)) { // Avoid starting record > total records
			$this->StartRec = intval(($this->TotalRecs-1)/$this->DisplayRecs)*$this->DisplayRecs+1; // Point to last page first record
			$this->setStartRecordNumber($this->StartRec);
		} elseif (($this->StartRec-1) % $this->DisplayRecs <> 0) {
			$this->StartRec = intval(($this->StartRec-1)/$this->DisplayRecs)*$this->DisplayRecs+1; // Point to page boundary
			$this->setStartRecordNumber($this->StartRec);
		}
	}

	// Load recordset
	function LoadRecordset($offset = -1, $rowcnt = -1) {
		global $conn;

		// Call Recordset Selecting event
		$this->Recordset_Selecting($this->CurrentFilter);

		// Load List page SQL
		$sSql = $this->SelectSQL();
		if ($offset > -1 && $rowcnt > -1)
			$sSql .= " LIMIT $rowcnt OFFSET $offset";

		// Load recordset
		$rs = ew_LoadRecordset($sSql);

		// Call Recordset Selected event
		$this->Recordset_Selected($rs);
		return $rs;
	}

	// Load row based on key values
	function LoadRow() {
		global $conn, $Security, $Language;
		$sFilter = $this->KeyFilter();

		// Call Row Selecting event
		$this->Row_Selecting($sFilter);

		// Load SQL based on filter
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		global $conn;
		if (!$rs || $rs->EOF) return;

		// Call Row Selected event
		$row = &$rs->fields;
		$this->Row_Selected($row);
		$this->nb_id->setDbValue($rs->fields('nb_id'));
		$this->per_id->setDbValue($rs->fields('per_id'));
		$this->court_id->setDbValue($rs->fields('court_id'));
		$this->nbu_recieve->setDbValue($rs->fields('nbu_recieve'));
		$this->nbu_return->setDbValue($rs->fields('nbu_return'));
		$this->nbu_status->setDbValue($rs->fields('nbu_status'));
		$this->nbu_detail->setDbValue($rs->fields('nbu_detail'));
	}

	// Render row values based on field settings
	function RenderRow() {
		global $conn, $Security, $Language;
		global $gsLanguage;

		// Initialize URLs
		$this->AddUrl = $this->GetAddUrl();
		$this->EditUrl = $this->GetEditUrl();
		$this->CopyUrl = $this->GetCopyUrl();
		$this->DeleteUrl = $this->GetDeleteUrl();
		$this->ListUrl = $this->GetListUrl();

		// Call Row_Rendering event
		$this->Row_Rendering();

		// Common render codes for all row types
		// nb_id
		// per_id
		// court_id
		// nbu_recieve
		// nbu_return
		// nbu_status
		// nbu_detail

		if ($this->RowType == EW_ROWTYPE_VIEW) { // View row

			// nb_id
			$this->nb_id->ViewValue = $this->nb_id->CurrentValue;
			$this->nb_id->ViewCustomAttributes = "";

			// per_id
			if (strval($this->per_id->CurrentValue) <> "") {
				$sFilterWrk = "`per_id`" . ew_SearchString("=", $this->per_id->CurrentValue, EW_DATATYPE_STRING);
			$sSqlWrk = "SELECT `per_id`, `per_fname` AS `DispFld`, `per_lname` AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_nb_people`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				ew_AddFilter($sWhereWrk, $sFilterWrk);
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$this->per_id->ViewValue = $rswrk->fields('DispFld');
					$this->per_id->ViewValue .= ew_ValueSeparator(1,$tb_nb_usages->per_id) . $rswrk->fields('Disp2Fld');
					$rswrk->Close();
				} else {
					$this->per_id->ViewValue = $this->per_id->CurrentValue;
				}
			} else {
				$this->per_id->ViewValue = NULL;
			}
			$this->per_id->ViewCustomAttributes = "";

			// court_id
			$this->court_id->ViewValue = $this->court_id->CurrentValue;
			$this->court_id->ViewCustomAttributes = "";

			// nbu_recieve
			$this->nbu_recieve->ViewValue = $this->nbu_recieve->CurrentValue;
			$this->nbu_recieve->ViewValue = ew_FormatDateTime($this->nbu_recieve->ViewValue, 5);
			$this->nbu_recieve->ViewCustomAttributes = "";

			// nbu_return
			$this->nbu_return->ViewValue = $this->nbu_return->CurrentValue;
			$this->nbu_return->ViewValue = ew_FormatDateTime($this->nbu_return->ViewValue, 5);
			$this->nbu_return->ViewCustomAttributes = "";

			// nbu_status
			if (strval($this->nbu_status->CurrentValue) <> "") {
				switch ($this->nbu_status->CurrentValue) {
					case $this->nbu_status->FldTagValue(1):
						$this->nbu_status->ViewValue = $this->nbu_status->FldTagCaption(1) <> "" ? $this->nbu_status->FldTagCaption(1) : $this->nbu_status->CurrentValue;
						break;
					case $this->nbu_status->FldTagValue(2):
						$this->nbu_status->ViewValue = $this->nbu_status->FldTagCaption(2) <> "" ? $this->nbu_status->FldTagCaption(2) : $this->nbu_status->CurrentValue;
						break;
					case $this->nbu_status->FldTagValue(3):
						$this->nbu_status->ViewValue = $this->nbu_status->FldTagCaption(3) <> "" ? $this->nbu_status->FldTagCaption(3) : $this->nbu_status->CurrentValue;
						break;
					case $this->nbu_status->FldTagValue(4):
						$this->nbu_status->ViewValue = $this->nbu_status->FldTagCaption(4) <> "" ? $this->nbu_status->FldTagCaption(4) : $this->nbu_status->CurrentValue;
						break;
					case $this->nbu_status->FldTagValue(5):
						$this->nbu_status->ViewValue = $this->nbu_status->FldTagCaption(5) <> "" ? $this->nbu_status->FldTagCaption(5) : $this->nbu_status->CurrentValue;
						break;
					case $this->nbu_status->FldTagValue(6):
						$this->nbu_status->ViewValue = $this->nbu_status->FldTagCaption(6) <> "" ? $this->nbu_status->FldTagCaption(6) : $this->nbu_status->CurrentValue;
						break;
					default:
						$this->nbu_status->ViewValue = $this->nbu_status->CurrentValue;
				}
			} else {
				$this->nbu_status->ViewValue = NULL;
			}
			$this->nbu_status->ViewCustomAttributes = "";

			// nbu_detail
			$this->nbu_detail->ViewValue = $this->nbu_detail->CurrentValue;
			$this->nbu_detail->ViewCustomAttributes = "";

			// nb_id
			$this->nb_id->LinkCustomAttributes = "";
			$this->nb_id->HrefValue = "";
			$this->nb_id->TooltipValue = "";

			// per_id
			$this->per_id->LinkCustomAttributes = "";
			$this->per_id->HrefValue = "";
			$this->per_id->TooltipValue = "";

			// court_id
			$this->court_id->LinkCustomAttributes = "";
			$this->court_id->HrefValue = "";
			$this->court_id->TooltipValue = "";

			// nbu_recieve
			$this->nbu_recieve->LinkCustomAttributes = "";
			$this->nbu_recieve->HrefValue = "";
			$this->nbu_recieve->TooltipValue = "";

			// nbu_return
			$this->nbu_return->LinkCustomAttributes = "";
			$this->nbu_return->HrefValue = "";
			$this->nbu_return->TooltipValue = "";

			// nbu_status
			$this->nbu_status->LinkCustomAttributes = "";
			$this->nbu_status->HrefValue = "";
			$this->nbu_status->TooltipValue = "";

			// nbu_detail
			$this->nbu_detail->LinkCustomAttributes = "";
			$this->nbu_detail->HrefValue = "";
			$this->nbu_detail->TooltipValue = "";
		}

		// Call Row Rendered event
		if ($this->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$this->Row_Rendered();
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	// $type = ''|'success'|'failure'|'warning'
	function Message_Showing(&$msg, $type) {
		if ($type == 'success') {

			//$msg = "your success message";
		} elseif ($type == 'failure') {

			//$msg = "your failure message";
		} elseif ($type == 'warning') {

			//$msg = "your warning message";
		} else {

			//$msg = "your message";
		}
	}

	// Page Data Rendering event
	function Page_DataRendering(&$header) {

		// Example:
		//$header = "your header";

	}

	// Page Data Rendered event
	function Page_DataRendered(&$footer) {

		// Example:
		//$footer = "your footer";

	}
}
?>
<?php ew_Header(FALSE) ?>
<?php

// Create page object
if (!isset($tb_nb_usages_view)) $tb_nb_usages_view = new ctb_nb_usages_view();

// Page init
$tb_nb_usages_view->Page_Init();

// Page main
$tb_nb_usages_view->Page_Main();
?>
<?php include_once "header.php" ?>
<script type="text/javascript">

// Page object
var tb_nb_usages_view = new ew_Page("tb_nb_usages_view");
tb_nb_usages_view.PageID = "view"; // Page ID
var EW_PAGE_ID = tb_nb_usages_view.PageID; // For backward compatibility

// Form object
var ftb_nb_usagesview = new ew_Form("ftb_nb_usagesview");

// Form_CustomValidate event
ftb_nb_usagesview.Form_CustomValidate =  
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }

// Use JavaScript validation or not
<?php if (EW_CLIENT_VALIDATE) { ?>
ftb_nb_usagesview.ValidateRequired = true;
<?php } else { ?>
ftb_nb_usagesview.ValidateRequired = false; 
<?php } ?>

// Dynamic selection lists
ftb_nb_usagesview.Lists["x_per_id"] = {"LinkField":"x_per_id","Ajax":null,"AutoFill":false,"DisplayFields":["x_per_fname","x_per_lname","",""],"ParentFields":[],"FilterFields":[],"Options":[]};

// Form object for search
</script>
<script type="text/javascript">

// Write your client script here, no need to add script tags.
</script>
<p><span class="ewTitle ewTableTitle"><?php echo $Language->Phrase("View") ?>&nbsp;<?php echo $Language->Phrase("TblTypeTABLE") ?><?php echo $tb_nb_usages->TableCaption() ?>&nbsp;&nbsp;</span><?php $tb_nb_usages_view->ExportOptions->Render("body"); ?>
</p>
<p class="phpmaker">
<a href="<?php echo $tb_nb_usages_view->ListUrl ?>"><?php echo $Language->Phrase("BackToList") ?></a>&nbsp;
<?php if ($tb_nb_usages_view->AddUrl <> "") { ?>
<a href="<?php echo $tb_nb_usages_view->AddUrl ?>"><?php echo $Language->Phrase("ViewPageAddLink") ?></a>&nbsp;
<?php } ?>
<?php if ($tb_nb_usages_view->EditUrl <> "") { ?>
<a href="<?php echo $tb_nb_usages_view->EditUrl ?>"><?php echo $Language->Phrase("ViewPageEditLink") ?></a>&nbsp;
<?php } ?>
<?php if ($tb_nb_usages_view->DeleteUrl <> "") { ?>
<a href="<?php echo $tb_nb_usages_view->DeleteUrl ?>"><?php echo $Language->Phrase("ViewPageDeleteLink") ?></a>&nbsp;
<?php } ?>
</p>
<?php $tb_nb_usages_view->ShowPageHeader(); ?>
<?php
$tb_nb_usages_view->ShowMessage();
?>
<form name="ewpagerform" id="ewpagerform" class="ewForm" action="<?php echo ew_CurrentPage() ?>">
<table border="0" cellspacing="0" cellpadding="0" class="ewPager">
	<tr>
		<td nowrap>
<?php if (!isset($tb_nb_usages_view->Pager)) $tb_nb_usages_view->Pager = new cPrevNextPager($tb_nb_usages_view->StartRec, $tb_nb_usages_view->DisplayRecs, $tb_nb_usages_view->TotalRecs) ?>
<?php if ($tb_nb_usages_view->Pager->RecordCount > 0) { ?>
	<table border="0" cellspacing="0" cellpadding="0"><tr><td><span class="phpmaker"><?php echo $Language->Phrase("Page") ?>&nbsp;</span></td>
<!--first page button-->
	<?php if ($tb_nb_usages_view->Pager->FirstButton->Enabled) { ?>
	<td><a href="<?php echo $tb_nb_usages_view->PageUrl() ?>start=<?php echo $tb_nb_usages_view->Pager->FirstButton->Start ?>"><img src="phpimages/first.gif" alt="<?php echo $Language->Phrase("PagerFirst") ?>" width="16" height="16" border="0"></a></td>
	<?php } else { ?>
	<td><img src="phpimages/firstdisab.gif" alt="<?php echo $Language->Phrase("PagerFirst") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
<!--previous page button-->
	<?php if ($tb_nb_usages_view->Pager->PrevButton->Enabled) { ?>
	<td><a href="<?php echo $tb_nb_usages_view->PageUrl() ?>start=<?php echo $tb_nb_usages_view->Pager->PrevButton->Start ?>"><img src="phpimages/prev.gif" alt="<?php echo $Language->Phrase("PagerPrevious") ?>" width="16" height="16" border="0"></a></td>
	<?php } else { ?>
	<td><img src="phpimages/prevdisab.gif" alt="<?php echo $Language->Phrase("PagerPrevious") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
<!--current page number-->
	<td><input type="text" name="<?php echo EW_TABLE_PAGE_NO ?>" id="<?php echo EW_TABLE_PAGE_NO ?>" value="<?php echo $tb_nb_usages_view->Pager->CurrentPage ?>" size="4"></td>
<!--next page button-->
	<?php if ($tb_nb_usages_view->Pager->NextButton->Enabled) { ?>
	<td><a href="<?php echo $tb_nb_usages_view->PageUrl() ?>start=<?php echo $tb_nb_usages_view->Pager->NextButton->Start ?>"><img src="phpimages/next.gif" alt="<?php echo $Language->Phrase("PagerNext") ?>" width="16" height="16" border="0"></a></td>	
	<?php } else { ?>
	<td><img src="phpimages/nextdisab.gif" alt="<?php echo $Language->Phrase("PagerNext") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
<!--last page button-->
	<?php if ($tb_nb_usages_view->Pager->LastButton->Enabled) { ?>
	<td><a href="<?php echo $tb_nb_usages_view->PageUrl() ?>start=<?php echo $tb_nb_usages_view->Pager->LastButton->Start ?>"><img src="phpimages/last.gif" alt="<?php echo $Language->Phrase("PagerLast") ?>" width="16" height="16" border="0"></a></td>	
	<?php } else { ?>
	<td><img src="phpimages/lastdisab.gif" alt="<?php echo $Language->Phrase("PagerLast") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
	<td><span class="phpmaker">&nbsp;<?php echo $Language->Phrase("of") ?>&nbsp;<?php echo $tb_nb_usages_view->Pager->PageCount ?></span></td>
	</tr></table>
<?php } else { ?>
	<?php if ($tb_nb_usages_view->SearchWhere == "0=101") { ?>
	<span class="phpmaker"><?php echo $Language->Phrase("EnterSearchCriteria") ?></span>
	<?php } else { ?>
	<span class="phpmaker"><?php echo $Language->Phrase("NoRecord") ?></span>
	<?php } ?>
<?php } ?>
		</td>
	</tr>
</table>
</form>
<br>
<form name="ftb_nb_usagesview" id="ftb_nb_usagesview" class="ewForm" action="" method="post">
<input type="hidden" name="t" value="tb_nb_usages">
<table cellspacing="0" class="ewGrid"><tr><td class="ewGridContent">
<div class="ewGridMiddlePanel">
<table cellspacing="0" id="tbl_tb_nb_usagesview" class="ewTable">
<?php if ($tb_nb_usages->nb_id->Visible) { // nb_id ?>
	<tr id="r_nb_id"<?php echo $tb_nb_usages->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_nb_usages_nb_id"><?php echo $tb_nb_usages->nb_id->FldCaption() ?></span></td>
		<td<?php echo $tb_nb_usages->nb_id->CellAttributes() ?>><span id="el_tb_nb_usages_nb_id">
<span<?php echo $tb_nb_usages->nb_id->ViewAttributes() ?>>
<?php echo $tb_nb_usages->nb_id->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_nb_usages->per_id->Visible) { // per_id ?>
	<tr id="r_per_id"<?php echo $tb_nb_usages->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_nb_usages_per_id"><?php echo $tb_nb_usages->per_id->FldCaption() ?></span></td>
		<td<?php echo $tb_nb_usages->per_id->CellAttributes() ?>><span id="el_tb_nb_usages_per_id">
<span<?php echo $tb_nb_usages->per_id->ViewAttributes() ?>>
<?php echo $tb_nb_usages->per_id->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_nb_usages->court_id->Visible) { // court_id ?>
	<tr id="r_court_id"<?php echo $tb_nb_usages->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_nb_usages_court_id"><?php echo $tb_nb_usages->court_id->FldCaption() ?></span></td>
		<td<?php echo $tb_nb_usages->court_id->CellAttributes() ?>><span id="el_tb_nb_usages_court_id">
<span<?php echo $tb_nb_usages->court_id->ViewAttributes() ?>>
<?php echo $tb_nb_usages->court_id->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_nb_usages->nbu_recieve->Visible) { // nbu_recieve ?>
	<tr id="r_nbu_recieve"<?php echo $tb_nb_usages->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_nb_usages_nbu_recieve"><?php echo $tb_nb_usages->nbu_recieve->FldCaption() ?></span></td>
		<td<?php echo $tb_nb_usages->nbu_recieve->CellAttributes() ?>><span id="el_tb_nb_usages_nbu_recieve">
<span<?php echo $tb_nb_usages->nbu_recieve->ViewAttributes() ?>>
<?php echo $tb_nb_usages->nbu_recieve->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_nb_usages->nbu_return->Visible) { // nbu_return ?>
	<tr id="r_nbu_return"<?php echo $tb_nb_usages->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_nb_usages_nbu_return"><?php echo $tb_nb_usages->nbu_return->FldCaption() ?></span></td>
		<td<?php echo $tb_nb_usages->nbu_return->CellAttributes() ?>><span id="el_tb_nb_usages_nbu_return">
<span<?php echo $tb_nb_usages->nbu_return->ViewAttributes() ?>>
<?php echo $tb_nb_usages->nbu_return->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_nb_usages->nbu_status->Visible) { // nbu_status ?>
	<tr id="r_nbu_status"<?php echo $tb_nb_usages->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_nb_usages_nbu_status"><?php echo $tb_nb_usages->nbu_status->FldCaption() ?></span></td>
		<td<?php echo $tb_nb_usages->nbu_status->CellAttributes() ?>><span id="el_tb_nb_usages_nbu_status">
<span<?php echo $tb_nb_usages->nbu_status->ViewAttributes() ?>>
<?php echo $tb_nb_usages->nbu_status->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_nb_usages->nbu_detail->Visible) { // nbu_detail ?>
	<tr id="r_nbu_detail"<?php echo $tb_nb_usages->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_nb_usages_nbu_detail"><?php echo $tb_nb_usages->nbu_detail->FldCaption() ?></span></td>
		<td<?php echo $tb_nb_usages->nbu_detail->CellAttributes() ?>><span id="el_tb_nb_usages_nbu_detail">
<span<?php echo $tb_nb_usages->nbu_detail->ViewAttributes() ?>>
<?php echo $tb_nb_usages->nbu_detail->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
</table>
</div>
</td></tr></table>
</form>
<br>
<form name="ewpagerform" id="ewpagerform" class="ewForm" action="<?php echo ew_CurrentPage() ?>">
<table border="0" cellspacing="0" cellpadding="0" class="ewPager">
	<tr>
		<td nowrap>
<?php if (!isset($tb_nb_usages_view->Pager)) $tb_nb_usages_view->Pager = new cPrevNextPager($tb_nb_usages_view->StartRec, $tb_nb_usages_view->DisplayRecs, $tb_nb_usages_view->TotalRecs) ?>
<?php if ($tb_nb_usages_view->Pager->RecordCount > 0) { ?>
	<table border="0" cellspacing="0" cellpadding="0"><tr><td><span class="phpmaker"><?php echo $Language->Phrase("Page") ?>&nbsp;</span></td>
<!--first page button-->
	<?php if ($tb_nb_usages_view->Pager->FirstButton->Enabled) { ?>
	<td><a href="<?php echo $tb_nb_usages_view->PageUrl() ?>start=<?php echo $tb_nb_usages_view->Pager->FirstButton->Start ?>"><img src="phpimages/first.gif" alt="<?php echo $Language->Phrase("PagerFirst") ?>" width="16" height="16" border="0"></a></td>
	<?php } else { ?>
	<td><img src="phpimages/firstdisab.gif" alt="<?php echo $Language->Phrase("PagerFirst") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
<!--previous page button-->
	<?php if ($tb_nb_usages_view->Pager->PrevButton->Enabled) { ?>
	<td><a href="<?php echo $tb_nb_usages_view->PageUrl() ?>start=<?php echo $tb_nb_usages_view->Pager->PrevButton->Start ?>"><img src="phpimages/prev.gif" alt="<?php echo $Language->Phrase("PagerPrevious") ?>" width="16" height="16" border="0"></a></td>
	<?php } else { ?>
	<td><img src="phpimages/prevdisab.gif" alt="<?php echo $Language->Phrase("PagerPrevious") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
<!--current page number-->
	<td><input type="text" name="<?php echo EW_TABLE_PAGE_NO ?>" id="<?php echo EW_TABLE_PAGE_NO ?>" value="<?php echo $tb_nb_usages_view->Pager->CurrentPage ?>" size="4"></td>
<!--next page button-->
	<?php if ($tb_nb_usages_view->Pager->NextButton->Enabled) { ?>
	<td><a href="<?php echo $tb_nb_usages_view->PageUrl() ?>start=<?php echo $tb_nb_usages_view->Pager->NextButton->Start ?>"><img src="phpimages/next.gif" alt="<?php echo $Language->Phrase("PagerNext") ?>" width="16" height="16" border="0"></a></td>	
	<?php } else { ?>
	<td><img src="phpimages/nextdisab.gif" alt="<?php echo $Language->Phrase("PagerNext") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
<!--last page button-->
	<?php if ($tb_nb_usages_view->Pager->LastButton->Enabled) { ?>
	<td><a href="<?php echo $tb_nb_usages_view->PageUrl() ?>start=<?php echo $tb_nb_usages_view->Pager->LastButton->Start ?>"><img src="phpimages/last.gif" alt="<?php echo $Language->Phrase("PagerLast") ?>" width="16" height="16" border="0"></a></td>	
	<?php } else { ?>
	<td><img src="phpimages/lastdisab.gif" alt="<?php echo $Language->Phrase("PagerLast") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
	<td><span class="phpmaker">&nbsp;<?php echo $Language->Phrase("of") ?>&nbsp;<?php echo $tb_nb_usages_view->Pager->PageCount ?></span></td>
	</tr></table>
<?php } else { ?>
	<?php if ($tb_nb_usages_view->SearchWhere == "0=101") { ?>
	<span class="phpmaker"><?php echo $Language->Phrase("EnterSearchCriteria") ?></span>
	<?php } else { ?>
	<span class="phpmaker"><?php echo $Language->Phrase("NoRecord") ?></span>
	<?php } ?>
<?php } ?>
		</td>
	</tr>
</table>
</form>
<p>
<script type="text/javascript">
ftb_nb_usagesview.Init();
</script>
<?php
$tb_nb_usages_view->ShowPageFooter();
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
?>
<script type="text/javascript">

// Write your table-specific startup script here
// document.write("page loaded");

</script>
<?php include_once "footer.php" ?>
<?php
$tb_nb_usages_view->Page_Terminate();
?>
