<?php

// Global variable for table object
$tb_networks = NULL;

//
// Table class for tb_networks
//
class ctb_networks extends cTable {
	var $nw_id;
	var $court_id;
	var $nwt_id;
	var $nw_sn;
	var $nw_number;
	var $nw_brand;
	var $nw_model;
	var $nw_desc;
	var $nw_date_receive;
	var $plt_id;
	var $nw_year;
	var $nw_date_recieve;
	var $nw_cont_date_start;
	var $nw_warranty;
	var $cont_id;
	var $nw_price;
	var $nw_origin;
	var $nw_present;
	var $nw_comment;

	//
	// Table class constructor
	//
	function __construct() {
		global $Language;

		// Language object
		if (!isset($Language)) $Language = new cLanguage();
		$this->TableVar = 'tb_networks';
		$this->TableName = 'tb_networks';
		$this->TableType = 'TABLE';
		$this->ExportAll = TRUE;
		$this->ExportPageBreakCount = 0; // Page break per every n record (PDF only)
		$this->ExportPageOrientation = "portrait"; // Page orientation (PDF only)
		$this->ExportPageSize = "a4"; // Page size (PDF only)
		$this->DetailAdd = FALSE; // Allow detail add
		$this->DetailEdit = FALSE; // Allow detail edit
		$this->GridAddRowCount = 5;
		$this->AllowAddDeleteRow = ew_AllowAddDeleteRow(); // Allow add/delete row

		// nw_id
		$this->nw_id = new cField('tb_networks', 'tb_networks', 'x_nw_id', 'nw_id', '`nw_id`', '`nw_id`', 200, -1, FALSE, '`nw_id`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['nw_id'] = &$this->nw_id;

		// court_id
		$this->court_id = new cField('tb_networks', 'tb_networks', 'x_court_id', 'court_id', '`court_id`', '`court_id`', 200, -1, FALSE, '`court_id`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['court_id'] = &$this->court_id;

		// nwt_id
		$this->nwt_id = new cField('tb_networks', 'tb_networks', 'x_nwt_id', 'nwt_id', '`nwt_id`', '`nwt_id`', 200, -1, FALSE, '`nwt_id`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['nwt_id'] = &$this->nwt_id;

		// nw_sn
		$this->nw_sn = new cField('tb_networks', 'tb_networks', 'x_nw_sn', 'nw_sn', '`nw_sn`', '`nw_sn`', 200, -1, FALSE, '`nw_sn`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['nw_sn'] = &$this->nw_sn;

		// nw_number
		$this->nw_number = new cField('tb_networks', 'tb_networks', 'x_nw_number', 'nw_number', '`nw_number`', '`nw_number`', 200, -1, FALSE, '`nw_number`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['nw_number'] = &$this->nw_number;

		// nw_brand
		$this->nw_brand = new cField('tb_networks', 'tb_networks', 'x_nw_brand', 'nw_brand', '`nw_brand`', '`nw_brand`', 200, -1, FALSE, '`nw_brand`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['nw_brand'] = &$this->nw_brand;

		// nw_model
		$this->nw_model = new cField('tb_networks', 'tb_networks', 'x_nw_model', 'nw_model', '`nw_model`', '`nw_model`', 200, -1, FALSE, '`nw_model`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['nw_model'] = &$this->nw_model;

		// nw_desc
		$this->nw_desc = new cField('tb_networks', 'tb_networks', 'x_nw_desc', 'nw_desc', '`nw_desc`', '`nw_desc`', 200, -1, FALSE, '`nw_desc`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['nw_desc'] = &$this->nw_desc;

		// nw_date_receive
		$this->nw_date_receive = new cField('tb_networks', 'tb_networks', 'x_nw_date_receive', 'nw_date_receive', '`nw_date_receive`', 'DATE_FORMAT(`nw_date_receive`, \'%Y/%m/%d %H:%i:%s\')', 133, 5, FALSE, '`nw_date_receive`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->nw_date_receive->FldDefaultErrMsg = str_replace("%s", "/", $Language->Phrase("IncorrectDateYMD"));
		$this->fields['nw_date_receive'] = &$this->nw_date_receive;

		// plt_id
		$this->plt_id = new cField('tb_networks', 'tb_networks', 'x_plt_id', 'plt_id', '`plt_id`', '`plt_id`', 200, -1, FALSE, '`plt_id`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['plt_id'] = &$this->plt_id;

		// nw_year
		$this->nw_year = new cField('tb_networks', 'tb_networks', 'x_nw_year', 'nw_year', '`nw_year`', '`nw_year`', 200, -1, FALSE, '`nw_year`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['nw_year'] = &$this->nw_year;

		// nw_date_recieve
		$this->nw_date_recieve = new cField('tb_networks', 'tb_networks', 'x_nw_date_recieve', 'nw_date_recieve', '`nw_date_recieve`', 'DATE_FORMAT(`nw_date_recieve`, \'%Y/%m/%d %H:%i:%s\')', 133, 5, FALSE, '`nw_date_recieve`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->nw_date_recieve->FldDefaultErrMsg = str_replace("%s", "/", $Language->Phrase("IncorrectDateYMD"));
		$this->fields['nw_date_recieve'] = &$this->nw_date_recieve;

		// nw_cont_date_start
		$this->nw_cont_date_start = new cField('tb_networks', 'tb_networks', 'x_nw_cont_date_start', 'nw_cont_date_start', '`nw_cont_date_start`', 'DATE_FORMAT(`nw_cont_date_start`, \'%Y/%m/%d %H:%i:%s\')', 133, 5, FALSE, '`nw_cont_date_start`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->nw_cont_date_start->FldDefaultErrMsg = str_replace("%s", "/", $Language->Phrase("IncorrectDateYMD"));
		$this->fields['nw_cont_date_start'] = &$this->nw_cont_date_start;

		// nw_warranty
		$this->nw_warranty = new cField('tb_networks', 'tb_networks', 'x_nw_warranty', 'nw_warranty', '`nw_warranty`', '`nw_warranty`', 131, -1, FALSE, '`nw_warranty`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->nw_warranty->FldDefaultErrMsg = $Language->Phrase("IncorrectFloat");
		$this->fields['nw_warranty'] = &$this->nw_warranty;

		// cont_id
		$this->cont_id = new cField('tb_networks', 'tb_networks', 'x_cont_id', 'cont_id', '`cont_id`', '`cont_id`', 3, -1, FALSE, '`cont_id`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->cont_id->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['cont_id'] = &$this->cont_id;

		// nw_price
		$this->nw_price = new cField('tb_networks', 'tb_networks', 'x_nw_price', 'nw_price', '`nw_price`', '`nw_price`', 131, -1, FALSE, '`nw_price`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->nw_price->FldDefaultErrMsg = $Language->Phrase("IncorrectFloat");
		$this->fields['nw_price'] = &$this->nw_price;

		// nw_origin
		$this->nw_origin = new cField('tb_networks', 'tb_networks', 'x_nw_origin', 'nw_origin', '`nw_origin`', '`nw_origin`', 3, -1, FALSE, '`nw_origin`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->nw_origin->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['nw_origin'] = &$this->nw_origin;

		// nw_present
		$this->nw_present = new cField('tb_networks', 'tb_networks', 'x_nw_present', 'nw_present', '`nw_present`', '`nw_present`', 3, -1, FALSE, '`nw_present`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->nw_present->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['nw_present'] = &$this->nw_present;

		// nw_comment
		$this->nw_comment = new cField('tb_networks', 'tb_networks', 'x_nw_comment', 'nw_comment', '`nw_comment`', '`nw_comment`', 200, -1, FALSE, '`nw_comment`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['nw_comment'] = &$this->nw_comment;
	}

	// Single column sort
	function UpdateSort(&$ofld) {
		if ($this->CurrentOrder == $ofld->FldName) {
			$sSortField = $ofld->FldExpression;
			$sLastSort = $ofld->getSort();
			if ($this->CurrentOrderType == "ASC" || $this->CurrentOrderType == "DESC") {
				$sThisSort = $this->CurrentOrderType;
			} else {
				$sThisSort = ($sLastSort == "ASC") ? "DESC" : "ASC";
			}
			$ofld->setSort($sThisSort);
			$this->setSessionOrderBy($sSortField . " " . $sThisSort); // Save to Session
		} else {
			$ofld->setSort("");
		}
	}

	// Table level SQL
	function SqlFrom() { // From
		return "`tb_networks`";
	}

	function SqlSelect() { // Select
		return "SELECT * FROM " . $this->SqlFrom();
	}

	function SqlWhere() { // Where
		$sWhere = "";
		$this->TableFilter = "";
		ew_AddFilter($sWhere, $this->TableFilter);
		return $sWhere;
	}

	function SqlGroupBy() { // Group By
		return "";
	}

	function SqlHaving() { // Having
		return "";
	}

	function SqlOrderBy() { // Order By
		return "";
	}

	// Check if Anonymous User is allowed
	function AllowAnonymousUser() {
		switch (@$this->PageID) {
			case "add":
			case "register":
			case "addopt":
				return FALSE;
			case "edit":
			case "update":
			case "changepwd":
			case "forgotpwd":
				return FALSE;
			case "delete":
				return FALSE;
			case "view":
				return FALSE;
			case "search":
				return FALSE;
			default:
				return FALSE;
		}
	}

	// Apply User ID filters
	function ApplyUserIDFilters($sFilter) {
		return $sFilter;
	}

	// Check if User ID security allows view all
	function UserIDAllow($id = "") {
		return TRUE;
	}

	// Get SQL
	function GetSQL($where, $orderby) {
		return ew_BuildSelectSql($this->SqlSelect(), $this->SqlWhere(),
			$this->SqlGroupBy(), $this->SqlHaving(), $this->SqlOrderBy(),
			$where, $orderby);
	}

	// Table SQL
	function SQL() {
		$sFilter = $this->CurrentFilter;
		$sFilter = $this->ApplyUserIDFilters($sFilter);
		$sSort = $this->getSessionOrderBy();
		return ew_BuildSelectSql($this->SqlSelect(), $this->SqlWhere(),
			$this->SqlGroupBy(), $this->SqlHaving(), $this->SqlOrderBy(),
			$sFilter, $sSort);
	}

	// Table SQL with List page filter
	function SelectSQL() {
		$sFilter = $this->getSessionWhere();
		ew_AddFilter($sFilter, $this->CurrentFilter);
		$sFilter = $this->ApplyUserIDFilters($sFilter);
		$sSort = $this->getSessionOrderBy();
		return ew_BuildSelectSql($this->SqlSelect(), $this->SqlWhere(), $this->SqlGroupBy(),
			$this->SqlHaving(), $this->SqlOrderBy(), $sFilter, $sSort);
	}

	// Get ORDER BY clause
	function GetOrderBy() {
		$sSort = $this->getSessionOrderBy();
		return ew_BuildSelectSql("", "", "", "", $this->SqlOrderBy(), "", $sSort);
	}

	// Try to get record count
	function TryGetRecordCount($sSql) {
		global $conn;
		$cnt = -1;
		if ($this->TableType == 'TABLE' || $this->TableType == 'VIEW') {
			$sSql = "SELECT COUNT(*) FROM" . substr($sSql, 13);
			$sOrderBy = $this->GetOrderBy();
			if (substr($sSql, strlen($sOrderBy) * -1) == $sOrderBy)
				$sSql = substr($sSql, 0, strlen($sSql) - strlen($sOrderBy)); // Remove ORDER BY clause
		} else {
			$sSql = "SELECT COUNT(*) FROM (" . $sSql . ") EW_COUNT_TABLE";
		}
		if ($rs = $conn->Execute($sSql)) {
			if (!$rs->EOF && $rs->FieldCount() > 0) {
				$cnt = $rs->fields[0];
				$rs->Close();
			}
		}
		return intval($cnt);
	}

	// Get record count based on filter (for detail record count in master table pages)
	function LoadRecordCount($sFilter) {
		$origFilter = $this->CurrentFilter;
		$this->CurrentFilter = $sFilter;
		$this->Recordset_Selecting($this->CurrentFilter);

		//$sSql = $this->SQL();
		$sSql = $this->GetSQL($this->CurrentFilter, "");
		$cnt = $this->TryGetRecordCount($sSql);
		if ($cnt == -1) {
			if ($rs = $this->LoadRs($this->CurrentFilter)) {
				$cnt = $rs->RecordCount();
				$rs->Close();
			}
		}
		$this->CurrentFilter = $origFilter;
		return intval($cnt);
	}

	// Get record count (for current List page)
	function SelectRecordCount() {
		global $conn;
		$origFilter = $this->CurrentFilter;
		$this->Recordset_Selecting($this->CurrentFilter);
		$sSql = $this->SelectSQL();
		$cnt = $this->TryGetRecordCount($sSql);
		if ($cnt == -1) {
			if ($rs = $conn->Execute($sSql)) {
				$cnt = $rs->RecordCount();
				$rs->Close();
			}
		}
		$this->CurrentFilter = $origFilter;
		return intval($cnt);
	}

	// Update Table
	var $UpdateTable = "`tb_networks`";

	// INSERT statement
	function InsertSQL(&$rs) {
		global $conn;
		$names = "";
		$values = "";
		foreach ($rs as $name => $value) {
			if (!isset($this->fields[$name]))
				continue;
			$names .= $this->fields[$name]->FldExpression . ",";
			$values .= ew_QuotedValue($value, $this->fields[$name]->FldDataType) . ",";
		}
		while (substr($names, -1) == ",")
			$names = substr($names, 0, -1);
		while (substr($values, -1) == ",")
			$values = substr($values, 0, -1);
		return "INSERT INTO " . $this->UpdateTable . " ($names) VALUES ($values)";
	}

	// Insert
	function Insert(&$rs) {
		global $conn;
		return $conn->Execute($this->InsertSQL($rs));
	}

	// UPDATE statement
	function UpdateSQL(&$rs, $where = "") {
		$sql = "UPDATE " . $this->UpdateTable . " SET ";
		foreach ($rs as $name => $value) {
			if (!isset($this->fields[$name]))
				continue;
			$sql .= $this->fields[$name]->FldExpression . "=";
			$sql .= ew_QuotedValue($value, $this->fields[$name]->FldDataType) . ",";
		}
		while (substr($sql, -1) == ",")
			$sql = substr($sql, 0, -1);
		$filter = $this->CurrentFilter;
		ew_AddFilter($filter, $where);
		if ($filter <> "")	$sql .= " WHERE " . $filter;
		return $sql;
	}

	// Update
	function Update(&$rs, $where = "") {
		global $conn;
		return $conn->Execute($this->UpdateSQL($rs, $where));
	}

	// DELETE statement
	function DeleteSQL(&$rs, $where = "") {
		$sql = "DELETE FROM " . $this->UpdateTable . " WHERE ";
		if ($rs) {
			$sql .= ew_QuotedName('nw_id') . '=' . ew_QuotedValue($rs['nw_id'], $this->nw_id->FldDataType) . ' AND ';
		}
		if (substr($sql, -5) == " AND ") $sql = substr($sql, 0, -5);
		$filter = $this->CurrentFilter;
		ew_AddFilter($filter, $where);
		if ($filter <> "")	$sql .= " AND " . $filter;
		return $sql;
	}

	// Delete
	function Delete(&$rs, $where = "") {
		global $conn;
		return $conn->Execute($this->DeleteSQL($rs, $where));
	}

	// Key filter WHERE clause
	function SqlKeyFilter() {
		return "`nw_id` = '@nw_id@'";
	}

	// Key filter
	function KeyFilter() {
		$sKeyFilter = $this->SqlKeyFilter();
		$sKeyFilter = str_replace("@nw_id@", ew_AdjustSql($this->nw_id->CurrentValue), $sKeyFilter); // Replace key value
		return $sKeyFilter;
	}

	// Return page URL
	function getReturnUrl() {
		$name = EW_PROJECT_NAME . "_" . $this->TableVar . "_" . EW_TABLE_RETURN_URL;

		// Get referer URL automatically
		if (ew_ServerVar("HTTP_REFERER") <> "" && ew_ReferPage() <> ew_CurrentPage() && ew_ReferPage() <> "login.php") // Referer not same page or login page
			$_SESSION[$name] = ew_ServerVar("HTTP_REFERER"); // Save to Session
		if (@$_SESSION[$name] <> "") {
			return $_SESSION[$name];
		} else {
			return "tb_networkslist.php";
		}
	}

	function setReturnUrl($v) {
		$_SESSION[EW_PROJECT_NAME . "_" . $this->TableVar . "_" . EW_TABLE_RETURN_URL] = $v;
	}

	// List URL
	function GetListUrl() {
		return "tb_networkslist.php";
	}

	// View URL
	function GetViewUrl() {
		return $this->KeyUrl("tb_networksview.php", $this->UrlParm());
	}

	// Add URL
	function GetAddUrl() {
		return "tb_networksadd.php";
	}

	// Edit URL
	function GetEditUrl($parm = "") {
		return $this->KeyUrl("tb_networksedit.php", $this->UrlParm($parm));
	}

	// Inline edit URL
	function GetInlineEditUrl() {
		return $this->KeyUrl(ew_CurrentPage(), $this->UrlParm("a=edit"));
	}

	// Copy URL
	function GetCopyUrl($parm = "") {
		return $this->KeyUrl("tb_networksadd.php", $this->UrlParm($parm));
	}

	// Inline copy URL
	function GetInlineCopyUrl() {
		return $this->KeyUrl(ew_CurrentPage(), $this->UrlParm("a=copy"));
	}

	// Delete URL
	function GetDeleteUrl() {
		return $this->KeyUrl("tb_networksdelete.php", $this->UrlParm());
	}

	// Add key value to URL
	function KeyUrl($url, $parm = "") {
		$sUrl = $url . "?";
		if ($parm <> "") $sUrl .= $parm . "&";
		if (!is_null($this->nw_id->CurrentValue)) {
			$sUrl .= "nw_id=" . urlencode($this->nw_id->CurrentValue);
		} else {
			return "javascript:alert(ewLanguage.Phrase('InvalidRecord'));";
		}
		return $sUrl;
	}

	// Sort URL
	function SortUrl(&$fld) {
		if ($this->CurrentAction <> "" || $this->Export <> "" ||
			in_array($fld->FldType, array(128, 204, 205))) { // Unsortable data type
				return "";
		} elseif ($fld->Sortable) {
			$sUrlParm = $this->UrlParm("order=" . urlencode($fld->FldName) . "&ordertype=" . $fld->ReverseSort());
			return ew_CurrentPage() . "?" . $sUrlParm;
		} else {
			return "";
		}
	}

	// Get record keys from $_POST/$_GET/$_SESSION
	function GetRecordKeys() {
		global $EW_COMPOSITE_KEY_SEPARATOR;
		$arKeys = array();
		$arKey = array();
		if (isset($_POST["key_m"])) {
			$arKeys = ew_StripSlashes($_POST["key_m"]);
			$cnt = count($arKeys);
		} elseif (isset($_GET["key_m"])) {
			$arKeys = ew_StripSlashes($_GET["key_m"]);
			$cnt = count($arKeys);
		} elseif (isset($_GET)) {
			$arKeys[] = @$_GET["nw_id"]; // nw_id

			//return $arKeys; // do not return yet, so the values will also be checked by the following code
		}

		// check keys
		$ar = array();
		foreach ($arKeys as $key) {
			$ar[] = $key;
		}
		return $ar;
	}

	// Get key filter
	function GetKeyFilter() {
		$arKeys = $this->GetRecordKeys();
		$sKeyFilter = "";
		foreach ($arKeys as $key) {
			if ($sKeyFilter <> "") $sKeyFilter .= " OR ";
			$this->nw_id->CurrentValue = $key;
			$sKeyFilter .= "(" . $this->KeyFilter() . ")";
		}
		return $sKeyFilter;
	}

	// Load rows based on filter
	function &LoadRs($sFilter) {
		global $conn;

		// Set up filter (SQL WHERE clause) and get return SQL
		//$this->CurrentFilter = $sFilter;
		//$sSql = $this->SQL();

		$sSql = $this->GetSQL($sFilter, "");
		$rs = $conn->Execute($sSql);
		return $rs;
	}

	// Load row values from recordset
	function LoadListRowValues(&$rs) {
		$this->nw_id->setDbValue($rs->fields('nw_id'));
		$this->court_id->setDbValue($rs->fields('court_id'));
		$this->nwt_id->setDbValue($rs->fields('nwt_id'));
		$this->nw_sn->setDbValue($rs->fields('nw_sn'));
		$this->nw_number->setDbValue($rs->fields('nw_number'));
		$this->nw_brand->setDbValue($rs->fields('nw_brand'));
		$this->nw_model->setDbValue($rs->fields('nw_model'));
		$this->nw_desc->setDbValue($rs->fields('nw_desc'));
		$this->nw_date_receive->setDbValue($rs->fields('nw_date_receive'));
		$this->plt_id->setDbValue($rs->fields('plt_id'));
		$this->nw_year->setDbValue($rs->fields('nw_year'));
		$this->nw_date_recieve->setDbValue($rs->fields('nw_date_recieve'));
		$this->nw_cont_date_start->setDbValue($rs->fields('nw_cont_date_start'));
		$this->nw_warranty->setDbValue($rs->fields('nw_warranty'));
		$this->cont_id->setDbValue($rs->fields('cont_id'));
		$this->nw_price->setDbValue($rs->fields('nw_price'));
		$this->nw_origin->setDbValue($rs->fields('nw_origin'));
		$this->nw_present->setDbValue($rs->fields('nw_present'));
		$this->nw_comment->setDbValue($rs->fields('nw_comment'));
	}

	// Render list row values
	function RenderListRow() {
		global $conn, $Security;

		// Call Row Rendering event
		$this->Row_Rendering();

   // Common render codes
		// nw_id
		// court_id
		// nwt_id
		// nw_sn
		// nw_number
		// nw_brand
		// nw_model
		// nw_desc
		// nw_date_receive
		// plt_id
		// nw_year
		// nw_date_recieve
		// nw_cont_date_start
		// nw_warranty
		// cont_id
		// nw_price
		// nw_origin
		// nw_present
		// nw_comment
		// nw_id

		$this->nw_id->ViewValue = $this->nw_id->CurrentValue;
		$this->nw_id->ViewCustomAttributes = "";

		// court_id
		$this->court_id->ViewValue = $this->court_id->CurrentValue;
		$this->court_id->ViewCustomAttributes = "";

		// nwt_id
		$this->nwt_id->ViewValue = $this->nwt_id->CurrentValue;
		if (strval($this->nwt_id->CurrentValue) <> "") {
			$sFilterWrk = "`nwt_id`" . ew_SearchString("=", $this->nwt_id->CurrentValue, EW_DATATYPE_STRING);
		$sSqlWrk = "SELECT `nwt_id`, `nwt_name` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_network_types`";
		$sWhereWrk = "";
		if ($sFilterWrk <> "") {
			ew_AddFilter($sWhereWrk, $sFilterWrk);
		}
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = $conn->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$this->nwt_id->ViewValue = $rswrk->fields('DispFld');
				$rswrk->Close();
			} else {
				$this->nwt_id->ViewValue = $this->nwt_id->CurrentValue;
			}
		} else {
			$this->nwt_id->ViewValue = NULL;
		}
		$this->nwt_id->ViewCustomAttributes = "";

		// nw_sn
		$this->nw_sn->ViewValue = $this->nw_sn->CurrentValue;
		$this->nw_sn->ViewCustomAttributes = "";

		// nw_number
		$this->nw_number->ViewValue = $this->nw_number->CurrentValue;
		$this->nw_number->ViewCustomAttributes = "";

		// nw_brand
		$this->nw_brand->ViewValue = $this->nw_brand->CurrentValue;
		$this->nw_brand->ViewCustomAttributes = "";

		// nw_model
		$this->nw_model->ViewValue = $this->nw_model->CurrentValue;
		$this->nw_model->ViewCustomAttributes = "";

		// nw_desc
		$this->nw_desc->ViewValue = $this->nw_desc->CurrentValue;
		$this->nw_desc->ViewCustomAttributes = "";

		// nw_date_receive
		$this->nw_date_receive->ViewValue = $this->nw_date_receive->CurrentValue;
		$this->nw_date_receive->ViewValue = ew_FormatDateTime($this->nw_date_receive->ViewValue, 5);
		$this->nw_date_receive->ViewCustomAttributes = "";

		// plt_id
		$this->plt_id->ViewValue = $this->plt_id->CurrentValue;
		$this->plt_id->ViewCustomAttributes = "";

		// nw_year
		$this->nw_year->ViewValue = $this->nw_year->CurrentValue;
		$this->nw_year->ViewCustomAttributes = "";

		// nw_date_recieve
		$this->nw_date_recieve->ViewValue = $this->nw_date_recieve->CurrentValue;
		$this->nw_date_recieve->ViewValue = ew_FormatDateTime($this->nw_date_recieve->ViewValue, 5);
		$this->nw_date_recieve->ViewCustomAttributes = "";

		// nw_cont_date_start
		$this->nw_cont_date_start->ViewValue = $this->nw_cont_date_start->CurrentValue;
		$this->nw_cont_date_start->ViewValue = ew_FormatDateTime($this->nw_cont_date_start->ViewValue, 5);
		$this->nw_cont_date_start->ViewCustomAttributes = "";

		// nw_warranty
		$this->nw_warranty->ViewValue = $this->nw_warranty->CurrentValue;
		$this->nw_warranty->ViewCustomAttributes = "";

		// cont_id
		if (strval($this->cont_id->CurrentValue) <> "") {
			$sFilterWrk = "`cont_id`" . ew_SearchString("=", $this->cont_id->CurrentValue, EW_DATATYPE_NUMBER);
		$sSqlWrk = "SELECT `cont_id`, `cont_num` AS `DispFld`, `cont_project` AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_contracts`";
		$sWhereWrk = "";
		if ($sFilterWrk <> "") {
			ew_AddFilter($sWhereWrk, $sFilterWrk);
		}
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = $conn->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$this->cont_id->ViewValue = $rswrk->fields('DispFld');
				$this->cont_id->ViewValue .= ew_ValueSeparator(1,$this->cont_id) . $rswrk->fields('Disp2Fld');
				$rswrk->Close();
			} else {
				$this->cont_id->ViewValue = $this->cont_id->CurrentValue;
			}
		} else {
			$this->cont_id->ViewValue = NULL;
		}
		$this->cont_id->ViewCustomAttributes = "";

		// nw_price
		$this->nw_price->ViewValue = $this->nw_price->CurrentValue;
		$this->nw_price->ViewCustomAttributes = "";

		// nw_origin
		if (strval($this->nw_origin->CurrentValue) <> "") {
			switch ($this->nw_origin->CurrentValue) {
				case $this->nw_origin->FldTagValue(1):
					$this->nw_origin->ViewValue = $this->nw_origin->FldTagCaption(1) <> "" ? $this->nw_origin->FldTagCaption(1) : $this->nw_origin->CurrentValue;
					break;
				case $this->nw_origin->FldTagValue(2):
					$this->nw_origin->ViewValue = $this->nw_origin->FldTagCaption(2) <> "" ? $this->nw_origin->FldTagCaption(2) : $this->nw_origin->CurrentValue;
					break;
				case $this->nw_origin->FldTagValue(3):
					$this->nw_origin->ViewValue = $this->nw_origin->FldTagCaption(3) <> "" ? $this->nw_origin->FldTagCaption(3) : $this->nw_origin->CurrentValue;
					break;
				case $this->nw_origin->FldTagValue(4):
					$this->nw_origin->ViewValue = $this->nw_origin->FldTagCaption(4) <> "" ? $this->nw_origin->FldTagCaption(4) : $this->nw_origin->CurrentValue;
					break;
				default:
					$this->nw_origin->ViewValue = $this->nw_origin->CurrentValue;
			}
		} else {
			$this->nw_origin->ViewValue = NULL;
		}
		$this->nw_origin->ViewCustomAttributes = "";

		// nw_present
		if (strval($this->nw_present->CurrentValue) <> "") {
			switch ($this->nw_present->CurrentValue) {
				case $this->nw_present->FldTagValue(1):
					$this->nw_present->ViewValue = $this->nw_present->FldTagCaption(1) <> "" ? $this->nw_present->FldTagCaption(1) : $this->nw_present->CurrentValue;
					break;
				case $this->nw_present->FldTagValue(2):
					$this->nw_present->ViewValue = $this->nw_present->FldTagCaption(2) <> "" ? $this->nw_present->FldTagCaption(2) : $this->nw_present->CurrentValue;
					break;
				case $this->nw_present->FldTagValue(3):
					$this->nw_present->ViewValue = $this->nw_present->FldTagCaption(3) <> "" ? $this->nw_present->FldTagCaption(3) : $this->nw_present->CurrentValue;
					break;
				case $this->nw_present->FldTagValue(4):
					$this->nw_present->ViewValue = $this->nw_present->FldTagCaption(4) <> "" ? $this->nw_present->FldTagCaption(4) : $this->nw_present->CurrentValue;
					break;
				case $this->nw_present->FldTagValue(5):
					$this->nw_present->ViewValue = $this->nw_present->FldTagCaption(5) <> "" ? $this->nw_present->FldTagCaption(5) : $this->nw_present->CurrentValue;
					break;
				case $this->nw_present->FldTagValue(6):
					$this->nw_present->ViewValue = $this->nw_present->FldTagCaption(6) <> "" ? $this->nw_present->FldTagCaption(6) : $this->nw_present->CurrentValue;
					break;
				default:
					$this->nw_present->ViewValue = $this->nw_present->CurrentValue;
			}
		} else {
			$this->nw_present->ViewValue = NULL;
		}
		$this->nw_present->ViewCustomAttributes = "";

		// nw_comment
		$this->nw_comment->ViewValue = $this->nw_comment->CurrentValue;
		$this->nw_comment->ViewCustomAttributes = "";

		// nw_id
		$this->nw_id->LinkCustomAttributes = "";
		$this->nw_id->HrefValue = "";
		$this->nw_id->TooltipValue = "";

		// court_id
		$this->court_id->LinkCustomAttributes = "";
		$this->court_id->HrefValue = "";
		$this->court_id->TooltipValue = "";

		// nwt_id
		$this->nwt_id->LinkCustomAttributes = "";
		$this->nwt_id->HrefValue = "";
		$this->nwt_id->TooltipValue = "";

		// nw_sn
		$this->nw_sn->LinkCustomAttributes = "";
		$this->nw_sn->HrefValue = "";
		$this->nw_sn->TooltipValue = "";

		// nw_number
		$this->nw_number->LinkCustomAttributes = "";
		$this->nw_number->HrefValue = "";
		$this->nw_number->TooltipValue = "";

		// nw_brand
		$this->nw_brand->LinkCustomAttributes = "";
		$this->nw_brand->HrefValue = "";
		$this->nw_brand->TooltipValue = "";

		// nw_model
		$this->nw_model->LinkCustomAttributes = "";
		$this->nw_model->HrefValue = "";
		$this->nw_model->TooltipValue = "";

		// nw_desc
		$this->nw_desc->LinkCustomAttributes = "";
		$this->nw_desc->HrefValue = "";
		$this->nw_desc->TooltipValue = "";

		// nw_date_receive
		$this->nw_date_receive->LinkCustomAttributes = "";
		$this->nw_date_receive->HrefValue = "";
		$this->nw_date_receive->TooltipValue = "";

		// plt_id
		$this->plt_id->LinkCustomAttributes = "";
		$this->plt_id->HrefValue = "";
		$this->plt_id->TooltipValue = "";

		// nw_year
		$this->nw_year->LinkCustomAttributes = "";
		$this->nw_year->HrefValue = "";
		$this->nw_year->TooltipValue = "";

		// nw_date_recieve
		$this->nw_date_recieve->LinkCustomAttributes = "";
		$this->nw_date_recieve->HrefValue = "";
		$this->nw_date_recieve->TooltipValue = "";

		// nw_cont_date_start
		$this->nw_cont_date_start->LinkCustomAttributes = "";
		$this->nw_cont_date_start->HrefValue = "";
		$this->nw_cont_date_start->TooltipValue = "";

		// nw_warranty
		$this->nw_warranty->LinkCustomAttributes = "";
		$this->nw_warranty->HrefValue = "";
		$this->nw_warranty->TooltipValue = "";

		// cont_id
		$this->cont_id->LinkCustomAttributes = "";
		$this->cont_id->HrefValue = "";
		$this->cont_id->TooltipValue = "";

		// nw_price
		$this->nw_price->LinkCustomAttributes = "";
		$this->nw_price->HrefValue = "";
		$this->nw_price->TooltipValue = "";

		// nw_origin
		$this->nw_origin->LinkCustomAttributes = "";
		$this->nw_origin->HrefValue = "";
		$this->nw_origin->TooltipValue = "";

		// nw_present
		$this->nw_present->LinkCustomAttributes = "";
		$this->nw_present->HrefValue = "";
		$this->nw_present->TooltipValue = "";

		// nw_comment
		$this->nw_comment->LinkCustomAttributes = "";
		$this->nw_comment->HrefValue = "";
		$this->nw_comment->TooltipValue = "";

		// Call Row Rendered event
		$this->Row_Rendered();
	}

	// Aggregate list row values
	function AggregateListRowValues() {
	}

	// Aggregate list row (for rendering)
	function AggregateListRow() {
	}

	// Export data in HTML/CSV/Word/Excel/Email/PDF format
	function ExportDocument(&$Doc, &$Recordset, $StartRec, $StopRec, $ExportPageType = "") {
		if (!$Recordset || !$Doc)
			return;

		// Write header
		$Doc->ExportTableHeader();
		if ($Doc->Horizontal) { // Horizontal format, write header
			$Doc->BeginExportRow();
			if ($ExportPageType == "view") {
				$Doc->ExportCaption($this->nw_id);
				$Doc->ExportCaption($this->court_id);
				$Doc->ExportCaption($this->nwt_id);
				$Doc->ExportCaption($this->nw_sn);
				$Doc->ExportCaption($this->nw_number);
				$Doc->ExportCaption($this->nw_brand);
				$Doc->ExportCaption($this->nw_model);
				$Doc->ExportCaption($this->nw_desc);
				$Doc->ExportCaption($this->nw_date_receive);
				$Doc->ExportCaption($this->plt_id);
				$Doc->ExportCaption($this->nw_year);
				$Doc->ExportCaption($this->nw_date_recieve);
				$Doc->ExportCaption($this->nw_cont_date_start);
				$Doc->ExportCaption($this->nw_warranty);
				$Doc->ExportCaption($this->cont_id);
				$Doc->ExportCaption($this->nw_price);
				$Doc->ExportCaption($this->nw_origin);
				$Doc->ExportCaption($this->nw_present);
				$Doc->ExportCaption($this->nw_comment);
			} else {
				$Doc->ExportCaption($this->nw_id);
				$Doc->ExportCaption($this->court_id);
				$Doc->ExportCaption($this->nwt_id);
				$Doc->ExportCaption($this->nw_sn);
				$Doc->ExportCaption($this->nw_number);
				$Doc->ExportCaption($this->nw_brand);
				$Doc->ExportCaption($this->nw_model);
				$Doc->ExportCaption($this->nw_desc);
				$Doc->ExportCaption($this->nw_date_receive);
				$Doc->ExportCaption($this->plt_id);
				$Doc->ExportCaption($this->nw_year);
				$Doc->ExportCaption($this->nw_date_recieve);
				$Doc->ExportCaption($this->nw_cont_date_start);
				$Doc->ExportCaption($this->nw_warranty);
				$Doc->ExportCaption($this->cont_id);
				$Doc->ExportCaption($this->nw_price);
				$Doc->ExportCaption($this->nw_origin);
				$Doc->ExportCaption($this->nw_present);
				$Doc->ExportCaption($this->nw_comment);
			}
			$Doc->EndExportRow();
		}

		// Move to first record
		$RecCnt = $StartRec - 1;
		if (!$Recordset->EOF) {
			$Recordset->MoveFirst();
			if ($StartRec > 1)
				$Recordset->Move($StartRec - 1);
		}
		while (!$Recordset->EOF && $RecCnt < $StopRec) {
			$RecCnt++;
			if (intval($RecCnt) >= intval($StartRec)) {
				$RowCnt = intval($RecCnt) - intval($StartRec) + 1;

				// Page break
				if ($this->ExportPageBreakCount > 0) {
					if ($RowCnt > 1 && ($RowCnt - 1) % $this->ExportPageBreakCount == 0)
						$Doc->ExportPageBreak();
				}
				$this->LoadListRowValues($Recordset);

				// Render row
				$this->RowType = EW_ROWTYPE_VIEW; // Render view
				$this->ResetAttrs();
				$this->RenderListRow();
				$Doc->BeginExportRow($RowCnt); // Allow CSS styles if enabled
				if ($ExportPageType == "view") {
					$Doc->ExportField($this->nw_id);
					$Doc->ExportField($this->court_id);
					$Doc->ExportField($this->nwt_id);
					$Doc->ExportField($this->nw_sn);
					$Doc->ExportField($this->nw_number);
					$Doc->ExportField($this->nw_brand);
					$Doc->ExportField($this->nw_model);
					$Doc->ExportField($this->nw_desc);
					$Doc->ExportField($this->nw_date_receive);
					$Doc->ExportField($this->plt_id);
					$Doc->ExportField($this->nw_year);
					$Doc->ExportField($this->nw_date_recieve);
					$Doc->ExportField($this->nw_cont_date_start);
					$Doc->ExportField($this->nw_warranty);
					$Doc->ExportField($this->cont_id);
					$Doc->ExportField($this->nw_price);
					$Doc->ExportField($this->nw_origin);
					$Doc->ExportField($this->nw_present);
					$Doc->ExportField($this->nw_comment);
				} else {
					$Doc->ExportField($this->nw_id);
					$Doc->ExportField($this->court_id);
					$Doc->ExportField($this->nwt_id);
					$Doc->ExportField($this->nw_sn);
					$Doc->ExportField($this->nw_number);
					$Doc->ExportField($this->nw_brand);
					$Doc->ExportField($this->nw_model);
					$Doc->ExportField($this->nw_desc);
					$Doc->ExportField($this->nw_date_receive);
					$Doc->ExportField($this->plt_id);
					$Doc->ExportField($this->nw_year);
					$Doc->ExportField($this->nw_date_recieve);
					$Doc->ExportField($this->nw_cont_date_start);
					$Doc->ExportField($this->nw_warranty);
					$Doc->ExportField($this->cont_id);
					$Doc->ExportField($this->nw_price);
					$Doc->ExportField($this->nw_origin);
					$Doc->ExportField($this->nw_present);
					$Doc->ExportField($this->nw_comment);
				}
				$Doc->EndExportRow();
			}
			$Recordset->MoveNext();
		}
		$Doc->ExportTableFooter();
	}

	// Table level events
	// Recordset Selecting event
	function Recordset_Selecting(&$filter) {

		// Enter your code here	
	}

	// Recordset Selected event
	function Recordset_Selected(&$rs) {

		//echo "Recordset Selected";
	}

	// Recordset Search Validated event
	function Recordset_SearchValidated() {

		// Example:
		//$this->MyField1->AdvancedSearch->SearchValue = "your search criteria"; // Search value

	}

	// Recordset Searching event
	function Recordset_Searching(&$filter) {

		// Enter your code here	
	}

	// Row_Selecting event
	function Row_Selecting(&$filter) {

		// Enter your code here	
	}

	// Row Selected event
	function Row_Selected(&$rs) {

		//echo "Row Selected";
	}

	// Row Inserting event
	function Row_Inserting($rsold, &$rsnew) {

		// Enter your code here
		// To cancel, set return value to FALSE

		return TRUE;
	}

	// Row Inserted event
	function Row_Inserted($rsold, &$rsnew) {

		//echo "Row Inserted"
	}

	// Row Updating event
	function Row_Updating($rsold, &$rsnew) {

		// Enter your code here
		// To cancel, set return value to FALSE

		return TRUE;
	}

	// Row Updated event
	function Row_Updated($rsold, &$rsnew) {

		//echo "Row Updated";
	}

	// Row Update Conflict event
	function Row_UpdateConflict($rsold, &$rsnew) {

		// Enter your code here
		// To ignore conflict, set return value to FALSE

		return TRUE;
	}

	// Row Deleting event
	function Row_Deleting(&$rs) {

		// Enter your code here
		// To cancel, set return value to False

		return TRUE;
	}

	// Row Deleted event
	function Row_Deleted(&$rs) {

		//echo "Row Deleted";
	}

	// Email Sending event
	function Email_Sending(&$Email, &$Args) {

		//var_dump($Email); var_dump($Args); exit();
		return TRUE;
	}

	// Row Rendering event
	function Row_Rendering() {

		// Enter your code here	
	}

	// Row Rendered event
	function Row_Rendered() {

		// To view properties of field class, use:
		//var_dump($this-><FieldName>); 

	}

	// User ID Filtering event
	function UserID_Filtering(&$filter) {

		// Enter your code here
	}
}
?>
