<?php
if (session_id() == "") session_start(); // Initialize Session data
ob_start(); // Turn on output buffering
?>
<?php include_once "ewcfg9.php" ?>
<?php include_once "ewmysql9.php" ?>
<?php include_once "phpfn9.php" ?>
<?php include_once "tb_notebooksinfo.php" ?>
<?php include_once "userfn9.php" ?>
<?php

//
// Page class
//

$tb_notebooks_delete = NULL; // Initialize page object first

class ctb_notebooks_delete extends ctb_notebooks {

	// Page ID
	var $PageID = 'delete';

	// Project ID
	var $ProjectID = "{6072F4AB-8E55-4BED-87E8-94ADB1680AEB}";

	// Table name
	var $TableName = 'tb_notebooks';

	// Page object name
	var $PageObjName = 'tb_notebooks_delete';

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		if ($this->UseTokenInUrl) $PageUrl .= "t=" . $this->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_MESSAGE], $v);
	}

	function getFailureMessage() {
		return @$_SESSION[EW_SESSION_FAILURE_MESSAGE];
	}

	function setFailureMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_FAILURE_MESSAGE], $v);
	}

	function getSuccessMessage() {
		return @$_SESSION[EW_SESSION_SUCCESS_MESSAGE];
	}

	function setSuccessMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_SUCCESS_MESSAGE], $v);
	}

	function getWarningMessage() {
		return @$_SESSION[EW_SESSION_WARNING_MESSAGE];
	}

	function setWarningMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_WARNING_MESSAGE], $v);
	}

	// Show message
	function ShowMessage() {
		$hidden = FALSE;
		$html = "";

		// Message
		$sMessage = $this->getMessage();
		$this->Message_Showing($sMessage, "");
		if ($sMessage <> "") { // Message in Session, display
			$html .= "<p class=\"ewMessage\">" . $sMessage . "</p>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}

		// Warning message
		$sWarningMessage = $this->getWarningMessage();
		$this->Message_Showing($sWarningMessage, "warning");
		if ($sWarningMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewWarningIcon\"></td><td class=\"ewWarningMessage\">" . $sWarningMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_WARNING_MESSAGE] = ""; // Clear message in Session
		}

		// Success message
		$sSuccessMessage = $this->getSuccessMessage();
		$this->Message_Showing($sSuccessMessage, "success");
		if ($sSuccessMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewSuccessIcon\"></td><td class=\"ewSuccessMessage\">" . $sSuccessMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = ""; // Clear message in Session
		}

		// Failure message
		$sErrorMessage = $this->getFailureMessage();
		$this->Message_Showing($sErrorMessage, "failure");
		if ($sErrorMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewErrorIcon\"></td><td class=\"ewErrorMessage\">" . $sErrorMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_FAILURE_MESSAGE] = ""; // Clear message in Session
		}		
		echo "<div class=\"ewMessageDialog\"" . (($hidden) ? " style=\"display: none;\"" : "") . ">" . $html . "</div>";
	}
	var $PageHeader;
	var $PageFooter;

	// Show Page Header
	function ShowPageHeader() {
		$sHeader = $this->PageHeader;
		$this->Page_DataRendering($sHeader);
		if ($sHeader <> "") { // Header exists, display
			echo "<p class=\"phpmaker\">" . $sHeader . "</p>";
		}
	}

	// Show Page Footer
	function ShowPageFooter() {
		$sFooter = $this->PageFooter;
		$this->Page_DataRendered($sFooter);
		if ($sFooter <> "") { // Fotoer exists, display
			echo "<p class=\"phpmaker\">" . $sFooter . "</p>";
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm;
		if ($this->UseTokenInUrl) {
			if ($objForm)
				return ($this->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($this->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}

	//
	// Page class constructor
	//
	function __construct() {
		global $conn, $Language;
		$GLOBALS["Page"] = &$this;

		// Language object
		if (!isset($Language)) $Language = new cLanguage();

		// Parent constuctor
		parent::__construct();

		// Table object (tb_notebooks)
		if (!isset($GLOBALS["tb_notebooks"])) {
			$GLOBALS["tb_notebooks"] = &$this;
			$GLOBALS["Table"] = &$GLOBALS["tb_notebooks"];
		}

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'delete', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'tb_notebooks', TRUE);

		// Start timer
		if (!isset($GLOBALS["gTimer"])) $GLOBALS["gTimer"] = new cTimer();

		// Open connection
		if (!isset($conn)) $conn = ew_Connect();
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;
		$this->CurrentAction = (@$_GET["a"] <> "") ? $_GET["a"] : @$_POST["a_list"];

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $conn;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();
		$this->Page_Redirecting($url);

		 // Close connection
		$conn->Close();

		// Go to URL if specified
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			header("Location: " . $url);
		}
		exit();
	}
	var $TotalRecs = 0;
	var $RecCnt;
	var $RecKeys = array();
	var $Recordset;
	var $RowCnt = 0;

	//
	// Page main
	//
	function Page_Main() {
		global $Language;

		// Load key parameters
		$this->RecKeys = $this->GetRecordKeys(); // Load record keys
		$sFilter = $this->GetKeyFilter();
		if ($sFilter == "")
			$this->Page_Terminate("tb_notebookslist.php"); // Prevent SQL injection, return to list

		// Set up filter (SQL WHHERE clause) and get return SQL
		// SQL constructor in tb_notebooks class, tb_notebooksinfo.php

		$this->CurrentFilter = $sFilter;

		// Get action
		if (@$_POST["a_delete"] <> "") {
			$this->CurrentAction = $_POST["a_delete"];
		} else {
			$this->CurrentAction = "I"; // Display record
		}
		switch ($this->CurrentAction) {
			case "D": // Delete
				$this->SendEmail = TRUE; // Send email on delete success
				if ($this->DeleteRows()) { // delete rows
					if ($this->getSuccessMessage() == "")
						$this->setSuccessMessage($Language->Phrase("DeleteSuccess")); // Set up success message
					$this->Page_Terminate($this->getReturnUrl()); // Return to caller
				}
		}
	}

// No functions
	// Load recordset
	function LoadRecordset($offset = -1, $rowcnt = -1) {
		global $conn;

		// Call Recordset Selecting event
		$this->Recordset_Selecting($this->CurrentFilter);

		// Load List page SQL
		$sSql = $this->SelectSQL();
		if ($offset > -1 && $rowcnt > -1)
			$sSql .= " LIMIT $rowcnt OFFSET $offset";

		// Load recordset
		$rs = ew_LoadRecordset($sSql);

		// Call Recordset Selected event
		$this->Recordset_Selected($rs);
		return $rs;
	}

	// Load row based on key values
	function LoadRow() {
		global $conn, $Security, $Language;
		$sFilter = $this->KeyFilter();

		// Call Row Selecting event
		$this->Row_Selecting($sFilter);

		// Load SQL based on filter
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		global $conn;
		if (!$rs || $rs->EOF) return;

		// Call Row Selected event
		$row = &$rs->fields;
		$this->Row_Selected($row);
		$this->nb_id->setDbValue($rs->fields('nb_id'));
		$this->court_id->setDbValue($rs->fields('court_id'));
		$this->cont_id->setDbValue($rs->fields('cont_id'));
		$this->plt_id->setDbValue($rs->fields('plt_id'));
		$this->nb_number->setDbValue($rs->fields('nb_number'));
		$this->nb_sn->setDbValue($rs->fields('nb_sn'));
		$this->nb_brand->setDbValue($rs->fields('nb_brand'));
		$this->mdt_id->setDbValue($rs->fields('mdt_id'));
		$this->nb_hdd->setDbValue($rs->fields('nb_hdd'));
		$this->nb_speed->setDbValue($rs->fields('nb_speed'));
		$this->nb_ram->setDbValue($rs->fields('nb_ram'));
		$this->nb_work->setDbValue($rs->fields('nb_work'));
		$this->nb_accessories->setDbValue($rs->fields('nb_accessories'));
		$this->nb_os->setDbValue($rs->fields('nb_os'));
		$this->nb_year->setDbValue($rs->fields('nb_year'));
		$this->nb_date_recieve->setDbValue($rs->fields('nb_date_recieve'));
		$this->nb_contract_start->setDbValue($rs->fields('nb_contract_start'));
		$this->nb_warranty->setDbValue($rs->fields('nb_warranty'));
		$this->nb_price->setDbValue($rs->fields('nb_price'));
		$this->nb_origin->setDbValue($rs->fields('nb_origin'));
		$this->nb_present->setDbValue($rs->fields('nb_present'));
		$this->nb_comment->setDbValue($rs->fields('nb_comment'));
	}

	// Render row values based on field settings
	function RenderRow() {
		global $conn, $Security, $Language;
		global $gsLanguage;

		// Initialize URLs
		// Convert decimal values if posted back

		if ($this->nb_warranty->FormValue == $this->nb_warranty->CurrentValue && is_numeric(ew_StrToFloat($this->nb_warranty->CurrentValue)))
			$this->nb_warranty->CurrentValue = ew_StrToFloat($this->nb_warranty->CurrentValue);

		// Convert decimal values if posted back
		if ($this->nb_price->FormValue == $this->nb_price->CurrentValue && is_numeric(ew_StrToFloat($this->nb_price->CurrentValue)))
			$this->nb_price->CurrentValue = ew_StrToFloat($this->nb_price->CurrentValue);

		// Call Row_Rendering event
		$this->Row_Rendering();

		// Common render codes for all row types
		// nb_id
		// court_id
		// cont_id
		// plt_id
		// nb_number
		// nb_sn
		// nb_brand
		// mdt_id
		// nb_hdd
		// nb_speed
		// nb_ram
		// nb_work
		// nb_accessories
		// nb_os
		// nb_year
		// nb_date_recieve
		// nb_contract_start
		// nb_warranty
		// nb_price
		// nb_origin
		// nb_present
		// nb_comment

		if ($this->RowType == EW_ROWTYPE_VIEW) { // View row

			// nb_id
			$this->nb_id->ViewValue = $this->nb_id->CurrentValue;
			$this->nb_id->ViewCustomAttributes = "";

			// court_id
			$this->court_id->ViewValue = $this->court_id->CurrentValue;
			$this->court_id->ViewCustomAttributes = "";

			// cont_id
			if (strval($this->cont_id->CurrentValue) <> "") {
				$sFilterWrk = "`cont_id`" . ew_SearchString("=", $this->cont_id->CurrentValue, EW_DATATYPE_NUMBER);
			$sSqlWrk = "SELECT `cont_id`, `cont_num` AS `DispFld`, `cont_project` AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_contracts`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				ew_AddFilter($sWhereWrk, $sFilterWrk);
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$this->cont_id->ViewValue = $rswrk->fields('DispFld');
					$this->cont_id->ViewValue .= ew_ValueSeparator(1,$tb_notebooks->cont_id) . $rswrk->fields('Disp2Fld');
					$rswrk->Close();
				} else {
					$this->cont_id->ViewValue = $this->cont_id->CurrentValue;
				}
			} else {
				$this->cont_id->ViewValue = NULL;
			}
			$this->cont_id->ViewCustomAttributes = "";

			// plt_id
			if (strval($this->plt_id->CurrentValue) <> "") {
				$sFilterWrk = "`plt_id`" . ew_SearchString("=", $this->plt_id->CurrentValue, EW_DATATYPE_STRING);
			$sSqlWrk = "SELECT `plt_id`, `plt_name` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_place_types`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				ew_AddFilter($sWhereWrk, $sFilterWrk);
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$this->plt_id->ViewValue = $rswrk->fields('DispFld');
					$rswrk->Close();
				} else {
					$this->plt_id->ViewValue = $this->plt_id->CurrentValue;
				}
			} else {
				$this->plt_id->ViewValue = NULL;
			}
			$this->plt_id->ViewCustomAttributes = "";

			// nb_number
			$this->nb_number->ViewValue = $this->nb_number->CurrentValue;
			$this->nb_number->ViewCustomAttributes = "";

			// nb_sn
			$this->nb_sn->ViewValue = $this->nb_sn->CurrentValue;
			$this->nb_sn->ViewCustomAttributes = "";

			// nb_brand
			$this->nb_brand->ViewValue = $this->nb_brand->CurrentValue;
			$this->nb_brand->ViewCustomAttributes = "";

			// mdt_id
			$this->mdt_id->ViewValue = $this->mdt_id->CurrentValue;
			if (strval($this->mdt_id->CurrentValue) <> "") {
				$sFilterWrk = "`mdt_id`" . ew_SearchString("=", $this->mdt_id->CurrentValue, EW_DATATYPE_STRING);
			$sSqlWrk = "SELECT `mdt_id`, `mdt_name` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_model_types`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				ew_AddFilter($sWhereWrk, $sFilterWrk);
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$this->mdt_id->ViewValue = $rswrk->fields('DispFld');
					$rswrk->Close();
				} else {
					$this->mdt_id->ViewValue = $this->mdt_id->CurrentValue;
				}
			} else {
				$this->mdt_id->ViewValue = NULL;
			}
			$this->mdt_id->ViewCustomAttributes = "";

			// nb_hdd
			$this->nb_hdd->ViewValue = $this->nb_hdd->CurrentValue;
			$this->nb_hdd->ViewCustomAttributes = "";

			// nb_speed
			$this->nb_speed->ViewValue = $this->nb_speed->CurrentValue;
			$this->nb_speed->ViewCustomAttributes = "";

			// nb_ram
			$this->nb_ram->ViewValue = $this->nb_ram->CurrentValue;
			$this->nb_ram->ViewCustomAttributes = "";

			// nb_work
			$this->nb_work->ViewValue = $this->nb_work->CurrentValue;
			$this->nb_work->ViewCustomAttributes = "";

			// nb_accessories
			if (strval($this->nb_accessories->CurrentValue) <> "") {
				switch ($this->nb_accessories->CurrentValue) {
					case $this->nb_accessories->FldTagValue(1):
						$this->nb_accessories->ViewValue = $this->nb_accessories->FldTagCaption(1) <> "" ? $this->nb_accessories->FldTagCaption(1) : $this->nb_accessories->CurrentValue;
						break;
					case $this->nb_accessories->FldTagValue(2):
						$this->nb_accessories->ViewValue = $this->nb_accessories->FldTagCaption(2) <> "" ? $this->nb_accessories->FldTagCaption(2) : $this->nb_accessories->CurrentValue;
						break;
					case $this->nb_accessories->FldTagValue(3):
						$this->nb_accessories->ViewValue = $this->nb_accessories->FldTagCaption(3) <> "" ? $this->nb_accessories->FldTagCaption(3) : $this->nb_accessories->CurrentValue;
						break;
					case $this->nb_accessories->FldTagValue(4):
						$this->nb_accessories->ViewValue = $this->nb_accessories->FldTagCaption(4) <> "" ? $this->nb_accessories->FldTagCaption(4) : $this->nb_accessories->CurrentValue;
						break;
					default:
						$this->nb_accessories->ViewValue = $this->nb_accessories->CurrentValue;
				}
			} else {
				$this->nb_accessories->ViewValue = NULL;
			}
			$this->nb_accessories->ViewCustomAttributes = "";

			// nb_os
			$this->nb_os->ViewValue = $this->nb_os->CurrentValue;
			$this->nb_os->ViewCustomAttributes = "";

			// nb_year
			$this->nb_year->ViewValue = $this->nb_year->CurrentValue;
			$this->nb_year->ViewCustomAttributes = "";

			// nb_date_recieve
			$this->nb_date_recieve->ViewValue = $this->nb_date_recieve->CurrentValue;
			$this->nb_date_recieve->ViewValue = ew_FormatDateTime($this->nb_date_recieve->ViewValue, 5);
			$this->nb_date_recieve->ViewCustomAttributes = "";

			// nb_contract_start
			$this->nb_contract_start->ViewValue = $this->nb_contract_start->CurrentValue;
			$this->nb_contract_start->ViewValue = ew_FormatDateTime($this->nb_contract_start->ViewValue, 5);
			$this->nb_contract_start->ViewCustomAttributes = "";

			// nb_warranty
			$this->nb_warranty->ViewValue = $this->nb_warranty->CurrentValue;
			$this->nb_warranty->ViewCustomAttributes = "";

			// nb_price
			$this->nb_price->ViewValue = $this->nb_price->CurrentValue;
			$this->nb_price->ViewCustomAttributes = "";

			// nb_origin
			if (strval($this->nb_origin->CurrentValue) <> "") {
				switch ($this->nb_origin->CurrentValue) {
					case $this->nb_origin->FldTagValue(1):
						$this->nb_origin->ViewValue = $this->nb_origin->FldTagCaption(1) <> "" ? $this->nb_origin->FldTagCaption(1) : $this->nb_origin->CurrentValue;
						break;
					case $this->nb_origin->FldTagValue(2):
						$this->nb_origin->ViewValue = $this->nb_origin->FldTagCaption(2) <> "" ? $this->nb_origin->FldTagCaption(2) : $this->nb_origin->CurrentValue;
						break;
					case $this->nb_origin->FldTagValue(3):
						$this->nb_origin->ViewValue = $this->nb_origin->FldTagCaption(3) <> "" ? $this->nb_origin->FldTagCaption(3) : $this->nb_origin->CurrentValue;
						break;
					case $this->nb_origin->FldTagValue(4):
						$this->nb_origin->ViewValue = $this->nb_origin->FldTagCaption(4) <> "" ? $this->nb_origin->FldTagCaption(4) : $this->nb_origin->CurrentValue;
						break;
					default:
						$this->nb_origin->ViewValue = $this->nb_origin->CurrentValue;
				}
			} else {
				$this->nb_origin->ViewValue = NULL;
			}
			$this->nb_origin->ViewCustomAttributes = "";

			// nb_present
			if (strval($this->nb_present->CurrentValue) <> "") {
				switch ($this->nb_present->CurrentValue) {
					case $this->nb_present->FldTagValue(1):
						$this->nb_present->ViewValue = $this->nb_present->FldTagCaption(1) <> "" ? $this->nb_present->FldTagCaption(1) : $this->nb_present->CurrentValue;
						break;
					case $this->nb_present->FldTagValue(2):
						$this->nb_present->ViewValue = $this->nb_present->FldTagCaption(2) <> "" ? $this->nb_present->FldTagCaption(2) : $this->nb_present->CurrentValue;
						break;
					case $this->nb_present->FldTagValue(3):
						$this->nb_present->ViewValue = $this->nb_present->FldTagCaption(3) <> "" ? $this->nb_present->FldTagCaption(3) : $this->nb_present->CurrentValue;
						break;
					case $this->nb_present->FldTagValue(4):
						$this->nb_present->ViewValue = $this->nb_present->FldTagCaption(4) <> "" ? $this->nb_present->FldTagCaption(4) : $this->nb_present->CurrentValue;
						break;
					case $this->nb_present->FldTagValue(5):
						$this->nb_present->ViewValue = $this->nb_present->FldTagCaption(5) <> "" ? $this->nb_present->FldTagCaption(5) : $this->nb_present->CurrentValue;
						break;
					case $this->nb_present->FldTagValue(6):
						$this->nb_present->ViewValue = $this->nb_present->FldTagCaption(6) <> "" ? $this->nb_present->FldTagCaption(6) : $this->nb_present->CurrentValue;
						break;
					case $this->nb_present->FldTagValue(7):
						$this->nb_present->ViewValue = $this->nb_present->FldTagCaption(7) <> "" ? $this->nb_present->FldTagCaption(7) : $this->nb_present->CurrentValue;
						break;
					case $this->nb_present->FldTagValue(8):
						$this->nb_present->ViewValue = $this->nb_present->FldTagCaption(8) <> "" ? $this->nb_present->FldTagCaption(8) : $this->nb_present->CurrentValue;
						break;
					case $this->nb_present->FldTagValue(9):
						$this->nb_present->ViewValue = $this->nb_present->FldTagCaption(9) <> "" ? $this->nb_present->FldTagCaption(9) : $this->nb_present->CurrentValue;
						break;
					case $this->nb_present->FldTagValue(10):
						$this->nb_present->ViewValue = $this->nb_present->FldTagCaption(10) <> "" ? $this->nb_present->FldTagCaption(10) : $this->nb_present->CurrentValue;
						break;
					case $this->nb_present->FldTagValue(11):
						$this->nb_present->ViewValue = $this->nb_present->FldTagCaption(11) <> "" ? $this->nb_present->FldTagCaption(11) : $this->nb_present->CurrentValue;
						break;
					case $this->nb_present->FldTagValue(12):
						$this->nb_present->ViewValue = $this->nb_present->FldTagCaption(12) <> "" ? $this->nb_present->FldTagCaption(12) : $this->nb_present->CurrentValue;
						break;
					case $this->nb_present->FldTagValue(13):
						$this->nb_present->ViewValue = $this->nb_present->FldTagCaption(13) <> "" ? $this->nb_present->FldTagCaption(13) : $this->nb_present->CurrentValue;
						break;
					default:
						$this->nb_present->ViewValue = $this->nb_present->CurrentValue;
				}
			} else {
				$this->nb_present->ViewValue = NULL;
			}
			$this->nb_present->ViewCustomAttributes = "";

			// nb_comment
			$this->nb_comment->ViewValue = $this->nb_comment->CurrentValue;
			$this->nb_comment->ViewCustomAttributes = "";

			// nb_id
			$this->nb_id->LinkCustomAttributes = "";
			$this->nb_id->HrefValue = "";
			$this->nb_id->TooltipValue = "";

			// court_id
			$this->court_id->LinkCustomAttributes = "";
			$this->court_id->HrefValue = "";
			$this->court_id->TooltipValue = "";

			// cont_id
			$this->cont_id->LinkCustomAttributes = "";
			$this->cont_id->HrefValue = "";
			$this->cont_id->TooltipValue = "";

			// plt_id
			$this->plt_id->LinkCustomAttributes = "";
			$this->plt_id->HrefValue = "";
			$this->plt_id->TooltipValue = "";

			// nb_number
			$this->nb_number->LinkCustomAttributes = "";
			$this->nb_number->HrefValue = "";
			$this->nb_number->TooltipValue = "";

			// nb_sn
			$this->nb_sn->LinkCustomAttributes = "";
			$this->nb_sn->HrefValue = "";
			$this->nb_sn->TooltipValue = "";

			// nb_brand
			$this->nb_brand->LinkCustomAttributes = "";
			$this->nb_brand->HrefValue = "";
			$this->nb_brand->TooltipValue = "";

			// mdt_id
			$this->mdt_id->LinkCustomAttributes = "";
			$this->mdt_id->HrefValue = "";
			$this->mdt_id->TooltipValue = "";

			// nb_hdd
			$this->nb_hdd->LinkCustomAttributes = "";
			$this->nb_hdd->HrefValue = "";
			$this->nb_hdd->TooltipValue = "";

			// nb_speed
			$this->nb_speed->LinkCustomAttributes = "";
			$this->nb_speed->HrefValue = "";
			$this->nb_speed->TooltipValue = "";

			// nb_ram
			$this->nb_ram->LinkCustomAttributes = "";
			$this->nb_ram->HrefValue = "";
			$this->nb_ram->TooltipValue = "";

			// nb_work
			$this->nb_work->LinkCustomAttributes = "";
			$this->nb_work->HrefValue = "";
			$this->nb_work->TooltipValue = "";

			// nb_accessories
			$this->nb_accessories->LinkCustomAttributes = "";
			$this->nb_accessories->HrefValue = "";
			$this->nb_accessories->TooltipValue = "";

			// nb_os
			$this->nb_os->LinkCustomAttributes = "";
			$this->nb_os->HrefValue = "";
			$this->nb_os->TooltipValue = "";

			// nb_year
			$this->nb_year->LinkCustomAttributes = "";
			$this->nb_year->HrefValue = "";
			$this->nb_year->TooltipValue = "";

			// nb_date_recieve
			$this->nb_date_recieve->LinkCustomAttributes = "";
			$this->nb_date_recieve->HrefValue = "";
			$this->nb_date_recieve->TooltipValue = "";

			// nb_contract_start
			$this->nb_contract_start->LinkCustomAttributes = "";
			$this->nb_contract_start->HrefValue = "";
			$this->nb_contract_start->TooltipValue = "";

			// nb_warranty
			$this->nb_warranty->LinkCustomAttributes = "";
			$this->nb_warranty->HrefValue = "";
			$this->nb_warranty->TooltipValue = "";

			// nb_price
			$this->nb_price->LinkCustomAttributes = "";
			$this->nb_price->HrefValue = "";
			$this->nb_price->TooltipValue = "";

			// nb_origin
			$this->nb_origin->LinkCustomAttributes = "";
			$this->nb_origin->HrefValue = "";
			$this->nb_origin->TooltipValue = "";

			// nb_present
			$this->nb_present->LinkCustomAttributes = "";
			$this->nb_present->HrefValue = "";
			$this->nb_present->TooltipValue = "";

			// nb_comment
			$this->nb_comment->LinkCustomAttributes = "";
			$this->nb_comment->HrefValue = "";
			$this->nb_comment->TooltipValue = "";
		}

		// Call Row Rendered event
		if ($this->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$this->Row_Rendered();
	}

	//
	// Delete records based on current filter
	//
	function DeleteRows() {
		global $conn, $Language, $Security;
		$DeleteRows = TRUE;
		$sSql = $this->SQL();
		$conn->raiseErrorFn = 'ew_ErrorFn';
		$rs = $conn->Execute($sSql);
		$conn->raiseErrorFn = '';
		if ($rs === FALSE) {
			return FALSE;
		} elseif ($rs->EOF) {
			$this->setFailureMessage($Language->Phrase("NoRecord")); // No record found
			$rs->Close();
			return FALSE;
		} else {
			$this->LoadRowValues($rs); // Load row values
		}
		$conn->BeginTrans();

		// Clone old rows
		$rsold = ($rs) ? $rs->GetRows() : array();
		if ($rs)
			$rs->Close();

		// Call row deleting event
		if ($DeleteRows) {
			foreach ($rsold as $row) {
				$DeleteRows = $this->Row_Deleting($row);
				if (!$DeleteRows) break;
			}
		}
		if ($DeleteRows) {
			$sKey = "";
			foreach ($rsold as $row) {
				$sThisKey = "";
				if ($sThisKey <> "") $sThisKey .= $GLOBALS["EW_COMPOSITE_KEY_SEPARATOR"];
				$sThisKey .= $row['nb_id'];
				$conn->raiseErrorFn = 'ew_ErrorFn';
				$DeleteRows = $this->Delete($row); // Delete
				$conn->raiseErrorFn = '';
				if ($DeleteRows === FALSE)
					break;
				if ($sKey <> "") $sKey .= ", ";
				$sKey .= $sThisKey;
			}
		} else {

			// Set up error message
			if ($this->getSuccessMessage() <> "" || $this->getFailureMessage() <> "") {

				// Use the message, do nothing
			} elseif ($this->CancelMessage <> "") {
				$this->setFailureMessage($this->CancelMessage);
				$this->CancelMessage = "";
			} else {
				$this->setFailureMessage($Language->Phrase("DeleteCancelled"));
			}
		}
		if ($DeleteRows) {
			$conn->CommitTrans(); // Commit the changes
		} else {
			$conn->RollbackTrans(); // Rollback changes
		}

		// Call Row Deleted event
		if ($DeleteRows) {
			foreach ($rsold as $row) {
				$this->Row_Deleted($row);
			}
		}
		return $DeleteRows;
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	// $type = ''|'success'|'failure'|'warning'
	function Message_Showing(&$msg, $type) {
		if ($type == 'success') {

			//$msg = "your success message";
		} elseif ($type == 'failure') {

			//$msg = "your failure message";
		} elseif ($type == 'warning') {

			//$msg = "your warning message";
		} else {

			//$msg = "your message";
		}
	}

	// Page Data Rendering event
	function Page_DataRendering(&$header) {

		// Example:
		//$header = "your header";

	}

	// Page Data Rendered event
	function Page_DataRendered(&$footer) {

		// Example:
		//$footer = "your footer";

	}
}
?>
<?php ew_Header(FALSE) ?>
<?php

// Create page object
if (!isset($tb_notebooks_delete)) $tb_notebooks_delete = new ctb_notebooks_delete();

// Page init
$tb_notebooks_delete->Page_Init();

// Page main
$tb_notebooks_delete->Page_Main();
?>
<?php include_once "header.php" ?>
<script type="text/javascript">

// Page object
var tb_notebooks_delete = new ew_Page("tb_notebooks_delete");
tb_notebooks_delete.PageID = "delete"; // Page ID
var EW_PAGE_ID = tb_notebooks_delete.PageID; // For backward compatibility

// Form object
var ftb_notebooksdelete = new ew_Form("ftb_notebooksdelete");

// Form_CustomValidate event
ftb_notebooksdelete.Form_CustomValidate =  
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }

// Use JavaScript validation or not
<?php if (EW_CLIENT_VALIDATE) { ?>
ftb_notebooksdelete.ValidateRequired = true;
<?php } else { ?>
ftb_notebooksdelete.ValidateRequired = false; 
<?php } ?>

// Dynamic selection lists
ftb_notebooksdelete.Lists["x_cont_id"] = {"LinkField":"x_cont_id","Ajax":null,"AutoFill":false,"DisplayFields":["x_cont_num","x_cont_project","",""],"ParentFields":[],"FilterFields":[],"Options":[]};
ftb_notebooksdelete.Lists["x_plt_id"] = {"LinkField":"x_plt_id","Ajax":null,"AutoFill":false,"DisplayFields":["x_plt_name","","",""],"ParentFields":[],"FilterFields":[],"Options":[]};
ftb_notebooksdelete.Lists["x_mdt_id"] = {"LinkField":"x_mdt_id","Ajax":true,"AutoFill":false,"DisplayFields":["x_mdt_name","","",""],"ParentFields":[],"FilterFields":[],"Options":[]};

// Form object for search
</script>
<script type="text/javascript">

// Write your client script here, no need to add script tags.
</script>
<?php

// Load records for display
if ($tb_notebooks_delete->Recordset = $tb_notebooks_delete->LoadRecordset())
	$tb_notebooks_deleteTotalRecs = $tb_notebooks_delete->Recordset->RecordCount(); // Get record count
if ($tb_notebooks_deleteTotalRecs <= 0) { // No record found, exit
	if ($tb_notebooks_delete->Recordset)
		$tb_notebooks_delete->Recordset->Close();
	$tb_notebooks_delete->Page_Terminate("tb_notebookslist.php"); // Return to list
}
?>
<p><span class="ewTitle ewTableTitle"><?php echo $Language->Phrase("Delete") ?>&nbsp;<?php echo $Language->Phrase("TblTypeTABLE") ?><?php echo $tb_notebooks->TableCaption() ?></span></p>
<p class="phpmaker"><a href="<?php echo $tb_notebooks->getReturnUrl() ?>"><?php echo $Language->Phrase("GoBack") ?></a></p>
<?php $tb_notebooks_delete->ShowPageHeader(); ?>
<?php
$tb_notebooks_delete->ShowMessage();
?>
<form name="ftb_notebooksdelete" id="ftb_notebooksdelete" class="ewForm" action="<?php echo ew_CurrentPage() ?>" method="post">
<p>
<input type="hidden" name="t" value="tb_notebooks">
<input type="hidden" name="a_delete" id="a_delete" value="D">
<?php foreach ($tb_notebooks_delete->RecKeys as $key) { ?>
<?php $keyvalue = is_array($key) ? implode($EW_COMPOSITE_KEY_SEPARATOR, $key) : $key; ?>
<input type="hidden" name="key_m[]" value="<?php echo ew_HtmlEncode($keyvalue) ?>">
<?php } ?>
<table class="ewGrid"><tr><td class="ewGridContent">
<div class="ewGridMiddlePanel">
<table cellspacing="0" id="tbl_tb_notebooksdelete" class="ewTable ewTableSeparate">
<?php echo $tb_notebooks->TableCustomInnerHtml ?>
	<thead>
	<tr class="ewTableHeader">
		<td><span id="elh_tb_notebooks_nb_id" class="tb_notebooks_nb_id"><?php echo $tb_notebooks->nb_id->FldCaption() ?></span></td>
		<td><span id="elh_tb_notebooks_court_id" class="tb_notebooks_court_id"><?php echo $tb_notebooks->court_id->FldCaption() ?></span></td>
		<td><span id="elh_tb_notebooks_cont_id" class="tb_notebooks_cont_id"><?php echo $tb_notebooks->cont_id->FldCaption() ?></span></td>
		<td><span id="elh_tb_notebooks_plt_id" class="tb_notebooks_plt_id"><?php echo $tb_notebooks->plt_id->FldCaption() ?></span></td>
		<td><span id="elh_tb_notebooks_nb_number" class="tb_notebooks_nb_number"><?php echo $tb_notebooks->nb_number->FldCaption() ?></span></td>
		<td><span id="elh_tb_notebooks_nb_sn" class="tb_notebooks_nb_sn"><?php echo $tb_notebooks->nb_sn->FldCaption() ?></span></td>
		<td><span id="elh_tb_notebooks_nb_brand" class="tb_notebooks_nb_brand"><?php echo $tb_notebooks->nb_brand->FldCaption() ?></span></td>
		<td><span id="elh_tb_notebooks_mdt_id" class="tb_notebooks_mdt_id"><?php echo $tb_notebooks->mdt_id->FldCaption() ?></span></td>
		<td><span id="elh_tb_notebooks_nb_hdd" class="tb_notebooks_nb_hdd"><?php echo $tb_notebooks->nb_hdd->FldCaption() ?></span></td>
		<td><span id="elh_tb_notebooks_nb_speed" class="tb_notebooks_nb_speed"><?php echo $tb_notebooks->nb_speed->FldCaption() ?></span></td>
		<td><span id="elh_tb_notebooks_nb_ram" class="tb_notebooks_nb_ram"><?php echo $tb_notebooks->nb_ram->FldCaption() ?></span></td>
		<td><span id="elh_tb_notebooks_nb_work" class="tb_notebooks_nb_work"><?php echo $tb_notebooks->nb_work->FldCaption() ?></span></td>
		<td><span id="elh_tb_notebooks_nb_accessories" class="tb_notebooks_nb_accessories"><?php echo $tb_notebooks->nb_accessories->FldCaption() ?></span></td>
		<td><span id="elh_tb_notebooks_nb_os" class="tb_notebooks_nb_os"><?php echo $tb_notebooks->nb_os->FldCaption() ?></span></td>
		<td><span id="elh_tb_notebooks_nb_year" class="tb_notebooks_nb_year"><?php echo $tb_notebooks->nb_year->FldCaption() ?></span></td>
		<td><span id="elh_tb_notebooks_nb_date_recieve" class="tb_notebooks_nb_date_recieve"><?php echo $tb_notebooks->nb_date_recieve->FldCaption() ?></span></td>
		<td><span id="elh_tb_notebooks_nb_contract_start" class="tb_notebooks_nb_contract_start"><?php echo $tb_notebooks->nb_contract_start->FldCaption() ?></span></td>
		<td><span id="elh_tb_notebooks_nb_warranty" class="tb_notebooks_nb_warranty"><?php echo $tb_notebooks->nb_warranty->FldCaption() ?></span></td>
		<td><span id="elh_tb_notebooks_nb_price" class="tb_notebooks_nb_price"><?php echo $tb_notebooks->nb_price->FldCaption() ?></span></td>
		<td><span id="elh_tb_notebooks_nb_origin" class="tb_notebooks_nb_origin"><?php echo $tb_notebooks->nb_origin->FldCaption() ?></span></td>
		<td><span id="elh_tb_notebooks_nb_present" class="tb_notebooks_nb_present"><?php echo $tb_notebooks->nb_present->FldCaption() ?></span></td>
		<td><span id="elh_tb_notebooks_nb_comment" class="tb_notebooks_nb_comment"><?php echo $tb_notebooks->nb_comment->FldCaption() ?></span></td>
	</tr>
	</thead>
	<tbody>
<?php
$tb_notebooks_delete->RecCnt = 0;
$i = 0;
while (!$tb_notebooks_delete->Recordset->EOF) {
	$tb_notebooks_delete->RecCnt++;
	$tb_notebooks_delete->RowCnt++;

	// Set row properties
	$tb_notebooks->ResetAttrs();
	$tb_notebooks->RowType = EW_ROWTYPE_VIEW; // View

	// Get the field contents
	$tb_notebooks_delete->LoadRowValues($tb_notebooks_delete->Recordset);

	// Render row
	$tb_notebooks_delete->RenderRow();
?>
	<tr<?php echo $tb_notebooks->RowAttributes() ?>>
		<td<?php echo $tb_notebooks->nb_id->CellAttributes() ?>><span id="el<?php echo $tb_notebooks_delete->RowCnt ?>_tb_notebooks_nb_id" class="tb_notebooks_nb_id">
<span<?php echo $tb_notebooks->nb_id->ViewAttributes() ?>>
<?php echo $tb_notebooks->nb_id->ListViewValue() ?></span>
</span></td>
		<td<?php echo $tb_notebooks->court_id->CellAttributes() ?>><span id="el<?php echo $tb_notebooks_delete->RowCnt ?>_tb_notebooks_court_id" class="tb_notebooks_court_id">
<span<?php echo $tb_notebooks->court_id->ViewAttributes() ?>>
<?php echo $tb_notebooks->court_id->ListViewValue() ?></span>
</span></td>
		<td<?php echo $tb_notebooks->cont_id->CellAttributes() ?>><span id="el<?php echo $tb_notebooks_delete->RowCnt ?>_tb_notebooks_cont_id" class="tb_notebooks_cont_id">
<span<?php echo $tb_notebooks->cont_id->ViewAttributes() ?>>
<?php echo $tb_notebooks->cont_id->ListViewValue() ?></span>
</span></td>
		<td<?php echo $tb_notebooks->plt_id->CellAttributes() ?>><span id="el<?php echo $tb_notebooks_delete->RowCnt ?>_tb_notebooks_plt_id" class="tb_notebooks_plt_id">
<span<?php echo $tb_notebooks->plt_id->ViewAttributes() ?>>
<?php echo $tb_notebooks->plt_id->ListViewValue() ?></span>
</span></td>
		<td<?php echo $tb_notebooks->nb_number->CellAttributes() ?>><span id="el<?php echo $tb_notebooks_delete->RowCnt ?>_tb_notebooks_nb_number" class="tb_notebooks_nb_number">
<span<?php echo $tb_notebooks->nb_number->ViewAttributes() ?>>
<?php echo $tb_notebooks->nb_number->ListViewValue() ?></span>
</span></td>
		<td<?php echo $tb_notebooks->nb_sn->CellAttributes() ?>><span id="el<?php echo $tb_notebooks_delete->RowCnt ?>_tb_notebooks_nb_sn" class="tb_notebooks_nb_sn">
<span<?php echo $tb_notebooks->nb_sn->ViewAttributes() ?>>
<?php echo $tb_notebooks->nb_sn->ListViewValue() ?></span>
</span></td>
		<td<?php echo $tb_notebooks->nb_brand->CellAttributes() ?>><span id="el<?php echo $tb_notebooks_delete->RowCnt ?>_tb_notebooks_nb_brand" class="tb_notebooks_nb_brand">
<span<?php echo $tb_notebooks->nb_brand->ViewAttributes() ?>>
<?php echo $tb_notebooks->nb_brand->ListViewValue() ?></span>
</span></td>
		<td<?php echo $tb_notebooks->mdt_id->CellAttributes() ?>><span id="el<?php echo $tb_notebooks_delete->RowCnt ?>_tb_notebooks_mdt_id" class="tb_notebooks_mdt_id">
<span<?php echo $tb_notebooks->mdt_id->ViewAttributes() ?>>
<?php echo $tb_notebooks->mdt_id->ListViewValue() ?></span>
</span></td>
		<td<?php echo $tb_notebooks->nb_hdd->CellAttributes() ?>><span id="el<?php echo $tb_notebooks_delete->RowCnt ?>_tb_notebooks_nb_hdd" class="tb_notebooks_nb_hdd">
<span<?php echo $tb_notebooks->nb_hdd->ViewAttributes() ?>>
<?php echo $tb_notebooks->nb_hdd->ListViewValue() ?></span>
</span></td>
		<td<?php echo $tb_notebooks->nb_speed->CellAttributes() ?>><span id="el<?php echo $tb_notebooks_delete->RowCnt ?>_tb_notebooks_nb_speed" class="tb_notebooks_nb_speed">
<span<?php echo $tb_notebooks->nb_speed->ViewAttributes() ?>>
<?php echo $tb_notebooks->nb_speed->ListViewValue() ?></span>
</span></td>
		<td<?php echo $tb_notebooks->nb_ram->CellAttributes() ?>><span id="el<?php echo $tb_notebooks_delete->RowCnt ?>_tb_notebooks_nb_ram" class="tb_notebooks_nb_ram">
<span<?php echo $tb_notebooks->nb_ram->ViewAttributes() ?>>
<?php echo $tb_notebooks->nb_ram->ListViewValue() ?></span>
</span></td>
		<td<?php echo $tb_notebooks->nb_work->CellAttributes() ?>><span id="el<?php echo $tb_notebooks_delete->RowCnt ?>_tb_notebooks_nb_work" class="tb_notebooks_nb_work">
<span<?php echo $tb_notebooks->nb_work->ViewAttributes() ?>>
<?php echo $tb_notebooks->nb_work->ListViewValue() ?></span>
</span></td>
		<td<?php echo $tb_notebooks->nb_accessories->CellAttributes() ?>><span id="el<?php echo $tb_notebooks_delete->RowCnt ?>_tb_notebooks_nb_accessories" class="tb_notebooks_nb_accessories">
<span<?php echo $tb_notebooks->nb_accessories->ViewAttributes() ?>>
<?php echo $tb_notebooks->nb_accessories->ListViewValue() ?></span>
</span></td>
		<td<?php echo $tb_notebooks->nb_os->CellAttributes() ?>><span id="el<?php echo $tb_notebooks_delete->RowCnt ?>_tb_notebooks_nb_os" class="tb_notebooks_nb_os">
<span<?php echo $tb_notebooks->nb_os->ViewAttributes() ?>>
<?php echo $tb_notebooks->nb_os->ListViewValue() ?></span>
</span></td>
		<td<?php echo $tb_notebooks->nb_year->CellAttributes() ?>><span id="el<?php echo $tb_notebooks_delete->RowCnt ?>_tb_notebooks_nb_year" class="tb_notebooks_nb_year">
<span<?php echo $tb_notebooks->nb_year->ViewAttributes() ?>>
<?php echo $tb_notebooks->nb_year->ListViewValue() ?></span>
</span></td>
		<td<?php echo $tb_notebooks->nb_date_recieve->CellAttributes() ?>><span id="el<?php echo $tb_notebooks_delete->RowCnt ?>_tb_notebooks_nb_date_recieve" class="tb_notebooks_nb_date_recieve">
<span<?php echo $tb_notebooks->nb_date_recieve->ViewAttributes() ?>>
<?php echo $tb_notebooks->nb_date_recieve->ListViewValue() ?></span>
</span></td>
		<td<?php echo $tb_notebooks->nb_contract_start->CellAttributes() ?>><span id="el<?php echo $tb_notebooks_delete->RowCnt ?>_tb_notebooks_nb_contract_start" class="tb_notebooks_nb_contract_start">
<span<?php echo $tb_notebooks->nb_contract_start->ViewAttributes() ?>>
<?php echo $tb_notebooks->nb_contract_start->ListViewValue() ?></span>
</span></td>
		<td<?php echo $tb_notebooks->nb_warranty->CellAttributes() ?>><span id="el<?php echo $tb_notebooks_delete->RowCnt ?>_tb_notebooks_nb_warranty" class="tb_notebooks_nb_warranty">
<span<?php echo $tb_notebooks->nb_warranty->ViewAttributes() ?>>
<?php echo $tb_notebooks->nb_warranty->ListViewValue() ?></span>
</span></td>
		<td<?php echo $tb_notebooks->nb_price->CellAttributes() ?>><span id="el<?php echo $tb_notebooks_delete->RowCnt ?>_tb_notebooks_nb_price" class="tb_notebooks_nb_price">
<span<?php echo $tb_notebooks->nb_price->ViewAttributes() ?>>
<?php echo $tb_notebooks->nb_price->ListViewValue() ?></span>
</span></td>
		<td<?php echo $tb_notebooks->nb_origin->CellAttributes() ?>><span id="el<?php echo $tb_notebooks_delete->RowCnt ?>_tb_notebooks_nb_origin" class="tb_notebooks_nb_origin">
<span<?php echo $tb_notebooks->nb_origin->ViewAttributes() ?>>
<?php echo $tb_notebooks->nb_origin->ListViewValue() ?></span>
</span></td>
		<td<?php echo $tb_notebooks->nb_present->CellAttributes() ?>><span id="el<?php echo $tb_notebooks_delete->RowCnt ?>_tb_notebooks_nb_present" class="tb_notebooks_nb_present">
<span<?php echo $tb_notebooks->nb_present->ViewAttributes() ?>>
<?php echo $tb_notebooks->nb_present->ListViewValue() ?></span>
</span></td>
		<td<?php echo $tb_notebooks->nb_comment->CellAttributes() ?>><span id="el<?php echo $tb_notebooks_delete->RowCnt ?>_tb_notebooks_nb_comment" class="tb_notebooks_nb_comment">
<span<?php echo $tb_notebooks->nb_comment->ViewAttributes() ?>>
<?php echo $tb_notebooks->nb_comment->ListViewValue() ?></span>
</span></td>
	</tr>
<?php
	$tb_notebooks_delete->Recordset->MoveNext();
}
$tb_notebooks_delete->Recordset->Close();
?>
</tbody>
</table>
</div>
</td></tr></table>
<p>
<input type="submit" name="Action" value="<?php echo ew_BtnCaption($Language->Phrase("DeleteBtn")) ?>">
</form>
<script type="text/javascript">
ftb_notebooksdelete.Init();
</script>
<?php
$tb_notebooks_delete->ShowPageFooter();
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
?>
<script type="text/javascript">

// Write your table-specific startup script here
// document.write("page loaded");

</script>
<?php include_once "footer.php" ?>
<?php
$tb_notebooks_delete->Page_Terminate();
?>
