<?php
if (session_id() == "") session_start(); // Initialize Session data
ob_start(); // Turn on output buffering
?>
<?php include_once "ewcfg9.php" ?>
<?php include_once "ewmysql9.php" ?>
<?php include_once "phpfn9.php" ?>
<?php include_once "tb_repairinfo.php" ?>
<?php include_once "userfn9.php" ?>
<?php

//
// Page class
//

$tb_repair_edit = NULL; // Initialize page object first

class ctb_repair_edit extends ctb_repair {

	// Page ID
	var $PageID = 'edit';

	// Project ID
	var $ProjectID = "{6072F4AB-8E55-4BED-87E8-94ADB1680AEB}";

	// Table name
	var $TableName = 'tb_repair';

	// Page object name
	var $PageObjName = 'tb_repair_edit';

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		if ($this->UseTokenInUrl) $PageUrl .= "t=" . $this->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_MESSAGE], $v);
	}

	function getFailureMessage() {
		return @$_SESSION[EW_SESSION_FAILURE_MESSAGE];
	}

	function setFailureMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_FAILURE_MESSAGE], $v);
	}

	function getSuccessMessage() {
		return @$_SESSION[EW_SESSION_SUCCESS_MESSAGE];
	}

	function setSuccessMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_SUCCESS_MESSAGE], $v);
	}

	function getWarningMessage() {
		return @$_SESSION[EW_SESSION_WARNING_MESSAGE];
	}

	function setWarningMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_WARNING_MESSAGE], $v);
	}

	// Show message
	function ShowMessage() {
		$hidden = FALSE;
		$html = "";

		// Message
		$sMessage = $this->getMessage();
		$this->Message_Showing($sMessage, "");
		if ($sMessage <> "") { // Message in Session, display
			$html .= "<p class=\"ewMessage\">" . $sMessage . "</p>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}

		// Warning message
		$sWarningMessage = $this->getWarningMessage();
		$this->Message_Showing($sWarningMessage, "warning");
		if ($sWarningMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewWarningIcon\"></td><td class=\"ewWarningMessage\">" . $sWarningMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_WARNING_MESSAGE] = ""; // Clear message in Session
		}

		// Success message
		$sSuccessMessage = $this->getSuccessMessage();
		$this->Message_Showing($sSuccessMessage, "success");
		if ($sSuccessMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewSuccessIcon\"></td><td class=\"ewSuccessMessage\">" . $sSuccessMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = ""; // Clear message in Session
		}

		// Failure message
		$sErrorMessage = $this->getFailureMessage();
		$this->Message_Showing($sErrorMessage, "failure");
		if ($sErrorMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewErrorIcon\"></td><td class=\"ewErrorMessage\">" . $sErrorMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_FAILURE_MESSAGE] = ""; // Clear message in Session
		}		
		echo "<div class=\"ewMessageDialog\"" . (($hidden) ? " style=\"display: none;\"" : "") . ">" . $html . "</div>";
	}
	var $PageHeader;
	var $PageFooter;

	// Show Page Header
	function ShowPageHeader() {
		$sHeader = $this->PageHeader;
		$this->Page_DataRendering($sHeader);
		if ($sHeader <> "") { // Header exists, display
			echo "<p class=\"phpmaker\">" . $sHeader . "</p>";
		}
	}

	// Show Page Footer
	function ShowPageFooter() {
		$sFooter = $this->PageFooter;
		$this->Page_DataRendered($sFooter);
		if ($sFooter <> "") { // Fotoer exists, display
			echo "<p class=\"phpmaker\">" . $sFooter . "</p>";
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm;
		if ($this->UseTokenInUrl) {
			if ($objForm)
				return ($this->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($this->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}

	//
	// Page class constructor
	//
	function __construct() {
		global $conn, $Language;
		$GLOBALS["Page"] = &$this;

		// Language object
		if (!isset($Language)) $Language = new cLanguage();

		// Parent constuctor
		parent::__construct();

		// Table object (tb_repair)
		if (!isset($GLOBALS["tb_repair"])) {
			$GLOBALS["tb_repair"] = &$this;
			$GLOBALS["Table"] = &$GLOBALS["tb_repair"];
		}

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'edit', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'tb_repair', TRUE);

		// Start timer
		if (!isset($GLOBALS["gTimer"])) $GLOBALS["gTimer"] = new cTimer();

		// Open connection
		if (!isset($conn)) $conn = ew_Connect();
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;

		// Create form object
		$objForm = new cFormObj();
		$this->CurrentAction = (@$_GET["a"] <> "") ? $_GET["a"] : @$_POST["a_list"];
		$this->rp_id->Visible = !$this->IsAdd() && !$this->IsCopy() && !$this->IsGridAdd();

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $conn;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();
		$this->Page_Redirecting($url);

		 // Close connection
		$conn->Close();

		// Go to URL if specified
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			header("Location: " . $url);
		}
		exit();
	}
	var $DbMasterFilter;
	var $DbDetailFilter;

	// 
	// Page main
	//
	function Page_Main() {
		global $objForm, $Language, $gsFormError;

		// Load key from QueryString
		if (@$_GET["rp_id"] <> "")
			$this->rp_id->setQueryStringValue($_GET["rp_id"]);

		// Process form if post back
		if (@$_POST["a_edit"] <> "") {
			$this->CurrentAction = $_POST["a_edit"]; // Get action code
			$this->LoadFormValues(); // Get form values
		} else {
			$this->CurrentAction = "I"; // Default action is display
		}

		// Check if valid key
		if ($this->rp_id->CurrentValue == "")
			$this->Page_Terminate("tb_repairlist.php"); // Invalid key, return to list

		// Validate form if post back
		if (@$_POST["a_edit"] <> "") {
			if (!$this->ValidateForm()) {
				$this->CurrentAction = ""; // Form error, reset action
				$this->setFailureMessage($gsFormError);
				$this->EventCancelled = TRUE; // Event cancelled
				$this->RestoreFormValues();
			}
		}
		switch ($this->CurrentAction) {
			case "I": // Get a record to display
				if (!$this->LoadRow()) { // Load record based on key
					if ($this->getFailureMessage() == "") $this->setFailureMessage($Language->Phrase("NoRecord")); // No record found
					$this->Page_Terminate("tb_repairlist.php"); // No matching record, return to list
				}
				break;
			Case "U": // Update
				$this->SendEmail = TRUE; // Send email on update success
				if ($this->EditRow()) { // Update record based on key
					if ($this->getSuccessMessage() == "")
						$this->setSuccessMessage($Language->Phrase("UpdateSuccess")); // Update success
					$sReturnUrl = $this->getReturnUrl();
					if (ew_GetPageName($sReturnUrl) == "tb_repairview.php")
						$sReturnUrl = $this->GetViewUrl(); // View paging, return to View page directly
					$this->Page_Terminate($sReturnUrl); // Return to caller
				} else {
					$this->EventCancelled = TRUE; // Event cancelled
					$this->RestoreFormValues(); // Restore form values if update failed
				}
		}

		// Render the record
		if ($this->CurrentAction == "F") { // Confirm page
			$this->RowType = EW_ROWTYPE_VIEW; // Render as View
		} else {
			$this->RowType = EW_ROWTYPE_EDIT; // Render as Edit
		}
		$this->ResetAttrs();
		$this->RenderRow();
	}

	// Get upload files
	function GetUploadFiles() {
		global $objForm;

		// Get upload data
		$index = $objForm->Index; // Save form index
		$objForm->Index = -1;
		$confirmPage = (strval($objForm->GetValue("a_confirm")) <> "");
		$objForm->Index = $index; // Restore form index
	}

	// Load form values
	function LoadFormValues() {

		// Load from form
		global $objForm;
		if (!$this->rp_id->FldIsDetailKey)
			$this->rp_id->setFormValue($objForm->GetValue("x_rp_id"));
		if (!$this->court_id->FldIsDetailKey) {
			$this->court_id->setFormValue($objForm->GetValue("x_court_id"));
		}
		if (!$this->equip_id->FldIsDetailKey) {
			$this->equip_id->setFormValue($objForm->GetValue("x_equip_id"));
		}
		if (!$this->rp_cause->FldIsDetailKey) {
			$this->rp_cause->setFormValue($objForm->GetValue("x_rp_cause"));
		}
		if (!$this->rp_date->FldIsDetailKey) {
			$this->rp_date->setFormValue($objForm->GetValue("x_rp_date"));
			$this->rp_date->CurrentValue = ew_UnFormatDateTime($this->rp_date->CurrentValue, 5);
		}
		if (!$this->rp_return_date->FldIsDetailKey) {
			$this->rp_return_date->setFormValue($objForm->GetValue("x_rp_return_date"));
			$this->rp_return_date->CurrentValue = ew_UnFormatDateTime($this->rp_return_date->CurrentValue, 5);
		}
		if (!$this->rp_comment->FldIsDetailKey) {
			$this->rp_comment->setFormValue($objForm->GetValue("x_rp_comment"));
		}
	}

	// Restore form values
	function RestoreFormValues() {
		global $objForm;
		$this->LoadRow();
		$this->rp_id->CurrentValue = $this->rp_id->FormValue;
		$this->court_id->CurrentValue = $this->court_id->FormValue;
		$this->equip_id->CurrentValue = $this->equip_id->FormValue;
		$this->rp_cause->CurrentValue = $this->rp_cause->FormValue;
		$this->rp_date->CurrentValue = $this->rp_date->FormValue;
		$this->rp_date->CurrentValue = ew_UnFormatDateTime($this->rp_date->CurrentValue, 5);
		$this->rp_return_date->CurrentValue = $this->rp_return_date->FormValue;
		$this->rp_return_date->CurrentValue = ew_UnFormatDateTime($this->rp_return_date->CurrentValue, 5);
		$this->rp_comment->CurrentValue = $this->rp_comment->FormValue;
	}

	// Load row based on key values
	function LoadRow() {
		global $conn, $Security, $Language;
		$sFilter = $this->KeyFilter();

		// Call Row Selecting event
		$this->Row_Selecting($sFilter);

		// Load SQL based on filter
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		global $conn;
		if (!$rs || $rs->EOF) return;

		// Call Row Selected event
		$row = &$rs->fields;
		$this->Row_Selected($row);
		$this->rp_id->setDbValue($rs->fields('rp_id'));
		$this->court_id->setDbValue($rs->fields('court_id'));
		$this->equip_id->setDbValue($rs->fields('equip_id'));
		$this->rp_cause->setDbValue($rs->fields('rp_cause'));
		$this->rp_date->setDbValue($rs->fields('rp_date'));
		$this->rp_return_date->setDbValue($rs->fields('rp_return_date'));
		$this->rp_comment->setDbValue($rs->fields('rp_comment'));
	}

	// Render row values based on field settings
	function RenderRow() {
		global $conn, $Security, $Language;
		global $gsLanguage;

		// Initialize URLs
		// Call Row_Rendering event

		$this->Row_Rendering();

		// Common render codes for all row types
		// rp_id
		// court_id
		// equip_id
		// rp_cause
		// rp_date
		// rp_return_date
		// rp_comment

		if ($this->RowType == EW_ROWTYPE_VIEW) { // View row

			// rp_id
			$this->rp_id->ViewValue = $this->rp_id->CurrentValue;
			$this->rp_id->ViewCustomAttributes = "";

			// court_id
			$this->court_id->ViewValue = $this->court_id->CurrentValue;
			$this->court_id->ViewCustomAttributes = "";

			// equip_id
			$this->equip_id->ViewValue = $this->equip_id->CurrentValue;
			$this->equip_id->ViewCustomAttributes = "";

			// rp_cause
			$this->rp_cause->ViewValue = $this->rp_cause->CurrentValue;
			$this->rp_cause->ViewCustomAttributes = "";

			// rp_date
			$this->rp_date->ViewValue = $this->rp_date->CurrentValue;
			$this->rp_date->ViewValue = ew_FormatDateTime($this->rp_date->ViewValue, 5);
			$this->rp_date->ViewCustomAttributes = "";

			// rp_return_date
			$this->rp_return_date->ViewValue = $this->rp_return_date->CurrentValue;
			$this->rp_return_date->ViewValue = ew_FormatDateTime($this->rp_return_date->ViewValue, 5);
			$this->rp_return_date->ViewCustomAttributes = "";

			// rp_comment
			$this->rp_comment->ViewValue = $this->rp_comment->CurrentValue;
			$this->rp_comment->ViewCustomAttributes = "";

			// rp_id
			$this->rp_id->LinkCustomAttributes = "";
			$this->rp_id->HrefValue = "";
			$this->rp_id->TooltipValue = "";

			// court_id
			$this->court_id->LinkCustomAttributes = "";
			$this->court_id->HrefValue = "";
			$this->court_id->TooltipValue = "";

			// equip_id
			$this->equip_id->LinkCustomAttributes = "";
			$this->equip_id->HrefValue = "";
			$this->equip_id->TooltipValue = "";

			// rp_cause
			$this->rp_cause->LinkCustomAttributes = "";
			$this->rp_cause->HrefValue = "";
			$this->rp_cause->TooltipValue = "";

			// rp_date
			$this->rp_date->LinkCustomAttributes = "";
			$this->rp_date->HrefValue = "";
			$this->rp_date->TooltipValue = "";

			// rp_return_date
			$this->rp_return_date->LinkCustomAttributes = "";
			$this->rp_return_date->HrefValue = "";
			$this->rp_return_date->TooltipValue = "";

			// rp_comment
			$this->rp_comment->LinkCustomAttributes = "";
			$this->rp_comment->HrefValue = "";
			$this->rp_comment->TooltipValue = "";
		} elseif ($this->RowType == EW_ROWTYPE_EDIT) { // Edit row

			// rp_id
			$this->rp_id->EditCustomAttributes = "";
			$this->rp_id->EditValue = $this->rp_id->CurrentValue;
			$this->rp_id->ViewCustomAttributes = "";

			// court_id
			$this->court_id->EditCustomAttributes = "";
			$this->court_id->EditValue = ew_HtmlEncode($this->court_id->CurrentValue);

			// equip_id
			$this->equip_id->EditCustomAttributes = "";
			$this->equip_id->EditValue = ew_HtmlEncode($this->equip_id->CurrentValue);

			// rp_cause
			$this->rp_cause->EditCustomAttributes = "";
			$this->rp_cause->EditValue = ew_HtmlEncode($this->rp_cause->CurrentValue);

			// rp_date
			$this->rp_date->EditCustomAttributes = "";
			$this->rp_date->EditValue = ew_HtmlEncode(ew_FormatDateTime($this->rp_date->CurrentValue, 5));

			// rp_return_date
			$this->rp_return_date->EditCustomAttributes = "";
			$this->rp_return_date->EditValue = ew_HtmlEncode(ew_FormatDateTime($this->rp_return_date->CurrentValue, 5));

			// rp_comment
			$this->rp_comment->EditCustomAttributes = "";
			$this->rp_comment->EditValue = ew_HtmlEncode($this->rp_comment->CurrentValue);

			// Edit refer script
			// rp_id

			$this->rp_id->HrefValue = "";

			// court_id
			$this->court_id->HrefValue = "";

			// equip_id
			$this->equip_id->HrefValue = "";

			// rp_cause
			$this->rp_cause->HrefValue = "";

			// rp_date
			$this->rp_date->HrefValue = "";

			// rp_return_date
			$this->rp_return_date->HrefValue = "";

			// rp_comment
			$this->rp_comment->HrefValue = "";
		}
		if ($this->RowType == EW_ROWTYPE_ADD ||
			$this->RowType == EW_ROWTYPE_EDIT ||
			$this->RowType == EW_ROWTYPE_SEARCH) { // Add / Edit / Search row
			$this->SetupFieldTitles();
		}

		// Call Row Rendered event
		if ($this->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$this->Row_Rendered();
	}

	// Validate form
	function ValidateForm() {
		global $Language, $gsFormError;

		// Initialize form error message
		$gsFormError = "";

		// Check if validation required
		if (!EW_SERVER_VALIDATE)
			return ($gsFormError == "");
		if (!is_null($this->court_id->FormValue) && $this->court_id->FormValue == "") {
			ew_AddMessage($gsFormError, $Language->Phrase("EnterRequiredField") . " - " . $this->court_id->FldCaption());
		}
		if (!ew_CheckDate($this->rp_date->FormValue)) {
			ew_AddMessage($gsFormError, $this->rp_date->FldErrMsg());
		}
		if (!ew_CheckDate($this->rp_return_date->FormValue)) {
			ew_AddMessage($gsFormError, $this->rp_return_date->FldErrMsg());
		}

		// Return validate result
		$ValidateForm = ($gsFormError == "");

		// Call Form_CustomValidate event
		$sFormCustomError = "";
		$ValidateForm = $ValidateForm && $this->Form_CustomValidate($sFormCustomError);
		if ($sFormCustomError <> "") {
			ew_AddMessage($gsFormError, $sFormCustomError);
		}
		return $ValidateForm;
	}

	// Update record based on key values
	function EditRow() {
		global $conn, $Security, $Language;
		$sFilter = $this->KeyFilter();
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$conn->raiseErrorFn = 'ew_ErrorFn';
		$rs = $conn->Execute($sSql);
		$conn->raiseErrorFn = '';
		if ($rs === FALSE)
			return FALSE;
		if ($rs->EOF) {
			$EditRow = FALSE; // Update Failed
		} else {

			// Save old values
			$rsold = &$rs->fields;
			$rsnew = array();

			// court_id
			$this->court_id->SetDbValueDef($rsnew, $this->court_id->CurrentValue, NULL, $this->court_id->ReadOnly);

			// equip_id
			$this->equip_id->SetDbValueDef($rsnew, $this->equip_id->CurrentValue, NULL, $this->equip_id->ReadOnly);

			// rp_cause
			$this->rp_cause->SetDbValueDef($rsnew, $this->rp_cause->CurrentValue, NULL, $this->rp_cause->ReadOnly);

			// rp_date
			$this->rp_date->SetDbValueDef($rsnew, ew_UnFormatDateTime($this->rp_date->CurrentValue, 5), NULL, $this->rp_date->ReadOnly);

			// rp_return_date
			$this->rp_return_date->SetDbValueDef($rsnew, ew_UnFormatDateTime($this->rp_return_date->CurrentValue, 5), NULL, $this->rp_return_date->ReadOnly);

			// rp_comment
			$this->rp_comment->SetDbValueDef($rsnew, $this->rp_comment->CurrentValue, NULL, $this->rp_comment->ReadOnly);

			// Call Row Updating event
			$bUpdateRow = $this->Row_Updating($rsold, $rsnew);
			if ($bUpdateRow) {
				$conn->raiseErrorFn = 'ew_ErrorFn';
				if (count($rsnew) > 0)
					$EditRow = $this->Update($rsnew);
				else
					$EditRow = TRUE; // No field to update
				$conn->raiseErrorFn = '';
			} else {
				if ($this->getSuccessMessage() <> "" || $this->getFailureMessage() <> "") {

					// Use the message, do nothing
				} elseif ($this->CancelMessage <> "") {
					$this->setFailureMessage($this->CancelMessage);
					$this->CancelMessage = "";
				} else {
					$this->setFailureMessage($Language->Phrase("UpdateCancelled"));
				}
				$EditRow = FALSE;
			}
		}

		// Call Row_Updated event
		if ($EditRow)
			$this->Row_Updated($rsold, $rsnew);
		$rs->Close();
		return $EditRow;
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	// $type = ''|'success'|'failure'|'warning'
	function Message_Showing(&$msg, $type) {
		if ($type == 'success') {

			//$msg = "your success message";
		} elseif ($type == 'failure') {

			//$msg = "your failure message";
		} elseif ($type == 'warning') {

			//$msg = "your warning message";
		} else {

			//$msg = "your message";
		}
	}

	// Page Data Rendering event
	function Page_DataRendering(&$header) {

		// Example:
		//$header = "your header";

	}

	// Page Data Rendered event
	function Page_DataRendered(&$footer) {

		// Example:
		//$footer = "your footer";

	}

	// Form Custom Validate event
	function Form_CustomValidate(&$CustomError) {

		// Return error message in CustomError
		return TRUE;
	}
}
?>
<?php ew_Header(FALSE) ?>
<?php

// Create page object
if (!isset($tb_repair_edit)) $tb_repair_edit = new ctb_repair_edit();

// Page init
$tb_repair_edit->Page_Init();

// Page main
$tb_repair_edit->Page_Main();
?>
<?php include_once "header.php" ?>
<script type="text/javascript">

// Page object
var tb_repair_edit = new ew_Page("tb_repair_edit");
tb_repair_edit.PageID = "edit"; // Page ID
var EW_PAGE_ID = tb_repair_edit.PageID; // For backward compatibility

// Form object
var ftb_repairedit = new ew_Form("ftb_repairedit");

// Validate form
ftb_repairedit.Validate = function(fobj) {
	if (!this.ValidateRequired)
		return true; // Ignore validation
	fobj = fobj || this.Form;
	this.PostAutoSuggest();	
	if (fobj.a_confirm && fobj.a_confirm.value == "F")
		return true;
	var elm, aelm;
	var rowcnt = 1;
	var startcnt = (rowcnt == 0) ? 0 : 1; // rowcnt == 0 => Inline-Add
	for (var i = startcnt; i <= rowcnt; i++) {
		var infix = "";
		elm = fobj.elements["x" + infix + "_court_id"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tb_repair->court_id->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_rp_date"];
		if (elm && !ew_CheckDate(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_repair->rp_date->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_rp_return_date"];
		if (elm && !ew_CheckDate(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_repair->rp_return_date->FldErrMsg()) ?>");

		// Set up row object
		ew_ElementsToRow(fobj, infix);

		// Fire Form_CustomValidate event
		if (!this.Form_CustomValidate(fobj))
			return false;
	}

	// Process detail page
	if (fobj.detailpage && fobj.detailpage.value && ewForms[fobj.detailpage.value])
		return ewForms[fobj.detailpage.value].Validate(fobj);
	return true;
}

// Form_CustomValidate event
ftb_repairedit.Form_CustomValidate =  
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }

// Use JavaScript validation or not
<?php if (EW_CLIENT_VALIDATE) { ?>
ftb_repairedit.ValidateRequired = true;
<?php } else { ?>
ftb_repairedit.ValidateRequired = false; 
<?php } ?>

// Dynamic selection lists
// Form object for search

</script>
<script type="text/javascript">

// Write your client script here, no need to add script tags.
</script>
<p><span class="ewTitle ewTableTitle"><?php echo $Language->Phrase("Edit") ?>&nbsp;<?php echo $Language->Phrase("TblTypeTABLE") ?><?php echo $tb_repair->TableCaption() ?></span></p>
<p class="phpmaker"><a href="<?php echo $tb_repair->getReturnUrl() ?>"><?php echo $Language->Phrase("GoBack") ?></a></p>
<?php $tb_repair_edit->ShowPageHeader(); ?>
<?php
$tb_repair_edit->ShowMessage();
?>
<form name="ftb_repairedit" id="ftb_repairedit" class="ewForm" action="<?php echo ew_CurrentPage() ?>" method="post" onsubmit="return ewForms[this.id].Submit();">
<p>
<input type="hidden" name="t" value="tb_repair">
<input type="hidden" name="a_edit" id="a_edit" value="U">
<?php if ($tb_repair->CurrentAction == "F") { // Confirm page ?>
<input type="hidden" name="a_confirm" id="a_confirm" value="F">
<?php } ?>
<table cellspacing="0" class="ewGrid"><tr><td class="ewGridContent">
<div class="ewGridMiddlePanel">
<table cellspacing="0" id="tbl_tb_repairedit" class="ewTable">
<?php if ($tb_repair->rp_id->Visible) { // rp_id ?>
	<tr id="r_rp_id"<?php echo $tb_repair->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_repair_rp_id"><?php echo $tb_repair->rp_id->FldCaption() ?></span></td>
		<td<?php echo $tb_repair->rp_id->CellAttributes() ?>><span id="el_tb_repair_rp_id">
<?php if ($tb_repair->CurrentAction <> "F") { ?>
<span<?php echo $tb_repair->rp_id->ViewAttributes() ?>>
<?php echo $tb_repair->rp_id->EditValue ?></span>
<input type="hidden" name="x_rp_id" id="x_rp_id" value="<?php echo ew_HtmlEncode($tb_repair->rp_id->CurrentValue) ?>">
<?php } else { ?>
<span<?php echo $tb_repair->rp_id->ViewAttributes() ?>>
<?php echo $tb_repair->rp_id->ViewValue ?></span>
<input type="hidden" name="x_rp_id" id="x_rp_id" value="<?php echo ew_HtmlEncode($tb_repair->rp_id->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_repair->rp_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_repair->court_id->Visible) { // court_id ?>
	<tr id="r_court_id"<?php echo $tb_repair->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_repair_court_id"><?php echo $tb_repair->court_id->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></span></td>
		<td<?php echo $tb_repair->court_id->CellAttributes() ?>><span id="el_tb_repair_court_id">
<?php if ($tb_repair->CurrentAction <> "F") { ?>
<input type="text" name="x_court_id" id="x_court_id" size="30" maxlength="10" value="<?php echo $tb_repair->court_id->EditValue ?>"<?php echo $tb_repair->court_id->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_repair->court_id->ViewAttributes() ?>>
<?php echo $tb_repair->court_id->ViewValue ?></span>
<input type="hidden" name="x_court_id" id="x_court_id" value="<?php echo ew_HtmlEncode($tb_repair->court_id->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_repair->court_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_repair->equip_id->Visible) { // equip_id ?>
	<tr id="r_equip_id"<?php echo $tb_repair->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_repair_equip_id"><?php echo $tb_repair->equip_id->FldCaption() ?></span></td>
		<td<?php echo $tb_repair->equip_id->CellAttributes() ?>><span id="el_tb_repair_equip_id">
<?php if ($tb_repair->CurrentAction <> "F") { ?>
<input type="text" name="x_equip_id" id="x_equip_id" size="30" maxlength="10" value="<?php echo $tb_repair->equip_id->EditValue ?>"<?php echo $tb_repair->equip_id->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_repair->equip_id->ViewAttributes() ?>>
<?php echo $tb_repair->equip_id->ViewValue ?></span>
<input type="hidden" name="x_equip_id" id="x_equip_id" value="<?php echo ew_HtmlEncode($tb_repair->equip_id->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_repair->equip_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_repair->rp_cause->Visible) { // rp_cause ?>
	<tr id="r_rp_cause"<?php echo $tb_repair->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_repair_rp_cause"><?php echo $tb_repair->rp_cause->FldCaption() ?></span></td>
		<td<?php echo $tb_repair->rp_cause->CellAttributes() ?>><span id="el_tb_repair_rp_cause">
<?php if ($tb_repair->CurrentAction <> "F") { ?>
<input type="text" name="x_rp_cause" id="x_rp_cause" size="30" maxlength="200" value="<?php echo $tb_repair->rp_cause->EditValue ?>"<?php echo $tb_repair->rp_cause->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_repair->rp_cause->ViewAttributes() ?>>
<?php echo $tb_repair->rp_cause->ViewValue ?></span>
<input type="hidden" name="x_rp_cause" id="x_rp_cause" value="<?php echo ew_HtmlEncode($tb_repair->rp_cause->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_repair->rp_cause->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_repair->rp_date->Visible) { // rp_date ?>
	<tr id="r_rp_date"<?php echo $tb_repair->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_repair_rp_date"><?php echo $tb_repair->rp_date->FldCaption() ?></span></td>
		<td<?php echo $tb_repair->rp_date->CellAttributes() ?>><span id="el_tb_repair_rp_date">
<?php if ($tb_repair->CurrentAction <> "F") { ?>
<input type="text" name="x_rp_date" id="x_rp_date" value="<?php echo $tb_repair->rp_date->EditValue ?>"<?php echo $tb_repair->rp_date->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_repair->rp_date->ViewAttributes() ?>>
<?php echo $tb_repair->rp_date->ViewValue ?></span>
<input type="hidden" name="x_rp_date" id="x_rp_date" value="<?php echo ew_HtmlEncode($tb_repair->rp_date->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_repair->rp_date->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_repair->rp_return_date->Visible) { // rp_return_date ?>
	<tr id="r_rp_return_date"<?php echo $tb_repair->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_repair_rp_return_date"><?php echo $tb_repair->rp_return_date->FldCaption() ?></span></td>
		<td<?php echo $tb_repair->rp_return_date->CellAttributes() ?>><span id="el_tb_repair_rp_return_date">
<?php if ($tb_repair->CurrentAction <> "F") { ?>
<input type="text" name="x_rp_return_date" id="x_rp_return_date" value="<?php echo $tb_repair->rp_return_date->EditValue ?>"<?php echo $tb_repair->rp_return_date->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_repair->rp_return_date->ViewAttributes() ?>>
<?php echo $tb_repair->rp_return_date->ViewValue ?></span>
<input type="hidden" name="x_rp_return_date" id="x_rp_return_date" value="<?php echo ew_HtmlEncode($tb_repair->rp_return_date->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_repair->rp_return_date->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_repair->rp_comment->Visible) { // rp_comment ?>
	<tr id="r_rp_comment"<?php echo $tb_repair->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_repair_rp_comment"><?php echo $tb_repair->rp_comment->FldCaption() ?></span></td>
		<td<?php echo $tb_repair->rp_comment->CellAttributes() ?>><span id="el_tb_repair_rp_comment">
<?php if ($tb_repair->CurrentAction <> "F") { ?>
<input type="text" name="x_rp_comment" id="x_rp_comment" size="30" maxlength="200" value="<?php echo $tb_repair->rp_comment->EditValue ?>"<?php echo $tb_repair->rp_comment->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_repair->rp_comment->ViewAttributes() ?>>
<?php echo $tb_repair->rp_comment->ViewValue ?></span>
<input type="hidden" name="x_rp_comment" id="x_rp_comment" value="<?php echo ew_HtmlEncode($tb_repair->rp_comment->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_repair->rp_comment->CustomMsg ?></td>
	</tr>
<?php } ?>
</table>
</div>
</td></tr></table>
<p>
<?php if ($tb_repair->CurrentAction <> "F") { // Confirm page ?>
<input type="submit" name="btnAction" id="btnAction" value="<?php echo ew_BtnCaption($Language->Phrase("EditBtn")) ?>" onclick="this.form.a_edit.value='F';">
<?php } else { ?>
<input type="submit" name="btnCancel" id="btnCancel" value="<?php echo ew_BtnCaption($Language->Phrase("CancelBtn")) ?>" onclick="this.form.a_edit.value='X';">
<input type="submit" name="btnAction" id="btnAction" value="<?php echo ew_BtnCaption($Language->Phrase("ConfirmBtn")) ?>">
<?php } ?>
</form>
<script type="text/javascript">
ftb_repairedit.Init();
</script>
<?php
$tb_repair_edit->ShowPageFooter();
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
?>
<script type="text/javascript">

// Write your table-specific startup script here
// document.write("page loaded");

</script>
<?php include_once "footer.php" ?>
<?php
$tb_repair_edit->Page_Terminate();
?>
