<?php

// Global variable for table object
$tb_servers = NULL;

//
// Table class for tb_servers
//
class ctb_servers extends cTable {
	var $sv_id;
	var $court_id;
	var $svt_id;
	var $sv_sn;
	var $sv_number;
	var $sv_brand;
	var $sv_crop;
	var $sv_speed;
	var $sv_ram;
	var $sv_hdd;
	var $sv_os;
	var $sv_desc;
	var $sv_name;
	var $sv_usage;
	var $plt_id;
	var $sv_year;
	var $sv_date_recieve;
	var $sv_contract_date_start;
	var $sv_warranty;
	var $cont_id;
	var $sv_num_screen;
	var $sv_price;
	var $sv_origin;
	var $sv_present;
	var $sv_comment;

	//
	// Table class constructor
	//
	function __construct() {
		global $Language;

		// Language object
		if (!isset($Language)) $Language = new cLanguage();
		$this->TableVar = 'tb_servers';
		$this->TableName = 'tb_servers';
		$this->TableType = 'TABLE';
		$this->ExportAll = TRUE;
		$this->ExportPageBreakCount = 0; // Page break per every n record (PDF only)
		$this->ExportPageOrientation = "portrait"; // Page orientation (PDF only)
		$this->ExportPageSize = "a4"; // Page size (PDF only)
		$this->DetailAdd = FALSE; // Allow detail add
		$this->DetailEdit = FALSE; // Allow detail edit
		$this->GridAddRowCount = 5;
		$this->AllowAddDeleteRow = ew_AllowAddDeleteRow(); // Allow add/delete row

		// sv_id
		$this->sv_id = new cField('tb_servers', 'tb_servers', 'x_sv_id', 'sv_id', '`sv_id`', '`sv_id`', 200, -1, FALSE, '`sv_id`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['sv_id'] = &$this->sv_id;

		// court_id
		$this->court_id = new cField('tb_servers', 'tb_servers', 'x_court_id', 'court_id', '`court_id`', '`court_id`', 200, -1, FALSE, '`court_id`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['court_id'] = &$this->court_id;

		// svt_id
		$this->svt_id = new cField('tb_servers', 'tb_servers', 'x_svt_id', 'svt_id', '`svt_id`', '`svt_id`', 200, -1, FALSE, '`svt_id`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['svt_id'] = &$this->svt_id;

		// sv_sn
		$this->sv_sn = new cField('tb_servers', 'tb_servers', 'x_sv_sn', 'sv_sn', '`sv_sn`', '`sv_sn`', 200, -1, FALSE, '`sv_sn`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['sv_sn'] = &$this->sv_sn;

		// sv_number
		$this->sv_number = new cField('tb_servers', 'tb_servers', 'x_sv_number', 'sv_number', '`sv_number`', '`sv_number`', 200, -1, FALSE, '`sv_number`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['sv_number'] = &$this->sv_number;

		// sv_brand
		$this->sv_brand = new cField('tb_servers', 'tb_servers', 'x_sv_brand', 'sv_brand', '`sv_brand`', '`sv_brand`', 200, -1, FALSE, '`sv_brand`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['sv_brand'] = &$this->sv_brand;

		// sv_crop
		$this->sv_crop = new cField('tb_servers', 'tb_servers', 'x_sv_crop', 'sv_crop', '`sv_crop`', '`sv_crop`', 200, -1, FALSE, '`sv_crop`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['sv_crop'] = &$this->sv_crop;

		// sv_speed
		$this->sv_speed = new cField('tb_servers', 'tb_servers', 'x_sv_speed', 'sv_speed', '`sv_speed`', '`sv_speed`', 200, -1, FALSE, '`sv_speed`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['sv_speed'] = &$this->sv_speed;

		// sv_ram
		$this->sv_ram = new cField('tb_servers', 'tb_servers', 'x_sv_ram', 'sv_ram', '`sv_ram`', '`sv_ram`', 200, -1, FALSE, '`sv_ram`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['sv_ram'] = &$this->sv_ram;

		// sv_hdd
		$this->sv_hdd = new cField('tb_servers', 'tb_servers', 'x_sv_hdd', 'sv_hdd', '`sv_hdd`', '`sv_hdd`', 200, -1, FALSE, '`sv_hdd`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['sv_hdd'] = &$this->sv_hdd;

		// sv_os
		$this->sv_os = new cField('tb_servers', 'tb_servers', 'x_sv_os', 'sv_os', '`sv_os`', '`sv_os`', 200, -1, FALSE, '`sv_os`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['sv_os'] = &$this->sv_os;

		// sv_desc
		$this->sv_desc = new cField('tb_servers', 'tb_servers', 'x_sv_desc', 'sv_desc', '`sv_desc`', '`sv_desc`', 200, -1, FALSE, '`sv_desc`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['sv_desc'] = &$this->sv_desc;

		// sv_name
		$this->sv_name = new cField('tb_servers', 'tb_servers', 'x_sv_name', 'sv_name', '`sv_name`', '`sv_name`', 200, -1, FALSE, '`sv_name`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['sv_name'] = &$this->sv_name;

		// sv_usage
		$this->sv_usage = new cField('tb_servers', 'tb_servers', 'x_sv_usage', 'sv_usage', '`sv_usage`', '`sv_usage`', 200, -1, FALSE, '`sv_usage`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['sv_usage'] = &$this->sv_usage;

		// plt_id
		$this->plt_id = new cField('tb_servers', 'tb_servers', 'x_plt_id', 'plt_id', '`plt_id`', '`plt_id`', 200, -1, FALSE, '`plt_id`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['plt_id'] = &$this->plt_id;

		// sv_year
		$this->sv_year = new cField('tb_servers', 'tb_servers', 'x_sv_year', 'sv_year', '`sv_year`', '`sv_year`', 200, -1, FALSE, '`sv_year`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['sv_year'] = &$this->sv_year;

		// sv_date_recieve
		$this->sv_date_recieve = new cField('tb_servers', 'tb_servers', 'x_sv_date_recieve', 'sv_date_recieve', '`sv_date_recieve`', 'DATE_FORMAT(`sv_date_recieve`, \'%Y/%m/%d %H:%i:%s\')', 133, 5, FALSE, '`sv_date_recieve`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->sv_date_recieve->FldDefaultErrMsg = str_replace("%s", "/", $Language->Phrase("IncorrectDateYMD"));
		$this->fields['sv_date_recieve'] = &$this->sv_date_recieve;

		// sv_contract_date_start
		$this->sv_contract_date_start = new cField('tb_servers', 'tb_servers', 'x_sv_contract_date_start', 'sv_contract_date_start', '`sv_contract_date_start`', 'DATE_FORMAT(`sv_contract_date_start`, \'%Y/%m/%d %H:%i:%s\')', 133, 5, FALSE, '`sv_contract_date_start`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->sv_contract_date_start->FldDefaultErrMsg = str_replace("%s", "/", $Language->Phrase("IncorrectDateYMD"));
		$this->fields['sv_contract_date_start'] = &$this->sv_contract_date_start;

		// sv_warranty
		$this->sv_warranty = new cField('tb_servers', 'tb_servers', 'x_sv_warranty', 'sv_warranty', '`sv_warranty`', '`sv_warranty`', 131, -1, FALSE, '`sv_warranty`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->sv_warranty->FldDefaultErrMsg = $Language->Phrase("IncorrectFloat");
		$this->fields['sv_warranty'] = &$this->sv_warranty;

		// cont_id
		$this->cont_id = new cField('tb_servers', 'tb_servers', 'x_cont_id', 'cont_id', '`cont_id`', '`cont_id`', 3, -1, FALSE, '`cont_id`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->cont_id->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['cont_id'] = &$this->cont_id;

		// sv_num_screen
		$this->sv_num_screen = new cField('tb_servers', 'tb_servers', 'x_sv_num_screen', 'sv_num_screen', '`sv_num_screen`', '`sv_num_screen`', 200, -1, FALSE, '`sv_num_screen`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['sv_num_screen'] = &$this->sv_num_screen;

		// sv_price
		$this->sv_price = new cField('tb_servers', 'tb_servers', 'x_sv_price', 'sv_price', '`sv_price`', '`sv_price`', 131, -1, FALSE, '`sv_price`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->sv_price->FldDefaultErrMsg = $Language->Phrase("IncorrectFloat");
		$this->fields['sv_price'] = &$this->sv_price;

		// sv_origin
		$this->sv_origin = new cField('tb_servers', 'tb_servers', 'x_sv_origin', 'sv_origin', '`sv_origin`', '`sv_origin`', 3, -1, FALSE, '`sv_origin`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->sv_origin->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['sv_origin'] = &$this->sv_origin;

		// sv_present
		$this->sv_present = new cField('tb_servers', 'tb_servers', 'x_sv_present', 'sv_present', '`sv_present`', '`sv_present`', 3, -1, FALSE, '`sv_present`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->sv_present->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['sv_present'] = &$this->sv_present;

		// sv_comment
		$this->sv_comment = new cField('tb_servers', 'tb_servers', 'x_sv_comment', 'sv_comment', '`sv_comment`', '`sv_comment`', 200, -1, FALSE, '`sv_comment`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['sv_comment'] = &$this->sv_comment;
	}

	// Single column sort
	function UpdateSort(&$ofld) {
		if ($this->CurrentOrder == $ofld->FldName) {
			$sSortField = $ofld->FldExpression;
			$sLastSort = $ofld->getSort();
			if ($this->CurrentOrderType == "ASC" || $this->CurrentOrderType == "DESC") {
				$sThisSort = $this->CurrentOrderType;
			} else {
				$sThisSort = ($sLastSort == "ASC") ? "DESC" : "ASC";
			}
			$ofld->setSort($sThisSort);
			$this->setSessionOrderBy($sSortField . " " . $sThisSort); // Save to Session
		} else {
			$ofld->setSort("");
		}
	}

	// Table level SQL
	function SqlFrom() { // From
		return "`tb_servers`";
	}

	function SqlSelect() { // Select
		return "SELECT * FROM " . $this->SqlFrom();
	}

	function SqlWhere() { // Where
		$sWhere = "";
		$this->TableFilter = "";
		ew_AddFilter($sWhere, $this->TableFilter);
		return $sWhere;
	}

	function SqlGroupBy() { // Group By
		return "";
	}

	function SqlHaving() { // Having
		return "";
	}

	function SqlOrderBy() { // Order By
		return "";
	}

	// Check if Anonymous User is allowed
	function AllowAnonymousUser() {
		switch (@$this->PageID) {
			case "add":
			case "register":
			case "addopt":
				return FALSE;
			case "edit":
			case "update":
			case "changepwd":
			case "forgotpwd":
				return FALSE;
			case "delete":
				return FALSE;
			case "view":
				return FALSE;
			case "search":
				return FALSE;
			default:
				return FALSE;
		}
	}

	// Apply User ID filters
	function ApplyUserIDFilters($sFilter) {
		return $sFilter;
	}

	// Check if User ID security allows view all
	function UserIDAllow($id = "") {
		return TRUE;
	}

	// Get SQL
	function GetSQL($where, $orderby) {
		return ew_BuildSelectSql($this->SqlSelect(), $this->SqlWhere(),
			$this->SqlGroupBy(), $this->SqlHaving(), $this->SqlOrderBy(),
			$where, $orderby);
	}

	// Table SQL
	function SQL() {
		$sFilter = $this->CurrentFilter;
		$sFilter = $this->ApplyUserIDFilters($sFilter);
		$sSort = $this->getSessionOrderBy();
		return ew_BuildSelectSql($this->SqlSelect(), $this->SqlWhere(),
			$this->SqlGroupBy(), $this->SqlHaving(), $this->SqlOrderBy(),
			$sFilter, $sSort);
	}

	// Table SQL with List page filter
	function SelectSQL() {
		$sFilter = $this->getSessionWhere();
		ew_AddFilter($sFilter, $this->CurrentFilter);
		$sFilter = $this->ApplyUserIDFilters($sFilter);
		$sSort = $this->getSessionOrderBy();
		return ew_BuildSelectSql($this->SqlSelect(), $this->SqlWhere(), $this->SqlGroupBy(),
			$this->SqlHaving(), $this->SqlOrderBy(), $sFilter, $sSort);
	}

	// Get ORDER BY clause
	function GetOrderBy() {
		$sSort = $this->getSessionOrderBy();
		return ew_BuildSelectSql("", "", "", "", $this->SqlOrderBy(), "", $sSort);
	}

	// Try to get record count
	function TryGetRecordCount($sSql) {
		global $conn;
		$cnt = -1;
		if ($this->TableType == 'TABLE' || $this->TableType == 'VIEW') {
			$sSql = "SELECT COUNT(*) FROM" . substr($sSql, 13);
			$sOrderBy = $this->GetOrderBy();
			if (substr($sSql, strlen($sOrderBy) * -1) == $sOrderBy)
				$sSql = substr($sSql, 0, strlen($sSql) - strlen($sOrderBy)); // Remove ORDER BY clause
		} else {
			$sSql = "SELECT COUNT(*) FROM (" . $sSql . ") EW_COUNT_TABLE";
		}
		if ($rs = $conn->Execute($sSql)) {
			if (!$rs->EOF && $rs->FieldCount() > 0) {
				$cnt = $rs->fields[0];
				$rs->Close();
			}
		}
		return intval($cnt);
	}

	// Get record count based on filter (for detail record count in master table pages)
	function LoadRecordCount($sFilter) {
		$origFilter = $this->CurrentFilter;
		$this->CurrentFilter = $sFilter;
		$this->Recordset_Selecting($this->CurrentFilter);

		//$sSql = $this->SQL();
		$sSql = $this->GetSQL($this->CurrentFilter, "");
		$cnt = $this->TryGetRecordCount($sSql);
		if ($cnt == -1) {
			if ($rs = $this->LoadRs($this->CurrentFilter)) {
				$cnt = $rs->RecordCount();
				$rs->Close();
			}
		}
		$this->CurrentFilter = $origFilter;
		return intval($cnt);
	}

	// Get record count (for current List page)
	function SelectRecordCount() {
		global $conn;
		$origFilter = $this->CurrentFilter;
		$this->Recordset_Selecting($this->CurrentFilter);
		$sSql = $this->SelectSQL();
		$cnt = $this->TryGetRecordCount($sSql);
		if ($cnt == -1) {
			if ($rs = $conn->Execute($sSql)) {
				$cnt = $rs->RecordCount();
				$rs->Close();
			}
		}
		$this->CurrentFilter = $origFilter;
		return intval($cnt);
	}

	// Update Table
	var $UpdateTable = "`tb_servers`";

	// INSERT statement
	function InsertSQL(&$rs) {
		global $conn;
		$names = "";
		$values = "";
		foreach ($rs as $name => $value) {
			if (!isset($this->fields[$name]))
				continue;
			$names .= $this->fields[$name]->FldExpression . ",";
			$values .= ew_QuotedValue($value, $this->fields[$name]->FldDataType) . ",";
		}
		while (substr($names, -1) == ",")
			$names = substr($names, 0, -1);
		while (substr($values, -1) == ",")
			$values = substr($values, 0, -1);
		return "INSERT INTO " . $this->UpdateTable . " ($names) VALUES ($values)";
	}

	// Insert
	function Insert(&$rs) {
		global $conn;
		return $conn->Execute($this->InsertSQL($rs));
	}

	// UPDATE statement
	function UpdateSQL(&$rs, $where = "") {
		$sql = "UPDATE " . $this->UpdateTable . " SET ";
		foreach ($rs as $name => $value) {
			if (!isset($this->fields[$name]))
				continue;
			$sql .= $this->fields[$name]->FldExpression . "=";
			$sql .= ew_QuotedValue($value, $this->fields[$name]->FldDataType) . ",";
		}
		while (substr($sql, -1) == ",")
			$sql = substr($sql, 0, -1);
		$filter = $this->CurrentFilter;
		ew_AddFilter($filter, $where);
		if ($filter <> "")	$sql .= " WHERE " . $filter;
		return $sql;
	}

	// Update
	function Update(&$rs, $where = "") {
		global $conn;
		return $conn->Execute($this->UpdateSQL($rs, $where));
	}

	// DELETE statement
	function DeleteSQL(&$rs, $where = "") {
		$sql = "DELETE FROM " . $this->UpdateTable . " WHERE ";
		if ($rs) {
			$sql .= ew_QuotedName('sv_id') . '=' . ew_QuotedValue($rs['sv_id'], $this->sv_id->FldDataType) . ' AND ';
		}
		if (substr($sql, -5) == " AND ") $sql = substr($sql, 0, -5);
		$filter = $this->CurrentFilter;
		ew_AddFilter($filter, $where);
		if ($filter <> "")	$sql .= " AND " . $filter;
		return $sql;
	}

	// Delete
	function Delete(&$rs, $where = "") {
		global $conn;
		return $conn->Execute($this->DeleteSQL($rs, $where));
	}

	// Key filter WHERE clause
	function SqlKeyFilter() {
		return "`sv_id` = '@sv_id@'";
	}

	// Key filter
	function KeyFilter() {
		$sKeyFilter = $this->SqlKeyFilter();
		$sKeyFilter = str_replace("@sv_id@", ew_AdjustSql($this->sv_id->CurrentValue), $sKeyFilter); // Replace key value
		return $sKeyFilter;
	}

	// Return page URL
	function getReturnUrl() {
		$name = EW_PROJECT_NAME . "_" . $this->TableVar . "_" . EW_TABLE_RETURN_URL;

		// Get referer URL automatically
		if (ew_ServerVar("HTTP_REFERER") <> "" && ew_ReferPage() <> ew_CurrentPage() && ew_ReferPage() <> "login.php") // Referer not same page or login page
			$_SESSION[$name] = ew_ServerVar("HTTP_REFERER"); // Save to Session
		if (@$_SESSION[$name] <> "") {
			return $_SESSION[$name];
		} else {
			return "tb_serverslist.php";
		}
	}

	function setReturnUrl($v) {
		$_SESSION[EW_PROJECT_NAME . "_" . $this->TableVar . "_" . EW_TABLE_RETURN_URL] = $v;
	}

	// List URL
	function GetListUrl() {
		return "tb_serverslist.php";
	}

	// View URL
	function GetViewUrl() {
		return $this->KeyUrl("tb_serversview.php", $this->UrlParm());
	}

	// Add URL
	function GetAddUrl() {
		return "tb_serversadd.php";
	}

	// Edit URL
	function GetEditUrl($parm = "") {
		return $this->KeyUrl("tb_serversedit.php", $this->UrlParm($parm));
	}

	// Inline edit URL
	function GetInlineEditUrl() {
		return $this->KeyUrl(ew_CurrentPage(), $this->UrlParm("a=edit"));
	}

	// Copy URL
	function GetCopyUrl($parm = "") {
		return $this->KeyUrl("tb_serversadd.php", $this->UrlParm($parm));
	}

	// Inline copy URL
	function GetInlineCopyUrl() {
		return $this->KeyUrl(ew_CurrentPage(), $this->UrlParm("a=copy"));
	}

	// Delete URL
	function GetDeleteUrl() {
		return $this->KeyUrl("tb_serversdelete.php", $this->UrlParm());
	}

	// Add key value to URL
	function KeyUrl($url, $parm = "") {
		$sUrl = $url . "?";
		if ($parm <> "") $sUrl .= $parm . "&";
		if (!is_null($this->sv_id->CurrentValue)) {
			$sUrl .= "sv_id=" . urlencode($this->sv_id->CurrentValue);
		} else {
			return "javascript:alert(ewLanguage.Phrase('InvalidRecord'));";
		}
		return $sUrl;
	}

	// Sort URL
	function SortUrl(&$fld) {
		if ($this->CurrentAction <> "" || $this->Export <> "" ||
			in_array($fld->FldType, array(128, 204, 205))) { // Unsortable data type
				return "";
		} elseif ($fld->Sortable) {
			$sUrlParm = $this->UrlParm("order=" . urlencode($fld->FldName) . "&ordertype=" . $fld->ReverseSort());
			return ew_CurrentPage() . "?" . $sUrlParm;
		} else {
			return "";
		}
	}

	// Get record keys from $_POST/$_GET/$_SESSION
	function GetRecordKeys() {
		global $EW_COMPOSITE_KEY_SEPARATOR;
		$arKeys = array();
		$arKey = array();
		if (isset($_POST["key_m"])) {
			$arKeys = ew_StripSlashes($_POST["key_m"]);
			$cnt = count($arKeys);
		} elseif (isset($_GET["key_m"])) {
			$arKeys = ew_StripSlashes($_GET["key_m"]);
			$cnt = count($arKeys);
		} elseif (isset($_GET)) {
			$arKeys[] = @$_GET["sv_id"]; // sv_id

			//return $arKeys; // do not return yet, so the values will also be checked by the following code
		}

		// check keys
		$ar = array();
		foreach ($arKeys as $key) {
			$ar[] = $key;
		}
		return $ar;
	}

	// Get key filter
	function GetKeyFilter() {
		$arKeys = $this->GetRecordKeys();
		$sKeyFilter = "";
		foreach ($arKeys as $key) {
			if ($sKeyFilter <> "") $sKeyFilter .= " OR ";
			$this->sv_id->CurrentValue = $key;
			$sKeyFilter .= "(" . $this->KeyFilter() . ")";
		}
		return $sKeyFilter;
	}

	// Load rows based on filter
	function &LoadRs($sFilter) {
		global $conn;

		// Set up filter (SQL WHERE clause) and get return SQL
		//$this->CurrentFilter = $sFilter;
		//$sSql = $this->SQL();

		$sSql = $this->GetSQL($sFilter, "");
		$rs = $conn->Execute($sSql);
		return $rs;
	}

	// Load row values from recordset
	function LoadListRowValues(&$rs) {
		$this->sv_id->setDbValue($rs->fields('sv_id'));
		$this->court_id->setDbValue($rs->fields('court_id'));
		$this->svt_id->setDbValue($rs->fields('svt_id'));
		$this->sv_sn->setDbValue($rs->fields('sv_sn'));
		$this->sv_number->setDbValue($rs->fields('sv_number'));
		$this->sv_brand->setDbValue($rs->fields('sv_brand'));
		$this->sv_crop->setDbValue($rs->fields('sv_crop'));
		$this->sv_speed->setDbValue($rs->fields('sv_speed'));
		$this->sv_ram->setDbValue($rs->fields('sv_ram'));
		$this->sv_hdd->setDbValue($rs->fields('sv_hdd'));
		$this->sv_os->setDbValue($rs->fields('sv_os'));
		$this->sv_desc->setDbValue($rs->fields('sv_desc'));
		$this->sv_name->setDbValue($rs->fields('sv_name'));
		$this->sv_usage->setDbValue($rs->fields('sv_usage'));
		$this->plt_id->setDbValue($rs->fields('plt_id'));
		$this->sv_year->setDbValue($rs->fields('sv_year'));
		$this->sv_date_recieve->setDbValue($rs->fields('sv_date_recieve'));
		$this->sv_contract_date_start->setDbValue($rs->fields('sv_contract_date_start'));
		$this->sv_warranty->setDbValue($rs->fields('sv_warranty'));
		$this->cont_id->setDbValue($rs->fields('cont_id'));
		$this->sv_num_screen->setDbValue($rs->fields('sv_num_screen'));
		$this->sv_price->setDbValue($rs->fields('sv_price'));
		$this->sv_origin->setDbValue($rs->fields('sv_origin'));
		$this->sv_present->setDbValue($rs->fields('sv_present'));
		$this->sv_comment->setDbValue($rs->fields('sv_comment'));
	}

	// Render list row values
	function RenderListRow() {
		global $conn, $Security;

		// Call Row Rendering event
		$this->Row_Rendering();

   // Common render codes
		// sv_id
		// court_id
		// svt_id
		// sv_sn
		// sv_number
		// sv_brand
		// sv_crop
		// sv_speed
		// sv_ram
		// sv_hdd
		// sv_os
		// sv_desc
		// sv_name
		// sv_usage
		// plt_id
		// sv_year
		// sv_date_recieve
		// sv_contract_date_start
		// sv_warranty
		// cont_id
		// sv_num_screen
		// sv_price
		// sv_origin
		// sv_present
		// sv_comment
		// sv_id

		$this->sv_id->ViewValue = $this->sv_id->CurrentValue;
		$this->sv_id->ViewCustomAttributes = "";

		// court_id
		$this->court_id->ViewValue = $this->court_id->CurrentValue;
		$this->court_id->ViewCustomAttributes = "";

		// svt_id
		$this->svt_id->ViewValue = $this->svt_id->CurrentValue;
		if (strval($this->svt_id->CurrentValue) <> "") {
			$sFilterWrk = "`svt_id`" . ew_SearchString("=", $this->svt_id->CurrentValue, EW_DATATYPE_STRING);
		$sSqlWrk = "SELECT `svt_id`, `svt_name` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_server_types`";
		$sWhereWrk = "";
		if ($sFilterWrk <> "") {
			ew_AddFilter($sWhereWrk, $sFilterWrk);
		}
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = $conn->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$this->svt_id->ViewValue = $rswrk->fields('DispFld');
				$rswrk->Close();
			} else {
				$this->svt_id->ViewValue = $this->svt_id->CurrentValue;
			}
		} else {
			$this->svt_id->ViewValue = NULL;
		}
		$this->svt_id->ViewCustomAttributes = "";

		// sv_sn
		$this->sv_sn->ViewValue = $this->sv_sn->CurrentValue;
		$this->sv_sn->ViewCustomAttributes = "";

		// sv_number
		$this->sv_number->ViewValue = $this->sv_number->CurrentValue;
		$this->sv_number->ViewCustomAttributes = "";

		// sv_brand
		$this->sv_brand->ViewValue = $this->sv_brand->CurrentValue;
		$this->sv_brand->ViewCustomAttributes = "";

		// sv_crop
		$this->sv_crop->ViewValue = $this->sv_crop->CurrentValue;
		$this->sv_crop->ViewCustomAttributes = "";

		// sv_speed
		$this->sv_speed->ViewValue = $this->sv_speed->CurrentValue;
		$this->sv_speed->ViewCustomAttributes = "";

		// sv_ram
		$this->sv_ram->ViewValue = $this->sv_ram->CurrentValue;
		$this->sv_ram->ViewCustomAttributes = "";

		// sv_hdd
		$this->sv_hdd->ViewValue = $this->sv_hdd->CurrentValue;
		$this->sv_hdd->ViewCustomAttributes = "";

		// sv_os
		$this->sv_os->ViewValue = $this->sv_os->CurrentValue;
		$this->sv_os->ViewCustomAttributes = "";

		// sv_desc
		$this->sv_desc->ViewValue = $this->sv_desc->CurrentValue;
		$this->sv_desc->ViewCustomAttributes = "";

		// sv_name
		$this->sv_name->ViewValue = $this->sv_name->CurrentValue;
		$this->sv_name->ViewCustomAttributes = "";

		// sv_usage
		$this->sv_usage->ViewValue = $this->sv_usage->CurrentValue;
		$this->sv_usage->ViewCustomAttributes = "";

		// plt_id
		if (strval($this->plt_id->CurrentValue) <> "") {
			$sFilterWrk = "`plt_id`" . ew_SearchString("=", $this->plt_id->CurrentValue, EW_DATATYPE_STRING);
		$sSqlWrk = "SELECT `plt_id`, `plt_name` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_place_types`";
		$sWhereWrk = "";
		if ($sFilterWrk <> "") {
			ew_AddFilter($sWhereWrk, $sFilterWrk);
		}
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = $conn->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$this->plt_id->ViewValue = $rswrk->fields('DispFld');
				$rswrk->Close();
			} else {
				$this->plt_id->ViewValue = $this->plt_id->CurrentValue;
			}
		} else {
			$this->plt_id->ViewValue = NULL;
		}
		$this->plt_id->ViewCustomAttributes = "";

		// sv_year
		$this->sv_year->ViewValue = $this->sv_year->CurrentValue;
		$this->sv_year->ViewCustomAttributes = "";

		// sv_date_recieve
		$this->sv_date_recieve->ViewValue = $this->sv_date_recieve->CurrentValue;
		$this->sv_date_recieve->ViewValue = ew_FormatDateTime($this->sv_date_recieve->ViewValue, 5);
		$this->sv_date_recieve->ViewCustomAttributes = "";

		// sv_contract_date_start
		$this->sv_contract_date_start->ViewValue = $this->sv_contract_date_start->CurrentValue;
		$this->sv_contract_date_start->ViewValue = ew_FormatDateTime($this->sv_contract_date_start->ViewValue, 5);
		$this->sv_contract_date_start->ViewCustomAttributes = "";

		// sv_warranty
		$this->sv_warranty->ViewValue = $this->sv_warranty->CurrentValue;
		$this->sv_warranty->ViewCustomAttributes = "";

		// cont_id
		if (strval($this->cont_id->CurrentValue) <> "") {
			$sFilterWrk = "`cont_id`" . ew_SearchString("=", $this->cont_id->CurrentValue, EW_DATATYPE_NUMBER);
		$sSqlWrk = "SELECT `cont_id`, `cont_num` AS `DispFld`, `cont_project` AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_contracts`";
		$sWhereWrk = "";
		if ($sFilterWrk <> "") {
			ew_AddFilter($sWhereWrk, $sFilterWrk);
		}
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = $conn->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$this->cont_id->ViewValue = $rswrk->fields('DispFld');
				$this->cont_id->ViewValue .= ew_ValueSeparator(1,$this->cont_id) . $rswrk->fields('Disp2Fld');
				$rswrk->Close();
			} else {
				$this->cont_id->ViewValue = $this->cont_id->CurrentValue;
			}
		} else {
			$this->cont_id->ViewValue = NULL;
		}
		$this->cont_id->ViewCustomAttributes = "";

		// sv_num_screen
		$this->sv_num_screen->ViewValue = $this->sv_num_screen->CurrentValue;
		$this->sv_num_screen->ViewCustomAttributes = "";

		// sv_price
		$this->sv_price->ViewValue = $this->sv_price->CurrentValue;
		$this->sv_price->ViewCustomAttributes = "";

		// sv_origin
		if (strval($this->sv_origin->CurrentValue) <> "") {
			switch ($this->sv_origin->CurrentValue) {
				case $this->sv_origin->FldTagValue(1):
					$this->sv_origin->ViewValue = $this->sv_origin->FldTagCaption(1) <> "" ? $this->sv_origin->FldTagCaption(1) : $this->sv_origin->CurrentValue;
					break;
				case $this->sv_origin->FldTagValue(2):
					$this->sv_origin->ViewValue = $this->sv_origin->FldTagCaption(2) <> "" ? $this->sv_origin->FldTagCaption(2) : $this->sv_origin->CurrentValue;
					break;
				case $this->sv_origin->FldTagValue(3):
					$this->sv_origin->ViewValue = $this->sv_origin->FldTagCaption(3) <> "" ? $this->sv_origin->FldTagCaption(3) : $this->sv_origin->CurrentValue;
					break;
				case $this->sv_origin->FldTagValue(4):
					$this->sv_origin->ViewValue = $this->sv_origin->FldTagCaption(4) <> "" ? $this->sv_origin->FldTagCaption(4) : $this->sv_origin->CurrentValue;
					break;
				default:
					$this->sv_origin->ViewValue = $this->sv_origin->CurrentValue;
			}
		} else {
			$this->sv_origin->ViewValue = NULL;
		}
		$this->sv_origin->ViewCustomAttributes = "";

		// sv_present
		if (strval($this->sv_present->CurrentValue) <> "") {
			switch ($this->sv_present->CurrentValue) {
				case $this->sv_present->FldTagValue(1):
					$this->sv_present->ViewValue = $this->sv_present->FldTagCaption(1) <> "" ? $this->sv_present->FldTagCaption(1) : $this->sv_present->CurrentValue;
					break;
				case $this->sv_present->FldTagValue(2):
					$this->sv_present->ViewValue = $this->sv_present->FldTagCaption(2) <> "" ? $this->sv_present->FldTagCaption(2) : $this->sv_present->CurrentValue;
					break;
				case $this->sv_present->FldTagValue(3):
					$this->sv_present->ViewValue = $this->sv_present->FldTagCaption(3) <> "" ? $this->sv_present->FldTagCaption(3) : $this->sv_present->CurrentValue;
					break;
				case $this->sv_present->FldTagValue(4):
					$this->sv_present->ViewValue = $this->sv_present->FldTagCaption(4) <> "" ? $this->sv_present->FldTagCaption(4) : $this->sv_present->CurrentValue;
					break;
				case $this->sv_present->FldTagValue(5):
					$this->sv_present->ViewValue = $this->sv_present->FldTagCaption(5) <> "" ? $this->sv_present->FldTagCaption(5) : $this->sv_present->CurrentValue;
					break;
				case $this->sv_present->FldTagValue(6):
					$this->sv_present->ViewValue = $this->sv_present->FldTagCaption(6) <> "" ? $this->sv_present->FldTagCaption(6) : $this->sv_present->CurrentValue;
					break;
				default:
					$this->sv_present->ViewValue = $this->sv_present->CurrentValue;
			}
		} else {
			$this->sv_present->ViewValue = NULL;
		}
		$this->sv_present->ViewCustomAttributes = "";

		// sv_comment
		$this->sv_comment->ViewValue = $this->sv_comment->CurrentValue;
		$this->sv_comment->ViewCustomAttributes = "";

		// sv_id
		$this->sv_id->LinkCustomAttributes = "";
		$this->sv_id->HrefValue = "";
		$this->sv_id->TooltipValue = "";

		// court_id
		$this->court_id->LinkCustomAttributes = "";
		$this->court_id->HrefValue = "";
		$this->court_id->TooltipValue = "";

		// svt_id
		$this->svt_id->LinkCustomAttributes = "";
		$this->svt_id->HrefValue = "";
		$this->svt_id->TooltipValue = "";

		// sv_sn
		$this->sv_sn->LinkCustomAttributes = "";
		$this->sv_sn->HrefValue = "";
		$this->sv_sn->TooltipValue = "";

		// sv_number
		$this->sv_number->LinkCustomAttributes = "";
		$this->sv_number->HrefValue = "";
		$this->sv_number->TooltipValue = "";

		// sv_brand
		$this->sv_brand->LinkCustomAttributes = "";
		$this->sv_brand->HrefValue = "";
		$this->sv_brand->TooltipValue = "";

		// sv_crop
		$this->sv_crop->LinkCustomAttributes = "";
		$this->sv_crop->HrefValue = "";
		$this->sv_crop->TooltipValue = "";

		// sv_speed
		$this->sv_speed->LinkCustomAttributes = "";
		$this->sv_speed->HrefValue = "";
		$this->sv_speed->TooltipValue = "";

		// sv_ram
		$this->sv_ram->LinkCustomAttributes = "";
		$this->sv_ram->HrefValue = "";
		$this->sv_ram->TooltipValue = "";

		// sv_hdd
		$this->sv_hdd->LinkCustomAttributes = "";
		$this->sv_hdd->HrefValue = "";
		$this->sv_hdd->TooltipValue = "";

		// sv_os
		$this->sv_os->LinkCustomAttributes = "";
		$this->sv_os->HrefValue = "";
		$this->sv_os->TooltipValue = "";

		// sv_desc
		$this->sv_desc->LinkCustomAttributes = "";
		$this->sv_desc->HrefValue = "";
		$this->sv_desc->TooltipValue = "";

		// sv_name
		$this->sv_name->LinkCustomAttributes = "";
		$this->sv_name->HrefValue = "";
		$this->sv_name->TooltipValue = "";

		// sv_usage
		$this->sv_usage->LinkCustomAttributes = "";
		$this->sv_usage->HrefValue = "";
		$this->sv_usage->TooltipValue = "";

		// plt_id
		$this->plt_id->LinkCustomAttributes = "";
		$this->plt_id->HrefValue = "";
		$this->plt_id->TooltipValue = "";

		// sv_year
		$this->sv_year->LinkCustomAttributes = "";
		$this->sv_year->HrefValue = "";
		$this->sv_year->TooltipValue = "";

		// sv_date_recieve
		$this->sv_date_recieve->LinkCustomAttributes = "";
		$this->sv_date_recieve->HrefValue = "";
		$this->sv_date_recieve->TooltipValue = "";

		// sv_contract_date_start
		$this->sv_contract_date_start->LinkCustomAttributes = "";
		$this->sv_contract_date_start->HrefValue = "";
		$this->sv_contract_date_start->TooltipValue = "";

		// sv_warranty
		$this->sv_warranty->LinkCustomAttributes = "";
		$this->sv_warranty->HrefValue = "";
		$this->sv_warranty->TooltipValue = "";

		// cont_id
		$this->cont_id->LinkCustomAttributes = "";
		$this->cont_id->HrefValue = "";
		$this->cont_id->TooltipValue = "";

		// sv_num_screen
		$this->sv_num_screen->LinkCustomAttributes = "";
		$this->sv_num_screen->HrefValue = "";
		$this->sv_num_screen->TooltipValue = "";

		// sv_price
		$this->sv_price->LinkCustomAttributes = "";
		$this->sv_price->HrefValue = "";
		$this->sv_price->TooltipValue = "";

		// sv_origin
		$this->sv_origin->LinkCustomAttributes = "";
		$this->sv_origin->HrefValue = "";
		$this->sv_origin->TooltipValue = "";

		// sv_present
		$this->sv_present->LinkCustomAttributes = "";
		$this->sv_present->HrefValue = "";
		$this->sv_present->TooltipValue = "";

		// sv_comment
		$this->sv_comment->LinkCustomAttributes = "";
		$this->sv_comment->HrefValue = "";
		$this->sv_comment->TooltipValue = "";

		// Call Row Rendered event
		$this->Row_Rendered();
	}

	// Aggregate list row values
	function AggregateListRowValues() {
	}

	// Aggregate list row (for rendering)
	function AggregateListRow() {
	}

	// Export data in HTML/CSV/Word/Excel/Email/PDF format
	function ExportDocument(&$Doc, &$Recordset, $StartRec, $StopRec, $ExportPageType = "") {
		if (!$Recordset || !$Doc)
			return;

		// Write header
		$Doc->ExportTableHeader();
		if ($Doc->Horizontal) { // Horizontal format, write header
			$Doc->BeginExportRow();
			if ($ExportPageType == "view") {
				$Doc->ExportCaption($this->sv_id);
				$Doc->ExportCaption($this->court_id);
				$Doc->ExportCaption($this->svt_id);
				$Doc->ExportCaption($this->sv_sn);
				$Doc->ExportCaption($this->sv_number);
				$Doc->ExportCaption($this->sv_brand);
				$Doc->ExportCaption($this->sv_crop);
				$Doc->ExportCaption($this->sv_speed);
				$Doc->ExportCaption($this->sv_ram);
				$Doc->ExportCaption($this->sv_hdd);
				$Doc->ExportCaption($this->sv_os);
				$Doc->ExportCaption($this->sv_desc);
				$Doc->ExportCaption($this->sv_name);
				$Doc->ExportCaption($this->sv_usage);
				$Doc->ExportCaption($this->plt_id);
				$Doc->ExportCaption($this->sv_year);
				$Doc->ExportCaption($this->sv_date_recieve);
				$Doc->ExportCaption($this->sv_contract_date_start);
				$Doc->ExportCaption($this->sv_warranty);
				$Doc->ExportCaption($this->cont_id);
				$Doc->ExportCaption($this->sv_num_screen);
				$Doc->ExportCaption($this->sv_price);
				$Doc->ExportCaption($this->sv_origin);
				$Doc->ExportCaption($this->sv_present);
				$Doc->ExportCaption($this->sv_comment);
			} else {
				$Doc->ExportCaption($this->sv_id);
				$Doc->ExportCaption($this->court_id);
				$Doc->ExportCaption($this->svt_id);
				$Doc->ExportCaption($this->sv_sn);
				$Doc->ExportCaption($this->sv_number);
				$Doc->ExportCaption($this->sv_brand);
				$Doc->ExportCaption($this->sv_crop);
				$Doc->ExportCaption($this->sv_speed);
				$Doc->ExportCaption($this->sv_ram);
				$Doc->ExportCaption($this->sv_hdd);
				$Doc->ExportCaption($this->sv_os);
				$Doc->ExportCaption($this->sv_desc);
				$Doc->ExportCaption($this->sv_name);
				$Doc->ExportCaption($this->sv_usage);
				$Doc->ExportCaption($this->plt_id);
				$Doc->ExportCaption($this->sv_year);
				$Doc->ExportCaption($this->sv_date_recieve);
				$Doc->ExportCaption($this->sv_contract_date_start);
				$Doc->ExportCaption($this->sv_warranty);
				$Doc->ExportCaption($this->cont_id);
				$Doc->ExportCaption($this->sv_num_screen);
				$Doc->ExportCaption($this->sv_price);
				$Doc->ExportCaption($this->sv_origin);
				$Doc->ExportCaption($this->sv_present);
				$Doc->ExportCaption($this->sv_comment);
			}
			$Doc->EndExportRow();
		}

		// Move to first record
		$RecCnt = $StartRec - 1;
		if (!$Recordset->EOF) {
			$Recordset->MoveFirst();
			if ($StartRec > 1)
				$Recordset->Move($StartRec - 1);
		}
		while (!$Recordset->EOF && $RecCnt < $StopRec) {
			$RecCnt++;
			if (intval($RecCnt) >= intval($StartRec)) {
				$RowCnt = intval($RecCnt) - intval($StartRec) + 1;

				// Page break
				if ($this->ExportPageBreakCount > 0) {
					if ($RowCnt > 1 && ($RowCnt - 1) % $this->ExportPageBreakCount == 0)
						$Doc->ExportPageBreak();
				}
				$this->LoadListRowValues($Recordset);

				// Render row
				$this->RowType = EW_ROWTYPE_VIEW; // Render view
				$this->ResetAttrs();
				$this->RenderListRow();
				$Doc->BeginExportRow($RowCnt); // Allow CSS styles if enabled
				if ($ExportPageType == "view") {
					$Doc->ExportField($this->sv_id);
					$Doc->ExportField($this->court_id);
					$Doc->ExportField($this->svt_id);
					$Doc->ExportField($this->sv_sn);
					$Doc->ExportField($this->sv_number);
					$Doc->ExportField($this->sv_brand);
					$Doc->ExportField($this->sv_crop);
					$Doc->ExportField($this->sv_speed);
					$Doc->ExportField($this->sv_ram);
					$Doc->ExportField($this->sv_hdd);
					$Doc->ExportField($this->sv_os);
					$Doc->ExportField($this->sv_desc);
					$Doc->ExportField($this->sv_name);
					$Doc->ExportField($this->sv_usage);
					$Doc->ExportField($this->plt_id);
					$Doc->ExportField($this->sv_year);
					$Doc->ExportField($this->sv_date_recieve);
					$Doc->ExportField($this->sv_contract_date_start);
					$Doc->ExportField($this->sv_warranty);
					$Doc->ExportField($this->cont_id);
					$Doc->ExportField($this->sv_num_screen);
					$Doc->ExportField($this->sv_price);
					$Doc->ExportField($this->sv_origin);
					$Doc->ExportField($this->sv_present);
					$Doc->ExportField($this->sv_comment);
				} else {
					$Doc->ExportField($this->sv_id);
					$Doc->ExportField($this->court_id);
					$Doc->ExportField($this->svt_id);
					$Doc->ExportField($this->sv_sn);
					$Doc->ExportField($this->sv_number);
					$Doc->ExportField($this->sv_brand);
					$Doc->ExportField($this->sv_crop);
					$Doc->ExportField($this->sv_speed);
					$Doc->ExportField($this->sv_ram);
					$Doc->ExportField($this->sv_hdd);
					$Doc->ExportField($this->sv_os);
					$Doc->ExportField($this->sv_desc);
					$Doc->ExportField($this->sv_name);
					$Doc->ExportField($this->sv_usage);
					$Doc->ExportField($this->plt_id);
					$Doc->ExportField($this->sv_year);
					$Doc->ExportField($this->sv_date_recieve);
					$Doc->ExportField($this->sv_contract_date_start);
					$Doc->ExportField($this->sv_warranty);
					$Doc->ExportField($this->cont_id);
					$Doc->ExportField($this->sv_num_screen);
					$Doc->ExportField($this->sv_price);
					$Doc->ExportField($this->sv_origin);
					$Doc->ExportField($this->sv_present);
					$Doc->ExportField($this->sv_comment);
				}
				$Doc->EndExportRow();
			}
			$Recordset->MoveNext();
		}
		$Doc->ExportTableFooter();
	}

	// Table level events
	// Recordset Selecting event
	function Recordset_Selecting(&$filter) {

		// Enter your code here	
	}

	// Recordset Selected event
	function Recordset_Selected(&$rs) {

		//echo "Recordset Selected";
	}

	// Recordset Search Validated event
	function Recordset_SearchValidated() {

		// Example:
		//$this->MyField1->AdvancedSearch->SearchValue = "your search criteria"; // Search value

	}

	// Recordset Searching event
	function Recordset_Searching(&$filter) {

		// Enter your code here	
	}

	// Row_Selecting event
	function Row_Selecting(&$filter) {

		// Enter your code here	
	}

	// Row Selected event
	function Row_Selected(&$rs) {

		//echo "Row Selected";
	}

	// Row Inserting event
	function Row_Inserting($rsold, &$rsnew) {

		// Enter your code here
		// To cancel, set return value to FALSE

		return TRUE;
	}

	// Row Inserted event
	function Row_Inserted($rsold, &$rsnew) {

		//echo "Row Inserted"
	}

	// Row Updating event
	function Row_Updating($rsold, &$rsnew) {

		// Enter your code here
		// To cancel, set return value to FALSE

		return TRUE;
	}

	// Row Updated event
	function Row_Updated($rsold, &$rsnew) {

		//echo "Row Updated";
	}

	// Row Update Conflict event
	function Row_UpdateConflict($rsold, &$rsnew) {

		// Enter your code here
		// To ignore conflict, set return value to FALSE

		return TRUE;
	}

	// Row Deleting event
	function Row_Deleting(&$rs) {

		// Enter your code here
		// To cancel, set return value to False

		return TRUE;
	}

	// Row Deleted event
	function Row_Deleted(&$rs) {

		//echo "Row Deleted";
	}

	// Email Sending event
	function Email_Sending(&$Email, &$Args) {

		//var_dump($Email); var_dump($Args); exit();
		return TRUE;
	}

	// Row Rendering event
	function Row_Rendering() {

		// Enter your code here	
	}

	// Row Rendered event
	function Row_Rendered() {

		// To view properties of field class, use:
		//var_dump($this-><FieldName>); 

	}

	// User ID Filtering event
	function UserID_Filtering(&$filter) {

		// Enter your code here
	}
}
?>
