<?php
if (session_id() == "") session_start(); // Initialize Session data
ob_start(); // Turn on output buffering
?>
<?php include_once "ewcfg9.php" ?>
<?php include_once "ewmysql9.php" ?>
<?php include_once "phpfn9.php" ?>
<?php include_once "tb_serversinfo.php" ?>
<?php include_once "userfn9.php" ?>
<?php

//
// Page class
//

$tb_servers_list = NULL; // Initialize page object first

class ctb_servers_list extends ctb_servers {

	// Page ID
	var $PageID = 'list';

	// Project ID
	var $ProjectID = "{6072F4AB-8E55-4BED-87E8-94ADB1680AEB}";

	// Table name
	var $TableName = 'tb_servers';

	// Page object name
	var $PageObjName = 'tb_servers_list';

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		if ($this->UseTokenInUrl) $PageUrl .= "t=" . $this->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Page URLs
	var $AddUrl;
	var $EditUrl;
	var $CopyUrl;
	var $DeleteUrl;
	var $ViewUrl;
	var $ListUrl;

	// Export URLs
	var $ExportPrintUrl;
	var $ExportHtmlUrl;
	var $ExportExcelUrl;
	var $ExportWordUrl;
	var $ExportXmlUrl;
	var $ExportCsvUrl;
	var $ExportPdfUrl;

	// Update URLs
	var $InlineAddUrl;
	var $InlineCopyUrl;
	var $InlineEditUrl;
	var $GridAddUrl;
	var $GridEditUrl;
	var $MultiDeleteUrl;
	var $MultiUpdateUrl;

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_MESSAGE], $v);
	}

	function getFailureMessage() {
		return @$_SESSION[EW_SESSION_FAILURE_MESSAGE];
	}

	function setFailureMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_FAILURE_MESSAGE], $v);
	}

	function getSuccessMessage() {
		return @$_SESSION[EW_SESSION_SUCCESS_MESSAGE];
	}

	function setSuccessMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_SUCCESS_MESSAGE], $v);
	}

	function getWarningMessage() {
		return @$_SESSION[EW_SESSION_WARNING_MESSAGE];
	}

	function setWarningMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_WARNING_MESSAGE], $v);
	}

	// Show message
	function ShowMessage() {
		$hidden = FALSE;
		$html = "";

		// Message
		$sMessage = $this->getMessage();
		$this->Message_Showing($sMessage, "");
		if ($sMessage <> "") { // Message in Session, display
			$html .= "<p class=\"ewMessage\">" . $sMessage . "</p>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}

		// Warning message
		$sWarningMessage = $this->getWarningMessage();
		$this->Message_Showing($sWarningMessage, "warning");
		if ($sWarningMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewWarningIcon\"></td><td class=\"ewWarningMessage\">" . $sWarningMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_WARNING_MESSAGE] = ""; // Clear message in Session
		}

		// Success message
		$sSuccessMessage = $this->getSuccessMessage();
		$this->Message_Showing($sSuccessMessage, "success");
		if ($sSuccessMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewSuccessIcon\"></td><td class=\"ewSuccessMessage\">" . $sSuccessMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = ""; // Clear message in Session
		}

		// Failure message
		$sErrorMessage = $this->getFailureMessage();
		$this->Message_Showing($sErrorMessage, "failure");
		if ($sErrorMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewErrorIcon\"></td><td class=\"ewErrorMessage\">" . $sErrorMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_FAILURE_MESSAGE] = ""; // Clear message in Session
		}		
		echo "<div class=\"ewMessageDialog\"" . (($hidden) ? " style=\"display: none;\"" : "") . ">" . $html . "</div>";
	}
	var $PageHeader;
	var $PageFooter;

	// Show Page Header
	function ShowPageHeader() {
		$sHeader = $this->PageHeader;
		$this->Page_DataRendering($sHeader);
		if ($sHeader <> "") { // Header exists, display
			echo "<p class=\"phpmaker\">" . $sHeader . "</p>";
		}
	}

	// Show Page Footer
	function ShowPageFooter() {
		$sFooter = $this->PageFooter;
		$this->Page_DataRendered($sFooter);
		if ($sFooter <> "") { // Fotoer exists, display
			echo "<p class=\"phpmaker\">" . $sFooter . "</p>";
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm;
		if ($this->UseTokenInUrl) {
			if ($objForm)
				return ($this->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($this->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}

	//
	// Page class constructor
	//
	function __construct() {
		global $conn, $Language;
		$GLOBALS["Page"] = &$this;

		// Language object
		if (!isset($Language)) $Language = new cLanguage();

		// Parent constuctor
		parent::__construct();

		// Table object (tb_servers)
		if (!isset($GLOBALS["tb_servers"])) {
			$GLOBALS["tb_servers"] = &$this;
			$GLOBALS["Table"] = &$GLOBALS["tb_servers"];
		}

		// Initialize URLs
		$this->ExportPrintUrl = $this->PageUrl() . "export=print";
		$this->ExportExcelUrl = $this->PageUrl() . "export=excel";
		$this->ExportWordUrl = $this->PageUrl() . "export=word";
		$this->ExportHtmlUrl = $this->PageUrl() . "export=html";
		$this->ExportXmlUrl = $this->PageUrl() . "export=xml";
		$this->ExportCsvUrl = $this->PageUrl() . "export=csv";
		$this->ExportPdfUrl = $this->PageUrl() . "export=pdf";
		$this->AddUrl = "tb_serversadd.php";
		$this->InlineAddUrl = $this->PageUrl() . "a=add";
		$this->GridAddUrl = $this->PageUrl() . "a=gridadd";
		$this->GridEditUrl = $this->PageUrl() . "a=gridedit";
		$this->MultiDeleteUrl = "tb_serversdelete.php";
		$this->MultiUpdateUrl = "tb_serversupdate.php";

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'list', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'tb_servers', TRUE);

		// Start timer
		if (!isset($GLOBALS["gTimer"])) $GLOBALS["gTimer"] = new cTimer();

		// Open connection
		if (!isset($conn)) $conn = ew_Connect();

		// List options
		$this->ListOptions = new cListOptions();
		$this->ListOptions->TableVar = $this->TableVar;

		// Export options
		$this->ExportOptions = new cListOptions();
		$this->ExportOptions->Tag = "span";
		$this->ExportOptions->TagClassName = "ewExportOption";
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;

		// Get grid add count
		$gridaddcnt = @$_GET[EW_TABLE_GRID_ADD_ROW_COUNT];
		if (is_numeric($gridaddcnt) && $gridaddcnt > 0)
			$this->GridAddRowCount = $gridaddcnt;

		// Set up list options
		$this->SetupListOptions();
		$this->CurrentAction = (@$_GET["a"] <> "") ? $_GET["a"] : @$_POST["a_list"];

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $conn;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();
		$this->Page_Redirecting($url);

		 // Close connection
		$conn->Close();

		// Go to URL if specified
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			header("Location: " . $url);
		}
		exit();
	}

	// Class variables
	var $ListOptions; // List options
	var $ExportOptions; // Export options
	var $DisplayRecs = 20;
	var $StartRec;
	var $StopRec;
	var $TotalRecs = 0;
	var $RecRange = 10;
	var $Pager;
	var $SearchWhere = ""; // Search WHERE clause
	var $RecCnt = 0; // Record count
	var $EditRowCnt;
	var $StartRowCnt = 1;
	var $RowCnt = 0;
	var $Attrs = array(); // Row attributes and cell attributes
	var $RowIndex = 0; // Row index
	var $KeyCount = 0; // Key count
	var $RowAction = ""; // Row action
	var $RowOldKey = ""; // Row old key (for copy)
	var $RecPerRow = 0;
	var $ColCnt = 0;
	var $DbMasterFilter = ""; // Master filter
	var $DbDetailFilter = ""; // Detail filter
	var $MasterRecordExists;	
	var $MultiSelectKey;
	var $RestoreSearch;
	var $Recordset;
	var $OldRecordset;

	//
	// Page main
	//
	function Page_Main() {
		global $objForm, $Language, $gsFormError, $gsSearchError, $Security;

		// Search filters
		$sSrchAdvanced = ""; // Advanced search filter
		$sSrchBasic = ""; // Basic search filter
		$sFilter = "";
		if ($this->IsPageRequest()) { // Validate request

			// Handle reset command
			$this->ResetCmd();

			// Hide all options
			if ($this->Export <> "" ||
				$this->CurrentAction == "gridadd" ||
				$this->CurrentAction == "gridedit") {
				$this->ListOptions->HideAllOptions();
				$this->ExportOptions->HideAllOptions();
			}

			// Get basic search values
			$this->LoadBasicSearchValues();

			// Restore search parms from Session
			$this->RestoreSearchParms();

			// Call Recordset SearchValidated event
			$this->Recordset_SearchValidated();

			// Set up sorting order
			$this->SetUpSortOrder();

			// Get basic search criteria
			if ($gsSearchError == "")
				$sSrchBasic = $this->BasicSearchWhere();
		}

		// Restore display records
		if ($this->getRecordsPerPage() <> "") {
			$this->DisplayRecs = $this->getRecordsPerPage(); // Restore from Session
		} else {
			$this->DisplayRecs = 20; // Load default
		}

		// Load Sorting Order
		$this->LoadSortOrder();

		// Load search default if no existing search criteria
		if ($sSrchBasic == "" && $sSrchAdvanced == "") {

			// Load basic search from default
			$this->BasicSearchKeyword = $this->BasicSearchKeywordDefault;
			$this->BasicSearchType = $this->BasicSearchTypeDefault;
			$this->setSessionBasicSearchType($this->BasicSearchTypeDefault);
			if ($this->BasicSearchKeyword != "")
				$sSrchBasic = $this->BasicSearchWhere();
		}

		// Build search criteria
		ew_AddFilter($this->SearchWhere, $sSrchAdvanced);
		ew_AddFilter($this->SearchWhere, $sSrchBasic);

		// Call Recordset_Searching event
		$this->Recordset_Searching($this->SearchWhere);

		// Save search criteria
		if ($this->SearchWhere <> "") {
			if ($sSrchBasic == "")
				$this->ResetBasicSearchParms();
			$this->setSearchWhere($this->SearchWhere); // Save to Session
			if (!$this->RestoreSearch) {
				$this->StartRec = 1; // Reset start record counter
				$this->setStartRecordNumber($this->StartRec);
			}

		//} else {
		} elseif ($this->RestoreSearch) {
			$this->SearchWhere = $this->getSearchWhere();
		}

		// Build filter
		$sFilter = "";
		ew_AddFilter($sFilter, $this->DbDetailFilter);
		ew_AddFilter($sFilter, $this->SearchWhere);

		// Set up filter in session
		$this->setSessionWhere($sFilter);
		$this->CurrentFilter = "";
	}

	// Build filter for all keys
	function BuildKeyFilter() {
		global $objForm;
		$sWrkFilter = "";

		// Update row index and get row key
		$rowindex = 1;
		$objForm->Index = $rowindex;
		$sThisKey = strval($objForm->GetValue("k_key"));
		while ($sThisKey <> "") {
			if ($this->SetupKeyValues($sThisKey)) {
				$sFilter = $this->KeyFilter();
				if ($sWrkFilter <> "") $sWrkFilter .= " OR ";
				$sWrkFilter .= $sFilter;
			} else {
				$sWrkFilter = "0=1";
				break;
			}

			// Update row index and get row key
			$rowindex++; // next row
			$objForm->Index = $rowindex;
			$sThisKey = strval($objForm->GetValue("k_key"));
		}
		return $sWrkFilter;
	}

	// Set up key values
	function SetupKeyValues($key) {
		$arrKeyFlds = explode($GLOBALS["EW_COMPOSITE_KEY_SEPARATOR"], $key);
		if (count($arrKeyFlds) >= 1) {
			$this->sv_id->setFormValue($arrKeyFlds[0]);
		}
		return TRUE;
	}

	// Return basic search SQL
	function BasicSearchSQL($Keyword) {
		$sKeyword = ew_AdjustSql($Keyword);
		$sWhere = "";
		$this->BuildBasicSearchSQL($sWhere, $this->sv_id, $Keyword);
		$this->BuildBasicSearchSQL($sWhere, $this->court_id, $Keyword);
		$this->BuildBasicSearchSQL($sWhere, $this->svt_id, $Keyword);
		$this->BuildBasicSearchSQL($sWhere, $this->sv_sn, $Keyword);
		$this->BuildBasicSearchSQL($sWhere, $this->sv_number, $Keyword);
		$this->BuildBasicSearchSQL($sWhere, $this->sv_brand, $Keyword);
		$this->BuildBasicSearchSQL($sWhere, $this->sv_crop, $Keyword);
		$this->BuildBasicSearchSQL($sWhere, $this->sv_speed, $Keyword);
		$this->BuildBasicSearchSQL($sWhere, $this->sv_ram, $Keyword);
		$this->BuildBasicSearchSQL($sWhere, $this->sv_hdd, $Keyword);
		$this->BuildBasicSearchSQL($sWhere, $this->sv_os, $Keyword);
		$this->BuildBasicSearchSQL($sWhere, $this->sv_desc, $Keyword);
		$this->BuildBasicSearchSQL($sWhere, $this->sv_name, $Keyword);
		$this->BuildBasicSearchSQL($sWhere, $this->sv_usage, $Keyword);
		$this->BuildBasicSearchSQL($sWhere, $this->plt_id, $Keyword);
		$this->BuildBasicSearchSQL($sWhere, $this->sv_year, $Keyword);
		$this->BuildBasicSearchSQL($sWhere, $this->sv_num_screen, $Keyword);
		$this->BuildBasicSearchSQL($sWhere, $this->sv_comment, $Keyword);
		return $sWhere;
	}

	// Build basic search SQL
	function BuildBasicSearchSql(&$Where, &$Fld, $Keyword) {
		if ($Keyword == EW_NULL_VALUE) {
			$sWrk = $Fld->FldExpression . " IS NULL";
		} elseif ($Keyword == EW_NOT_NULL_VALUE) {
			$sWrk = $Fld->FldExpression . " IS NOT NULL";
		} else {
			$sFldExpression = ($Fld->FldVirtualExpression <> $Fld->FldExpression) ? $Fld->FldVirtualExpression : $Fld->FldBasicSearchExpression;
			$sWrk = $sFldExpression . ew_Like(ew_QuotedValue("%" . $Keyword . "%", EW_DATATYPE_STRING));
		}
		if ($Where <> "") $Where .= " OR ";
		$Where .= $sWrk;
	}

	// Return basic search WHERE clause based on search keyword and type
	function BasicSearchWhere() {
		global $Security;
		$sSearchStr = "";
		$sSearchKeyword = $this->BasicSearchKeyword;
		$sSearchType = $this->BasicSearchType;
		if ($sSearchKeyword <> "") {
			$sSearch = trim($sSearchKeyword);
			if ($sSearchType <> "=") {
				while (strpos($sSearch, "  ") !== FALSE)
					$sSearch = str_replace("  ", " ", $sSearch);
				$arKeyword = explode(" ", trim($sSearch));
				foreach ($arKeyword as $sKeyword) {
					if ($sSearchStr <> "") $sSearchStr .= " " . $sSearchType . " ";
					$sSearchStr .= "(" . $this->BasicSearchSQL($sKeyword) . ")";
				}
			} else {
				$sSearchStr = $this->BasicSearchSQL($sSearch);
			}
		}
		if ($sSearchKeyword <> "") {
			$this->setSessionBasicSearchKeyword($sSearchKeyword);
			$this->setSessionBasicSearchType($sSearchType);
		}
		return $sSearchStr;
	}

	// Clear all search parameters
	function ResetSearchParms() {

		// Clear search WHERE clause
		$this->SearchWhere = "";
		$this->setSearchWhere($this->SearchWhere);

		// Clear basic search parameters
		$this->ResetBasicSearchParms();
	}

	// Load advanced search default values
	function LoadAdvancedSearchDefault() {
		return FALSE;
	}

	// Clear all basic search parameters
	function ResetBasicSearchParms() {
		$this->setSessionBasicSearchKeyword("");
		$this->setSessionBasicSearchType($this->BasicSearchTypeDefault);
	}

	// Restore all search parameters
	function RestoreSearchParms() {
		$bRestore = TRUE;
		if ($this->BasicSearchKeyword <> "") $bRestore = FALSE;
		$this->RestoreSearch = $bRestore;
		if ($bRestore) {

			// Restore basic search values
			$this->BasicSearchKeyword = $this->getSessionBasicSearchKeyword();
			if ($this->getSessionBasicSearchType() == "") $this->setSessionBasicSearchType("=");
			$this->BasicSearchType = $this->getSessionBasicSearchType();
		}
	}

	// Set up sort parameters
	function SetUpSortOrder() {

		// Check for "order" parameter
		if (@$_GET["order"] <> "") {
			$this->CurrentOrder = ew_StripSlashes(@$_GET["order"]);
			$this->CurrentOrderType = @$_GET["ordertype"];
			$this->UpdateSort($this->sv_id); // sv_id
			$this->UpdateSort($this->court_id); // court_id
			$this->UpdateSort($this->svt_id); // svt_id
			$this->UpdateSort($this->sv_sn); // sv_sn
			$this->UpdateSort($this->sv_number); // sv_number
			$this->UpdateSort($this->sv_brand); // sv_brand
			$this->UpdateSort($this->sv_crop); // sv_crop
			$this->UpdateSort($this->sv_speed); // sv_speed
			$this->UpdateSort($this->sv_ram); // sv_ram
			$this->UpdateSort($this->sv_hdd); // sv_hdd
			$this->UpdateSort($this->sv_os); // sv_os
			$this->UpdateSort($this->sv_desc); // sv_desc
			$this->UpdateSort($this->sv_name); // sv_name
			$this->UpdateSort($this->sv_usage); // sv_usage
			$this->UpdateSort($this->plt_id); // plt_id
			$this->UpdateSort($this->sv_year); // sv_year
			$this->UpdateSort($this->sv_date_recieve); // sv_date_recieve
			$this->UpdateSort($this->sv_contract_date_start); // sv_contract_date_start
			$this->UpdateSort($this->sv_warranty); // sv_warranty
			$this->UpdateSort($this->cont_id); // cont_id
			$this->UpdateSort($this->sv_num_screen); // sv_num_screen
			$this->UpdateSort($this->sv_price); // sv_price
			$this->UpdateSort($this->sv_origin); // sv_origin
			$this->UpdateSort($this->sv_present); // sv_present
			$this->UpdateSort($this->sv_comment); // sv_comment
			$this->setStartRecordNumber(1); // Reset start position
		}
	}

	// Load sort order parameters
	function LoadSortOrder() {
		$sOrderBy = $this->getSessionOrderBy(); // Get ORDER BY from Session
		if ($sOrderBy == "") {
			if ($this->SqlOrderBy() <> "") {
				$sOrderBy = $this->SqlOrderBy();
				$this->setSessionOrderBy($sOrderBy);
			}
		}
	}

	// Reset command
	// cmd=reset (Reset search parameters)
	// cmd=resetall (Reset search and master/detail parameters)
	// cmd=resetsort (Reset sort parameters)
	function ResetCmd() {

		// Get reset command
		if (@$_GET["cmd"] <> "") {
			$sCmd = $_GET["cmd"];

			// Reset search criteria
			if (strtolower($sCmd) == "reset" || strtolower($sCmd) == "resetall")
				$this->ResetSearchParms();

			// Reset sorting order
			if (strtolower($sCmd) == "resetsort") {
				$sOrderBy = "";
				$this->setSessionOrderBy($sOrderBy);
				$this->sv_id->setSort("");
				$this->court_id->setSort("");
				$this->svt_id->setSort("");
				$this->sv_sn->setSort("");
				$this->sv_number->setSort("");
				$this->sv_brand->setSort("");
				$this->sv_crop->setSort("");
				$this->sv_speed->setSort("");
				$this->sv_ram->setSort("");
				$this->sv_hdd->setSort("");
				$this->sv_os->setSort("");
				$this->sv_desc->setSort("");
				$this->sv_name->setSort("");
				$this->sv_usage->setSort("");
				$this->plt_id->setSort("");
				$this->sv_year->setSort("");
				$this->sv_date_recieve->setSort("");
				$this->sv_contract_date_start->setSort("");
				$this->sv_warranty->setSort("");
				$this->cont_id->setSort("");
				$this->sv_num_screen->setSort("");
				$this->sv_price->setSort("");
				$this->sv_origin->setSort("");
				$this->sv_present->setSort("");
				$this->sv_comment->setSort("");
			}

			// Reset start position
			$this->StartRec = 1;
			$this->setStartRecordNumber($this->StartRec);
		}
	}

	// Set up list options
	function SetupListOptions() {
		global $Security, $Language;

		// "view"
		$item = &$this->ListOptions->Add("view");
		$item->CssStyle = "white-space: nowrap;";
		$item->Visible = TRUE;
		$item->OnLeft = FALSE;

		// "edit"
		$item = &$this->ListOptions->Add("edit");
		$item->CssStyle = "white-space: nowrap;";
		$item->Visible = TRUE;
		$item->OnLeft = FALSE;

		// "delete"
		$item = &$this->ListOptions->Add("delete");
		$item->CssStyle = "white-space: nowrap;";
		$item->Visible = TRUE;
		$item->OnLeft = FALSE;

		// Call ListOptions_Load event
		$this->ListOptions_Load();
	}

	// Render list options
	function RenderListOptions() {
		global $Security, $Language, $objForm;
		$this->ListOptions->LoadDefault();

		// "view"
		$oListOpt = &$this->ListOptions->Items["view"];
		if (TRUE)
			$oListOpt->Body = "<a class=\"ewRowLink\" href=\"" . $this->ViewUrl . "\">" . $Language->Phrase("ViewLink") . "</a>";

		// "edit"
		$oListOpt = &$this->ListOptions->Items["edit"];
		if (TRUE) {
			$oListOpt->Body = "<a class=\"ewRowLink\" href=\"" . $this->EditUrl . "\">" . $Language->Phrase("EditLink") . "</a>";
		}

		// "delete"
		$oListOpt = &$this->ListOptions->Items["delete"];
		if (TRUE)
			$oListOpt->Body = "<a class=\"ewRowLink\"" . "" . " href=\"" . $this->DeleteUrl . "\">" . $Language->Phrase("DeleteLink") . "</a>";
		$this->RenderListOptionsExt();

		// Call ListOptions_Rendered event
		$this->ListOptions_Rendered();
	}

	function RenderListOptionsExt() {
		global $Security, $Language;
	}

	// Set up starting record parameters
	function SetUpStartRec() {
		if ($this->DisplayRecs == 0)
			return;
		if ($this->IsPageRequest()) { // Validate request
			if (@$_GET[EW_TABLE_START_REC] <> "") { // Check for "start" parameter
				$this->StartRec = $_GET[EW_TABLE_START_REC];
				$this->setStartRecordNumber($this->StartRec);
			} elseif (@$_GET[EW_TABLE_PAGE_NO] <> "") {
				$PageNo = $_GET[EW_TABLE_PAGE_NO];
				if (is_numeric($PageNo)) {
					$this->StartRec = ($PageNo-1)*$this->DisplayRecs+1;
					if ($this->StartRec <= 0) {
						$this->StartRec = 1;
					} elseif ($this->StartRec >= intval(($this->TotalRecs-1)/$this->DisplayRecs)*$this->DisplayRecs+1) {
						$this->StartRec = intval(($this->TotalRecs-1)/$this->DisplayRecs)*$this->DisplayRecs+1;
					}
					$this->setStartRecordNumber($this->StartRec);
				}
			}
		}
		$this->StartRec = $this->getStartRecordNumber();

		// Check if correct start record counter
		if (!is_numeric($this->StartRec) || $this->StartRec == "") { // Avoid invalid start record counter
			$this->StartRec = 1; // Reset start record counter
			$this->setStartRecordNumber($this->StartRec);
		} elseif (intval($this->StartRec) > intval($this->TotalRecs)) { // Avoid starting record > total records
			$this->StartRec = intval(($this->TotalRecs-1)/$this->DisplayRecs)*$this->DisplayRecs+1; // Point to last page first record
			$this->setStartRecordNumber($this->StartRec);
		} elseif (($this->StartRec-1) % $this->DisplayRecs <> 0) {
			$this->StartRec = intval(($this->StartRec-1)/$this->DisplayRecs)*$this->DisplayRecs+1; // Point to page boundary
			$this->setStartRecordNumber($this->StartRec);
		}
	}

	// Load basic search values
	function LoadBasicSearchValues() {
		$this->BasicSearchKeyword = @$_GET[EW_TABLE_BASIC_SEARCH];
		$this->BasicSearchType = @$_GET[EW_TABLE_BASIC_SEARCH_TYPE];
	}

	// Load recordset
	function LoadRecordset($offset = -1, $rowcnt = -1) {
		global $conn;

		// Call Recordset Selecting event
		$this->Recordset_Selecting($this->CurrentFilter);

		// Load List page SQL
		$sSql = $this->SelectSQL();
		if ($offset > -1 && $rowcnt > -1)
			$sSql .= " LIMIT $rowcnt OFFSET $offset";

		// Load recordset
		$rs = ew_LoadRecordset($sSql);

		// Call Recordset Selected event
		$this->Recordset_Selected($rs);
		return $rs;
	}

	// Load row based on key values
	function LoadRow() {
		global $conn, $Security, $Language;
		$sFilter = $this->KeyFilter();

		// Call Row Selecting event
		$this->Row_Selecting($sFilter);

		// Load SQL based on filter
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		global $conn;
		if (!$rs || $rs->EOF) return;

		// Call Row Selected event
		$row = &$rs->fields;
		$this->Row_Selected($row);
		$this->sv_id->setDbValue($rs->fields('sv_id'));
		$this->court_id->setDbValue($rs->fields('court_id'));
		$this->svt_id->setDbValue($rs->fields('svt_id'));
		$this->sv_sn->setDbValue($rs->fields('sv_sn'));
		$this->sv_number->setDbValue($rs->fields('sv_number'));
		$this->sv_brand->setDbValue($rs->fields('sv_brand'));
		$this->sv_crop->setDbValue($rs->fields('sv_crop'));
		$this->sv_speed->setDbValue($rs->fields('sv_speed'));
		$this->sv_ram->setDbValue($rs->fields('sv_ram'));
		$this->sv_hdd->setDbValue($rs->fields('sv_hdd'));
		$this->sv_os->setDbValue($rs->fields('sv_os'));
		$this->sv_desc->setDbValue($rs->fields('sv_desc'));
		$this->sv_name->setDbValue($rs->fields('sv_name'));
		$this->sv_usage->setDbValue($rs->fields('sv_usage'));
		$this->plt_id->setDbValue($rs->fields('plt_id'));
		$this->sv_year->setDbValue($rs->fields('sv_year'));
		$this->sv_date_recieve->setDbValue($rs->fields('sv_date_recieve'));
		$this->sv_contract_date_start->setDbValue($rs->fields('sv_contract_date_start'));
		$this->sv_warranty->setDbValue($rs->fields('sv_warranty'));
		$this->cont_id->setDbValue($rs->fields('cont_id'));
		$this->sv_num_screen->setDbValue($rs->fields('sv_num_screen'));
		$this->sv_price->setDbValue($rs->fields('sv_price'));
		$this->sv_origin->setDbValue($rs->fields('sv_origin'));
		$this->sv_present->setDbValue($rs->fields('sv_present'));
		$this->sv_comment->setDbValue($rs->fields('sv_comment'));
	}

	// Load old record
	function LoadOldRecord() {

		// Load key values from Session
		$bValidKey = TRUE;
		if (strval($this->getKey("sv_id")) <> "")
			$this->sv_id->CurrentValue = $this->getKey("sv_id"); // sv_id
		else
			$bValidKey = FALSE;

		// Load old recordset
		if ($bValidKey) {
			$this->CurrentFilter = $this->KeyFilter();
			$sSql = $this->SQL();
			$this->OldRecordset = ew_LoadRecordset($sSql);
			$this->LoadRowValues($this->OldRecordset); // Load row values
		} else {
			$this->OldRecordset = NULL;
		}
		return $bValidKey;
	}

	// Render row values based on field settings
	function RenderRow() {
		global $conn, $Security, $Language;
		global $gsLanguage;

		// Initialize URLs
		$this->ViewUrl = $this->GetViewUrl();
		$this->EditUrl = $this->GetEditUrl();
		$this->InlineEditUrl = $this->GetInlineEditUrl();
		$this->CopyUrl = $this->GetCopyUrl();
		$this->InlineCopyUrl = $this->GetInlineCopyUrl();
		$this->DeleteUrl = $this->GetDeleteUrl();

		// Convert decimal values if posted back
		if ($this->sv_warranty->FormValue == $this->sv_warranty->CurrentValue && is_numeric(ew_StrToFloat($this->sv_warranty->CurrentValue)))
			$this->sv_warranty->CurrentValue = ew_StrToFloat($this->sv_warranty->CurrentValue);

		// Convert decimal values if posted back
		if ($this->sv_price->FormValue == $this->sv_price->CurrentValue && is_numeric(ew_StrToFloat($this->sv_price->CurrentValue)))
			$this->sv_price->CurrentValue = ew_StrToFloat($this->sv_price->CurrentValue);

		// Call Row_Rendering event
		$this->Row_Rendering();

		// Common render codes for all row types
		// sv_id
		// court_id
		// svt_id
		// sv_sn
		// sv_number
		// sv_brand
		// sv_crop
		// sv_speed
		// sv_ram
		// sv_hdd
		// sv_os
		// sv_desc
		// sv_name
		// sv_usage
		// plt_id
		// sv_year
		// sv_date_recieve
		// sv_contract_date_start
		// sv_warranty
		// cont_id
		// sv_num_screen
		// sv_price
		// sv_origin
		// sv_present
		// sv_comment

		if ($this->RowType == EW_ROWTYPE_VIEW) { // View row

			// sv_id
			$this->sv_id->ViewValue = $this->sv_id->CurrentValue;
			$this->sv_id->ViewCustomAttributes = "";

			// court_id
			$this->court_id->ViewValue = $this->court_id->CurrentValue;
			$this->court_id->ViewCustomAttributes = "";

			// svt_id
			$this->svt_id->ViewValue = $this->svt_id->CurrentValue;
			if (strval($this->svt_id->CurrentValue) <> "") {
				$sFilterWrk = "`svt_id`" . ew_SearchString("=", $this->svt_id->CurrentValue, EW_DATATYPE_STRING);
			$sSqlWrk = "SELECT `svt_id`, `svt_name` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_server_types`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				ew_AddFilter($sWhereWrk, $sFilterWrk);
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$this->svt_id->ViewValue = $rswrk->fields('DispFld');
					$rswrk->Close();
				} else {
					$this->svt_id->ViewValue = $this->svt_id->CurrentValue;
				}
			} else {
				$this->svt_id->ViewValue = NULL;
			}
			$this->svt_id->ViewCustomAttributes = "";

			// sv_sn
			$this->sv_sn->ViewValue = $this->sv_sn->CurrentValue;
			$this->sv_sn->ViewCustomAttributes = "";

			// sv_number
			$this->sv_number->ViewValue = $this->sv_number->CurrentValue;
			$this->sv_number->ViewCustomAttributes = "";

			// sv_brand
			$this->sv_brand->ViewValue = $this->sv_brand->CurrentValue;
			$this->sv_brand->ViewCustomAttributes = "";

			// sv_crop
			$this->sv_crop->ViewValue = $this->sv_crop->CurrentValue;
			$this->sv_crop->ViewCustomAttributes = "";

			// sv_speed
			$this->sv_speed->ViewValue = $this->sv_speed->CurrentValue;
			$this->sv_speed->ViewCustomAttributes = "";

			// sv_ram
			$this->sv_ram->ViewValue = $this->sv_ram->CurrentValue;
			$this->sv_ram->ViewCustomAttributes = "";

			// sv_hdd
			$this->sv_hdd->ViewValue = $this->sv_hdd->CurrentValue;
			$this->sv_hdd->ViewCustomAttributes = "";

			// sv_os
			$this->sv_os->ViewValue = $this->sv_os->CurrentValue;
			$this->sv_os->ViewCustomAttributes = "";

			// sv_desc
			$this->sv_desc->ViewValue = $this->sv_desc->CurrentValue;
			$this->sv_desc->ViewCustomAttributes = "";

			// sv_name
			$this->sv_name->ViewValue = $this->sv_name->CurrentValue;
			$this->sv_name->ViewCustomAttributes = "";

			// sv_usage
			$this->sv_usage->ViewValue = $this->sv_usage->CurrentValue;
			$this->sv_usage->ViewCustomAttributes = "";

			// plt_id
			if (strval($this->plt_id->CurrentValue) <> "") {
				$sFilterWrk = "`plt_id`" . ew_SearchString("=", $this->plt_id->CurrentValue, EW_DATATYPE_STRING);
			$sSqlWrk = "SELECT `plt_id`, `plt_name` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_place_types`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				ew_AddFilter($sWhereWrk, $sFilterWrk);
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$this->plt_id->ViewValue = $rswrk->fields('DispFld');
					$rswrk->Close();
				} else {
					$this->plt_id->ViewValue = $this->plt_id->CurrentValue;
				}
			} else {
				$this->plt_id->ViewValue = NULL;
			}
			$this->plt_id->ViewCustomAttributes = "";

			// sv_year
			$this->sv_year->ViewValue = $this->sv_year->CurrentValue;
			$this->sv_year->ViewCustomAttributes = "";

			// sv_date_recieve
			$this->sv_date_recieve->ViewValue = $this->sv_date_recieve->CurrentValue;
			$this->sv_date_recieve->ViewValue = ew_FormatDateTime($this->sv_date_recieve->ViewValue, 5);
			$this->sv_date_recieve->ViewCustomAttributes = "";

			// sv_contract_date_start
			$this->sv_contract_date_start->ViewValue = $this->sv_contract_date_start->CurrentValue;
			$this->sv_contract_date_start->ViewValue = ew_FormatDateTime($this->sv_contract_date_start->ViewValue, 5);
			$this->sv_contract_date_start->ViewCustomAttributes = "";

			// sv_warranty
			$this->sv_warranty->ViewValue = $this->sv_warranty->CurrentValue;
			$this->sv_warranty->ViewCustomAttributes = "";

			// cont_id
			if (strval($this->cont_id->CurrentValue) <> "") {
				$sFilterWrk = "`cont_id`" . ew_SearchString("=", $this->cont_id->CurrentValue, EW_DATATYPE_NUMBER);
			$sSqlWrk = "SELECT `cont_id`, `cont_num` AS `DispFld`, `cont_project` AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_contracts`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				ew_AddFilter($sWhereWrk, $sFilterWrk);
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$this->cont_id->ViewValue = $rswrk->fields('DispFld');
					$this->cont_id->ViewValue .= ew_ValueSeparator(1,$tb_servers->cont_id) . $rswrk->fields('Disp2Fld');
					$rswrk->Close();
				} else {
					$this->cont_id->ViewValue = $this->cont_id->CurrentValue;
				}
			} else {
				$this->cont_id->ViewValue = NULL;
			}
			$this->cont_id->ViewCustomAttributes = "";

			// sv_num_screen
			$this->sv_num_screen->ViewValue = $this->sv_num_screen->CurrentValue;
			$this->sv_num_screen->ViewCustomAttributes = "";

			// sv_price
			$this->sv_price->ViewValue = $this->sv_price->CurrentValue;
			$this->sv_price->ViewCustomAttributes = "";

			// sv_origin
			if (strval($this->sv_origin->CurrentValue) <> "") {
				switch ($this->sv_origin->CurrentValue) {
					case $this->sv_origin->FldTagValue(1):
						$this->sv_origin->ViewValue = $this->sv_origin->FldTagCaption(1) <> "" ? $this->sv_origin->FldTagCaption(1) : $this->sv_origin->CurrentValue;
						break;
					case $this->sv_origin->FldTagValue(2):
						$this->sv_origin->ViewValue = $this->sv_origin->FldTagCaption(2) <> "" ? $this->sv_origin->FldTagCaption(2) : $this->sv_origin->CurrentValue;
						break;
					case $this->sv_origin->FldTagValue(3):
						$this->sv_origin->ViewValue = $this->sv_origin->FldTagCaption(3) <> "" ? $this->sv_origin->FldTagCaption(3) : $this->sv_origin->CurrentValue;
						break;
					case $this->sv_origin->FldTagValue(4):
						$this->sv_origin->ViewValue = $this->sv_origin->FldTagCaption(4) <> "" ? $this->sv_origin->FldTagCaption(4) : $this->sv_origin->CurrentValue;
						break;
					default:
						$this->sv_origin->ViewValue = $this->sv_origin->CurrentValue;
				}
			} else {
				$this->sv_origin->ViewValue = NULL;
			}
			$this->sv_origin->ViewCustomAttributes = "";

			// sv_present
			if (strval($this->sv_present->CurrentValue) <> "") {
				switch ($this->sv_present->CurrentValue) {
					case $this->sv_present->FldTagValue(1):
						$this->sv_present->ViewValue = $this->sv_present->FldTagCaption(1) <> "" ? $this->sv_present->FldTagCaption(1) : $this->sv_present->CurrentValue;
						break;
					case $this->sv_present->FldTagValue(2):
						$this->sv_present->ViewValue = $this->sv_present->FldTagCaption(2) <> "" ? $this->sv_present->FldTagCaption(2) : $this->sv_present->CurrentValue;
						break;
					case $this->sv_present->FldTagValue(3):
						$this->sv_present->ViewValue = $this->sv_present->FldTagCaption(3) <> "" ? $this->sv_present->FldTagCaption(3) : $this->sv_present->CurrentValue;
						break;
					case $this->sv_present->FldTagValue(4):
						$this->sv_present->ViewValue = $this->sv_present->FldTagCaption(4) <> "" ? $this->sv_present->FldTagCaption(4) : $this->sv_present->CurrentValue;
						break;
					case $this->sv_present->FldTagValue(5):
						$this->sv_present->ViewValue = $this->sv_present->FldTagCaption(5) <> "" ? $this->sv_present->FldTagCaption(5) : $this->sv_present->CurrentValue;
						break;
					case $this->sv_present->FldTagValue(6):
						$this->sv_present->ViewValue = $this->sv_present->FldTagCaption(6) <> "" ? $this->sv_present->FldTagCaption(6) : $this->sv_present->CurrentValue;
						break;
					default:
						$this->sv_present->ViewValue = $this->sv_present->CurrentValue;
				}
			} else {
				$this->sv_present->ViewValue = NULL;
			}
			$this->sv_present->ViewCustomAttributes = "";

			// sv_comment
			$this->sv_comment->ViewValue = $this->sv_comment->CurrentValue;
			$this->sv_comment->ViewCustomAttributes = "";

			// sv_id
			$this->sv_id->LinkCustomAttributes = "";
			$this->sv_id->HrefValue = "";
			$this->sv_id->TooltipValue = "";

			// court_id
			$this->court_id->LinkCustomAttributes = "";
			$this->court_id->HrefValue = "";
			$this->court_id->TooltipValue = "";

			// svt_id
			$this->svt_id->LinkCustomAttributes = "";
			$this->svt_id->HrefValue = "";
			$this->svt_id->TooltipValue = "";

			// sv_sn
			$this->sv_sn->LinkCustomAttributes = "";
			$this->sv_sn->HrefValue = "";
			$this->sv_sn->TooltipValue = "";

			// sv_number
			$this->sv_number->LinkCustomAttributes = "";
			$this->sv_number->HrefValue = "";
			$this->sv_number->TooltipValue = "";

			// sv_brand
			$this->sv_brand->LinkCustomAttributes = "";
			$this->sv_brand->HrefValue = "";
			$this->sv_brand->TooltipValue = "";

			// sv_crop
			$this->sv_crop->LinkCustomAttributes = "";
			$this->sv_crop->HrefValue = "";
			$this->sv_crop->TooltipValue = "";

			// sv_speed
			$this->sv_speed->LinkCustomAttributes = "";
			$this->sv_speed->HrefValue = "";
			$this->sv_speed->TooltipValue = "";

			// sv_ram
			$this->sv_ram->LinkCustomAttributes = "";
			$this->sv_ram->HrefValue = "";
			$this->sv_ram->TooltipValue = "";

			// sv_hdd
			$this->sv_hdd->LinkCustomAttributes = "";
			$this->sv_hdd->HrefValue = "";
			$this->sv_hdd->TooltipValue = "";

			// sv_os
			$this->sv_os->LinkCustomAttributes = "";
			$this->sv_os->HrefValue = "";
			$this->sv_os->TooltipValue = "";

			// sv_desc
			$this->sv_desc->LinkCustomAttributes = "";
			$this->sv_desc->HrefValue = "";
			$this->sv_desc->TooltipValue = "";

			// sv_name
			$this->sv_name->LinkCustomAttributes = "";
			$this->sv_name->HrefValue = "";
			$this->sv_name->TooltipValue = "";

			// sv_usage
			$this->sv_usage->LinkCustomAttributes = "";
			$this->sv_usage->HrefValue = "";
			$this->sv_usage->TooltipValue = "";

			// plt_id
			$this->plt_id->LinkCustomAttributes = "";
			$this->plt_id->HrefValue = "";
			$this->plt_id->TooltipValue = "";

			// sv_year
			$this->sv_year->LinkCustomAttributes = "";
			$this->sv_year->HrefValue = "";
			$this->sv_year->TooltipValue = "";

			// sv_date_recieve
			$this->sv_date_recieve->LinkCustomAttributes = "";
			$this->sv_date_recieve->HrefValue = "";
			$this->sv_date_recieve->TooltipValue = "";

			// sv_contract_date_start
			$this->sv_contract_date_start->LinkCustomAttributes = "";
			$this->sv_contract_date_start->HrefValue = "";
			$this->sv_contract_date_start->TooltipValue = "";

			// sv_warranty
			$this->sv_warranty->LinkCustomAttributes = "";
			$this->sv_warranty->HrefValue = "";
			$this->sv_warranty->TooltipValue = "";

			// cont_id
			$this->cont_id->LinkCustomAttributes = "";
			$this->cont_id->HrefValue = "";
			$this->cont_id->TooltipValue = "";

			// sv_num_screen
			$this->sv_num_screen->LinkCustomAttributes = "";
			$this->sv_num_screen->HrefValue = "";
			$this->sv_num_screen->TooltipValue = "";

			// sv_price
			$this->sv_price->LinkCustomAttributes = "";
			$this->sv_price->HrefValue = "";
			$this->sv_price->TooltipValue = "";

			// sv_origin
			$this->sv_origin->LinkCustomAttributes = "";
			$this->sv_origin->HrefValue = "";
			$this->sv_origin->TooltipValue = "";

			// sv_present
			$this->sv_present->LinkCustomAttributes = "";
			$this->sv_present->HrefValue = "";
			$this->sv_present->TooltipValue = "";

			// sv_comment
			$this->sv_comment->LinkCustomAttributes = "";
			$this->sv_comment->HrefValue = "";
			$this->sv_comment->TooltipValue = "";
		}

		// Call Row Rendered event
		if ($this->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$this->Row_Rendered();
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	// $type = ''|'success'|'failure'|'warning'
	function Message_Showing(&$msg, $type) {
		if ($type == 'success') {

			//$msg = "your success message";
		} elseif ($type == 'failure') {

			//$msg = "your failure message";
		} elseif ($type == 'warning') {

			//$msg = "your warning message";
		} else {

			//$msg = "your message";
		}
	}

	// Page Data Rendering event
	function Page_DataRendering(&$header) {

		// Example:
		//$header = "your header";

	}

	// Page Data Rendered event
	function Page_DataRendered(&$footer) {

		// Example:
		//$footer = "your footer";

	}

	// Form Custom Validate event
	function Form_CustomValidate(&$CustomError) {

		// Return error message in CustomError
		return TRUE;
	}

	// ListOptions Load event
	function ListOptions_Load() {

		// Example:
		//$opt = &$this->ListOptions->Add("new");
		//$opt->Header = "xxx";
		//$opt->OnLeft = TRUE; // Link on left
		//$opt->MoveTo(0); // Move to first column

	}

	// ListOptions Rendered event
	function ListOptions_Rendered() {

		// Example: 
		//$this->ListOptions->Items["new"]->Body = "xxx";

	}
}
?>
<?php ew_Header(FALSE) ?>
<?php

// Create page object
if (!isset($tb_servers_list)) $tb_servers_list = new ctb_servers_list();

// Page init
$tb_servers_list->Page_Init();

// Page main
$tb_servers_list->Page_Main();
?>
<?php include_once "header.php" ?>
<script type="text/javascript">

// Page object
var tb_servers_list = new ew_Page("tb_servers_list");
tb_servers_list.PageID = "list"; // Page ID
var EW_PAGE_ID = tb_servers_list.PageID; // For backward compatibility

// Form object
var ftb_serverslist = new ew_Form("ftb_serverslist");

// Form_CustomValidate event
ftb_serverslist.Form_CustomValidate =  
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }

// Use JavaScript validation or not
<?php if (EW_CLIENT_VALIDATE) { ?>
ftb_serverslist.ValidateRequired = true;
<?php } else { ?>
ftb_serverslist.ValidateRequired = false; 
<?php } ?>

// Dynamic selection lists
ftb_serverslist.Lists["x_svt_id"] = {"LinkField":"x_svt_id","Ajax":true,"AutoFill":false,"DisplayFields":["x_svt_name","","",""],"ParentFields":[],"FilterFields":[],"Options":[]};
ftb_serverslist.Lists["x_plt_id"] = {"LinkField":"x_plt_id","Ajax":null,"AutoFill":false,"DisplayFields":["x_plt_name","","",""],"ParentFields":[],"FilterFields":[],"Options":[]};
ftb_serverslist.Lists["x_cont_id"] = {"LinkField":"x_cont_id","Ajax":null,"AutoFill":false,"DisplayFields":["x_cont_num","x_cont_project","",""],"ParentFields":[],"FilterFields":[],"Options":[]};

// Form object for search
var ftb_serverslistsrch = new ew_Form("ftb_serverslistsrch");
</script>
<script type="text/javascript">

// Write your client script here, no need to add script tags.
</script>
<?php
	$bSelectLimit = EW_SELECT_LIMIT;
	if ($bSelectLimit) {
		$tb_servers_list->TotalRecs = $tb_servers->SelectRecordCount();
	} else {
		if ($tb_servers_list->Recordset = $tb_servers_list->LoadRecordset())
			$tb_servers_list->TotalRecs = $tb_servers_list->Recordset->RecordCount();
	}
	$tb_servers_list->StartRec = 1;
	if ($tb_servers_list->DisplayRecs <= 0 || ($tb_servers->Export <> "" && $tb_servers->ExportAll)) // Display all records
		$tb_servers_list->DisplayRecs = $tb_servers_list->TotalRecs;
	if (!($tb_servers->Export <> "" && $tb_servers->ExportAll))
		$tb_servers_list->SetUpStartRec(); // Set up start record position
	if ($bSelectLimit)
		$tb_servers_list->Recordset = $tb_servers_list->LoadRecordset($tb_servers_list->StartRec-1, $tb_servers_list->DisplayRecs);
?>
<p style="white-space: nowrap;"><span class="ewTitle ewTableTitle"><?php echo $Language->Phrase("TblTypeTABLE") ?><?php echo $tb_servers->TableCaption() ?>&nbsp;&nbsp;</span>
<?php $tb_servers_list->ExportOptions->Render("body"); ?>
</p>
<?php if ($tb_servers->Export == "" && $tb_servers->CurrentAction == "") { ?>
<form name="ftb_serverslistsrch" id="ftb_serverslistsrch" class="ewForm" action="<?php echo ew_CurrentPage() ?>">
<a href="javascript:ftb_serverslistsrch.ToggleSearchPanel();" style="text-decoration: none;"><img id="ftb_serverslistsrch_SearchImage" src="phpimages/collapse.gif" alt="" width="9" height="9" border="0"></a><span class="phpmaker">&nbsp;<?php echo $Language->Phrase("Search") ?></span><br>
<div id="ftb_serverslistsrch_SearchPanel">
<input type="hidden" name="t" value="tb_servers">
<div class="ewBasicSearch">
<div id="xsr_1" class="ewRow">
	<input type="text" name="<?php echo EW_TABLE_BASIC_SEARCH ?>" size="20" value="<?php echo ew_HtmlEncode($tb_servers->getSessionBasicSearchKeyword()) ?>">
	<input type="submit" name="btnsubmit" id="btnsubmit" value="<?php echo ew_BtnCaption($Language->Phrase("QuickSearchBtn")) ?>">&nbsp;
	<a href="<?php echo $tb_servers_list->PageUrl() ?>cmd=reset"><?php echo $Language->Phrase("ShowAll") ?></a>&nbsp;
</div>
<div id="xsr_2" class="ewRow">
	<label><input type="radio" name="<?php echo EW_TABLE_BASIC_SEARCH_TYPE ?>" value="="<?php if ($tb_servers->getSessionBasicSearchType() == "=") { ?> checked="checked"<?php } ?>><?php echo $Language->Phrase("ExactPhrase") ?></label>&nbsp;&nbsp;<label><input type="radio" name="<?php echo EW_TABLE_BASIC_SEARCH_TYPE ?>" value="AND"<?php if ($tb_servers->getSessionBasicSearchType() == "AND") { ?> checked="checked"<?php } ?>><?php echo $Language->Phrase("AllWord") ?></label>&nbsp;&nbsp;<label><input type="radio" name="<?php echo EW_TABLE_BASIC_SEARCH_TYPE ?>" value="OR"<?php if ($tb_servers->getSessionBasicSearchType() == "OR") { ?> checked="checked"<?php } ?>><?php echo $Language->Phrase("AnyWord") ?></label>
</div>
</div>
</div>
</form>
<?php } ?>
<?php $tb_servers_list->ShowPageHeader(); ?>
<?php
$tb_servers_list->ShowMessage();
?>
<br>
<table cellspacing="0" class="ewGrid"><tr><td class="ewGridContent">
<div class="ewGridUpperPanel">
<?php if ($tb_servers->CurrentAction <> "gridadd" && $tb_servers->CurrentAction <> "gridedit") { ?>
<form name="ewpagerform" id="ewpagerform" class="ewForm" action="<?php echo ew_CurrentPage() ?>">
<table border="0" cellspacing="0" cellpadding="0" class="ewPager">
	<tr>
		<td nowrap>
<?php if (!isset($tb_servers_list->Pager)) $tb_servers_list->Pager = new cPrevNextPager($tb_servers_list->StartRec, $tb_servers_list->DisplayRecs, $tb_servers_list->TotalRecs) ?>
<?php if ($tb_servers_list->Pager->RecordCount > 0) { ?>
	<table border="0" cellspacing="0" cellpadding="0"><tr><td><span class="phpmaker"><?php echo $Language->Phrase("Page") ?>&nbsp;</span></td>
<!--first page button-->
	<?php if ($tb_servers_list->Pager->FirstButton->Enabled) { ?>
	<td><a href="<?php echo $tb_servers_list->PageUrl() ?>start=<?php echo $tb_servers_list->Pager->FirstButton->Start ?>"><img src="phpimages/first.gif" alt="<?php echo $Language->Phrase("PagerFirst") ?>" width="16" height="16" border="0"></a></td>
	<?php } else { ?>
	<td><img src="phpimages/firstdisab.gif" alt="<?php echo $Language->Phrase("PagerFirst") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
<!--previous page button-->
	<?php if ($tb_servers_list->Pager->PrevButton->Enabled) { ?>
	<td><a href="<?php echo $tb_servers_list->PageUrl() ?>start=<?php echo $tb_servers_list->Pager->PrevButton->Start ?>"><img src="phpimages/prev.gif" alt="<?php echo $Language->Phrase("PagerPrevious") ?>" width="16" height="16" border="0"></a></td>
	<?php } else { ?>
	<td><img src="phpimages/prevdisab.gif" alt="<?php echo $Language->Phrase("PagerPrevious") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
<!--current page number-->
	<td><input type="text" name="<?php echo EW_TABLE_PAGE_NO ?>" id="<?php echo EW_TABLE_PAGE_NO ?>" value="<?php echo $tb_servers_list->Pager->CurrentPage ?>" size="4"></td>
<!--next page button-->
	<?php if ($tb_servers_list->Pager->NextButton->Enabled) { ?>
	<td><a href="<?php echo $tb_servers_list->PageUrl() ?>start=<?php echo $tb_servers_list->Pager->NextButton->Start ?>"><img src="phpimages/next.gif" alt="<?php echo $Language->Phrase("PagerNext") ?>" width="16" height="16" border="0"></a></td>	
	<?php } else { ?>
	<td><img src="phpimages/nextdisab.gif" alt="<?php echo $Language->Phrase("PagerNext") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
<!--last page button-->
	<?php if ($tb_servers_list->Pager->LastButton->Enabled) { ?>
	<td><a href="<?php echo $tb_servers_list->PageUrl() ?>start=<?php echo $tb_servers_list->Pager->LastButton->Start ?>"><img src="phpimages/last.gif" alt="<?php echo $Language->Phrase("PagerLast") ?>" width="16" height="16" border="0"></a></td>	
	<?php } else { ?>
	<td><img src="phpimages/lastdisab.gif" alt="<?php echo $Language->Phrase("PagerLast") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
	<td><span class="phpmaker">&nbsp;<?php echo $Language->Phrase("of") ?>&nbsp;<?php echo $tb_servers_list->Pager->PageCount ?></span></td>
	</tr></table>
	</td>	
	<td>&nbsp;&nbsp;&nbsp;&nbsp;</td>
	<td>
	<span class="phpmaker"><?php echo $Language->Phrase("Record") ?>&nbsp;<?php echo $tb_servers_list->Pager->FromIndex ?>&nbsp;<?php echo $Language->Phrase("To") ?>&nbsp;<?php echo $tb_servers_list->Pager->ToIndex ?>&nbsp;<?php echo $Language->Phrase("Of") ?>&nbsp;<?php echo $tb_servers_list->Pager->RecordCount ?></span>
<?php } else { ?>
	<?php if ($tb_servers_list->SearchWhere == "0=101") { ?>
	<span class="phpmaker"><?php echo $Language->Phrase("EnterSearchCriteria") ?></span>
	<?php } else { ?>
	<span class="phpmaker"><?php echo $Language->Phrase("NoRecord") ?></span>
	<?php } ?>
<?php } ?>
		</td>
	</tr>
</table>
</form>
<?php } ?>
<span class="phpmaker">
<?php if ($tb_servers_list->AddUrl <> "") { ?>
<a class="ewGridLink" href="<?php echo $tb_servers_list->AddUrl ?>"><?php echo $Language->Phrase("AddLink") ?></a>&nbsp;&nbsp;
<?php } ?>
</span>
</div>
<form name="ftb_serverslist" id="ftb_serverslist" class="ewForm" action="" method="post">
<input type="hidden" name="t" value="tb_servers">
<div id="gmp_tb_servers" class="ewGridMiddlePanel">
<?php if ($tb_servers_list->TotalRecs > 0) { ?>
<table cellspacing="0" id="tbl_tb_serverslist" class="ewTable ewTableSeparate">
<?php echo $tb_servers->TableCustomInnerHtml ?>
<thead><!-- Table header -->
	<tr class="ewTableHeader">
<?php

// Render list options
$tb_servers_list->RenderListOptions();

// Render list options (header, left)
$tb_servers_list->ListOptions->Render("header", "left");
?>
<?php if ($tb_servers->sv_id->Visible) { // sv_id ?>
	<?php if ($tb_servers->SortUrl($tb_servers->sv_id) == "") { ?>
		<td><span id="elh_tb_servers_sv_id" class="tb_servers_sv_id"><?php echo $tb_servers->sv_id->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_servers->SortUrl($tb_servers->sv_id) ?>',1);"><span id="elh_tb_servers_sv_id" class="tb_servers_sv_id">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_servers->sv_id->FldCaption() ?><?php echo $Language->Phrase("SrchLegend") ?></td><td style="width: 10px;"><?php if ($tb_servers->sv_id->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_servers->sv_id->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_servers->court_id->Visible) { // court_id ?>
	<?php if ($tb_servers->SortUrl($tb_servers->court_id) == "") { ?>
		<td><span id="elh_tb_servers_court_id" class="tb_servers_court_id"><?php echo $tb_servers->court_id->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_servers->SortUrl($tb_servers->court_id) ?>',1);"><span id="elh_tb_servers_court_id" class="tb_servers_court_id">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_servers->court_id->FldCaption() ?><?php echo $Language->Phrase("SrchLegend") ?></td><td style="width: 10px;"><?php if ($tb_servers->court_id->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_servers->court_id->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_servers->svt_id->Visible) { // svt_id ?>
	<?php if ($tb_servers->SortUrl($tb_servers->svt_id) == "") { ?>
		<td><span id="elh_tb_servers_svt_id" class="tb_servers_svt_id"><?php echo $tb_servers->svt_id->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_servers->SortUrl($tb_servers->svt_id) ?>',1);"><span id="elh_tb_servers_svt_id" class="tb_servers_svt_id">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_servers->svt_id->FldCaption() ?><?php echo $Language->Phrase("SrchLegend") ?></td><td style="width: 10px;"><?php if ($tb_servers->svt_id->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_servers->svt_id->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_servers->sv_sn->Visible) { // sv_sn ?>
	<?php if ($tb_servers->SortUrl($tb_servers->sv_sn) == "") { ?>
		<td><span id="elh_tb_servers_sv_sn" class="tb_servers_sv_sn"><?php echo $tb_servers->sv_sn->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_servers->SortUrl($tb_servers->sv_sn) ?>',1);"><span id="elh_tb_servers_sv_sn" class="tb_servers_sv_sn">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_servers->sv_sn->FldCaption() ?><?php echo $Language->Phrase("SrchLegend") ?></td><td style="width: 10px;"><?php if ($tb_servers->sv_sn->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_servers->sv_sn->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_servers->sv_number->Visible) { // sv_number ?>
	<?php if ($tb_servers->SortUrl($tb_servers->sv_number) == "") { ?>
		<td><span id="elh_tb_servers_sv_number" class="tb_servers_sv_number"><?php echo $tb_servers->sv_number->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_servers->SortUrl($tb_servers->sv_number) ?>',1);"><span id="elh_tb_servers_sv_number" class="tb_servers_sv_number">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_servers->sv_number->FldCaption() ?><?php echo $Language->Phrase("SrchLegend") ?></td><td style="width: 10px;"><?php if ($tb_servers->sv_number->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_servers->sv_number->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_servers->sv_brand->Visible) { // sv_brand ?>
	<?php if ($tb_servers->SortUrl($tb_servers->sv_brand) == "") { ?>
		<td><span id="elh_tb_servers_sv_brand" class="tb_servers_sv_brand"><?php echo $tb_servers->sv_brand->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_servers->SortUrl($tb_servers->sv_brand) ?>',1);"><span id="elh_tb_servers_sv_brand" class="tb_servers_sv_brand">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_servers->sv_brand->FldCaption() ?><?php echo $Language->Phrase("SrchLegend") ?></td><td style="width: 10px;"><?php if ($tb_servers->sv_brand->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_servers->sv_brand->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_servers->sv_crop->Visible) { // sv_crop ?>
	<?php if ($tb_servers->SortUrl($tb_servers->sv_crop) == "") { ?>
		<td><span id="elh_tb_servers_sv_crop" class="tb_servers_sv_crop"><?php echo $tb_servers->sv_crop->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_servers->SortUrl($tb_servers->sv_crop) ?>',1);"><span id="elh_tb_servers_sv_crop" class="tb_servers_sv_crop">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_servers->sv_crop->FldCaption() ?><?php echo $Language->Phrase("SrchLegend") ?></td><td style="width: 10px;"><?php if ($tb_servers->sv_crop->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_servers->sv_crop->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_servers->sv_speed->Visible) { // sv_speed ?>
	<?php if ($tb_servers->SortUrl($tb_servers->sv_speed) == "") { ?>
		<td><span id="elh_tb_servers_sv_speed" class="tb_servers_sv_speed"><?php echo $tb_servers->sv_speed->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_servers->SortUrl($tb_servers->sv_speed) ?>',1);"><span id="elh_tb_servers_sv_speed" class="tb_servers_sv_speed">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_servers->sv_speed->FldCaption() ?><?php echo $Language->Phrase("SrchLegend") ?></td><td style="width: 10px;"><?php if ($tb_servers->sv_speed->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_servers->sv_speed->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_servers->sv_ram->Visible) { // sv_ram ?>
	<?php if ($tb_servers->SortUrl($tb_servers->sv_ram) == "") { ?>
		<td><span id="elh_tb_servers_sv_ram" class="tb_servers_sv_ram"><?php echo $tb_servers->sv_ram->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_servers->SortUrl($tb_servers->sv_ram) ?>',1);"><span id="elh_tb_servers_sv_ram" class="tb_servers_sv_ram">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_servers->sv_ram->FldCaption() ?><?php echo $Language->Phrase("SrchLegend") ?></td><td style="width: 10px;"><?php if ($tb_servers->sv_ram->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_servers->sv_ram->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_servers->sv_hdd->Visible) { // sv_hdd ?>
	<?php if ($tb_servers->SortUrl($tb_servers->sv_hdd) == "") { ?>
		<td><span id="elh_tb_servers_sv_hdd" class="tb_servers_sv_hdd"><?php echo $tb_servers->sv_hdd->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_servers->SortUrl($tb_servers->sv_hdd) ?>',1);"><span id="elh_tb_servers_sv_hdd" class="tb_servers_sv_hdd">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_servers->sv_hdd->FldCaption() ?><?php echo $Language->Phrase("SrchLegend") ?></td><td style="width: 10px;"><?php if ($tb_servers->sv_hdd->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_servers->sv_hdd->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_servers->sv_os->Visible) { // sv_os ?>
	<?php if ($tb_servers->SortUrl($tb_servers->sv_os) == "") { ?>
		<td><span id="elh_tb_servers_sv_os" class="tb_servers_sv_os"><?php echo $tb_servers->sv_os->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_servers->SortUrl($tb_servers->sv_os) ?>',1);"><span id="elh_tb_servers_sv_os" class="tb_servers_sv_os">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_servers->sv_os->FldCaption() ?><?php echo $Language->Phrase("SrchLegend") ?></td><td style="width: 10px;"><?php if ($tb_servers->sv_os->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_servers->sv_os->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_servers->sv_desc->Visible) { // sv_desc ?>
	<?php if ($tb_servers->SortUrl($tb_servers->sv_desc) == "") { ?>
		<td><span id="elh_tb_servers_sv_desc" class="tb_servers_sv_desc"><?php echo $tb_servers->sv_desc->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_servers->SortUrl($tb_servers->sv_desc) ?>',1);"><span id="elh_tb_servers_sv_desc" class="tb_servers_sv_desc">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_servers->sv_desc->FldCaption() ?><?php echo $Language->Phrase("SrchLegend") ?></td><td style="width: 10px;"><?php if ($tb_servers->sv_desc->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_servers->sv_desc->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_servers->sv_name->Visible) { // sv_name ?>
	<?php if ($tb_servers->SortUrl($tb_servers->sv_name) == "") { ?>
		<td><span id="elh_tb_servers_sv_name" class="tb_servers_sv_name"><?php echo $tb_servers->sv_name->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_servers->SortUrl($tb_servers->sv_name) ?>',1);"><span id="elh_tb_servers_sv_name" class="tb_servers_sv_name">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_servers->sv_name->FldCaption() ?><?php echo $Language->Phrase("SrchLegend") ?></td><td style="width: 10px;"><?php if ($tb_servers->sv_name->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_servers->sv_name->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_servers->sv_usage->Visible) { // sv_usage ?>
	<?php if ($tb_servers->SortUrl($tb_servers->sv_usage) == "") { ?>
		<td><span id="elh_tb_servers_sv_usage" class="tb_servers_sv_usage"><?php echo $tb_servers->sv_usage->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_servers->SortUrl($tb_servers->sv_usage) ?>',1);"><span id="elh_tb_servers_sv_usage" class="tb_servers_sv_usage">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_servers->sv_usage->FldCaption() ?><?php echo $Language->Phrase("SrchLegend") ?></td><td style="width: 10px;"><?php if ($tb_servers->sv_usage->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_servers->sv_usage->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_servers->plt_id->Visible) { // plt_id ?>
	<?php if ($tb_servers->SortUrl($tb_servers->plt_id) == "") { ?>
		<td><span id="elh_tb_servers_plt_id" class="tb_servers_plt_id"><?php echo $tb_servers->plt_id->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_servers->SortUrl($tb_servers->plt_id) ?>',1);"><span id="elh_tb_servers_plt_id" class="tb_servers_plt_id">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_servers->plt_id->FldCaption() ?></td><td style="width: 10px;"><?php if ($tb_servers->plt_id->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_servers->plt_id->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_servers->sv_year->Visible) { // sv_year ?>
	<?php if ($tb_servers->SortUrl($tb_servers->sv_year) == "") { ?>
		<td><span id="elh_tb_servers_sv_year" class="tb_servers_sv_year"><?php echo $tb_servers->sv_year->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_servers->SortUrl($tb_servers->sv_year) ?>',1);"><span id="elh_tb_servers_sv_year" class="tb_servers_sv_year">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_servers->sv_year->FldCaption() ?><?php echo $Language->Phrase("SrchLegend") ?></td><td style="width: 10px;"><?php if ($tb_servers->sv_year->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_servers->sv_year->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_servers->sv_date_recieve->Visible) { // sv_date_recieve ?>
	<?php if ($tb_servers->SortUrl($tb_servers->sv_date_recieve) == "") { ?>
		<td><span id="elh_tb_servers_sv_date_recieve" class="tb_servers_sv_date_recieve"><?php echo $tb_servers->sv_date_recieve->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_servers->SortUrl($tb_servers->sv_date_recieve) ?>',1);"><span id="elh_tb_servers_sv_date_recieve" class="tb_servers_sv_date_recieve">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_servers->sv_date_recieve->FldCaption() ?></td><td style="width: 10px;"><?php if ($tb_servers->sv_date_recieve->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_servers->sv_date_recieve->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_servers->sv_contract_date_start->Visible) { // sv_contract_date_start ?>
	<?php if ($tb_servers->SortUrl($tb_servers->sv_contract_date_start) == "") { ?>
		<td><span id="elh_tb_servers_sv_contract_date_start" class="tb_servers_sv_contract_date_start"><?php echo $tb_servers->sv_contract_date_start->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_servers->SortUrl($tb_servers->sv_contract_date_start) ?>',1);"><span id="elh_tb_servers_sv_contract_date_start" class="tb_servers_sv_contract_date_start">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_servers->sv_contract_date_start->FldCaption() ?></td><td style="width: 10px;"><?php if ($tb_servers->sv_contract_date_start->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_servers->sv_contract_date_start->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_servers->sv_warranty->Visible) { // sv_warranty ?>
	<?php if ($tb_servers->SortUrl($tb_servers->sv_warranty) == "") { ?>
		<td><span id="elh_tb_servers_sv_warranty" class="tb_servers_sv_warranty"><?php echo $tb_servers->sv_warranty->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_servers->SortUrl($tb_servers->sv_warranty) ?>',1);"><span id="elh_tb_servers_sv_warranty" class="tb_servers_sv_warranty">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_servers->sv_warranty->FldCaption() ?></td><td style="width: 10px;"><?php if ($tb_servers->sv_warranty->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_servers->sv_warranty->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_servers->cont_id->Visible) { // cont_id ?>
	<?php if ($tb_servers->SortUrl($tb_servers->cont_id) == "") { ?>
		<td><span id="elh_tb_servers_cont_id" class="tb_servers_cont_id"><?php echo $tb_servers->cont_id->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_servers->SortUrl($tb_servers->cont_id) ?>',1);"><span id="elh_tb_servers_cont_id" class="tb_servers_cont_id">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_servers->cont_id->FldCaption() ?></td><td style="width: 10px;"><?php if ($tb_servers->cont_id->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_servers->cont_id->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_servers->sv_num_screen->Visible) { // sv_num_screen ?>
	<?php if ($tb_servers->SortUrl($tb_servers->sv_num_screen) == "") { ?>
		<td><span id="elh_tb_servers_sv_num_screen" class="tb_servers_sv_num_screen"><?php echo $tb_servers->sv_num_screen->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_servers->SortUrl($tb_servers->sv_num_screen) ?>',1);"><span id="elh_tb_servers_sv_num_screen" class="tb_servers_sv_num_screen">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_servers->sv_num_screen->FldCaption() ?><?php echo $Language->Phrase("SrchLegend") ?></td><td style="width: 10px;"><?php if ($tb_servers->sv_num_screen->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_servers->sv_num_screen->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_servers->sv_price->Visible) { // sv_price ?>
	<?php if ($tb_servers->SortUrl($tb_servers->sv_price) == "") { ?>
		<td><span id="elh_tb_servers_sv_price" class="tb_servers_sv_price"><?php echo $tb_servers->sv_price->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_servers->SortUrl($tb_servers->sv_price) ?>',1);"><span id="elh_tb_servers_sv_price" class="tb_servers_sv_price">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_servers->sv_price->FldCaption() ?></td><td style="width: 10px;"><?php if ($tb_servers->sv_price->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_servers->sv_price->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_servers->sv_origin->Visible) { // sv_origin ?>
	<?php if ($tb_servers->SortUrl($tb_servers->sv_origin) == "") { ?>
		<td><span id="elh_tb_servers_sv_origin" class="tb_servers_sv_origin"><?php echo $tb_servers->sv_origin->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_servers->SortUrl($tb_servers->sv_origin) ?>',1);"><span id="elh_tb_servers_sv_origin" class="tb_servers_sv_origin">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_servers->sv_origin->FldCaption() ?></td><td style="width: 10px;"><?php if ($tb_servers->sv_origin->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_servers->sv_origin->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_servers->sv_present->Visible) { // sv_present ?>
	<?php if ($tb_servers->SortUrl($tb_servers->sv_present) == "") { ?>
		<td><span id="elh_tb_servers_sv_present" class="tb_servers_sv_present"><?php echo $tb_servers->sv_present->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_servers->SortUrl($tb_servers->sv_present) ?>',1);"><span id="elh_tb_servers_sv_present" class="tb_servers_sv_present">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_servers->sv_present->FldCaption() ?></td><td style="width: 10px;"><?php if ($tb_servers->sv_present->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_servers->sv_present->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_servers->sv_comment->Visible) { // sv_comment ?>
	<?php if ($tb_servers->SortUrl($tb_servers->sv_comment) == "") { ?>
		<td><span id="elh_tb_servers_sv_comment" class="tb_servers_sv_comment"><?php echo $tb_servers->sv_comment->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_servers->SortUrl($tb_servers->sv_comment) ?>',1);"><span id="elh_tb_servers_sv_comment" class="tb_servers_sv_comment">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_servers->sv_comment->FldCaption() ?><?php echo $Language->Phrase("SrchLegend") ?></td><td style="width: 10px;"><?php if ($tb_servers->sv_comment->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_servers->sv_comment->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php

// Render list options (header, right)
$tb_servers_list->ListOptions->Render("header", "right");
?>
	</tr>
</thead>
<tbody>
<?php
if ($tb_servers->ExportAll && $tb_servers->Export <> "") {
	$tb_servers_list->StopRec = $tb_servers_list->TotalRecs;
} else {

	// Set the last record to display
	if ($tb_servers_list->TotalRecs > $tb_servers_list->StartRec + $tb_servers_list->DisplayRecs - 1)
		$tb_servers_list->StopRec = $tb_servers_list->StartRec + $tb_servers_list->DisplayRecs - 1;
	else
		$tb_servers_list->StopRec = $tb_servers_list->TotalRecs;
}
$tb_servers_list->RecCnt = $tb_servers_list->StartRec - 1;
if ($tb_servers_list->Recordset && !$tb_servers_list->Recordset->EOF) {
	$tb_servers_list->Recordset->MoveFirst();
	if (!$bSelectLimit && $tb_servers_list->StartRec > 1)
		$tb_servers_list->Recordset->Move($tb_servers_list->StartRec - 1);
} elseif (!$tb_servers->AllowAddDeleteRow && $tb_servers_list->StopRec == 0) {
	$tb_servers_list->StopRec = $tb_servers->GridAddRowCount;
}

// Initialize aggregate
$tb_servers->RowType = EW_ROWTYPE_AGGREGATEINIT;
$tb_servers->ResetAttrs();
$tb_servers_list->RenderRow();
while ($tb_servers_list->RecCnt < $tb_servers_list->StopRec) {
	$tb_servers_list->RecCnt++;
	if (intval($tb_servers_list->RecCnt) >= intval($tb_servers_list->StartRec)) {
		$tb_servers_list->RowCnt++;

		// Set up key count
		$tb_servers_list->KeyCount = $tb_servers_list->RowIndex;

		// Init row class and style
		$tb_servers->ResetAttrs();
		$tb_servers->CssClass = "";
		if ($tb_servers->CurrentAction == "gridadd") {
		} else {
			$tb_servers_list->LoadRowValues($tb_servers_list->Recordset); // Load row values
		}
		$tb_servers->RowType = EW_ROWTYPE_VIEW; // Render view

		// Set up row id / data-rowindex
		$tb_servers->RowAttrs = array_merge($tb_servers->RowAttrs, array('data-rowindex'=>$tb_servers_list->RowCnt, 'id'=>'r' . $tb_servers_list->RowCnt . '_tb_servers', 'data-rowtype'=>$tb_servers->RowType));

		// Render row
		$tb_servers_list->RenderRow();

		// Render list options
		$tb_servers_list->RenderListOptions();
?>
	<tr<?php echo $tb_servers->RowAttributes() ?>>
<?php

// Render list options (body, left)
$tb_servers_list->ListOptions->Render("body", "left", $tb_servers_list->RowCnt);
?>
	<?php if ($tb_servers->sv_id->Visible) { // sv_id ?>
		<td<?php echo $tb_servers->sv_id->CellAttributes() ?>><span id="el<?php echo $tb_servers_list->RowCnt ?>_tb_servers_sv_id" class="tb_servers_sv_id">
<span<?php echo $tb_servers->sv_id->ViewAttributes() ?>>
<?php echo $tb_servers->sv_id->ListViewValue() ?></span>
<a name="<?php echo $tb_servers_list->PageObjName . "_row_" . $tb_servers_list->RowCnt ?>" id="<?php echo $tb_servers_list->PageObjName . "_row_" . $tb_servers_list->RowCnt ?>"></a></span></td>
	<?php } ?>
	<?php if ($tb_servers->court_id->Visible) { // court_id ?>
		<td<?php echo $tb_servers->court_id->CellAttributes() ?>><span id="el<?php echo $tb_servers_list->RowCnt ?>_tb_servers_court_id" class="tb_servers_court_id">
<span<?php echo $tb_servers->court_id->ViewAttributes() ?>>
<?php echo $tb_servers->court_id->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_servers->svt_id->Visible) { // svt_id ?>
		<td<?php echo $tb_servers->svt_id->CellAttributes() ?>><span id="el<?php echo $tb_servers_list->RowCnt ?>_tb_servers_svt_id" class="tb_servers_svt_id">
<span<?php echo $tb_servers->svt_id->ViewAttributes() ?>>
<?php echo $tb_servers->svt_id->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_servers->sv_sn->Visible) { // sv_sn ?>
		<td<?php echo $tb_servers->sv_sn->CellAttributes() ?>><span id="el<?php echo $tb_servers_list->RowCnt ?>_tb_servers_sv_sn" class="tb_servers_sv_sn">
<span<?php echo $tb_servers->sv_sn->ViewAttributes() ?>>
<?php echo $tb_servers->sv_sn->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_servers->sv_number->Visible) { // sv_number ?>
		<td<?php echo $tb_servers->sv_number->CellAttributes() ?>><span id="el<?php echo $tb_servers_list->RowCnt ?>_tb_servers_sv_number" class="tb_servers_sv_number">
<span<?php echo $tb_servers->sv_number->ViewAttributes() ?>>
<?php echo $tb_servers->sv_number->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_servers->sv_brand->Visible) { // sv_brand ?>
		<td<?php echo $tb_servers->sv_brand->CellAttributes() ?>><span id="el<?php echo $tb_servers_list->RowCnt ?>_tb_servers_sv_brand" class="tb_servers_sv_brand">
<span<?php echo $tb_servers->sv_brand->ViewAttributes() ?>>
<?php echo $tb_servers->sv_brand->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_servers->sv_crop->Visible) { // sv_crop ?>
		<td<?php echo $tb_servers->sv_crop->CellAttributes() ?>><span id="el<?php echo $tb_servers_list->RowCnt ?>_tb_servers_sv_crop" class="tb_servers_sv_crop">
<span<?php echo $tb_servers->sv_crop->ViewAttributes() ?>>
<?php echo $tb_servers->sv_crop->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_servers->sv_speed->Visible) { // sv_speed ?>
		<td<?php echo $tb_servers->sv_speed->CellAttributes() ?>><span id="el<?php echo $tb_servers_list->RowCnt ?>_tb_servers_sv_speed" class="tb_servers_sv_speed">
<span<?php echo $tb_servers->sv_speed->ViewAttributes() ?>>
<?php echo $tb_servers->sv_speed->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_servers->sv_ram->Visible) { // sv_ram ?>
		<td<?php echo $tb_servers->sv_ram->CellAttributes() ?>><span id="el<?php echo $tb_servers_list->RowCnt ?>_tb_servers_sv_ram" class="tb_servers_sv_ram">
<span<?php echo $tb_servers->sv_ram->ViewAttributes() ?>>
<?php echo $tb_servers->sv_ram->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_servers->sv_hdd->Visible) { // sv_hdd ?>
		<td<?php echo $tb_servers->sv_hdd->CellAttributes() ?>><span id="el<?php echo $tb_servers_list->RowCnt ?>_tb_servers_sv_hdd" class="tb_servers_sv_hdd">
<span<?php echo $tb_servers->sv_hdd->ViewAttributes() ?>>
<?php echo $tb_servers->sv_hdd->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_servers->sv_os->Visible) { // sv_os ?>
		<td<?php echo $tb_servers->sv_os->CellAttributes() ?>><span id="el<?php echo $tb_servers_list->RowCnt ?>_tb_servers_sv_os" class="tb_servers_sv_os">
<span<?php echo $tb_servers->sv_os->ViewAttributes() ?>>
<?php echo $tb_servers->sv_os->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_servers->sv_desc->Visible) { // sv_desc ?>
		<td<?php echo $tb_servers->sv_desc->CellAttributes() ?>><span id="el<?php echo $tb_servers_list->RowCnt ?>_tb_servers_sv_desc" class="tb_servers_sv_desc">
<span<?php echo $tb_servers->sv_desc->ViewAttributes() ?>>
<?php echo $tb_servers->sv_desc->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_servers->sv_name->Visible) { // sv_name ?>
		<td<?php echo $tb_servers->sv_name->CellAttributes() ?>><span id="el<?php echo $tb_servers_list->RowCnt ?>_tb_servers_sv_name" class="tb_servers_sv_name">
<span<?php echo $tb_servers->sv_name->ViewAttributes() ?>>
<?php echo $tb_servers->sv_name->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_servers->sv_usage->Visible) { // sv_usage ?>
		<td<?php echo $tb_servers->sv_usage->CellAttributes() ?>><span id="el<?php echo $tb_servers_list->RowCnt ?>_tb_servers_sv_usage" class="tb_servers_sv_usage">
<span<?php echo $tb_servers->sv_usage->ViewAttributes() ?>>
<?php echo $tb_servers->sv_usage->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_servers->plt_id->Visible) { // plt_id ?>
		<td<?php echo $tb_servers->plt_id->CellAttributes() ?>><span id="el<?php echo $tb_servers_list->RowCnt ?>_tb_servers_plt_id" class="tb_servers_plt_id">
<span<?php echo $tb_servers->plt_id->ViewAttributes() ?>>
<?php echo $tb_servers->plt_id->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_servers->sv_year->Visible) { // sv_year ?>
		<td<?php echo $tb_servers->sv_year->CellAttributes() ?>><span id="el<?php echo $tb_servers_list->RowCnt ?>_tb_servers_sv_year" class="tb_servers_sv_year">
<span<?php echo $tb_servers->sv_year->ViewAttributes() ?>>
<?php echo $tb_servers->sv_year->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_servers->sv_date_recieve->Visible) { // sv_date_recieve ?>
		<td<?php echo $tb_servers->sv_date_recieve->CellAttributes() ?>><span id="el<?php echo $tb_servers_list->RowCnt ?>_tb_servers_sv_date_recieve" class="tb_servers_sv_date_recieve">
<span<?php echo $tb_servers->sv_date_recieve->ViewAttributes() ?>>
<?php echo $tb_servers->sv_date_recieve->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_servers->sv_contract_date_start->Visible) { // sv_contract_date_start ?>
		<td<?php echo $tb_servers->sv_contract_date_start->CellAttributes() ?>><span id="el<?php echo $tb_servers_list->RowCnt ?>_tb_servers_sv_contract_date_start" class="tb_servers_sv_contract_date_start">
<span<?php echo $tb_servers->sv_contract_date_start->ViewAttributes() ?>>
<?php echo $tb_servers->sv_contract_date_start->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_servers->sv_warranty->Visible) { // sv_warranty ?>
		<td<?php echo $tb_servers->sv_warranty->CellAttributes() ?>><span id="el<?php echo $tb_servers_list->RowCnt ?>_tb_servers_sv_warranty" class="tb_servers_sv_warranty">
<span<?php echo $tb_servers->sv_warranty->ViewAttributes() ?>>
<?php echo $tb_servers->sv_warranty->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_servers->cont_id->Visible) { // cont_id ?>
		<td<?php echo $tb_servers->cont_id->CellAttributes() ?>><span id="el<?php echo $tb_servers_list->RowCnt ?>_tb_servers_cont_id" class="tb_servers_cont_id">
<span<?php echo $tb_servers->cont_id->ViewAttributes() ?>>
<?php echo $tb_servers->cont_id->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_servers->sv_num_screen->Visible) { // sv_num_screen ?>
		<td<?php echo $tb_servers->sv_num_screen->CellAttributes() ?>><span id="el<?php echo $tb_servers_list->RowCnt ?>_tb_servers_sv_num_screen" class="tb_servers_sv_num_screen">
<span<?php echo $tb_servers->sv_num_screen->ViewAttributes() ?>>
<?php echo $tb_servers->sv_num_screen->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_servers->sv_price->Visible) { // sv_price ?>
		<td<?php echo $tb_servers->sv_price->CellAttributes() ?>><span id="el<?php echo $tb_servers_list->RowCnt ?>_tb_servers_sv_price" class="tb_servers_sv_price">
<span<?php echo $tb_servers->sv_price->ViewAttributes() ?>>
<?php echo $tb_servers->sv_price->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_servers->sv_origin->Visible) { // sv_origin ?>
		<td<?php echo $tb_servers->sv_origin->CellAttributes() ?>><span id="el<?php echo $tb_servers_list->RowCnt ?>_tb_servers_sv_origin" class="tb_servers_sv_origin">
<span<?php echo $tb_servers->sv_origin->ViewAttributes() ?>>
<?php echo $tb_servers->sv_origin->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_servers->sv_present->Visible) { // sv_present ?>
		<td<?php echo $tb_servers->sv_present->CellAttributes() ?>><span id="el<?php echo $tb_servers_list->RowCnt ?>_tb_servers_sv_present" class="tb_servers_sv_present">
<span<?php echo $tb_servers->sv_present->ViewAttributes() ?>>
<?php echo $tb_servers->sv_present->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_servers->sv_comment->Visible) { // sv_comment ?>
		<td<?php echo $tb_servers->sv_comment->CellAttributes() ?>><span id="el<?php echo $tb_servers_list->RowCnt ?>_tb_servers_sv_comment" class="tb_servers_sv_comment">
<span<?php echo $tb_servers->sv_comment->ViewAttributes() ?>>
<?php echo $tb_servers->sv_comment->ListViewValue() ?></span>
</span></td>
	<?php } ?>
<?php

// Render list options (body, right)
$tb_servers_list->ListOptions->Render("body", "right", $tb_servers_list->RowCnt);
?>
	</tr>
<?php
	}
	if ($tb_servers->CurrentAction <> "gridadd")
		$tb_servers_list->Recordset->MoveNext();
}
?>
</tbody>
</table>
<?php } ?>
<?php if ($tb_servers->CurrentAction == "") { ?>
<input type="hidden" name="a_list" id="a_list" value="">
<?php } ?>
</div>
</form>
<?php

// Close recordset
if ($tb_servers_list->Recordset)
	$tb_servers_list->Recordset->Close();
?>
<?php if ($tb_servers_list->TotalRecs > 0) { ?>
<div class="ewGridLowerPanel">
<?php if ($tb_servers->CurrentAction <> "gridadd" && $tb_servers->CurrentAction <> "gridedit") { ?>
<form name="ewpagerform" id="ewpagerform" class="ewForm" action="<?php echo ew_CurrentPage() ?>">
<table border="0" cellspacing="0" cellpadding="0" class="ewPager">
	<tr>
		<td nowrap>
<?php if (!isset($tb_servers_list->Pager)) $tb_servers_list->Pager = new cPrevNextPager($tb_servers_list->StartRec, $tb_servers_list->DisplayRecs, $tb_servers_list->TotalRecs) ?>
<?php if ($tb_servers_list->Pager->RecordCount > 0) { ?>
	<table border="0" cellspacing="0" cellpadding="0"><tr><td><span class="phpmaker"><?php echo $Language->Phrase("Page") ?>&nbsp;</span></td>
<!--first page button-->
	<?php if ($tb_servers_list->Pager->FirstButton->Enabled) { ?>
	<td><a href="<?php echo $tb_servers_list->PageUrl() ?>start=<?php echo $tb_servers_list->Pager->FirstButton->Start ?>"><img src="phpimages/first.gif" alt="<?php echo $Language->Phrase("PagerFirst") ?>" width="16" height="16" border="0"></a></td>
	<?php } else { ?>
	<td><img src="phpimages/firstdisab.gif" alt="<?php echo $Language->Phrase("PagerFirst") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
<!--previous page button-->
	<?php if ($tb_servers_list->Pager->PrevButton->Enabled) { ?>
	<td><a href="<?php echo $tb_servers_list->PageUrl() ?>start=<?php echo $tb_servers_list->Pager->PrevButton->Start ?>"><img src="phpimages/prev.gif" alt="<?php echo $Language->Phrase("PagerPrevious") ?>" width="16" height="16" border="0"></a></td>
	<?php } else { ?>
	<td><img src="phpimages/prevdisab.gif" alt="<?php echo $Language->Phrase("PagerPrevious") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
<!--current page number-->
	<td><input type="text" name="<?php echo EW_TABLE_PAGE_NO ?>" id="<?php echo EW_TABLE_PAGE_NO ?>" value="<?php echo $tb_servers_list->Pager->CurrentPage ?>" size="4"></td>
<!--next page button-->
	<?php if ($tb_servers_list->Pager->NextButton->Enabled) { ?>
	<td><a href="<?php echo $tb_servers_list->PageUrl() ?>start=<?php echo $tb_servers_list->Pager->NextButton->Start ?>"><img src="phpimages/next.gif" alt="<?php echo $Language->Phrase("PagerNext") ?>" width="16" height="16" border="0"></a></td>	
	<?php } else { ?>
	<td><img src="phpimages/nextdisab.gif" alt="<?php echo $Language->Phrase("PagerNext") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
<!--last page button-->
	<?php if ($tb_servers_list->Pager->LastButton->Enabled) { ?>
	<td><a href="<?php echo $tb_servers_list->PageUrl() ?>start=<?php echo $tb_servers_list->Pager->LastButton->Start ?>"><img src="phpimages/last.gif" alt="<?php echo $Language->Phrase("PagerLast") ?>" width="16" height="16" border="0"></a></td>	
	<?php } else { ?>
	<td><img src="phpimages/lastdisab.gif" alt="<?php echo $Language->Phrase("PagerLast") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
	<td><span class="phpmaker">&nbsp;<?php echo $Language->Phrase("of") ?>&nbsp;<?php echo $tb_servers_list->Pager->PageCount ?></span></td>
	</tr></table>
	</td>	
	<td>&nbsp;&nbsp;&nbsp;&nbsp;</td>
	<td>
	<span class="phpmaker"><?php echo $Language->Phrase("Record") ?>&nbsp;<?php echo $tb_servers_list->Pager->FromIndex ?>&nbsp;<?php echo $Language->Phrase("To") ?>&nbsp;<?php echo $tb_servers_list->Pager->ToIndex ?>&nbsp;<?php echo $Language->Phrase("Of") ?>&nbsp;<?php echo $tb_servers_list->Pager->RecordCount ?></span>
<?php } else { ?>
	<?php if ($tb_servers_list->SearchWhere == "0=101") { ?>
	<span class="phpmaker"><?php echo $Language->Phrase("EnterSearchCriteria") ?></span>
	<?php } else { ?>
	<span class="phpmaker"><?php echo $Language->Phrase("NoRecord") ?></span>
	<?php } ?>
<?php } ?>
		</td>
	</tr>
</table>
</form>
<?php } ?>
<span class="phpmaker">
<?php if ($tb_servers_list->AddUrl <> "") { ?>
<a class="ewGridLink" href="<?php echo $tb_servers_list->AddUrl ?>"><?php echo $Language->Phrase("AddLink") ?></a>&nbsp;&nbsp;
<?php } ?>
</span>
</div>
<?php } ?>
</td></tr></table>
<script type="text/javascript">
ftb_serverslistsrch.Init();
ftb_serverslist.Init();
</script>
<?php
$tb_servers_list->ShowPageFooter();
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
?>
<script type="text/javascript">

// Write your table-specific startup script here
// document.write("page loaded");

</script>
<?php include_once "footer.php" ?>
<?php
$tb_servers_list->Page_Terminate();
?>
