<?php
if (session_id() == "") session_start(); // Initialize Session data
ob_start(); // Turn on output buffering
?>
<?php include_once "ewcfg9.php" ?>
<?php include_once "ewmysql9.php" ?>
<?php include_once "phpfn9.php" ?>
<?php include_once "tb_serversinfo.php" ?>
<?php include_once "userfn9.php" ?>
<?php

//
// Page class
//

$tb_servers_view = NULL; // Initialize page object first

class ctb_servers_view extends ctb_servers {

	// Page ID
	var $PageID = 'view';

	// Project ID
	var $ProjectID = "{6072F4AB-8E55-4BED-87E8-94ADB1680AEB}";

	// Table name
	var $TableName = 'tb_servers';

	// Page object name
	var $PageObjName = 'tb_servers_view';

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		if ($this->UseTokenInUrl) $PageUrl .= "t=" . $this->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Page URLs
	var $AddUrl;
	var $EditUrl;
	var $CopyUrl;
	var $DeleteUrl;
	var $ViewUrl;
	var $ListUrl;

	// Export URLs
	var $ExportPrintUrl;
	var $ExportHtmlUrl;
	var $ExportExcelUrl;
	var $ExportWordUrl;
	var $ExportXmlUrl;
	var $ExportCsvUrl;
	var $ExportPdfUrl;

	// Update URLs
	var $InlineAddUrl;
	var $InlineCopyUrl;
	var $InlineEditUrl;
	var $GridAddUrl;
	var $GridEditUrl;
	var $MultiDeleteUrl;
	var $MultiUpdateUrl;

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_MESSAGE], $v);
	}

	function getFailureMessage() {
		return @$_SESSION[EW_SESSION_FAILURE_MESSAGE];
	}

	function setFailureMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_FAILURE_MESSAGE], $v);
	}

	function getSuccessMessage() {
		return @$_SESSION[EW_SESSION_SUCCESS_MESSAGE];
	}

	function setSuccessMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_SUCCESS_MESSAGE], $v);
	}

	function getWarningMessage() {
		return @$_SESSION[EW_SESSION_WARNING_MESSAGE];
	}

	function setWarningMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_WARNING_MESSAGE], $v);
	}

	// Show message
	function ShowMessage() {
		$hidden = FALSE;
		$html = "";

		// Message
		$sMessage = $this->getMessage();
		$this->Message_Showing($sMessage, "");
		if ($sMessage <> "") { // Message in Session, display
			$html .= "<p class=\"ewMessage\">" . $sMessage . "</p>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}

		// Warning message
		$sWarningMessage = $this->getWarningMessage();
		$this->Message_Showing($sWarningMessage, "warning");
		if ($sWarningMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewWarningIcon\"></td><td class=\"ewWarningMessage\">" . $sWarningMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_WARNING_MESSAGE] = ""; // Clear message in Session
		}

		// Success message
		$sSuccessMessage = $this->getSuccessMessage();
		$this->Message_Showing($sSuccessMessage, "success");
		if ($sSuccessMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewSuccessIcon\"></td><td class=\"ewSuccessMessage\">" . $sSuccessMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = ""; // Clear message in Session
		}

		// Failure message
		$sErrorMessage = $this->getFailureMessage();
		$this->Message_Showing($sErrorMessage, "failure");
		if ($sErrorMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewErrorIcon\"></td><td class=\"ewErrorMessage\">" . $sErrorMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_FAILURE_MESSAGE] = ""; // Clear message in Session
		}		
		echo "<div class=\"ewMessageDialog\"" . (($hidden) ? " style=\"display: none;\"" : "") . ">" . $html . "</div>";
	}
	var $PageHeader;
	var $PageFooter;

	// Show Page Header
	function ShowPageHeader() {
		$sHeader = $this->PageHeader;
		$this->Page_DataRendering($sHeader);
		if ($sHeader <> "") { // Header exists, display
			echo "<p class=\"phpmaker\">" . $sHeader . "</p>";
		}
	}

	// Show Page Footer
	function ShowPageFooter() {
		$sFooter = $this->PageFooter;
		$this->Page_DataRendered($sFooter);
		if ($sFooter <> "") { // Fotoer exists, display
			echo "<p class=\"phpmaker\">" . $sFooter . "</p>";
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm;
		if ($this->UseTokenInUrl) {
			if ($objForm)
				return ($this->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($this->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}

	//
	// Page class constructor
	//
	function __construct() {
		global $conn, $Language;
		$GLOBALS["Page"] = &$this;

		// Language object
		if (!isset($Language)) $Language = new cLanguage();

		// Parent constuctor
		parent::__construct();

		// Table object (tb_servers)
		if (!isset($GLOBALS["tb_servers"])) {
			$GLOBALS["tb_servers"] = &$this;
			$GLOBALS["Table"] = &$GLOBALS["tb_servers"];
		}
		$KeyUrl = "";
		if (@$_GET["sv_id"] <> "") {
			$this->RecKey["sv_id"] = $_GET["sv_id"];
			$KeyUrl .= "&sv_id=" . urlencode($this->RecKey["sv_id"]);
		}
		$this->ExportPrintUrl = $this->PageUrl() . "export=print" . $KeyUrl;
		$this->ExportHtmlUrl = $this->PageUrl() . "export=html" . $KeyUrl;
		$this->ExportExcelUrl = $this->PageUrl() . "export=excel" . $KeyUrl;
		$this->ExportWordUrl = $this->PageUrl() . "export=word" . $KeyUrl;
		$this->ExportXmlUrl = $this->PageUrl() . "export=xml" . $KeyUrl;
		$this->ExportCsvUrl = $this->PageUrl() . "export=csv" . $KeyUrl;
		$this->ExportPdfUrl = $this->PageUrl() . "export=pdf" . $KeyUrl;

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'view', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'tb_servers', TRUE);

		// Start timer
		if (!isset($GLOBALS["gTimer"])) $GLOBALS["gTimer"] = new cTimer();

		// Open connection
		if (!isset($conn)) $conn = ew_Connect();

		// Export options
		$this->ExportOptions = new cListOptions();
		$this->ExportOptions->Tag = "span";
		$this->ExportOptions->TagClassName = "ewExportOption";
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;
		$this->CurrentAction = (@$_GET["a"] <> "") ? $_GET["a"] : @$_POST["a_list"];

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $conn;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();
		$this->Page_Redirecting($url);

		 // Close connection
		$conn->Close();

		// Go to URL if specified
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			header("Location: " . $url);
		}
		exit();
	}
	var $ExportOptions; // Export options
	var $DisplayRecs = 1;
	var $StartRec;
	var $StopRec;
	var $TotalRecs = 0;
	var $RecRange = 10;
	var $Pager;
	var $RecCnt;
	var $RecKey = array();
	var $Recordset;

	//
	// Page main
	//
	function Page_Main() {
		global $Language;

		// Load current record
		$bLoadCurrentRecord = FALSE;
		$sReturnUrl = "";
		$bMatchRecord = FALSE;
		if ($this->IsPageRequest()) { // Validate request
			if (@$_GET["sv_id"] <> "") {
				$this->sv_id->setQueryStringValue($_GET["sv_id"]);
				$this->RecKey["sv_id"] = $this->sv_id->QueryStringValue;
			} else {
				$bLoadCurrentRecord = TRUE;
			}

			// Get action
			$this->CurrentAction = "I"; // Display form
			switch ($this->CurrentAction) {
				case "I": // Get a record to display
					$this->StartRec = 1; // Initialize start position
					if ($this->Recordset = $this->LoadRecordset()) // Load records
						$this->TotalRecs = $this->Recordset->RecordCount(); // Get record count
					if ($this->TotalRecs <= 0) { // No record found
						if ($this->getSuccessMessage() == "" && $this->getFailureMessage() == "")
							$this->setFailureMessage($Language->Phrase("NoRecord")); // Set no record message
						$this->Page_Terminate("tb_serverslist.php"); // Return to list page
					} elseif ($bLoadCurrentRecord) { // Load current record position
						$this->SetUpStartRec(); // Set up start record position

						// Point to current record
						if (intval($this->StartRec) <= intval($this->TotalRecs)) {
							$bMatchRecord = TRUE;
							$this->Recordset->Move($this->StartRec-1);
						}
					} else { // Match key values
						while (!$this->Recordset->EOF) {
							if (strval($this->sv_id->CurrentValue) == strval($this->Recordset->fields('sv_id'))) {
								$this->setStartRecordNumber($this->StartRec); // Save record position
								$bMatchRecord = TRUE;
								break;
							} else {
								$this->StartRec++;
								$this->Recordset->MoveNext();
							}
						}
					}
					if (!$bMatchRecord) {
						if ($this->getSuccessMessage() == "" && $this->getFailureMessage() == "")
							$this->setFailureMessage($Language->Phrase("NoRecord")); // Set no record message
						$sReturnUrl = "tb_serverslist.php"; // No matching record, return to list
					} else {
						$this->LoadRowValues($this->Recordset); // Load row values
					}
			}
		} else {
			$sReturnUrl = "tb_serverslist.php"; // Not page request, return to list
		}
		if ($sReturnUrl <> "")
			$this->Page_Terminate($sReturnUrl);

		// Render row
		$this->RowType = EW_ROWTYPE_VIEW;
		$this->ResetAttrs();
		$this->RenderRow();
	}

	// Set up starting record parameters
	function SetUpStartRec() {
		if ($this->DisplayRecs == 0)
			return;
		if ($this->IsPageRequest()) { // Validate request
			if (@$_GET[EW_TABLE_START_REC] <> "") { // Check for "start" parameter
				$this->StartRec = $_GET[EW_TABLE_START_REC];
				$this->setStartRecordNumber($this->StartRec);
			} elseif (@$_GET[EW_TABLE_PAGE_NO] <> "") {
				$PageNo = $_GET[EW_TABLE_PAGE_NO];
				if (is_numeric($PageNo)) {
					$this->StartRec = ($PageNo-1)*$this->DisplayRecs+1;
					if ($this->StartRec <= 0) {
						$this->StartRec = 1;
					} elseif ($this->StartRec >= intval(($this->TotalRecs-1)/$this->DisplayRecs)*$this->DisplayRecs+1) {
						$this->StartRec = intval(($this->TotalRecs-1)/$this->DisplayRecs)*$this->DisplayRecs+1;
					}
					$this->setStartRecordNumber($this->StartRec);
				}
			}
		}
		$this->StartRec = $this->getStartRecordNumber();

		// Check if correct start record counter
		if (!is_numeric($this->StartRec) || $this->StartRec == "") { // Avoid invalid start record counter
			$this->StartRec = 1; // Reset start record counter
			$this->setStartRecordNumber($this->StartRec);
		} elseif (intval($this->StartRec) > intval($this->TotalRecs)) { // Avoid starting record > total records
			$this->StartRec = intval(($this->TotalRecs-1)/$this->DisplayRecs)*$this->DisplayRecs+1; // Point to last page first record
			$this->setStartRecordNumber($this->StartRec);
		} elseif (($this->StartRec-1) % $this->DisplayRecs <> 0) {
			$this->StartRec = intval(($this->StartRec-1)/$this->DisplayRecs)*$this->DisplayRecs+1; // Point to page boundary
			$this->setStartRecordNumber($this->StartRec);
		}
	}

	// Load recordset
	function LoadRecordset($offset = -1, $rowcnt = -1) {
		global $conn;

		// Call Recordset Selecting event
		$this->Recordset_Selecting($this->CurrentFilter);

		// Load List page SQL
		$sSql = $this->SelectSQL();
		if ($offset > -1 && $rowcnt > -1)
			$sSql .= " LIMIT $rowcnt OFFSET $offset";

		// Load recordset
		$rs = ew_LoadRecordset($sSql);

		// Call Recordset Selected event
		$this->Recordset_Selected($rs);
		return $rs;
	}

	// Load row based on key values
	function LoadRow() {
		global $conn, $Security, $Language;
		$sFilter = $this->KeyFilter();

		// Call Row Selecting event
		$this->Row_Selecting($sFilter);

		// Load SQL based on filter
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		global $conn;
		if (!$rs || $rs->EOF) return;

		// Call Row Selected event
		$row = &$rs->fields;
		$this->Row_Selected($row);
		$this->sv_id->setDbValue($rs->fields('sv_id'));
		$this->court_id->setDbValue($rs->fields('court_id'));
		$this->svt_id->setDbValue($rs->fields('svt_id'));
		$this->sv_sn->setDbValue($rs->fields('sv_sn'));
		$this->sv_number->setDbValue($rs->fields('sv_number'));
		$this->sv_brand->setDbValue($rs->fields('sv_brand'));
		$this->sv_crop->setDbValue($rs->fields('sv_crop'));
		$this->sv_speed->setDbValue($rs->fields('sv_speed'));
		$this->sv_ram->setDbValue($rs->fields('sv_ram'));
		$this->sv_hdd->setDbValue($rs->fields('sv_hdd'));
		$this->sv_os->setDbValue($rs->fields('sv_os'));
		$this->sv_desc->setDbValue($rs->fields('sv_desc'));
		$this->sv_name->setDbValue($rs->fields('sv_name'));
		$this->sv_usage->setDbValue($rs->fields('sv_usage'));
		$this->plt_id->setDbValue($rs->fields('plt_id'));
		$this->sv_year->setDbValue($rs->fields('sv_year'));
		$this->sv_date_recieve->setDbValue($rs->fields('sv_date_recieve'));
		$this->sv_contract_date_start->setDbValue($rs->fields('sv_contract_date_start'));
		$this->sv_warranty->setDbValue($rs->fields('sv_warranty'));
		$this->cont_id->setDbValue($rs->fields('cont_id'));
		$this->sv_num_screen->setDbValue($rs->fields('sv_num_screen'));
		$this->sv_price->setDbValue($rs->fields('sv_price'));
		$this->sv_origin->setDbValue($rs->fields('sv_origin'));
		$this->sv_present->setDbValue($rs->fields('sv_present'));
		$this->sv_comment->setDbValue($rs->fields('sv_comment'));
	}

	// Render row values based on field settings
	function RenderRow() {
		global $conn, $Security, $Language;
		global $gsLanguage;

		// Initialize URLs
		$this->AddUrl = $this->GetAddUrl();
		$this->EditUrl = $this->GetEditUrl();
		$this->CopyUrl = $this->GetCopyUrl();
		$this->DeleteUrl = $this->GetDeleteUrl();
		$this->ListUrl = $this->GetListUrl();

		// Convert decimal values if posted back
		if ($this->sv_warranty->FormValue == $this->sv_warranty->CurrentValue && is_numeric(ew_StrToFloat($this->sv_warranty->CurrentValue)))
			$this->sv_warranty->CurrentValue = ew_StrToFloat($this->sv_warranty->CurrentValue);

		// Convert decimal values if posted back
		if ($this->sv_price->FormValue == $this->sv_price->CurrentValue && is_numeric(ew_StrToFloat($this->sv_price->CurrentValue)))
			$this->sv_price->CurrentValue = ew_StrToFloat($this->sv_price->CurrentValue);

		// Call Row_Rendering event
		$this->Row_Rendering();

		// Common render codes for all row types
		// sv_id
		// court_id
		// svt_id
		// sv_sn
		// sv_number
		// sv_brand
		// sv_crop
		// sv_speed
		// sv_ram
		// sv_hdd
		// sv_os
		// sv_desc
		// sv_name
		// sv_usage
		// plt_id
		// sv_year
		// sv_date_recieve
		// sv_contract_date_start
		// sv_warranty
		// cont_id
		// sv_num_screen
		// sv_price
		// sv_origin
		// sv_present
		// sv_comment

		if ($this->RowType == EW_ROWTYPE_VIEW) { // View row

			// sv_id
			$this->sv_id->ViewValue = $this->sv_id->CurrentValue;
			$this->sv_id->ViewCustomAttributes = "";

			// court_id
			$this->court_id->ViewValue = $this->court_id->CurrentValue;
			$this->court_id->ViewCustomAttributes = "";

			// svt_id
			$this->svt_id->ViewValue = $this->svt_id->CurrentValue;
			if (strval($this->svt_id->CurrentValue) <> "") {
				$sFilterWrk = "`svt_id`" . ew_SearchString("=", $this->svt_id->CurrentValue, EW_DATATYPE_STRING);
			$sSqlWrk = "SELECT `svt_id`, `svt_name` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_server_types`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				ew_AddFilter($sWhereWrk, $sFilterWrk);
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$this->svt_id->ViewValue = $rswrk->fields('DispFld');
					$rswrk->Close();
				} else {
					$this->svt_id->ViewValue = $this->svt_id->CurrentValue;
				}
			} else {
				$this->svt_id->ViewValue = NULL;
			}
			$this->svt_id->ViewCustomAttributes = "";

			// sv_sn
			$this->sv_sn->ViewValue = $this->sv_sn->CurrentValue;
			$this->sv_sn->ViewCustomAttributes = "";

			// sv_number
			$this->sv_number->ViewValue = $this->sv_number->CurrentValue;
			$this->sv_number->ViewCustomAttributes = "";

			// sv_brand
			$this->sv_brand->ViewValue = $this->sv_brand->CurrentValue;
			$this->sv_brand->ViewCustomAttributes = "";

			// sv_crop
			$this->sv_crop->ViewValue = $this->sv_crop->CurrentValue;
			$this->sv_crop->ViewCustomAttributes = "";

			// sv_speed
			$this->sv_speed->ViewValue = $this->sv_speed->CurrentValue;
			$this->sv_speed->ViewCustomAttributes = "";

			// sv_ram
			$this->sv_ram->ViewValue = $this->sv_ram->CurrentValue;
			$this->sv_ram->ViewCustomAttributes = "";

			// sv_hdd
			$this->sv_hdd->ViewValue = $this->sv_hdd->CurrentValue;
			$this->sv_hdd->ViewCustomAttributes = "";

			// sv_os
			$this->sv_os->ViewValue = $this->sv_os->CurrentValue;
			$this->sv_os->ViewCustomAttributes = "";

			// sv_desc
			$this->sv_desc->ViewValue = $this->sv_desc->CurrentValue;
			$this->sv_desc->ViewCustomAttributes = "";

			// sv_name
			$this->sv_name->ViewValue = $this->sv_name->CurrentValue;
			$this->sv_name->ViewCustomAttributes = "";

			// sv_usage
			$this->sv_usage->ViewValue = $this->sv_usage->CurrentValue;
			$this->sv_usage->ViewCustomAttributes = "";

			// plt_id
			if (strval($this->plt_id->CurrentValue) <> "") {
				$sFilterWrk = "`plt_id`" . ew_SearchString("=", $this->plt_id->CurrentValue, EW_DATATYPE_STRING);
			$sSqlWrk = "SELECT `plt_id`, `plt_name` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_place_types`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				ew_AddFilter($sWhereWrk, $sFilterWrk);
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$this->plt_id->ViewValue = $rswrk->fields('DispFld');
					$rswrk->Close();
				} else {
					$this->plt_id->ViewValue = $this->plt_id->CurrentValue;
				}
			} else {
				$this->plt_id->ViewValue = NULL;
			}
			$this->plt_id->ViewCustomAttributes = "";

			// sv_year
			$this->sv_year->ViewValue = $this->sv_year->CurrentValue;
			$this->sv_year->ViewCustomAttributes = "";

			// sv_date_recieve
			$this->sv_date_recieve->ViewValue = $this->sv_date_recieve->CurrentValue;
			$this->sv_date_recieve->ViewValue = ew_FormatDateTime($this->sv_date_recieve->ViewValue, 5);
			$this->sv_date_recieve->ViewCustomAttributes = "";

			// sv_contract_date_start
			$this->sv_contract_date_start->ViewValue = $this->sv_contract_date_start->CurrentValue;
			$this->sv_contract_date_start->ViewValue = ew_FormatDateTime($this->sv_contract_date_start->ViewValue, 5);
			$this->sv_contract_date_start->ViewCustomAttributes = "";

			// sv_warranty
			$this->sv_warranty->ViewValue = $this->sv_warranty->CurrentValue;
			$this->sv_warranty->ViewCustomAttributes = "";

			// cont_id
			if (strval($this->cont_id->CurrentValue) <> "") {
				$sFilterWrk = "`cont_id`" . ew_SearchString("=", $this->cont_id->CurrentValue, EW_DATATYPE_NUMBER);
			$sSqlWrk = "SELECT `cont_id`, `cont_num` AS `DispFld`, `cont_project` AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_contracts`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				ew_AddFilter($sWhereWrk, $sFilterWrk);
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$this->cont_id->ViewValue = $rswrk->fields('DispFld');
					$this->cont_id->ViewValue .= ew_ValueSeparator(1,$tb_servers->cont_id) . $rswrk->fields('Disp2Fld');
					$rswrk->Close();
				} else {
					$this->cont_id->ViewValue = $this->cont_id->CurrentValue;
				}
			} else {
				$this->cont_id->ViewValue = NULL;
			}
			$this->cont_id->ViewCustomAttributes = "";

			// sv_num_screen
			$this->sv_num_screen->ViewValue = $this->sv_num_screen->CurrentValue;
			$this->sv_num_screen->ViewCustomAttributes = "";

			// sv_price
			$this->sv_price->ViewValue = $this->sv_price->CurrentValue;
			$this->sv_price->ViewCustomAttributes = "";

			// sv_origin
			if (strval($this->sv_origin->CurrentValue) <> "") {
				switch ($this->sv_origin->CurrentValue) {
					case $this->sv_origin->FldTagValue(1):
						$this->sv_origin->ViewValue = $this->sv_origin->FldTagCaption(1) <> "" ? $this->sv_origin->FldTagCaption(1) : $this->sv_origin->CurrentValue;
						break;
					case $this->sv_origin->FldTagValue(2):
						$this->sv_origin->ViewValue = $this->sv_origin->FldTagCaption(2) <> "" ? $this->sv_origin->FldTagCaption(2) : $this->sv_origin->CurrentValue;
						break;
					case $this->sv_origin->FldTagValue(3):
						$this->sv_origin->ViewValue = $this->sv_origin->FldTagCaption(3) <> "" ? $this->sv_origin->FldTagCaption(3) : $this->sv_origin->CurrentValue;
						break;
					case $this->sv_origin->FldTagValue(4):
						$this->sv_origin->ViewValue = $this->sv_origin->FldTagCaption(4) <> "" ? $this->sv_origin->FldTagCaption(4) : $this->sv_origin->CurrentValue;
						break;
					default:
						$this->sv_origin->ViewValue = $this->sv_origin->CurrentValue;
				}
			} else {
				$this->sv_origin->ViewValue = NULL;
			}
			$this->sv_origin->ViewCustomAttributes = "";

			// sv_present
			if (strval($this->sv_present->CurrentValue) <> "") {
				switch ($this->sv_present->CurrentValue) {
					case $this->sv_present->FldTagValue(1):
						$this->sv_present->ViewValue = $this->sv_present->FldTagCaption(1) <> "" ? $this->sv_present->FldTagCaption(1) : $this->sv_present->CurrentValue;
						break;
					case $this->sv_present->FldTagValue(2):
						$this->sv_present->ViewValue = $this->sv_present->FldTagCaption(2) <> "" ? $this->sv_present->FldTagCaption(2) : $this->sv_present->CurrentValue;
						break;
					case $this->sv_present->FldTagValue(3):
						$this->sv_present->ViewValue = $this->sv_present->FldTagCaption(3) <> "" ? $this->sv_present->FldTagCaption(3) : $this->sv_present->CurrentValue;
						break;
					case $this->sv_present->FldTagValue(4):
						$this->sv_present->ViewValue = $this->sv_present->FldTagCaption(4) <> "" ? $this->sv_present->FldTagCaption(4) : $this->sv_present->CurrentValue;
						break;
					case $this->sv_present->FldTagValue(5):
						$this->sv_present->ViewValue = $this->sv_present->FldTagCaption(5) <> "" ? $this->sv_present->FldTagCaption(5) : $this->sv_present->CurrentValue;
						break;
					case $this->sv_present->FldTagValue(6):
						$this->sv_present->ViewValue = $this->sv_present->FldTagCaption(6) <> "" ? $this->sv_present->FldTagCaption(6) : $this->sv_present->CurrentValue;
						break;
					default:
						$this->sv_present->ViewValue = $this->sv_present->CurrentValue;
				}
			} else {
				$this->sv_present->ViewValue = NULL;
			}
			$this->sv_present->ViewCustomAttributes = "";

			// sv_comment
			$this->sv_comment->ViewValue = $this->sv_comment->CurrentValue;
			$this->sv_comment->ViewCustomAttributes = "";

			// sv_id
			$this->sv_id->LinkCustomAttributes = "";
			$this->sv_id->HrefValue = "";
			$this->sv_id->TooltipValue = "";

			// court_id
			$this->court_id->LinkCustomAttributes = "";
			$this->court_id->HrefValue = "";
			$this->court_id->TooltipValue = "";

			// svt_id
			$this->svt_id->LinkCustomAttributes = "";
			$this->svt_id->HrefValue = "";
			$this->svt_id->TooltipValue = "";

			// sv_sn
			$this->sv_sn->LinkCustomAttributes = "";
			$this->sv_sn->HrefValue = "";
			$this->sv_sn->TooltipValue = "";

			// sv_number
			$this->sv_number->LinkCustomAttributes = "";
			$this->sv_number->HrefValue = "";
			$this->sv_number->TooltipValue = "";

			// sv_brand
			$this->sv_brand->LinkCustomAttributes = "";
			$this->sv_brand->HrefValue = "";
			$this->sv_brand->TooltipValue = "";

			// sv_crop
			$this->sv_crop->LinkCustomAttributes = "";
			$this->sv_crop->HrefValue = "";
			$this->sv_crop->TooltipValue = "";

			// sv_speed
			$this->sv_speed->LinkCustomAttributes = "";
			$this->sv_speed->HrefValue = "";
			$this->sv_speed->TooltipValue = "";

			// sv_ram
			$this->sv_ram->LinkCustomAttributes = "";
			$this->sv_ram->HrefValue = "";
			$this->sv_ram->TooltipValue = "";

			// sv_hdd
			$this->sv_hdd->LinkCustomAttributes = "";
			$this->sv_hdd->HrefValue = "";
			$this->sv_hdd->TooltipValue = "";

			// sv_os
			$this->sv_os->LinkCustomAttributes = "";
			$this->sv_os->HrefValue = "";
			$this->sv_os->TooltipValue = "";

			// sv_desc
			$this->sv_desc->LinkCustomAttributes = "";
			$this->sv_desc->HrefValue = "";
			$this->sv_desc->TooltipValue = "";

			// sv_name
			$this->sv_name->LinkCustomAttributes = "";
			$this->sv_name->HrefValue = "";
			$this->sv_name->TooltipValue = "";

			// sv_usage
			$this->sv_usage->LinkCustomAttributes = "";
			$this->sv_usage->HrefValue = "";
			$this->sv_usage->TooltipValue = "";

			// plt_id
			$this->plt_id->LinkCustomAttributes = "";
			$this->plt_id->HrefValue = "";
			$this->plt_id->TooltipValue = "";

			// sv_year
			$this->sv_year->LinkCustomAttributes = "";
			$this->sv_year->HrefValue = "";
			$this->sv_year->TooltipValue = "";

			// sv_date_recieve
			$this->sv_date_recieve->LinkCustomAttributes = "";
			$this->sv_date_recieve->HrefValue = "";
			$this->sv_date_recieve->TooltipValue = "";

			// sv_contract_date_start
			$this->sv_contract_date_start->LinkCustomAttributes = "";
			$this->sv_contract_date_start->HrefValue = "";
			$this->sv_contract_date_start->TooltipValue = "";

			// sv_warranty
			$this->sv_warranty->LinkCustomAttributes = "";
			$this->sv_warranty->HrefValue = "";
			$this->sv_warranty->TooltipValue = "";

			// cont_id
			$this->cont_id->LinkCustomAttributes = "";
			$this->cont_id->HrefValue = "";
			$this->cont_id->TooltipValue = "";

			// sv_num_screen
			$this->sv_num_screen->LinkCustomAttributes = "";
			$this->sv_num_screen->HrefValue = "";
			$this->sv_num_screen->TooltipValue = "";

			// sv_price
			$this->sv_price->LinkCustomAttributes = "";
			$this->sv_price->HrefValue = "";
			$this->sv_price->TooltipValue = "";

			// sv_origin
			$this->sv_origin->LinkCustomAttributes = "";
			$this->sv_origin->HrefValue = "";
			$this->sv_origin->TooltipValue = "";

			// sv_present
			$this->sv_present->LinkCustomAttributes = "";
			$this->sv_present->HrefValue = "";
			$this->sv_present->TooltipValue = "";

			// sv_comment
			$this->sv_comment->LinkCustomAttributes = "";
			$this->sv_comment->HrefValue = "";
			$this->sv_comment->TooltipValue = "";
		}

		// Call Row Rendered event
		if ($this->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$this->Row_Rendered();
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	// $type = ''|'success'|'failure'|'warning'
	function Message_Showing(&$msg, $type) {
		if ($type == 'success') {

			//$msg = "your success message";
		} elseif ($type == 'failure') {

			//$msg = "your failure message";
		} elseif ($type == 'warning') {

			//$msg = "your warning message";
		} else {

			//$msg = "your message";
		}
	}

	// Page Data Rendering event
	function Page_DataRendering(&$header) {

		// Example:
		//$header = "your header";

	}

	// Page Data Rendered event
	function Page_DataRendered(&$footer) {

		// Example:
		//$footer = "your footer";

	}
}
?>
<?php ew_Header(FALSE) ?>
<?php

// Create page object
if (!isset($tb_servers_view)) $tb_servers_view = new ctb_servers_view();

// Page init
$tb_servers_view->Page_Init();

// Page main
$tb_servers_view->Page_Main();
?>
<?php include_once "header.php" ?>
<script type="text/javascript">

// Page object
var tb_servers_view = new ew_Page("tb_servers_view");
tb_servers_view.PageID = "view"; // Page ID
var EW_PAGE_ID = tb_servers_view.PageID; // For backward compatibility

// Form object
var ftb_serversview = new ew_Form("ftb_serversview");

// Form_CustomValidate event
ftb_serversview.Form_CustomValidate =  
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }

// Use JavaScript validation or not
<?php if (EW_CLIENT_VALIDATE) { ?>
ftb_serversview.ValidateRequired = true;
<?php } else { ?>
ftb_serversview.ValidateRequired = false; 
<?php } ?>

// Dynamic selection lists
ftb_serversview.Lists["x_svt_id"] = {"LinkField":"x_svt_id","Ajax":true,"AutoFill":false,"DisplayFields":["x_svt_name","","",""],"ParentFields":[],"FilterFields":[],"Options":[]};
ftb_serversview.Lists["x_plt_id"] = {"LinkField":"x_plt_id","Ajax":null,"AutoFill":false,"DisplayFields":["x_plt_name","","",""],"ParentFields":[],"FilterFields":[],"Options":[]};
ftb_serversview.Lists["x_cont_id"] = {"LinkField":"x_cont_id","Ajax":null,"AutoFill":false,"DisplayFields":["x_cont_num","x_cont_project","",""],"ParentFields":[],"FilterFields":[],"Options":[]};

// Form object for search
</script>
<script type="text/javascript">

// Write your client script here, no need to add script tags.
</script>
<p><span class="ewTitle ewTableTitle"><?php echo $Language->Phrase("View") ?>&nbsp;<?php echo $Language->Phrase("TblTypeTABLE") ?><?php echo $tb_servers->TableCaption() ?>&nbsp;&nbsp;</span><?php $tb_servers_view->ExportOptions->Render("body"); ?>
</p>
<p class="phpmaker">
<a href="<?php echo $tb_servers_view->ListUrl ?>"><?php echo $Language->Phrase("BackToList") ?></a>&nbsp;
<?php if ($tb_servers_view->AddUrl <> "") { ?>
<a href="<?php echo $tb_servers_view->AddUrl ?>"><?php echo $Language->Phrase("ViewPageAddLink") ?></a>&nbsp;
<?php } ?>
<?php if ($tb_servers_view->EditUrl <> "") { ?>
<a href="<?php echo $tb_servers_view->EditUrl ?>"><?php echo $Language->Phrase("ViewPageEditLink") ?></a>&nbsp;
<?php } ?>
<?php if ($tb_servers_view->DeleteUrl <> "") { ?>
<a href="<?php echo $tb_servers_view->DeleteUrl ?>"><?php echo $Language->Phrase("ViewPageDeleteLink") ?></a>&nbsp;
<?php } ?>
</p>
<?php $tb_servers_view->ShowPageHeader(); ?>
<?php
$tb_servers_view->ShowMessage();
?>
<form name="ewpagerform" id="ewpagerform" class="ewForm" action="<?php echo ew_CurrentPage() ?>">
<table border="0" cellspacing="0" cellpadding="0" class="ewPager">
	<tr>
		<td nowrap>
<?php if (!isset($tb_servers_view->Pager)) $tb_servers_view->Pager = new cPrevNextPager($tb_servers_view->StartRec, $tb_servers_view->DisplayRecs, $tb_servers_view->TotalRecs) ?>
<?php if ($tb_servers_view->Pager->RecordCount > 0) { ?>
	<table border="0" cellspacing="0" cellpadding="0"><tr><td><span class="phpmaker"><?php echo $Language->Phrase("Page") ?>&nbsp;</span></td>
<!--first page button-->
	<?php if ($tb_servers_view->Pager->FirstButton->Enabled) { ?>
	<td><a href="<?php echo $tb_servers_view->PageUrl() ?>start=<?php echo $tb_servers_view->Pager->FirstButton->Start ?>"><img src="phpimages/first.gif" alt="<?php echo $Language->Phrase("PagerFirst") ?>" width="16" height="16" border="0"></a></td>
	<?php } else { ?>
	<td><img src="phpimages/firstdisab.gif" alt="<?php echo $Language->Phrase("PagerFirst") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
<!--previous page button-->
	<?php if ($tb_servers_view->Pager->PrevButton->Enabled) { ?>
	<td><a href="<?php echo $tb_servers_view->PageUrl() ?>start=<?php echo $tb_servers_view->Pager->PrevButton->Start ?>"><img src="phpimages/prev.gif" alt="<?php echo $Language->Phrase("PagerPrevious") ?>" width="16" height="16" border="0"></a></td>
	<?php } else { ?>
	<td><img src="phpimages/prevdisab.gif" alt="<?php echo $Language->Phrase("PagerPrevious") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
<!--current page number-->
	<td><input type="text" name="<?php echo EW_TABLE_PAGE_NO ?>" id="<?php echo EW_TABLE_PAGE_NO ?>" value="<?php echo $tb_servers_view->Pager->CurrentPage ?>" size="4"></td>
<!--next page button-->
	<?php if ($tb_servers_view->Pager->NextButton->Enabled) { ?>
	<td><a href="<?php echo $tb_servers_view->PageUrl() ?>start=<?php echo $tb_servers_view->Pager->NextButton->Start ?>"><img src="phpimages/next.gif" alt="<?php echo $Language->Phrase("PagerNext") ?>" width="16" height="16" border="0"></a></td>	
	<?php } else { ?>
	<td><img src="phpimages/nextdisab.gif" alt="<?php echo $Language->Phrase("PagerNext") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
<!--last page button-->
	<?php if ($tb_servers_view->Pager->LastButton->Enabled) { ?>
	<td><a href="<?php echo $tb_servers_view->PageUrl() ?>start=<?php echo $tb_servers_view->Pager->LastButton->Start ?>"><img src="phpimages/last.gif" alt="<?php echo $Language->Phrase("PagerLast") ?>" width="16" height="16" border="0"></a></td>	
	<?php } else { ?>
	<td><img src="phpimages/lastdisab.gif" alt="<?php echo $Language->Phrase("PagerLast") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
	<td><span class="phpmaker">&nbsp;<?php echo $Language->Phrase("of") ?>&nbsp;<?php echo $tb_servers_view->Pager->PageCount ?></span></td>
	</tr></table>
<?php } else { ?>
	<?php if ($tb_servers_view->SearchWhere == "0=101") { ?>
	<span class="phpmaker"><?php echo $Language->Phrase("EnterSearchCriteria") ?></span>
	<?php } else { ?>
	<span class="phpmaker"><?php echo $Language->Phrase("NoRecord") ?></span>
	<?php } ?>
<?php } ?>
		</td>
	</tr>
</table>
</form>
<br>
<form name="ftb_serversview" id="ftb_serversview" class="ewForm" action="" method="post">
<input type="hidden" name="t" value="tb_servers">
<table cellspacing="0" class="ewGrid"><tr><td class="ewGridContent">
<div class="ewGridMiddlePanel">
<table cellspacing="0" id="tbl_tb_serversview" class="ewTable">
<?php if ($tb_servers->sv_id->Visible) { // sv_id ?>
	<tr id="r_sv_id"<?php echo $tb_servers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_servers_sv_id"><?php echo $tb_servers->sv_id->FldCaption() ?></span></td>
		<td<?php echo $tb_servers->sv_id->CellAttributes() ?>><span id="el_tb_servers_sv_id">
<span<?php echo $tb_servers->sv_id->ViewAttributes() ?>>
<?php echo $tb_servers->sv_id->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_servers->court_id->Visible) { // court_id ?>
	<tr id="r_court_id"<?php echo $tb_servers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_servers_court_id"><?php echo $tb_servers->court_id->FldCaption() ?></span></td>
		<td<?php echo $tb_servers->court_id->CellAttributes() ?>><span id="el_tb_servers_court_id">
<span<?php echo $tb_servers->court_id->ViewAttributes() ?>>
<?php echo $tb_servers->court_id->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_servers->svt_id->Visible) { // svt_id ?>
	<tr id="r_svt_id"<?php echo $tb_servers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_servers_svt_id"><?php echo $tb_servers->svt_id->FldCaption() ?></span></td>
		<td<?php echo $tb_servers->svt_id->CellAttributes() ?>><span id="el_tb_servers_svt_id">
<span<?php echo $tb_servers->svt_id->ViewAttributes() ?>>
<?php echo $tb_servers->svt_id->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_servers->sv_sn->Visible) { // sv_sn ?>
	<tr id="r_sv_sn"<?php echo $tb_servers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_servers_sv_sn"><?php echo $tb_servers->sv_sn->FldCaption() ?></span></td>
		<td<?php echo $tb_servers->sv_sn->CellAttributes() ?>><span id="el_tb_servers_sv_sn">
<span<?php echo $tb_servers->sv_sn->ViewAttributes() ?>>
<?php echo $tb_servers->sv_sn->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_servers->sv_number->Visible) { // sv_number ?>
	<tr id="r_sv_number"<?php echo $tb_servers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_servers_sv_number"><?php echo $tb_servers->sv_number->FldCaption() ?></span></td>
		<td<?php echo $tb_servers->sv_number->CellAttributes() ?>><span id="el_tb_servers_sv_number">
<span<?php echo $tb_servers->sv_number->ViewAttributes() ?>>
<?php echo $tb_servers->sv_number->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_servers->sv_brand->Visible) { // sv_brand ?>
	<tr id="r_sv_brand"<?php echo $tb_servers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_servers_sv_brand"><?php echo $tb_servers->sv_brand->FldCaption() ?></span></td>
		<td<?php echo $tb_servers->sv_brand->CellAttributes() ?>><span id="el_tb_servers_sv_brand">
<span<?php echo $tb_servers->sv_brand->ViewAttributes() ?>>
<?php echo $tb_servers->sv_brand->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_servers->sv_crop->Visible) { // sv_crop ?>
	<tr id="r_sv_crop"<?php echo $tb_servers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_servers_sv_crop"><?php echo $tb_servers->sv_crop->FldCaption() ?></span></td>
		<td<?php echo $tb_servers->sv_crop->CellAttributes() ?>><span id="el_tb_servers_sv_crop">
<span<?php echo $tb_servers->sv_crop->ViewAttributes() ?>>
<?php echo $tb_servers->sv_crop->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_servers->sv_speed->Visible) { // sv_speed ?>
	<tr id="r_sv_speed"<?php echo $tb_servers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_servers_sv_speed"><?php echo $tb_servers->sv_speed->FldCaption() ?></span></td>
		<td<?php echo $tb_servers->sv_speed->CellAttributes() ?>><span id="el_tb_servers_sv_speed">
<span<?php echo $tb_servers->sv_speed->ViewAttributes() ?>>
<?php echo $tb_servers->sv_speed->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_servers->sv_ram->Visible) { // sv_ram ?>
	<tr id="r_sv_ram"<?php echo $tb_servers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_servers_sv_ram"><?php echo $tb_servers->sv_ram->FldCaption() ?></span></td>
		<td<?php echo $tb_servers->sv_ram->CellAttributes() ?>><span id="el_tb_servers_sv_ram">
<span<?php echo $tb_servers->sv_ram->ViewAttributes() ?>>
<?php echo $tb_servers->sv_ram->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_servers->sv_hdd->Visible) { // sv_hdd ?>
	<tr id="r_sv_hdd"<?php echo $tb_servers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_servers_sv_hdd"><?php echo $tb_servers->sv_hdd->FldCaption() ?></span></td>
		<td<?php echo $tb_servers->sv_hdd->CellAttributes() ?>><span id="el_tb_servers_sv_hdd">
<span<?php echo $tb_servers->sv_hdd->ViewAttributes() ?>>
<?php echo $tb_servers->sv_hdd->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_servers->sv_os->Visible) { // sv_os ?>
	<tr id="r_sv_os"<?php echo $tb_servers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_servers_sv_os"><?php echo $tb_servers->sv_os->FldCaption() ?></span></td>
		<td<?php echo $tb_servers->sv_os->CellAttributes() ?>><span id="el_tb_servers_sv_os">
<span<?php echo $tb_servers->sv_os->ViewAttributes() ?>>
<?php echo $tb_servers->sv_os->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_servers->sv_desc->Visible) { // sv_desc ?>
	<tr id="r_sv_desc"<?php echo $tb_servers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_servers_sv_desc"><?php echo $tb_servers->sv_desc->FldCaption() ?></span></td>
		<td<?php echo $tb_servers->sv_desc->CellAttributes() ?>><span id="el_tb_servers_sv_desc">
<span<?php echo $tb_servers->sv_desc->ViewAttributes() ?>>
<?php echo $tb_servers->sv_desc->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_servers->sv_name->Visible) { // sv_name ?>
	<tr id="r_sv_name"<?php echo $tb_servers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_servers_sv_name"><?php echo $tb_servers->sv_name->FldCaption() ?></span></td>
		<td<?php echo $tb_servers->sv_name->CellAttributes() ?>><span id="el_tb_servers_sv_name">
<span<?php echo $tb_servers->sv_name->ViewAttributes() ?>>
<?php echo $tb_servers->sv_name->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_servers->sv_usage->Visible) { // sv_usage ?>
	<tr id="r_sv_usage"<?php echo $tb_servers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_servers_sv_usage"><?php echo $tb_servers->sv_usage->FldCaption() ?></span></td>
		<td<?php echo $tb_servers->sv_usage->CellAttributes() ?>><span id="el_tb_servers_sv_usage">
<span<?php echo $tb_servers->sv_usage->ViewAttributes() ?>>
<?php echo $tb_servers->sv_usage->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_servers->plt_id->Visible) { // plt_id ?>
	<tr id="r_plt_id"<?php echo $tb_servers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_servers_plt_id"><?php echo $tb_servers->plt_id->FldCaption() ?></span></td>
		<td<?php echo $tb_servers->plt_id->CellAttributes() ?>><span id="el_tb_servers_plt_id">
<span<?php echo $tb_servers->plt_id->ViewAttributes() ?>>
<?php echo $tb_servers->plt_id->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_servers->sv_year->Visible) { // sv_year ?>
	<tr id="r_sv_year"<?php echo $tb_servers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_servers_sv_year"><?php echo $tb_servers->sv_year->FldCaption() ?></span></td>
		<td<?php echo $tb_servers->sv_year->CellAttributes() ?>><span id="el_tb_servers_sv_year">
<span<?php echo $tb_servers->sv_year->ViewAttributes() ?>>
<?php echo $tb_servers->sv_year->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_servers->sv_date_recieve->Visible) { // sv_date_recieve ?>
	<tr id="r_sv_date_recieve"<?php echo $tb_servers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_servers_sv_date_recieve"><?php echo $tb_servers->sv_date_recieve->FldCaption() ?></span></td>
		<td<?php echo $tb_servers->sv_date_recieve->CellAttributes() ?>><span id="el_tb_servers_sv_date_recieve">
<span<?php echo $tb_servers->sv_date_recieve->ViewAttributes() ?>>
<?php echo $tb_servers->sv_date_recieve->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_servers->sv_contract_date_start->Visible) { // sv_contract_date_start ?>
	<tr id="r_sv_contract_date_start"<?php echo $tb_servers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_servers_sv_contract_date_start"><?php echo $tb_servers->sv_contract_date_start->FldCaption() ?></span></td>
		<td<?php echo $tb_servers->sv_contract_date_start->CellAttributes() ?>><span id="el_tb_servers_sv_contract_date_start">
<span<?php echo $tb_servers->sv_contract_date_start->ViewAttributes() ?>>
<?php echo $tb_servers->sv_contract_date_start->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_servers->sv_warranty->Visible) { // sv_warranty ?>
	<tr id="r_sv_warranty"<?php echo $tb_servers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_servers_sv_warranty"><?php echo $tb_servers->sv_warranty->FldCaption() ?></span></td>
		<td<?php echo $tb_servers->sv_warranty->CellAttributes() ?>><span id="el_tb_servers_sv_warranty">
<span<?php echo $tb_servers->sv_warranty->ViewAttributes() ?>>
<?php echo $tb_servers->sv_warranty->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_servers->cont_id->Visible) { // cont_id ?>
	<tr id="r_cont_id"<?php echo $tb_servers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_servers_cont_id"><?php echo $tb_servers->cont_id->FldCaption() ?></span></td>
		<td<?php echo $tb_servers->cont_id->CellAttributes() ?>><span id="el_tb_servers_cont_id">
<span<?php echo $tb_servers->cont_id->ViewAttributes() ?>>
<?php echo $tb_servers->cont_id->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_servers->sv_num_screen->Visible) { // sv_num_screen ?>
	<tr id="r_sv_num_screen"<?php echo $tb_servers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_servers_sv_num_screen"><?php echo $tb_servers->sv_num_screen->FldCaption() ?></span></td>
		<td<?php echo $tb_servers->sv_num_screen->CellAttributes() ?>><span id="el_tb_servers_sv_num_screen">
<span<?php echo $tb_servers->sv_num_screen->ViewAttributes() ?>>
<?php echo $tb_servers->sv_num_screen->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_servers->sv_price->Visible) { // sv_price ?>
	<tr id="r_sv_price"<?php echo $tb_servers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_servers_sv_price"><?php echo $tb_servers->sv_price->FldCaption() ?></span></td>
		<td<?php echo $tb_servers->sv_price->CellAttributes() ?>><span id="el_tb_servers_sv_price">
<span<?php echo $tb_servers->sv_price->ViewAttributes() ?>>
<?php echo $tb_servers->sv_price->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_servers->sv_origin->Visible) { // sv_origin ?>
	<tr id="r_sv_origin"<?php echo $tb_servers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_servers_sv_origin"><?php echo $tb_servers->sv_origin->FldCaption() ?></span></td>
		<td<?php echo $tb_servers->sv_origin->CellAttributes() ?>><span id="el_tb_servers_sv_origin">
<span<?php echo $tb_servers->sv_origin->ViewAttributes() ?>>
<?php echo $tb_servers->sv_origin->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_servers->sv_present->Visible) { // sv_present ?>
	<tr id="r_sv_present"<?php echo $tb_servers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_servers_sv_present"><?php echo $tb_servers->sv_present->FldCaption() ?></span></td>
		<td<?php echo $tb_servers->sv_present->CellAttributes() ?>><span id="el_tb_servers_sv_present">
<span<?php echo $tb_servers->sv_present->ViewAttributes() ?>>
<?php echo $tb_servers->sv_present->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
<?php if ($tb_servers->sv_comment->Visible) { // sv_comment ?>
	<tr id="r_sv_comment"<?php echo $tb_servers->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_servers_sv_comment"><?php echo $tb_servers->sv_comment->FldCaption() ?></span></td>
		<td<?php echo $tb_servers->sv_comment->CellAttributes() ?>><span id="el_tb_servers_sv_comment">
<span<?php echo $tb_servers->sv_comment->ViewAttributes() ?>>
<?php echo $tb_servers->sv_comment->ViewValue ?></span>
</span></td>
	</tr>
<?php } ?>
</table>
</div>
</td></tr></table>
</form>
<br>
<form name="ewpagerform" id="ewpagerform" class="ewForm" action="<?php echo ew_CurrentPage() ?>">
<table border="0" cellspacing="0" cellpadding="0" class="ewPager">
	<tr>
		<td nowrap>
<?php if (!isset($tb_servers_view->Pager)) $tb_servers_view->Pager = new cPrevNextPager($tb_servers_view->StartRec, $tb_servers_view->DisplayRecs, $tb_servers_view->TotalRecs) ?>
<?php if ($tb_servers_view->Pager->RecordCount > 0) { ?>
	<table border="0" cellspacing="0" cellpadding="0"><tr><td><span class="phpmaker"><?php echo $Language->Phrase("Page") ?>&nbsp;</span></td>
<!--first page button-->
	<?php if ($tb_servers_view->Pager->FirstButton->Enabled) { ?>
	<td><a href="<?php echo $tb_servers_view->PageUrl() ?>start=<?php echo $tb_servers_view->Pager->FirstButton->Start ?>"><img src="phpimages/first.gif" alt="<?php echo $Language->Phrase("PagerFirst") ?>" width="16" height="16" border="0"></a></td>
	<?php } else { ?>
	<td><img src="phpimages/firstdisab.gif" alt="<?php echo $Language->Phrase("PagerFirst") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
<!--previous page button-->
	<?php if ($tb_servers_view->Pager->PrevButton->Enabled) { ?>
	<td><a href="<?php echo $tb_servers_view->PageUrl() ?>start=<?php echo $tb_servers_view->Pager->PrevButton->Start ?>"><img src="phpimages/prev.gif" alt="<?php echo $Language->Phrase("PagerPrevious") ?>" width="16" height="16" border="0"></a></td>
	<?php } else { ?>
	<td><img src="phpimages/prevdisab.gif" alt="<?php echo $Language->Phrase("PagerPrevious") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
<!--current page number-->
	<td><input type="text" name="<?php echo EW_TABLE_PAGE_NO ?>" id="<?php echo EW_TABLE_PAGE_NO ?>" value="<?php echo $tb_servers_view->Pager->CurrentPage ?>" size="4"></td>
<!--next page button-->
	<?php if ($tb_servers_view->Pager->NextButton->Enabled) { ?>
	<td><a href="<?php echo $tb_servers_view->PageUrl() ?>start=<?php echo $tb_servers_view->Pager->NextButton->Start ?>"><img src="phpimages/next.gif" alt="<?php echo $Language->Phrase("PagerNext") ?>" width="16" height="16" border="0"></a></td>	
	<?php } else { ?>
	<td><img src="phpimages/nextdisab.gif" alt="<?php echo $Language->Phrase("PagerNext") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
<!--last page button-->
	<?php if ($tb_servers_view->Pager->LastButton->Enabled) { ?>
	<td><a href="<?php echo $tb_servers_view->PageUrl() ?>start=<?php echo $tb_servers_view->Pager->LastButton->Start ?>"><img src="phpimages/last.gif" alt="<?php echo $Language->Phrase("PagerLast") ?>" width="16" height="16" border="0"></a></td>	
	<?php } else { ?>
	<td><img src="phpimages/lastdisab.gif" alt="<?php echo $Language->Phrase("PagerLast") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
	<td><span class="phpmaker">&nbsp;<?php echo $Language->Phrase("of") ?>&nbsp;<?php echo $tb_servers_view->Pager->PageCount ?></span></td>
	</tr></table>
<?php } else { ?>
	<?php if ($tb_servers_view->SearchWhere == "0=101") { ?>
	<span class="phpmaker"><?php echo $Language->Phrase("EnterSearchCriteria") ?></span>
	<?php } else { ?>
	<span class="phpmaker"><?php echo $Language->Phrase("NoRecord") ?></span>
	<?php } ?>
<?php } ?>
		</td>
	</tr>
</table>
</form>
<p>
<script type="text/javascript">
ftb_serversview.Init();
</script>
<?php
$tb_servers_view->ShowPageFooter();
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
?>
<script type="text/javascript">

// Write your table-specific startup script here
// document.write("page loaded");

</script>
<?php include_once "footer.php" ?>
<?php
$tb_servers_view->Page_Terminate();
?>
