<?php
if (session_id() == "") session_start(); // Initialize Session data
ob_start(); // Turn on output buffering
?>
<?php include_once "ewcfg9.php" ?>
<?php include_once "ewmysql9.php" ?>
<?php include_once "phpfn9.php" ?>
<?php include_once "tb_vcsdevicesinfo.php" ?>
<?php include_once "userfn9.php" ?>
<?php

//
// Page class
//

$tb_vcsdevices_edit = NULL; // Initialize page object first

class ctb_vcsdevices_edit extends ctb_vcsdevices {

	// Page ID
	var $PageID = 'edit';

	// Project ID
	var $ProjectID = "{6072F4AB-8E55-4BED-87E8-94ADB1680AEB}";

	// Table name
	var $TableName = 'tb_vcsdevices';

	// Page object name
	var $PageObjName = 'tb_vcsdevices_edit';

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		if ($this->UseTokenInUrl) $PageUrl .= "t=" . $this->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_MESSAGE], $v);
	}

	function getFailureMessage() {
		return @$_SESSION[EW_SESSION_FAILURE_MESSAGE];
	}

	function setFailureMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_FAILURE_MESSAGE], $v);
	}

	function getSuccessMessage() {
		return @$_SESSION[EW_SESSION_SUCCESS_MESSAGE];
	}

	function setSuccessMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_SUCCESS_MESSAGE], $v);
	}

	function getWarningMessage() {
		return @$_SESSION[EW_SESSION_WARNING_MESSAGE];
	}

	function setWarningMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_WARNING_MESSAGE], $v);
	}

	// Show message
	function ShowMessage() {
		$hidden = FALSE;
		$html = "";

		// Message
		$sMessage = $this->getMessage();
		$this->Message_Showing($sMessage, "");
		if ($sMessage <> "") { // Message in Session, display
			$html .= "<p class=\"ewMessage\">" . $sMessage . "</p>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}

		// Warning message
		$sWarningMessage = $this->getWarningMessage();
		$this->Message_Showing($sWarningMessage, "warning");
		if ($sWarningMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewWarningIcon\"></td><td class=\"ewWarningMessage\">" . $sWarningMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_WARNING_MESSAGE] = ""; // Clear message in Session
		}

		// Success message
		$sSuccessMessage = $this->getSuccessMessage();
		$this->Message_Showing($sSuccessMessage, "success");
		if ($sSuccessMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewSuccessIcon\"></td><td class=\"ewSuccessMessage\">" . $sSuccessMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = ""; // Clear message in Session
		}

		// Failure message
		$sErrorMessage = $this->getFailureMessage();
		$this->Message_Showing($sErrorMessage, "failure");
		if ($sErrorMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewErrorIcon\"></td><td class=\"ewErrorMessage\">" . $sErrorMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_FAILURE_MESSAGE] = ""; // Clear message in Session
		}		
		echo "<div class=\"ewMessageDialog\"" . (($hidden) ? " style=\"display: none;\"" : "") . ">" . $html . "</div>";
	}
	var $PageHeader;
	var $PageFooter;

	// Show Page Header
	function ShowPageHeader() {
		$sHeader = $this->PageHeader;
		$this->Page_DataRendering($sHeader);
		if ($sHeader <> "") { // Header exists, display
			echo "<p class=\"phpmaker\">" . $sHeader . "</p>";
		}
	}

	// Show Page Footer
	function ShowPageFooter() {
		$sFooter = $this->PageFooter;
		$this->Page_DataRendered($sFooter);
		if ($sFooter <> "") { // Fotoer exists, display
			echo "<p class=\"phpmaker\">" . $sFooter . "</p>";
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm;
		if ($this->UseTokenInUrl) {
			if ($objForm)
				return ($this->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($this->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}

	//
	// Page class constructor
	//
	function __construct() {
		global $conn, $Language;
		$GLOBALS["Page"] = &$this;

		// Language object
		if (!isset($Language)) $Language = new cLanguage();

		// Parent constuctor
		parent::__construct();

		// Table object (tb_vcsdevices)
		if (!isset($GLOBALS["tb_vcsdevices"])) {
			$GLOBALS["tb_vcsdevices"] = &$this;
			$GLOBALS["Table"] = &$GLOBALS["tb_vcsdevices"];
		}

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'edit', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'tb_vcsdevices', TRUE);

		// Start timer
		if (!isset($GLOBALS["gTimer"])) $GLOBALS["gTimer"] = new cTimer();

		// Open connection
		if (!isset($conn)) $conn = ew_Connect();
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;

		// Create form object
		$objForm = new cFormObj();
		$this->CurrentAction = (@$_GET["a"] <> "") ? $_GET["a"] : @$_POST["a_list"];

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $conn;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();
		$this->Page_Redirecting($url);

		 // Close connection
		$conn->Close();

		// Go to URL if specified
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			header("Location: " . $url);
		}
		exit();
	}
	var $DbMasterFilter;
	var $DbDetailFilter;

	// 
	// Page main
	//
	function Page_Main() {
		global $objForm, $Language, $gsFormError;

		// Load key from QueryString
		if (@$_GET["vcs_id"] <> "")
			$this->vcs_id->setQueryStringValue($_GET["vcs_id"]);

		// Process form if post back
		if (@$_POST["a_edit"] <> "") {
			$this->CurrentAction = $_POST["a_edit"]; // Get action code
			$this->LoadFormValues(); // Get form values
		} else {
			$this->CurrentAction = "I"; // Default action is display
		}

		// Check if valid key
		if ($this->vcs_id->CurrentValue == "")
			$this->Page_Terminate("tb_vcsdeviceslist.php"); // Invalid key, return to list

		// Validate form if post back
		if (@$_POST["a_edit"] <> "") {
			if (!$this->ValidateForm()) {
				$this->CurrentAction = ""; // Form error, reset action
				$this->setFailureMessage($gsFormError);
				$this->EventCancelled = TRUE; // Event cancelled
				$this->RestoreFormValues();
			}
		}
		switch ($this->CurrentAction) {
			case "I": // Get a record to display
				if (!$this->LoadRow()) { // Load record based on key
					if ($this->getFailureMessage() == "") $this->setFailureMessage($Language->Phrase("NoRecord")); // No record found
					$this->Page_Terminate("tb_vcsdeviceslist.php"); // No matching record, return to list
				}
				break;
			Case "U": // Update
				$this->SendEmail = TRUE; // Send email on update success
				if ($this->EditRow()) { // Update record based on key
					if ($this->getSuccessMessage() == "")
						$this->setSuccessMessage($Language->Phrase("UpdateSuccess")); // Update success
					$sReturnUrl = $this->getReturnUrl();
					if (ew_GetPageName($sReturnUrl) == "tb_vcsdevicesview.php")
						$sReturnUrl = $this->GetViewUrl(); // View paging, return to View page directly
					$this->Page_Terminate($sReturnUrl); // Return to caller
				} else {
					$this->EventCancelled = TRUE; // Event cancelled
					$this->RestoreFormValues(); // Restore form values if update failed
				}
		}

		// Render the record
		if ($this->CurrentAction == "F") { // Confirm page
			$this->RowType = EW_ROWTYPE_VIEW; // Render as View
		} else {
			$this->RowType = EW_ROWTYPE_EDIT; // Render as Edit
		}
		$this->ResetAttrs();
		$this->RenderRow();
	}

	// Get upload files
	function GetUploadFiles() {
		global $objForm;

		// Get upload data
		$index = $objForm->Index; // Save form index
		$objForm->Index = -1;
		$confirmPage = (strval($objForm->GetValue("a_confirm")) <> "");
		$objForm->Index = $index; // Restore form index
	}

	// Load form values
	function LoadFormValues() {

		// Load from form
		global $objForm;
		if (!$this->vcs_id->FldIsDetailKey) {
			$this->vcs_id->setFormValue($objForm->GetValue("x_vcs_id"));
		}
		if (!$this->vcst_id->FldIsDetailKey) {
			$this->vcst_id->setFormValue($objForm->GetValue("x_vcst_id"));
		}
		if (!$this->court_id->FldIsDetailKey) {
			$this->court_id->setFormValue($objForm->GetValue("x_court_id"));
		}
		if (!$this->vcs_sn->FldIsDetailKey) {
			$this->vcs_sn->setFormValue($objForm->GetValue("x_vcs_sn"));
		}
		if (!$this->vcs_number->FldIsDetailKey) {
			$this->vcs_number->setFormValue($objForm->GetValue("x_vcs_number"));
		}
		if (!$this->vcs_brand->FldIsDetailKey) {
			$this->vcs_brand->setFormValue($objForm->GetValue("x_vcs_brand"));
		}
		if (!$this->vcs_model->FldIsDetailKey) {
			$this->vcs_model->setFormValue($objForm->GetValue("x_vcs_model"));
		}
		if (!$this->plt_id->FldIsDetailKey) {
			$this->plt_id->setFormValue($objForm->GetValue("x_plt_id"));
		}
		if (!$this->vcs_installroom->FldIsDetailKey) {
			$this->vcs_installroom->setFormValue($objForm->GetValue("x_vcs_installroom"));
		}
		if (!$this->vcs_year->FldIsDetailKey) {
			$this->vcs_year->setFormValue($objForm->GetValue("x_vcs_year"));
		}
		if (!$this->vcs_date_recieve->FldIsDetailKey) {
			$this->vcs_date_recieve->setFormValue($objForm->GetValue("x_vcs_date_recieve"));
			$this->vcs_date_recieve->CurrentValue = ew_UnFormatDateTime($this->vcs_date_recieve->CurrentValue, 5);
		}
		if (!$this->vcs_contract_date_start->FldIsDetailKey) {
			$this->vcs_contract_date_start->setFormValue($objForm->GetValue("x_vcs_contract_date_start"));
			$this->vcs_contract_date_start->CurrentValue = ew_UnFormatDateTime($this->vcs_contract_date_start->CurrentValue, 5);
		}
		if (!$this->vcs_warranty->FldIsDetailKey) {
			$this->vcs_warranty->setFormValue($objForm->GetValue("x_vcs_warranty"));
		}
		if (!$this->cont_id->FldIsDetailKey) {
			$this->cont_id->setFormValue($objForm->GetValue("x_cont_id"));
		}
		if (!$this->vcs_price->FldIsDetailKey) {
			$this->vcs_price->setFormValue($objForm->GetValue("x_vcs_price"));
		}
		if (!$this->vcs_origin->FldIsDetailKey) {
			$this->vcs_origin->setFormValue($objForm->GetValue("x_vcs_origin"));
		}
		if (!$this->vcs_present->FldIsDetailKey) {
			$this->vcs_present->setFormValue($objForm->GetValue("x_vcs_present"));
		}
		if (!$this->vcs_comment->FldIsDetailKey) {
			$this->vcs_comment->setFormValue($objForm->GetValue("x_vcs_comment"));
		}
	}

	// Restore form values
	function RestoreFormValues() {
		global $objForm;
		$this->LoadRow();
		$this->vcs_id->CurrentValue = $this->vcs_id->FormValue;
		$this->vcst_id->CurrentValue = $this->vcst_id->FormValue;
		$this->court_id->CurrentValue = $this->court_id->FormValue;
		$this->vcs_sn->CurrentValue = $this->vcs_sn->FormValue;
		$this->vcs_number->CurrentValue = $this->vcs_number->FormValue;
		$this->vcs_brand->CurrentValue = $this->vcs_brand->FormValue;
		$this->vcs_model->CurrentValue = $this->vcs_model->FormValue;
		$this->plt_id->CurrentValue = $this->plt_id->FormValue;
		$this->vcs_installroom->CurrentValue = $this->vcs_installroom->FormValue;
		$this->vcs_year->CurrentValue = $this->vcs_year->FormValue;
		$this->vcs_date_recieve->CurrentValue = $this->vcs_date_recieve->FormValue;
		$this->vcs_date_recieve->CurrentValue = ew_UnFormatDateTime($this->vcs_date_recieve->CurrentValue, 5);
		$this->vcs_contract_date_start->CurrentValue = $this->vcs_contract_date_start->FormValue;
		$this->vcs_contract_date_start->CurrentValue = ew_UnFormatDateTime($this->vcs_contract_date_start->CurrentValue, 5);
		$this->vcs_warranty->CurrentValue = $this->vcs_warranty->FormValue;
		$this->cont_id->CurrentValue = $this->cont_id->FormValue;
		$this->vcs_price->CurrentValue = $this->vcs_price->FormValue;
		$this->vcs_origin->CurrentValue = $this->vcs_origin->FormValue;
		$this->vcs_present->CurrentValue = $this->vcs_present->FormValue;
		$this->vcs_comment->CurrentValue = $this->vcs_comment->FormValue;
	}

	// Load row based on key values
	function LoadRow() {
		global $conn, $Security, $Language;
		$sFilter = $this->KeyFilter();

		// Call Row Selecting event
		$this->Row_Selecting($sFilter);

		// Load SQL based on filter
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		global $conn;
		if (!$rs || $rs->EOF) return;

		// Call Row Selected event
		$row = &$rs->fields;
		$this->Row_Selected($row);
		$this->vcs_id->setDbValue($rs->fields('vcs_id'));
		$this->vcst_id->setDbValue($rs->fields('vcst_id'));
		$this->court_id->setDbValue($rs->fields('court_id'));
		$this->vcs_sn->setDbValue($rs->fields('vcs_sn'));
		$this->vcs_number->setDbValue($rs->fields('vcs_number'));
		$this->vcs_brand->setDbValue($rs->fields('vcs_brand'));
		$this->vcs_model->setDbValue($rs->fields('vcs_model'));
		$this->plt_id->setDbValue($rs->fields('plt_id'));
		$this->vcs_installroom->setDbValue($rs->fields('vcs_installroom'));
		$this->vcs_year->setDbValue($rs->fields('vcs_year'));
		$this->vcs_date_recieve->setDbValue($rs->fields('vcs_date_recieve'));
		$this->vcs_contract_date_start->setDbValue($rs->fields('vcs_contract_date_start'));
		$this->vcs_warranty->setDbValue($rs->fields('vcs_warranty'));
		$this->cont_id->setDbValue($rs->fields('cont_id'));
		$this->vcs_price->setDbValue($rs->fields('vcs_price'));
		$this->vcs_origin->setDbValue($rs->fields('vcs_origin'));
		$this->vcs_present->setDbValue($rs->fields('vcs_present'));
		$this->vcs_comment->setDbValue($rs->fields('vcs_comment'));
	}

	// Render row values based on field settings
	function RenderRow() {
		global $conn, $Security, $Language;
		global $gsLanguage;

		// Initialize URLs
		// Convert decimal values if posted back

		if ($this->vcs_warranty->FormValue == $this->vcs_warranty->CurrentValue && is_numeric(ew_StrToFloat($this->vcs_warranty->CurrentValue)))
			$this->vcs_warranty->CurrentValue = ew_StrToFloat($this->vcs_warranty->CurrentValue);

		// Convert decimal values if posted back
		if ($this->vcs_price->FormValue == $this->vcs_price->CurrentValue && is_numeric(ew_StrToFloat($this->vcs_price->CurrentValue)))
			$this->vcs_price->CurrentValue = ew_StrToFloat($this->vcs_price->CurrentValue);

		// Call Row_Rendering event
		$this->Row_Rendering();

		// Common render codes for all row types
		// vcs_id
		// vcst_id
		// court_id
		// vcs_sn
		// vcs_number
		// vcs_brand
		// vcs_model
		// plt_id
		// vcs_installroom
		// vcs_year
		// vcs_date_recieve
		// vcs_contract_date_start
		// vcs_warranty
		// cont_id
		// vcs_price
		// vcs_origin
		// vcs_present
		// vcs_comment

		if ($this->RowType == EW_ROWTYPE_VIEW) { // View row

			// vcs_id
			$this->vcs_id->ViewValue = $this->vcs_id->CurrentValue;
			$this->vcs_id->ViewCustomAttributes = "";

			// vcst_id
			$this->vcst_id->ViewValue = $this->vcst_id->CurrentValue;
			if (strval($this->vcst_id->CurrentValue) <> "") {
				$sFilterWrk = "`vcst_id`" . ew_SearchString("=", $this->vcst_id->CurrentValue, EW_DATATYPE_STRING);
			$sSqlWrk = "SELECT `vcst_id`, `vcst_name` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_vcsdevice_types`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				ew_AddFilter($sWhereWrk, $sFilterWrk);
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$this->vcst_id->ViewValue = $rswrk->fields('DispFld');
					$rswrk->Close();
				} else {
					$this->vcst_id->ViewValue = $this->vcst_id->CurrentValue;
				}
			} else {
				$this->vcst_id->ViewValue = NULL;
			}
			$this->vcst_id->ViewCustomAttributes = "";

			// court_id
			$this->court_id->ViewValue = $this->court_id->CurrentValue;
			$this->court_id->ViewCustomAttributes = "";

			// vcs_sn
			$this->vcs_sn->ViewValue = $this->vcs_sn->CurrentValue;
			$this->vcs_sn->ViewCustomAttributes = "";

			// vcs_number
			$this->vcs_number->ViewValue = $this->vcs_number->CurrentValue;
			$this->vcs_number->ViewCustomAttributes = "";

			// vcs_brand
			$this->vcs_brand->ViewValue = $this->vcs_brand->CurrentValue;
			$this->vcs_brand->ViewCustomAttributes = "";

			// vcs_model
			$this->vcs_model->ViewValue = $this->vcs_model->CurrentValue;
			$this->vcs_model->ViewCustomAttributes = "";

			// plt_id
			$this->plt_id->ViewValue = $this->plt_id->CurrentValue;
			if (strval($this->plt_id->CurrentValue) <> "") {
				$sFilterWrk = "`plt_id`" . ew_SearchString("=", $this->plt_id->CurrentValue, EW_DATATYPE_STRING);
			$sSqlWrk = "SELECT `plt_id`, `plt_name` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_place_types`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				ew_AddFilter($sWhereWrk, $sFilterWrk);
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$this->plt_id->ViewValue = $rswrk->fields('DispFld');
					$rswrk->Close();
				} else {
					$this->plt_id->ViewValue = $this->plt_id->CurrentValue;
				}
			} else {
				$this->plt_id->ViewValue = NULL;
			}
			$this->plt_id->ViewCustomAttributes = "";

			// vcs_installroom
			$this->vcs_installroom->ViewValue = $this->vcs_installroom->CurrentValue;
			$this->vcs_installroom->ViewCustomAttributes = "";

			// vcs_year
			$this->vcs_year->ViewValue = $this->vcs_year->CurrentValue;
			$this->vcs_year->ViewCustomAttributes = "";

			// vcs_date_recieve
			$this->vcs_date_recieve->ViewValue = $this->vcs_date_recieve->CurrentValue;
			$this->vcs_date_recieve->ViewValue = ew_FormatDateTime($this->vcs_date_recieve->ViewValue, 5);
			$this->vcs_date_recieve->ViewCustomAttributes = "";

			// vcs_contract_date_start
			$this->vcs_contract_date_start->ViewValue = $this->vcs_contract_date_start->CurrentValue;
			$this->vcs_contract_date_start->ViewValue = ew_FormatDateTime($this->vcs_contract_date_start->ViewValue, 5);
			$this->vcs_contract_date_start->ViewCustomAttributes = "";

			// vcs_warranty
			$this->vcs_warranty->ViewValue = $this->vcs_warranty->CurrentValue;
			$this->vcs_warranty->ViewCustomAttributes = "";

			// cont_id
			$this->cont_id->ViewValue = $this->cont_id->CurrentValue;
			if (strval($this->cont_id->CurrentValue) <> "") {
				$sFilterWrk = "`cont_id`" . ew_SearchString("=", $this->cont_id->CurrentValue, EW_DATATYPE_NUMBER);
			$sSqlWrk = "SELECT `cont_id`, `cont_num` AS `DispFld`, `cont_project` AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_contracts`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				ew_AddFilter($sWhereWrk, $sFilterWrk);
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$this->cont_id->ViewValue = $rswrk->fields('DispFld');
					$this->cont_id->ViewValue .= ew_ValueSeparator(1,$tb_vcsdevices->cont_id) . $rswrk->fields('Disp2Fld');
					$rswrk->Close();
				} else {
					$this->cont_id->ViewValue = $this->cont_id->CurrentValue;
				}
			} else {
				$this->cont_id->ViewValue = NULL;
			}
			$this->cont_id->ViewCustomAttributes = "";

			// vcs_price
			$this->vcs_price->ViewValue = $this->vcs_price->CurrentValue;
			$this->vcs_price->ViewCustomAttributes = "";

			// vcs_origin
			if (strval($this->vcs_origin->CurrentValue) <> "") {
				switch ($this->vcs_origin->CurrentValue) {
					case $this->vcs_origin->FldTagValue(1):
						$this->vcs_origin->ViewValue = $this->vcs_origin->FldTagCaption(1) <> "" ? $this->vcs_origin->FldTagCaption(1) : $this->vcs_origin->CurrentValue;
						break;
					case $this->vcs_origin->FldTagValue(2):
						$this->vcs_origin->ViewValue = $this->vcs_origin->FldTagCaption(2) <> "" ? $this->vcs_origin->FldTagCaption(2) : $this->vcs_origin->CurrentValue;
						break;
					case $this->vcs_origin->FldTagValue(3):
						$this->vcs_origin->ViewValue = $this->vcs_origin->FldTagCaption(3) <> "" ? $this->vcs_origin->FldTagCaption(3) : $this->vcs_origin->CurrentValue;
						break;
					case $this->vcs_origin->FldTagValue(4):
						$this->vcs_origin->ViewValue = $this->vcs_origin->FldTagCaption(4) <> "" ? $this->vcs_origin->FldTagCaption(4) : $this->vcs_origin->CurrentValue;
						break;
					default:
						$this->vcs_origin->ViewValue = $this->vcs_origin->CurrentValue;
				}
			} else {
				$this->vcs_origin->ViewValue = NULL;
			}
			$this->vcs_origin->ViewCustomAttributes = "";

			// vcs_present
			if (strval($this->vcs_present->CurrentValue) <> "") {
				switch ($this->vcs_present->CurrentValue) {
					case $this->vcs_present->FldTagValue(1):
						$this->vcs_present->ViewValue = $this->vcs_present->FldTagCaption(1) <> "" ? $this->vcs_present->FldTagCaption(1) : $this->vcs_present->CurrentValue;
						break;
					case $this->vcs_present->FldTagValue(2):
						$this->vcs_present->ViewValue = $this->vcs_present->FldTagCaption(2) <> "" ? $this->vcs_present->FldTagCaption(2) : $this->vcs_present->CurrentValue;
						break;
					case $this->vcs_present->FldTagValue(3):
						$this->vcs_present->ViewValue = $this->vcs_present->FldTagCaption(3) <> "" ? $this->vcs_present->FldTagCaption(3) : $this->vcs_present->CurrentValue;
						break;
					case $this->vcs_present->FldTagValue(4):
						$this->vcs_present->ViewValue = $this->vcs_present->FldTagCaption(4) <> "" ? $this->vcs_present->FldTagCaption(4) : $this->vcs_present->CurrentValue;
						break;
					case $this->vcs_present->FldTagValue(5):
						$this->vcs_present->ViewValue = $this->vcs_present->FldTagCaption(5) <> "" ? $this->vcs_present->FldTagCaption(5) : $this->vcs_present->CurrentValue;
						break;
					case $this->vcs_present->FldTagValue(6):
						$this->vcs_present->ViewValue = $this->vcs_present->FldTagCaption(6) <> "" ? $this->vcs_present->FldTagCaption(6) : $this->vcs_present->CurrentValue;
						break;
					default:
						$this->vcs_present->ViewValue = $this->vcs_present->CurrentValue;
				}
			} else {
				$this->vcs_present->ViewValue = NULL;
			}
			$this->vcs_present->ViewCustomAttributes = "";

			// vcs_comment
			$this->vcs_comment->ViewValue = $this->vcs_comment->CurrentValue;
			$this->vcs_comment->ViewCustomAttributes = "";

			// vcs_id
			$this->vcs_id->LinkCustomAttributes = "";
			$this->vcs_id->HrefValue = "";
			$this->vcs_id->TooltipValue = "";

			// vcst_id
			$this->vcst_id->LinkCustomAttributes = "";
			$this->vcst_id->HrefValue = "";
			$this->vcst_id->TooltipValue = "";

			// court_id
			$this->court_id->LinkCustomAttributes = "";
			$this->court_id->HrefValue = "";
			$this->court_id->TooltipValue = "";

			// vcs_sn
			$this->vcs_sn->LinkCustomAttributes = "";
			$this->vcs_sn->HrefValue = "";
			$this->vcs_sn->TooltipValue = "";

			// vcs_number
			$this->vcs_number->LinkCustomAttributes = "";
			$this->vcs_number->HrefValue = "";
			$this->vcs_number->TooltipValue = "";

			// vcs_brand
			$this->vcs_brand->LinkCustomAttributes = "";
			$this->vcs_brand->HrefValue = "";
			$this->vcs_brand->TooltipValue = "";

			// vcs_model
			$this->vcs_model->LinkCustomAttributes = "";
			$this->vcs_model->HrefValue = "";
			$this->vcs_model->TooltipValue = "";

			// plt_id
			$this->plt_id->LinkCustomAttributes = "";
			$this->plt_id->HrefValue = "";
			$this->plt_id->TooltipValue = "";

			// vcs_installroom
			$this->vcs_installroom->LinkCustomAttributes = "";
			$this->vcs_installroom->HrefValue = "";
			$this->vcs_installroom->TooltipValue = "";

			// vcs_year
			$this->vcs_year->LinkCustomAttributes = "";
			$this->vcs_year->HrefValue = "";
			$this->vcs_year->TooltipValue = "";

			// vcs_date_recieve
			$this->vcs_date_recieve->LinkCustomAttributes = "";
			$this->vcs_date_recieve->HrefValue = "";
			$this->vcs_date_recieve->TooltipValue = "";

			// vcs_contract_date_start
			$this->vcs_contract_date_start->LinkCustomAttributes = "";
			$this->vcs_contract_date_start->HrefValue = "";
			$this->vcs_contract_date_start->TooltipValue = "";

			// vcs_warranty
			$this->vcs_warranty->LinkCustomAttributes = "";
			$this->vcs_warranty->HrefValue = "";
			$this->vcs_warranty->TooltipValue = "";

			// cont_id
			$this->cont_id->LinkCustomAttributes = "";
			$this->cont_id->HrefValue = "";
			$this->cont_id->TooltipValue = "";

			// vcs_price
			$this->vcs_price->LinkCustomAttributes = "";
			$this->vcs_price->HrefValue = "";
			$this->vcs_price->TooltipValue = "";

			// vcs_origin
			$this->vcs_origin->LinkCustomAttributes = "";
			$this->vcs_origin->HrefValue = "";
			$this->vcs_origin->TooltipValue = "";

			// vcs_present
			$this->vcs_present->LinkCustomAttributes = "";
			$this->vcs_present->HrefValue = "";
			$this->vcs_present->TooltipValue = "";

			// vcs_comment
			$this->vcs_comment->LinkCustomAttributes = "";
			$this->vcs_comment->HrefValue = "";
			$this->vcs_comment->TooltipValue = "";
		} elseif ($this->RowType == EW_ROWTYPE_EDIT) { // Edit row

			// vcs_id
			$this->vcs_id->EditCustomAttributes = "";
			$this->vcs_id->EditValue = $this->vcs_id->CurrentValue;
			$this->vcs_id->ViewCustomAttributes = "";

			// vcst_id
			$this->vcst_id->EditCustomAttributes = "";
			$this->vcst_id->EditValue = ew_HtmlEncode($this->vcst_id->CurrentValue);
			if (strval($this->vcst_id->CurrentValue) <> "") {
				$sFilterWrk = "`vcst_id`" . ew_SearchString("=", $this->vcst_id->CurrentValue, EW_DATATYPE_STRING);
			$sSqlWrk = "SELECT `vcst_id`, `vcst_name` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_vcsdevice_types`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				ew_AddFilter($sWhereWrk, $sFilterWrk);
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$this->vcst_id->EditValue = $rswrk->fields('DispFld');
					$rswrk->Close();
				} else {
					$this->vcst_id->EditValue = $this->vcst_id->CurrentValue;
				}
			} else {
				$this->vcst_id->EditValue = NULL;
			}

			// court_id
			$this->court_id->EditCustomAttributes = "";
			$this->court_id->EditValue = ew_HtmlEncode($this->court_id->CurrentValue);

			// vcs_sn
			$this->vcs_sn->EditCustomAttributes = "";
			$this->vcs_sn->EditValue = ew_HtmlEncode($this->vcs_sn->CurrentValue);

			// vcs_number
			$this->vcs_number->EditCustomAttributes = "";
			$this->vcs_number->EditValue = ew_HtmlEncode($this->vcs_number->CurrentValue);

			// vcs_brand
			$this->vcs_brand->EditCustomAttributes = "";
			$this->vcs_brand->EditValue = ew_HtmlEncode($this->vcs_brand->CurrentValue);

			// vcs_model
			$this->vcs_model->EditCustomAttributes = "";
			$this->vcs_model->EditValue = ew_HtmlEncode($this->vcs_model->CurrentValue);

			// plt_id
			$this->plt_id->EditCustomAttributes = "";
			$this->plt_id->EditValue = ew_HtmlEncode($this->plt_id->CurrentValue);
			if (strval($this->plt_id->CurrentValue) <> "") {
				$sFilterWrk = "`plt_id`" . ew_SearchString("=", $this->plt_id->CurrentValue, EW_DATATYPE_STRING);
			$sSqlWrk = "SELECT `plt_id`, `plt_name` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_place_types`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				ew_AddFilter($sWhereWrk, $sFilterWrk);
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$this->plt_id->EditValue = $rswrk->fields('DispFld');
					$rswrk->Close();
				} else {
					$this->plt_id->EditValue = $this->plt_id->CurrentValue;
				}
			} else {
				$this->plt_id->EditValue = NULL;
			}

			// vcs_installroom
			$this->vcs_installroom->EditCustomAttributes = "";
			$this->vcs_installroom->EditValue = ew_HtmlEncode($this->vcs_installroom->CurrentValue);

			// vcs_year
			$this->vcs_year->EditCustomAttributes = "";
			$this->vcs_year->EditValue = ew_HtmlEncode($this->vcs_year->CurrentValue);

			// vcs_date_recieve
			$this->vcs_date_recieve->EditCustomAttributes = "";
			$this->vcs_date_recieve->EditValue = ew_HtmlEncode(ew_FormatDateTime($this->vcs_date_recieve->CurrentValue, 5));

			// vcs_contract_date_start
			$this->vcs_contract_date_start->EditCustomAttributes = "";
			$this->vcs_contract_date_start->EditValue = ew_HtmlEncode(ew_FormatDateTime($this->vcs_contract_date_start->CurrentValue, 5));

			// vcs_warranty
			$this->vcs_warranty->EditCustomAttributes = "";
			$this->vcs_warranty->EditValue = ew_HtmlEncode($this->vcs_warranty->CurrentValue);
			if (strval($this->vcs_warranty->EditValue) <> "" && is_numeric($this->vcs_warranty->EditValue)) $this->vcs_warranty->EditValue = ew_FormatNumber($this->vcs_warranty->EditValue, -2, -1, -2, 0);

			// cont_id
			$this->cont_id->EditCustomAttributes = "";
			$this->cont_id->EditValue = ew_HtmlEncode($this->cont_id->CurrentValue);
			if (strval($this->cont_id->CurrentValue) <> "") {
				$sFilterWrk = "`cont_id`" . ew_SearchString("=", $this->cont_id->CurrentValue, EW_DATATYPE_NUMBER);
			$sSqlWrk = "SELECT `cont_id`, `cont_num` AS `DispFld`, `cont_project` AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_contracts`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				ew_AddFilter($sWhereWrk, $sFilterWrk);
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$this->cont_id->EditValue = $rswrk->fields('DispFld');
					$this->cont_id->EditValue .= ew_ValueSeparator(1,$tb_vcsdevices->cont_id) . $rswrk->fields('Disp2Fld');
					$rswrk->Close();
				} else {
					$this->cont_id->EditValue = $this->cont_id->CurrentValue;
				}
			} else {
				$this->cont_id->EditValue = NULL;
			}

			// vcs_price
			$this->vcs_price->EditCustomAttributes = "";
			$this->vcs_price->EditValue = ew_HtmlEncode($this->vcs_price->CurrentValue);
			if (strval($this->vcs_price->EditValue) <> "" && is_numeric($this->vcs_price->EditValue)) $this->vcs_price->EditValue = ew_FormatNumber($this->vcs_price->EditValue, -2, -1, -2, 0);

			// vcs_origin
			$this->vcs_origin->EditCustomAttributes = "";
			$arwrk = array();
			$arwrk[] = array($this->vcs_origin->FldTagValue(1), $this->vcs_origin->FldTagCaption(1) <> "" ? $this->vcs_origin->FldTagCaption(1) : $this->vcs_origin->FldTagValue(1));
			$arwrk[] = array($this->vcs_origin->FldTagValue(2), $this->vcs_origin->FldTagCaption(2) <> "" ? $this->vcs_origin->FldTagCaption(2) : $this->vcs_origin->FldTagValue(2));
			$arwrk[] = array($this->vcs_origin->FldTagValue(3), $this->vcs_origin->FldTagCaption(3) <> "" ? $this->vcs_origin->FldTagCaption(3) : $this->vcs_origin->FldTagValue(3));
			$arwrk[] = array($this->vcs_origin->FldTagValue(4), $this->vcs_origin->FldTagCaption(4) <> "" ? $this->vcs_origin->FldTagCaption(4) : $this->vcs_origin->FldTagValue(4));
			$this->vcs_origin->EditValue = $arwrk;

			// vcs_present
			$this->vcs_present->EditCustomAttributes = "";
			$arwrk = array();
			$arwrk[] = array($this->vcs_present->FldTagValue(1), $this->vcs_present->FldTagCaption(1) <> "" ? $this->vcs_present->FldTagCaption(1) : $this->vcs_present->FldTagValue(1));
			$arwrk[] = array($this->vcs_present->FldTagValue(2), $this->vcs_present->FldTagCaption(2) <> "" ? $this->vcs_present->FldTagCaption(2) : $this->vcs_present->FldTagValue(2));
			$arwrk[] = array($this->vcs_present->FldTagValue(3), $this->vcs_present->FldTagCaption(3) <> "" ? $this->vcs_present->FldTagCaption(3) : $this->vcs_present->FldTagValue(3));
			$arwrk[] = array($this->vcs_present->FldTagValue(4), $this->vcs_present->FldTagCaption(4) <> "" ? $this->vcs_present->FldTagCaption(4) : $this->vcs_present->FldTagValue(4));
			$arwrk[] = array($this->vcs_present->FldTagValue(5), $this->vcs_present->FldTagCaption(5) <> "" ? $this->vcs_present->FldTagCaption(5) : $this->vcs_present->FldTagValue(5));
			$arwrk[] = array($this->vcs_present->FldTagValue(6), $this->vcs_present->FldTagCaption(6) <> "" ? $this->vcs_present->FldTagCaption(6) : $this->vcs_present->FldTagValue(6));
			$this->vcs_present->EditValue = $arwrk;

			// vcs_comment
			$this->vcs_comment->EditCustomAttributes = "";
			$this->vcs_comment->EditValue = ew_HtmlEncode($this->vcs_comment->CurrentValue);

			// Edit refer script
			// vcs_id

			$this->vcs_id->HrefValue = "";

			// vcst_id
			$this->vcst_id->HrefValue = "";

			// court_id
			$this->court_id->HrefValue = "";

			// vcs_sn
			$this->vcs_sn->HrefValue = "";

			// vcs_number
			$this->vcs_number->HrefValue = "";

			// vcs_brand
			$this->vcs_brand->HrefValue = "";

			// vcs_model
			$this->vcs_model->HrefValue = "";

			// plt_id
			$this->plt_id->HrefValue = "";

			// vcs_installroom
			$this->vcs_installroom->HrefValue = "";

			// vcs_year
			$this->vcs_year->HrefValue = "";

			// vcs_date_recieve
			$this->vcs_date_recieve->HrefValue = "";

			// vcs_contract_date_start
			$this->vcs_contract_date_start->HrefValue = "";

			// vcs_warranty
			$this->vcs_warranty->HrefValue = "";

			// cont_id
			$this->cont_id->HrefValue = "";

			// vcs_price
			$this->vcs_price->HrefValue = "";

			// vcs_origin
			$this->vcs_origin->HrefValue = "";

			// vcs_present
			$this->vcs_present->HrefValue = "";

			// vcs_comment
			$this->vcs_comment->HrefValue = "";
		}
		if ($this->RowType == EW_ROWTYPE_ADD ||
			$this->RowType == EW_ROWTYPE_EDIT ||
			$this->RowType == EW_ROWTYPE_SEARCH) { // Add / Edit / Search row
			$this->SetupFieldTitles();
		}

		// Call Row Rendered event
		if ($this->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$this->Row_Rendered();
	}

	// Validate form
	function ValidateForm() {
		global $Language, $gsFormError;

		// Initialize form error message
		$gsFormError = "";

		// Check if validation required
		if (!EW_SERVER_VALIDATE)
			return ($gsFormError == "");
		if (!is_null($this->vcs_id->FormValue) && $this->vcs_id->FormValue == "") {
			ew_AddMessage($gsFormError, $Language->Phrase("EnterRequiredField") . " - " . $this->vcs_id->FldCaption());
		}
		if (!is_null($this->vcst_id->FormValue) && $this->vcst_id->FormValue == "") {
			ew_AddMessage($gsFormError, $Language->Phrase("EnterRequiredField") . " - " . $this->vcst_id->FldCaption());
		}
		if (!ew_CheckDate($this->vcs_date_recieve->FormValue)) {
			ew_AddMessage($gsFormError, $this->vcs_date_recieve->FldErrMsg());
		}
		if (!ew_CheckDate($this->vcs_contract_date_start->FormValue)) {
			ew_AddMessage($gsFormError, $this->vcs_contract_date_start->FldErrMsg());
		}
		if (!ew_CheckNumber($this->vcs_warranty->FormValue)) {
			ew_AddMessage($gsFormError, $this->vcs_warranty->FldErrMsg());
		}
		if (!ew_CheckInteger($this->cont_id->FormValue)) {
			ew_AddMessage($gsFormError, $this->cont_id->FldErrMsg());
		}
		if (!ew_CheckNumber($this->vcs_price->FormValue)) {
			ew_AddMessage($gsFormError, $this->vcs_price->FldErrMsg());
		}

		// Return validate result
		$ValidateForm = ($gsFormError == "");

		// Call Form_CustomValidate event
		$sFormCustomError = "";
		$ValidateForm = $ValidateForm && $this->Form_CustomValidate($sFormCustomError);
		if ($sFormCustomError <> "") {
			ew_AddMessage($gsFormError, $sFormCustomError);
		}
		return $ValidateForm;
	}

	// Update record based on key values
	function EditRow() {
		global $conn, $Security, $Language;
		$sFilter = $this->KeyFilter();
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$conn->raiseErrorFn = 'ew_ErrorFn';
		$rs = $conn->Execute($sSql);
		$conn->raiseErrorFn = '';
		if ($rs === FALSE)
			return FALSE;
		if ($rs->EOF) {
			$EditRow = FALSE; // Update Failed
		} else {

			// Save old values
			$rsold = &$rs->fields;
			$rsnew = array();

			// vcs_id
			// vcst_id

			$this->vcst_id->SetDbValueDef($rsnew, $this->vcst_id->CurrentValue, NULL, $this->vcst_id->ReadOnly);

			// court_id
			$this->court_id->SetDbValueDef($rsnew, $this->court_id->CurrentValue, NULL, $this->court_id->ReadOnly);

			// vcs_sn
			$this->vcs_sn->SetDbValueDef($rsnew, $this->vcs_sn->CurrentValue, NULL, $this->vcs_sn->ReadOnly);

			// vcs_number
			$this->vcs_number->SetDbValueDef($rsnew, $this->vcs_number->CurrentValue, NULL, $this->vcs_number->ReadOnly);

			// vcs_brand
			$this->vcs_brand->SetDbValueDef($rsnew, $this->vcs_brand->CurrentValue, NULL, $this->vcs_brand->ReadOnly);

			// vcs_model
			$this->vcs_model->SetDbValueDef($rsnew, $this->vcs_model->CurrentValue, NULL, $this->vcs_model->ReadOnly);

			// plt_id
			$this->plt_id->SetDbValueDef($rsnew, $this->plt_id->CurrentValue, NULL, $this->plt_id->ReadOnly);

			// vcs_installroom
			$this->vcs_installroom->SetDbValueDef($rsnew, $this->vcs_installroom->CurrentValue, NULL, $this->vcs_installroom->ReadOnly);

			// vcs_year
			$this->vcs_year->SetDbValueDef($rsnew, $this->vcs_year->CurrentValue, NULL, $this->vcs_year->ReadOnly);

			// vcs_date_recieve
			$this->vcs_date_recieve->SetDbValueDef($rsnew, ew_UnFormatDateTime($this->vcs_date_recieve->CurrentValue, 5), NULL, $this->vcs_date_recieve->ReadOnly);

			// vcs_contract_date_start
			$this->vcs_contract_date_start->SetDbValueDef($rsnew, ew_UnFormatDateTime($this->vcs_contract_date_start->CurrentValue, 5), NULL, $this->vcs_contract_date_start->ReadOnly);

			// vcs_warranty
			$this->vcs_warranty->SetDbValueDef($rsnew, $this->vcs_warranty->CurrentValue, NULL, $this->vcs_warranty->ReadOnly);

			// cont_id
			$this->cont_id->SetDbValueDef($rsnew, $this->cont_id->CurrentValue, NULL, $this->cont_id->ReadOnly);

			// vcs_price
			$this->vcs_price->SetDbValueDef($rsnew, $this->vcs_price->CurrentValue, NULL, $this->vcs_price->ReadOnly);

			// vcs_origin
			$this->vcs_origin->SetDbValueDef($rsnew, $this->vcs_origin->CurrentValue, NULL, $this->vcs_origin->ReadOnly);

			// vcs_present
			$this->vcs_present->SetDbValueDef($rsnew, $this->vcs_present->CurrentValue, NULL, $this->vcs_present->ReadOnly);

			// vcs_comment
			$this->vcs_comment->SetDbValueDef($rsnew, $this->vcs_comment->CurrentValue, NULL, $this->vcs_comment->ReadOnly);

			// Call Row Updating event
			$bUpdateRow = $this->Row_Updating($rsold, $rsnew);
			if ($bUpdateRow) {
				$conn->raiseErrorFn = 'ew_ErrorFn';
				if (count($rsnew) > 0)
					$EditRow = $this->Update($rsnew);
				else
					$EditRow = TRUE; // No field to update
				$conn->raiseErrorFn = '';
			} else {
				if ($this->getSuccessMessage() <> "" || $this->getFailureMessage() <> "") {

					// Use the message, do nothing
				} elseif ($this->CancelMessage <> "") {
					$this->setFailureMessage($this->CancelMessage);
					$this->CancelMessage = "";
				} else {
					$this->setFailureMessage($Language->Phrase("UpdateCancelled"));
				}
				$EditRow = FALSE;
			}
		}

		// Call Row_Updated event
		if ($EditRow)
			$this->Row_Updated($rsold, $rsnew);
		$rs->Close();
		return $EditRow;
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	// $type = ''|'success'|'failure'|'warning'
	function Message_Showing(&$msg, $type) {
		if ($type == 'success') {

			//$msg = "your success message";
		} elseif ($type == 'failure') {

			//$msg = "your failure message";
		} elseif ($type == 'warning') {

			//$msg = "your warning message";
		} else {

			//$msg = "your message";
		}
	}

	// Page Data Rendering event
	function Page_DataRendering(&$header) {

		// Example:
		//$header = "your header";

	}

	// Page Data Rendered event
	function Page_DataRendered(&$footer) {

		// Example:
		//$footer = "your footer";

	}

	// Form Custom Validate event
	function Form_CustomValidate(&$CustomError) {

		// Return error message in CustomError
		return TRUE;
	}
}
?>
<?php ew_Header(FALSE) ?>
<?php

// Create page object
if (!isset($tb_vcsdevices_edit)) $tb_vcsdevices_edit = new ctb_vcsdevices_edit();

// Page init
$tb_vcsdevices_edit->Page_Init();

// Page main
$tb_vcsdevices_edit->Page_Main();
?>
<?php include_once "header.php" ?>
<script type="text/javascript">

// Page object
var tb_vcsdevices_edit = new ew_Page("tb_vcsdevices_edit");
tb_vcsdevices_edit.PageID = "edit"; // Page ID
var EW_PAGE_ID = tb_vcsdevices_edit.PageID; // For backward compatibility

// Form object
var ftb_vcsdevicesedit = new ew_Form("ftb_vcsdevicesedit");

// Validate form
ftb_vcsdevicesedit.Validate = function(fobj) {
	if (!this.ValidateRequired)
		return true; // Ignore validation
	fobj = fobj || this.Form;
	this.PostAutoSuggest();	
	if (fobj.a_confirm && fobj.a_confirm.value == "F")
		return true;
	var elm, aelm;
	var rowcnt = 1;
	var startcnt = (rowcnt == 0) ? 0 : 1; // rowcnt == 0 => Inline-Add
	for (var i = startcnt; i <= rowcnt; i++) {
		var infix = "";
		elm = fobj.elements["x" + infix + "_vcs_id"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tb_vcsdevices->vcs_id->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_vcst_id"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tb_vcsdevices->vcst_id->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_vcs_date_recieve"];
		if (elm && !ew_CheckDate(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_vcsdevices->vcs_date_recieve->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_vcs_contract_date_start"];
		if (elm && !ew_CheckDate(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_vcsdevices->vcs_contract_date_start->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_vcs_warranty"];
		if (elm && !ew_CheckNumber(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_vcsdevices->vcs_warranty->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_cont_id"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_vcsdevices->cont_id->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_vcs_price"];
		if (elm && !ew_CheckNumber(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_vcsdevices->vcs_price->FldErrMsg()) ?>");

		// Set up row object
		ew_ElementsToRow(fobj, infix);

		// Fire Form_CustomValidate event
		if (!this.Form_CustomValidate(fobj))
			return false;
	}

	// Process detail page
	if (fobj.detailpage && fobj.detailpage.value && ewForms[fobj.detailpage.value])
		return ewForms[fobj.detailpage.value].Validate(fobj);
	return true;
}

// Form_CustomValidate event
ftb_vcsdevicesedit.Form_CustomValidate =  
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }

// Use JavaScript validation or not
<?php if (EW_CLIENT_VALIDATE) { ?>
ftb_vcsdevicesedit.ValidateRequired = true;
<?php } else { ?>
ftb_vcsdevicesedit.ValidateRequired = false; 
<?php } ?>

// Dynamic selection lists
ftb_vcsdevicesedit.Lists["x_vcst_id"] = {"LinkField":"x_vcst_id","Ajax":true,"AutoFill":false,"DisplayFields":["x_vcst_name","","",""],"ParentFields":[],"FilterFields":[],"Options":[]};
ftb_vcsdevicesedit.Lists["x_plt_id"] = {"LinkField":"x_plt_id","Ajax":true,"AutoFill":false,"DisplayFields":["x_plt_name","","",""],"ParentFields":[],"FilterFields":[],"Options":[]};
ftb_vcsdevicesedit.Lists["x_cont_id"] = {"LinkField":"x_cont_id","Ajax":true,"AutoFill":false,"DisplayFields":["x_cont_num","x_cont_project","",""],"ParentFields":[],"FilterFields":[],"Options":[]};

// Form object for search
</script>
<script type="text/javascript">

// Write your client script here, no need to add script tags.
</script>
<p><span class="ewTitle ewTableTitle"><?php echo $Language->Phrase("Edit") ?>&nbsp;<?php echo $Language->Phrase("TblTypeTABLE") ?><?php echo $tb_vcsdevices->TableCaption() ?></span></p>
<p class="phpmaker"><a href="<?php echo $tb_vcsdevices->getReturnUrl() ?>"><?php echo $Language->Phrase("GoBack") ?></a></p>
<?php $tb_vcsdevices_edit->ShowPageHeader(); ?>
<?php
$tb_vcsdevices_edit->ShowMessage();
?>
<form name="ftb_vcsdevicesedit" id="ftb_vcsdevicesedit" class="ewForm" action="<?php echo ew_CurrentPage() ?>" method="post" onsubmit="return ewForms[this.id].Submit();">
<p>
<input type="hidden" name="t" value="tb_vcsdevices">
<input type="hidden" name="a_edit" id="a_edit" value="U">
<?php if ($tb_vcsdevices->CurrentAction == "F") { // Confirm page ?>
<input type="hidden" name="a_confirm" id="a_confirm" value="F">
<?php } ?>
<table cellspacing="0" class="ewGrid"><tr><td class="ewGridContent">
<div class="ewGridMiddlePanel">
<table cellspacing="0" id="tbl_tb_vcsdevicesedit" class="ewTable">
<?php if ($tb_vcsdevices->vcs_id->Visible) { // vcs_id ?>
	<tr id="r_vcs_id"<?php echo $tb_vcsdevices->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_vcsdevices_vcs_id"><?php echo $tb_vcsdevices->vcs_id->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></span></td>
		<td<?php echo $tb_vcsdevices->vcs_id->CellAttributes() ?>><span id="el_tb_vcsdevices_vcs_id">
<?php if ($tb_vcsdevices->CurrentAction <> "F") { ?>
<span<?php echo $tb_vcsdevices->vcs_id->ViewAttributes() ?>>
<?php echo $tb_vcsdevices->vcs_id->EditValue ?></span>
<input type="hidden" name="x_vcs_id" id="x_vcs_id" value="<?php echo ew_HtmlEncode($tb_vcsdevices->vcs_id->CurrentValue) ?>">
<?php } else { ?>
<span<?php echo $tb_vcsdevices->vcs_id->ViewAttributes() ?>>
<?php echo $tb_vcsdevices->vcs_id->ViewValue ?></span>
<input type="hidden" name="x_vcs_id" id="x_vcs_id" value="<?php echo ew_HtmlEncode($tb_vcsdevices->vcs_id->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_vcsdevices->vcs_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_vcsdevices->vcst_id->Visible) { // vcst_id ?>
	<tr id="r_vcst_id"<?php echo $tb_vcsdevices->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_vcsdevices_vcst_id"><?php echo $tb_vcsdevices->vcst_id->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></span></td>
		<td<?php echo $tb_vcsdevices->vcst_id->CellAttributes() ?>><span id="el_tb_vcsdevices_vcst_id">
<?php if ($tb_vcsdevices->CurrentAction <> "F") { ?>
<?php
	$wrkonchange = trim(" " . @$tb_vcsdevices->vcst_id->EditAttrs["onchange"]);
	if ($wrkonchange <> "") $wrkonchange = " onchange=\"" . ew_JsEncode2($wrkonchange) . "\"";
	$tb_vcsdevices->vcst_id->EditAttrs["onchange"] = "";
?>
<span id="as_x_vcst_id" style="white-space: nowrap; z-index: 8980">
	<input type="text" name="sv_x_vcst_id" id="sv_x_vcst_id" value="<?php echo $tb_vcsdevices->vcst_id->EditValue ?>" size="30" maxlength="10"<?php echo $tb_vcsdevices->vcst_id->EditAttributes() ?>>&nbsp;<span id="em_x_vcst_id" class="ewMessage" style="display: none"><?php echo str_replace("%f", "phpimages/", $Language->Phrase("UnmatchedValue")) ?></span>
	<div id="sc_x_vcst_id" style="z-index: 8980"></div>
</span>
<input type="hidden" name="x_vcst_id" id="x_vcst_id" value="<?php echo $tb_vcsdevices->vcst_id->CurrentValue ?>"<?php echo $wrkonchange ?>>
<?php
$sSqlWrk = "SELECT `vcst_id`, `vcst_name` FROM `tb_vcsdevice_types`";
$sWhereWrk = "`vcst_name` LIKE '{query_value}%'";
if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
$sSqlWrk .= " LIMIT " . EW_AUTO_SUGGEST_MAX_ENTRIES;
?>
<input type="hidden" name="q_x_vcst_id" id="q_x_vcst_id" value="s=<?php echo TEAencrypt($sSqlWrk) ?>&fn=<?php echo urlencode($tb_vcsdevices->vcst_id->LookupFn) ?>">
<script type="text/javascript">
var oas = new ew_AutoSuggest("x_vcst_id", ftb_vcsdevicesedit, false, EW_AUTO_SUGGEST_MAX_ENTRIES);
oas.formatResult = function(ar) {
	var dv = ar[1];
	for (var i = 2; i <= 4; i++)
		dv += (ar[i]) ? ew_ValueSeparator(i - 1, "x_vcst_id") + ar[i] : "";
	return dv;
}
oas.ac.typeAhead = false;
ftb_vcsdevicesedit.AutoSuggests["x_vcst_id"] = oas;
</script>
<?php } else { ?>
<span<?php echo $tb_vcsdevices->vcst_id->ViewAttributes() ?>>
<?php echo $tb_vcsdevices->vcst_id->ViewValue ?></span>
<input type="hidden" name="x_vcst_id" id="x_vcst_id" value="<?php echo ew_HtmlEncode($tb_vcsdevices->vcst_id->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_vcsdevices->vcst_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_vcsdevices->court_id->Visible) { // court_id ?>
	<tr id="r_court_id"<?php echo $tb_vcsdevices->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_vcsdevices_court_id"><?php echo $tb_vcsdevices->court_id->FldCaption() ?></span></td>
		<td<?php echo $tb_vcsdevices->court_id->CellAttributes() ?>><span id="el_tb_vcsdevices_court_id">
<?php if ($tb_vcsdevices->CurrentAction <> "F") { ?>
<input type="text" name="x_court_id" id="x_court_id" size="30" maxlength="10" value="<?php echo $tb_vcsdevices->court_id->EditValue ?>"<?php echo $tb_vcsdevices->court_id->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_vcsdevices->court_id->ViewAttributes() ?>>
<?php echo $tb_vcsdevices->court_id->ViewValue ?></span>
<input type="hidden" name="x_court_id" id="x_court_id" value="<?php echo ew_HtmlEncode($tb_vcsdevices->court_id->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_vcsdevices->court_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_vcsdevices->vcs_sn->Visible) { // vcs_sn ?>
	<tr id="r_vcs_sn"<?php echo $tb_vcsdevices->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_vcsdevices_vcs_sn"><?php echo $tb_vcsdevices->vcs_sn->FldCaption() ?></span></td>
		<td<?php echo $tb_vcsdevices->vcs_sn->CellAttributes() ?>><span id="el_tb_vcsdevices_vcs_sn">
<?php if ($tb_vcsdevices->CurrentAction <> "F") { ?>
<input type="text" name="x_vcs_sn" id="x_vcs_sn" size="30" maxlength="100" value="<?php echo $tb_vcsdevices->vcs_sn->EditValue ?>"<?php echo $tb_vcsdevices->vcs_sn->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_vcsdevices->vcs_sn->ViewAttributes() ?>>
<?php echo $tb_vcsdevices->vcs_sn->ViewValue ?></span>
<input type="hidden" name="x_vcs_sn" id="x_vcs_sn" value="<?php echo ew_HtmlEncode($tb_vcsdevices->vcs_sn->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_vcsdevices->vcs_sn->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_vcsdevices->vcs_number->Visible) { // vcs_number ?>
	<tr id="r_vcs_number"<?php echo $tb_vcsdevices->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_vcsdevices_vcs_number"><?php echo $tb_vcsdevices->vcs_number->FldCaption() ?></span></td>
		<td<?php echo $tb_vcsdevices->vcs_number->CellAttributes() ?>><span id="el_tb_vcsdevices_vcs_number">
<?php if ($tb_vcsdevices->CurrentAction <> "F") { ?>
<input type="text" name="x_vcs_number" id="x_vcs_number" size="30" maxlength="100" value="<?php echo $tb_vcsdevices->vcs_number->EditValue ?>"<?php echo $tb_vcsdevices->vcs_number->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_vcsdevices->vcs_number->ViewAttributes() ?>>
<?php echo $tb_vcsdevices->vcs_number->ViewValue ?></span>
<input type="hidden" name="x_vcs_number" id="x_vcs_number" value="<?php echo ew_HtmlEncode($tb_vcsdevices->vcs_number->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_vcsdevices->vcs_number->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_vcsdevices->vcs_brand->Visible) { // vcs_brand ?>
	<tr id="r_vcs_brand"<?php echo $tb_vcsdevices->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_vcsdevices_vcs_brand"><?php echo $tb_vcsdevices->vcs_brand->FldCaption() ?></span></td>
		<td<?php echo $tb_vcsdevices->vcs_brand->CellAttributes() ?>><span id="el_tb_vcsdevices_vcs_brand">
<?php if ($tb_vcsdevices->CurrentAction <> "F") { ?>
<input type="text" name="x_vcs_brand" id="x_vcs_brand" size="30" maxlength="200" value="<?php echo $tb_vcsdevices->vcs_brand->EditValue ?>"<?php echo $tb_vcsdevices->vcs_brand->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_vcsdevices->vcs_brand->ViewAttributes() ?>>
<?php echo $tb_vcsdevices->vcs_brand->ViewValue ?></span>
<input type="hidden" name="x_vcs_brand" id="x_vcs_brand" value="<?php echo ew_HtmlEncode($tb_vcsdevices->vcs_brand->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_vcsdevices->vcs_brand->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_vcsdevices->vcs_model->Visible) { // vcs_model ?>
	<tr id="r_vcs_model"<?php echo $tb_vcsdevices->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_vcsdevices_vcs_model"><?php echo $tb_vcsdevices->vcs_model->FldCaption() ?></span></td>
		<td<?php echo $tb_vcsdevices->vcs_model->CellAttributes() ?>><span id="el_tb_vcsdevices_vcs_model">
<?php if ($tb_vcsdevices->CurrentAction <> "F") { ?>
<input type="text" name="x_vcs_model" id="x_vcs_model" size="30" maxlength="200" value="<?php echo $tb_vcsdevices->vcs_model->EditValue ?>"<?php echo $tb_vcsdevices->vcs_model->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_vcsdevices->vcs_model->ViewAttributes() ?>>
<?php echo $tb_vcsdevices->vcs_model->ViewValue ?></span>
<input type="hidden" name="x_vcs_model" id="x_vcs_model" value="<?php echo ew_HtmlEncode($tb_vcsdevices->vcs_model->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_vcsdevices->vcs_model->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_vcsdevices->plt_id->Visible) { // plt_id ?>
	<tr id="r_plt_id"<?php echo $tb_vcsdevices->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_vcsdevices_plt_id"><?php echo $tb_vcsdevices->plt_id->FldCaption() ?></span></td>
		<td<?php echo $tb_vcsdevices->plt_id->CellAttributes() ?>><span id="el_tb_vcsdevices_plt_id">
<?php if ($tb_vcsdevices->CurrentAction <> "F") { ?>
<?php
	$wrkonchange = trim(" " . @$tb_vcsdevices->plt_id->EditAttrs["onchange"]);
	if ($wrkonchange <> "") $wrkonchange = " onchange=\"" . ew_JsEncode2($wrkonchange) . "\"";
	$tb_vcsdevices->plt_id->EditAttrs["onchange"] = "";
?>
<span id="as_x_plt_id" style="white-space: nowrap; z-index: 8920">
	<input type="text" name="sv_x_plt_id" id="sv_x_plt_id" value="<?php echo $tb_vcsdevices->plt_id->EditValue ?>" size="30" maxlength="10"<?php echo $tb_vcsdevices->plt_id->EditAttributes() ?>>&nbsp;<span id="em_x_plt_id" class="ewMessage" style="display: none"><?php echo str_replace("%f", "phpimages/", $Language->Phrase("UnmatchedValue")) ?></span>
	<div id="sc_x_plt_id" style="z-index: 8920"></div>
</span>
<input type="hidden" name="x_plt_id" id="x_plt_id" value="<?php echo $tb_vcsdevices->plt_id->CurrentValue ?>"<?php echo $wrkonchange ?>>
<?php
$sSqlWrk = "SELECT `plt_id`, `plt_name` FROM `tb_place_types`";
$sWhereWrk = "`plt_name` LIKE '{query_value}%'";
if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
$sSqlWrk .= " LIMIT " . EW_AUTO_SUGGEST_MAX_ENTRIES;
?>
<input type="hidden" name="q_x_plt_id" id="q_x_plt_id" value="s=<?php echo TEAencrypt($sSqlWrk) ?>&fn=<?php echo urlencode($tb_vcsdevices->plt_id->LookupFn) ?>">
<script type="text/javascript">
var oas = new ew_AutoSuggest("x_plt_id", ftb_vcsdevicesedit, false, EW_AUTO_SUGGEST_MAX_ENTRIES);
oas.formatResult = function(ar) {
	var dv = ar[1];
	for (var i = 2; i <= 4; i++)
		dv += (ar[i]) ? ew_ValueSeparator(i - 1, "x_plt_id") + ar[i] : "";
	return dv;
}
oas.ac.typeAhead = false;
ftb_vcsdevicesedit.AutoSuggests["x_plt_id"] = oas;
</script>
<?php } else { ?>
<span<?php echo $tb_vcsdevices->plt_id->ViewAttributes() ?>>
<?php echo $tb_vcsdevices->plt_id->ViewValue ?></span>
<input type="hidden" name="x_plt_id" id="x_plt_id" value="<?php echo ew_HtmlEncode($tb_vcsdevices->plt_id->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_vcsdevices->plt_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_vcsdevices->vcs_installroom->Visible) { // vcs_installroom ?>
	<tr id="r_vcs_installroom"<?php echo $tb_vcsdevices->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_vcsdevices_vcs_installroom"><?php echo $tb_vcsdevices->vcs_installroom->FldCaption() ?></span></td>
		<td<?php echo $tb_vcsdevices->vcs_installroom->CellAttributes() ?>><span id="el_tb_vcsdevices_vcs_installroom">
<?php if ($tb_vcsdevices->CurrentAction <> "F") { ?>
<input type="text" name="x_vcs_installroom" id="x_vcs_installroom" size="30" maxlength="200" value="<?php echo $tb_vcsdevices->vcs_installroom->EditValue ?>"<?php echo $tb_vcsdevices->vcs_installroom->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_vcsdevices->vcs_installroom->ViewAttributes() ?>>
<?php echo $tb_vcsdevices->vcs_installroom->ViewValue ?></span>
<input type="hidden" name="x_vcs_installroom" id="x_vcs_installroom" value="<?php echo ew_HtmlEncode($tb_vcsdevices->vcs_installroom->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_vcsdevices->vcs_installroom->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_vcsdevices->vcs_year->Visible) { // vcs_year ?>
	<tr id="r_vcs_year"<?php echo $tb_vcsdevices->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_vcsdevices_vcs_year"><?php echo $tb_vcsdevices->vcs_year->FldCaption() ?></span></td>
		<td<?php echo $tb_vcsdevices->vcs_year->CellAttributes() ?>><span id="el_tb_vcsdevices_vcs_year">
<?php if ($tb_vcsdevices->CurrentAction <> "F") { ?>
<input type="text" name="x_vcs_year" id="x_vcs_year" size="30" maxlength="4" value="<?php echo $tb_vcsdevices->vcs_year->EditValue ?>"<?php echo $tb_vcsdevices->vcs_year->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_vcsdevices->vcs_year->ViewAttributes() ?>>
<?php echo $tb_vcsdevices->vcs_year->ViewValue ?></span>
<input type="hidden" name="x_vcs_year" id="x_vcs_year" value="<?php echo ew_HtmlEncode($tb_vcsdevices->vcs_year->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_vcsdevices->vcs_year->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_vcsdevices->vcs_date_recieve->Visible) { // vcs_date_recieve ?>
	<tr id="r_vcs_date_recieve"<?php echo $tb_vcsdevices->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_vcsdevices_vcs_date_recieve"><?php echo $tb_vcsdevices->vcs_date_recieve->FldCaption() ?></span></td>
		<td<?php echo $tb_vcsdevices->vcs_date_recieve->CellAttributes() ?>><span id="el_tb_vcsdevices_vcs_date_recieve">
<?php if ($tb_vcsdevices->CurrentAction <> "F") { ?>
<input type="text" name="x_vcs_date_recieve" id="x_vcs_date_recieve" value="<?php echo $tb_vcsdevices->vcs_date_recieve->EditValue ?>"<?php echo $tb_vcsdevices->vcs_date_recieve->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_vcsdevices->vcs_date_recieve->ViewAttributes() ?>>
<?php echo $tb_vcsdevices->vcs_date_recieve->ViewValue ?></span>
<input type="hidden" name="x_vcs_date_recieve" id="x_vcs_date_recieve" value="<?php echo ew_HtmlEncode($tb_vcsdevices->vcs_date_recieve->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_vcsdevices->vcs_date_recieve->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_vcsdevices->vcs_contract_date_start->Visible) { // vcs_contract_date_start ?>
	<tr id="r_vcs_contract_date_start"<?php echo $tb_vcsdevices->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_vcsdevices_vcs_contract_date_start"><?php echo $tb_vcsdevices->vcs_contract_date_start->FldCaption() ?></span></td>
		<td<?php echo $tb_vcsdevices->vcs_contract_date_start->CellAttributes() ?>><span id="el_tb_vcsdevices_vcs_contract_date_start">
<?php if ($tb_vcsdevices->CurrentAction <> "F") { ?>
<input type="text" name="x_vcs_contract_date_start" id="x_vcs_contract_date_start" value="<?php echo $tb_vcsdevices->vcs_contract_date_start->EditValue ?>"<?php echo $tb_vcsdevices->vcs_contract_date_start->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_vcsdevices->vcs_contract_date_start->ViewAttributes() ?>>
<?php echo $tb_vcsdevices->vcs_contract_date_start->ViewValue ?></span>
<input type="hidden" name="x_vcs_contract_date_start" id="x_vcs_contract_date_start" value="<?php echo ew_HtmlEncode($tb_vcsdevices->vcs_contract_date_start->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_vcsdevices->vcs_contract_date_start->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_vcsdevices->vcs_warranty->Visible) { // vcs_warranty ?>
	<tr id="r_vcs_warranty"<?php echo $tb_vcsdevices->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_vcsdevices_vcs_warranty"><?php echo $tb_vcsdevices->vcs_warranty->FldCaption() ?></span></td>
		<td<?php echo $tb_vcsdevices->vcs_warranty->CellAttributes() ?>><span id="el_tb_vcsdevices_vcs_warranty">
<?php if ($tb_vcsdevices->CurrentAction <> "F") { ?>
<input type="text" name="x_vcs_warranty" id="x_vcs_warranty" size="30" value="<?php echo $tb_vcsdevices->vcs_warranty->EditValue ?>"<?php echo $tb_vcsdevices->vcs_warranty->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_vcsdevices->vcs_warranty->ViewAttributes() ?>>
<?php echo $tb_vcsdevices->vcs_warranty->ViewValue ?></span>
<input type="hidden" name="x_vcs_warranty" id="x_vcs_warranty" value="<?php echo ew_HtmlEncode($tb_vcsdevices->vcs_warranty->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_vcsdevices->vcs_warranty->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_vcsdevices->cont_id->Visible) { // cont_id ?>
	<tr id="r_cont_id"<?php echo $tb_vcsdevices->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_vcsdevices_cont_id"><?php echo $tb_vcsdevices->cont_id->FldCaption() ?></span></td>
		<td<?php echo $tb_vcsdevices->cont_id->CellAttributes() ?>><span id="el_tb_vcsdevices_cont_id">
<?php if ($tb_vcsdevices->CurrentAction <> "F") { ?>
<?php
	$wrkonchange = trim(" " . @$tb_vcsdevices->cont_id->EditAttrs["onchange"]);
	if ($wrkonchange <> "") $wrkonchange = " onchange=\"" . ew_JsEncode2($wrkonchange) . "\"";
	$tb_vcsdevices->cont_id->EditAttrs["onchange"] = "";
?>
<span id="as_x_cont_id" style="white-space: nowrap; z-index: 8860">
	<input type="text" name="sv_x_cont_id" id="sv_x_cont_id" value="<?php echo $tb_vcsdevices->cont_id->EditValue ?>" size="30"<?php echo $tb_vcsdevices->cont_id->EditAttributes() ?>>&nbsp;<span id="em_x_cont_id" class="ewMessage" style="display: none"><?php echo str_replace("%f", "phpimages/", $Language->Phrase("UnmatchedValue")) ?></span>
	<div id="sc_x_cont_id" style="z-index: 8860"></div>
</span>
<input type="hidden" name="x_cont_id" id="x_cont_id" value="<?php echo $tb_vcsdevices->cont_id->CurrentValue ?>"<?php echo $wrkonchange ?>>
<?php
$sSqlWrk = "SELECT `cont_id`, `cont_num`, `cont_project` FROM `tb_contracts`";
$sWhereWrk = "`cont_num` LIKE '{query_value}%'";
if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
$sSqlWrk .= " LIMIT " . EW_AUTO_SUGGEST_MAX_ENTRIES;
?>
<input type="hidden" name="q_x_cont_id" id="q_x_cont_id" value="s=<?php echo TEAencrypt($sSqlWrk) ?>&fn=<?php echo urlencode($tb_vcsdevices->cont_id->LookupFn) ?>">
<script type="text/javascript">
var oas = new ew_AutoSuggest("x_cont_id", ftb_vcsdevicesedit, false, EW_AUTO_SUGGEST_MAX_ENTRIES);
oas.formatResult = function(ar) {
	var dv = ar[1];
	for (var i = 2; i <= 4; i++)
		dv += (ar[i]) ? ew_ValueSeparator(i - 1, "x_cont_id") + ar[i] : "";
	return dv;
}
oas.ac.typeAhead = false;
ftb_vcsdevicesedit.AutoSuggests["x_cont_id"] = oas;
</script>
<?php } else { ?>
<span<?php echo $tb_vcsdevices->cont_id->ViewAttributes() ?>>
<?php echo $tb_vcsdevices->cont_id->ViewValue ?></span>
<input type="hidden" name="x_cont_id" id="x_cont_id" value="<?php echo ew_HtmlEncode($tb_vcsdevices->cont_id->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_vcsdevices->cont_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_vcsdevices->vcs_price->Visible) { // vcs_price ?>
	<tr id="r_vcs_price"<?php echo $tb_vcsdevices->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_vcsdevices_vcs_price"><?php echo $tb_vcsdevices->vcs_price->FldCaption() ?></span></td>
		<td<?php echo $tb_vcsdevices->vcs_price->CellAttributes() ?>><span id="el_tb_vcsdevices_vcs_price">
<?php if ($tb_vcsdevices->CurrentAction <> "F") { ?>
<input type="text" name="x_vcs_price" id="x_vcs_price" size="30" value="<?php echo $tb_vcsdevices->vcs_price->EditValue ?>"<?php echo $tb_vcsdevices->vcs_price->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_vcsdevices->vcs_price->ViewAttributes() ?>>
<?php echo $tb_vcsdevices->vcs_price->ViewValue ?></span>
<input type="hidden" name="x_vcs_price" id="x_vcs_price" value="<?php echo ew_HtmlEncode($tb_vcsdevices->vcs_price->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_vcsdevices->vcs_price->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_vcsdevices->vcs_origin->Visible) { // vcs_origin ?>
	<tr id="r_vcs_origin"<?php echo $tb_vcsdevices->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_vcsdevices_vcs_origin"><?php echo $tb_vcsdevices->vcs_origin->FldCaption() ?></span></td>
		<td<?php echo $tb_vcsdevices->vcs_origin->CellAttributes() ?>><span id="el_tb_vcsdevices_vcs_origin">
<?php if ($tb_vcsdevices->CurrentAction <> "F") { ?>
<div id="tp_x_vcs_origin" class="<?php echo EW_ITEM_TEMPLATE_CLASSNAME ?>"><input type="radio" name="x_vcs_origin" id="x_vcs_origin" value="{value}"<?php echo $tb_vcsdevices->vcs_origin->EditAttributes() ?>></div>
<div id="dsl_x_vcs_origin" data-repeatcolumn="5" class="ewItemList">
<?php
$arwrk = $tb_vcsdevices->vcs_origin->EditValue;
if (is_array($arwrk)) {
	$rowswrk = count($arwrk);
	$emptywrk = TRUE;
	for ($rowcntwrk = 0; $rowcntwrk < $rowswrk; $rowcntwrk++) {
		$selwrk = (strval($tb_vcsdevices->vcs_origin->CurrentValue) == strval($arwrk[$rowcntwrk][0])) ? " checked=\"checked\"" : "";
		if ($selwrk <> "") $emptywrk = FALSE;

		// Note: No spacing within the LABEL tag
?>
<?php echo ew_RepeatColumnTable($rowswrk, $rowcntwrk, 5, 1) ?>
<label><input type="radio" name="x_vcs_origin" id="x_vcs_origin" value="<?php echo ew_HtmlEncode($arwrk[$rowcntwrk][0]) ?>"<?php echo $selwrk ?><?php echo $tb_vcsdevices->vcs_origin->EditAttributes() ?>><?php echo $arwrk[$rowcntwrk][1] ?></label>
<?php echo ew_RepeatColumnTable($rowswrk, $rowcntwrk, 5, 2) ?>
<?php
	}
}
?>
</div>
<?php } else { ?>
<span<?php echo $tb_vcsdevices->vcs_origin->ViewAttributes() ?>>
<?php echo $tb_vcsdevices->vcs_origin->ViewValue ?></span>
<input type="hidden" name="x_vcs_origin" id="x_vcs_origin" value="<?php echo ew_HtmlEncode($tb_vcsdevices->vcs_origin->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_vcsdevices->vcs_origin->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_vcsdevices->vcs_present->Visible) { // vcs_present ?>
	<tr id="r_vcs_present"<?php echo $tb_vcsdevices->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_vcsdevices_vcs_present"><?php echo $tb_vcsdevices->vcs_present->FldCaption() ?></span></td>
		<td<?php echo $tb_vcsdevices->vcs_present->CellAttributes() ?>><span id="el_tb_vcsdevices_vcs_present">
<?php if ($tb_vcsdevices->CurrentAction <> "F") { ?>
<div id="tp_x_vcs_present" class="<?php echo EW_ITEM_TEMPLATE_CLASSNAME ?>"><input type="radio" name="x_vcs_present" id="x_vcs_present" value="{value}"<?php echo $tb_vcsdevices->vcs_present->EditAttributes() ?>></div>
<div id="dsl_x_vcs_present" data-repeatcolumn="5" class="ewItemList">
<?php
$arwrk = $tb_vcsdevices->vcs_present->EditValue;
if (is_array($arwrk)) {
	$rowswrk = count($arwrk);
	$emptywrk = TRUE;
	for ($rowcntwrk = 0; $rowcntwrk < $rowswrk; $rowcntwrk++) {
		$selwrk = (strval($tb_vcsdevices->vcs_present->CurrentValue) == strval($arwrk[$rowcntwrk][0])) ? " checked=\"checked\"" : "";
		if ($selwrk <> "") $emptywrk = FALSE;

		// Note: No spacing within the LABEL tag
?>
<?php echo ew_RepeatColumnTable($rowswrk, $rowcntwrk, 5, 1) ?>
<label><input type="radio" name="x_vcs_present" id="x_vcs_present" value="<?php echo ew_HtmlEncode($arwrk[$rowcntwrk][0]) ?>"<?php echo $selwrk ?><?php echo $tb_vcsdevices->vcs_present->EditAttributes() ?>><?php echo $arwrk[$rowcntwrk][1] ?></label>
<?php echo ew_RepeatColumnTable($rowswrk, $rowcntwrk, 5, 2) ?>
<?php
	}
}
?>
</div>
<?php } else { ?>
<span<?php echo $tb_vcsdevices->vcs_present->ViewAttributes() ?>>
<?php echo $tb_vcsdevices->vcs_present->ViewValue ?></span>
<input type="hidden" name="x_vcs_present" id="x_vcs_present" value="<?php echo ew_HtmlEncode($tb_vcsdevices->vcs_present->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_vcsdevices->vcs_present->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_vcsdevices->vcs_comment->Visible) { // vcs_comment ?>
	<tr id="r_vcs_comment"<?php echo $tb_vcsdevices->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_vcsdevices_vcs_comment"><?php echo $tb_vcsdevices->vcs_comment->FldCaption() ?></span></td>
		<td<?php echo $tb_vcsdevices->vcs_comment->CellAttributes() ?>><span id="el_tb_vcsdevices_vcs_comment">
<?php if ($tb_vcsdevices->CurrentAction <> "F") { ?>
<input type="text" name="x_vcs_comment" id="x_vcs_comment" size="30" maxlength="200" value="<?php echo $tb_vcsdevices->vcs_comment->EditValue ?>"<?php echo $tb_vcsdevices->vcs_comment->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_vcsdevices->vcs_comment->ViewAttributes() ?>>
<?php echo $tb_vcsdevices->vcs_comment->ViewValue ?></span>
<input type="hidden" name="x_vcs_comment" id="x_vcs_comment" value="<?php echo ew_HtmlEncode($tb_vcsdevices->vcs_comment->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_vcsdevices->vcs_comment->CustomMsg ?></td>
	</tr>
<?php } ?>
</table>
</div>
</td></tr></table>
<p>
<?php if ($tb_vcsdevices->CurrentAction <> "F") { // Confirm page ?>
<input type="submit" name="btnAction" id="btnAction" value="<?php echo ew_BtnCaption($Language->Phrase("EditBtn")) ?>" onclick="this.form.a_edit.value='F';">
<?php } else { ?>
<input type="submit" name="btnCancel" id="btnCancel" value="<?php echo ew_BtnCaption($Language->Phrase("CancelBtn")) ?>" onclick="this.form.a_edit.value='X';">
<input type="submit" name="btnAction" id="btnAction" value="<?php echo ew_BtnCaption($Language->Phrase("ConfirmBtn")) ?>">
<?php } ?>
</form>
<script type="text/javascript">
ftb_vcsdevicesedit.Init();
</script>
<?php
$tb_vcsdevices_edit->ShowPageFooter();
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
?>
<script type="text/javascript">

// Write your table-specific startup script here
// document.write("page loaded");

</script>
<?php include_once "footer.php" ?>
<?php
$tb_vcsdevices_edit->Page_Terminate();
?>
