<?php

// Global variable for table object
$tb_builing = NULL;

//
// Table class for tb_builing
//
class ctb_builing extends cTable {
	var $bu_id;
	var $court_id;
	var $bu_share;
	var $bu_num_floor;
	var $bu_width;
	var $bu_depth;
	var $bu_cur_lan;
	var $bu_req_lan;

	//
	// Table class constructor
	//
	function __construct() {
		global $Language;

		// Language object
		if (!isset($Language)) $Language = new cLanguage();
		$this->TableVar = 'tb_builing';
		$this->TableName = 'tb_builing';
		$this->TableType = 'TABLE';
		$this->ExportAll = TRUE;
		$this->ExportPageBreakCount = 0; // Page break per every n record (PDF only)
		$this->ExportPageOrientation = "portrait"; // Page orientation (PDF only)
		$this->ExportPageSize = "a4"; // Page size (PDF only)
		$this->DetailAdd = FALSE; // Allow detail add
		$this->DetailEdit = FALSE; // Allow detail edit
		$this->GridAddRowCount = 5;
		$this->AllowAddDeleteRow = ew_AllowAddDeleteRow(); // Allow add/delete row

		// bu_id
		$this->bu_id = new cField('tb_builing', 'tb_builing', 'x_bu_id', 'bu_id', '`bu_id`', '`bu_id`', 3, -1, FALSE, '`bu_id`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->bu_id->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['bu_id'] = &$this->bu_id;

		// court_id
		$this->court_id = new cField('tb_builing', 'tb_builing', 'x_court_id', 'court_id', '`court_id`', '`court_id`', 200, -1, FALSE, '`court_id`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['court_id'] = &$this->court_id;

		// bu_share
		$this->bu_share = new cField('tb_builing', 'tb_builing', 'x_bu_share', 'bu_share', '`bu_share`', '`bu_share`', 200, -1, FALSE, '`bu_share`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['bu_share'] = &$this->bu_share;

		// bu_num_floor
		$this->bu_num_floor = new cField('tb_builing', 'tb_builing', 'x_bu_num_floor', 'bu_num_floor', '`bu_num_floor`', '`bu_num_floor`', 131, -1, FALSE, '`bu_num_floor`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->bu_num_floor->FldDefaultErrMsg = $Language->Phrase("IncorrectFloat");
		$this->fields['bu_num_floor'] = &$this->bu_num_floor;

		// bu_width
		$this->bu_width = new cField('tb_builing', 'tb_builing', 'x_bu_width', 'bu_width', '`bu_width`', '`bu_width`', 131, -1, FALSE, '`bu_width`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->bu_width->FldDefaultErrMsg = $Language->Phrase("IncorrectFloat");
		$this->fields['bu_width'] = &$this->bu_width;

		// bu_depth
		$this->bu_depth = new cField('tb_builing', 'tb_builing', 'x_bu_depth', 'bu_depth', '`bu_depth`', '`bu_depth`', 131, -1, FALSE, '`bu_depth`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->bu_depth->FldDefaultErrMsg = $Language->Phrase("IncorrectFloat");
		$this->fields['bu_depth'] = &$this->bu_depth;

		// bu_cur_lan
		$this->bu_cur_lan = new cField('tb_builing', 'tb_builing', 'x_bu_cur_lan', 'bu_cur_lan', '`bu_cur_lan`', '`bu_cur_lan`', 3, -1, FALSE, '`bu_cur_lan`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->bu_cur_lan->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['bu_cur_lan'] = &$this->bu_cur_lan;

		// bu_req_lan
		$this->bu_req_lan = new cField('tb_builing', 'tb_builing', 'x_bu_req_lan', 'bu_req_lan', '`bu_req_lan`', '`bu_req_lan`', 3, -1, FALSE, '`bu_req_lan`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->bu_req_lan->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['bu_req_lan'] = &$this->bu_req_lan;
	}

	// Single column sort
	function UpdateSort(&$ofld) {
		if ($this->CurrentOrder == $ofld->FldName) {
			$sSortField = $ofld->FldExpression;
			$sLastSort = $ofld->getSort();
			if ($this->CurrentOrderType == "ASC" || $this->CurrentOrderType == "DESC") {
				$sThisSort = $this->CurrentOrderType;
			} else {
				$sThisSort = ($sLastSort == "ASC") ? "DESC" : "ASC";
			}
			$ofld->setSort($sThisSort);
			$this->setSessionOrderBy($sSortField . " " . $sThisSort); // Save to Session
		} else {
			$ofld->setSort("");
		}
	}

	// Table level SQL
	function SqlFrom() { // From
		return "`tb_builing`";
	}

	function SqlSelect() { // Select
		return "SELECT * FROM " . $this->SqlFrom();
	}

	function SqlWhere() { // Where
		$sWhere = "";
		$this->TableFilter = "";
		ew_AddFilter($sWhere, $this->TableFilter);
		return $sWhere;
	}

	function SqlGroupBy() { // Group By
		return "";
	}

	function SqlHaving() { // Having
		return "";
	}

	function SqlOrderBy() { // Order By
		return "";
	}

	// Check if Anonymous User is allowed
	function AllowAnonymousUser() {
		switch (@$this->PageID) {
			case "add":
			case "register":
			case "addopt":
				return FALSE;
			case "edit":
			case "update":
			case "changepwd":
			case "forgotpwd":
				return FALSE;
			case "delete":
				return FALSE;
			case "view":
				return FALSE;
			case "search":
				return FALSE;
			default:
				return FALSE;
		}
	}

	// Apply User ID filters
	function ApplyUserIDFilters($sFilter) {
		return $sFilter;
	}

	// Check if User ID security allows view all
	function UserIDAllow($id = "") {
		return TRUE;
	}

	// Get SQL
	function GetSQL($where, $orderby) {
		return ew_BuildSelectSql($this->SqlSelect(), $this->SqlWhere(),
			$this->SqlGroupBy(), $this->SqlHaving(), $this->SqlOrderBy(),
			$where, $orderby);
	}

	// Table SQL
	function SQL() {
		$sFilter = $this->CurrentFilter;
		$sFilter = $this->ApplyUserIDFilters($sFilter);
		$sSort = $this->getSessionOrderBy();
		return ew_BuildSelectSql($this->SqlSelect(), $this->SqlWhere(),
			$this->SqlGroupBy(), $this->SqlHaving(), $this->SqlOrderBy(),
			$sFilter, $sSort);
	}

	// Table SQL with List page filter
	function SelectSQL() {
		$sFilter = $this->getSessionWhere();
		ew_AddFilter($sFilter, $this->CurrentFilter);
		$sFilter = $this->ApplyUserIDFilters($sFilter);
		$sSort = $this->getSessionOrderBy();
		return ew_BuildSelectSql($this->SqlSelect(), $this->SqlWhere(), $this->SqlGroupBy(),
			$this->SqlHaving(), $this->SqlOrderBy(), $sFilter, $sSort);
	}

	// Get ORDER BY clause
	function GetOrderBy() {
		$sSort = $this->getSessionOrderBy();
		return ew_BuildSelectSql("", "", "", "", $this->SqlOrderBy(), "", $sSort);
	}

	// Try to get record count
	function TryGetRecordCount($sSql) {
		global $conn;
		$cnt = -1;
		if ($this->TableType == 'TABLE' || $this->TableType == 'VIEW') {
			$sSql = "SELECT COUNT(*) FROM" . substr($sSql, 13);
			$sOrderBy = $this->GetOrderBy();
			if (substr($sSql, strlen($sOrderBy) * -1) == $sOrderBy)
				$sSql = substr($sSql, 0, strlen($sSql) - strlen($sOrderBy)); // Remove ORDER BY clause
		} else {
			$sSql = "SELECT COUNT(*) FROM (" . $sSql . ") EW_COUNT_TABLE";
		}
		if ($rs = $conn->Execute($sSql)) {
			if (!$rs->EOF && $rs->FieldCount() > 0) {
				$cnt = $rs->fields[0];
				$rs->Close();
			}
		}
		return intval($cnt);
	}

	// Get record count based on filter (for detail record count in master table pages)
	function LoadRecordCount($sFilter) {
		$origFilter = $this->CurrentFilter;
		$this->CurrentFilter = $sFilter;
		$this->Recordset_Selecting($this->CurrentFilter);

		//$sSql = $this->SQL();
		$sSql = $this->GetSQL($this->CurrentFilter, "");
		$cnt = $this->TryGetRecordCount($sSql);
		if ($cnt == -1) {
			if ($rs = $this->LoadRs($this->CurrentFilter)) {
				$cnt = $rs->RecordCount();
				$rs->Close();
			}
		}
		$this->CurrentFilter = $origFilter;
		return intval($cnt);
	}

	// Get record count (for current List page)
	function SelectRecordCount() {
		global $conn;
		$origFilter = $this->CurrentFilter;
		$this->Recordset_Selecting($this->CurrentFilter);
		$sSql = $this->SelectSQL();
		$cnt = $this->TryGetRecordCount($sSql);
		if ($cnt == -1) {
			if ($rs = $conn->Execute($sSql)) {
				$cnt = $rs->RecordCount();
				$rs->Close();
			}
		}
		$this->CurrentFilter = $origFilter;
		return intval($cnt);
	}

	// Update Table
	var $UpdateTable = "`tb_builing`";

	// INSERT statement
	function InsertSQL(&$rs) {
		global $conn;
		$names = "";
		$values = "";
		foreach ($rs as $name => $value) {
			if (!isset($this->fields[$name]))
				continue;
			$names .= $this->fields[$name]->FldExpression . ",";
			$values .= ew_QuotedValue($value, $this->fields[$name]->FldDataType) . ",";
		}
		while (substr($names, -1) == ",")
			$names = substr($names, 0, -1);
		while (substr($values, -1) == ",")
			$values = substr($values, 0, -1);
		return "INSERT INTO " . $this->UpdateTable . " ($names) VALUES ($values)";
	}

	// Insert
	function Insert(&$rs) {
		global $conn;
		return $conn->Execute($this->InsertSQL($rs));
	}

	// UPDATE statement
	function UpdateSQL(&$rs, $where = "") {
		$sql = "UPDATE " . $this->UpdateTable . " SET ";
		foreach ($rs as $name => $value) {
			if (!isset($this->fields[$name]))
				continue;
			$sql .= $this->fields[$name]->FldExpression . "=";
			$sql .= ew_QuotedValue($value, $this->fields[$name]->FldDataType) . ",";
		}
		while (substr($sql, -1) == ",")
			$sql = substr($sql, 0, -1);
		$filter = $this->CurrentFilter;
		ew_AddFilter($filter, $where);
		if ($filter <> "")	$sql .= " WHERE " . $filter;
		return $sql;
	}

	// Update
	function Update(&$rs, $where = "") {
		global $conn;
		return $conn->Execute($this->UpdateSQL($rs, $where));
	}

	// DELETE statement
	function DeleteSQL(&$rs, $where = "") {
		$sql = "DELETE FROM " . $this->UpdateTable . " WHERE ";
		if ($rs) {
			$sql .= ew_QuotedName('bu_id') . '=' . ew_QuotedValue($rs['bu_id'], $this->bu_id->FldDataType) . ' AND ';
		}
		if (substr($sql, -5) == " AND ") $sql = substr($sql, 0, -5);
		$filter = $this->CurrentFilter;
		ew_AddFilter($filter, $where);
		if ($filter <> "")	$sql .= " AND " . $filter;
		return $sql;
	}

	// Delete
	function Delete(&$rs, $where = "") {
		global $conn;
		return $conn->Execute($this->DeleteSQL($rs, $where));
	}

	// Key filter WHERE clause
	function SqlKeyFilter() {
		return "`bu_id` = @bu_id@";
	}

	// Key filter
	function KeyFilter() {
		$sKeyFilter = $this->SqlKeyFilter();
		if (!is_numeric($this->bu_id->CurrentValue))
			$sKeyFilter = "0=1"; // Invalid key
		$sKeyFilter = str_replace("@bu_id@", ew_AdjustSql($this->bu_id->CurrentValue), $sKeyFilter); // Replace key value
		return $sKeyFilter;
	}

	// Return page URL
	function getReturnUrl() {
		$name = EW_PROJECT_NAME . "_" . $this->TableVar . "_" . EW_TABLE_RETURN_URL;

		// Get referer URL automatically
		if (ew_ServerVar("HTTP_REFERER") <> "" && ew_ReferPage() <> ew_CurrentPage() && ew_ReferPage() <> "login.php") // Referer not same page or login page
			$_SESSION[$name] = ew_ServerVar("HTTP_REFERER"); // Save to Session
		if (@$_SESSION[$name] <> "") {
			return $_SESSION[$name];
		} else {
			return "tb_builinglist.php";
		}
	}

	function setReturnUrl($v) {
		$_SESSION[EW_PROJECT_NAME . "_" . $this->TableVar . "_" . EW_TABLE_RETURN_URL] = $v;
	}

	// List URL
	function GetListUrl() {
		return "tb_builinglist.php";
	}

	// View URL
	function GetViewUrl() {
		return $this->KeyUrl("tb_builingview.php", $this->UrlParm());
	}

	// Add URL
	function GetAddUrl() {
		return "tb_builingadd.php";
	}

	// Edit URL
	function GetEditUrl($parm = "") {
		return $this->KeyUrl("tb_builingedit.php", $this->UrlParm($parm));
	}

	// Inline edit URL
	function GetInlineEditUrl() {
		return $this->KeyUrl(ew_CurrentPage(), $this->UrlParm("a=edit"));
	}

	// Copy URL
	function GetCopyUrl($parm = "") {
		return $this->KeyUrl("tb_builingadd.php", $this->UrlParm($parm));
	}

	// Inline copy URL
	function GetInlineCopyUrl() {
		return $this->KeyUrl(ew_CurrentPage(), $this->UrlParm("a=copy"));
	}

	// Delete URL
	function GetDeleteUrl() {
		return $this->KeyUrl("tb_builingdelete.php", $this->UrlParm());
	}

	// Add key value to URL
	function KeyUrl($url, $parm = "") {
		$sUrl = $url . "?";
		if ($parm <> "") $sUrl .= $parm . "&";
		if (!is_null($this->bu_id->CurrentValue)) {
			$sUrl .= "bu_id=" . urlencode($this->bu_id->CurrentValue);
		} else {
			return "javascript:alert(ewLanguage.Phrase('InvalidRecord'));";
		}
		return $sUrl;
	}

	// Sort URL
	function SortUrl(&$fld) {
		if ($this->CurrentAction <> "" || $this->Export <> "" ||
			in_array($fld->FldType, array(128, 204, 205))) { // Unsortable data type
				return "";
		} elseif ($fld->Sortable) {
			$sUrlParm = $this->UrlParm("order=" . urlencode($fld->FldName) . "&ordertype=" . $fld->ReverseSort());
			return ew_CurrentPage() . "?" . $sUrlParm;
		} else {
			return "";
		}
	}

	// Get record keys from $_POST/$_GET/$_SESSION
	function GetRecordKeys() {
		global $EW_COMPOSITE_KEY_SEPARATOR;
		$arKeys = array();
		$arKey = array();
		if (isset($_POST["key_m"])) {
			$arKeys = ew_StripSlashes($_POST["key_m"]);
			$cnt = count($arKeys);
		} elseif (isset($_GET["key_m"])) {
			$arKeys = ew_StripSlashes($_GET["key_m"]);
			$cnt = count($arKeys);
		} elseif (isset($_GET)) {
			$arKeys[] = @$_GET["bu_id"]; // bu_id

			//return $arKeys; // do not return yet, so the values will also be checked by the following code
		}

		// check keys
		$ar = array();
		foreach ($arKeys as $key) {
			if (!is_numeric($key))
				continue;
			$ar[] = $key;
		}
		return $ar;
	}

	// Get key filter
	function GetKeyFilter() {
		$arKeys = $this->GetRecordKeys();
		$sKeyFilter = "";
		foreach ($arKeys as $key) {
			if ($sKeyFilter <> "") $sKeyFilter .= " OR ";
			$this->bu_id->CurrentValue = $key;
			$sKeyFilter .= "(" . $this->KeyFilter() . ")";
		}
		return $sKeyFilter;
	}

	// Load rows based on filter
	function &LoadRs($sFilter) {
		global $conn;

		// Set up filter (SQL WHERE clause) and get return SQL
		//$this->CurrentFilter = $sFilter;
		//$sSql = $this->SQL();

		$sSql = $this->GetSQL($sFilter, "");
		$rs = $conn->Execute($sSql);
		return $rs;
	}

	// Load row values from recordset
	function LoadListRowValues(&$rs) {
		$this->bu_id->setDbValue($rs->fields('bu_id'));
		$this->court_id->setDbValue($rs->fields('court_id'));
		$this->bu_share->setDbValue($rs->fields('bu_share'));
		$this->bu_num_floor->setDbValue($rs->fields('bu_num_floor'));
		$this->bu_width->setDbValue($rs->fields('bu_width'));
		$this->bu_depth->setDbValue($rs->fields('bu_depth'));
		$this->bu_cur_lan->setDbValue($rs->fields('bu_cur_lan'));
		$this->bu_req_lan->setDbValue($rs->fields('bu_req_lan'));
	}

	// Render list row values
	function RenderListRow() {
		global $conn, $Security;

		// Call Row Rendering event
		$this->Row_Rendering();

   // Common render codes
		// bu_id
		// court_id
		// bu_share
		// bu_num_floor
		// bu_width
		// bu_depth
		// bu_cur_lan
		// bu_req_lan
		// bu_id

		$this->bu_id->ViewValue = $this->bu_id->CurrentValue;
		$this->bu_id->ViewCustomAttributes = "";

		// court_id
		$this->court_id->ViewValue = $this->court_id->CurrentValue;
		$this->court_id->ViewCustomAttributes = "";

		// bu_share
		$this->bu_share->ViewValue = $this->bu_share->CurrentValue;
		$this->bu_share->ViewCustomAttributes = "";

		// bu_num_floor
		$this->bu_num_floor->ViewValue = $this->bu_num_floor->CurrentValue;
		$this->bu_num_floor->ViewCustomAttributes = "";

		// bu_width
		$this->bu_width->ViewValue = $this->bu_width->CurrentValue;
		$this->bu_width->ViewCustomAttributes = "";

		// bu_depth
		$this->bu_depth->ViewValue = $this->bu_depth->CurrentValue;
		$this->bu_depth->ViewCustomAttributes = "";

		// bu_cur_lan
		$this->bu_cur_lan->ViewValue = $this->bu_cur_lan->CurrentValue;
		$this->bu_cur_lan->ViewCustomAttributes = "";

		// bu_req_lan
		$this->bu_req_lan->ViewValue = $this->bu_req_lan->CurrentValue;
		$this->bu_req_lan->ViewCustomAttributes = "";

		// bu_id
		$this->bu_id->LinkCustomAttributes = "";
		$this->bu_id->HrefValue = "";
		$this->bu_id->TooltipValue = "";

		// court_id
		$this->court_id->LinkCustomAttributes = "";
		$this->court_id->HrefValue = "";
		$this->court_id->TooltipValue = "";

		// bu_share
		$this->bu_share->LinkCustomAttributes = "";
		$this->bu_share->HrefValue = "";
		$this->bu_share->TooltipValue = "";

		// bu_num_floor
		$this->bu_num_floor->LinkCustomAttributes = "";
		$this->bu_num_floor->HrefValue = "";
		$this->bu_num_floor->TooltipValue = "";

		// bu_width
		$this->bu_width->LinkCustomAttributes = "";
		$this->bu_width->HrefValue = "";
		$this->bu_width->TooltipValue = "";

		// bu_depth
		$this->bu_depth->LinkCustomAttributes = "";
		$this->bu_depth->HrefValue = "";
		$this->bu_depth->TooltipValue = "";

		// bu_cur_lan
		$this->bu_cur_lan->LinkCustomAttributes = "";
		$this->bu_cur_lan->HrefValue = "";
		$this->bu_cur_lan->TooltipValue = "";

		// bu_req_lan
		$this->bu_req_lan->LinkCustomAttributes = "";
		$this->bu_req_lan->HrefValue = "";
		$this->bu_req_lan->TooltipValue = "";

		// Call Row Rendered event
		$this->Row_Rendered();
	}

	// Aggregate list row values
	function AggregateListRowValues() {
	}

	// Aggregate list row (for rendering)
	function AggregateListRow() {
	}

	// Export data in HTML/CSV/Word/Excel/Email/PDF format
	function ExportDocument(&$Doc, &$Recordset, $StartRec, $StopRec, $ExportPageType = "") {
		if (!$Recordset || !$Doc)
			return;

		// Write header
		$Doc->ExportTableHeader();
		if ($Doc->Horizontal) { // Horizontal format, write header
			$Doc->BeginExportRow();
			if ($ExportPageType == "view") {
				$Doc->ExportCaption($this->bu_id);
				$Doc->ExportCaption($this->court_id);
				$Doc->ExportCaption($this->bu_share);
				$Doc->ExportCaption($this->bu_num_floor);
				$Doc->ExportCaption($this->bu_width);
				$Doc->ExportCaption($this->bu_depth);
				$Doc->ExportCaption($this->bu_cur_lan);
				$Doc->ExportCaption($this->bu_req_lan);
			} else {
				$Doc->ExportCaption($this->bu_id);
				$Doc->ExportCaption($this->court_id);
				$Doc->ExportCaption($this->bu_share);
				$Doc->ExportCaption($this->bu_num_floor);
				$Doc->ExportCaption($this->bu_width);
				$Doc->ExportCaption($this->bu_depth);
				$Doc->ExportCaption($this->bu_cur_lan);
				$Doc->ExportCaption($this->bu_req_lan);
			}
			$Doc->EndExportRow();
		}

		// Move to first record
		$RecCnt = $StartRec - 1;
		if (!$Recordset->EOF) {
			$Recordset->MoveFirst();
			if ($StartRec > 1)
				$Recordset->Move($StartRec - 1);
		}
		while (!$Recordset->EOF && $RecCnt < $StopRec) {
			$RecCnt++;
			if (intval($RecCnt) >= intval($StartRec)) {
				$RowCnt = intval($RecCnt) - intval($StartRec) + 1;

				// Page break
				if ($this->ExportPageBreakCount > 0) {
					if ($RowCnt > 1 && ($RowCnt - 1) % $this->ExportPageBreakCount == 0)
						$Doc->ExportPageBreak();
				}
				$this->LoadListRowValues($Recordset);

				// Render row
				$this->RowType = EW_ROWTYPE_VIEW; // Render view
				$this->ResetAttrs();
				$this->RenderListRow();
				$Doc->BeginExportRow($RowCnt); // Allow CSS styles if enabled
				if ($ExportPageType == "view") {
					$Doc->ExportField($this->bu_id);
					$Doc->ExportField($this->court_id);
					$Doc->ExportField($this->bu_share);
					$Doc->ExportField($this->bu_num_floor);
					$Doc->ExportField($this->bu_width);
					$Doc->ExportField($this->bu_depth);
					$Doc->ExportField($this->bu_cur_lan);
					$Doc->ExportField($this->bu_req_lan);
				} else {
					$Doc->ExportField($this->bu_id);
					$Doc->ExportField($this->court_id);
					$Doc->ExportField($this->bu_share);
					$Doc->ExportField($this->bu_num_floor);
					$Doc->ExportField($this->bu_width);
					$Doc->ExportField($this->bu_depth);
					$Doc->ExportField($this->bu_cur_lan);
					$Doc->ExportField($this->bu_req_lan);
				}
				$Doc->EndExportRow();
			}
			$Recordset->MoveNext();
		}
		$Doc->ExportTableFooter();
	}

	// Table level events
	// Recordset Selecting event
	function Recordset_Selecting(&$filter) {

		// Enter your code here	
	}

	// Recordset Selected event
	function Recordset_Selected(&$rs) {

		//echo "Recordset Selected";
	}

	// Recordset Search Validated event
	function Recordset_SearchValidated() {

		// Example:
		//$this->MyField1->AdvancedSearch->SearchValue = "your search criteria"; // Search value

	}

	// Recordset Searching event
	function Recordset_Searching(&$filter) {

		// Enter your code here	
	}

	// Row_Selecting event
	function Row_Selecting(&$filter) {

		// Enter your code here	
	}

	// Row Selected event
	function Row_Selected(&$rs) {

		//echo "Row Selected";
	}

	// Row Inserting event
	function Row_Inserting($rsold, &$rsnew) {

		// Enter your code here
		// To cancel, set return value to FALSE

		return TRUE;
	}

	// Row Inserted event
	function Row_Inserted($rsold, &$rsnew) {

		//echo "Row Inserted"
	}

	// Row Updating event
	function Row_Updating($rsold, &$rsnew) {

		// Enter your code here
		// To cancel, set return value to FALSE

		return TRUE;
	}

	// Row Updated event
	function Row_Updated($rsold, &$rsnew) {

		//echo "Row Updated";
	}

	// Row Update Conflict event
	function Row_UpdateConflict($rsold, &$rsnew) {

		// Enter your code here
		// To ignore conflict, set return value to FALSE

		return TRUE;
	}

	// Row Deleting event
	function Row_Deleting(&$rs) {

		// Enter your code here
		// To cancel, set return value to False

		return TRUE;
	}

	// Row Deleted event
	function Row_Deleted(&$rs) {

		//echo "Row Deleted";
	}

	// Email Sending event
	function Email_Sending(&$Email, &$Args) {

		//var_dump($Email); var_dump($Args); exit();
		return TRUE;
	}

	// Row Rendering event
	function Row_Rendering() {

		// Enter your code here	
	}

	// Row Rendered event
	function Row_Rendered() {

		// To view properties of field class, use:
		//var_dump($this-><FieldName>); 

	}

	// User ID Filtering event
	function UserID_Filtering(&$filter) {

		// Enter your code here
	}
}
?>
