<?php

// Global variable for table object
$tb_computers = NULL;

//
// Table class for tb_computers
//
class ctb_computers extends cTable {
	var $comp_id;
	var $court_id;
	var $cont_id;
	var $plt_id;
	var $comp_num;
	var $comp_sn;
	var $comp_brand;
	var $mdt_id;
	var $comp_hdd;
	var $comp_speed;
	var $comp_ram;
	var $comp_work;
	var $comp_connect;
	var $comp_os;
	var $comp_screen;
	var $comp_year;
	var $comp_date_recieve;
	var $comp_contract_start;
	var $comp_warranty;
	var $comp_price;
	var $comp_origin;
	var $comp_present;
	var $comp_comment;

	//
	// Table class constructor
	//
	function __construct() {
		global $Language;

		// Language object
		if (!isset($Language)) $Language = new cLanguage();
		$this->TableVar = 'tb_computers';
		$this->TableName = 'tb_computers';
		$this->TableType = 'TABLE';
		$this->ExportAll = TRUE;
		$this->ExportPageBreakCount = 0; // Page break per every n record (PDF only)
		$this->ExportPageOrientation = "portrait"; // Page orientation (PDF only)
		$this->ExportPageSize = "a4"; // Page size (PDF only)
		$this->DetailAdd = FALSE; // Allow detail add
		$this->DetailEdit = FALSE; // Allow detail edit
		$this->GridAddRowCount = 5;
		$this->AllowAddDeleteRow = ew_AllowAddDeleteRow(); // Allow add/delete row

		// comp_id
		$this->comp_id = new cField('tb_computers', 'tb_computers', 'x_comp_id', 'comp_id', '`comp_id`', '`comp_id`', 200, -1, FALSE, '`comp_id`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['comp_id'] = &$this->comp_id;

		// court_id
		$this->court_id = new cField('tb_computers', 'tb_computers', 'x_court_id', 'court_id', '`court_id`', '`court_id`', 200, -1, FALSE, '`court_id`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['court_id'] = &$this->court_id;

		// cont_id
		$this->cont_id = new cField('tb_computers', 'tb_computers', 'x_cont_id', 'cont_id', '`cont_id`', '`cont_id`', 3, -1, FALSE, '`cont_id`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->cont_id->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['cont_id'] = &$this->cont_id;

		// plt_id
		$this->plt_id = new cField('tb_computers', 'tb_computers', 'x_plt_id', 'plt_id', '`plt_id`', '`plt_id`', 200, -1, FALSE, '`plt_id`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['plt_id'] = &$this->plt_id;

		// comp_num
		$this->comp_num = new cField('tb_computers', 'tb_computers', 'x_comp_num', 'comp_num', '`comp_num`', '`comp_num`', 200, -1, FALSE, '`comp_num`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['comp_num'] = &$this->comp_num;

		// comp_sn
		$this->comp_sn = new cField('tb_computers', 'tb_computers', 'x_comp_sn', 'comp_sn', '`comp_sn`', '`comp_sn`', 200, -1, FALSE, '`comp_sn`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['comp_sn'] = &$this->comp_sn;

		// comp_brand
		$this->comp_brand = new cField('tb_computers', 'tb_computers', 'x_comp_brand', 'comp_brand', '`comp_brand`', '`comp_brand`', 200, -1, FALSE, '`comp_brand`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['comp_brand'] = &$this->comp_brand;

		// mdt_id
		$this->mdt_id = new cField('tb_computers', 'tb_computers', 'x_mdt_id', 'mdt_id', '`mdt_id`', '`mdt_id`', 200, -1, FALSE, '`mdt_id`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['mdt_id'] = &$this->mdt_id;

		// comp_hdd
		$this->comp_hdd = new cField('tb_computers', 'tb_computers', 'x_comp_hdd', 'comp_hdd', '`comp_hdd`', '`comp_hdd`', 200, -1, FALSE, '`comp_hdd`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['comp_hdd'] = &$this->comp_hdd;

		// comp_speed
		$this->comp_speed = new cField('tb_computers', 'tb_computers', 'x_comp_speed', 'comp_speed', '`comp_speed`', '`comp_speed`', 200, -1, FALSE, '`comp_speed`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['comp_speed'] = &$this->comp_speed;

		// comp_ram
		$this->comp_ram = new cField('tb_computers', 'tb_computers', 'x_comp_ram', 'comp_ram', '`comp_ram`', '`comp_ram`', 200, -1, FALSE, '`comp_ram`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['comp_ram'] = &$this->comp_ram;

		// comp_work
		$this->comp_work = new cField('tb_computers', 'tb_computers', 'x_comp_work', 'comp_work', '`comp_work`', '`comp_work`', 200, -1, FALSE, '`comp_work`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['comp_work'] = &$this->comp_work;

		// comp_connect
		$this->comp_connect = new cField('tb_computers', 'tb_computers', 'x_comp_connect', 'comp_connect', '`comp_connect`', '`comp_connect`', 3, -1, FALSE, '`comp_connect`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->comp_connect->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['comp_connect'] = &$this->comp_connect;

		// comp_os
		$this->comp_os = new cField('tb_computers', 'tb_computers', 'x_comp_os', 'comp_os', '`comp_os`', '`comp_os`', 200, -1, FALSE, '`comp_os`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['comp_os'] = &$this->comp_os;

		// comp_screen
		$this->comp_screen = new cField('tb_computers', 'tb_computers', 'x_comp_screen', 'comp_screen', '`comp_screen`', '`comp_screen`', 200, -1, FALSE, '`comp_screen`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['comp_screen'] = &$this->comp_screen;

		// comp_year
		$this->comp_year = new cField('tb_computers', 'tb_computers', 'x_comp_year', 'comp_year', '`comp_year`', '`comp_year`', 200, -1, FALSE, '`comp_year`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['comp_year'] = &$this->comp_year;

		// comp_date_recieve
		$this->comp_date_recieve = new cField('tb_computers', 'tb_computers', 'x_comp_date_recieve', 'comp_date_recieve', '`comp_date_recieve`', 'DATE_FORMAT(`comp_date_recieve`, \'%Y/%m/%d %H:%i:%s\')', 133, 5, FALSE, '`comp_date_recieve`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->comp_date_recieve->FldDefaultErrMsg = str_replace("%s", "/", $Language->Phrase("IncorrectDateYMD"));
		$this->fields['comp_date_recieve'] = &$this->comp_date_recieve;

		// comp_contract_start
		$this->comp_contract_start = new cField('tb_computers', 'tb_computers', 'x_comp_contract_start', 'comp_contract_start', '`comp_contract_start`', 'DATE_FORMAT(`comp_contract_start`, \'%Y/%m/%d %H:%i:%s\')', 133, 5, FALSE, '`comp_contract_start`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->comp_contract_start->FldDefaultErrMsg = str_replace("%s", "/", $Language->Phrase("IncorrectDateYMD"));
		$this->fields['comp_contract_start'] = &$this->comp_contract_start;

		// comp_warranty
		$this->comp_warranty = new cField('tb_computers', 'tb_computers', 'x_comp_warranty', 'comp_warranty', '`comp_warranty`', '`comp_warranty`', 131, -1, FALSE, '`comp_warranty`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->comp_warranty->FldDefaultErrMsg = $Language->Phrase("IncorrectFloat");
		$this->fields['comp_warranty'] = &$this->comp_warranty;

		// comp_price
		$this->comp_price = new cField('tb_computers', 'tb_computers', 'x_comp_price', 'comp_price', '`comp_price`', '`comp_price`', 131, -1, FALSE, '`comp_price`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->comp_price->FldDefaultErrMsg = $Language->Phrase("IncorrectFloat");
		$this->fields['comp_price'] = &$this->comp_price;

		// comp_origin
		$this->comp_origin = new cField('tb_computers', 'tb_computers', 'x_comp_origin', 'comp_origin', '`comp_origin`', '`comp_origin`', 3, -1, FALSE, '`comp_origin`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->comp_origin->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['comp_origin'] = &$this->comp_origin;

		// comp_present
		$this->comp_present = new cField('tb_computers', 'tb_computers', 'x_comp_present', 'comp_present', '`comp_present`', '`comp_present`', 3, -1, FALSE, '`comp_present`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->comp_present->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['comp_present'] = &$this->comp_present;

		// comp_comment
		$this->comp_comment = new cField('tb_computers', 'tb_computers', 'x_comp_comment', 'comp_comment', '`comp_comment`', '`comp_comment`', 200, -1, FALSE, '`comp_comment`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['comp_comment'] = &$this->comp_comment;
	}

	// Single column sort
	function UpdateSort(&$ofld) {
		if ($this->CurrentOrder == $ofld->FldName) {
			$sSortField = $ofld->FldExpression;
			$sLastSort = $ofld->getSort();
			if ($this->CurrentOrderType == "ASC" || $this->CurrentOrderType == "DESC") {
				$sThisSort = $this->CurrentOrderType;
			} else {
				$sThisSort = ($sLastSort == "ASC") ? "DESC" : "ASC";
			}
			$ofld->setSort($sThisSort);
			$this->setSessionOrderBy($sSortField . " " . $sThisSort); // Save to Session
		} else {
			$ofld->setSort("");
		}
	}

	// Table level SQL
	function SqlFrom() { // From
		return "`tb_computers`";
	}

	function SqlSelect() { // Select
		return "SELECT * FROM " . $this->SqlFrom();
	}

	function SqlWhere() { // Where
		$sWhere = "";
		$this->TableFilter = "";
		ew_AddFilter($sWhere, $this->TableFilter);
		return $sWhere;
	}

	function SqlGroupBy() { // Group By
		return "";
	}

	function SqlHaving() { // Having
		return "";
	}

	function SqlOrderBy() { // Order By
		return "";
	}

	// Check if Anonymous User is allowed
	function AllowAnonymousUser() {
		switch (@$this->PageID) {
			case "add":
			case "register":
			case "addopt":
				return FALSE;
			case "edit":
			case "update":
			case "changepwd":
			case "forgotpwd":
				return FALSE;
			case "delete":
				return FALSE;
			case "view":
				return FALSE;
			case "search":
				return FALSE;
			default:
				return FALSE;
		}
	}

	// Apply User ID filters
	function ApplyUserIDFilters($sFilter) {
		return $sFilter;
	}

	// Check if User ID security allows view all
	function UserIDAllow($id = "") {
		return TRUE;
	}

	// Get SQL
	function GetSQL($where, $orderby) {
		return ew_BuildSelectSql($this->SqlSelect(), $this->SqlWhere(),
			$this->SqlGroupBy(), $this->SqlHaving(), $this->SqlOrderBy(),
			$where, $orderby);
	}

	// Table SQL
	function SQL() {
		$sFilter = $this->CurrentFilter;
		$sFilter = $this->ApplyUserIDFilters($sFilter);
		$sSort = $this->getSessionOrderBy();
		return ew_BuildSelectSql($this->SqlSelect(), $this->SqlWhere(),
			$this->SqlGroupBy(), $this->SqlHaving(), $this->SqlOrderBy(),
			$sFilter, $sSort);
	}

	// Table SQL with List page filter
	function SelectSQL() {
		$sFilter = $this->getSessionWhere();
		ew_AddFilter($sFilter, $this->CurrentFilter);
		$sFilter = $this->ApplyUserIDFilters($sFilter);
		$sSort = $this->getSessionOrderBy();
		return ew_BuildSelectSql($this->SqlSelect(), $this->SqlWhere(), $this->SqlGroupBy(),
			$this->SqlHaving(), $this->SqlOrderBy(), $sFilter, $sSort);
	}

	// Get ORDER BY clause
	function GetOrderBy() {
		$sSort = $this->getSessionOrderBy();
		return ew_BuildSelectSql("", "", "", "", $this->SqlOrderBy(), "", $sSort);
	}

	// Try to get record count
	function TryGetRecordCount($sSql) {
		global $conn;
		$cnt = -1;
		if ($this->TableType == 'TABLE' || $this->TableType == 'VIEW') {
			$sSql = "SELECT COUNT(*) FROM" . substr($sSql, 13);
			$sOrderBy = $this->GetOrderBy();
			if (substr($sSql, strlen($sOrderBy) * -1) == $sOrderBy)
				$sSql = substr($sSql, 0, strlen($sSql) - strlen($sOrderBy)); // Remove ORDER BY clause
		} else {
			$sSql = "SELECT COUNT(*) FROM (" . $sSql . ") EW_COUNT_TABLE";
		}
		if ($rs = $conn->Execute($sSql)) {
			if (!$rs->EOF && $rs->FieldCount() > 0) {
				$cnt = $rs->fields[0];
				$rs->Close();
			}
		}
		return intval($cnt);
	}

	// Get record count based on filter (for detail record count in master table pages)
	function LoadRecordCount($sFilter) {
		$origFilter = $this->CurrentFilter;
		$this->CurrentFilter = $sFilter;
		$this->Recordset_Selecting($this->CurrentFilter);

		//$sSql = $this->SQL();
		$sSql = $this->GetSQL($this->CurrentFilter, "");
		$cnt = $this->TryGetRecordCount($sSql);
		if ($cnt == -1) {
			if ($rs = $this->LoadRs($this->CurrentFilter)) {
				$cnt = $rs->RecordCount();
				$rs->Close();
			}
		}
		$this->CurrentFilter = $origFilter;
		return intval($cnt);
	}

	// Get record count (for current List page)
	function SelectRecordCount() {
		global $conn;
		$origFilter = $this->CurrentFilter;
		$this->Recordset_Selecting($this->CurrentFilter);
		$sSql = $this->SelectSQL();
		$cnt = $this->TryGetRecordCount($sSql);
		if ($cnt == -1) {
			if ($rs = $conn->Execute($sSql)) {
				$cnt = $rs->RecordCount();
				$rs->Close();
			}
		}
		$this->CurrentFilter = $origFilter;
		return intval($cnt);
	}

	// Update Table
	var $UpdateTable = "`tb_computers`";

	// INSERT statement
	function InsertSQL(&$rs) {
		global $conn;
		$names = "";
		$values = "";
		foreach ($rs as $name => $value) {
			if (!isset($this->fields[$name]))
				continue;
			$names .= $this->fields[$name]->FldExpression . ",";
			$values .= ew_QuotedValue($value, $this->fields[$name]->FldDataType) . ",";
		}
		while (substr($names, -1) == ",")
			$names = substr($names, 0, -1);
		while (substr($values, -1) == ",")
			$values = substr($values, 0, -1);
		return "INSERT INTO " . $this->UpdateTable . " ($names) VALUES ($values)";
	}

	// Insert
	function Insert(&$rs) {
		global $conn;
		return $conn->Execute($this->InsertSQL($rs));
	}

	// UPDATE statement
	function UpdateSQL(&$rs, $where = "") {
		$sql = "UPDATE " . $this->UpdateTable . " SET ";
		foreach ($rs as $name => $value) {
			if (!isset($this->fields[$name]))
				continue;
			$sql .= $this->fields[$name]->FldExpression . "=";
			$sql .= ew_QuotedValue($value, $this->fields[$name]->FldDataType) . ",";
		}
		while (substr($sql, -1) == ",")
			$sql = substr($sql, 0, -1);
		$filter = $this->CurrentFilter;
		ew_AddFilter($filter, $where);
		if ($filter <> "")	$sql .= " WHERE " . $filter;
		return $sql;
	}

	// Update
	function Update(&$rs, $where = "") {
		global $conn;
		return $conn->Execute($this->UpdateSQL($rs, $where));
	}

	// DELETE statement
	function DeleteSQL(&$rs, $where = "") {
		$sql = "DELETE FROM " . $this->UpdateTable . " WHERE ";
		if ($rs) {
			$sql .= ew_QuotedName('comp_id') . '=' . ew_QuotedValue($rs['comp_id'], $this->comp_id->FldDataType) . ' AND ';
		}
		if (substr($sql, -5) == " AND ") $sql = substr($sql, 0, -5);
		$filter = $this->CurrentFilter;
		ew_AddFilter($filter, $where);
		if ($filter <> "")	$sql .= " AND " . $filter;
		return $sql;
	}

	// Delete
	function Delete(&$rs, $where = "") {
		global $conn;
		return $conn->Execute($this->DeleteSQL($rs, $where));
	}

	// Key filter WHERE clause
	function SqlKeyFilter() {
		return "`comp_id` = '@comp_id@'";
	}

	// Key filter
	function KeyFilter() {
		$sKeyFilter = $this->SqlKeyFilter();
		$sKeyFilter = str_replace("@comp_id@", ew_AdjustSql($this->comp_id->CurrentValue), $sKeyFilter); // Replace key value
		return $sKeyFilter;
	}

	// Return page URL
	function getReturnUrl() {
		$name = EW_PROJECT_NAME . "_" . $this->TableVar . "_" . EW_TABLE_RETURN_URL;

		// Get referer URL automatically
		if (ew_ServerVar("HTTP_REFERER") <> "" && ew_ReferPage() <> ew_CurrentPage() && ew_ReferPage() <> "login.php") // Referer not same page or login page
			$_SESSION[$name] = ew_ServerVar("HTTP_REFERER"); // Save to Session
		if (@$_SESSION[$name] <> "") {
			return $_SESSION[$name];
		} else {
			return "tb_computerslist.php";
		}
	}

	function setReturnUrl($v) {
		$_SESSION[EW_PROJECT_NAME . "_" . $this->TableVar . "_" . EW_TABLE_RETURN_URL] = $v;
	}

	// List URL
	function GetListUrl() {
		return "tb_computerslist.php";
	}

	// View URL
	function GetViewUrl() {
		return $this->KeyUrl("tb_computersview.php", $this->UrlParm());
	}

	// Add URL
	function GetAddUrl() {
		return "tb_computersadd.php";
	}

	// Edit URL
	function GetEditUrl($parm = "") {
		return $this->KeyUrl("tb_computersedit.php", $this->UrlParm($parm));
	}

	// Inline edit URL
	function GetInlineEditUrl() {
		return $this->KeyUrl(ew_CurrentPage(), $this->UrlParm("a=edit"));
	}

	// Copy URL
	function GetCopyUrl($parm = "") {
		return $this->KeyUrl("tb_computersadd.php", $this->UrlParm($parm));
	}

	// Inline copy URL
	function GetInlineCopyUrl() {
		return $this->KeyUrl(ew_CurrentPage(), $this->UrlParm("a=copy"));
	}

	// Delete URL
	function GetDeleteUrl() {
		return $this->KeyUrl("tb_computersdelete.php", $this->UrlParm());
	}

	// Add key value to URL
	function KeyUrl($url, $parm = "") {
		$sUrl = $url . "?";
		if ($parm <> "") $sUrl .= $parm . "&";
		if (!is_null($this->comp_id->CurrentValue)) {
			$sUrl .= "comp_id=" . urlencode($this->comp_id->CurrentValue);
		} else {
			return "javascript:alert(ewLanguage.Phrase('InvalidRecord'));";
		}
		return $sUrl;
	}

	// Sort URL
	function SortUrl(&$fld) {
		if ($this->CurrentAction <> "" || $this->Export <> "" ||
			in_array($fld->FldType, array(128, 204, 205))) { // Unsortable data type
				return "";
		} elseif ($fld->Sortable) {
			$sUrlParm = $this->UrlParm("order=" . urlencode($fld->FldName) . "&ordertype=" . $fld->ReverseSort());
			return ew_CurrentPage() . "?" . $sUrlParm;
		} else {
			return "";
		}
	}

	// Get record keys from $_POST/$_GET/$_SESSION
	function GetRecordKeys() {
		global $EW_COMPOSITE_KEY_SEPARATOR;
		$arKeys = array();
		$arKey = array();
		if (isset($_POST["key_m"])) {
			$arKeys = ew_StripSlashes($_POST["key_m"]);
			$cnt = count($arKeys);
		} elseif (isset($_GET["key_m"])) {
			$arKeys = ew_StripSlashes($_GET["key_m"]);
			$cnt = count($arKeys);
		} elseif (isset($_GET)) {
			$arKeys[] = @$_GET["comp_id"]; // comp_id

			//return $arKeys; // do not return yet, so the values will also be checked by the following code
		}

		// check keys
		$ar = array();
		foreach ($arKeys as $key) {
			$ar[] = $key;
		}
		return $ar;
	}

	// Get key filter
	function GetKeyFilter() {
		$arKeys = $this->GetRecordKeys();
		$sKeyFilter = "";
		foreach ($arKeys as $key) {
			if ($sKeyFilter <> "") $sKeyFilter .= " OR ";
			$this->comp_id->CurrentValue = $key;
			$sKeyFilter .= "(" . $this->KeyFilter() . ")";
		}
		return $sKeyFilter;
	}

	// Load rows based on filter
	function &LoadRs($sFilter) {
		global $conn;

		// Set up filter (SQL WHERE clause) and get return SQL
		//$this->CurrentFilter = $sFilter;
		//$sSql = $this->SQL();

		$sSql = $this->GetSQL($sFilter, "");
		$rs = $conn->Execute($sSql);
		return $rs;
	}

	// Load row values from recordset
	function LoadListRowValues(&$rs) {
		$this->comp_id->setDbValue($rs->fields('comp_id'));
		$this->court_id->setDbValue($rs->fields('court_id'));
		$this->cont_id->setDbValue($rs->fields('cont_id'));
		$this->plt_id->setDbValue($rs->fields('plt_id'));
		$this->comp_num->setDbValue($rs->fields('comp_num'));
		$this->comp_sn->setDbValue($rs->fields('comp_sn'));
		$this->comp_brand->setDbValue($rs->fields('comp_brand'));
		$this->mdt_id->setDbValue($rs->fields('mdt_id'));
		$this->comp_hdd->setDbValue($rs->fields('comp_hdd'));
		$this->comp_speed->setDbValue($rs->fields('comp_speed'));
		$this->comp_ram->setDbValue($rs->fields('comp_ram'));
		$this->comp_work->setDbValue($rs->fields('comp_work'));
		$this->comp_connect->setDbValue($rs->fields('comp_connect'));
		$this->comp_os->setDbValue($rs->fields('comp_os'));
		$this->comp_screen->setDbValue($rs->fields('comp_screen'));
		$this->comp_year->setDbValue($rs->fields('comp_year'));
		$this->comp_date_recieve->setDbValue($rs->fields('comp_date_recieve'));
		$this->comp_contract_start->setDbValue($rs->fields('comp_contract_start'));
		$this->comp_warranty->setDbValue($rs->fields('comp_warranty'));
		$this->comp_price->setDbValue($rs->fields('comp_price'));
		$this->comp_origin->setDbValue($rs->fields('comp_origin'));
		$this->comp_present->setDbValue($rs->fields('comp_present'));
		$this->comp_comment->setDbValue($rs->fields('comp_comment'));
	}

	// Render list row values
	function RenderListRow() {
		global $conn, $Security;

		// Call Row Rendering event
		$this->Row_Rendering();

   // Common render codes
		// comp_id
		// court_id
		// cont_id
		// plt_id
		// comp_num
		// comp_sn
		// comp_brand
		// mdt_id
		// comp_hdd
		// comp_speed
		// comp_ram
		// comp_work
		// comp_connect
		// comp_os
		// comp_screen
		// comp_year
		// comp_date_recieve
		// comp_contract_start
		// comp_warranty
		// comp_price
		// comp_origin
		// comp_present
		// comp_comment
		// comp_id

		$this->comp_id->ViewValue = $this->comp_id->CurrentValue;
		$this->comp_id->ViewCustomAttributes = "";

		// court_id
		$this->court_id->ViewValue = $this->court_id->CurrentValue;
		$this->court_id->ViewCustomAttributes = "";

		// cont_id
		if (strval($this->cont_id->CurrentValue) <> "") {
			$sFilterWrk = "`cont_id`" . ew_SearchString("=", $this->cont_id->CurrentValue, EW_DATATYPE_NUMBER);
		$sSqlWrk = "SELECT `cont_id`, `cont_num` AS `DispFld`, `cont_project` AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_contracts`";
		$sWhereWrk = "";
		if ($sFilterWrk <> "") {
			ew_AddFilter($sWhereWrk, $sFilterWrk);
		}
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = $conn->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$this->cont_id->ViewValue = $rswrk->fields('DispFld');
				$this->cont_id->ViewValue .= ew_ValueSeparator(1,$this->cont_id) . $rswrk->fields('Disp2Fld');
				$rswrk->Close();
			} else {
				$this->cont_id->ViewValue = $this->cont_id->CurrentValue;
			}
		} else {
			$this->cont_id->ViewValue = NULL;
		}
		$this->cont_id->ViewCustomAttributes = "";

		// plt_id
		if (strval($this->plt_id->CurrentValue) <> "") {
			$sFilterWrk = "`plt_id`" . ew_SearchString("=", $this->plt_id->CurrentValue, EW_DATATYPE_STRING);
		$sSqlWrk = "SELECT `plt_id`, `plt_name` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_place_types`";
		$sWhereWrk = "";
		if ($sFilterWrk <> "") {
			ew_AddFilter($sWhereWrk, $sFilterWrk);
		}
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = $conn->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$this->plt_id->ViewValue = $rswrk->fields('DispFld');
				$rswrk->Close();
			} else {
				$this->plt_id->ViewValue = $this->plt_id->CurrentValue;
			}
		} else {
			$this->plt_id->ViewValue = NULL;
		}
		$this->plt_id->ViewCustomAttributes = "";

		// comp_num
		$this->comp_num->ViewValue = $this->comp_num->CurrentValue;
		$this->comp_num->ViewCustomAttributes = "";

		// comp_sn
		$this->comp_sn->ViewValue = $this->comp_sn->CurrentValue;
		$this->comp_sn->ViewCustomAttributes = "";

		// comp_brand
		$this->comp_brand->ViewValue = $this->comp_brand->CurrentValue;
		$this->comp_brand->ViewCustomAttributes = "";

		// mdt_id
		if (strval($this->mdt_id->CurrentValue) <> "") {
			$sFilterWrk = "`mdt_id`" . ew_SearchString("=", $this->mdt_id->CurrentValue, EW_DATATYPE_STRING);
		$sSqlWrk = "SELECT `mdt_id`, `mdt_name` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_model_types`";
		$sWhereWrk = "";
		if ($sFilterWrk <> "") {
			ew_AddFilter($sWhereWrk, $sFilterWrk);
		}
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = $conn->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$this->mdt_id->ViewValue = $rswrk->fields('DispFld');
				$rswrk->Close();
			} else {
				$this->mdt_id->ViewValue = $this->mdt_id->CurrentValue;
			}
		} else {
			$this->mdt_id->ViewValue = NULL;
		}
		$this->mdt_id->ViewCustomAttributes = "";

		// comp_hdd
		$this->comp_hdd->ViewValue = $this->comp_hdd->CurrentValue;
		$this->comp_hdd->ViewCustomAttributes = "";

		// comp_speed
		$this->comp_speed->ViewValue = $this->comp_speed->CurrentValue;
		$this->comp_speed->ViewCustomAttributes = "";

		// comp_ram
		$this->comp_ram->ViewValue = $this->comp_ram->CurrentValue;
		$this->comp_ram->ViewCustomAttributes = "";

		// comp_work
		$this->comp_work->ViewValue = $this->comp_work->CurrentValue;
		$this->comp_work->ViewCustomAttributes = "";

		// comp_connect
		if (strval($this->comp_connect->CurrentValue) <> "") {
			switch ($this->comp_connect->CurrentValue) {
				case $this->comp_connect->FldTagValue(1):
					$this->comp_connect->ViewValue = $this->comp_connect->FldTagCaption(1) <> "" ? $this->comp_connect->FldTagCaption(1) : $this->comp_connect->CurrentValue;
					break;
				case $this->comp_connect->FldTagValue(2):
					$this->comp_connect->ViewValue = $this->comp_connect->FldTagCaption(2) <> "" ? $this->comp_connect->FldTagCaption(2) : $this->comp_connect->CurrentValue;
					break;
				case $this->comp_connect->FldTagValue(3):
					$this->comp_connect->ViewValue = $this->comp_connect->FldTagCaption(3) <> "" ? $this->comp_connect->FldTagCaption(3) : $this->comp_connect->CurrentValue;
					break;
				default:
					$this->comp_connect->ViewValue = $this->comp_connect->CurrentValue;
			}
		} else {
			$this->comp_connect->ViewValue = NULL;
		}
		$this->comp_connect->ViewCustomAttributes = "";

		// comp_os
		$this->comp_os->ViewValue = $this->comp_os->CurrentValue;
		$this->comp_os->ViewCustomAttributes = "";

		// comp_screen
		$this->comp_screen->ViewValue = $this->comp_screen->CurrentValue;
		$this->comp_screen->ViewCustomAttributes = "";

		// comp_year
		$this->comp_year->ViewValue = $this->comp_year->CurrentValue;
		$this->comp_year->ViewCustomAttributes = "";

		// comp_date_recieve
		$this->comp_date_recieve->ViewValue = $this->comp_date_recieve->CurrentValue;
		$this->comp_date_recieve->ViewValue = ew_FormatDateTime($this->comp_date_recieve->ViewValue, 5);
		$this->comp_date_recieve->ViewCustomAttributes = "";

		// comp_contract_start
		$this->comp_contract_start->ViewValue = $this->comp_contract_start->CurrentValue;
		$this->comp_contract_start->ViewValue = ew_FormatDateTime($this->comp_contract_start->ViewValue, 5);
		$this->comp_contract_start->ViewCustomAttributes = "";

		// comp_warranty
		$this->comp_warranty->ViewValue = $this->comp_warranty->CurrentValue;
		$this->comp_warranty->ViewCustomAttributes = "";

		// comp_price
		$this->comp_price->ViewValue = $this->comp_price->CurrentValue;
		$this->comp_price->ViewCustomAttributes = "";

		// comp_origin
		if (strval($this->comp_origin->CurrentValue) <> "") {
			switch ($this->comp_origin->CurrentValue) {
				case $this->comp_origin->FldTagValue(1):
					$this->comp_origin->ViewValue = $this->comp_origin->FldTagCaption(1) <> "" ? $this->comp_origin->FldTagCaption(1) : $this->comp_origin->CurrentValue;
					break;
				case $this->comp_origin->FldTagValue(2):
					$this->comp_origin->ViewValue = $this->comp_origin->FldTagCaption(2) <> "" ? $this->comp_origin->FldTagCaption(2) : $this->comp_origin->CurrentValue;
					break;
				case $this->comp_origin->FldTagValue(3):
					$this->comp_origin->ViewValue = $this->comp_origin->FldTagCaption(3) <> "" ? $this->comp_origin->FldTagCaption(3) : $this->comp_origin->CurrentValue;
					break;
				case $this->comp_origin->FldTagValue(4):
					$this->comp_origin->ViewValue = $this->comp_origin->FldTagCaption(4) <> "" ? $this->comp_origin->FldTagCaption(4) : $this->comp_origin->CurrentValue;
					break;
				default:
					$this->comp_origin->ViewValue = $this->comp_origin->CurrentValue;
			}
		} else {
			$this->comp_origin->ViewValue = NULL;
		}
		$this->comp_origin->ViewCustomAttributes = "";

		// comp_present
		if (strval($this->comp_present->CurrentValue) <> "") {
			switch ($this->comp_present->CurrentValue) {
				case $this->comp_present->FldTagValue(1):
					$this->comp_present->ViewValue = $this->comp_present->FldTagCaption(1) <> "" ? $this->comp_present->FldTagCaption(1) : $this->comp_present->CurrentValue;
					break;
				case $this->comp_present->FldTagValue(2):
					$this->comp_present->ViewValue = $this->comp_present->FldTagCaption(2) <> "" ? $this->comp_present->FldTagCaption(2) : $this->comp_present->CurrentValue;
					break;
				case $this->comp_present->FldTagValue(3):
					$this->comp_present->ViewValue = $this->comp_present->FldTagCaption(3) <> "" ? $this->comp_present->FldTagCaption(3) : $this->comp_present->CurrentValue;
					break;
				case $this->comp_present->FldTagValue(4):
					$this->comp_present->ViewValue = $this->comp_present->FldTagCaption(4) <> "" ? $this->comp_present->FldTagCaption(4) : $this->comp_present->CurrentValue;
					break;
				case $this->comp_present->FldTagValue(5):
					$this->comp_present->ViewValue = $this->comp_present->FldTagCaption(5) <> "" ? $this->comp_present->FldTagCaption(5) : $this->comp_present->CurrentValue;
					break;
				case $this->comp_present->FldTagValue(6):
					$this->comp_present->ViewValue = $this->comp_present->FldTagCaption(6) <> "" ? $this->comp_present->FldTagCaption(6) : $this->comp_present->CurrentValue;
					break;
				default:
					$this->comp_present->ViewValue = $this->comp_present->CurrentValue;
			}
		} else {
			$this->comp_present->ViewValue = NULL;
		}
		$this->comp_present->ViewCustomAttributes = "";

		// comp_comment
		$this->comp_comment->ViewValue = $this->comp_comment->CurrentValue;
		$this->comp_comment->ViewCustomAttributes = "";

		// comp_id
		$this->comp_id->LinkCustomAttributes = "";
		$this->comp_id->HrefValue = "";
		$this->comp_id->TooltipValue = "";

		// court_id
		$this->court_id->LinkCustomAttributes = "";
		$this->court_id->HrefValue = "";
		$this->court_id->TooltipValue = "";

		// cont_id
		$this->cont_id->LinkCustomAttributes = "";
		$this->cont_id->HrefValue = "";
		$this->cont_id->TooltipValue = "";

		// plt_id
		$this->plt_id->LinkCustomAttributes = "";
		$this->plt_id->HrefValue = "";
		$this->plt_id->TooltipValue = "";

		// comp_num
		$this->comp_num->LinkCustomAttributes = "";
		$this->comp_num->HrefValue = "";
		$this->comp_num->TooltipValue = "";

		// comp_sn
		$this->comp_sn->LinkCustomAttributes = "";
		$this->comp_sn->HrefValue = "";
		$this->comp_sn->TooltipValue = "";

		// comp_brand
		$this->comp_brand->LinkCustomAttributes = "";
		$this->comp_brand->HrefValue = "";
		$this->comp_brand->TooltipValue = "";

		// mdt_id
		$this->mdt_id->LinkCustomAttributes = "";
		$this->mdt_id->HrefValue = "";
		$this->mdt_id->TooltipValue = "";

		// comp_hdd
		$this->comp_hdd->LinkCustomAttributes = "";
		$this->comp_hdd->HrefValue = "";
		$this->comp_hdd->TooltipValue = "";

		// comp_speed
		$this->comp_speed->LinkCustomAttributes = "";
		$this->comp_speed->HrefValue = "";
		$this->comp_speed->TooltipValue = "";

		// comp_ram
		$this->comp_ram->LinkCustomAttributes = "";
		$this->comp_ram->HrefValue = "";
		$this->comp_ram->TooltipValue = "";

		// comp_work
		$this->comp_work->LinkCustomAttributes = "";
		$this->comp_work->HrefValue = "";
		$this->comp_work->TooltipValue = "";

		// comp_connect
		$this->comp_connect->LinkCustomAttributes = "";
		$this->comp_connect->HrefValue = "";
		$this->comp_connect->TooltipValue = "";

		// comp_os
		$this->comp_os->LinkCustomAttributes = "";
		$this->comp_os->HrefValue = "";
		$this->comp_os->TooltipValue = "";

		// comp_screen
		$this->comp_screen->LinkCustomAttributes = "";
		$this->comp_screen->HrefValue = "";
		$this->comp_screen->TooltipValue = "";

		// comp_year
		$this->comp_year->LinkCustomAttributes = "";
		$this->comp_year->HrefValue = "";
		$this->comp_year->TooltipValue = "";

		// comp_date_recieve
		$this->comp_date_recieve->LinkCustomAttributes = "";
		$this->comp_date_recieve->HrefValue = "";
		$this->comp_date_recieve->TooltipValue = "";

		// comp_contract_start
		$this->comp_contract_start->LinkCustomAttributes = "";
		$this->comp_contract_start->HrefValue = "";
		$this->comp_contract_start->TooltipValue = "";

		// comp_warranty
		$this->comp_warranty->LinkCustomAttributes = "";
		$this->comp_warranty->HrefValue = "";
		$this->comp_warranty->TooltipValue = "";

		// comp_price
		$this->comp_price->LinkCustomAttributes = "";
		$this->comp_price->HrefValue = "";
		$this->comp_price->TooltipValue = "";

		// comp_origin
		$this->comp_origin->LinkCustomAttributes = "";
		$this->comp_origin->HrefValue = "";
		$this->comp_origin->TooltipValue = "";

		// comp_present
		$this->comp_present->LinkCustomAttributes = "";
		$this->comp_present->HrefValue = "";
		$this->comp_present->TooltipValue = "";

		// comp_comment
		$this->comp_comment->LinkCustomAttributes = "";
		$this->comp_comment->HrefValue = "";
		$this->comp_comment->TooltipValue = "";

		// Call Row Rendered event
		$this->Row_Rendered();
	}

	// Aggregate list row values
	function AggregateListRowValues() {
	}

	// Aggregate list row (for rendering)
	function AggregateListRow() {
	}

	// Export data in HTML/CSV/Word/Excel/Email/PDF format
	function ExportDocument(&$Doc, &$Recordset, $StartRec, $StopRec, $ExportPageType = "") {
		if (!$Recordset || !$Doc)
			return;

		// Write header
		$Doc->ExportTableHeader();
		if ($Doc->Horizontal) { // Horizontal format, write header
			$Doc->BeginExportRow();
			if ($ExportPageType == "view") {
				$Doc->ExportCaption($this->comp_id);
				$Doc->ExportCaption($this->court_id);
				$Doc->ExportCaption($this->cont_id);
				$Doc->ExportCaption($this->plt_id);
				$Doc->ExportCaption($this->comp_num);
				$Doc->ExportCaption($this->comp_sn);
				$Doc->ExportCaption($this->comp_brand);
				$Doc->ExportCaption($this->mdt_id);
				$Doc->ExportCaption($this->comp_hdd);
				$Doc->ExportCaption($this->comp_speed);
				$Doc->ExportCaption($this->comp_ram);
				$Doc->ExportCaption($this->comp_work);
				$Doc->ExportCaption($this->comp_connect);
				$Doc->ExportCaption($this->comp_os);
				$Doc->ExportCaption($this->comp_screen);
				$Doc->ExportCaption($this->comp_year);
				$Doc->ExportCaption($this->comp_date_recieve);
				$Doc->ExportCaption($this->comp_contract_start);
				$Doc->ExportCaption($this->comp_warranty);
				$Doc->ExportCaption($this->comp_price);
				$Doc->ExportCaption($this->comp_origin);
				$Doc->ExportCaption($this->comp_present);
				$Doc->ExportCaption($this->comp_comment);
			} else {
				$Doc->ExportCaption($this->comp_id);
				$Doc->ExportCaption($this->court_id);
				$Doc->ExportCaption($this->cont_id);
				$Doc->ExportCaption($this->plt_id);
				$Doc->ExportCaption($this->comp_num);
				$Doc->ExportCaption($this->comp_sn);
				$Doc->ExportCaption($this->comp_brand);
				$Doc->ExportCaption($this->mdt_id);
				$Doc->ExportCaption($this->comp_hdd);
				$Doc->ExportCaption($this->comp_speed);
				$Doc->ExportCaption($this->comp_ram);
				$Doc->ExportCaption($this->comp_work);
				$Doc->ExportCaption($this->comp_connect);
				$Doc->ExportCaption($this->comp_os);
				$Doc->ExportCaption($this->comp_screen);
				$Doc->ExportCaption($this->comp_year);
				$Doc->ExportCaption($this->comp_date_recieve);
				$Doc->ExportCaption($this->comp_contract_start);
				$Doc->ExportCaption($this->comp_warranty);
				$Doc->ExportCaption($this->comp_price);
				$Doc->ExportCaption($this->comp_origin);
				$Doc->ExportCaption($this->comp_present);
				$Doc->ExportCaption($this->comp_comment);
			}
			$Doc->EndExportRow();
		}

		// Move to first record
		$RecCnt = $StartRec - 1;
		if (!$Recordset->EOF) {
			$Recordset->MoveFirst();
			if ($StartRec > 1)
				$Recordset->Move($StartRec - 1);
		}
		while (!$Recordset->EOF && $RecCnt < $StopRec) {
			$RecCnt++;
			if (intval($RecCnt) >= intval($StartRec)) {
				$RowCnt = intval($RecCnt) - intval($StartRec) + 1;

				// Page break
				if ($this->ExportPageBreakCount > 0) {
					if ($RowCnt > 1 && ($RowCnt - 1) % $this->ExportPageBreakCount == 0)
						$Doc->ExportPageBreak();
				}
				$this->LoadListRowValues($Recordset);

				// Render row
				$this->RowType = EW_ROWTYPE_VIEW; // Render view
				$this->ResetAttrs();
				$this->RenderListRow();
				$Doc->BeginExportRow($RowCnt); // Allow CSS styles if enabled
				if ($ExportPageType == "view") {
					$Doc->ExportField($this->comp_id);
					$Doc->ExportField($this->court_id);
					$Doc->ExportField($this->cont_id);
					$Doc->ExportField($this->plt_id);
					$Doc->ExportField($this->comp_num);
					$Doc->ExportField($this->comp_sn);
					$Doc->ExportField($this->comp_brand);
					$Doc->ExportField($this->mdt_id);
					$Doc->ExportField($this->comp_hdd);
					$Doc->ExportField($this->comp_speed);
					$Doc->ExportField($this->comp_ram);
					$Doc->ExportField($this->comp_work);
					$Doc->ExportField($this->comp_connect);
					$Doc->ExportField($this->comp_os);
					$Doc->ExportField($this->comp_screen);
					$Doc->ExportField($this->comp_year);
					$Doc->ExportField($this->comp_date_recieve);
					$Doc->ExportField($this->comp_contract_start);
					$Doc->ExportField($this->comp_warranty);
					$Doc->ExportField($this->comp_price);
					$Doc->ExportField($this->comp_origin);
					$Doc->ExportField($this->comp_present);
					$Doc->ExportField($this->comp_comment);
				} else {
					$Doc->ExportField($this->comp_id);
					$Doc->ExportField($this->court_id);
					$Doc->ExportField($this->cont_id);
					$Doc->ExportField($this->plt_id);
					$Doc->ExportField($this->comp_num);
					$Doc->ExportField($this->comp_sn);
					$Doc->ExportField($this->comp_brand);
					$Doc->ExportField($this->mdt_id);
					$Doc->ExportField($this->comp_hdd);
					$Doc->ExportField($this->comp_speed);
					$Doc->ExportField($this->comp_ram);
					$Doc->ExportField($this->comp_work);
					$Doc->ExportField($this->comp_connect);
					$Doc->ExportField($this->comp_os);
					$Doc->ExportField($this->comp_screen);
					$Doc->ExportField($this->comp_year);
					$Doc->ExportField($this->comp_date_recieve);
					$Doc->ExportField($this->comp_contract_start);
					$Doc->ExportField($this->comp_warranty);
					$Doc->ExportField($this->comp_price);
					$Doc->ExportField($this->comp_origin);
					$Doc->ExportField($this->comp_present);
					$Doc->ExportField($this->comp_comment);
				}
				$Doc->EndExportRow();
			}
			$Recordset->MoveNext();
		}
		$Doc->ExportTableFooter();
	}

	// Table level events
	// Recordset Selecting event
	function Recordset_Selecting(&$filter) {

		// Enter your code here	
	}

	// Recordset Selected event
	function Recordset_Selected(&$rs) {

		//echo "Recordset Selected";
	}

	// Recordset Search Validated event
	function Recordset_SearchValidated() {

		// Example:
		//$this->MyField1->AdvancedSearch->SearchValue = "your search criteria"; // Search value

	}

	// Recordset Searching event
	function Recordset_Searching(&$filter) {

		// Enter your code here	
	}

	// Row_Selecting event
	function Row_Selecting(&$filter) {

		// Enter your code here	
	}

	// Row Selected event
	function Row_Selected(&$rs) {

		//echo "Row Selected";
	}

	// Row Inserting event
	function Row_Inserting($rsold, &$rsnew) {

		// Enter your code here
		// To cancel, set return value to FALSE

		return TRUE;
	}

	// Row Inserted event
	function Row_Inserted($rsold, &$rsnew) {

		//echo "Row Inserted"
	}

	// Row Updating event
	function Row_Updating($rsold, &$rsnew) {

		// Enter your code here
		// To cancel, set return value to FALSE

		return TRUE;
	}

	// Row Updated event
	function Row_Updated($rsold, &$rsnew) {

		//echo "Row Updated";
	}

	// Row Update Conflict event
	function Row_UpdateConflict($rsold, &$rsnew) {

		// Enter your code here
		// To ignore conflict, set return value to FALSE

		return TRUE;
	}

	// Row Deleting event
	function Row_Deleting(&$rs) {

		// Enter your code here
		// To cancel, set return value to False

		return TRUE;
	}

	// Row Deleted event
	function Row_Deleted(&$rs) {

		//echo "Row Deleted";
	}

	// Email Sending event
	function Email_Sending(&$Email, &$Args) {

		//var_dump($Email); var_dump($Args); exit();
		return TRUE;
	}

	// Row Rendering event
	function Row_Rendering() {

		// Enter your code here	
	}

	// Row Rendered event
	function Row_Rendered() {

		// To view properties of field class, use:
		//var_dump($this-><FieldName>); 

	}

	// User ID Filtering event
	function UserID_Filtering(&$filter) {

		// Enter your code here
	}
}
?>
