<?php
if (session_id() == "") session_start(); // Initialize Session data
ob_start(); // Turn on output buffering
?>
<?php include_once "ewcfg9.php" ?>
<?php include_once "ewmysql9.php" ?>
<?php include_once "phpfn9.php" ?>
<?php include_once "tb_contractsinfo.php" ?>
<?php include_once "userfn9.php" ?>
<?php

//
// Page class
//

$tb_contracts_edit = NULL; // Initialize page object first

class ctb_contracts_edit extends ctb_contracts {

	// Page ID
	var $PageID = 'edit';

	// Project ID
	var $ProjectID = "{6072F4AB-8E55-4BED-87E8-94ADB1680AEB}";

	// Table name
	var $TableName = 'tb_contracts';

	// Page object name
	var $PageObjName = 'tb_contracts_edit';

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		if ($this->UseTokenInUrl) $PageUrl .= "t=" . $this->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_MESSAGE], $v);
	}

	function getFailureMessage() {
		return @$_SESSION[EW_SESSION_FAILURE_MESSAGE];
	}

	function setFailureMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_FAILURE_MESSAGE], $v);
	}

	function getSuccessMessage() {
		return @$_SESSION[EW_SESSION_SUCCESS_MESSAGE];
	}

	function setSuccessMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_SUCCESS_MESSAGE], $v);
	}

	function getWarningMessage() {
		return @$_SESSION[EW_SESSION_WARNING_MESSAGE];
	}

	function setWarningMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_WARNING_MESSAGE], $v);
	}

	// Show message
	function ShowMessage() {
		$hidden = FALSE;
		$html = "";

		// Message
		$sMessage = $this->getMessage();
		$this->Message_Showing($sMessage, "");
		if ($sMessage <> "") { // Message in Session, display
			$html .= "<p class=\"ewMessage\">" . $sMessage . "</p>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}

		// Warning message
		$sWarningMessage = $this->getWarningMessage();
		$this->Message_Showing($sWarningMessage, "warning");
		if ($sWarningMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewWarningIcon\"></td><td class=\"ewWarningMessage\">" . $sWarningMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_WARNING_MESSAGE] = ""; // Clear message in Session
		}

		// Success message
		$sSuccessMessage = $this->getSuccessMessage();
		$this->Message_Showing($sSuccessMessage, "success");
		if ($sSuccessMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewSuccessIcon\"></td><td class=\"ewSuccessMessage\">" . $sSuccessMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = ""; // Clear message in Session
		}

		// Failure message
		$sErrorMessage = $this->getFailureMessage();
		$this->Message_Showing($sErrorMessage, "failure");
		if ($sErrorMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewErrorIcon\"></td><td class=\"ewErrorMessage\">" . $sErrorMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_FAILURE_MESSAGE] = ""; // Clear message in Session
		}		
		echo "<div class=\"ewMessageDialog\"" . (($hidden) ? " style=\"display: none;\"" : "") . ">" . $html . "</div>";
	}
	var $PageHeader;
	var $PageFooter;

	// Show Page Header
	function ShowPageHeader() {
		$sHeader = $this->PageHeader;
		$this->Page_DataRendering($sHeader);
		if ($sHeader <> "") { // Header exists, display
			echo "<p class=\"phpmaker\">" . $sHeader . "</p>";
		}
	}

	// Show Page Footer
	function ShowPageFooter() {
		$sFooter = $this->PageFooter;
		$this->Page_DataRendered($sFooter);
		if ($sFooter <> "") { // Fotoer exists, display
			echo "<p class=\"phpmaker\">" . $sFooter . "</p>";
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm;
		if ($this->UseTokenInUrl) {
			if ($objForm)
				return ($this->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($this->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}

	//
	// Page class constructor
	//
	function __construct() {
		global $conn, $Language;
		$GLOBALS["Page"] = &$this;

		// Language object
		if (!isset($Language)) $Language = new cLanguage();

		// Parent constuctor
		parent::__construct();

		// Table object (tb_contracts)
		if (!isset($GLOBALS["tb_contracts"])) {
			$GLOBALS["tb_contracts"] = &$this;
			$GLOBALS["Table"] = &$GLOBALS["tb_contracts"];
		}

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'edit', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'tb_contracts', TRUE);

		// Start timer
		if (!isset($GLOBALS["gTimer"])) $GLOBALS["gTimer"] = new cTimer();

		// Open connection
		if (!isset($conn)) $conn = ew_Connect();
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;

		// Create form object
		$objForm = new cFormObj();
		$this->CurrentAction = (@$_GET["a"] <> "") ? $_GET["a"] : @$_POST["a_list"];

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $conn;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();
		$this->Page_Redirecting($url);

		 // Close connection
		$conn->Close();

		// Go to URL if specified
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			header("Location: " . $url);
		}
		exit();
	}
	var $DbMasterFilter;
	var $DbDetailFilter;

	// 
	// Page main
	//
	function Page_Main() {
		global $objForm, $Language, $gsFormError;

		// Load key from QueryString
		if (@$_GET["cont_id"] <> "")
			$this->cont_id->setQueryStringValue($_GET["cont_id"]);

		// Process form if post back
		if (@$_POST["a_edit"] <> "") {
			$this->CurrentAction = $_POST["a_edit"]; // Get action code
			$this->LoadFormValues(); // Get form values
		} else {
			$this->CurrentAction = "I"; // Default action is display
		}

		// Check if valid key
		if ($this->cont_id->CurrentValue == "")
			$this->Page_Terminate("tb_contractslist.php"); // Invalid key, return to list

		// Validate form if post back
		if (@$_POST["a_edit"] <> "") {
			if (!$this->ValidateForm()) {
				$this->CurrentAction = ""; // Form error, reset action
				$this->setFailureMessage($gsFormError);
				$this->EventCancelled = TRUE; // Event cancelled
				$this->RestoreFormValues();
			}
		}
		switch ($this->CurrentAction) {
			case "I": // Get a record to display
				if (!$this->LoadRow()) { // Load record based on key
					if ($this->getFailureMessage() == "") $this->setFailureMessage($Language->Phrase("NoRecord")); // No record found
					$this->Page_Terminate("tb_contractslist.php"); // No matching record, return to list
				}
				break;
			Case "U": // Update
				$this->SendEmail = TRUE; // Send email on update success
				if ($this->EditRow()) { // Update record based on key
					if ($this->getSuccessMessage() == "")
						$this->setSuccessMessage($Language->Phrase("UpdateSuccess")); // Update success
					$sReturnUrl = $this->getReturnUrl();
					if (ew_GetPageName($sReturnUrl) == "tb_contractsview.php")
						$sReturnUrl = $this->GetViewUrl(); // View paging, return to View page directly
					$this->Page_Terminate($sReturnUrl); // Return to caller
				} else {
					$this->EventCancelled = TRUE; // Event cancelled
					$this->RestoreFormValues(); // Restore form values if update failed
				}
		}

		// Render the record
		if ($this->CurrentAction == "F") { // Confirm page
			$this->RowType = EW_ROWTYPE_VIEW; // Render as View
		} else {
			$this->RowType = EW_ROWTYPE_EDIT; // Render as Edit
		}
		$this->ResetAttrs();
		$this->RenderRow();
	}

	// Get upload files
	function GetUploadFiles() {
		global $objForm;

		// Get upload data
		$index = $objForm->Index; // Save form index
		$objForm->Index = -1;
		$confirmPage = (strval($objForm->GetValue("a_confirm")) <> "");
		$objForm->Index = $index; // Restore form index
	}

	// Load form values
	function LoadFormValues() {

		// Load from form
		global $objForm;
		if (!$this->cont_id->FldIsDetailKey) {
			$this->cont_id->setFormValue($objForm->GetValue("x_cont_id"));
		}
		if (!$this->cont_num->FldIsDetailKey) {
			$this->cont_num->setFormValue($objForm->GetValue("x_cont_num"));
		}
		if (!$this->court_id->FldIsDetailKey) {
			$this->court_id->setFormValue($objForm->GetValue("x_court_id"));
		}
		if (!$this->cont_date->FldIsDetailKey) {
			$this->cont_date->setFormValue($objForm->GetValue("x_cont_date"));
			$this->cont_date->CurrentValue = ew_UnFormatDateTime($this->cont_date->CurrentValue, 5);
		}
		if (!$this->cont_project->FldIsDetailKey) {
			$this->cont_project->setFormValue($objForm->GetValue("x_cont_project"));
		}
		if (!$this->cont_company->FldIsDetailKey) {
			$this->cont_company->setFormValue($objForm->GetValue("x_cont_company"));
		}
		if (!$this->cont_price->FldIsDetailKey) {
			$this->cont_price->setFormValue($objForm->GetValue("x_cont_price"));
		}
		if (!$this->cont_budjet->FldIsDetailKey) {
			$this->cont_budjet->setFormValue($objForm->GetValue("x_cont_budjet"));
		}
		if (!$this->cont_comment->FldIsDetailKey) {
			$this->cont_comment->setFormValue($objForm->GetValue("x_cont_comment"));
		}
	}

	// Restore form values
	function RestoreFormValues() {
		global $objForm;
		$this->LoadRow();
		$this->cont_id->CurrentValue = $this->cont_id->FormValue;
		$this->cont_num->CurrentValue = $this->cont_num->FormValue;
		$this->court_id->CurrentValue = $this->court_id->FormValue;
		$this->cont_date->CurrentValue = $this->cont_date->FormValue;
		$this->cont_date->CurrentValue = ew_UnFormatDateTime($this->cont_date->CurrentValue, 5);
		$this->cont_project->CurrentValue = $this->cont_project->FormValue;
		$this->cont_company->CurrentValue = $this->cont_company->FormValue;
		$this->cont_price->CurrentValue = $this->cont_price->FormValue;
		$this->cont_budjet->CurrentValue = $this->cont_budjet->FormValue;
		$this->cont_comment->CurrentValue = $this->cont_comment->FormValue;
	}

	// Load row based on key values
	function LoadRow() {
		global $conn, $Security, $Language;
		$sFilter = $this->KeyFilter();

		// Call Row Selecting event
		$this->Row_Selecting($sFilter);

		// Load SQL based on filter
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		global $conn;
		if (!$rs || $rs->EOF) return;

		// Call Row Selected event
		$row = &$rs->fields;
		$this->Row_Selected($row);
		$this->cont_id->setDbValue($rs->fields('cont_id'));
		$this->cont_num->setDbValue($rs->fields('cont_num'));
		$this->court_id->setDbValue($rs->fields('court_id'));
		$this->cont_date->setDbValue($rs->fields('cont_date'));
		$this->cont_project->setDbValue($rs->fields('cont_project'));
		$this->cont_company->setDbValue($rs->fields('cont_company'));
		$this->cont_price->setDbValue($rs->fields('cont_price'));
		$this->cont_budjet->setDbValue($rs->fields('cont_budjet'));
		$this->cont_comment->setDbValue($rs->fields('cont_comment'));
	}

	// Render row values based on field settings
	function RenderRow() {
		global $conn, $Security, $Language;
		global $gsLanguage;

		// Initialize URLs
		// Convert decimal values if posted back

		if ($this->cont_price->FormValue == $this->cont_price->CurrentValue && is_numeric(ew_StrToFloat($this->cont_price->CurrentValue)))
			$this->cont_price->CurrentValue = ew_StrToFloat($this->cont_price->CurrentValue);

		// Convert decimal values if posted back
		if ($this->cont_budjet->FormValue == $this->cont_budjet->CurrentValue && is_numeric(ew_StrToFloat($this->cont_budjet->CurrentValue)))
			$this->cont_budjet->CurrentValue = ew_StrToFloat($this->cont_budjet->CurrentValue);

		// Call Row_Rendering event
		$this->Row_Rendering();

		// Common render codes for all row types
		// cont_id
		// cont_num
		// court_id
		// cont_date
		// cont_project
		// cont_company
		// cont_price
		// cont_budjet
		// cont_comment

		if ($this->RowType == EW_ROWTYPE_VIEW) { // View row

			// cont_id
			$this->cont_id->ViewValue = $this->cont_id->CurrentValue;
			$this->cont_id->ViewCustomAttributes = "";

			// cont_num
			$this->cont_num->ViewValue = $this->cont_num->CurrentValue;
			$this->cont_num->ViewCustomAttributes = "";

			// court_id
			$this->court_id->ViewValue = $this->court_id->CurrentValue;
			$this->court_id->ViewCustomAttributes = "";

			// cont_date
			$this->cont_date->ViewValue = $this->cont_date->CurrentValue;
			$this->cont_date->ViewValue = ew_FormatDateTime($this->cont_date->ViewValue, 5);
			$this->cont_date->ViewCustomAttributes = "";

			// cont_project
			$this->cont_project->ViewValue = $this->cont_project->CurrentValue;
			$this->cont_project->ViewCustomAttributes = "";

			// cont_company
			$this->cont_company->ViewValue = $this->cont_company->CurrentValue;
			$this->cont_company->ViewCustomAttributes = "";

			// cont_price
			$this->cont_price->ViewValue = $this->cont_price->CurrentValue;
			$this->cont_price->ViewCustomAttributes = "";

			// cont_budjet
			$this->cont_budjet->ViewValue = $this->cont_budjet->CurrentValue;
			$this->cont_budjet->ViewCustomAttributes = "";

			// cont_comment
			$this->cont_comment->ViewValue = $this->cont_comment->CurrentValue;
			$this->cont_comment->ViewCustomAttributes = "";

			// cont_id
			$this->cont_id->LinkCustomAttributes = "";
			$this->cont_id->HrefValue = "";
			$this->cont_id->TooltipValue = "";

			// cont_num
			$this->cont_num->LinkCustomAttributes = "";
			$this->cont_num->HrefValue = "";
			$this->cont_num->TooltipValue = "";

			// court_id
			$this->court_id->LinkCustomAttributes = "";
			$this->court_id->HrefValue = "";
			$this->court_id->TooltipValue = "";

			// cont_date
			$this->cont_date->LinkCustomAttributes = "";
			$this->cont_date->HrefValue = "";
			$this->cont_date->TooltipValue = "";

			// cont_project
			$this->cont_project->LinkCustomAttributes = "";
			$this->cont_project->HrefValue = "";
			$this->cont_project->TooltipValue = "";

			// cont_company
			$this->cont_company->LinkCustomAttributes = "";
			$this->cont_company->HrefValue = "";
			$this->cont_company->TooltipValue = "";

			// cont_price
			$this->cont_price->LinkCustomAttributes = "";
			$this->cont_price->HrefValue = "";
			$this->cont_price->TooltipValue = "";

			// cont_budjet
			$this->cont_budjet->LinkCustomAttributes = "";
			$this->cont_budjet->HrefValue = "";
			$this->cont_budjet->TooltipValue = "";

			// cont_comment
			$this->cont_comment->LinkCustomAttributes = "";
			$this->cont_comment->HrefValue = "";
			$this->cont_comment->TooltipValue = "";
		} elseif ($this->RowType == EW_ROWTYPE_EDIT) { // Edit row

			// cont_id
			$this->cont_id->EditCustomAttributes = "";
			$this->cont_id->EditValue = $this->cont_id->CurrentValue;
			$this->cont_id->ViewCustomAttributes = "";

			// cont_num
			$this->cont_num->EditCustomAttributes = "";
			$this->cont_num->EditValue = ew_HtmlEncode($this->cont_num->CurrentValue);

			// court_id
			$this->court_id->EditCustomAttributes = "";
			$this->court_id->EditValue = ew_HtmlEncode($this->court_id->CurrentValue);

			// cont_date
			$this->cont_date->EditCustomAttributes = "";
			$this->cont_date->EditValue = ew_HtmlEncode(ew_FormatDateTime($this->cont_date->CurrentValue, 5));

			// cont_project
			$this->cont_project->EditCustomAttributes = "";
			$this->cont_project->EditValue = ew_HtmlEncode($this->cont_project->CurrentValue);

			// cont_company
			$this->cont_company->EditCustomAttributes = "";
			$this->cont_company->EditValue = ew_HtmlEncode($this->cont_company->CurrentValue);

			// cont_price
			$this->cont_price->EditCustomAttributes = "";
			$this->cont_price->EditValue = ew_HtmlEncode($this->cont_price->CurrentValue);
			if (strval($this->cont_price->EditValue) <> "" && is_numeric($this->cont_price->EditValue)) $this->cont_price->EditValue = ew_FormatNumber($this->cont_price->EditValue, -2, -1, -2, 0);

			// cont_budjet
			$this->cont_budjet->EditCustomAttributes = "";
			$this->cont_budjet->EditValue = ew_HtmlEncode($this->cont_budjet->CurrentValue);
			if (strval($this->cont_budjet->EditValue) <> "" && is_numeric($this->cont_budjet->EditValue)) $this->cont_budjet->EditValue = ew_FormatNumber($this->cont_budjet->EditValue, -2, -1, -2, 0);

			// cont_comment
			$this->cont_comment->EditCustomAttributes = "";
			$this->cont_comment->EditValue = ew_HtmlEncode($this->cont_comment->CurrentValue);

			// Edit refer script
			// cont_id

			$this->cont_id->HrefValue = "";

			// cont_num
			$this->cont_num->HrefValue = "";

			// court_id
			$this->court_id->HrefValue = "";

			// cont_date
			$this->cont_date->HrefValue = "";

			// cont_project
			$this->cont_project->HrefValue = "";

			// cont_company
			$this->cont_company->HrefValue = "";

			// cont_price
			$this->cont_price->HrefValue = "";

			// cont_budjet
			$this->cont_budjet->HrefValue = "";

			// cont_comment
			$this->cont_comment->HrefValue = "";
		}
		if ($this->RowType == EW_ROWTYPE_ADD ||
			$this->RowType == EW_ROWTYPE_EDIT ||
			$this->RowType == EW_ROWTYPE_SEARCH) { // Add / Edit / Search row
			$this->SetupFieldTitles();
		}

		// Call Row Rendered event
		if ($this->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$this->Row_Rendered();
	}

	// Validate form
	function ValidateForm() {
		global $Language, $gsFormError;

		// Initialize form error message
		$gsFormError = "";

		// Check if validation required
		if (!EW_SERVER_VALIDATE)
			return ($gsFormError == "");
		if (!is_null($this->cont_id->FormValue) && $this->cont_id->FormValue == "") {
			ew_AddMessage($gsFormError, $Language->Phrase("EnterRequiredField") . " - " . $this->cont_id->FldCaption());
		}
		if (!ew_CheckInteger($this->cont_id->FormValue)) {
			ew_AddMessage($gsFormError, $this->cont_id->FldErrMsg());
		}
		if (!ew_CheckDate($this->cont_date->FormValue)) {
			ew_AddMessage($gsFormError, $this->cont_date->FldErrMsg());
		}
		if (!ew_CheckNumber($this->cont_price->FormValue)) {
			ew_AddMessage($gsFormError, $this->cont_price->FldErrMsg());
		}
		if (!ew_CheckNumber($this->cont_budjet->FormValue)) {
			ew_AddMessage($gsFormError, $this->cont_budjet->FldErrMsg());
		}

		// Return validate result
		$ValidateForm = ($gsFormError == "");

		// Call Form_CustomValidate event
		$sFormCustomError = "";
		$ValidateForm = $ValidateForm && $this->Form_CustomValidate($sFormCustomError);
		if ($sFormCustomError <> "") {
			ew_AddMessage($gsFormError, $sFormCustomError);
		}
		return $ValidateForm;
	}

	// Update record based on key values
	function EditRow() {
		global $conn, $Security, $Language;
		$sFilter = $this->KeyFilter();
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$conn->raiseErrorFn = 'ew_ErrorFn';
		$rs = $conn->Execute($sSql);
		$conn->raiseErrorFn = '';
		if ($rs === FALSE)
			return FALSE;
		if ($rs->EOF) {
			$EditRow = FALSE; // Update Failed
		} else {

			// Save old values
			$rsold = &$rs->fields;
			$rsnew = array();

			// cont_id
			// cont_num

			$this->cont_num->SetDbValueDef($rsnew, $this->cont_num->CurrentValue, NULL, $this->cont_num->ReadOnly);

			// court_id
			$this->court_id->SetDbValueDef($rsnew, $this->court_id->CurrentValue, NULL, $this->court_id->ReadOnly);

			// cont_date
			$this->cont_date->SetDbValueDef($rsnew, ew_UnFormatDateTime($this->cont_date->CurrentValue, 5), NULL, $this->cont_date->ReadOnly);

			// cont_project
			$this->cont_project->SetDbValueDef($rsnew, $this->cont_project->CurrentValue, NULL, $this->cont_project->ReadOnly);

			// cont_company
			$this->cont_company->SetDbValueDef($rsnew, $this->cont_company->CurrentValue, NULL, $this->cont_company->ReadOnly);

			// cont_price
			$this->cont_price->SetDbValueDef($rsnew, $this->cont_price->CurrentValue, NULL, $this->cont_price->ReadOnly);

			// cont_budjet
			$this->cont_budjet->SetDbValueDef($rsnew, $this->cont_budjet->CurrentValue, NULL, $this->cont_budjet->ReadOnly);

			// cont_comment
			$this->cont_comment->SetDbValueDef($rsnew, $this->cont_comment->CurrentValue, NULL, $this->cont_comment->ReadOnly);

			// Call Row Updating event
			$bUpdateRow = $this->Row_Updating($rsold, $rsnew);
			if ($bUpdateRow) {
				$conn->raiseErrorFn = 'ew_ErrorFn';
				if (count($rsnew) > 0)
					$EditRow = $this->Update($rsnew);
				else
					$EditRow = TRUE; // No field to update
				$conn->raiseErrorFn = '';
			} else {
				if ($this->getSuccessMessage() <> "" || $this->getFailureMessage() <> "") {

					// Use the message, do nothing
				} elseif ($this->CancelMessage <> "") {
					$this->setFailureMessage($this->CancelMessage);
					$this->CancelMessage = "";
				} else {
					$this->setFailureMessage($Language->Phrase("UpdateCancelled"));
				}
				$EditRow = FALSE;
			}
		}

		// Call Row_Updated event
		if ($EditRow)
			$this->Row_Updated($rsold, $rsnew);
		$rs->Close();
		return $EditRow;
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	// $type = ''|'success'|'failure'|'warning'
	function Message_Showing(&$msg, $type) {
		if ($type == 'success') {

			//$msg = "your success message";
		} elseif ($type == 'failure') {

			//$msg = "your failure message";
		} elseif ($type == 'warning') {

			//$msg = "your warning message";
		} else {

			//$msg = "your message";
		}
	}

	// Page Data Rendering event
	function Page_DataRendering(&$header) {

		// Example:
		//$header = "your header";

	}

	// Page Data Rendered event
	function Page_DataRendered(&$footer) {

		// Example:
		//$footer = "your footer";

	}

	// Form Custom Validate event
	function Form_CustomValidate(&$CustomError) {

		// Return error message in CustomError
		return TRUE;
	}
}
?>
<?php ew_Header(FALSE) ?>
<?php

// Create page object
if (!isset($tb_contracts_edit)) $tb_contracts_edit = new ctb_contracts_edit();

// Page init
$tb_contracts_edit->Page_Init();

// Page main
$tb_contracts_edit->Page_Main();
?>
<?php include_once "header.php" ?>
<script type="text/javascript">

// Page object
var tb_contracts_edit = new ew_Page("tb_contracts_edit");
tb_contracts_edit.PageID = "edit"; // Page ID
var EW_PAGE_ID = tb_contracts_edit.PageID; // For backward compatibility

// Form object
var ftb_contractsedit = new ew_Form("ftb_contractsedit");

// Validate form
ftb_contractsedit.Validate = function(fobj) {
	if (!this.ValidateRequired)
		return true; // Ignore validation
	fobj = fobj || this.Form;
	this.PostAutoSuggest();	
	if (fobj.a_confirm && fobj.a_confirm.value == "F")
		return true;
	var elm, aelm;
	var rowcnt = 1;
	var startcnt = (rowcnt == 0) ? 0 : 1; // rowcnt == 0 => Inline-Add
	for (var i = startcnt; i <= rowcnt; i++) {
		var infix = "";
		elm = fobj.elements["x" + infix + "_cont_id"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tb_contracts->cont_id->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_cont_id"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_contracts->cont_id->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_cont_date"];
		if (elm && !ew_CheckDate(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_contracts->cont_date->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_cont_price"];
		if (elm && !ew_CheckNumber(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_contracts->cont_price->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_cont_budjet"];
		if (elm && !ew_CheckNumber(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_contracts->cont_budjet->FldErrMsg()) ?>");

		// Set up row object
		ew_ElementsToRow(fobj, infix);

		// Fire Form_CustomValidate event
		if (!this.Form_CustomValidate(fobj))
			return false;
	}

	// Process detail page
	if (fobj.detailpage && fobj.detailpage.value && ewForms[fobj.detailpage.value])
		return ewForms[fobj.detailpage.value].Validate(fobj);
	return true;
}

// Form_CustomValidate event
ftb_contractsedit.Form_CustomValidate =  
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }

// Use JavaScript validation or not
<?php if (EW_CLIENT_VALIDATE) { ?>
ftb_contractsedit.ValidateRequired = true;
<?php } else { ?>
ftb_contractsedit.ValidateRequired = false; 
<?php } ?>

// Dynamic selection lists
// Form object for search

</script>
<script type="text/javascript">

// Write your client script here, no need to add script tags.
</script>
<p><span class="ewTitle ewTableTitle"><?php echo $Language->Phrase("Edit") ?>&nbsp;<?php echo $Language->Phrase("TblTypeTABLE") ?><?php echo $tb_contracts->TableCaption() ?></span></p>
<p class="phpmaker"><a href="<?php echo $tb_contracts->getReturnUrl() ?>"><?php echo $Language->Phrase("GoBack") ?></a></p>
<?php $tb_contracts_edit->ShowPageHeader(); ?>
<?php
$tb_contracts_edit->ShowMessage();
?>
<form name="ftb_contractsedit" id="ftb_contractsedit" class="ewForm" action="<?php echo ew_CurrentPage() ?>" method="post" onsubmit="return ewForms[this.id].Submit();">
<p>
<input type="hidden" name="t" value="tb_contracts">
<input type="hidden" name="a_edit" id="a_edit" value="U">
<?php if ($tb_contracts->CurrentAction == "F") { // Confirm page ?>
<input type="hidden" name="a_confirm" id="a_confirm" value="F">
<?php } ?>
<table cellspacing="0" class="ewGrid"><tr><td class="ewGridContent">
<div class="ewGridMiddlePanel">
<table cellspacing="0" id="tbl_tb_contractsedit" class="ewTable">
<?php if ($tb_contracts->cont_id->Visible) { // cont_id ?>
	<tr id="r_cont_id"<?php echo $tb_contracts->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_contracts_cont_id"><?php echo $tb_contracts->cont_id->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></span></td>
		<td<?php echo $tb_contracts->cont_id->CellAttributes() ?>><span id="el_tb_contracts_cont_id">
<?php if ($tb_contracts->CurrentAction <> "F") { ?>
<span<?php echo $tb_contracts->cont_id->ViewAttributes() ?>>
<?php echo $tb_contracts->cont_id->EditValue ?></span>
<input type="hidden" name="x_cont_id" id="x_cont_id" value="<?php echo ew_HtmlEncode($tb_contracts->cont_id->CurrentValue) ?>">
<?php } else { ?>
<span<?php echo $tb_contracts->cont_id->ViewAttributes() ?>>
<?php echo $tb_contracts->cont_id->ViewValue ?></span>
<input type="hidden" name="x_cont_id" id="x_cont_id" value="<?php echo ew_HtmlEncode($tb_contracts->cont_id->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_contracts->cont_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_contracts->cont_num->Visible) { // cont_num ?>
	<tr id="r_cont_num"<?php echo $tb_contracts->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_contracts_cont_num"><?php echo $tb_contracts->cont_num->FldCaption() ?></span></td>
		<td<?php echo $tb_contracts->cont_num->CellAttributes() ?>><span id="el_tb_contracts_cont_num">
<?php if ($tb_contracts->CurrentAction <> "F") { ?>
<input type="text" name="x_cont_num" id="x_cont_num" size="30" maxlength="20" value="<?php echo $tb_contracts->cont_num->EditValue ?>"<?php echo $tb_contracts->cont_num->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_contracts->cont_num->ViewAttributes() ?>>
<?php echo $tb_contracts->cont_num->ViewValue ?></span>
<input type="hidden" name="x_cont_num" id="x_cont_num" value="<?php echo ew_HtmlEncode($tb_contracts->cont_num->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_contracts->cont_num->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_contracts->court_id->Visible) { // court_id ?>
	<tr id="r_court_id"<?php echo $tb_contracts->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_contracts_court_id"><?php echo $tb_contracts->court_id->FldCaption() ?></span></td>
		<td<?php echo $tb_contracts->court_id->CellAttributes() ?>><span id="el_tb_contracts_court_id">
<?php if ($tb_contracts->CurrentAction <> "F") { ?>
<input type="text" name="x_court_id" id="x_court_id" size="30" maxlength="10" value="<?php echo $tb_contracts->court_id->EditValue ?>"<?php echo $tb_contracts->court_id->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_contracts->court_id->ViewAttributes() ?>>
<?php echo $tb_contracts->court_id->ViewValue ?></span>
<input type="hidden" name="x_court_id" id="x_court_id" value="<?php echo ew_HtmlEncode($tb_contracts->court_id->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_contracts->court_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_contracts->cont_date->Visible) { // cont_date ?>
	<tr id="r_cont_date"<?php echo $tb_contracts->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_contracts_cont_date"><?php echo $tb_contracts->cont_date->FldCaption() ?></span></td>
		<td<?php echo $tb_contracts->cont_date->CellAttributes() ?>><span id="el_tb_contracts_cont_date">
<?php if ($tb_contracts->CurrentAction <> "F") { ?>
<input type="text" name="x_cont_date" id="x_cont_date" value="<?php echo $tb_contracts->cont_date->EditValue ?>"<?php echo $tb_contracts->cont_date->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_contracts->cont_date->ViewAttributes() ?>>
<?php echo $tb_contracts->cont_date->ViewValue ?></span>
<input type="hidden" name="x_cont_date" id="x_cont_date" value="<?php echo ew_HtmlEncode($tb_contracts->cont_date->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_contracts->cont_date->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_contracts->cont_project->Visible) { // cont_project ?>
	<tr id="r_cont_project"<?php echo $tb_contracts->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_contracts_cont_project"><?php echo $tb_contracts->cont_project->FldCaption() ?></span></td>
		<td<?php echo $tb_contracts->cont_project->CellAttributes() ?>><span id="el_tb_contracts_cont_project">
<?php if ($tb_contracts->CurrentAction <> "F") { ?>
<input type="text" name="x_cont_project" id="x_cont_project" size="30" maxlength="200" value="<?php echo $tb_contracts->cont_project->EditValue ?>"<?php echo $tb_contracts->cont_project->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_contracts->cont_project->ViewAttributes() ?>>
<?php echo $tb_contracts->cont_project->ViewValue ?></span>
<input type="hidden" name="x_cont_project" id="x_cont_project" value="<?php echo ew_HtmlEncode($tb_contracts->cont_project->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_contracts->cont_project->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_contracts->cont_company->Visible) { // cont_company ?>
	<tr id="r_cont_company"<?php echo $tb_contracts->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_contracts_cont_company"><?php echo $tb_contracts->cont_company->FldCaption() ?></span></td>
		<td<?php echo $tb_contracts->cont_company->CellAttributes() ?>><span id="el_tb_contracts_cont_company">
<?php if ($tb_contracts->CurrentAction <> "F") { ?>
<input type="text" name="x_cont_company" id="x_cont_company" size="30" maxlength="200" value="<?php echo $tb_contracts->cont_company->EditValue ?>"<?php echo $tb_contracts->cont_company->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_contracts->cont_company->ViewAttributes() ?>>
<?php echo $tb_contracts->cont_company->ViewValue ?></span>
<input type="hidden" name="x_cont_company" id="x_cont_company" value="<?php echo ew_HtmlEncode($tb_contracts->cont_company->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_contracts->cont_company->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_contracts->cont_price->Visible) { // cont_price ?>
	<tr id="r_cont_price"<?php echo $tb_contracts->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_contracts_cont_price"><?php echo $tb_contracts->cont_price->FldCaption() ?></span></td>
		<td<?php echo $tb_contracts->cont_price->CellAttributes() ?>><span id="el_tb_contracts_cont_price">
<?php if ($tb_contracts->CurrentAction <> "F") { ?>
<input type="text" name="x_cont_price" id="x_cont_price" size="30" value="<?php echo $tb_contracts->cont_price->EditValue ?>"<?php echo $tb_contracts->cont_price->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_contracts->cont_price->ViewAttributes() ?>>
<?php echo $tb_contracts->cont_price->ViewValue ?></span>
<input type="hidden" name="x_cont_price" id="x_cont_price" value="<?php echo ew_HtmlEncode($tb_contracts->cont_price->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_contracts->cont_price->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_contracts->cont_budjet->Visible) { // cont_budjet ?>
	<tr id="r_cont_budjet"<?php echo $tb_contracts->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_contracts_cont_budjet"><?php echo $tb_contracts->cont_budjet->FldCaption() ?></span></td>
		<td<?php echo $tb_contracts->cont_budjet->CellAttributes() ?>><span id="el_tb_contracts_cont_budjet">
<?php if ($tb_contracts->CurrentAction <> "F") { ?>
<input type="text" name="x_cont_budjet" id="x_cont_budjet" size="30" value="<?php echo $tb_contracts->cont_budjet->EditValue ?>"<?php echo $tb_contracts->cont_budjet->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_contracts->cont_budjet->ViewAttributes() ?>>
<?php echo $tb_contracts->cont_budjet->ViewValue ?></span>
<input type="hidden" name="x_cont_budjet" id="x_cont_budjet" value="<?php echo ew_HtmlEncode($tb_contracts->cont_budjet->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_contracts->cont_budjet->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_contracts->cont_comment->Visible) { // cont_comment ?>
	<tr id="r_cont_comment"<?php echo $tb_contracts->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_contracts_cont_comment"><?php echo $tb_contracts->cont_comment->FldCaption() ?></span></td>
		<td<?php echo $tb_contracts->cont_comment->CellAttributes() ?>><span id="el_tb_contracts_cont_comment">
<?php if ($tb_contracts->CurrentAction <> "F") { ?>
<input type="text" name="x_cont_comment" id="x_cont_comment" size="30" maxlength="200" value="<?php echo $tb_contracts->cont_comment->EditValue ?>"<?php echo $tb_contracts->cont_comment->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_contracts->cont_comment->ViewAttributes() ?>>
<?php echo $tb_contracts->cont_comment->ViewValue ?></span>
<input type="hidden" name="x_cont_comment" id="x_cont_comment" value="<?php echo ew_HtmlEncode($tb_contracts->cont_comment->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_contracts->cont_comment->CustomMsg ?></td>
	</tr>
<?php } ?>
</table>
</div>
</td></tr></table>
<p>
<?php if ($tb_contracts->CurrentAction <> "F") { // Confirm page ?>
<input type="submit" name="btnAction" id="btnAction" value="<?php echo ew_BtnCaption($Language->Phrase("EditBtn")) ?>" onclick="this.form.a_edit.value='F';">
<?php } else { ?>
<input type="submit" name="btnCancel" id="btnCancel" value="<?php echo ew_BtnCaption($Language->Phrase("CancelBtn")) ?>" onclick="this.form.a_edit.value='X';">
<input type="submit" name="btnAction" id="btnAction" value="<?php echo ew_BtnCaption($Language->Phrase("ConfirmBtn")) ?>">
<?php } ?>
</form>
<script type="text/javascript">
ftb_contractsedit.Init();
</script>
<?php
$tb_contracts_edit->ShowPageFooter();
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
?>
<script type="text/javascript">

// Write your table-specific startup script here
// document.write("page loaded");

</script>
<?php include_once "footer.php" ?>
<?php
$tb_contracts_edit->Page_Terminate();
?>
