<?php
if (session_id() == "") session_start(); // Initialize Session data
ob_start(); // Turn on output buffering
?>
<?php include_once "ewcfg9.php" ?>
<?php include_once "ewmysql9.php" ?>
<?php include_once "phpfn9.php" ?>
<?php include_once "tb_court_detailsinfo.php" ?>
<?php include_once "userfn9.php" ?>
<?php

//
// Page class
//

$tb_court_details_edit = NULL; // Initialize page object first

class ctb_court_details_edit extends ctb_court_details {

	// Page ID
	var $PageID = 'edit';

	// Project ID
	var $ProjectID = "{6072F4AB-8E55-4BED-87E8-94ADB1680AEB}";

	// Table name
	var $TableName = 'tb_court_details';

	// Page object name
	var $PageObjName = 'tb_court_details_edit';

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		if ($this->UseTokenInUrl) $PageUrl .= "t=" . $this->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_MESSAGE], $v);
	}

	function getFailureMessage() {
		return @$_SESSION[EW_SESSION_FAILURE_MESSAGE];
	}

	function setFailureMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_FAILURE_MESSAGE], $v);
	}

	function getSuccessMessage() {
		return @$_SESSION[EW_SESSION_SUCCESS_MESSAGE];
	}

	function setSuccessMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_SUCCESS_MESSAGE], $v);
	}

	function getWarningMessage() {
		return @$_SESSION[EW_SESSION_WARNING_MESSAGE];
	}

	function setWarningMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_WARNING_MESSAGE], $v);
	}

	// Show message
	function ShowMessage() {
		$hidden = FALSE;
		$html = "";

		// Message
		$sMessage = $this->getMessage();
		$this->Message_Showing($sMessage, "");
		if ($sMessage <> "") { // Message in Session, display
			$html .= "<p class=\"ewMessage\">" . $sMessage . "</p>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}

		// Warning message
		$sWarningMessage = $this->getWarningMessage();
		$this->Message_Showing($sWarningMessage, "warning");
		if ($sWarningMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewWarningIcon\"></td><td class=\"ewWarningMessage\">" . $sWarningMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_WARNING_MESSAGE] = ""; // Clear message in Session
		}

		// Success message
		$sSuccessMessage = $this->getSuccessMessage();
		$this->Message_Showing($sSuccessMessage, "success");
		if ($sSuccessMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewSuccessIcon\"></td><td class=\"ewSuccessMessage\">" . $sSuccessMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = ""; // Clear message in Session
		}

		// Failure message
		$sErrorMessage = $this->getFailureMessage();
		$this->Message_Showing($sErrorMessage, "failure");
		if ($sErrorMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewErrorIcon\"></td><td class=\"ewErrorMessage\">" . $sErrorMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_FAILURE_MESSAGE] = ""; // Clear message in Session
		}		
		echo "<div class=\"ewMessageDialog\"" . (($hidden) ? " style=\"display: none;\"" : "") . ">" . $html . "</div>";
	}
	var $PageHeader;
	var $PageFooter;

	// Show Page Header
	function ShowPageHeader() {
		$sHeader = $this->PageHeader;
		$this->Page_DataRendering($sHeader);
		if ($sHeader <> "") { // Header exists, display
			echo "<p class=\"phpmaker\">" . $sHeader . "</p>";
		}
	}

	// Show Page Footer
	function ShowPageFooter() {
		$sFooter = $this->PageFooter;
		$this->Page_DataRendered($sFooter);
		if ($sFooter <> "") { // Fotoer exists, display
			echo "<p class=\"phpmaker\">" . $sFooter . "</p>";
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm;
		if ($this->UseTokenInUrl) {
			if ($objForm)
				return ($this->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($this->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}

	//
	// Page class constructor
	//
	function __construct() {
		global $conn, $Language;
		$GLOBALS["Page"] = &$this;

		// Language object
		if (!isset($Language)) $Language = new cLanguage();

		// Parent constuctor
		parent::__construct();

		// Table object (tb_court_details)
		if (!isset($GLOBALS["tb_court_details"])) {
			$GLOBALS["tb_court_details"] = &$this;
			$GLOBALS["Table"] = &$GLOBALS["tb_court_details"];
		}

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'edit', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'tb_court_details', TRUE);

		// Start timer
		if (!isset($GLOBALS["gTimer"])) $GLOBALS["gTimer"] = new cTimer();

		// Open connection
		if (!isset($conn)) $conn = ew_Connect();
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;

		// Create form object
		$objForm = new cFormObj();
		$this->CurrentAction = (@$_GET["a"] <> "") ? $_GET["a"] : @$_POST["a_list"];

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $conn;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();
		$this->Page_Redirecting($url);

		 // Close connection
		$conn->Close();

		// Go to URL if specified
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			header("Location: " . $url);
		}
		exit();
	}
	var $DbMasterFilter;
	var $DbDetailFilter;

	// 
	// Page main
	//
	function Page_Main() {
		global $objForm, $Language, $gsFormError;

		// Load key from QueryString
		if (@$_GET["court_id"] <> "")
			$this->court_id->setQueryStringValue($_GET["court_id"]);

		// Process form if post back
		if (@$_POST["a_edit"] <> "") {
			$this->CurrentAction = $_POST["a_edit"]; // Get action code
			$this->LoadFormValues(); // Get form values
		} else {
			$this->CurrentAction = "I"; // Default action is display
		}

		// Check if valid key
		if ($this->court_id->CurrentValue == "")
			$this->Page_Terminate("tb_court_detailslist.php"); // Invalid key, return to list

		// Validate form if post back
		if (@$_POST["a_edit"] <> "") {
			if (!$this->ValidateForm()) {
				$this->CurrentAction = ""; // Form error, reset action
				$this->setFailureMessage($gsFormError);
				$this->EventCancelled = TRUE; // Event cancelled
				$this->RestoreFormValues();
			}
		}
		switch ($this->CurrentAction) {
			case "I": // Get a record to display
				if (!$this->LoadRow()) { // Load record based on key
					if ($this->getFailureMessage() == "") $this->setFailureMessage($Language->Phrase("NoRecord")); // No record found
					$this->Page_Terminate("tb_court_detailslist.php"); // No matching record, return to list
				}
				break;
			Case "U": // Update
				$this->SendEmail = TRUE; // Send email on update success
				if ($this->EditRow()) { // Update record based on key
					if ($this->getSuccessMessage() == "")
						$this->setSuccessMessage($Language->Phrase("UpdateSuccess")); // Update success
					$sReturnUrl = $this->getReturnUrl();
					if (ew_GetPageName($sReturnUrl) == "tb_court_detailsview.php")
						$sReturnUrl = $this->GetViewUrl(); // View paging, return to View page directly
					$this->Page_Terminate($sReturnUrl); // Return to caller
				} else {
					$this->EventCancelled = TRUE; // Event cancelled
					$this->RestoreFormValues(); // Restore form values if update failed
				}
		}

		// Render the record
		if ($this->CurrentAction == "F") { // Confirm page
			$this->RowType = EW_ROWTYPE_VIEW; // Render as View
		} else {
			$this->RowType = EW_ROWTYPE_EDIT; // Render as Edit
		}
		$this->ResetAttrs();
		$this->RenderRow();
	}

	// Get upload files
	function GetUploadFiles() {
		global $objForm;

		// Get upload data
		$index = $objForm->Index; // Save form index
		$objForm->Index = -1;
		$confirmPage = (strval($objForm->GetValue("a_confirm")) <> "");
		$objForm->Index = $index; // Restore form index
	}

	// Load form values
	function LoadFormValues() {

		// Load from form
		global $objForm;
		if (!$this->court_id->FldIsDetailKey) {
			$this->court_id->setFormValue($objForm->GetValue("x_court_id"));
		}
		if (!$this->ct_isdn1->FldIsDetailKey) {
			$this->ct_isdn1->setFormValue($objForm->GetValue("x_ct_isdn1"));
		}
		if (!$this->ct_isdn2->FldIsDetailKey) {
			$this->ct_isdn2->setFormValue($objForm->GetValue("x_ct_isdn2"));
		}
		if (!$this->ct_isdn3->FldIsDetailKey) {
			$this->ct_isdn3->setFormValue($objForm->GetValue("x_ct_isdn3"));
		}
		if (!$this->ct_ip->FldIsDetailKey) {
			$this->ct_ip->setFormValue($objForm->GetValue("x_ct_ip"));
		}
		if (!$this->ct_just->FldIsDetailKey) {
			$this->ct_just->setFormValue($objForm->GetValue("x_ct_just"));
		}
		if (!$this->ct_just_senior->FldIsDetailKey) {
			$this->ct_just_senior->setFormValue($objForm->GetValue("x_ct_just_senior"));
		}
		if (!$this->ct_officer->FldIsDetailKey) {
			$this->ct_officer->setFormValue($objForm->GetValue("x_ct_officer"));
		}
		if (!$this->ct_officer_other->FldIsDetailKey) {
			$this->ct_officer_other->setFormValue($objForm->GetValue("x_ct_officer_other"));
		}
		if (!$this->ct_emp_driver->FldIsDetailKey) {
			$this->ct_emp_driver->setFormValue($objForm->GetValue("x_ct_emp_driver"));
		}
		if (!$this->ct_emp_ger->FldIsDetailKey) {
			$this->ct_emp_ger->setFormValue($objForm->GetValue("x_ct_emp_ger"));
		}
		if (!$this->ct_emp_interpreter->FldIsDetailKey) {
			$this->ct_emp_interpreter->setFormValue($objForm->GetValue("x_ct_emp_interpreter"));
		}
		if (!$this->ct_emp_place->FldIsDetailKey) {
			$this->ct_emp_place->setFormValue($objForm->GetValue("x_ct_emp_place"));
		}
		if (!$this->ct_emp_tele->FldIsDetailKey) {
			$this->ct_emp_tele->setFormValue($objForm->GetValue("x_ct_emp_tele"));
		}
		if (!$this->ct_emp_guard->FldIsDetailKey) {
			$this->ct_emp_guard->setFormValue($objForm->GetValue("x_ct_emp_guard"));
		}
		if (!$this->ct_tmp_librarian1->FldIsDetailKey) {
			$this->ct_tmp_librarian1->setFormValue($objForm->GetValue("x_ct_tmp_librarian1"));
		}
		if (!$this->ct_tmp_librarian2->FldIsDetailKey) {
			$this->ct_tmp_librarian2->setFormValue($objForm->GetValue("x_ct_tmp_librarian2"));
		}
		if (!$this->ct_tmp_place->FldIsDetailKey) {
			$this->ct_tmp_place->setFormValue($objForm->GetValue("x_ct_tmp_place"));
		}
		if (!$this->ct_tmp_citation->FldIsDetailKey) {
			$this->ct_tmp_citation->setFormValue($objForm->GetValue("x_ct_tmp_citation"));
		}
		if (!$this->ct_tmp_record->FldIsDetailKey) {
			$this->ct_tmp_record->setFormValue($objForm->GetValue("x_ct_tmp_record"));
		}
		if (!$this->ct_tmp_office->FldIsDetailKey) {
			$this->ct_tmp_office->setFormValue($objForm->GetValue("x_ct_tmp_office"));
		}
		if (!$this->ct_tmp_court1->FldIsDetailKey) {
			$this->ct_tmp_court1->setFormValue($objForm->GetValue("x_ct_tmp_court1"));
		}
		if (!$this->ct_tmp_court2->FldIsDetailKey) {
			$this->ct_tmp_court2->setFormValue($objForm->GetValue("x_ct_tmp_court2"));
		}
		if (!$this->ct_tmp_plan->FldIsDetailKey) {
			$this->ct_tmp_plan->setFormValue($objForm->GetValue("x_ct_tmp_plan"));
		}
		if (!$this->ct_tmp_hr->FldIsDetailKey) {
			$this->ct_tmp_hr->setFormValue($objForm->GetValue("x_ct_tmp_hr"));
		}
		if (!$this->ct_tmp_lawyer1->FldIsDetailKey) {
			$this->ct_tmp_lawyer1->setFormValue($objForm->GetValue("x_ct_tmp_lawyer1"));
		}
		if (!$this->ct_tmp_lawyer2->FldIsDetailKey) {
			$this->ct_tmp_lawyer2->setFormValue($objForm->GetValue("x_ct_tmp_lawyer2"));
		}
		if (!$this->ct_gov_computer->FldIsDetailKey) {
			$this->ct_gov_computer->setFormValue($objForm->GetValue("x_ct_gov_computer"));
		}
		if (!$this->ct_gov_place->FldIsDetailKey) {
			$this->ct_gov_place->setFormValue($objForm->GetValue("x_ct_gov_place"));
		}
		if (!$this->ct_gov_office->FldIsDetailKey) {
			$this->ct_gov_office->setFormValue($objForm->GetValue("x_ct_gov_office"));
		}
		if (!$this->ct_gov_court->FldIsDetailKey) {
			$this->ct_gov_court->setFormValue($objForm->GetValue("x_ct_gov_court"));
		}
		if (!$this->ct_gov_lawyer1->FldIsDetailKey) {
			$this->ct_gov_lawyer1->setFormValue($objForm->GetValue("x_ct_gov_lawyer1"));
		}
		if (!$this->ct_gov_lawyer2->FldIsDetailKey) {
			$this->ct_gov_lawyer2->setFormValue($objForm->GetValue("x_ct_gov_lawyer2"));
		}
		if (!$this->ct_room_child->FldIsDetailKey) {
			$this->ct_room_child->setFormValue($objForm->GetValue("x_ct_room_child"));
		}
		if (!$this->ct_room->FldIsDetailKey) {
			$this->ct_room->setFormValue($objForm->GetValue("x_ct_room"));
		}
		if (!$this->ct_rooming->FldIsDetailKey) {
			$this->ct_rooming->setFormValue($objForm->GetValue("x_ct_rooming"));
		}
		if (!$this->ct_comment->FldIsDetailKey) {
			$this->ct_comment->setFormValue($objForm->GetValue("x_ct_comment"));
		}
		if (!$this->ct_builing_update->FldIsDetailKey) {
			$this->ct_builing_update->setFormValue($objForm->GetValue("x_ct_builing_update"));
		}
		if (!$this->ct_builing_num->FldIsDetailKey) {
			$this->ct_builing_num->setFormValue($objForm->GetValue("x_ct_builing_num"));
		}
		if (!$this->ct_bu1_holdfile->FldIsDetailKey) {
			$this->ct_bu1_holdfile->setFormValue($objForm->GetValue("x_ct_bu1_holdfile"));
		}
		if (!$this->ct_bu1_file->FldIsDetailKey) {
			$this->ct_bu1_file->setFormValue($objForm->GetValue("x_ct_bu1_file"));
		}
		if (!$this->ct_bu2_holdfile->FldIsDetailKey) {
			$this->ct_bu2_holdfile->setFormValue($objForm->GetValue("x_ct_bu2_holdfile"));
		}
		if (!$this->ct_bu2_file->FldIsDetailKey) {
			$this->ct_bu2_file->setFormValue($objForm->GetValue("x_ct_bu2_file"));
		}
		if (!$this->ct_accommodation->FldIsDetailKey) {
			$this->ct_accommodation->setFormValue($objForm->GetValue("x_ct_accommodation"));
		}
		if (!$this->ct_nw1_holdfile->FldIsDetailKey) {
			$this->ct_nw1_holdfile->setFormValue($objForm->GetValue("x_ct_nw1_holdfile"));
		}
		if (!$this->ct_nw1_file->FldIsDetailKey) {
			$this->ct_nw1_file->setFormValue($objForm->GetValue("x_ct_nw1_file"));
		}
		if (!$this->ct_nw2_holdfile->FldIsDetailKey) {
			$this->ct_nw2_holdfile->setFormValue($objForm->GetValue("x_ct_nw2_holdfile"));
		}
		if (!$this->ct_nw2_file->FldIsDetailKey) {
			$this->ct_nw2_file->setFormValue($objForm->GetValue("x_ct_nw2_file"));
		}
		if (!$this->ct_vcs_plan_holdfile->FldIsDetailKey) {
			$this->ct_vcs_plan_holdfile->setFormValue($objForm->GetValue("x_ct_vcs_plan_holdfile"));
		}
		if (!$this->ct_vcs_plan_file->FldIsDetailKey) {
			$this->ct_vcs_plan_file->setFormValue($objForm->GetValue("x_ct_vcs_plan_file"));
		}
	}

	// Restore form values
	function RestoreFormValues() {
		global $objForm;
		$this->LoadRow();
		$this->court_id->CurrentValue = $this->court_id->FormValue;
		$this->ct_isdn1->CurrentValue = $this->ct_isdn1->FormValue;
		$this->ct_isdn2->CurrentValue = $this->ct_isdn2->FormValue;
		$this->ct_isdn3->CurrentValue = $this->ct_isdn3->FormValue;
		$this->ct_ip->CurrentValue = $this->ct_ip->FormValue;
		$this->ct_just->CurrentValue = $this->ct_just->FormValue;
		$this->ct_just_senior->CurrentValue = $this->ct_just_senior->FormValue;
		$this->ct_officer->CurrentValue = $this->ct_officer->FormValue;
		$this->ct_officer_other->CurrentValue = $this->ct_officer_other->FormValue;
		$this->ct_emp_driver->CurrentValue = $this->ct_emp_driver->FormValue;
		$this->ct_emp_ger->CurrentValue = $this->ct_emp_ger->FormValue;
		$this->ct_emp_interpreter->CurrentValue = $this->ct_emp_interpreter->FormValue;
		$this->ct_emp_place->CurrentValue = $this->ct_emp_place->FormValue;
		$this->ct_emp_tele->CurrentValue = $this->ct_emp_tele->FormValue;
		$this->ct_emp_guard->CurrentValue = $this->ct_emp_guard->FormValue;
		$this->ct_tmp_librarian1->CurrentValue = $this->ct_tmp_librarian1->FormValue;
		$this->ct_tmp_librarian2->CurrentValue = $this->ct_tmp_librarian2->FormValue;
		$this->ct_tmp_place->CurrentValue = $this->ct_tmp_place->FormValue;
		$this->ct_tmp_citation->CurrentValue = $this->ct_tmp_citation->FormValue;
		$this->ct_tmp_record->CurrentValue = $this->ct_tmp_record->FormValue;
		$this->ct_tmp_office->CurrentValue = $this->ct_tmp_office->FormValue;
		$this->ct_tmp_court1->CurrentValue = $this->ct_tmp_court1->FormValue;
		$this->ct_tmp_court2->CurrentValue = $this->ct_tmp_court2->FormValue;
		$this->ct_tmp_plan->CurrentValue = $this->ct_tmp_plan->FormValue;
		$this->ct_tmp_hr->CurrentValue = $this->ct_tmp_hr->FormValue;
		$this->ct_tmp_lawyer1->CurrentValue = $this->ct_tmp_lawyer1->FormValue;
		$this->ct_tmp_lawyer2->CurrentValue = $this->ct_tmp_lawyer2->FormValue;
		$this->ct_gov_computer->CurrentValue = $this->ct_gov_computer->FormValue;
		$this->ct_gov_place->CurrentValue = $this->ct_gov_place->FormValue;
		$this->ct_gov_office->CurrentValue = $this->ct_gov_office->FormValue;
		$this->ct_gov_court->CurrentValue = $this->ct_gov_court->FormValue;
		$this->ct_gov_lawyer1->CurrentValue = $this->ct_gov_lawyer1->FormValue;
		$this->ct_gov_lawyer2->CurrentValue = $this->ct_gov_lawyer2->FormValue;
		$this->ct_room_child->CurrentValue = $this->ct_room_child->FormValue;
		$this->ct_room->CurrentValue = $this->ct_room->FormValue;
		$this->ct_rooming->CurrentValue = $this->ct_rooming->FormValue;
		$this->ct_comment->CurrentValue = $this->ct_comment->FormValue;
		$this->ct_builing_update->CurrentValue = $this->ct_builing_update->FormValue;
		$this->ct_builing_num->CurrentValue = $this->ct_builing_num->FormValue;
		$this->ct_bu1_holdfile->CurrentValue = $this->ct_bu1_holdfile->FormValue;
		$this->ct_bu1_file->CurrentValue = $this->ct_bu1_file->FormValue;
		$this->ct_bu2_holdfile->CurrentValue = $this->ct_bu2_holdfile->FormValue;
		$this->ct_bu2_file->CurrentValue = $this->ct_bu2_file->FormValue;
		$this->ct_accommodation->CurrentValue = $this->ct_accommodation->FormValue;
		$this->ct_nw1_holdfile->CurrentValue = $this->ct_nw1_holdfile->FormValue;
		$this->ct_nw1_file->CurrentValue = $this->ct_nw1_file->FormValue;
		$this->ct_nw2_holdfile->CurrentValue = $this->ct_nw2_holdfile->FormValue;
		$this->ct_nw2_file->CurrentValue = $this->ct_nw2_file->FormValue;
		$this->ct_vcs_plan_holdfile->CurrentValue = $this->ct_vcs_plan_holdfile->FormValue;
		$this->ct_vcs_plan_file->CurrentValue = $this->ct_vcs_plan_file->FormValue;
	}

	// Load row based on key values
	function LoadRow() {
		global $conn, $Security, $Language;
		$sFilter = $this->KeyFilter();

		// Call Row Selecting event
		$this->Row_Selecting($sFilter);

		// Load SQL based on filter
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		global $conn;
		if (!$rs || $rs->EOF) return;

		// Call Row Selected event
		$row = &$rs->fields;
		$this->Row_Selected($row);
		$this->court_id->setDbValue($rs->fields('court_id'));
		$this->ct_isdn1->setDbValue($rs->fields('ct_isdn1'));
		$this->ct_isdn2->setDbValue($rs->fields('ct_isdn2'));
		$this->ct_isdn3->setDbValue($rs->fields('ct_isdn3'));
		$this->ct_ip->setDbValue($rs->fields('ct_ip'));
		$this->ct_just->setDbValue($rs->fields('ct_just'));
		$this->ct_just_senior->setDbValue($rs->fields('ct_just_senior'));
		$this->ct_officer->setDbValue($rs->fields('ct_officer'));
		$this->ct_officer_other->setDbValue($rs->fields('ct_officer_other'));
		$this->ct_emp_driver->setDbValue($rs->fields('ct_emp_driver'));
		$this->ct_emp_ger->setDbValue($rs->fields('ct_emp_ger'));
		$this->ct_emp_interpreter->setDbValue($rs->fields('ct_emp_interpreter'));
		$this->ct_emp_place->setDbValue($rs->fields('ct_emp_place'));
		$this->ct_emp_tele->setDbValue($rs->fields('ct_emp_tele'));
		$this->ct_emp_guard->setDbValue($rs->fields('ct_emp_guard'));
		$this->ct_tmp_librarian1->setDbValue($rs->fields('ct_tmp_librarian1'));
		$this->ct_tmp_librarian2->setDbValue($rs->fields('ct_tmp_librarian2'));
		$this->ct_tmp_place->setDbValue($rs->fields('ct_tmp_place'));
		$this->ct_tmp_citation->setDbValue($rs->fields('ct_tmp_citation'));
		$this->ct_tmp_record->setDbValue($rs->fields('ct_tmp_record'));
		$this->ct_tmp_office->setDbValue($rs->fields('ct_tmp_office'));
		$this->ct_tmp_court1->setDbValue($rs->fields('ct_tmp_court1'));
		$this->ct_tmp_court2->setDbValue($rs->fields('ct_tmp_court2'));
		$this->ct_tmp_plan->setDbValue($rs->fields('ct_tmp_plan'));
		$this->ct_tmp_hr->setDbValue($rs->fields('ct_tmp_hr'));
		$this->ct_tmp_lawyer1->setDbValue($rs->fields('ct_tmp_lawyer1'));
		$this->ct_tmp_lawyer2->setDbValue($rs->fields('ct_tmp_lawyer2'));
		$this->ct_gov_computer->setDbValue($rs->fields('ct_gov_computer'));
		$this->ct_gov_place->setDbValue($rs->fields('ct_gov_place'));
		$this->ct_gov_office->setDbValue($rs->fields('ct_gov_office'));
		$this->ct_gov_court->setDbValue($rs->fields('ct_gov_court'));
		$this->ct_gov_lawyer1->setDbValue($rs->fields('ct_gov_lawyer1'));
		$this->ct_gov_lawyer2->setDbValue($rs->fields('ct_gov_lawyer2'));
		$this->ct_room_child->setDbValue($rs->fields('ct_room_child'));
		$this->ct_room->setDbValue($rs->fields('ct_room'));
		$this->ct_rooming->setDbValue($rs->fields('ct_rooming'));
		$this->ct_comment->setDbValue($rs->fields('ct_comment'));
		$this->ct_builing_update->setDbValue($rs->fields('ct_builing_update'));
		$this->ct_builing_num->setDbValue($rs->fields('ct_builing_num'));
		$this->ct_bu1_holdfile->setDbValue($rs->fields('ct_bu1_holdfile'));
		$this->ct_bu1_file->setDbValue($rs->fields('ct_bu1_file'));
		$this->ct_bu2_holdfile->setDbValue($rs->fields('ct_bu2_holdfile'));
		$this->ct_bu2_file->setDbValue($rs->fields('ct_bu2_file'));
		$this->ct_accommodation->setDbValue($rs->fields('ct_accommodation'));
		$this->ct_nw1_holdfile->setDbValue($rs->fields('ct_nw1_holdfile'));
		$this->ct_nw1_file->setDbValue($rs->fields('ct_nw1_file'));
		$this->ct_nw2_holdfile->setDbValue($rs->fields('ct_nw2_holdfile'));
		$this->ct_nw2_file->setDbValue($rs->fields('ct_nw2_file'));
		$this->ct_vcs_plan_holdfile->setDbValue($rs->fields('ct_vcs_plan_holdfile'));
		$this->ct_vcs_plan_file->setDbValue($rs->fields('ct_vcs_plan_file'));
	}

	// Render row values based on field settings
	function RenderRow() {
		global $conn, $Security, $Language;
		global $gsLanguage;

		// Initialize URLs
		// Call Row_Rendering event

		$this->Row_Rendering();

		// Common render codes for all row types
		// court_id
		// ct_isdn1
		// ct_isdn2
		// ct_isdn3
		// ct_ip
		// ct_just
		// ct_just_senior
		// ct_officer
		// ct_officer_other
		// ct_emp_driver
		// ct_emp_ger
		// ct_emp_interpreter
		// ct_emp_place
		// ct_emp_tele
		// ct_emp_guard
		// ct_tmp_librarian1
		// ct_tmp_librarian2
		// ct_tmp_place
		// ct_tmp_citation
		// ct_tmp_record
		// ct_tmp_office
		// ct_tmp_court1
		// ct_tmp_court2
		// ct_tmp_plan
		// ct_tmp_hr
		// ct_tmp_lawyer1
		// ct_tmp_lawyer2
		// ct_gov_computer
		// ct_gov_place
		// ct_gov_office
		// ct_gov_court
		// ct_gov_lawyer1
		// ct_gov_lawyer2
		// ct_room_child
		// ct_room
		// ct_rooming
		// ct_comment
		// ct_builing_update
		// ct_builing_num
		// ct_bu1_holdfile
		// ct_bu1_file
		// ct_bu2_holdfile
		// ct_bu2_file
		// ct_accommodation
		// ct_nw1_holdfile
		// ct_nw1_file
		// ct_nw2_holdfile
		// ct_nw2_file
		// ct_vcs_plan_holdfile
		// ct_vcs_plan_file

		if ($this->RowType == EW_ROWTYPE_VIEW) { // View row

			// court_id
			$this->court_id->ViewValue = $this->court_id->CurrentValue;
			$this->court_id->ViewCustomAttributes = "";

			// ct_isdn1
			$this->ct_isdn1->ViewValue = $this->ct_isdn1->CurrentValue;
			$this->ct_isdn1->ViewCustomAttributes = "";

			// ct_isdn2
			$this->ct_isdn2->ViewValue = $this->ct_isdn2->CurrentValue;
			$this->ct_isdn2->ViewCustomAttributes = "";

			// ct_isdn3
			$this->ct_isdn3->ViewValue = $this->ct_isdn3->CurrentValue;
			$this->ct_isdn3->ViewCustomAttributes = "";

			// ct_ip
			$this->ct_ip->ViewValue = $this->ct_ip->CurrentValue;
			$this->ct_ip->ViewCustomAttributes = "";

			// ct_just
			$this->ct_just->ViewValue = $this->ct_just->CurrentValue;
			$this->ct_just->ViewCustomAttributes = "";

			// ct_just_senior
			$this->ct_just_senior->ViewValue = $this->ct_just_senior->CurrentValue;
			$this->ct_just_senior->ViewCustomAttributes = "";

			// ct_officer
			$this->ct_officer->ViewValue = $this->ct_officer->CurrentValue;
			$this->ct_officer->ViewCustomAttributes = "";

			// ct_officer_other
			$this->ct_officer_other->ViewValue = $this->ct_officer_other->CurrentValue;
			$this->ct_officer_other->ViewCustomAttributes = "";

			// ct_emp_driver
			$this->ct_emp_driver->ViewValue = $this->ct_emp_driver->CurrentValue;
			$this->ct_emp_driver->ViewCustomAttributes = "";

			// ct_emp_ger
			$this->ct_emp_ger->ViewValue = $this->ct_emp_ger->CurrentValue;
			$this->ct_emp_ger->ViewCustomAttributes = "";

			// ct_emp_interpreter
			$this->ct_emp_interpreter->ViewValue = $this->ct_emp_interpreter->CurrentValue;
			$this->ct_emp_interpreter->ViewCustomAttributes = "";

			// ct_emp_place
			$this->ct_emp_place->ViewValue = $this->ct_emp_place->CurrentValue;
			$this->ct_emp_place->ViewCustomAttributes = "";

			// ct_emp_tele
			$this->ct_emp_tele->ViewValue = $this->ct_emp_tele->CurrentValue;
			$this->ct_emp_tele->ViewCustomAttributes = "";

			// ct_emp_guard
			$this->ct_emp_guard->ViewValue = $this->ct_emp_guard->CurrentValue;
			$this->ct_emp_guard->ViewCustomAttributes = "";

			// ct_tmp_librarian1
			$this->ct_tmp_librarian1->ViewValue = $this->ct_tmp_librarian1->CurrentValue;
			$this->ct_tmp_librarian1->ViewCustomAttributes = "";

			// ct_tmp_librarian2
			$this->ct_tmp_librarian2->ViewValue = $this->ct_tmp_librarian2->CurrentValue;
			$this->ct_tmp_librarian2->ViewCustomAttributes = "";

			// ct_tmp_place
			$this->ct_tmp_place->ViewValue = $this->ct_tmp_place->CurrentValue;
			$this->ct_tmp_place->ViewCustomAttributes = "";

			// ct_tmp_citation
			$this->ct_tmp_citation->ViewValue = $this->ct_tmp_citation->CurrentValue;
			$this->ct_tmp_citation->ViewCustomAttributes = "";

			// ct_tmp_record
			$this->ct_tmp_record->ViewValue = $this->ct_tmp_record->CurrentValue;
			$this->ct_tmp_record->ViewCustomAttributes = "";

			// ct_tmp_office
			$this->ct_tmp_office->ViewValue = $this->ct_tmp_office->CurrentValue;
			$this->ct_tmp_office->ViewCustomAttributes = "";

			// ct_tmp_court1
			$this->ct_tmp_court1->ViewValue = $this->ct_tmp_court1->CurrentValue;
			$this->ct_tmp_court1->ViewCustomAttributes = "";

			// ct_tmp_court2
			$this->ct_tmp_court2->ViewValue = $this->ct_tmp_court2->CurrentValue;
			$this->ct_tmp_court2->ViewCustomAttributes = "";

			// ct_tmp_plan
			$this->ct_tmp_plan->ViewValue = $this->ct_tmp_plan->CurrentValue;
			$this->ct_tmp_plan->ViewCustomAttributes = "";

			// ct_tmp_hr
			$this->ct_tmp_hr->ViewValue = $this->ct_tmp_hr->CurrentValue;
			$this->ct_tmp_hr->ViewCustomAttributes = "";

			// ct_tmp_lawyer1
			$this->ct_tmp_lawyer1->ViewValue = $this->ct_tmp_lawyer1->CurrentValue;
			$this->ct_tmp_lawyer1->ViewCustomAttributes = "";

			// ct_tmp_lawyer2
			$this->ct_tmp_lawyer2->ViewValue = $this->ct_tmp_lawyer2->CurrentValue;
			$this->ct_tmp_lawyer2->ViewCustomAttributes = "";

			// ct_gov_computer
			$this->ct_gov_computer->ViewValue = $this->ct_gov_computer->CurrentValue;
			$this->ct_gov_computer->ViewCustomAttributes = "";

			// ct_gov_place
			$this->ct_gov_place->ViewValue = $this->ct_gov_place->CurrentValue;
			$this->ct_gov_place->ViewCustomAttributes = "";

			// ct_gov_office
			$this->ct_gov_office->ViewValue = $this->ct_gov_office->CurrentValue;
			$this->ct_gov_office->ViewCustomAttributes = "";

			// ct_gov_court
			$this->ct_gov_court->ViewValue = $this->ct_gov_court->CurrentValue;
			$this->ct_gov_court->ViewCustomAttributes = "";

			// ct_gov_lawyer1
			$this->ct_gov_lawyer1->ViewValue = $this->ct_gov_lawyer1->CurrentValue;
			$this->ct_gov_lawyer1->ViewCustomAttributes = "";

			// ct_gov_lawyer2
			$this->ct_gov_lawyer2->ViewValue = $this->ct_gov_lawyer2->CurrentValue;
			$this->ct_gov_lawyer2->ViewCustomAttributes = "";

			// ct_room_child
			$this->ct_room_child->ViewValue = $this->ct_room_child->CurrentValue;
			$this->ct_room_child->ViewCustomAttributes = "";

			// ct_room
			$this->ct_room->ViewValue = $this->ct_room->CurrentValue;
			$this->ct_room->ViewCustomAttributes = "";

			// ct_rooming
			$this->ct_rooming->ViewValue = $this->ct_rooming->CurrentValue;
			$this->ct_rooming->ViewCustomAttributes = "";

			// ct_comment
			$this->ct_comment->ViewValue = $this->ct_comment->CurrentValue;
			$this->ct_comment->ViewCustomAttributes = "";

			// ct_builing_update
			$this->ct_builing_update->ViewValue = $this->ct_builing_update->CurrentValue;
			$this->ct_builing_update->ViewCustomAttributes = "";

			// ct_builing_num
			$this->ct_builing_num->ViewValue = $this->ct_builing_num->CurrentValue;
			$this->ct_builing_num->ViewCustomAttributes = "";

			// ct_bu1_holdfile
			$this->ct_bu1_holdfile->ViewValue = $this->ct_bu1_holdfile->CurrentValue;
			$this->ct_bu1_holdfile->ViewCustomAttributes = "";

			// ct_bu1_file
			$this->ct_bu1_file->ViewValue = $this->ct_bu1_file->CurrentValue;
			$this->ct_bu1_file->ViewCustomAttributes = "";

			// ct_bu2_holdfile
			$this->ct_bu2_holdfile->ViewValue = $this->ct_bu2_holdfile->CurrentValue;
			$this->ct_bu2_holdfile->ViewCustomAttributes = "";

			// ct_bu2_file
			$this->ct_bu2_file->ViewValue = $this->ct_bu2_file->CurrentValue;
			$this->ct_bu2_file->ViewCustomAttributes = "";

			// ct_accommodation
			$this->ct_accommodation->ViewValue = $this->ct_accommodation->CurrentValue;
			$this->ct_accommodation->ViewCustomAttributes = "";

			// ct_nw1_holdfile
			$this->ct_nw1_holdfile->ViewValue = $this->ct_nw1_holdfile->CurrentValue;
			$this->ct_nw1_holdfile->ViewCustomAttributes = "";

			// ct_nw1_file
			$this->ct_nw1_file->ViewValue = $this->ct_nw1_file->CurrentValue;
			$this->ct_nw1_file->ViewCustomAttributes = "";

			// ct_nw2_holdfile
			$this->ct_nw2_holdfile->ViewValue = $this->ct_nw2_holdfile->CurrentValue;
			$this->ct_nw2_holdfile->ViewCustomAttributes = "";

			// ct_nw2_file
			$this->ct_nw2_file->ViewValue = $this->ct_nw2_file->CurrentValue;
			$this->ct_nw2_file->ViewCustomAttributes = "";

			// ct_vcs_plan_holdfile
			$this->ct_vcs_plan_holdfile->ViewValue = $this->ct_vcs_plan_holdfile->CurrentValue;
			$this->ct_vcs_plan_holdfile->ViewCustomAttributes = "";

			// ct_vcs_plan_file
			$this->ct_vcs_plan_file->ViewValue = $this->ct_vcs_plan_file->CurrentValue;
			$this->ct_vcs_plan_file->ViewCustomAttributes = "";

			// court_id
			$this->court_id->LinkCustomAttributes = "";
			$this->court_id->HrefValue = "";
			$this->court_id->TooltipValue = "";

			// ct_isdn1
			$this->ct_isdn1->LinkCustomAttributes = "";
			$this->ct_isdn1->HrefValue = "";
			$this->ct_isdn1->TooltipValue = "";

			// ct_isdn2
			$this->ct_isdn2->LinkCustomAttributes = "";
			$this->ct_isdn2->HrefValue = "";
			$this->ct_isdn2->TooltipValue = "";

			// ct_isdn3
			$this->ct_isdn3->LinkCustomAttributes = "";
			$this->ct_isdn3->HrefValue = "";
			$this->ct_isdn3->TooltipValue = "";

			// ct_ip
			$this->ct_ip->LinkCustomAttributes = "";
			$this->ct_ip->HrefValue = "";
			$this->ct_ip->TooltipValue = "";

			// ct_just
			$this->ct_just->LinkCustomAttributes = "";
			$this->ct_just->HrefValue = "";
			$this->ct_just->TooltipValue = "";

			// ct_just_senior
			$this->ct_just_senior->LinkCustomAttributes = "";
			$this->ct_just_senior->HrefValue = "";
			$this->ct_just_senior->TooltipValue = "";

			// ct_officer
			$this->ct_officer->LinkCustomAttributes = "";
			$this->ct_officer->HrefValue = "";
			$this->ct_officer->TooltipValue = "";

			// ct_officer_other
			$this->ct_officer_other->LinkCustomAttributes = "";
			$this->ct_officer_other->HrefValue = "";
			$this->ct_officer_other->TooltipValue = "";

			// ct_emp_driver
			$this->ct_emp_driver->LinkCustomAttributes = "";
			$this->ct_emp_driver->HrefValue = "";
			$this->ct_emp_driver->TooltipValue = "";

			// ct_emp_ger
			$this->ct_emp_ger->LinkCustomAttributes = "";
			$this->ct_emp_ger->HrefValue = "";
			$this->ct_emp_ger->TooltipValue = "";

			// ct_emp_interpreter
			$this->ct_emp_interpreter->LinkCustomAttributes = "";
			$this->ct_emp_interpreter->HrefValue = "";
			$this->ct_emp_interpreter->TooltipValue = "";

			// ct_emp_place
			$this->ct_emp_place->LinkCustomAttributes = "";
			$this->ct_emp_place->HrefValue = "";
			$this->ct_emp_place->TooltipValue = "";

			// ct_emp_tele
			$this->ct_emp_tele->LinkCustomAttributes = "";
			$this->ct_emp_tele->HrefValue = "";
			$this->ct_emp_tele->TooltipValue = "";

			// ct_emp_guard
			$this->ct_emp_guard->LinkCustomAttributes = "";
			$this->ct_emp_guard->HrefValue = "";
			$this->ct_emp_guard->TooltipValue = "";

			// ct_tmp_librarian1
			$this->ct_tmp_librarian1->LinkCustomAttributes = "";
			$this->ct_tmp_librarian1->HrefValue = "";
			$this->ct_tmp_librarian1->TooltipValue = "";

			// ct_tmp_librarian2
			$this->ct_tmp_librarian2->LinkCustomAttributes = "";
			$this->ct_tmp_librarian2->HrefValue = "";
			$this->ct_tmp_librarian2->TooltipValue = "";

			// ct_tmp_place
			$this->ct_tmp_place->LinkCustomAttributes = "";
			$this->ct_tmp_place->HrefValue = "";
			$this->ct_tmp_place->TooltipValue = "";

			// ct_tmp_citation
			$this->ct_tmp_citation->LinkCustomAttributes = "";
			$this->ct_tmp_citation->HrefValue = "";
			$this->ct_tmp_citation->TooltipValue = "";

			// ct_tmp_record
			$this->ct_tmp_record->LinkCustomAttributes = "";
			$this->ct_tmp_record->HrefValue = "";
			$this->ct_tmp_record->TooltipValue = "";

			// ct_tmp_office
			$this->ct_tmp_office->LinkCustomAttributes = "";
			$this->ct_tmp_office->HrefValue = "";
			$this->ct_tmp_office->TooltipValue = "";

			// ct_tmp_court1
			$this->ct_tmp_court1->LinkCustomAttributes = "";
			$this->ct_tmp_court1->HrefValue = "";
			$this->ct_tmp_court1->TooltipValue = "";

			// ct_tmp_court2
			$this->ct_tmp_court2->LinkCustomAttributes = "";
			$this->ct_tmp_court2->HrefValue = "";
			$this->ct_tmp_court2->TooltipValue = "";

			// ct_tmp_plan
			$this->ct_tmp_plan->LinkCustomAttributes = "";
			$this->ct_tmp_plan->HrefValue = "";
			$this->ct_tmp_plan->TooltipValue = "";

			// ct_tmp_hr
			$this->ct_tmp_hr->LinkCustomAttributes = "";
			$this->ct_tmp_hr->HrefValue = "";
			$this->ct_tmp_hr->TooltipValue = "";

			// ct_tmp_lawyer1
			$this->ct_tmp_lawyer1->LinkCustomAttributes = "";
			$this->ct_tmp_lawyer1->HrefValue = "";
			$this->ct_tmp_lawyer1->TooltipValue = "";

			// ct_tmp_lawyer2
			$this->ct_tmp_lawyer2->LinkCustomAttributes = "";
			$this->ct_tmp_lawyer2->HrefValue = "";
			$this->ct_tmp_lawyer2->TooltipValue = "";

			// ct_gov_computer
			$this->ct_gov_computer->LinkCustomAttributes = "";
			$this->ct_gov_computer->HrefValue = "";
			$this->ct_gov_computer->TooltipValue = "";

			// ct_gov_place
			$this->ct_gov_place->LinkCustomAttributes = "";
			$this->ct_gov_place->HrefValue = "";
			$this->ct_gov_place->TooltipValue = "";

			// ct_gov_office
			$this->ct_gov_office->LinkCustomAttributes = "";
			$this->ct_gov_office->HrefValue = "";
			$this->ct_gov_office->TooltipValue = "";

			// ct_gov_court
			$this->ct_gov_court->LinkCustomAttributes = "";
			$this->ct_gov_court->HrefValue = "";
			$this->ct_gov_court->TooltipValue = "";

			// ct_gov_lawyer1
			$this->ct_gov_lawyer1->LinkCustomAttributes = "";
			$this->ct_gov_lawyer1->HrefValue = "";
			$this->ct_gov_lawyer1->TooltipValue = "";

			// ct_gov_lawyer2
			$this->ct_gov_lawyer2->LinkCustomAttributes = "";
			$this->ct_gov_lawyer2->HrefValue = "";
			$this->ct_gov_lawyer2->TooltipValue = "";

			// ct_room_child
			$this->ct_room_child->LinkCustomAttributes = "";
			$this->ct_room_child->HrefValue = "";
			$this->ct_room_child->TooltipValue = "";

			// ct_room
			$this->ct_room->LinkCustomAttributes = "";
			$this->ct_room->HrefValue = "";
			$this->ct_room->TooltipValue = "";

			// ct_rooming
			$this->ct_rooming->LinkCustomAttributes = "";
			$this->ct_rooming->HrefValue = "";
			$this->ct_rooming->TooltipValue = "";

			// ct_comment
			$this->ct_comment->LinkCustomAttributes = "";
			$this->ct_comment->HrefValue = "";
			$this->ct_comment->TooltipValue = "";

			// ct_builing_update
			$this->ct_builing_update->LinkCustomAttributes = "";
			$this->ct_builing_update->HrefValue = "";
			$this->ct_builing_update->TooltipValue = "";

			// ct_builing_num
			$this->ct_builing_num->LinkCustomAttributes = "";
			$this->ct_builing_num->HrefValue = "";
			$this->ct_builing_num->TooltipValue = "";

			// ct_bu1_holdfile
			$this->ct_bu1_holdfile->LinkCustomAttributes = "";
			$this->ct_bu1_holdfile->HrefValue = "";
			$this->ct_bu1_holdfile->TooltipValue = "";

			// ct_bu1_file
			$this->ct_bu1_file->LinkCustomAttributes = "";
			$this->ct_bu1_file->HrefValue = "";
			$this->ct_bu1_file->TooltipValue = "";

			// ct_bu2_holdfile
			$this->ct_bu2_holdfile->LinkCustomAttributes = "";
			$this->ct_bu2_holdfile->HrefValue = "";
			$this->ct_bu2_holdfile->TooltipValue = "";

			// ct_bu2_file
			$this->ct_bu2_file->LinkCustomAttributes = "";
			$this->ct_bu2_file->HrefValue = "";
			$this->ct_bu2_file->TooltipValue = "";

			// ct_accommodation
			$this->ct_accommodation->LinkCustomAttributes = "";
			$this->ct_accommodation->HrefValue = "";
			$this->ct_accommodation->TooltipValue = "";

			// ct_nw1_holdfile
			$this->ct_nw1_holdfile->LinkCustomAttributes = "";
			$this->ct_nw1_holdfile->HrefValue = "";
			$this->ct_nw1_holdfile->TooltipValue = "";

			// ct_nw1_file
			$this->ct_nw1_file->LinkCustomAttributes = "";
			$this->ct_nw1_file->HrefValue = "";
			$this->ct_nw1_file->TooltipValue = "";

			// ct_nw2_holdfile
			$this->ct_nw2_holdfile->LinkCustomAttributes = "";
			$this->ct_nw2_holdfile->HrefValue = "";
			$this->ct_nw2_holdfile->TooltipValue = "";

			// ct_nw2_file
			$this->ct_nw2_file->LinkCustomAttributes = "";
			$this->ct_nw2_file->HrefValue = "";
			$this->ct_nw2_file->TooltipValue = "";

			// ct_vcs_plan_holdfile
			$this->ct_vcs_plan_holdfile->LinkCustomAttributes = "";
			$this->ct_vcs_plan_holdfile->HrefValue = "";
			$this->ct_vcs_plan_holdfile->TooltipValue = "";

			// ct_vcs_plan_file
			$this->ct_vcs_plan_file->LinkCustomAttributes = "";
			$this->ct_vcs_plan_file->HrefValue = "";
			$this->ct_vcs_plan_file->TooltipValue = "";
		} elseif ($this->RowType == EW_ROWTYPE_EDIT) { // Edit row

			// court_id
			$this->court_id->EditCustomAttributes = "";
			$this->court_id->EditValue = $this->court_id->CurrentValue;
			$this->court_id->ViewCustomAttributes = "";

			// ct_isdn1
			$this->ct_isdn1->EditCustomAttributes = "";
			$this->ct_isdn1->EditValue = ew_HtmlEncode($this->ct_isdn1->CurrentValue);

			// ct_isdn2
			$this->ct_isdn2->EditCustomAttributes = "";
			$this->ct_isdn2->EditValue = ew_HtmlEncode($this->ct_isdn2->CurrentValue);

			// ct_isdn3
			$this->ct_isdn3->EditCustomAttributes = "";
			$this->ct_isdn3->EditValue = ew_HtmlEncode($this->ct_isdn3->CurrentValue);

			// ct_ip
			$this->ct_ip->EditCustomAttributes = "";
			$this->ct_ip->EditValue = ew_HtmlEncode($this->ct_ip->CurrentValue);

			// ct_just
			$this->ct_just->EditCustomAttributes = "";
			$this->ct_just->EditValue = ew_HtmlEncode($this->ct_just->CurrentValue);

			// ct_just_senior
			$this->ct_just_senior->EditCustomAttributes = "";
			$this->ct_just_senior->EditValue = ew_HtmlEncode($this->ct_just_senior->CurrentValue);

			// ct_officer
			$this->ct_officer->EditCustomAttributes = "";
			$this->ct_officer->EditValue = ew_HtmlEncode($this->ct_officer->CurrentValue);

			// ct_officer_other
			$this->ct_officer_other->EditCustomAttributes = "";
			$this->ct_officer_other->EditValue = ew_HtmlEncode($this->ct_officer_other->CurrentValue);

			// ct_emp_driver
			$this->ct_emp_driver->EditCustomAttributes = "";
			$this->ct_emp_driver->EditValue = ew_HtmlEncode($this->ct_emp_driver->CurrentValue);

			// ct_emp_ger
			$this->ct_emp_ger->EditCustomAttributes = "";
			$this->ct_emp_ger->EditValue = ew_HtmlEncode($this->ct_emp_ger->CurrentValue);

			// ct_emp_interpreter
			$this->ct_emp_interpreter->EditCustomAttributes = "";
			$this->ct_emp_interpreter->EditValue = ew_HtmlEncode($this->ct_emp_interpreter->CurrentValue);

			// ct_emp_place
			$this->ct_emp_place->EditCustomAttributes = "";
			$this->ct_emp_place->EditValue = ew_HtmlEncode($this->ct_emp_place->CurrentValue);

			// ct_emp_tele
			$this->ct_emp_tele->EditCustomAttributes = "";
			$this->ct_emp_tele->EditValue = ew_HtmlEncode($this->ct_emp_tele->CurrentValue);

			// ct_emp_guard
			$this->ct_emp_guard->EditCustomAttributes = "";
			$this->ct_emp_guard->EditValue = ew_HtmlEncode($this->ct_emp_guard->CurrentValue);

			// ct_tmp_librarian1
			$this->ct_tmp_librarian1->EditCustomAttributes = "";
			$this->ct_tmp_librarian1->EditValue = ew_HtmlEncode($this->ct_tmp_librarian1->CurrentValue);

			// ct_tmp_librarian2
			$this->ct_tmp_librarian2->EditCustomAttributes = "";
			$this->ct_tmp_librarian2->EditValue = ew_HtmlEncode($this->ct_tmp_librarian2->CurrentValue);

			// ct_tmp_place
			$this->ct_tmp_place->EditCustomAttributes = "";
			$this->ct_tmp_place->EditValue = ew_HtmlEncode($this->ct_tmp_place->CurrentValue);

			// ct_tmp_citation
			$this->ct_tmp_citation->EditCustomAttributes = "";
			$this->ct_tmp_citation->EditValue = ew_HtmlEncode($this->ct_tmp_citation->CurrentValue);

			// ct_tmp_record
			$this->ct_tmp_record->EditCustomAttributes = "";
			$this->ct_tmp_record->EditValue = ew_HtmlEncode($this->ct_tmp_record->CurrentValue);

			// ct_tmp_office
			$this->ct_tmp_office->EditCustomAttributes = "";
			$this->ct_tmp_office->EditValue = ew_HtmlEncode($this->ct_tmp_office->CurrentValue);

			// ct_tmp_court1
			$this->ct_tmp_court1->EditCustomAttributes = "";
			$this->ct_tmp_court1->EditValue = ew_HtmlEncode($this->ct_tmp_court1->CurrentValue);

			// ct_tmp_court2
			$this->ct_tmp_court2->EditCustomAttributes = "";
			$this->ct_tmp_court2->EditValue = ew_HtmlEncode($this->ct_tmp_court2->CurrentValue);

			// ct_tmp_plan
			$this->ct_tmp_plan->EditCustomAttributes = "";
			$this->ct_tmp_plan->EditValue = ew_HtmlEncode($this->ct_tmp_plan->CurrentValue);

			// ct_tmp_hr
			$this->ct_tmp_hr->EditCustomAttributes = "";
			$this->ct_tmp_hr->EditValue = ew_HtmlEncode($this->ct_tmp_hr->CurrentValue);

			// ct_tmp_lawyer1
			$this->ct_tmp_lawyer1->EditCustomAttributes = "";
			$this->ct_tmp_lawyer1->EditValue = ew_HtmlEncode($this->ct_tmp_lawyer1->CurrentValue);

			// ct_tmp_lawyer2
			$this->ct_tmp_lawyer2->EditCustomAttributes = "";
			$this->ct_tmp_lawyer2->EditValue = ew_HtmlEncode($this->ct_tmp_lawyer2->CurrentValue);

			// ct_gov_computer
			$this->ct_gov_computer->EditCustomAttributes = "";
			$this->ct_gov_computer->EditValue = ew_HtmlEncode($this->ct_gov_computer->CurrentValue);

			// ct_gov_place
			$this->ct_gov_place->EditCustomAttributes = "";
			$this->ct_gov_place->EditValue = ew_HtmlEncode($this->ct_gov_place->CurrentValue);

			// ct_gov_office
			$this->ct_gov_office->EditCustomAttributes = "";
			$this->ct_gov_office->EditValue = ew_HtmlEncode($this->ct_gov_office->CurrentValue);

			// ct_gov_court
			$this->ct_gov_court->EditCustomAttributes = "";
			$this->ct_gov_court->EditValue = ew_HtmlEncode($this->ct_gov_court->CurrentValue);

			// ct_gov_lawyer1
			$this->ct_gov_lawyer1->EditCustomAttributes = "";
			$this->ct_gov_lawyer1->EditValue = ew_HtmlEncode($this->ct_gov_lawyer1->CurrentValue);

			// ct_gov_lawyer2
			$this->ct_gov_lawyer2->EditCustomAttributes = "";
			$this->ct_gov_lawyer2->EditValue = ew_HtmlEncode($this->ct_gov_lawyer2->CurrentValue);

			// ct_room_child
			$this->ct_room_child->EditCustomAttributes = "";
			$this->ct_room_child->EditValue = ew_HtmlEncode($this->ct_room_child->CurrentValue);

			// ct_room
			$this->ct_room->EditCustomAttributes = "";
			$this->ct_room->EditValue = ew_HtmlEncode($this->ct_room->CurrentValue);

			// ct_rooming
			$this->ct_rooming->EditCustomAttributes = "";
			$this->ct_rooming->EditValue = ew_HtmlEncode($this->ct_rooming->CurrentValue);

			// ct_comment
			$this->ct_comment->EditCustomAttributes = "";
			$this->ct_comment->EditValue = ew_HtmlEncode($this->ct_comment->CurrentValue);

			// ct_builing_update
			$this->ct_builing_update->EditCustomAttributes = "";
			$this->ct_builing_update->EditValue = ew_HtmlEncode($this->ct_builing_update->CurrentValue);

			// ct_builing_num
			$this->ct_builing_num->EditCustomAttributes = "";
			$this->ct_builing_num->EditValue = ew_HtmlEncode($this->ct_builing_num->CurrentValue);

			// ct_bu1_holdfile
			$this->ct_bu1_holdfile->EditCustomAttributes = "";
			$this->ct_bu1_holdfile->EditValue = ew_HtmlEncode($this->ct_bu1_holdfile->CurrentValue);

			// ct_bu1_file
			$this->ct_bu1_file->EditCustomAttributes = "";
			$this->ct_bu1_file->EditValue = ew_HtmlEncode($this->ct_bu1_file->CurrentValue);

			// ct_bu2_holdfile
			$this->ct_bu2_holdfile->EditCustomAttributes = "";
			$this->ct_bu2_holdfile->EditValue = ew_HtmlEncode($this->ct_bu2_holdfile->CurrentValue);

			// ct_bu2_file
			$this->ct_bu2_file->EditCustomAttributes = "";
			$this->ct_bu2_file->EditValue = ew_HtmlEncode($this->ct_bu2_file->CurrentValue);

			// ct_accommodation
			$this->ct_accommodation->EditCustomAttributes = "";
			$this->ct_accommodation->EditValue = ew_HtmlEncode($this->ct_accommodation->CurrentValue);

			// ct_nw1_holdfile
			$this->ct_nw1_holdfile->EditCustomAttributes = "";
			$this->ct_nw1_holdfile->EditValue = ew_HtmlEncode($this->ct_nw1_holdfile->CurrentValue);

			// ct_nw1_file
			$this->ct_nw1_file->EditCustomAttributes = "";
			$this->ct_nw1_file->EditValue = ew_HtmlEncode($this->ct_nw1_file->CurrentValue);

			// ct_nw2_holdfile
			$this->ct_nw2_holdfile->EditCustomAttributes = "";
			$this->ct_nw2_holdfile->EditValue = ew_HtmlEncode($this->ct_nw2_holdfile->CurrentValue);

			// ct_nw2_file
			$this->ct_nw2_file->EditCustomAttributes = "";
			$this->ct_nw2_file->EditValue = ew_HtmlEncode($this->ct_nw2_file->CurrentValue);

			// ct_vcs_plan_holdfile
			$this->ct_vcs_plan_holdfile->EditCustomAttributes = "";
			$this->ct_vcs_plan_holdfile->EditValue = ew_HtmlEncode($this->ct_vcs_plan_holdfile->CurrentValue);

			// ct_vcs_plan_file
			$this->ct_vcs_plan_file->EditCustomAttributes = "";
			$this->ct_vcs_plan_file->EditValue = ew_HtmlEncode($this->ct_vcs_plan_file->CurrentValue);

			// Edit refer script
			// court_id

			$this->court_id->HrefValue = "";

			// ct_isdn1
			$this->ct_isdn1->HrefValue = "";

			// ct_isdn2
			$this->ct_isdn2->HrefValue = "";

			// ct_isdn3
			$this->ct_isdn3->HrefValue = "";

			// ct_ip
			$this->ct_ip->HrefValue = "";

			// ct_just
			$this->ct_just->HrefValue = "";

			// ct_just_senior
			$this->ct_just_senior->HrefValue = "";

			// ct_officer
			$this->ct_officer->HrefValue = "";

			// ct_officer_other
			$this->ct_officer_other->HrefValue = "";

			// ct_emp_driver
			$this->ct_emp_driver->HrefValue = "";

			// ct_emp_ger
			$this->ct_emp_ger->HrefValue = "";

			// ct_emp_interpreter
			$this->ct_emp_interpreter->HrefValue = "";

			// ct_emp_place
			$this->ct_emp_place->HrefValue = "";

			// ct_emp_tele
			$this->ct_emp_tele->HrefValue = "";

			// ct_emp_guard
			$this->ct_emp_guard->HrefValue = "";

			// ct_tmp_librarian1
			$this->ct_tmp_librarian1->HrefValue = "";

			// ct_tmp_librarian2
			$this->ct_tmp_librarian2->HrefValue = "";

			// ct_tmp_place
			$this->ct_tmp_place->HrefValue = "";

			// ct_tmp_citation
			$this->ct_tmp_citation->HrefValue = "";

			// ct_tmp_record
			$this->ct_tmp_record->HrefValue = "";

			// ct_tmp_office
			$this->ct_tmp_office->HrefValue = "";

			// ct_tmp_court1
			$this->ct_tmp_court1->HrefValue = "";

			// ct_tmp_court2
			$this->ct_tmp_court2->HrefValue = "";

			// ct_tmp_plan
			$this->ct_tmp_plan->HrefValue = "";

			// ct_tmp_hr
			$this->ct_tmp_hr->HrefValue = "";

			// ct_tmp_lawyer1
			$this->ct_tmp_lawyer1->HrefValue = "";

			// ct_tmp_lawyer2
			$this->ct_tmp_lawyer2->HrefValue = "";

			// ct_gov_computer
			$this->ct_gov_computer->HrefValue = "";

			// ct_gov_place
			$this->ct_gov_place->HrefValue = "";

			// ct_gov_office
			$this->ct_gov_office->HrefValue = "";

			// ct_gov_court
			$this->ct_gov_court->HrefValue = "";

			// ct_gov_lawyer1
			$this->ct_gov_lawyer1->HrefValue = "";

			// ct_gov_lawyer2
			$this->ct_gov_lawyer2->HrefValue = "";

			// ct_room_child
			$this->ct_room_child->HrefValue = "";

			// ct_room
			$this->ct_room->HrefValue = "";

			// ct_rooming
			$this->ct_rooming->HrefValue = "";

			// ct_comment
			$this->ct_comment->HrefValue = "";

			// ct_builing_update
			$this->ct_builing_update->HrefValue = "";

			// ct_builing_num
			$this->ct_builing_num->HrefValue = "";

			// ct_bu1_holdfile
			$this->ct_bu1_holdfile->HrefValue = "";

			// ct_bu1_file
			$this->ct_bu1_file->HrefValue = "";

			// ct_bu2_holdfile
			$this->ct_bu2_holdfile->HrefValue = "";

			// ct_bu2_file
			$this->ct_bu2_file->HrefValue = "";

			// ct_accommodation
			$this->ct_accommodation->HrefValue = "";

			// ct_nw1_holdfile
			$this->ct_nw1_holdfile->HrefValue = "";

			// ct_nw1_file
			$this->ct_nw1_file->HrefValue = "";

			// ct_nw2_holdfile
			$this->ct_nw2_holdfile->HrefValue = "";

			// ct_nw2_file
			$this->ct_nw2_file->HrefValue = "";

			// ct_vcs_plan_holdfile
			$this->ct_vcs_plan_holdfile->HrefValue = "";

			// ct_vcs_plan_file
			$this->ct_vcs_plan_file->HrefValue = "";
		}
		if ($this->RowType == EW_ROWTYPE_ADD ||
			$this->RowType == EW_ROWTYPE_EDIT ||
			$this->RowType == EW_ROWTYPE_SEARCH) { // Add / Edit / Search row
			$this->SetupFieldTitles();
		}

		// Call Row Rendered event
		if ($this->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$this->Row_Rendered();
	}

	// Validate form
	function ValidateForm() {
		global $Language, $gsFormError;

		// Initialize form error message
		$gsFormError = "";

		// Check if validation required
		if (!EW_SERVER_VALIDATE)
			return ($gsFormError == "");
		if (!is_null($this->court_id->FormValue) && $this->court_id->FormValue == "") {
			ew_AddMessage($gsFormError, $Language->Phrase("EnterRequiredField") . " - " . $this->court_id->FldCaption());
		}
		if (!ew_CheckInteger($this->ct_just->FormValue)) {
			ew_AddMessage($gsFormError, $this->ct_just->FldErrMsg());
		}
		if (!ew_CheckInteger($this->ct_just_senior->FormValue)) {
			ew_AddMessage($gsFormError, $this->ct_just_senior->FldErrMsg());
		}
		if (!ew_CheckInteger($this->ct_officer->FormValue)) {
			ew_AddMessage($gsFormError, $this->ct_officer->FldErrMsg());
		}
		if (!ew_CheckInteger($this->ct_officer_other->FormValue)) {
			ew_AddMessage($gsFormError, $this->ct_officer_other->FldErrMsg());
		}
		if (!ew_CheckInteger($this->ct_emp_driver->FormValue)) {
			ew_AddMessage($gsFormError, $this->ct_emp_driver->FldErrMsg());
		}
		if (!ew_CheckInteger($this->ct_emp_ger->FormValue)) {
			ew_AddMessage($gsFormError, $this->ct_emp_ger->FldErrMsg());
		}
		if (!ew_CheckInteger($this->ct_emp_interpreter->FormValue)) {
			ew_AddMessage($gsFormError, $this->ct_emp_interpreter->FldErrMsg());
		}
		if (!ew_CheckInteger($this->ct_emp_place->FormValue)) {
			ew_AddMessage($gsFormError, $this->ct_emp_place->FldErrMsg());
		}
		if (!ew_CheckInteger($this->ct_emp_tele->FormValue)) {
			ew_AddMessage($gsFormError, $this->ct_emp_tele->FldErrMsg());
		}
		if (!ew_CheckInteger($this->ct_emp_guard->FormValue)) {
			ew_AddMessage($gsFormError, $this->ct_emp_guard->FldErrMsg());
		}
		if (!ew_CheckInteger($this->ct_tmp_librarian1->FormValue)) {
			ew_AddMessage($gsFormError, $this->ct_tmp_librarian1->FldErrMsg());
		}
		if (!ew_CheckInteger($this->ct_tmp_librarian2->FormValue)) {
			ew_AddMessage($gsFormError, $this->ct_tmp_librarian2->FldErrMsg());
		}
		if (!ew_CheckInteger($this->ct_tmp_place->FormValue)) {
			ew_AddMessage($gsFormError, $this->ct_tmp_place->FldErrMsg());
		}
		if (!ew_CheckInteger($this->ct_tmp_citation->FormValue)) {
			ew_AddMessage($gsFormError, $this->ct_tmp_citation->FldErrMsg());
		}
		if (!ew_CheckInteger($this->ct_tmp_record->FormValue)) {
			ew_AddMessage($gsFormError, $this->ct_tmp_record->FldErrMsg());
		}
		if (!ew_CheckInteger($this->ct_tmp_office->FormValue)) {
			ew_AddMessage($gsFormError, $this->ct_tmp_office->FldErrMsg());
		}
		if (!ew_CheckInteger($this->ct_tmp_court1->FormValue)) {
			ew_AddMessage($gsFormError, $this->ct_tmp_court1->FldErrMsg());
		}
		if (!ew_CheckInteger($this->ct_tmp_court2->FormValue)) {
			ew_AddMessage($gsFormError, $this->ct_tmp_court2->FldErrMsg());
		}
		if (!ew_CheckInteger($this->ct_tmp_plan->FormValue)) {
			ew_AddMessage($gsFormError, $this->ct_tmp_plan->FldErrMsg());
		}
		if (!ew_CheckInteger($this->ct_tmp_hr->FormValue)) {
			ew_AddMessage($gsFormError, $this->ct_tmp_hr->FldErrMsg());
		}
		if (!ew_CheckInteger($this->ct_tmp_lawyer1->FormValue)) {
			ew_AddMessage($gsFormError, $this->ct_tmp_lawyer1->FldErrMsg());
		}
		if (!ew_CheckInteger($this->ct_tmp_lawyer2->FormValue)) {
			ew_AddMessage($gsFormError, $this->ct_tmp_lawyer2->FldErrMsg());
		}
		if (!ew_CheckInteger($this->ct_gov_computer->FormValue)) {
			ew_AddMessage($gsFormError, $this->ct_gov_computer->FldErrMsg());
		}
		if (!ew_CheckInteger($this->ct_gov_place->FormValue)) {
			ew_AddMessage($gsFormError, $this->ct_gov_place->FldErrMsg());
		}
		if (!ew_CheckInteger($this->ct_gov_office->FormValue)) {
			ew_AddMessage($gsFormError, $this->ct_gov_office->FldErrMsg());
		}
		if (!ew_CheckInteger($this->ct_gov_court->FormValue)) {
			ew_AddMessage($gsFormError, $this->ct_gov_court->FldErrMsg());
		}
		if (!ew_CheckInteger($this->ct_gov_lawyer1->FormValue)) {
			ew_AddMessage($gsFormError, $this->ct_gov_lawyer1->FldErrMsg());
		}
		if (!ew_CheckInteger($this->ct_gov_lawyer2->FormValue)) {
			ew_AddMessage($gsFormError, $this->ct_gov_lawyer2->FldErrMsg());
		}
		if (!ew_CheckInteger($this->ct_room_child->FormValue)) {
			ew_AddMessage($gsFormError, $this->ct_room_child->FldErrMsg());
		}
		if (!ew_CheckInteger($this->ct_room->FormValue)) {
			ew_AddMessage($gsFormError, $this->ct_room->FldErrMsg());
		}
		if (!ew_CheckInteger($this->ct_rooming->FormValue)) {
			ew_AddMessage($gsFormError, $this->ct_rooming->FldErrMsg());
		}
		if (!ew_CheckInteger($this->ct_builing_update->FormValue)) {
			ew_AddMessage($gsFormError, $this->ct_builing_update->FldErrMsg());
		}
		if (!ew_CheckInteger($this->ct_builing_num->FormValue)) {
			ew_AddMessage($gsFormError, $this->ct_builing_num->FldErrMsg());
		}
		if (!ew_CheckInteger($this->ct_accommodation->FormValue)) {
			ew_AddMessage($gsFormError, $this->ct_accommodation->FldErrMsg());
		}

		// Return validate result
		$ValidateForm = ($gsFormError == "");

		// Call Form_CustomValidate event
		$sFormCustomError = "";
		$ValidateForm = $ValidateForm && $this->Form_CustomValidate($sFormCustomError);
		if ($sFormCustomError <> "") {
			ew_AddMessage($gsFormError, $sFormCustomError);
		}
		return $ValidateForm;
	}

	// Update record based on key values
	function EditRow() {
		global $conn, $Security, $Language;
		$sFilter = $this->KeyFilter();
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$conn->raiseErrorFn = 'ew_ErrorFn';
		$rs = $conn->Execute($sSql);
		$conn->raiseErrorFn = '';
		if ($rs === FALSE)
			return FALSE;
		if ($rs->EOF) {
			$EditRow = FALSE; // Update Failed
		} else {

			// Save old values
			$rsold = &$rs->fields;
			$rsnew = array();

			// court_id
			// ct_isdn1

			$this->ct_isdn1->SetDbValueDef($rsnew, $this->ct_isdn1->CurrentValue, NULL, $this->ct_isdn1->ReadOnly);

			// ct_isdn2
			$this->ct_isdn2->SetDbValueDef($rsnew, $this->ct_isdn2->CurrentValue, NULL, $this->ct_isdn2->ReadOnly);

			// ct_isdn3
			$this->ct_isdn3->SetDbValueDef($rsnew, $this->ct_isdn3->CurrentValue, NULL, $this->ct_isdn3->ReadOnly);

			// ct_ip
			$this->ct_ip->SetDbValueDef($rsnew, $this->ct_ip->CurrentValue, NULL, $this->ct_ip->ReadOnly);

			// ct_just
			$this->ct_just->SetDbValueDef($rsnew, $this->ct_just->CurrentValue, NULL, $this->ct_just->ReadOnly);

			// ct_just_senior
			$this->ct_just_senior->SetDbValueDef($rsnew, $this->ct_just_senior->CurrentValue, NULL, $this->ct_just_senior->ReadOnly);

			// ct_officer
			$this->ct_officer->SetDbValueDef($rsnew, $this->ct_officer->CurrentValue, NULL, $this->ct_officer->ReadOnly);

			// ct_officer_other
			$this->ct_officer_other->SetDbValueDef($rsnew, $this->ct_officer_other->CurrentValue, NULL, $this->ct_officer_other->ReadOnly);

			// ct_emp_driver
			$this->ct_emp_driver->SetDbValueDef($rsnew, $this->ct_emp_driver->CurrentValue, NULL, $this->ct_emp_driver->ReadOnly);

			// ct_emp_ger
			$this->ct_emp_ger->SetDbValueDef($rsnew, $this->ct_emp_ger->CurrentValue, NULL, $this->ct_emp_ger->ReadOnly);

			// ct_emp_interpreter
			$this->ct_emp_interpreter->SetDbValueDef($rsnew, $this->ct_emp_interpreter->CurrentValue, NULL, $this->ct_emp_interpreter->ReadOnly);

			// ct_emp_place
			$this->ct_emp_place->SetDbValueDef($rsnew, $this->ct_emp_place->CurrentValue, NULL, $this->ct_emp_place->ReadOnly);

			// ct_emp_tele
			$this->ct_emp_tele->SetDbValueDef($rsnew, $this->ct_emp_tele->CurrentValue, NULL, $this->ct_emp_tele->ReadOnly);

			// ct_emp_guard
			$this->ct_emp_guard->SetDbValueDef($rsnew, $this->ct_emp_guard->CurrentValue, NULL, $this->ct_emp_guard->ReadOnly);

			// ct_tmp_librarian1
			$this->ct_tmp_librarian1->SetDbValueDef($rsnew, $this->ct_tmp_librarian1->CurrentValue, NULL, $this->ct_tmp_librarian1->ReadOnly);

			// ct_tmp_librarian2
			$this->ct_tmp_librarian2->SetDbValueDef($rsnew, $this->ct_tmp_librarian2->CurrentValue, NULL, $this->ct_tmp_librarian2->ReadOnly);

			// ct_tmp_place
			$this->ct_tmp_place->SetDbValueDef($rsnew, $this->ct_tmp_place->CurrentValue, NULL, $this->ct_tmp_place->ReadOnly);

			// ct_tmp_citation
			$this->ct_tmp_citation->SetDbValueDef($rsnew, $this->ct_tmp_citation->CurrentValue, NULL, $this->ct_tmp_citation->ReadOnly);

			// ct_tmp_record
			$this->ct_tmp_record->SetDbValueDef($rsnew, $this->ct_tmp_record->CurrentValue, NULL, $this->ct_tmp_record->ReadOnly);

			// ct_tmp_office
			$this->ct_tmp_office->SetDbValueDef($rsnew, $this->ct_tmp_office->CurrentValue, NULL, $this->ct_tmp_office->ReadOnly);

			// ct_tmp_court1
			$this->ct_tmp_court1->SetDbValueDef($rsnew, $this->ct_tmp_court1->CurrentValue, NULL, $this->ct_tmp_court1->ReadOnly);

			// ct_tmp_court2
			$this->ct_tmp_court2->SetDbValueDef($rsnew, $this->ct_tmp_court2->CurrentValue, NULL, $this->ct_tmp_court2->ReadOnly);

			// ct_tmp_plan
			$this->ct_tmp_plan->SetDbValueDef($rsnew, $this->ct_tmp_plan->CurrentValue, NULL, $this->ct_tmp_plan->ReadOnly);

			// ct_tmp_hr
			$this->ct_tmp_hr->SetDbValueDef($rsnew, $this->ct_tmp_hr->CurrentValue, NULL, $this->ct_tmp_hr->ReadOnly);

			// ct_tmp_lawyer1
			$this->ct_tmp_lawyer1->SetDbValueDef($rsnew, $this->ct_tmp_lawyer1->CurrentValue, NULL, $this->ct_tmp_lawyer1->ReadOnly);

			// ct_tmp_lawyer2
			$this->ct_tmp_lawyer2->SetDbValueDef($rsnew, $this->ct_tmp_lawyer2->CurrentValue, NULL, $this->ct_tmp_lawyer2->ReadOnly);

			// ct_gov_computer
			$this->ct_gov_computer->SetDbValueDef($rsnew, $this->ct_gov_computer->CurrentValue, NULL, $this->ct_gov_computer->ReadOnly);

			// ct_gov_place
			$this->ct_gov_place->SetDbValueDef($rsnew, $this->ct_gov_place->CurrentValue, NULL, $this->ct_gov_place->ReadOnly);

			// ct_gov_office
			$this->ct_gov_office->SetDbValueDef($rsnew, $this->ct_gov_office->CurrentValue, NULL, $this->ct_gov_office->ReadOnly);

			// ct_gov_court
			$this->ct_gov_court->SetDbValueDef($rsnew, $this->ct_gov_court->CurrentValue, NULL, $this->ct_gov_court->ReadOnly);

			// ct_gov_lawyer1
			$this->ct_gov_lawyer1->SetDbValueDef($rsnew, $this->ct_gov_lawyer1->CurrentValue, NULL, $this->ct_gov_lawyer1->ReadOnly);

			// ct_gov_lawyer2
			$this->ct_gov_lawyer2->SetDbValueDef($rsnew, $this->ct_gov_lawyer2->CurrentValue, NULL, $this->ct_gov_lawyer2->ReadOnly);

			// ct_room_child
			$this->ct_room_child->SetDbValueDef($rsnew, $this->ct_room_child->CurrentValue, NULL, $this->ct_room_child->ReadOnly);

			// ct_room
			$this->ct_room->SetDbValueDef($rsnew, $this->ct_room->CurrentValue, NULL, $this->ct_room->ReadOnly);

			// ct_rooming
			$this->ct_rooming->SetDbValueDef($rsnew, $this->ct_rooming->CurrentValue, NULL, $this->ct_rooming->ReadOnly);

			// ct_comment
			$this->ct_comment->SetDbValueDef($rsnew, $this->ct_comment->CurrentValue, NULL, $this->ct_comment->ReadOnly);

			// ct_builing_update
			$this->ct_builing_update->SetDbValueDef($rsnew, $this->ct_builing_update->CurrentValue, NULL, $this->ct_builing_update->ReadOnly);

			// ct_builing_num
			$this->ct_builing_num->SetDbValueDef($rsnew, $this->ct_builing_num->CurrentValue, NULL, $this->ct_builing_num->ReadOnly);

			// ct_bu1_holdfile
			$this->ct_bu1_holdfile->SetDbValueDef($rsnew, $this->ct_bu1_holdfile->CurrentValue, NULL, $this->ct_bu1_holdfile->ReadOnly);

			// ct_bu1_file
			$this->ct_bu1_file->SetDbValueDef($rsnew, $this->ct_bu1_file->CurrentValue, NULL, $this->ct_bu1_file->ReadOnly);

			// ct_bu2_holdfile
			$this->ct_bu2_holdfile->SetDbValueDef($rsnew, $this->ct_bu2_holdfile->CurrentValue, NULL, $this->ct_bu2_holdfile->ReadOnly);

			// ct_bu2_file
			$this->ct_bu2_file->SetDbValueDef($rsnew, $this->ct_bu2_file->CurrentValue, NULL, $this->ct_bu2_file->ReadOnly);

			// ct_accommodation
			$this->ct_accommodation->SetDbValueDef($rsnew, $this->ct_accommodation->CurrentValue, NULL, $this->ct_accommodation->ReadOnly);

			// ct_nw1_holdfile
			$this->ct_nw1_holdfile->SetDbValueDef($rsnew, $this->ct_nw1_holdfile->CurrentValue, NULL, $this->ct_nw1_holdfile->ReadOnly);

			// ct_nw1_file
			$this->ct_nw1_file->SetDbValueDef($rsnew, $this->ct_nw1_file->CurrentValue, NULL, $this->ct_nw1_file->ReadOnly);

			// ct_nw2_holdfile
			$this->ct_nw2_holdfile->SetDbValueDef($rsnew, $this->ct_nw2_holdfile->CurrentValue, NULL, $this->ct_nw2_holdfile->ReadOnly);

			// ct_nw2_file
			$this->ct_nw2_file->SetDbValueDef($rsnew, $this->ct_nw2_file->CurrentValue, NULL, $this->ct_nw2_file->ReadOnly);

			// ct_vcs_plan_holdfile
			$this->ct_vcs_plan_holdfile->SetDbValueDef($rsnew, $this->ct_vcs_plan_holdfile->CurrentValue, NULL, $this->ct_vcs_plan_holdfile->ReadOnly);

			// ct_vcs_plan_file
			$this->ct_vcs_plan_file->SetDbValueDef($rsnew, $this->ct_vcs_plan_file->CurrentValue, NULL, $this->ct_vcs_plan_file->ReadOnly);

			// Call Row Updating event
			$bUpdateRow = $this->Row_Updating($rsold, $rsnew);
			if ($bUpdateRow) {
				$conn->raiseErrorFn = 'ew_ErrorFn';
				if (count($rsnew) > 0)
					$EditRow = $this->Update($rsnew);
				else
					$EditRow = TRUE; // No field to update
				$conn->raiseErrorFn = '';
			} else {
				if ($this->getSuccessMessage() <> "" || $this->getFailureMessage() <> "") {

					// Use the message, do nothing
				} elseif ($this->CancelMessage <> "") {
					$this->setFailureMessage($this->CancelMessage);
					$this->CancelMessage = "";
				} else {
					$this->setFailureMessage($Language->Phrase("UpdateCancelled"));
				}
				$EditRow = FALSE;
			}
		}

		// Call Row_Updated event
		if ($EditRow)
			$this->Row_Updated($rsold, $rsnew);
		$rs->Close();
		return $EditRow;
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	// $type = ''|'success'|'failure'|'warning'
	function Message_Showing(&$msg, $type) {
		if ($type == 'success') {

			//$msg = "your success message";
		} elseif ($type == 'failure') {

			//$msg = "your failure message";
		} elseif ($type == 'warning') {

			//$msg = "your warning message";
		} else {

			//$msg = "your message";
		}
	}

	// Page Data Rendering event
	function Page_DataRendering(&$header) {

		// Example:
		//$header = "your header";

	}

	// Page Data Rendered event
	function Page_DataRendered(&$footer) {

		// Example:
		//$footer = "your footer";

	}

	// Form Custom Validate event
	function Form_CustomValidate(&$CustomError) {

		// Return error message in CustomError
		return TRUE;
	}
}
?>
<?php ew_Header(FALSE) ?>
<?php

// Create page object
if (!isset($tb_court_details_edit)) $tb_court_details_edit = new ctb_court_details_edit();

// Page init
$tb_court_details_edit->Page_Init();

// Page main
$tb_court_details_edit->Page_Main();
?>
<?php include_once "header.php" ?>
<script type="text/javascript">

// Page object
var tb_court_details_edit = new ew_Page("tb_court_details_edit");
tb_court_details_edit.PageID = "edit"; // Page ID
var EW_PAGE_ID = tb_court_details_edit.PageID; // For backward compatibility

// Form object
var ftb_court_detailsedit = new ew_Form("ftb_court_detailsedit");

// Validate form
ftb_court_detailsedit.Validate = function(fobj) {
	if (!this.ValidateRequired)
		return true; // Ignore validation
	fobj = fobj || this.Form;
	this.PostAutoSuggest();	
	if (fobj.a_confirm && fobj.a_confirm.value == "F")
		return true;
	var elm, aelm;
	var rowcnt = 1;
	var startcnt = (rowcnt == 0) ? 0 : 1; // rowcnt == 0 => Inline-Add
	for (var i = startcnt; i <= rowcnt; i++) {
		var infix = "";
		elm = fobj.elements["x" + infix + "_court_id"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tb_court_details->court_id->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_ct_just"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_court_details->ct_just->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_ct_just_senior"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_court_details->ct_just_senior->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_ct_officer"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_court_details->ct_officer->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_ct_officer_other"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_court_details->ct_officer_other->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_ct_emp_driver"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_court_details->ct_emp_driver->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_ct_emp_ger"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_court_details->ct_emp_ger->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_ct_emp_interpreter"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_court_details->ct_emp_interpreter->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_ct_emp_place"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_court_details->ct_emp_place->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_ct_emp_tele"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_court_details->ct_emp_tele->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_ct_emp_guard"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_court_details->ct_emp_guard->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_ct_tmp_librarian1"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_court_details->ct_tmp_librarian1->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_ct_tmp_librarian2"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_court_details->ct_tmp_librarian2->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_ct_tmp_place"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_court_details->ct_tmp_place->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_ct_tmp_citation"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_court_details->ct_tmp_citation->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_ct_tmp_record"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_court_details->ct_tmp_record->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_ct_tmp_office"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_court_details->ct_tmp_office->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_ct_tmp_court1"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_court_details->ct_tmp_court1->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_ct_tmp_court2"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_court_details->ct_tmp_court2->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_ct_tmp_plan"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_court_details->ct_tmp_plan->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_ct_tmp_hr"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_court_details->ct_tmp_hr->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_ct_tmp_lawyer1"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_court_details->ct_tmp_lawyer1->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_ct_tmp_lawyer2"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_court_details->ct_tmp_lawyer2->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_ct_gov_computer"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_court_details->ct_gov_computer->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_ct_gov_place"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_court_details->ct_gov_place->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_ct_gov_office"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_court_details->ct_gov_office->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_ct_gov_court"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_court_details->ct_gov_court->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_ct_gov_lawyer1"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_court_details->ct_gov_lawyer1->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_ct_gov_lawyer2"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_court_details->ct_gov_lawyer2->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_ct_room_child"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_court_details->ct_room_child->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_ct_room"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_court_details->ct_room->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_ct_rooming"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_court_details->ct_rooming->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_ct_builing_update"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_court_details->ct_builing_update->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_ct_builing_num"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_court_details->ct_builing_num->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_ct_accommodation"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_court_details->ct_accommodation->FldErrMsg()) ?>");

		// Set up row object
		ew_ElementsToRow(fobj, infix);

		// Fire Form_CustomValidate event
		if (!this.Form_CustomValidate(fobj))
			return false;
	}

	// Process detail page
	if (fobj.detailpage && fobj.detailpage.value && ewForms[fobj.detailpage.value])
		return ewForms[fobj.detailpage.value].Validate(fobj);
	return true;
}

// Form_CustomValidate event
ftb_court_detailsedit.Form_CustomValidate =  
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }

// Use JavaScript validation or not
<?php if (EW_CLIENT_VALIDATE) { ?>
ftb_court_detailsedit.ValidateRequired = true;
<?php } else { ?>
ftb_court_detailsedit.ValidateRequired = false; 
<?php } ?>

// Dynamic selection lists
// Form object for search

</script>
<script type="text/javascript">

// Write your client script here, no need to add script tags.
</script>
<p><span class="ewTitle ewTableTitle"><?php echo $Language->Phrase("Edit") ?>&nbsp;<?php echo $Language->Phrase("TblTypeTABLE") ?><?php echo $tb_court_details->TableCaption() ?></span></p>
<p class="phpmaker"><a href="<?php echo $tb_court_details->getReturnUrl() ?>"><?php echo $Language->Phrase("GoBack") ?></a></p>
<?php $tb_court_details_edit->ShowPageHeader(); ?>
<?php
$tb_court_details_edit->ShowMessage();
?>
<form name="ftb_court_detailsedit" id="ftb_court_detailsedit" class="ewForm" action="<?php echo ew_CurrentPage() ?>" method="post" onsubmit="return ewForms[this.id].Submit();">
<p>
<input type="hidden" name="t" value="tb_court_details">
<input type="hidden" name="a_edit" id="a_edit" value="U">
<?php if ($tb_court_details->CurrentAction == "F") { // Confirm page ?>
<input type="hidden" name="a_confirm" id="a_confirm" value="F">
<?php } ?>
<table cellspacing="0" class="ewGrid"><tr><td class="ewGridContent">
<div class="ewGridMiddlePanel">
<table cellspacing="0" id="tbl_tb_court_detailsedit" class="ewTable">
<?php if ($tb_court_details->court_id->Visible) { // court_id ?>
	<tr id="r_court_id"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_court_id"><?php echo $tb_court_details->court_id->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></span></td>
		<td<?php echo $tb_court_details->court_id->CellAttributes() ?>><span id="el_tb_court_details_court_id">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<span<?php echo $tb_court_details->court_id->ViewAttributes() ?>>
<?php echo $tb_court_details->court_id->EditValue ?></span>
<input type="hidden" name="x_court_id" id="x_court_id" value="<?php echo ew_HtmlEncode($tb_court_details->court_id->CurrentValue) ?>">
<?php } else { ?>
<span<?php echo $tb_court_details->court_id->ViewAttributes() ?>>
<?php echo $tb_court_details->court_id->ViewValue ?></span>
<input type="hidden" name="x_court_id" id="x_court_id" value="<?php echo ew_HtmlEncode($tb_court_details->court_id->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->court_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_isdn1->Visible) { // ct_isdn1 ?>
	<tr id="r_ct_isdn1"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_isdn1"><?php echo $tb_court_details->ct_isdn1->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_isdn1->CellAttributes() ?>><span id="el_tb_court_details_ct_isdn1">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<input type="text" name="x_ct_isdn1" id="x_ct_isdn1" size="30" maxlength="30" value="<?php echo $tb_court_details->ct_isdn1->EditValue ?>"<?php echo $tb_court_details->ct_isdn1->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_court_details->ct_isdn1->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_isdn1->ViewValue ?></span>
<input type="hidden" name="x_ct_isdn1" id="x_ct_isdn1" value="<?php echo ew_HtmlEncode($tb_court_details->ct_isdn1->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->ct_isdn1->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_isdn2->Visible) { // ct_isdn2 ?>
	<tr id="r_ct_isdn2"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_isdn2"><?php echo $tb_court_details->ct_isdn2->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_isdn2->CellAttributes() ?>><span id="el_tb_court_details_ct_isdn2">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<input type="text" name="x_ct_isdn2" id="x_ct_isdn2" size="30" maxlength="30" value="<?php echo $tb_court_details->ct_isdn2->EditValue ?>"<?php echo $tb_court_details->ct_isdn2->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_court_details->ct_isdn2->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_isdn2->ViewValue ?></span>
<input type="hidden" name="x_ct_isdn2" id="x_ct_isdn2" value="<?php echo ew_HtmlEncode($tb_court_details->ct_isdn2->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->ct_isdn2->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_isdn3->Visible) { // ct_isdn3 ?>
	<tr id="r_ct_isdn3"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_isdn3"><?php echo $tb_court_details->ct_isdn3->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_isdn3->CellAttributes() ?>><span id="el_tb_court_details_ct_isdn3">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<input type="text" name="x_ct_isdn3" id="x_ct_isdn3" size="30" maxlength="30" value="<?php echo $tb_court_details->ct_isdn3->EditValue ?>"<?php echo $tb_court_details->ct_isdn3->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_court_details->ct_isdn3->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_isdn3->ViewValue ?></span>
<input type="hidden" name="x_ct_isdn3" id="x_ct_isdn3" value="<?php echo ew_HtmlEncode($tb_court_details->ct_isdn3->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->ct_isdn3->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_ip->Visible) { // ct_ip ?>
	<tr id="r_ct_ip"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_ip"><?php echo $tb_court_details->ct_ip->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_ip->CellAttributes() ?>><span id="el_tb_court_details_ct_ip">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<input type="text" name="x_ct_ip" id="x_ct_ip" size="30" maxlength="100" value="<?php echo $tb_court_details->ct_ip->EditValue ?>"<?php echo $tb_court_details->ct_ip->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_court_details->ct_ip->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_ip->ViewValue ?></span>
<input type="hidden" name="x_ct_ip" id="x_ct_ip" value="<?php echo ew_HtmlEncode($tb_court_details->ct_ip->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->ct_ip->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_just->Visible) { // ct_just ?>
	<tr id="r_ct_just"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_just"><?php echo $tb_court_details->ct_just->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_just->CellAttributes() ?>><span id="el_tb_court_details_ct_just">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<input type="text" name="x_ct_just" id="x_ct_just" size="30" value="<?php echo $tb_court_details->ct_just->EditValue ?>"<?php echo $tb_court_details->ct_just->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_court_details->ct_just->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_just->ViewValue ?></span>
<input type="hidden" name="x_ct_just" id="x_ct_just" value="<?php echo ew_HtmlEncode($tb_court_details->ct_just->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->ct_just->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_just_senior->Visible) { // ct_just_senior ?>
	<tr id="r_ct_just_senior"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_just_senior"><?php echo $tb_court_details->ct_just_senior->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_just_senior->CellAttributes() ?>><span id="el_tb_court_details_ct_just_senior">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<input type="text" name="x_ct_just_senior" id="x_ct_just_senior" size="30" value="<?php echo $tb_court_details->ct_just_senior->EditValue ?>"<?php echo $tb_court_details->ct_just_senior->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_court_details->ct_just_senior->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_just_senior->ViewValue ?></span>
<input type="hidden" name="x_ct_just_senior" id="x_ct_just_senior" value="<?php echo ew_HtmlEncode($tb_court_details->ct_just_senior->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->ct_just_senior->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_officer->Visible) { // ct_officer ?>
	<tr id="r_ct_officer"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_officer"><?php echo $tb_court_details->ct_officer->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_officer->CellAttributes() ?>><span id="el_tb_court_details_ct_officer">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<input type="text" name="x_ct_officer" id="x_ct_officer" size="30" value="<?php echo $tb_court_details->ct_officer->EditValue ?>"<?php echo $tb_court_details->ct_officer->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_court_details->ct_officer->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_officer->ViewValue ?></span>
<input type="hidden" name="x_ct_officer" id="x_ct_officer" value="<?php echo ew_HtmlEncode($tb_court_details->ct_officer->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->ct_officer->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_officer_other->Visible) { // ct_officer_other ?>
	<tr id="r_ct_officer_other"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_officer_other"><?php echo $tb_court_details->ct_officer_other->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_officer_other->CellAttributes() ?>><span id="el_tb_court_details_ct_officer_other">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<input type="text" name="x_ct_officer_other" id="x_ct_officer_other" size="30" value="<?php echo $tb_court_details->ct_officer_other->EditValue ?>"<?php echo $tb_court_details->ct_officer_other->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_court_details->ct_officer_other->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_officer_other->ViewValue ?></span>
<input type="hidden" name="x_ct_officer_other" id="x_ct_officer_other" value="<?php echo ew_HtmlEncode($tb_court_details->ct_officer_other->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->ct_officer_other->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_emp_driver->Visible) { // ct_emp_driver ?>
	<tr id="r_ct_emp_driver"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_emp_driver"><?php echo $tb_court_details->ct_emp_driver->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_emp_driver->CellAttributes() ?>><span id="el_tb_court_details_ct_emp_driver">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<input type="text" name="x_ct_emp_driver" id="x_ct_emp_driver" size="30" value="<?php echo $tb_court_details->ct_emp_driver->EditValue ?>"<?php echo $tb_court_details->ct_emp_driver->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_court_details->ct_emp_driver->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_emp_driver->ViewValue ?></span>
<input type="hidden" name="x_ct_emp_driver" id="x_ct_emp_driver" value="<?php echo ew_HtmlEncode($tb_court_details->ct_emp_driver->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->ct_emp_driver->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_emp_ger->Visible) { // ct_emp_ger ?>
	<tr id="r_ct_emp_ger"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_emp_ger"><?php echo $tb_court_details->ct_emp_ger->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_emp_ger->CellAttributes() ?>><span id="el_tb_court_details_ct_emp_ger">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<input type="text" name="x_ct_emp_ger" id="x_ct_emp_ger" size="30" value="<?php echo $tb_court_details->ct_emp_ger->EditValue ?>"<?php echo $tb_court_details->ct_emp_ger->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_court_details->ct_emp_ger->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_emp_ger->ViewValue ?></span>
<input type="hidden" name="x_ct_emp_ger" id="x_ct_emp_ger" value="<?php echo ew_HtmlEncode($tb_court_details->ct_emp_ger->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->ct_emp_ger->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_emp_interpreter->Visible) { // ct_emp_interpreter ?>
	<tr id="r_ct_emp_interpreter"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_emp_interpreter"><?php echo $tb_court_details->ct_emp_interpreter->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_emp_interpreter->CellAttributes() ?>><span id="el_tb_court_details_ct_emp_interpreter">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<input type="text" name="x_ct_emp_interpreter" id="x_ct_emp_interpreter" size="30" value="<?php echo $tb_court_details->ct_emp_interpreter->EditValue ?>"<?php echo $tb_court_details->ct_emp_interpreter->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_court_details->ct_emp_interpreter->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_emp_interpreter->ViewValue ?></span>
<input type="hidden" name="x_ct_emp_interpreter" id="x_ct_emp_interpreter" value="<?php echo ew_HtmlEncode($tb_court_details->ct_emp_interpreter->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->ct_emp_interpreter->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_emp_place->Visible) { // ct_emp_place ?>
	<tr id="r_ct_emp_place"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_emp_place"><?php echo $tb_court_details->ct_emp_place->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_emp_place->CellAttributes() ?>><span id="el_tb_court_details_ct_emp_place">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<input type="text" name="x_ct_emp_place" id="x_ct_emp_place" size="30" value="<?php echo $tb_court_details->ct_emp_place->EditValue ?>"<?php echo $tb_court_details->ct_emp_place->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_court_details->ct_emp_place->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_emp_place->ViewValue ?></span>
<input type="hidden" name="x_ct_emp_place" id="x_ct_emp_place" value="<?php echo ew_HtmlEncode($tb_court_details->ct_emp_place->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->ct_emp_place->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_emp_tele->Visible) { // ct_emp_tele ?>
	<tr id="r_ct_emp_tele"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_emp_tele"><?php echo $tb_court_details->ct_emp_tele->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_emp_tele->CellAttributes() ?>><span id="el_tb_court_details_ct_emp_tele">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<input type="text" name="x_ct_emp_tele" id="x_ct_emp_tele" size="30" value="<?php echo $tb_court_details->ct_emp_tele->EditValue ?>"<?php echo $tb_court_details->ct_emp_tele->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_court_details->ct_emp_tele->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_emp_tele->ViewValue ?></span>
<input type="hidden" name="x_ct_emp_tele" id="x_ct_emp_tele" value="<?php echo ew_HtmlEncode($tb_court_details->ct_emp_tele->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->ct_emp_tele->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_emp_guard->Visible) { // ct_emp_guard ?>
	<tr id="r_ct_emp_guard"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_emp_guard"><?php echo $tb_court_details->ct_emp_guard->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_emp_guard->CellAttributes() ?>><span id="el_tb_court_details_ct_emp_guard">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<input type="text" name="x_ct_emp_guard" id="x_ct_emp_guard" size="30" value="<?php echo $tb_court_details->ct_emp_guard->EditValue ?>"<?php echo $tb_court_details->ct_emp_guard->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_court_details->ct_emp_guard->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_emp_guard->ViewValue ?></span>
<input type="hidden" name="x_ct_emp_guard" id="x_ct_emp_guard" value="<?php echo ew_HtmlEncode($tb_court_details->ct_emp_guard->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->ct_emp_guard->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_tmp_librarian1->Visible) { // ct_tmp_librarian1 ?>
	<tr id="r_ct_tmp_librarian1"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_tmp_librarian1"><?php echo $tb_court_details->ct_tmp_librarian1->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_tmp_librarian1->CellAttributes() ?>><span id="el_tb_court_details_ct_tmp_librarian1">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<input type="text" name="x_ct_tmp_librarian1" id="x_ct_tmp_librarian1" size="30" value="<?php echo $tb_court_details->ct_tmp_librarian1->EditValue ?>"<?php echo $tb_court_details->ct_tmp_librarian1->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_court_details->ct_tmp_librarian1->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_tmp_librarian1->ViewValue ?></span>
<input type="hidden" name="x_ct_tmp_librarian1" id="x_ct_tmp_librarian1" value="<?php echo ew_HtmlEncode($tb_court_details->ct_tmp_librarian1->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->ct_tmp_librarian1->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_tmp_librarian2->Visible) { // ct_tmp_librarian2 ?>
	<tr id="r_ct_tmp_librarian2"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_tmp_librarian2"><?php echo $tb_court_details->ct_tmp_librarian2->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_tmp_librarian2->CellAttributes() ?>><span id="el_tb_court_details_ct_tmp_librarian2">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<input type="text" name="x_ct_tmp_librarian2" id="x_ct_tmp_librarian2" size="30" value="<?php echo $tb_court_details->ct_tmp_librarian2->EditValue ?>"<?php echo $tb_court_details->ct_tmp_librarian2->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_court_details->ct_tmp_librarian2->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_tmp_librarian2->ViewValue ?></span>
<input type="hidden" name="x_ct_tmp_librarian2" id="x_ct_tmp_librarian2" value="<?php echo ew_HtmlEncode($tb_court_details->ct_tmp_librarian2->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->ct_tmp_librarian2->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_tmp_place->Visible) { // ct_tmp_place ?>
	<tr id="r_ct_tmp_place"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_tmp_place"><?php echo $tb_court_details->ct_tmp_place->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_tmp_place->CellAttributes() ?>><span id="el_tb_court_details_ct_tmp_place">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<input type="text" name="x_ct_tmp_place" id="x_ct_tmp_place" size="30" value="<?php echo $tb_court_details->ct_tmp_place->EditValue ?>"<?php echo $tb_court_details->ct_tmp_place->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_court_details->ct_tmp_place->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_tmp_place->ViewValue ?></span>
<input type="hidden" name="x_ct_tmp_place" id="x_ct_tmp_place" value="<?php echo ew_HtmlEncode($tb_court_details->ct_tmp_place->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->ct_tmp_place->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_tmp_citation->Visible) { // ct_tmp_citation ?>
	<tr id="r_ct_tmp_citation"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_tmp_citation"><?php echo $tb_court_details->ct_tmp_citation->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_tmp_citation->CellAttributes() ?>><span id="el_tb_court_details_ct_tmp_citation">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<input type="text" name="x_ct_tmp_citation" id="x_ct_tmp_citation" size="30" value="<?php echo $tb_court_details->ct_tmp_citation->EditValue ?>"<?php echo $tb_court_details->ct_tmp_citation->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_court_details->ct_tmp_citation->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_tmp_citation->ViewValue ?></span>
<input type="hidden" name="x_ct_tmp_citation" id="x_ct_tmp_citation" value="<?php echo ew_HtmlEncode($tb_court_details->ct_tmp_citation->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->ct_tmp_citation->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_tmp_record->Visible) { // ct_tmp_record ?>
	<tr id="r_ct_tmp_record"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_tmp_record"><?php echo $tb_court_details->ct_tmp_record->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_tmp_record->CellAttributes() ?>><span id="el_tb_court_details_ct_tmp_record">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<input type="text" name="x_ct_tmp_record" id="x_ct_tmp_record" size="30" value="<?php echo $tb_court_details->ct_tmp_record->EditValue ?>"<?php echo $tb_court_details->ct_tmp_record->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_court_details->ct_tmp_record->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_tmp_record->ViewValue ?></span>
<input type="hidden" name="x_ct_tmp_record" id="x_ct_tmp_record" value="<?php echo ew_HtmlEncode($tb_court_details->ct_tmp_record->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->ct_tmp_record->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_tmp_office->Visible) { // ct_tmp_office ?>
	<tr id="r_ct_tmp_office"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_tmp_office"><?php echo $tb_court_details->ct_tmp_office->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_tmp_office->CellAttributes() ?>><span id="el_tb_court_details_ct_tmp_office">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<input type="text" name="x_ct_tmp_office" id="x_ct_tmp_office" size="30" value="<?php echo $tb_court_details->ct_tmp_office->EditValue ?>"<?php echo $tb_court_details->ct_tmp_office->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_court_details->ct_tmp_office->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_tmp_office->ViewValue ?></span>
<input type="hidden" name="x_ct_tmp_office" id="x_ct_tmp_office" value="<?php echo ew_HtmlEncode($tb_court_details->ct_tmp_office->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->ct_tmp_office->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_tmp_court1->Visible) { // ct_tmp_court1 ?>
	<tr id="r_ct_tmp_court1"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_tmp_court1"><?php echo $tb_court_details->ct_tmp_court1->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_tmp_court1->CellAttributes() ?>><span id="el_tb_court_details_ct_tmp_court1">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<input type="text" name="x_ct_tmp_court1" id="x_ct_tmp_court1" size="30" value="<?php echo $tb_court_details->ct_tmp_court1->EditValue ?>"<?php echo $tb_court_details->ct_tmp_court1->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_court_details->ct_tmp_court1->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_tmp_court1->ViewValue ?></span>
<input type="hidden" name="x_ct_tmp_court1" id="x_ct_tmp_court1" value="<?php echo ew_HtmlEncode($tb_court_details->ct_tmp_court1->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->ct_tmp_court1->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_tmp_court2->Visible) { // ct_tmp_court2 ?>
	<tr id="r_ct_tmp_court2"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_tmp_court2"><?php echo $tb_court_details->ct_tmp_court2->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_tmp_court2->CellAttributes() ?>><span id="el_tb_court_details_ct_tmp_court2">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<input type="text" name="x_ct_tmp_court2" id="x_ct_tmp_court2" size="30" value="<?php echo $tb_court_details->ct_tmp_court2->EditValue ?>"<?php echo $tb_court_details->ct_tmp_court2->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_court_details->ct_tmp_court2->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_tmp_court2->ViewValue ?></span>
<input type="hidden" name="x_ct_tmp_court2" id="x_ct_tmp_court2" value="<?php echo ew_HtmlEncode($tb_court_details->ct_tmp_court2->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->ct_tmp_court2->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_tmp_plan->Visible) { // ct_tmp_plan ?>
	<tr id="r_ct_tmp_plan"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_tmp_plan"><?php echo $tb_court_details->ct_tmp_plan->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_tmp_plan->CellAttributes() ?>><span id="el_tb_court_details_ct_tmp_plan">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<input type="text" name="x_ct_tmp_plan" id="x_ct_tmp_plan" size="30" value="<?php echo $tb_court_details->ct_tmp_plan->EditValue ?>"<?php echo $tb_court_details->ct_tmp_plan->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_court_details->ct_tmp_plan->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_tmp_plan->ViewValue ?></span>
<input type="hidden" name="x_ct_tmp_plan" id="x_ct_tmp_plan" value="<?php echo ew_HtmlEncode($tb_court_details->ct_tmp_plan->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->ct_tmp_plan->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_tmp_hr->Visible) { // ct_tmp_hr ?>
	<tr id="r_ct_tmp_hr"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_tmp_hr"><?php echo $tb_court_details->ct_tmp_hr->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_tmp_hr->CellAttributes() ?>><span id="el_tb_court_details_ct_tmp_hr">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<input type="text" name="x_ct_tmp_hr" id="x_ct_tmp_hr" size="30" value="<?php echo $tb_court_details->ct_tmp_hr->EditValue ?>"<?php echo $tb_court_details->ct_tmp_hr->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_court_details->ct_tmp_hr->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_tmp_hr->ViewValue ?></span>
<input type="hidden" name="x_ct_tmp_hr" id="x_ct_tmp_hr" value="<?php echo ew_HtmlEncode($tb_court_details->ct_tmp_hr->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->ct_tmp_hr->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_tmp_lawyer1->Visible) { // ct_tmp_lawyer1 ?>
	<tr id="r_ct_tmp_lawyer1"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_tmp_lawyer1"><?php echo $tb_court_details->ct_tmp_lawyer1->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_tmp_lawyer1->CellAttributes() ?>><span id="el_tb_court_details_ct_tmp_lawyer1">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<input type="text" name="x_ct_tmp_lawyer1" id="x_ct_tmp_lawyer1" size="30" value="<?php echo $tb_court_details->ct_tmp_lawyer1->EditValue ?>"<?php echo $tb_court_details->ct_tmp_lawyer1->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_court_details->ct_tmp_lawyer1->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_tmp_lawyer1->ViewValue ?></span>
<input type="hidden" name="x_ct_tmp_lawyer1" id="x_ct_tmp_lawyer1" value="<?php echo ew_HtmlEncode($tb_court_details->ct_tmp_lawyer1->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->ct_tmp_lawyer1->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_tmp_lawyer2->Visible) { // ct_tmp_lawyer2 ?>
	<tr id="r_ct_tmp_lawyer2"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_tmp_lawyer2"><?php echo $tb_court_details->ct_tmp_lawyer2->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_tmp_lawyer2->CellAttributes() ?>><span id="el_tb_court_details_ct_tmp_lawyer2">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<input type="text" name="x_ct_tmp_lawyer2" id="x_ct_tmp_lawyer2" size="30" value="<?php echo $tb_court_details->ct_tmp_lawyer2->EditValue ?>"<?php echo $tb_court_details->ct_tmp_lawyer2->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_court_details->ct_tmp_lawyer2->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_tmp_lawyer2->ViewValue ?></span>
<input type="hidden" name="x_ct_tmp_lawyer2" id="x_ct_tmp_lawyer2" value="<?php echo ew_HtmlEncode($tb_court_details->ct_tmp_lawyer2->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->ct_tmp_lawyer2->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_gov_computer->Visible) { // ct_gov_computer ?>
	<tr id="r_ct_gov_computer"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_gov_computer"><?php echo $tb_court_details->ct_gov_computer->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_gov_computer->CellAttributes() ?>><span id="el_tb_court_details_ct_gov_computer">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<input type="text" name="x_ct_gov_computer" id="x_ct_gov_computer" size="30" value="<?php echo $tb_court_details->ct_gov_computer->EditValue ?>"<?php echo $tb_court_details->ct_gov_computer->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_court_details->ct_gov_computer->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_gov_computer->ViewValue ?></span>
<input type="hidden" name="x_ct_gov_computer" id="x_ct_gov_computer" value="<?php echo ew_HtmlEncode($tb_court_details->ct_gov_computer->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->ct_gov_computer->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_gov_place->Visible) { // ct_gov_place ?>
	<tr id="r_ct_gov_place"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_gov_place"><?php echo $tb_court_details->ct_gov_place->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_gov_place->CellAttributes() ?>><span id="el_tb_court_details_ct_gov_place">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<input type="text" name="x_ct_gov_place" id="x_ct_gov_place" size="30" value="<?php echo $tb_court_details->ct_gov_place->EditValue ?>"<?php echo $tb_court_details->ct_gov_place->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_court_details->ct_gov_place->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_gov_place->ViewValue ?></span>
<input type="hidden" name="x_ct_gov_place" id="x_ct_gov_place" value="<?php echo ew_HtmlEncode($tb_court_details->ct_gov_place->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->ct_gov_place->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_gov_office->Visible) { // ct_gov_office ?>
	<tr id="r_ct_gov_office"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_gov_office"><?php echo $tb_court_details->ct_gov_office->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_gov_office->CellAttributes() ?>><span id="el_tb_court_details_ct_gov_office">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<input type="text" name="x_ct_gov_office" id="x_ct_gov_office" size="30" value="<?php echo $tb_court_details->ct_gov_office->EditValue ?>"<?php echo $tb_court_details->ct_gov_office->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_court_details->ct_gov_office->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_gov_office->ViewValue ?></span>
<input type="hidden" name="x_ct_gov_office" id="x_ct_gov_office" value="<?php echo ew_HtmlEncode($tb_court_details->ct_gov_office->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->ct_gov_office->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_gov_court->Visible) { // ct_gov_court ?>
	<tr id="r_ct_gov_court"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_gov_court"><?php echo $tb_court_details->ct_gov_court->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_gov_court->CellAttributes() ?>><span id="el_tb_court_details_ct_gov_court">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<input type="text" name="x_ct_gov_court" id="x_ct_gov_court" size="30" value="<?php echo $tb_court_details->ct_gov_court->EditValue ?>"<?php echo $tb_court_details->ct_gov_court->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_court_details->ct_gov_court->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_gov_court->ViewValue ?></span>
<input type="hidden" name="x_ct_gov_court" id="x_ct_gov_court" value="<?php echo ew_HtmlEncode($tb_court_details->ct_gov_court->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->ct_gov_court->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_gov_lawyer1->Visible) { // ct_gov_lawyer1 ?>
	<tr id="r_ct_gov_lawyer1"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_gov_lawyer1"><?php echo $tb_court_details->ct_gov_lawyer1->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_gov_lawyer1->CellAttributes() ?>><span id="el_tb_court_details_ct_gov_lawyer1">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<input type="text" name="x_ct_gov_lawyer1" id="x_ct_gov_lawyer1" size="30" value="<?php echo $tb_court_details->ct_gov_lawyer1->EditValue ?>"<?php echo $tb_court_details->ct_gov_lawyer1->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_court_details->ct_gov_lawyer1->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_gov_lawyer1->ViewValue ?></span>
<input type="hidden" name="x_ct_gov_lawyer1" id="x_ct_gov_lawyer1" value="<?php echo ew_HtmlEncode($tb_court_details->ct_gov_lawyer1->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->ct_gov_lawyer1->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_gov_lawyer2->Visible) { // ct_gov_lawyer2 ?>
	<tr id="r_ct_gov_lawyer2"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_gov_lawyer2"><?php echo $tb_court_details->ct_gov_lawyer2->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_gov_lawyer2->CellAttributes() ?>><span id="el_tb_court_details_ct_gov_lawyer2">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<input type="text" name="x_ct_gov_lawyer2" id="x_ct_gov_lawyer2" size="30" value="<?php echo $tb_court_details->ct_gov_lawyer2->EditValue ?>"<?php echo $tb_court_details->ct_gov_lawyer2->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_court_details->ct_gov_lawyer2->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_gov_lawyer2->ViewValue ?></span>
<input type="hidden" name="x_ct_gov_lawyer2" id="x_ct_gov_lawyer2" value="<?php echo ew_HtmlEncode($tb_court_details->ct_gov_lawyer2->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->ct_gov_lawyer2->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_room_child->Visible) { // ct_room_child ?>
	<tr id="r_ct_room_child"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_room_child"><?php echo $tb_court_details->ct_room_child->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_room_child->CellAttributes() ?>><span id="el_tb_court_details_ct_room_child">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<input type="text" name="x_ct_room_child" id="x_ct_room_child" size="30" value="<?php echo $tb_court_details->ct_room_child->EditValue ?>"<?php echo $tb_court_details->ct_room_child->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_court_details->ct_room_child->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_room_child->ViewValue ?></span>
<input type="hidden" name="x_ct_room_child" id="x_ct_room_child" value="<?php echo ew_HtmlEncode($tb_court_details->ct_room_child->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->ct_room_child->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_room->Visible) { // ct_room ?>
	<tr id="r_ct_room"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_room"><?php echo $tb_court_details->ct_room->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_room->CellAttributes() ?>><span id="el_tb_court_details_ct_room">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<input type="text" name="x_ct_room" id="x_ct_room" size="30" value="<?php echo $tb_court_details->ct_room->EditValue ?>"<?php echo $tb_court_details->ct_room->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_court_details->ct_room->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_room->ViewValue ?></span>
<input type="hidden" name="x_ct_room" id="x_ct_room" value="<?php echo ew_HtmlEncode($tb_court_details->ct_room->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->ct_room->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_rooming->Visible) { // ct_rooming ?>
	<tr id="r_ct_rooming"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_rooming"><?php echo $tb_court_details->ct_rooming->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_rooming->CellAttributes() ?>><span id="el_tb_court_details_ct_rooming">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<input type="text" name="x_ct_rooming" id="x_ct_rooming" size="30" value="<?php echo $tb_court_details->ct_rooming->EditValue ?>"<?php echo $tb_court_details->ct_rooming->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_court_details->ct_rooming->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_rooming->ViewValue ?></span>
<input type="hidden" name="x_ct_rooming" id="x_ct_rooming" value="<?php echo ew_HtmlEncode($tb_court_details->ct_rooming->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->ct_rooming->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_comment->Visible) { // ct_comment ?>
	<tr id="r_ct_comment"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_comment"><?php echo $tb_court_details->ct_comment->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_comment->CellAttributes() ?>><span id="el_tb_court_details_ct_comment">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<input type="text" name="x_ct_comment" id="x_ct_comment" size="30" maxlength="200" value="<?php echo $tb_court_details->ct_comment->EditValue ?>"<?php echo $tb_court_details->ct_comment->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_court_details->ct_comment->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_comment->ViewValue ?></span>
<input type="hidden" name="x_ct_comment" id="x_ct_comment" value="<?php echo ew_HtmlEncode($tb_court_details->ct_comment->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->ct_comment->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_builing_update->Visible) { // ct_builing_update ?>
	<tr id="r_ct_builing_update"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_builing_update"><?php echo $tb_court_details->ct_builing_update->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_builing_update->CellAttributes() ?>><span id="el_tb_court_details_ct_builing_update">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<input type="text" name="x_ct_builing_update" id="x_ct_builing_update" size="30" value="<?php echo $tb_court_details->ct_builing_update->EditValue ?>"<?php echo $tb_court_details->ct_builing_update->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_court_details->ct_builing_update->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_builing_update->ViewValue ?></span>
<input type="hidden" name="x_ct_builing_update" id="x_ct_builing_update" value="<?php echo ew_HtmlEncode($tb_court_details->ct_builing_update->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->ct_builing_update->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_builing_num->Visible) { // ct_builing_num ?>
	<tr id="r_ct_builing_num"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_builing_num"><?php echo $tb_court_details->ct_builing_num->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_builing_num->CellAttributes() ?>><span id="el_tb_court_details_ct_builing_num">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<input type="text" name="x_ct_builing_num" id="x_ct_builing_num" size="30" value="<?php echo $tb_court_details->ct_builing_num->EditValue ?>"<?php echo $tb_court_details->ct_builing_num->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_court_details->ct_builing_num->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_builing_num->ViewValue ?></span>
<input type="hidden" name="x_ct_builing_num" id="x_ct_builing_num" value="<?php echo ew_HtmlEncode($tb_court_details->ct_builing_num->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->ct_builing_num->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_bu1_holdfile->Visible) { // ct_bu1_holdfile ?>
	<tr id="r_ct_bu1_holdfile"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_bu1_holdfile"><?php echo $tb_court_details->ct_bu1_holdfile->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_bu1_holdfile->CellAttributes() ?>><span id="el_tb_court_details_ct_bu1_holdfile">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<input type="text" name="x_ct_bu1_holdfile" id="x_ct_bu1_holdfile" size="30" maxlength="200" value="<?php echo $tb_court_details->ct_bu1_holdfile->EditValue ?>"<?php echo $tb_court_details->ct_bu1_holdfile->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_court_details->ct_bu1_holdfile->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_bu1_holdfile->ViewValue ?></span>
<input type="hidden" name="x_ct_bu1_holdfile" id="x_ct_bu1_holdfile" value="<?php echo ew_HtmlEncode($tb_court_details->ct_bu1_holdfile->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->ct_bu1_holdfile->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_bu1_file->Visible) { // ct_bu1_file ?>
	<tr id="r_ct_bu1_file"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_bu1_file"><?php echo $tb_court_details->ct_bu1_file->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_bu1_file->CellAttributes() ?>><span id="el_tb_court_details_ct_bu1_file">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<input type="text" name="x_ct_bu1_file" id="x_ct_bu1_file" size="30" maxlength="200" value="<?php echo $tb_court_details->ct_bu1_file->EditValue ?>"<?php echo $tb_court_details->ct_bu1_file->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_court_details->ct_bu1_file->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_bu1_file->ViewValue ?></span>
<input type="hidden" name="x_ct_bu1_file" id="x_ct_bu1_file" value="<?php echo ew_HtmlEncode($tb_court_details->ct_bu1_file->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->ct_bu1_file->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_bu2_holdfile->Visible) { // ct_bu2_holdfile ?>
	<tr id="r_ct_bu2_holdfile"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_bu2_holdfile"><?php echo $tb_court_details->ct_bu2_holdfile->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_bu2_holdfile->CellAttributes() ?>><span id="el_tb_court_details_ct_bu2_holdfile">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<input type="text" name="x_ct_bu2_holdfile" id="x_ct_bu2_holdfile" size="30" maxlength="200" value="<?php echo $tb_court_details->ct_bu2_holdfile->EditValue ?>"<?php echo $tb_court_details->ct_bu2_holdfile->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_court_details->ct_bu2_holdfile->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_bu2_holdfile->ViewValue ?></span>
<input type="hidden" name="x_ct_bu2_holdfile" id="x_ct_bu2_holdfile" value="<?php echo ew_HtmlEncode($tb_court_details->ct_bu2_holdfile->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->ct_bu2_holdfile->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_bu2_file->Visible) { // ct_bu2_file ?>
	<tr id="r_ct_bu2_file"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_bu2_file"><?php echo $tb_court_details->ct_bu2_file->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_bu2_file->CellAttributes() ?>><span id="el_tb_court_details_ct_bu2_file">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<input type="text" name="x_ct_bu2_file" id="x_ct_bu2_file" size="30" maxlength="200" value="<?php echo $tb_court_details->ct_bu2_file->EditValue ?>"<?php echo $tb_court_details->ct_bu2_file->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_court_details->ct_bu2_file->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_bu2_file->ViewValue ?></span>
<input type="hidden" name="x_ct_bu2_file" id="x_ct_bu2_file" value="<?php echo ew_HtmlEncode($tb_court_details->ct_bu2_file->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->ct_bu2_file->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_accommodation->Visible) { // ct_accommodation ?>
	<tr id="r_ct_accommodation"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_accommodation"><?php echo $tb_court_details->ct_accommodation->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_accommodation->CellAttributes() ?>><span id="el_tb_court_details_ct_accommodation">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<input type="text" name="x_ct_accommodation" id="x_ct_accommodation" size="30" value="<?php echo $tb_court_details->ct_accommodation->EditValue ?>"<?php echo $tb_court_details->ct_accommodation->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_court_details->ct_accommodation->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_accommodation->ViewValue ?></span>
<input type="hidden" name="x_ct_accommodation" id="x_ct_accommodation" value="<?php echo ew_HtmlEncode($tb_court_details->ct_accommodation->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->ct_accommodation->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_nw1_holdfile->Visible) { // ct_nw1_holdfile ?>
	<tr id="r_ct_nw1_holdfile"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_nw1_holdfile"><?php echo $tb_court_details->ct_nw1_holdfile->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_nw1_holdfile->CellAttributes() ?>><span id="el_tb_court_details_ct_nw1_holdfile">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<input type="text" name="x_ct_nw1_holdfile" id="x_ct_nw1_holdfile" size="30" maxlength="200" value="<?php echo $tb_court_details->ct_nw1_holdfile->EditValue ?>"<?php echo $tb_court_details->ct_nw1_holdfile->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_court_details->ct_nw1_holdfile->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_nw1_holdfile->ViewValue ?></span>
<input type="hidden" name="x_ct_nw1_holdfile" id="x_ct_nw1_holdfile" value="<?php echo ew_HtmlEncode($tb_court_details->ct_nw1_holdfile->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->ct_nw1_holdfile->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_nw1_file->Visible) { // ct_nw1_file ?>
	<tr id="r_ct_nw1_file"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_nw1_file"><?php echo $tb_court_details->ct_nw1_file->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_nw1_file->CellAttributes() ?>><span id="el_tb_court_details_ct_nw1_file">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<input type="text" name="x_ct_nw1_file" id="x_ct_nw1_file" size="30" maxlength="200" value="<?php echo $tb_court_details->ct_nw1_file->EditValue ?>"<?php echo $tb_court_details->ct_nw1_file->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_court_details->ct_nw1_file->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_nw1_file->ViewValue ?></span>
<input type="hidden" name="x_ct_nw1_file" id="x_ct_nw1_file" value="<?php echo ew_HtmlEncode($tb_court_details->ct_nw1_file->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->ct_nw1_file->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_nw2_holdfile->Visible) { // ct_nw2_holdfile ?>
	<tr id="r_ct_nw2_holdfile"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_nw2_holdfile"><?php echo $tb_court_details->ct_nw2_holdfile->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_nw2_holdfile->CellAttributes() ?>><span id="el_tb_court_details_ct_nw2_holdfile">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<input type="text" name="x_ct_nw2_holdfile" id="x_ct_nw2_holdfile" size="30" maxlength="200" value="<?php echo $tb_court_details->ct_nw2_holdfile->EditValue ?>"<?php echo $tb_court_details->ct_nw2_holdfile->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_court_details->ct_nw2_holdfile->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_nw2_holdfile->ViewValue ?></span>
<input type="hidden" name="x_ct_nw2_holdfile" id="x_ct_nw2_holdfile" value="<?php echo ew_HtmlEncode($tb_court_details->ct_nw2_holdfile->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->ct_nw2_holdfile->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_nw2_file->Visible) { // ct_nw2_file ?>
	<tr id="r_ct_nw2_file"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_nw2_file"><?php echo $tb_court_details->ct_nw2_file->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_nw2_file->CellAttributes() ?>><span id="el_tb_court_details_ct_nw2_file">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<input type="text" name="x_ct_nw2_file" id="x_ct_nw2_file" size="30" maxlength="200" value="<?php echo $tb_court_details->ct_nw2_file->EditValue ?>"<?php echo $tb_court_details->ct_nw2_file->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_court_details->ct_nw2_file->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_nw2_file->ViewValue ?></span>
<input type="hidden" name="x_ct_nw2_file" id="x_ct_nw2_file" value="<?php echo ew_HtmlEncode($tb_court_details->ct_nw2_file->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->ct_nw2_file->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_vcs_plan_holdfile->Visible) { // ct_vcs_plan_holdfile ?>
	<tr id="r_ct_vcs_plan_holdfile"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_vcs_plan_holdfile"><?php echo $tb_court_details->ct_vcs_plan_holdfile->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_vcs_plan_holdfile->CellAttributes() ?>><span id="el_tb_court_details_ct_vcs_plan_holdfile">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<input type="text" name="x_ct_vcs_plan_holdfile" id="x_ct_vcs_plan_holdfile" size="30" maxlength="200" value="<?php echo $tb_court_details->ct_vcs_plan_holdfile->EditValue ?>"<?php echo $tb_court_details->ct_vcs_plan_holdfile->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_court_details->ct_vcs_plan_holdfile->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_vcs_plan_holdfile->ViewValue ?></span>
<input type="hidden" name="x_ct_vcs_plan_holdfile" id="x_ct_vcs_plan_holdfile" value="<?php echo ew_HtmlEncode($tb_court_details->ct_vcs_plan_holdfile->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->ct_vcs_plan_holdfile->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_court_details->ct_vcs_plan_file->Visible) { // ct_vcs_plan_file ?>
	<tr id="r_ct_vcs_plan_file"<?php echo $tb_court_details->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_court_details_ct_vcs_plan_file"><?php echo $tb_court_details->ct_vcs_plan_file->FldCaption() ?></span></td>
		<td<?php echo $tb_court_details->ct_vcs_plan_file->CellAttributes() ?>><span id="el_tb_court_details_ct_vcs_plan_file">
<?php if ($tb_court_details->CurrentAction <> "F") { ?>
<input type="text" name="x_ct_vcs_plan_file" id="x_ct_vcs_plan_file" size="30" maxlength="200" value="<?php echo $tb_court_details->ct_vcs_plan_file->EditValue ?>"<?php echo $tb_court_details->ct_vcs_plan_file->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_court_details->ct_vcs_plan_file->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_vcs_plan_file->ViewValue ?></span>
<input type="hidden" name="x_ct_vcs_plan_file" id="x_ct_vcs_plan_file" value="<?php echo ew_HtmlEncode($tb_court_details->ct_vcs_plan_file->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_court_details->ct_vcs_plan_file->CustomMsg ?></td>
	</tr>
<?php } ?>
</table>
</div>
</td></tr></table>
<p>
<?php if ($tb_court_details->CurrentAction <> "F") { // Confirm page ?>
<input type="submit" name="btnAction" id="btnAction" value="<?php echo ew_BtnCaption($Language->Phrase("EditBtn")) ?>" onclick="this.form.a_edit.value='F';">
<?php } else { ?>
<input type="submit" name="btnCancel" id="btnCancel" value="<?php echo ew_BtnCaption($Language->Phrase("CancelBtn")) ?>" onclick="this.form.a_edit.value='X';">
<input type="submit" name="btnAction" id="btnAction" value="<?php echo ew_BtnCaption($Language->Phrase("ConfirmBtn")) ?>">
<?php } ?>
</form>
<script type="text/javascript">
ftb_court_detailsedit.Init();
</script>
<?php
$tb_court_details_edit->ShowPageFooter();
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
?>
<script type="text/javascript">

// Write your table-specific startup script here
// document.write("page loaded");

</script>
<?php include_once "footer.php" ?>
<?php
$tb_court_details_edit->Page_Terminate();
?>
