<?php
if (session_id() == "") session_start(); // Initialize Session data
ob_start(); // Turn on output buffering
?>
<?php include_once "ewcfg9.php" ?>
<?php include_once "ewmysql9.php" ?>
<?php include_once "phpfn9.php" ?>
<?php include_once "tb_court_detailsinfo.php" ?>
<?php include_once "userfn9.php" ?>
<?php

//
// Page class
//

$tb_court_details_list = NULL; // Initialize page object first

class ctb_court_details_list extends ctb_court_details {

	// Page ID
	var $PageID = 'list';

	// Project ID
	var $ProjectID = "{6072F4AB-8E55-4BED-87E8-94ADB1680AEB}";

	// Table name
	var $TableName = 'tb_court_details';

	// Page object name
	var $PageObjName = 'tb_court_details_list';

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		if ($this->UseTokenInUrl) $PageUrl .= "t=" . $this->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Page URLs
	var $AddUrl;
	var $EditUrl;
	var $CopyUrl;
	var $DeleteUrl;
	var $ViewUrl;
	var $ListUrl;

	// Export URLs
	var $ExportPrintUrl;
	var $ExportHtmlUrl;
	var $ExportExcelUrl;
	var $ExportWordUrl;
	var $ExportXmlUrl;
	var $ExportCsvUrl;
	var $ExportPdfUrl;

	// Update URLs
	var $InlineAddUrl;
	var $InlineCopyUrl;
	var $InlineEditUrl;
	var $GridAddUrl;
	var $GridEditUrl;
	var $MultiDeleteUrl;
	var $MultiUpdateUrl;

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_MESSAGE], $v);
	}

	function getFailureMessage() {
		return @$_SESSION[EW_SESSION_FAILURE_MESSAGE];
	}

	function setFailureMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_FAILURE_MESSAGE], $v);
	}

	function getSuccessMessage() {
		return @$_SESSION[EW_SESSION_SUCCESS_MESSAGE];
	}

	function setSuccessMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_SUCCESS_MESSAGE], $v);
	}

	function getWarningMessage() {
		return @$_SESSION[EW_SESSION_WARNING_MESSAGE];
	}

	function setWarningMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_WARNING_MESSAGE], $v);
	}

	// Show message
	function ShowMessage() {
		$hidden = FALSE;
		$html = "";

		// Message
		$sMessage = $this->getMessage();
		$this->Message_Showing($sMessage, "");
		if ($sMessage <> "") { // Message in Session, display
			$html .= "<p class=\"ewMessage\">" . $sMessage . "</p>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}

		// Warning message
		$sWarningMessage = $this->getWarningMessage();
		$this->Message_Showing($sWarningMessage, "warning");
		if ($sWarningMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewWarningIcon\"></td><td class=\"ewWarningMessage\">" . $sWarningMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_WARNING_MESSAGE] = ""; // Clear message in Session
		}

		// Success message
		$sSuccessMessage = $this->getSuccessMessage();
		$this->Message_Showing($sSuccessMessage, "success");
		if ($sSuccessMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewSuccessIcon\"></td><td class=\"ewSuccessMessage\">" . $sSuccessMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = ""; // Clear message in Session
		}

		// Failure message
		$sErrorMessage = $this->getFailureMessage();
		$this->Message_Showing($sErrorMessage, "failure");
		if ($sErrorMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewErrorIcon\"></td><td class=\"ewErrorMessage\">" . $sErrorMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_FAILURE_MESSAGE] = ""; // Clear message in Session
		}		
		echo "<div class=\"ewMessageDialog\"" . (($hidden) ? " style=\"display: none;\"" : "") . ">" . $html . "</div>";
	}
	var $PageHeader;
	var $PageFooter;

	// Show Page Header
	function ShowPageHeader() {
		$sHeader = $this->PageHeader;
		$this->Page_DataRendering($sHeader);
		if ($sHeader <> "") { // Header exists, display
			echo "<p class=\"phpmaker\">" . $sHeader . "</p>";
		}
	}

	// Show Page Footer
	function ShowPageFooter() {
		$sFooter = $this->PageFooter;
		$this->Page_DataRendered($sFooter);
		if ($sFooter <> "") { // Fotoer exists, display
			echo "<p class=\"phpmaker\">" . $sFooter . "</p>";
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm;
		if ($this->UseTokenInUrl) {
			if ($objForm)
				return ($this->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($this->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}

	//
	// Page class constructor
	//
	function __construct() {
		global $conn, $Language;
		$GLOBALS["Page"] = &$this;

		// Language object
		if (!isset($Language)) $Language = new cLanguage();

		// Parent constuctor
		parent::__construct();

		// Table object (tb_court_details)
		if (!isset($GLOBALS["tb_court_details"])) {
			$GLOBALS["tb_court_details"] = &$this;
			$GLOBALS["Table"] = &$GLOBALS["tb_court_details"];
		}

		// Initialize URLs
		$this->ExportPrintUrl = $this->PageUrl() . "export=print";
		$this->ExportExcelUrl = $this->PageUrl() . "export=excel";
		$this->ExportWordUrl = $this->PageUrl() . "export=word";
		$this->ExportHtmlUrl = $this->PageUrl() . "export=html";
		$this->ExportXmlUrl = $this->PageUrl() . "export=xml";
		$this->ExportCsvUrl = $this->PageUrl() . "export=csv";
		$this->ExportPdfUrl = $this->PageUrl() . "export=pdf";
		$this->AddUrl = "tb_court_detailsadd.php";
		$this->InlineAddUrl = $this->PageUrl() . "a=add";
		$this->GridAddUrl = $this->PageUrl() . "a=gridadd";
		$this->GridEditUrl = $this->PageUrl() . "a=gridedit";
		$this->MultiDeleteUrl = "tb_court_detailsdelete.php";
		$this->MultiUpdateUrl = "tb_court_detailsupdate.php";

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'list', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'tb_court_details', TRUE);

		// Start timer
		if (!isset($GLOBALS["gTimer"])) $GLOBALS["gTimer"] = new cTimer();

		// Open connection
		if (!isset($conn)) $conn = ew_Connect();

		// List options
		$this->ListOptions = new cListOptions();
		$this->ListOptions->TableVar = $this->TableVar;

		// Export options
		$this->ExportOptions = new cListOptions();
		$this->ExportOptions->Tag = "span";
		$this->ExportOptions->TagClassName = "ewExportOption";
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;

		// Get grid add count
		$gridaddcnt = @$_GET[EW_TABLE_GRID_ADD_ROW_COUNT];
		if (is_numeric($gridaddcnt) && $gridaddcnt > 0)
			$this->GridAddRowCount = $gridaddcnt;

		// Set up list options
		$this->SetupListOptions();
		$this->CurrentAction = (@$_GET["a"] <> "") ? $_GET["a"] : @$_POST["a_list"];

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $conn;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();
		$this->Page_Redirecting($url);

		 // Close connection
		$conn->Close();

		// Go to URL if specified
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			header("Location: " . $url);
		}
		exit();
	}

	// Class variables
	var $ListOptions; // List options
	var $ExportOptions; // Export options
	var $DisplayRecs = 20;
	var $StartRec;
	var $StopRec;
	var $TotalRecs = 0;
	var $RecRange = 10;
	var $Pager;
	var $SearchWhere = ""; // Search WHERE clause
	var $RecCnt = 0; // Record count
	var $EditRowCnt;
	var $StartRowCnt = 1;
	var $RowCnt = 0;
	var $Attrs = array(); // Row attributes and cell attributes
	var $RowIndex = 0; // Row index
	var $KeyCount = 0; // Key count
	var $RowAction = ""; // Row action
	var $RowOldKey = ""; // Row old key (for copy)
	var $RecPerRow = 0;
	var $ColCnt = 0;
	var $DbMasterFilter = ""; // Master filter
	var $DbDetailFilter = ""; // Detail filter
	var $MasterRecordExists;	
	var $MultiSelectKey;
	var $RestoreSearch;
	var $Recordset;
	var $OldRecordset;

	//
	// Page main
	//
	function Page_Main() {
		global $objForm, $Language, $gsFormError, $gsSearchError, $Security;

		// Search filters
		$sSrchAdvanced = ""; // Advanced search filter
		$sSrchBasic = ""; // Basic search filter
		$sFilter = "";
		if ($this->IsPageRequest()) { // Validate request

			// Handle reset command
			$this->ResetCmd();

			// Hide all options
			if ($this->Export <> "" ||
				$this->CurrentAction == "gridadd" ||
				$this->CurrentAction == "gridedit") {
				$this->ListOptions->HideAllOptions();
				$this->ExportOptions->HideAllOptions();
			}

			// Get basic search values
			$this->LoadBasicSearchValues();

			// Restore search parms from Session
			$this->RestoreSearchParms();

			// Call Recordset SearchValidated event
			$this->Recordset_SearchValidated();

			// Set up sorting order
			$this->SetUpSortOrder();

			// Get basic search criteria
			if ($gsSearchError == "")
				$sSrchBasic = $this->BasicSearchWhere();
		}

		// Restore display records
		if ($this->getRecordsPerPage() <> "") {
			$this->DisplayRecs = $this->getRecordsPerPage(); // Restore from Session
		} else {
			$this->DisplayRecs = 20; // Load default
		}

		// Load Sorting Order
		$this->LoadSortOrder();

		// Load search default if no existing search criteria
		if ($sSrchBasic == "" && $sSrchAdvanced == "") {

			// Load basic search from default
			$this->BasicSearchKeyword = $this->BasicSearchKeywordDefault;
			$this->BasicSearchType = $this->BasicSearchTypeDefault;
			$this->setSessionBasicSearchType($this->BasicSearchTypeDefault);
			if ($this->BasicSearchKeyword != "")
				$sSrchBasic = $this->BasicSearchWhere();
		}

		// Build search criteria
		ew_AddFilter($this->SearchWhere, $sSrchAdvanced);
		ew_AddFilter($this->SearchWhere, $sSrchBasic);

		// Call Recordset_Searching event
		$this->Recordset_Searching($this->SearchWhere);

		// Save search criteria
		if ($this->SearchWhere <> "") {
			if ($sSrchBasic == "")
				$this->ResetBasicSearchParms();
			$this->setSearchWhere($this->SearchWhere); // Save to Session
			if (!$this->RestoreSearch) {
				$this->StartRec = 1; // Reset start record counter
				$this->setStartRecordNumber($this->StartRec);
			}

		//} else {
		} elseif ($this->RestoreSearch) {
			$this->SearchWhere = $this->getSearchWhere();
		}

		// Build filter
		$sFilter = "";
		ew_AddFilter($sFilter, $this->DbDetailFilter);
		ew_AddFilter($sFilter, $this->SearchWhere);

		// Set up filter in session
		$this->setSessionWhere($sFilter);
		$this->CurrentFilter = "";
	}

	// Build filter for all keys
	function BuildKeyFilter() {
		global $objForm;
		$sWrkFilter = "";

		// Update row index and get row key
		$rowindex = 1;
		$objForm->Index = $rowindex;
		$sThisKey = strval($objForm->GetValue("k_key"));
		while ($sThisKey <> "") {
			if ($this->SetupKeyValues($sThisKey)) {
				$sFilter = $this->KeyFilter();
				if ($sWrkFilter <> "") $sWrkFilter .= " OR ";
				$sWrkFilter .= $sFilter;
			} else {
				$sWrkFilter = "0=1";
				break;
			}

			// Update row index and get row key
			$rowindex++; // next row
			$objForm->Index = $rowindex;
			$sThisKey = strval($objForm->GetValue("k_key"));
		}
		return $sWrkFilter;
	}

	// Set up key values
	function SetupKeyValues($key) {
		$arrKeyFlds = explode($GLOBALS["EW_COMPOSITE_KEY_SEPARATOR"], $key);
		if (count($arrKeyFlds) >= 1) {
			$this->court_id->setFormValue($arrKeyFlds[0]);
		}
		return TRUE;
	}

	// Return basic search SQL
	function BasicSearchSQL($Keyword) {
		$sKeyword = ew_AdjustSql($Keyword);
		$sWhere = "";
		$this->BuildBasicSearchSQL($sWhere, $this->court_id, $Keyword);
		$this->BuildBasicSearchSQL($sWhere, $this->ct_isdn1, $Keyword);
		$this->BuildBasicSearchSQL($sWhere, $this->ct_isdn2, $Keyword);
		$this->BuildBasicSearchSQL($sWhere, $this->ct_isdn3, $Keyword);
		$this->BuildBasicSearchSQL($sWhere, $this->ct_ip, $Keyword);
		$this->BuildBasicSearchSQL($sWhere, $this->ct_comment, $Keyword);
		$this->BuildBasicSearchSQL($sWhere, $this->ct_bu1_holdfile, $Keyword);
		$this->BuildBasicSearchSQL($sWhere, $this->ct_bu1_file, $Keyword);
		$this->BuildBasicSearchSQL($sWhere, $this->ct_bu2_holdfile, $Keyword);
		$this->BuildBasicSearchSQL($sWhere, $this->ct_bu2_file, $Keyword);
		$this->BuildBasicSearchSQL($sWhere, $this->ct_nw1_holdfile, $Keyword);
		$this->BuildBasicSearchSQL($sWhere, $this->ct_nw1_file, $Keyword);
		$this->BuildBasicSearchSQL($sWhere, $this->ct_nw2_holdfile, $Keyword);
		$this->BuildBasicSearchSQL($sWhere, $this->ct_nw2_file, $Keyword);
		$this->BuildBasicSearchSQL($sWhere, $this->ct_vcs_plan_holdfile, $Keyword);
		$this->BuildBasicSearchSQL($sWhere, $this->ct_vcs_plan_file, $Keyword);
		return $sWhere;
	}

	// Build basic search SQL
	function BuildBasicSearchSql(&$Where, &$Fld, $Keyword) {
		if ($Keyword == EW_NULL_VALUE) {
			$sWrk = $Fld->FldExpression . " IS NULL";
		} elseif ($Keyword == EW_NOT_NULL_VALUE) {
			$sWrk = $Fld->FldExpression . " IS NOT NULL";
		} else {
			$sFldExpression = ($Fld->FldVirtualExpression <> $Fld->FldExpression) ? $Fld->FldVirtualExpression : $Fld->FldBasicSearchExpression;
			$sWrk = $sFldExpression . ew_Like(ew_QuotedValue("%" . $Keyword . "%", EW_DATATYPE_STRING));
		}
		if ($Where <> "") $Where .= " OR ";
		$Where .= $sWrk;
	}

	// Return basic search WHERE clause based on search keyword and type
	function BasicSearchWhere() {
		global $Security;
		$sSearchStr = "";
		$sSearchKeyword = $this->BasicSearchKeyword;
		$sSearchType = $this->BasicSearchType;
		if ($sSearchKeyword <> "") {
			$sSearch = trim($sSearchKeyword);
			if ($sSearchType <> "=") {
				while (strpos($sSearch, "  ") !== FALSE)
					$sSearch = str_replace("  ", " ", $sSearch);
				$arKeyword = explode(" ", trim($sSearch));
				foreach ($arKeyword as $sKeyword) {
					if ($sSearchStr <> "") $sSearchStr .= " " . $sSearchType . " ";
					$sSearchStr .= "(" . $this->BasicSearchSQL($sKeyword) . ")";
				}
			} else {
				$sSearchStr = $this->BasicSearchSQL($sSearch);
			}
		}
		if ($sSearchKeyword <> "") {
			$this->setSessionBasicSearchKeyword($sSearchKeyword);
			$this->setSessionBasicSearchType($sSearchType);
		}
		return $sSearchStr;
	}

	// Clear all search parameters
	function ResetSearchParms() {

		// Clear search WHERE clause
		$this->SearchWhere = "";
		$this->setSearchWhere($this->SearchWhere);

		// Clear basic search parameters
		$this->ResetBasicSearchParms();
	}

	// Load advanced search default values
	function LoadAdvancedSearchDefault() {
		return FALSE;
	}

	// Clear all basic search parameters
	function ResetBasicSearchParms() {
		$this->setSessionBasicSearchKeyword("");
		$this->setSessionBasicSearchType($this->BasicSearchTypeDefault);
	}

	// Restore all search parameters
	function RestoreSearchParms() {
		$bRestore = TRUE;
		if ($this->BasicSearchKeyword <> "") $bRestore = FALSE;
		$this->RestoreSearch = $bRestore;
		if ($bRestore) {

			// Restore basic search values
			$this->BasicSearchKeyword = $this->getSessionBasicSearchKeyword();
			if ($this->getSessionBasicSearchType() == "") $this->setSessionBasicSearchType("=");
			$this->BasicSearchType = $this->getSessionBasicSearchType();
		}
	}

	// Set up sort parameters
	function SetUpSortOrder() {

		// Check for "order" parameter
		if (@$_GET["order"] <> "") {
			$this->CurrentOrder = ew_StripSlashes(@$_GET["order"]);
			$this->CurrentOrderType = @$_GET["ordertype"];
			$this->UpdateSort($this->court_id); // court_id
			$this->UpdateSort($this->ct_isdn1); // ct_isdn1
			$this->UpdateSort($this->ct_isdn2); // ct_isdn2
			$this->UpdateSort($this->ct_isdn3); // ct_isdn3
			$this->UpdateSort($this->ct_ip); // ct_ip
			$this->UpdateSort($this->ct_just); // ct_just
			$this->UpdateSort($this->ct_just_senior); // ct_just_senior
			$this->UpdateSort($this->ct_officer); // ct_officer
			$this->UpdateSort($this->ct_officer_other); // ct_officer_other
			$this->UpdateSort($this->ct_emp_driver); // ct_emp_driver
			$this->UpdateSort($this->ct_emp_ger); // ct_emp_ger
			$this->UpdateSort($this->ct_emp_interpreter); // ct_emp_interpreter
			$this->UpdateSort($this->ct_emp_place); // ct_emp_place
			$this->UpdateSort($this->ct_emp_tele); // ct_emp_tele
			$this->UpdateSort($this->ct_emp_guard); // ct_emp_guard
			$this->UpdateSort($this->ct_tmp_librarian1); // ct_tmp_librarian1
			$this->UpdateSort($this->ct_tmp_librarian2); // ct_tmp_librarian2
			$this->UpdateSort($this->ct_tmp_place); // ct_tmp_place
			$this->UpdateSort($this->ct_tmp_citation); // ct_tmp_citation
			$this->UpdateSort($this->ct_tmp_record); // ct_tmp_record
			$this->UpdateSort($this->ct_tmp_office); // ct_tmp_office
			$this->UpdateSort($this->ct_tmp_court1); // ct_tmp_court1
			$this->UpdateSort($this->ct_tmp_court2); // ct_tmp_court2
			$this->UpdateSort($this->ct_tmp_plan); // ct_tmp_plan
			$this->UpdateSort($this->ct_tmp_hr); // ct_tmp_hr
			$this->UpdateSort($this->ct_tmp_lawyer1); // ct_tmp_lawyer1
			$this->UpdateSort($this->ct_tmp_lawyer2); // ct_tmp_lawyer2
			$this->UpdateSort($this->ct_gov_computer); // ct_gov_computer
			$this->UpdateSort($this->ct_gov_place); // ct_gov_place
			$this->UpdateSort($this->ct_gov_office); // ct_gov_office
			$this->UpdateSort($this->ct_gov_court); // ct_gov_court
			$this->UpdateSort($this->ct_gov_lawyer1); // ct_gov_lawyer1
			$this->UpdateSort($this->ct_gov_lawyer2); // ct_gov_lawyer2
			$this->UpdateSort($this->ct_room_child); // ct_room_child
			$this->UpdateSort($this->ct_room); // ct_room
			$this->UpdateSort($this->ct_rooming); // ct_rooming
			$this->UpdateSort($this->ct_comment); // ct_comment
			$this->UpdateSort($this->ct_builing_update); // ct_builing_update
			$this->UpdateSort($this->ct_builing_num); // ct_builing_num
			$this->UpdateSort($this->ct_bu1_holdfile); // ct_bu1_holdfile
			$this->UpdateSort($this->ct_bu1_file); // ct_bu1_file
			$this->UpdateSort($this->ct_bu2_holdfile); // ct_bu2_holdfile
			$this->UpdateSort($this->ct_bu2_file); // ct_bu2_file
			$this->UpdateSort($this->ct_accommodation); // ct_accommodation
			$this->UpdateSort($this->ct_nw1_holdfile); // ct_nw1_holdfile
			$this->UpdateSort($this->ct_nw1_file); // ct_nw1_file
			$this->UpdateSort($this->ct_nw2_holdfile); // ct_nw2_holdfile
			$this->UpdateSort($this->ct_nw2_file); // ct_nw2_file
			$this->UpdateSort($this->ct_vcs_plan_holdfile); // ct_vcs_plan_holdfile
			$this->UpdateSort($this->ct_vcs_plan_file); // ct_vcs_plan_file
			$this->setStartRecordNumber(1); // Reset start position
		}
	}

	// Load sort order parameters
	function LoadSortOrder() {
		$sOrderBy = $this->getSessionOrderBy(); // Get ORDER BY from Session
		if ($sOrderBy == "") {
			if ($this->SqlOrderBy() <> "") {
				$sOrderBy = $this->SqlOrderBy();
				$this->setSessionOrderBy($sOrderBy);
			}
		}
	}

	// Reset command
	// cmd=reset (Reset search parameters)
	// cmd=resetall (Reset search and master/detail parameters)
	// cmd=resetsort (Reset sort parameters)
	function ResetCmd() {

		// Get reset command
		if (@$_GET["cmd"] <> "") {
			$sCmd = $_GET["cmd"];

			// Reset search criteria
			if (strtolower($sCmd) == "reset" || strtolower($sCmd) == "resetall")
				$this->ResetSearchParms();

			// Reset sorting order
			if (strtolower($sCmd) == "resetsort") {
				$sOrderBy = "";
				$this->setSessionOrderBy($sOrderBy);
				$this->court_id->setSort("");
				$this->ct_isdn1->setSort("");
				$this->ct_isdn2->setSort("");
				$this->ct_isdn3->setSort("");
				$this->ct_ip->setSort("");
				$this->ct_just->setSort("");
				$this->ct_just_senior->setSort("");
				$this->ct_officer->setSort("");
				$this->ct_officer_other->setSort("");
				$this->ct_emp_driver->setSort("");
				$this->ct_emp_ger->setSort("");
				$this->ct_emp_interpreter->setSort("");
				$this->ct_emp_place->setSort("");
				$this->ct_emp_tele->setSort("");
				$this->ct_emp_guard->setSort("");
				$this->ct_tmp_librarian1->setSort("");
				$this->ct_tmp_librarian2->setSort("");
				$this->ct_tmp_place->setSort("");
				$this->ct_tmp_citation->setSort("");
				$this->ct_tmp_record->setSort("");
				$this->ct_tmp_office->setSort("");
				$this->ct_tmp_court1->setSort("");
				$this->ct_tmp_court2->setSort("");
				$this->ct_tmp_plan->setSort("");
				$this->ct_tmp_hr->setSort("");
				$this->ct_tmp_lawyer1->setSort("");
				$this->ct_tmp_lawyer2->setSort("");
				$this->ct_gov_computer->setSort("");
				$this->ct_gov_place->setSort("");
				$this->ct_gov_office->setSort("");
				$this->ct_gov_court->setSort("");
				$this->ct_gov_lawyer1->setSort("");
				$this->ct_gov_lawyer2->setSort("");
				$this->ct_room_child->setSort("");
				$this->ct_room->setSort("");
				$this->ct_rooming->setSort("");
				$this->ct_comment->setSort("");
				$this->ct_builing_update->setSort("");
				$this->ct_builing_num->setSort("");
				$this->ct_bu1_holdfile->setSort("");
				$this->ct_bu1_file->setSort("");
				$this->ct_bu2_holdfile->setSort("");
				$this->ct_bu2_file->setSort("");
				$this->ct_accommodation->setSort("");
				$this->ct_nw1_holdfile->setSort("");
				$this->ct_nw1_file->setSort("");
				$this->ct_nw2_holdfile->setSort("");
				$this->ct_nw2_file->setSort("");
				$this->ct_vcs_plan_holdfile->setSort("");
				$this->ct_vcs_plan_file->setSort("");
			}

			// Reset start position
			$this->StartRec = 1;
			$this->setStartRecordNumber($this->StartRec);
		}
	}

	// Set up list options
	function SetupListOptions() {
		global $Security, $Language;

		// "view"
		$item = &$this->ListOptions->Add("view");
		$item->CssStyle = "white-space: nowrap;";
		$item->Visible = TRUE;
		$item->OnLeft = FALSE;

		// "edit"
		$item = &$this->ListOptions->Add("edit");
		$item->CssStyle = "white-space: nowrap;";
		$item->Visible = TRUE;
		$item->OnLeft = FALSE;

		// "copy"
		$item = &$this->ListOptions->Add("copy");
		$item->CssStyle = "white-space: nowrap;";
		$item->Visible = TRUE;
		$item->OnLeft = FALSE;

		// "delete"
		$item = &$this->ListOptions->Add("delete");
		$item->CssStyle = "white-space: nowrap;";
		$item->Visible = TRUE;
		$item->OnLeft = FALSE;

		// Call ListOptions_Load event
		$this->ListOptions_Load();
	}

	// Render list options
	function RenderListOptions() {
		global $Security, $Language, $objForm;
		$this->ListOptions->LoadDefault();

		// "view"
		$oListOpt = &$this->ListOptions->Items["view"];
		if (TRUE)
			$oListOpt->Body = "<a class=\"ewRowLink\" href=\"" . $this->ViewUrl . "\">" . $Language->Phrase("ViewLink") . "</a>";

		// "edit"
		$oListOpt = &$this->ListOptions->Items["edit"];
		if (TRUE) {
			$oListOpt->Body = "<a class=\"ewRowLink\" href=\"" . $this->EditUrl . "\">" . $Language->Phrase("EditLink") . "</a>";
		}

		// "copy"
		$oListOpt = &$this->ListOptions->Items["copy"];
		if (TRUE) {
			$oListOpt->Body = "<a class=\"ewRowLink\" href=\"" . $this->CopyUrl . "\">" . $Language->Phrase("CopyLink") . "</a>";
		}

		// "delete"
		$oListOpt = &$this->ListOptions->Items["delete"];
		if (TRUE)
			$oListOpt->Body = "<a class=\"ewRowLink\"" . "" . " href=\"" . $this->DeleteUrl . "\">" . $Language->Phrase("DeleteLink") . "</a>";
		$this->RenderListOptionsExt();

		// Call ListOptions_Rendered event
		$this->ListOptions_Rendered();
	}

	function RenderListOptionsExt() {
		global $Security, $Language;
	}

	// Set up starting record parameters
	function SetUpStartRec() {
		if ($this->DisplayRecs == 0)
			return;
		if ($this->IsPageRequest()) { // Validate request
			if (@$_GET[EW_TABLE_START_REC] <> "") { // Check for "start" parameter
				$this->StartRec = $_GET[EW_TABLE_START_REC];
				$this->setStartRecordNumber($this->StartRec);
			} elseif (@$_GET[EW_TABLE_PAGE_NO] <> "") {
				$PageNo = $_GET[EW_TABLE_PAGE_NO];
				if (is_numeric($PageNo)) {
					$this->StartRec = ($PageNo-1)*$this->DisplayRecs+1;
					if ($this->StartRec <= 0) {
						$this->StartRec = 1;
					} elseif ($this->StartRec >= intval(($this->TotalRecs-1)/$this->DisplayRecs)*$this->DisplayRecs+1) {
						$this->StartRec = intval(($this->TotalRecs-1)/$this->DisplayRecs)*$this->DisplayRecs+1;
					}
					$this->setStartRecordNumber($this->StartRec);
				}
			}
		}
		$this->StartRec = $this->getStartRecordNumber();

		// Check if correct start record counter
		if (!is_numeric($this->StartRec) || $this->StartRec == "") { // Avoid invalid start record counter
			$this->StartRec = 1; // Reset start record counter
			$this->setStartRecordNumber($this->StartRec);
		} elseif (intval($this->StartRec) > intval($this->TotalRecs)) { // Avoid starting record > total records
			$this->StartRec = intval(($this->TotalRecs-1)/$this->DisplayRecs)*$this->DisplayRecs+1; // Point to last page first record
			$this->setStartRecordNumber($this->StartRec);
		} elseif (($this->StartRec-1) % $this->DisplayRecs <> 0) {
			$this->StartRec = intval(($this->StartRec-1)/$this->DisplayRecs)*$this->DisplayRecs+1; // Point to page boundary
			$this->setStartRecordNumber($this->StartRec);
		}
	}

	// Load basic search values
	function LoadBasicSearchValues() {
		$this->BasicSearchKeyword = @$_GET[EW_TABLE_BASIC_SEARCH];
		$this->BasicSearchType = @$_GET[EW_TABLE_BASIC_SEARCH_TYPE];
	}

	// Load recordset
	function LoadRecordset($offset = -1, $rowcnt = -1) {
		global $conn;

		// Call Recordset Selecting event
		$this->Recordset_Selecting($this->CurrentFilter);

		// Load List page SQL
		$sSql = $this->SelectSQL();
		if ($offset > -1 && $rowcnt > -1)
			$sSql .= " LIMIT $rowcnt OFFSET $offset";

		// Load recordset
		$rs = ew_LoadRecordset($sSql);

		// Call Recordset Selected event
		$this->Recordset_Selected($rs);
		return $rs;
	}

	// Load row based on key values
	function LoadRow() {
		global $conn, $Security, $Language;
		$sFilter = $this->KeyFilter();

		// Call Row Selecting event
		$this->Row_Selecting($sFilter);

		// Load SQL based on filter
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		global $conn;
		if (!$rs || $rs->EOF) return;

		// Call Row Selected event
		$row = &$rs->fields;
		$this->Row_Selected($row);
		$this->court_id->setDbValue($rs->fields('court_id'));
		$this->ct_isdn1->setDbValue($rs->fields('ct_isdn1'));
		$this->ct_isdn2->setDbValue($rs->fields('ct_isdn2'));
		$this->ct_isdn3->setDbValue($rs->fields('ct_isdn3'));
		$this->ct_ip->setDbValue($rs->fields('ct_ip'));
		$this->ct_just->setDbValue($rs->fields('ct_just'));
		$this->ct_just_senior->setDbValue($rs->fields('ct_just_senior'));
		$this->ct_officer->setDbValue($rs->fields('ct_officer'));
		$this->ct_officer_other->setDbValue($rs->fields('ct_officer_other'));
		$this->ct_emp_driver->setDbValue($rs->fields('ct_emp_driver'));
		$this->ct_emp_ger->setDbValue($rs->fields('ct_emp_ger'));
		$this->ct_emp_interpreter->setDbValue($rs->fields('ct_emp_interpreter'));
		$this->ct_emp_place->setDbValue($rs->fields('ct_emp_place'));
		$this->ct_emp_tele->setDbValue($rs->fields('ct_emp_tele'));
		$this->ct_emp_guard->setDbValue($rs->fields('ct_emp_guard'));
		$this->ct_tmp_librarian1->setDbValue($rs->fields('ct_tmp_librarian1'));
		$this->ct_tmp_librarian2->setDbValue($rs->fields('ct_tmp_librarian2'));
		$this->ct_tmp_place->setDbValue($rs->fields('ct_tmp_place'));
		$this->ct_tmp_citation->setDbValue($rs->fields('ct_tmp_citation'));
		$this->ct_tmp_record->setDbValue($rs->fields('ct_tmp_record'));
		$this->ct_tmp_office->setDbValue($rs->fields('ct_tmp_office'));
		$this->ct_tmp_court1->setDbValue($rs->fields('ct_tmp_court1'));
		$this->ct_tmp_court2->setDbValue($rs->fields('ct_tmp_court2'));
		$this->ct_tmp_plan->setDbValue($rs->fields('ct_tmp_plan'));
		$this->ct_tmp_hr->setDbValue($rs->fields('ct_tmp_hr'));
		$this->ct_tmp_lawyer1->setDbValue($rs->fields('ct_tmp_lawyer1'));
		$this->ct_tmp_lawyer2->setDbValue($rs->fields('ct_tmp_lawyer2'));
		$this->ct_gov_computer->setDbValue($rs->fields('ct_gov_computer'));
		$this->ct_gov_place->setDbValue($rs->fields('ct_gov_place'));
		$this->ct_gov_office->setDbValue($rs->fields('ct_gov_office'));
		$this->ct_gov_court->setDbValue($rs->fields('ct_gov_court'));
		$this->ct_gov_lawyer1->setDbValue($rs->fields('ct_gov_lawyer1'));
		$this->ct_gov_lawyer2->setDbValue($rs->fields('ct_gov_lawyer2'));
		$this->ct_room_child->setDbValue($rs->fields('ct_room_child'));
		$this->ct_room->setDbValue($rs->fields('ct_room'));
		$this->ct_rooming->setDbValue($rs->fields('ct_rooming'));
		$this->ct_comment->setDbValue($rs->fields('ct_comment'));
		$this->ct_builing_update->setDbValue($rs->fields('ct_builing_update'));
		$this->ct_builing_num->setDbValue($rs->fields('ct_builing_num'));
		$this->ct_bu1_holdfile->setDbValue($rs->fields('ct_bu1_holdfile'));
		$this->ct_bu1_file->setDbValue($rs->fields('ct_bu1_file'));
		$this->ct_bu2_holdfile->setDbValue($rs->fields('ct_bu2_holdfile'));
		$this->ct_bu2_file->setDbValue($rs->fields('ct_bu2_file'));
		$this->ct_accommodation->setDbValue($rs->fields('ct_accommodation'));
		$this->ct_nw1_holdfile->setDbValue($rs->fields('ct_nw1_holdfile'));
		$this->ct_nw1_file->setDbValue($rs->fields('ct_nw1_file'));
		$this->ct_nw2_holdfile->setDbValue($rs->fields('ct_nw2_holdfile'));
		$this->ct_nw2_file->setDbValue($rs->fields('ct_nw2_file'));
		$this->ct_vcs_plan_holdfile->setDbValue($rs->fields('ct_vcs_plan_holdfile'));
		$this->ct_vcs_plan_file->setDbValue($rs->fields('ct_vcs_plan_file'));
	}

	// Load old record
	function LoadOldRecord() {

		// Load key values from Session
		$bValidKey = TRUE;
		if (strval($this->getKey("court_id")) <> "")
			$this->court_id->CurrentValue = $this->getKey("court_id"); // court_id
		else
			$bValidKey = FALSE;

		// Load old recordset
		if ($bValidKey) {
			$this->CurrentFilter = $this->KeyFilter();
			$sSql = $this->SQL();
			$this->OldRecordset = ew_LoadRecordset($sSql);
			$this->LoadRowValues($this->OldRecordset); // Load row values
		} else {
			$this->OldRecordset = NULL;
		}
		return $bValidKey;
	}

	// Render row values based on field settings
	function RenderRow() {
		global $conn, $Security, $Language;
		global $gsLanguage;

		// Initialize URLs
		$this->ViewUrl = $this->GetViewUrl();
		$this->EditUrl = $this->GetEditUrl();
		$this->InlineEditUrl = $this->GetInlineEditUrl();
		$this->CopyUrl = $this->GetCopyUrl();
		$this->InlineCopyUrl = $this->GetInlineCopyUrl();
		$this->DeleteUrl = $this->GetDeleteUrl();

		// Call Row_Rendering event
		$this->Row_Rendering();

		// Common render codes for all row types
		// court_id
		// ct_isdn1
		// ct_isdn2
		// ct_isdn3
		// ct_ip
		// ct_just
		// ct_just_senior
		// ct_officer
		// ct_officer_other
		// ct_emp_driver
		// ct_emp_ger
		// ct_emp_interpreter
		// ct_emp_place
		// ct_emp_tele
		// ct_emp_guard
		// ct_tmp_librarian1
		// ct_tmp_librarian2
		// ct_tmp_place
		// ct_tmp_citation
		// ct_tmp_record
		// ct_tmp_office
		// ct_tmp_court1
		// ct_tmp_court2
		// ct_tmp_plan
		// ct_tmp_hr
		// ct_tmp_lawyer1
		// ct_tmp_lawyer2
		// ct_gov_computer
		// ct_gov_place
		// ct_gov_office
		// ct_gov_court
		// ct_gov_lawyer1
		// ct_gov_lawyer2
		// ct_room_child
		// ct_room
		// ct_rooming
		// ct_comment
		// ct_builing_update
		// ct_builing_num
		// ct_bu1_holdfile
		// ct_bu1_file
		// ct_bu2_holdfile
		// ct_bu2_file
		// ct_accommodation
		// ct_nw1_holdfile
		// ct_nw1_file
		// ct_nw2_holdfile
		// ct_nw2_file
		// ct_vcs_plan_holdfile
		// ct_vcs_plan_file

		if ($this->RowType == EW_ROWTYPE_VIEW) { // View row

			// court_id
			$this->court_id->ViewValue = $this->court_id->CurrentValue;
			$this->court_id->ViewCustomAttributes = "";

			// ct_isdn1
			$this->ct_isdn1->ViewValue = $this->ct_isdn1->CurrentValue;
			$this->ct_isdn1->ViewCustomAttributes = "";

			// ct_isdn2
			$this->ct_isdn2->ViewValue = $this->ct_isdn2->CurrentValue;
			$this->ct_isdn2->ViewCustomAttributes = "";

			// ct_isdn3
			$this->ct_isdn3->ViewValue = $this->ct_isdn3->CurrentValue;
			$this->ct_isdn3->ViewCustomAttributes = "";

			// ct_ip
			$this->ct_ip->ViewValue = $this->ct_ip->CurrentValue;
			$this->ct_ip->ViewCustomAttributes = "";

			// ct_just
			$this->ct_just->ViewValue = $this->ct_just->CurrentValue;
			$this->ct_just->ViewCustomAttributes = "";

			// ct_just_senior
			$this->ct_just_senior->ViewValue = $this->ct_just_senior->CurrentValue;
			$this->ct_just_senior->ViewCustomAttributes = "";

			// ct_officer
			$this->ct_officer->ViewValue = $this->ct_officer->CurrentValue;
			$this->ct_officer->ViewCustomAttributes = "";

			// ct_officer_other
			$this->ct_officer_other->ViewValue = $this->ct_officer_other->CurrentValue;
			$this->ct_officer_other->ViewCustomAttributes = "";

			// ct_emp_driver
			$this->ct_emp_driver->ViewValue = $this->ct_emp_driver->CurrentValue;
			$this->ct_emp_driver->ViewCustomAttributes = "";

			// ct_emp_ger
			$this->ct_emp_ger->ViewValue = $this->ct_emp_ger->CurrentValue;
			$this->ct_emp_ger->ViewCustomAttributes = "";

			// ct_emp_interpreter
			$this->ct_emp_interpreter->ViewValue = $this->ct_emp_interpreter->CurrentValue;
			$this->ct_emp_interpreter->ViewCustomAttributes = "";

			// ct_emp_place
			$this->ct_emp_place->ViewValue = $this->ct_emp_place->CurrentValue;
			$this->ct_emp_place->ViewCustomAttributes = "";

			// ct_emp_tele
			$this->ct_emp_tele->ViewValue = $this->ct_emp_tele->CurrentValue;
			$this->ct_emp_tele->ViewCustomAttributes = "";

			// ct_emp_guard
			$this->ct_emp_guard->ViewValue = $this->ct_emp_guard->CurrentValue;
			$this->ct_emp_guard->ViewCustomAttributes = "";

			// ct_tmp_librarian1
			$this->ct_tmp_librarian1->ViewValue = $this->ct_tmp_librarian1->CurrentValue;
			$this->ct_tmp_librarian1->ViewCustomAttributes = "";

			// ct_tmp_librarian2
			$this->ct_tmp_librarian2->ViewValue = $this->ct_tmp_librarian2->CurrentValue;
			$this->ct_tmp_librarian2->ViewCustomAttributes = "";

			// ct_tmp_place
			$this->ct_tmp_place->ViewValue = $this->ct_tmp_place->CurrentValue;
			$this->ct_tmp_place->ViewCustomAttributes = "";

			// ct_tmp_citation
			$this->ct_tmp_citation->ViewValue = $this->ct_tmp_citation->CurrentValue;
			$this->ct_tmp_citation->ViewCustomAttributes = "";

			// ct_tmp_record
			$this->ct_tmp_record->ViewValue = $this->ct_tmp_record->CurrentValue;
			$this->ct_tmp_record->ViewCustomAttributes = "";

			// ct_tmp_office
			$this->ct_tmp_office->ViewValue = $this->ct_tmp_office->CurrentValue;
			$this->ct_tmp_office->ViewCustomAttributes = "";

			// ct_tmp_court1
			$this->ct_tmp_court1->ViewValue = $this->ct_tmp_court1->CurrentValue;
			$this->ct_tmp_court1->ViewCustomAttributes = "";

			// ct_tmp_court2
			$this->ct_tmp_court2->ViewValue = $this->ct_tmp_court2->CurrentValue;
			$this->ct_tmp_court2->ViewCustomAttributes = "";

			// ct_tmp_plan
			$this->ct_tmp_plan->ViewValue = $this->ct_tmp_plan->CurrentValue;
			$this->ct_tmp_plan->ViewCustomAttributes = "";

			// ct_tmp_hr
			$this->ct_tmp_hr->ViewValue = $this->ct_tmp_hr->CurrentValue;
			$this->ct_tmp_hr->ViewCustomAttributes = "";

			// ct_tmp_lawyer1
			$this->ct_tmp_lawyer1->ViewValue = $this->ct_tmp_lawyer1->CurrentValue;
			$this->ct_tmp_lawyer1->ViewCustomAttributes = "";

			// ct_tmp_lawyer2
			$this->ct_tmp_lawyer2->ViewValue = $this->ct_tmp_lawyer2->CurrentValue;
			$this->ct_tmp_lawyer2->ViewCustomAttributes = "";

			// ct_gov_computer
			$this->ct_gov_computer->ViewValue = $this->ct_gov_computer->CurrentValue;
			$this->ct_gov_computer->ViewCustomAttributes = "";

			// ct_gov_place
			$this->ct_gov_place->ViewValue = $this->ct_gov_place->CurrentValue;
			$this->ct_gov_place->ViewCustomAttributes = "";

			// ct_gov_office
			$this->ct_gov_office->ViewValue = $this->ct_gov_office->CurrentValue;
			$this->ct_gov_office->ViewCustomAttributes = "";

			// ct_gov_court
			$this->ct_gov_court->ViewValue = $this->ct_gov_court->CurrentValue;
			$this->ct_gov_court->ViewCustomAttributes = "";

			// ct_gov_lawyer1
			$this->ct_gov_lawyer1->ViewValue = $this->ct_gov_lawyer1->CurrentValue;
			$this->ct_gov_lawyer1->ViewCustomAttributes = "";

			// ct_gov_lawyer2
			$this->ct_gov_lawyer2->ViewValue = $this->ct_gov_lawyer2->CurrentValue;
			$this->ct_gov_lawyer2->ViewCustomAttributes = "";

			// ct_room_child
			$this->ct_room_child->ViewValue = $this->ct_room_child->CurrentValue;
			$this->ct_room_child->ViewCustomAttributes = "";

			// ct_room
			$this->ct_room->ViewValue = $this->ct_room->CurrentValue;
			$this->ct_room->ViewCustomAttributes = "";

			// ct_rooming
			$this->ct_rooming->ViewValue = $this->ct_rooming->CurrentValue;
			$this->ct_rooming->ViewCustomAttributes = "";

			// ct_comment
			$this->ct_comment->ViewValue = $this->ct_comment->CurrentValue;
			$this->ct_comment->ViewCustomAttributes = "";

			// ct_builing_update
			$this->ct_builing_update->ViewValue = $this->ct_builing_update->CurrentValue;
			$this->ct_builing_update->ViewCustomAttributes = "";

			// ct_builing_num
			$this->ct_builing_num->ViewValue = $this->ct_builing_num->CurrentValue;
			$this->ct_builing_num->ViewCustomAttributes = "";

			// ct_bu1_holdfile
			$this->ct_bu1_holdfile->ViewValue = $this->ct_bu1_holdfile->CurrentValue;
			$this->ct_bu1_holdfile->ViewCustomAttributes = "";

			// ct_bu1_file
			$this->ct_bu1_file->ViewValue = $this->ct_bu1_file->CurrentValue;
			$this->ct_bu1_file->ViewCustomAttributes = "";

			// ct_bu2_holdfile
			$this->ct_bu2_holdfile->ViewValue = $this->ct_bu2_holdfile->CurrentValue;
			$this->ct_bu2_holdfile->ViewCustomAttributes = "";

			// ct_bu2_file
			$this->ct_bu2_file->ViewValue = $this->ct_bu2_file->CurrentValue;
			$this->ct_bu2_file->ViewCustomAttributes = "";

			// ct_accommodation
			$this->ct_accommodation->ViewValue = $this->ct_accommodation->CurrentValue;
			$this->ct_accommodation->ViewCustomAttributes = "";

			// ct_nw1_holdfile
			$this->ct_nw1_holdfile->ViewValue = $this->ct_nw1_holdfile->CurrentValue;
			$this->ct_nw1_holdfile->ViewCustomAttributes = "";

			// ct_nw1_file
			$this->ct_nw1_file->ViewValue = $this->ct_nw1_file->CurrentValue;
			$this->ct_nw1_file->ViewCustomAttributes = "";

			// ct_nw2_holdfile
			$this->ct_nw2_holdfile->ViewValue = $this->ct_nw2_holdfile->CurrentValue;
			$this->ct_nw2_holdfile->ViewCustomAttributes = "";

			// ct_nw2_file
			$this->ct_nw2_file->ViewValue = $this->ct_nw2_file->CurrentValue;
			$this->ct_nw2_file->ViewCustomAttributes = "";

			// ct_vcs_plan_holdfile
			$this->ct_vcs_plan_holdfile->ViewValue = $this->ct_vcs_plan_holdfile->CurrentValue;
			$this->ct_vcs_plan_holdfile->ViewCustomAttributes = "";

			// ct_vcs_plan_file
			$this->ct_vcs_plan_file->ViewValue = $this->ct_vcs_plan_file->CurrentValue;
			$this->ct_vcs_plan_file->ViewCustomAttributes = "";

			// court_id
			$this->court_id->LinkCustomAttributes = "";
			$this->court_id->HrefValue = "";
			$this->court_id->TooltipValue = "";

			// ct_isdn1
			$this->ct_isdn1->LinkCustomAttributes = "";
			$this->ct_isdn1->HrefValue = "";
			$this->ct_isdn1->TooltipValue = "";

			// ct_isdn2
			$this->ct_isdn2->LinkCustomAttributes = "";
			$this->ct_isdn2->HrefValue = "";
			$this->ct_isdn2->TooltipValue = "";

			// ct_isdn3
			$this->ct_isdn3->LinkCustomAttributes = "";
			$this->ct_isdn3->HrefValue = "";
			$this->ct_isdn3->TooltipValue = "";

			// ct_ip
			$this->ct_ip->LinkCustomAttributes = "";
			$this->ct_ip->HrefValue = "";
			$this->ct_ip->TooltipValue = "";

			// ct_just
			$this->ct_just->LinkCustomAttributes = "";
			$this->ct_just->HrefValue = "";
			$this->ct_just->TooltipValue = "";

			// ct_just_senior
			$this->ct_just_senior->LinkCustomAttributes = "";
			$this->ct_just_senior->HrefValue = "";
			$this->ct_just_senior->TooltipValue = "";

			// ct_officer
			$this->ct_officer->LinkCustomAttributes = "";
			$this->ct_officer->HrefValue = "";
			$this->ct_officer->TooltipValue = "";

			// ct_officer_other
			$this->ct_officer_other->LinkCustomAttributes = "";
			$this->ct_officer_other->HrefValue = "";
			$this->ct_officer_other->TooltipValue = "";

			// ct_emp_driver
			$this->ct_emp_driver->LinkCustomAttributes = "";
			$this->ct_emp_driver->HrefValue = "";
			$this->ct_emp_driver->TooltipValue = "";

			// ct_emp_ger
			$this->ct_emp_ger->LinkCustomAttributes = "";
			$this->ct_emp_ger->HrefValue = "";
			$this->ct_emp_ger->TooltipValue = "";

			// ct_emp_interpreter
			$this->ct_emp_interpreter->LinkCustomAttributes = "";
			$this->ct_emp_interpreter->HrefValue = "";
			$this->ct_emp_interpreter->TooltipValue = "";

			// ct_emp_place
			$this->ct_emp_place->LinkCustomAttributes = "";
			$this->ct_emp_place->HrefValue = "";
			$this->ct_emp_place->TooltipValue = "";

			// ct_emp_tele
			$this->ct_emp_tele->LinkCustomAttributes = "";
			$this->ct_emp_tele->HrefValue = "";
			$this->ct_emp_tele->TooltipValue = "";

			// ct_emp_guard
			$this->ct_emp_guard->LinkCustomAttributes = "";
			$this->ct_emp_guard->HrefValue = "";
			$this->ct_emp_guard->TooltipValue = "";

			// ct_tmp_librarian1
			$this->ct_tmp_librarian1->LinkCustomAttributes = "";
			$this->ct_tmp_librarian1->HrefValue = "";
			$this->ct_tmp_librarian1->TooltipValue = "";

			// ct_tmp_librarian2
			$this->ct_tmp_librarian2->LinkCustomAttributes = "";
			$this->ct_tmp_librarian2->HrefValue = "";
			$this->ct_tmp_librarian2->TooltipValue = "";

			// ct_tmp_place
			$this->ct_tmp_place->LinkCustomAttributes = "";
			$this->ct_tmp_place->HrefValue = "";
			$this->ct_tmp_place->TooltipValue = "";

			// ct_tmp_citation
			$this->ct_tmp_citation->LinkCustomAttributes = "";
			$this->ct_tmp_citation->HrefValue = "";
			$this->ct_tmp_citation->TooltipValue = "";

			// ct_tmp_record
			$this->ct_tmp_record->LinkCustomAttributes = "";
			$this->ct_tmp_record->HrefValue = "";
			$this->ct_tmp_record->TooltipValue = "";

			// ct_tmp_office
			$this->ct_tmp_office->LinkCustomAttributes = "";
			$this->ct_tmp_office->HrefValue = "";
			$this->ct_tmp_office->TooltipValue = "";

			// ct_tmp_court1
			$this->ct_tmp_court1->LinkCustomAttributes = "";
			$this->ct_tmp_court1->HrefValue = "";
			$this->ct_tmp_court1->TooltipValue = "";

			// ct_tmp_court2
			$this->ct_tmp_court2->LinkCustomAttributes = "";
			$this->ct_tmp_court2->HrefValue = "";
			$this->ct_tmp_court2->TooltipValue = "";

			// ct_tmp_plan
			$this->ct_tmp_plan->LinkCustomAttributes = "";
			$this->ct_tmp_plan->HrefValue = "";
			$this->ct_tmp_plan->TooltipValue = "";

			// ct_tmp_hr
			$this->ct_tmp_hr->LinkCustomAttributes = "";
			$this->ct_tmp_hr->HrefValue = "";
			$this->ct_tmp_hr->TooltipValue = "";

			// ct_tmp_lawyer1
			$this->ct_tmp_lawyer1->LinkCustomAttributes = "";
			$this->ct_tmp_lawyer1->HrefValue = "";
			$this->ct_tmp_lawyer1->TooltipValue = "";

			// ct_tmp_lawyer2
			$this->ct_tmp_lawyer2->LinkCustomAttributes = "";
			$this->ct_tmp_lawyer2->HrefValue = "";
			$this->ct_tmp_lawyer2->TooltipValue = "";

			// ct_gov_computer
			$this->ct_gov_computer->LinkCustomAttributes = "";
			$this->ct_gov_computer->HrefValue = "";
			$this->ct_gov_computer->TooltipValue = "";

			// ct_gov_place
			$this->ct_gov_place->LinkCustomAttributes = "";
			$this->ct_gov_place->HrefValue = "";
			$this->ct_gov_place->TooltipValue = "";

			// ct_gov_office
			$this->ct_gov_office->LinkCustomAttributes = "";
			$this->ct_gov_office->HrefValue = "";
			$this->ct_gov_office->TooltipValue = "";

			// ct_gov_court
			$this->ct_gov_court->LinkCustomAttributes = "";
			$this->ct_gov_court->HrefValue = "";
			$this->ct_gov_court->TooltipValue = "";

			// ct_gov_lawyer1
			$this->ct_gov_lawyer1->LinkCustomAttributes = "";
			$this->ct_gov_lawyer1->HrefValue = "";
			$this->ct_gov_lawyer1->TooltipValue = "";

			// ct_gov_lawyer2
			$this->ct_gov_lawyer2->LinkCustomAttributes = "";
			$this->ct_gov_lawyer2->HrefValue = "";
			$this->ct_gov_lawyer2->TooltipValue = "";

			// ct_room_child
			$this->ct_room_child->LinkCustomAttributes = "";
			$this->ct_room_child->HrefValue = "";
			$this->ct_room_child->TooltipValue = "";

			// ct_room
			$this->ct_room->LinkCustomAttributes = "";
			$this->ct_room->HrefValue = "";
			$this->ct_room->TooltipValue = "";

			// ct_rooming
			$this->ct_rooming->LinkCustomAttributes = "";
			$this->ct_rooming->HrefValue = "";
			$this->ct_rooming->TooltipValue = "";

			// ct_comment
			$this->ct_comment->LinkCustomAttributes = "";
			$this->ct_comment->HrefValue = "";
			$this->ct_comment->TooltipValue = "";

			// ct_builing_update
			$this->ct_builing_update->LinkCustomAttributes = "";
			$this->ct_builing_update->HrefValue = "";
			$this->ct_builing_update->TooltipValue = "";

			// ct_builing_num
			$this->ct_builing_num->LinkCustomAttributes = "";
			$this->ct_builing_num->HrefValue = "";
			$this->ct_builing_num->TooltipValue = "";

			// ct_bu1_holdfile
			$this->ct_bu1_holdfile->LinkCustomAttributes = "";
			$this->ct_bu1_holdfile->HrefValue = "";
			$this->ct_bu1_holdfile->TooltipValue = "";

			// ct_bu1_file
			$this->ct_bu1_file->LinkCustomAttributes = "";
			$this->ct_bu1_file->HrefValue = "";
			$this->ct_bu1_file->TooltipValue = "";

			// ct_bu2_holdfile
			$this->ct_bu2_holdfile->LinkCustomAttributes = "";
			$this->ct_bu2_holdfile->HrefValue = "";
			$this->ct_bu2_holdfile->TooltipValue = "";

			// ct_bu2_file
			$this->ct_bu2_file->LinkCustomAttributes = "";
			$this->ct_bu2_file->HrefValue = "";
			$this->ct_bu2_file->TooltipValue = "";

			// ct_accommodation
			$this->ct_accommodation->LinkCustomAttributes = "";
			$this->ct_accommodation->HrefValue = "";
			$this->ct_accommodation->TooltipValue = "";

			// ct_nw1_holdfile
			$this->ct_nw1_holdfile->LinkCustomAttributes = "";
			$this->ct_nw1_holdfile->HrefValue = "";
			$this->ct_nw1_holdfile->TooltipValue = "";

			// ct_nw1_file
			$this->ct_nw1_file->LinkCustomAttributes = "";
			$this->ct_nw1_file->HrefValue = "";
			$this->ct_nw1_file->TooltipValue = "";

			// ct_nw2_holdfile
			$this->ct_nw2_holdfile->LinkCustomAttributes = "";
			$this->ct_nw2_holdfile->HrefValue = "";
			$this->ct_nw2_holdfile->TooltipValue = "";

			// ct_nw2_file
			$this->ct_nw2_file->LinkCustomAttributes = "";
			$this->ct_nw2_file->HrefValue = "";
			$this->ct_nw2_file->TooltipValue = "";

			// ct_vcs_plan_holdfile
			$this->ct_vcs_plan_holdfile->LinkCustomAttributes = "";
			$this->ct_vcs_plan_holdfile->HrefValue = "";
			$this->ct_vcs_plan_holdfile->TooltipValue = "";

			// ct_vcs_plan_file
			$this->ct_vcs_plan_file->LinkCustomAttributes = "";
			$this->ct_vcs_plan_file->HrefValue = "";
			$this->ct_vcs_plan_file->TooltipValue = "";
		}

		// Call Row Rendered event
		if ($this->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$this->Row_Rendered();
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	// $type = ''|'success'|'failure'|'warning'
	function Message_Showing(&$msg, $type) {
		if ($type == 'success') {

			//$msg = "your success message";
		} elseif ($type == 'failure') {

			//$msg = "your failure message";
		} elseif ($type == 'warning') {

			//$msg = "your warning message";
		} else {

			//$msg = "your message";
		}
	}

	// Page Data Rendering event
	function Page_DataRendering(&$header) {

		// Example:
		//$header = "your header";

	}

	// Page Data Rendered event
	function Page_DataRendered(&$footer) {

		// Example:
		//$footer = "your footer";

	}

	// Form Custom Validate event
	function Form_CustomValidate(&$CustomError) {

		// Return error message in CustomError
		return TRUE;
	}

	// ListOptions Load event
	function ListOptions_Load() {

		// Example:
		//$opt = &$this->ListOptions->Add("new");
		//$opt->Header = "xxx";
		//$opt->OnLeft = TRUE; // Link on left
		//$opt->MoveTo(0); // Move to first column

	}

	// ListOptions Rendered event
	function ListOptions_Rendered() {

		// Example: 
		//$this->ListOptions->Items["new"]->Body = "xxx";

	}
}
?>
<?php ew_Header(FALSE) ?>
<?php

// Create page object
if (!isset($tb_court_details_list)) $tb_court_details_list = new ctb_court_details_list();

// Page init
$tb_court_details_list->Page_Init();

// Page main
$tb_court_details_list->Page_Main();
?>
<?php include_once "header.php" ?>
<script type="text/javascript">

// Page object
var tb_court_details_list = new ew_Page("tb_court_details_list");
tb_court_details_list.PageID = "list"; // Page ID
var EW_PAGE_ID = tb_court_details_list.PageID; // For backward compatibility

// Form object
var ftb_court_detailslist = new ew_Form("ftb_court_detailslist");

// Form_CustomValidate event
ftb_court_detailslist.Form_CustomValidate =  
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }

// Use JavaScript validation or not
<?php if (EW_CLIENT_VALIDATE) { ?>
ftb_court_detailslist.ValidateRequired = true;
<?php } else { ?>
ftb_court_detailslist.ValidateRequired = false; 
<?php } ?>

// Dynamic selection lists
// Form object for search

var ftb_court_detailslistsrch = new ew_Form("ftb_court_detailslistsrch");
</script>
<script type="text/javascript">

// Write your client script here, no need to add script tags.
</script>
<?php
	$bSelectLimit = EW_SELECT_LIMIT;
	if ($bSelectLimit) {
		$tb_court_details_list->TotalRecs = $tb_court_details->SelectRecordCount();
	} else {
		if ($tb_court_details_list->Recordset = $tb_court_details_list->LoadRecordset())
			$tb_court_details_list->TotalRecs = $tb_court_details_list->Recordset->RecordCount();
	}
	$tb_court_details_list->StartRec = 1;
	if ($tb_court_details_list->DisplayRecs <= 0 || ($tb_court_details->Export <> "" && $tb_court_details->ExportAll)) // Display all records
		$tb_court_details_list->DisplayRecs = $tb_court_details_list->TotalRecs;
	if (!($tb_court_details->Export <> "" && $tb_court_details->ExportAll))
		$tb_court_details_list->SetUpStartRec(); // Set up start record position
	if ($bSelectLimit)
		$tb_court_details_list->Recordset = $tb_court_details_list->LoadRecordset($tb_court_details_list->StartRec-1, $tb_court_details_list->DisplayRecs);
?>
<p style="white-space: nowrap;"><span class="ewTitle ewTableTitle"><?php echo $Language->Phrase("TblTypeTABLE") ?><?php echo $tb_court_details->TableCaption() ?>&nbsp;&nbsp;</span>
<?php $tb_court_details_list->ExportOptions->Render("body"); ?>
</p>
<?php if ($tb_court_details->Export == "" && $tb_court_details->CurrentAction == "") { ?>
<form name="ftb_court_detailslistsrch" id="ftb_court_detailslistsrch" class="ewForm" action="<?php echo ew_CurrentPage() ?>">
<a href="javascript:ftb_court_detailslistsrch.ToggleSearchPanel();" style="text-decoration: none;"><img id="ftb_court_detailslistsrch_SearchImage" src="phpimages/collapse.gif" alt="" width="9" height="9" border="0"></a><span class="phpmaker">&nbsp;<?php echo $Language->Phrase("Search") ?></span><br>
<div id="ftb_court_detailslistsrch_SearchPanel">
<input type="hidden" name="t" value="tb_court_details">
<div class="ewBasicSearch">
<div id="xsr_1" class="ewRow">
	<input type="text" name="<?php echo EW_TABLE_BASIC_SEARCH ?>" size="20" value="<?php echo ew_HtmlEncode($tb_court_details->getSessionBasicSearchKeyword()) ?>">
	<input type="submit" name="btnsubmit" id="btnsubmit" value="<?php echo ew_BtnCaption($Language->Phrase("QuickSearchBtn")) ?>">&nbsp;
	<a href="<?php echo $tb_court_details_list->PageUrl() ?>cmd=reset"><?php echo $Language->Phrase("ShowAll") ?></a>&nbsp;
</div>
<div id="xsr_2" class="ewRow">
	<label><input type="radio" name="<?php echo EW_TABLE_BASIC_SEARCH_TYPE ?>" value="="<?php if ($tb_court_details->getSessionBasicSearchType() == "=") { ?> checked="checked"<?php } ?>><?php echo $Language->Phrase("ExactPhrase") ?></label>&nbsp;&nbsp;<label><input type="radio" name="<?php echo EW_TABLE_BASIC_SEARCH_TYPE ?>" value="AND"<?php if ($tb_court_details->getSessionBasicSearchType() == "AND") { ?> checked="checked"<?php } ?>><?php echo $Language->Phrase("AllWord") ?></label>&nbsp;&nbsp;<label><input type="radio" name="<?php echo EW_TABLE_BASIC_SEARCH_TYPE ?>" value="OR"<?php if ($tb_court_details->getSessionBasicSearchType() == "OR") { ?> checked="checked"<?php } ?>><?php echo $Language->Phrase("AnyWord") ?></label>
</div>
</div>
</div>
</form>
<?php } ?>
<?php $tb_court_details_list->ShowPageHeader(); ?>
<?php
$tb_court_details_list->ShowMessage();
?>
<br>
<table cellspacing="0" class="ewGrid"><tr><td class="ewGridContent">
<div class="ewGridUpperPanel">
<?php if ($tb_court_details->CurrentAction <> "gridadd" && $tb_court_details->CurrentAction <> "gridedit") { ?>
<form name="ewpagerform" id="ewpagerform" class="ewForm" action="<?php echo ew_CurrentPage() ?>">
<table border="0" cellspacing="0" cellpadding="0" class="ewPager">
	<tr>
		<td nowrap>
<?php if (!isset($tb_court_details_list->Pager)) $tb_court_details_list->Pager = new cPrevNextPager($tb_court_details_list->StartRec, $tb_court_details_list->DisplayRecs, $tb_court_details_list->TotalRecs) ?>
<?php if ($tb_court_details_list->Pager->RecordCount > 0) { ?>
	<table border="0" cellspacing="0" cellpadding="0"><tr><td><span class="phpmaker"><?php echo $Language->Phrase("Page") ?>&nbsp;</span></td>
<!--first page button-->
	<?php if ($tb_court_details_list->Pager->FirstButton->Enabled) { ?>
	<td><a href="<?php echo $tb_court_details_list->PageUrl() ?>start=<?php echo $tb_court_details_list->Pager->FirstButton->Start ?>"><img src="phpimages/first.gif" alt="<?php echo $Language->Phrase("PagerFirst") ?>" width="16" height="16" border="0"></a></td>
	<?php } else { ?>
	<td><img src="phpimages/firstdisab.gif" alt="<?php echo $Language->Phrase("PagerFirst") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
<!--previous page button-->
	<?php if ($tb_court_details_list->Pager->PrevButton->Enabled) { ?>
	<td><a href="<?php echo $tb_court_details_list->PageUrl() ?>start=<?php echo $tb_court_details_list->Pager->PrevButton->Start ?>"><img src="phpimages/prev.gif" alt="<?php echo $Language->Phrase("PagerPrevious") ?>" width="16" height="16" border="0"></a></td>
	<?php } else { ?>
	<td><img src="phpimages/prevdisab.gif" alt="<?php echo $Language->Phrase("PagerPrevious") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
<!--current page number-->
	<td><input type="text" name="<?php echo EW_TABLE_PAGE_NO ?>" id="<?php echo EW_TABLE_PAGE_NO ?>" value="<?php echo $tb_court_details_list->Pager->CurrentPage ?>" size="4"></td>
<!--next page button-->
	<?php if ($tb_court_details_list->Pager->NextButton->Enabled) { ?>
	<td><a href="<?php echo $tb_court_details_list->PageUrl() ?>start=<?php echo $tb_court_details_list->Pager->NextButton->Start ?>"><img src="phpimages/next.gif" alt="<?php echo $Language->Phrase("PagerNext") ?>" width="16" height="16" border="0"></a></td>	
	<?php } else { ?>
	<td><img src="phpimages/nextdisab.gif" alt="<?php echo $Language->Phrase("PagerNext") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
<!--last page button-->
	<?php if ($tb_court_details_list->Pager->LastButton->Enabled) { ?>
	<td><a href="<?php echo $tb_court_details_list->PageUrl() ?>start=<?php echo $tb_court_details_list->Pager->LastButton->Start ?>"><img src="phpimages/last.gif" alt="<?php echo $Language->Phrase("PagerLast") ?>" width="16" height="16" border="0"></a></td>	
	<?php } else { ?>
	<td><img src="phpimages/lastdisab.gif" alt="<?php echo $Language->Phrase("PagerLast") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
	<td><span class="phpmaker">&nbsp;<?php echo $Language->Phrase("of") ?>&nbsp;<?php echo $tb_court_details_list->Pager->PageCount ?></span></td>
	</tr></table>
	</td>	
	<td>&nbsp;&nbsp;&nbsp;&nbsp;</td>
	<td>
	<span class="phpmaker"><?php echo $Language->Phrase("Record") ?>&nbsp;<?php echo $tb_court_details_list->Pager->FromIndex ?>&nbsp;<?php echo $Language->Phrase("To") ?>&nbsp;<?php echo $tb_court_details_list->Pager->ToIndex ?>&nbsp;<?php echo $Language->Phrase("Of") ?>&nbsp;<?php echo $tb_court_details_list->Pager->RecordCount ?></span>
<?php } else { ?>
	<?php if ($tb_court_details_list->SearchWhere == "0=101") { ?>
	<span class="phpmaker"><?php echo $Language->Phrase("EnterSearchCriteria") ?></span>
	<?php } else { ?>
	<span class="phpmaker"><?php echo $Language->Phrase("NoRecord") ?></span>
	<?php } ?>
<?php } ?>
		</td>
	</tr>
</table>
</form>
<?php } ?>
<span class="phpmaker">
<?php if ($tb_court_details_list->AddUrl <> "") { ?>
<a class="ewGridLink" href="<?php echo $tb_court_details_list->AddUrl ?>"><?php echo $Language->Phrase("AddLink") ?></a>&nbsp;&nbsp;
<?php } ?>
</span>
</div>
<form name="ftb_court_detailslist" id="ftb_court_detailslist" class="ewForm" action="" method="post">
<input type="hidden" name="t" value="tb_court_details">
<div id="gmp_tb_court_details" class="ewGridMiddlePanel">
<?php if ($tb_court_details_list->TotalRecs > 0) { ?>
<table cellspacing="0" id="tbl_tb_court_detailslist" class="ewTable ewTableSeparate">
<?php echo $tb_court_details->TableCustomInnerHtml ?>
<thead><!-- Table header -->
	<tr class="ewTableHeader">
<?php

// Render list options
$tb_court_details_list->RenderListOptions();

// Render list options (header, left)
$tb_court_details_list->ListOptions->Render("header", "left");
?>
<?php if ($tb_court_details->court_id->Visible) { // court_id ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->court_id) == "") { ?>
		<td><span id="elh_tb_court_details_court_id" class="tb_court_details_court_id"><?php echo $tb_court_details->court_id->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->court_id) ?>',1);"><span id="elh_tb_court_details_court_id" class="tb_court_details_court_id">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->court_id->FldCaption() ?><?php echo $Language->Phrase("SrchLegend") ?></td><td style="width: 10px;"><?php if ($tb_court_details->court_id->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->court_id->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_court_details->ct_isdn1->Visible) { // ct_isdn1 ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->ct_isdn1) == "") { ?>
		<td><span id="elh_tb_court_details_ct_isdn1" class="tb_court_details_ct_isdn1"><?php echo $tb_court_details->ct_isdn1->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->ct_isdn1) ?>',1);"><span id="elh_tb_court_details_ct_isdn1" class="tb_court_details_ct_isdn1">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->ct_isdn1->FldCaption() ?><?php echo $Language->Phrase("SrchLegend") ?></td><td style="width: 10px;"><?php if ($tb_court_details->ct_isdn1->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->ct_isdn1->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_court_details->ct_isdn2->Visible) { // ct_isdn2 ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->ct_isdn2) == "") { ?>
		<td><span id="elh_tb_court_details_ct_isdn2" class="tb_court_details_ct_isdn2"><?php echo $tb_court_details->ct_isdn2->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->ct_isdn2) ?>',1);"><span id="elh_tb_court_details_ct_isdn2" class="tb_court_details_ct_isdn2">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->ct_isdn2->FldCaption() ?><?php echo $Language->Phrase("SrchLegend") ?></td><td style="width: 10px;"><?php if ($tb_court_details->ct_isdn2->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->ct_isdn2->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_court_details->ct_isdn3->Visible) { // ct_isdn3 ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->ct_isdn3) == "") { ?>
		<td><span id="elh_tb_court_details_ct_isdn3" class="tb_court_details_ct_isdn3"><?php echo $tb_court_details->ct_isdn3->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->ct_isdn3) ?>',1);"><span id="elh_tb_court_details_ct_isdn3" class="tb_court_details_ct_isdn3">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->ct_isdn3->FldCaption() ?><?php echo $Language->Phrase("SrchLegend") ?></td><td style="width: 10px;"><?php if ($tb_court_details->ct_isdn3->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->ct_isdn3->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_court_details->ct_ip->Visible) { // ct_ip ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->ct_ip) == "") { ?>
		<td><span id="elh_tb_court_details_ct_ip" class="tb_court_details_ct_ip"><?php echo $tb_court_details->ct_ip->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->ct_ip) ?>',1);"><span id="elh_tb_court_details_ct_ip" class="tb_court_details_ct_ip">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->ct_ip->FldCaption() ?><?php echo $Language->Phrase("SrchLegend") ?></td><td style="width: 10px;"><?php if ($tb_court_details->ct_ip->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->ct_ip->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_court_details->ct_just->Visible) { // ct_just ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->ct_just) == "") { ?>
		<td><span id="elh_tb_court_details_ct_just" class="tb_court_details_ct_just"><?php echo $tb_court_details->ct_just->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->ct_just) ?>',1);"><span id="elh_tb_court_details_ct_just" class="tb_court_details_ct_just">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->ct_just->FldCaption() ?></td><td style="width: 10px;"><?php if ($tb_court_details->ct_just->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->ct_just->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_court_details->ct_just_senior->Visible) { // ct_just_senior ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->ct_just_senior) == "") { ?>
		<td><span id="elh_tb_court_details_ct_just_senior" class="tb_court_details_ct_just_senior"><?php echo $tb_court_details->ct_just_senior->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->ct_just_senior) ?>',1);"><span id="elh_tb_court_details_ct_just_senior" class="tb_court_details_ct_just_senior">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->ct_just_senior->FldCaption() ?></td><td style="width: 10px;"><?php if ($tb_court_details->ct_just_senior->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->ct_just_senior->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_court_details->ct_officer->Visible) { // ct_officer ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->ct_officer) == "") { ?>
		<td><span id="elh_tb_court_details_ct_officer" class="tb_court_details_ct_officer"><?php echo $tb_court_details->ct_officer->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->ct_officer) ?>',1);"><span id="elh_tb_court_details_ct_officer" class="tb_court_details_ct_officer">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->ct_officer->FldCaption() ?></td><td style="width: 10px;"><?php if ($tb_court_details->ct_officer->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->ct_officer->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_court_details->ct_officer_other->Visible) { // ct_officer_other ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->ct_officer_other) == "") { ?>
		<td><span id="elh_tb_court_details_ct_officer_other" class="tb_court_details_ct_officer_other"><?php echo $tb_court_details->ct_officer_other->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->ct_officer_other) ?>',1);"><span id="elh_tb_court_details_ct_officer_other" class="tb_court_details_ct_officer_other">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->ct_officer_other->FldCaption() ?></td><td style="width: 10px;"><?php if ($tb_court_details->ct_officer_other->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->ct_officer_other->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_court_details->ct_emp_driver->Visible) { // ct_emp_driver ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->ct_emp_driver) == "") { ?>
		<td><span id="elh_tb_court_details_ct_emp_driver" class="tb_court_details_ct_emp_driver"><?php echo $tb_court_details->ct_emp_driver->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->ct_emp_driver) ?>',1);"><span id="elh_tb_court_details_ct_emp_driver" class="tb_court_details_ct_emp_driver">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->ct_emp_driver->FldCaption() ?></td><td style="width: 10px;"><?php if ($tb_court_details->ct_emp_driver->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->ct_emp_driver->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_court_details->ct_emp_ger->Visible) { // ct_emp_ger ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->ct_emp_ger) == "") { ?>
		<td><span id="elh_tb_court_details_ct_emp_ger" class="tb_court_details_ct_emp_ger"><?php echo $tb_court_details->ct_emp_ger->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->ct_emp_ger) ?>',1);"><span id="elh_tb_court_details_ct_emp_ger" class="tb_court_details_ct_emp_ger">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->ct_emp_ger->FldCaption() ?></td><td style="width: 10px;"><?php if ($tb_court_details->ct_emp_ger->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->ct_emp_ger->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_court_details->ct_emp_interpreter->Visible) { // ct_emp_interpreter ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->ct_emp_interpreter) == "") { ?>
		<td><span id="elh_tb_court_details_ct_emp_interpreter" class="tb_court_details_ct_emp_interpreter"><?php echo $tb_court_details->ct_emp_interpreter->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->ct_emp_interpreter) ?>',1);"><span id="elh_tb_court_details_ct_emp_interpreter" class="tb_court_details_ct_emp_interpreter">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->ct_emp_interpreter->FldCaption() ?></td><td style="width: 10px;"><?php if ($tb_court_details->ct_emp_interpreter->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->ct_emp_interpreter->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_court_details->ct_emp_place->Visible) { // ct_emp_place ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->ct_emp_place) == "") { ?>
		<td><span id="elh_tb_court_details_ct_emp_place" class="tb_court_details_ct_emp_place"><?php echo $tb_court_details->ct_emp_place->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->ct_emp_place) ?>',1);"><span id="elh_tb_court_details_ct_emp_place" class="tb_court_details_ct_emp_place">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->ct_emp_place->FldCaption() ?></td><td style="width: 10px;"><?php if ($tb_court_details->ct_emp_place->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->ct_emp_place->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_court_details->ct_emp_tele->Visible) { // ct_emp_tele ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->ct_emp_tele) == "") { ?>
		<td><span id="elh_tb_court_details_ct_emp_tele" class="tb_court_details_ct_emp_tele"><?php echo $tb_court_details->ct_emp_tele->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->ct_emp_tele) ?>',1);"><span id="elh_tb_court_details_ct_emp_tele" class="tb_court_details_ct_emp_tele">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->ct_emp_tele->FldCaption() ?></td><td style="width: 10px;"><?php if ($tb_court_details->ct_emp_tele->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->ct_emp_tele->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_court_details->ct_emp_guard->Visible) { // ct_emp_guard ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->ct_emp_guard) == "") { ?>
		<td><span id="elh_tb_court_details_ct_emp_guard" class="tb_court_details_ct_emp_guard"><?php echo $tb_court_details->ct_emp_guard->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->ct_emp_guard) ?>',1);"><span id="elh_tb_court_details_ct_emp_guard" class="tb_court_details_ct_emp_guard">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->ct_emp_guard->FldCaption() ?></td><td style="width: 10px;"><?php if ($tb_court_details->ct_emp_guard->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->ct_emp_guard->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_court_details->ct_tmp_librarian1->Visible) { // ct_tmp_librarian1 ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->ct_tmp_librarian1) == "") { ?>
		<td><span id="elh_tb_court_details_ct_tmp_librarian1" class="tb_court_details_ct_tmp_librarian1"><?php echo $tb_court_details->ct_tmp_librarian1->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->ct_tmp_librarian1) ?>',1);"><span id="elh_tb_court_details_ct_tmp_librarian1" class="tb_court_details_ct_tmp_librarian1">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->ct_tmp_librarian1->FldCaption() ?></td><td style="width: 10px;"><?php if ($tb_court_details->ct_tmp_librarian1->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->ct_tmp_librarian1->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_court_details->ct_tmp_librarian2->Visible) { // ct_tmp_librarian2 ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->ct_tmp_librarian2) == "") { ?>
		<td><span id="elh_tb_court_details_ct_tmp_librarian2" class="tb_court_details_ct_tmp_librarian2"><?php echo $tb_court_details->ct_tmp_librarian2->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->ct_tmp_librarian2) ?>',1);"><span id="elh_tb_court_details_ct_tmp_librarian2" class="tb_court_details_ct_tmp_librarian2">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->ct_tmp_librarian2->FldCaption() ?></td><td style="width: 10px;"><?php if ($tb_court_details->ct_tmp_librarian2->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->ct_tmp_librarian2->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_court_details->ct_tmp_place->Visible) { // ct_tmp_place ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->ct_tmp_place) == "") { ?>
		<td><span id="elh_tb_court_details_ct_tmp_place" class="tb_court_details_ct_tmp_place"><?php echo $tb_court_details->ct_tmp_place->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->ct_tmp_place) ?>',1);"><span id="elh_tb_court_details_ct_tmp_place" class="tb_court_details_ct_tmp_place">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->ct_tmp_place->FldCaption() ?></td><td style="width: 10px;"><?php if ($tb_court_details->ct_tmp_place->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->ct_tmp_place->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_court_details->ct_tmp_citation->Visible) { // ct_tmp_citation ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->ct_tmp_citation) == "") { ?>
		<td><span id="elh_tb_court_details_ct_tmp_citation" class="tb_court_details_ct_tmp_citation"><?php echo $tb_court_details->ct_tmp_citation->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->ct_tmp_citation) ?>',1);"><span id="elh_tb_court_details_ct_tmp_citation" class="tb_court_details_ct_tmp_citation">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->ct_tmp_citation->FldCaption() ?></td><td style="width: 10px;"><?php if ($tb_court_details->ct_tmp_citation->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->ct_tmp_citation->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_court_details->ct_tmp_record->Visible) { // ct_tmp_record ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->ct_tmp_record) == "") { ?>
		<td><span id="elh_tb_court_details_ct_tmp_record" class="tb_court_details_ct_tmp_record"><?php echo $tb_court_details->ct_tmp_record->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->ct_tmp_record) ?>',1);"><span id="elh_tb_court_details_ct_tmp_record" class="tb_court_details_ct_tmp_record">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->ct_tmp_record->FldCaption() ?></td><td style="width: 10px;"><?php if ($tb_court_details->ct_tmp_record->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->ct_tmp_record->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_court_details->ct_tmp_office->Visible) { // ct_tmp_office ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->ct_tmp_office) == "") { ?>
		<td><span id="elh_tb_court_details_ct_tmp_office" class="tb_court_details_ct_tmp_office"><?php echo $tb_court_details->ct_tmp_office->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->ct_tmp_office) ?>',1);"><span id="elh_tb_court_details_ct_tmp_office" class="tb_court_details_ct_tmp_office">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->ct_tmp_office->FldCaption() ?></td><td style="width: 10px;"><?php if ($tb_court_details->ct_tmp_office->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->ct_tmp_office->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_court_details->ct_tmp_court1->Visible) { // ct_tmp_court1 ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->ct_tmp_court1) == "") { ?>
		<td><span id="elh_tb_court_details_ct_tmp_court1" class="tb_court_details_ct_tmp_court1"><?php echo $tb_court_details->ct_tmp_court1->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->ct_tmp_court1) ?>',1);"><span id="elh_tb_court_details_ct_tmp_court1" class="tb_court_details_ct_tmp_court1">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->ct_tmp_court1->FldCaption() ?></td><td style="width: 10px;"><?php if ($tb_court_details->ct_tmp_court1->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->ct_tmp_court1->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_court_details->ct_tmp_court2->Visible) { // ct_tmp_court2 ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->ct_tmp_court2) == "") { ?>
		<td><span id="elh_tb_court_details_ct_tmp_court2" class="tb_court_details_ct_tmp_court2"><?php echo $tb_court_details->ct_tmp_court2->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->ct_tmp_court2) ?>',1);"><span id="elh_tb_court_details_ct_tmp_court2" class="tb_court_details_ct_tmp_court2">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->ct_tmp_court2->FldCaption() ?></td><td style="width: 10px;"><?php if ($tb_court_details->ct_tmp_court2->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->ct_tmp_court2->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_court_details->ct_tmp_plan->Visible) { // ct_tmp_plan ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->ct_tmp_plan) == "") { ?>
		<td><span id="elh_tb_court_details_ct_tmp_plan" class="tb_court_details_ct_tmp_plan"><?php echo $tb_court_details->ct_tmp_plan->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->ct_tmp_plan) ?>',1);"><span id="elh_tb_court_details_ct_tmp_plan" class="tb_court_details_ct_tmp_plan">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->ct_tmp_plan->FldCaption() ?></td><td style="width: 10px;"><?php if ($tb_court_details->ct_tmp_plan->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->ct_tmp_plan->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_court_details->ct_tmp_hr->Visible) { // ct_tmp_hr ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->ct_tmp_hr) == "") { ?>
		<td><span id="elh_tb_court_details_ct_tmp_hr" class="tb_court_details_ct_tmp_hr"><?php echo $tb_court_details->ct_tmp_hr->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->ct_tmp_hr) ?>',1);"><span id="elh_tb_court_details_ct_tmp_hr" class="tb_court_details_ct_tmp_hr">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->ct_tmp_hr->FldCaption() ?></td><td style="width: 10px;"><?php if ($tb_court_details->ct_tmp_hr->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->ct_tmp_hr->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_court_details->ct_tmp_lawyer1->Visible) { // ct_tmp_lawyer1 ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->ct_tmp_lawyer1) == "") { ?>
		<td><span id="elh_tb_court_details_ct_tmp_lawyer1" class="tb_court_details_ct_tmp_lawyer1"><?php echo $tb_court_details->ct_tmp_lawyer1->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->ct_tmp_lawyer1) ?>',1);"><span id="elh_tb_court_details_ct_tmp_lawyer1" class="tb_court_details_ct_tmp_lawyer1">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->ct_tmp_lawyer1->FldCaption() ?></td><td style="width: 10px;"><?php if ($tb_court_details->ct_tmp_lawyer1->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->ct_tmp_lawyer1->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_court_details->ct_tmp_lawyer2->Visible) { // ct_tmp_lawyer2 ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->ct_tmp_lawyer2) == "") { ?>
		<td><span id="elh_tb_court_details_ct_tmp_lawyer2" class="tb_court_details_ct_tmp_lawyer2"><?php echo $tb_court_details->ct_tmp_lawyer2->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->ct_tmp_lawyer2) ?>',1);"><span id="elh_tb_court_details_ct_tmp_lawyer2" class="tb_court_details_ct_tmp_lawyer2">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->ct_tmp_lawyer2->FldCaption() ?></td><td style="width: 10px;"><?php if ($tb_court_details->ct_tmp_lawyer2->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->ct_tmp_lawyer2->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_court_details->ct_gov_computer->Visible) { // ct_gov_computer ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->ct_gov_computer) == "") { ?>
		<td><span id="elh_tb_court_details_ct_gov_computer" class="tb_court_details_ct_gov_computer"><?php echo $tb_court_details->ct_gov_computer->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->ct_gov_computer) ?>',1);"><span id="elh_tb_court_details_ct_gov_computer" class="tb_court_details_ct_gov_computer">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->ct_gov_computer->FldCaption() ?></td><td style="width: 10px;"><?php if ($tb_court_details->ct_gov_computer->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->ct_gov_computer->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_court_details->ct_gov_place->Visible) { // ct_gov_place ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->ct_gov_place) == "") { ?>
		<td><span id="elh_tb_court_details_ct_gov_place" class="tb_court_details_ct_gov_place"><?php echo $tb_court_details->ct_gov_place->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->ct_gov_place) ?>',1);"><span id="elh_tb_court_details_ct_gov_place" class="tb_court_details_ct_gov_place">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->ct_gov_place->FldCaption() ?></td><td style="width: 10px;"><?php if ($tb_court_details->ct_gov_place->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->ct_gov_place->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_court_details->ct_gov_office->Visible) { // ct_gov_office ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->ct_gov_office) == "") { ?>
		<td><span id="elh_tb_court_details_ct_gov_office" class="tb_court_details_ct_gov_office"><?php echo $tb_court_details->ct_gov_office->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->ct_gov_office) ?>',1);"><span id="elh_tb_court_details_ct_gov_office" class="tb_court_details_ct_gov_office">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->ct_gov_office->FldCaption() ?></td><td style="width: 10px;"><?php if ($tb_court_details->ct_gov_office->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->ct_gov_office->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_court_details->ct_gov_court->Visible) { // ct_gov_court ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->ct_gov_court) == "") { ?>
		<td><span id="elh_tb_court_details_ct_gov_court" class="tb_court_details_ct_gov_court"><?php echo $tb_court_details->ct_gov_court->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->ct_gov_court) ?>',1);"><span id="elh_tb_court_details_ct_gov_court" class="tb_court_details_ct_gov_court">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->ct_gov_court->FldCaption() ?></td><td style="width: 10px;"><?php if ($tb_court_details->ct_gov_court->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->ct_gov_court->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_court_details->ct_gov_lawyer1->Visible) { // ct_gov_lawyer1 ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->ct_gov_lawyer1) == "") { ?>
		<td><span id="elh_tb_court_details_ct_gov_lawyer1" class="tb_court_details_ct_gov_lawyer1"><?php echo $tb_court_details->ct_gov_lawyer1->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->ct_gov_lawyer1) ?>',1);"><span id="elh_tb_court_details_ct_gov_lawyer1" class="tb_court_details_ct_gov_lawyer1">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->ct_gov_lawyer1->FldCaption() ?></td><td style="width: 10px;"><?php if ($tb_court_details->ct_gov_lawyer1->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->ct_gov_lawyer1->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_court_details->ct_gov_lawyer2->Visible) { // ct_gov_lawyer2 ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->ct_gov_lawyer2) == "") { ?>
		<td><span id="elh_tb_court_details_ct_gov_lawyer2" class="tb_court_details_ct_gov_lawyer2"><?php echo $tb_court_details->ct_gov_lawyer2->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->ct_gov_lawyer2) ?>',1);"><span id="elh_tb_court_details_ct_gov_lawyer2" class="tb_court_details_ct_gov_lawyer2">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->ct_gov_lawyer2->FldCaption() ?></td><td style="width: 10px;"><?php if ($tb_court_details->ct_gov_lawyer2->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->ct_gov_lawyer2->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_court_details->ct_room_child->Visible) { // ct_room_child ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->ct_room_child) == "") { ?>
		<td><span id="elh_tb_court_details_ct_room_child" class="tb_court_details_ct_room_child"><?php echo $tb_court_details->ct_room_child->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->ct_room_child) ?>',1);"><span id="elh_tb_court_details_ct_room_child" class="tb_court_details_ct_room_child">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->ct_room_child->FldCaption() ?></td><td style="width: 10px;"><?php if ($tb_court_details->ct_room_child->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->ct_room_child->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_court_details->ct_room->Visible) { // ct_room ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->ct_room) == "") { ?>
		<td><span id="elh_tb_court_details_ct_room" class="tb_court_details_ct_room"><?php echo $tb_court_details->ct_room->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->ct_room) ?>',1);"><span id="elh_tb_court_details_ct_room" class="tb_court_details_ct_room">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->ct_room->FldCaption() ?></td><td style="width: 10px;"><?php if ($tb_court_details->ct_room->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->ct_room->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_court_details->ct_rooming->Visible) { // ct_rooming ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->ct_rooming) == "") { ?>
		<td><span id="elh_tb_court_details_ct_rooming" class="tb_court_details_ct_rooming"><?php echo $tb_court_details->ct_rooming->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->ct_rooming) ?>',1);"><span id="elh_tb_court_details_ct_rooming" class="tb_court_details_ct_rooming">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->ct_rooming->FldCaption() ?></td><td style="width: 10px;"><?php if ($tb_court_details->ct_rooming->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->ct_rooming->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_court_details->ct_comment->Visible) { // ct_comment ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->ct_comment) == "") { ?>
		<td><span id="elh_tb_court_details_ct_comment" class="tb_court_details_ct_comment"><?php echo $tb_court_details->ct_comment->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->ct_comment) ?>',1);"><span id="elh_tb_court_details_ct_comment" class="tb_court_details_ct_comment">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->ct_comment->FldCaption() ?><?php echo $Language->Phrase("SrchLegend") ?></td><td style="width: 10px;"><?php if ($tb_court_details->ct_comment->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->ct_comment->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_court_details->ct_builing_update->Visible) { // ct_builing_update ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->ct_builing_update) == "") { ?>
		<td><span id="elh_tb_court_details_ct_builing_update" class="tb_court_details_ct_builing_update"><?php echo $tb_court_details->ct_builing_update->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->ct_builing_update) ?>',1);"><span id="elh_tb_court_details_ct_builing_update" class="tb_court_details_ct_builing_update">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->ct_builing_update->FldCaption() ?></td><td style="width: 10px;"><?php if ($tb_court_details->ct_builing_update->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->ct_builing_update->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_court_details->ct_builing_num->Visible) { // ct_builing_num ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->ct_builing_num) == "") { ?>
		<td><span id="elh_tb_court_details_ct_builing_num" class="tb_court_details_ct_builing_num"><?php echo $tb_court_details->ct_builing_num->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->ct_builing_num) ?>',1);"><span id="elh_tb_court_details_ct_builing_num" class="tb_court_details_ct_builing_num">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->ct_builing_num->FldCaption() ?></td><td style="width: 10px;"><?php if ($tb_court_details->ct_builing_num->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->ct_builing_num->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_court_details->ct_bu1_holdfile->Visible) { // ct_bu1_holdfile ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->ct_bu1_holdfile) == "") { ?>
		<td><span id="elh_tb_court_details_ct_bu1_holdfile" class="tb_court_details_ct_bu1_holdfile"><?php echo $tb_court_details->ct_bu1_holdfile->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->ct_bu1_holdfile) ?>',1);"><span id="elh_tb_court_details_ct_bu1_holdfile" class="tb_court_details_ct_bu1_holdfile">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->ct_bu1_holdfile->FldCaption() ?><?php echo $Language->Phrase("SrchLegend") ?></td><td style="width: 10px;"><?php if ($tb_court_details->ct_bu1_holdfile->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->ct_bu1_holdfile->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_court_details->ct_bu1_file->Visible) { // ct_bu1_file ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->ct_bu1_file) == "") { ?>
		<td><span id="elh_tb_court_details_ct_bu1_file" class="tb_court_details_ct_bu1_file"><?php echo $tb_court_details->ct_bu1_file->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->ct_bu1_file) ?>',1);"><span id="elh_tb_court_details_ct_bu1_file" class="tb_court_details_ct_bu1_file">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->ct_bu1_file->FldCaption() ?><?php echo $Language->Phrase("SrchLegend") ?></td><td style="width: 10px;"><?php if ($tb_court_details->ct_bu1_file->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->ct_bu1_file->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_court_details->ct_bu2_holdfile->Visible) { // ct_bu2_holdfile ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->ct_bu2_holdfile) == "") { ?>
		<td><span id="elh_tb_court_details_ct_bu2_holdfile" class="tb_court_details_ct_bu2_holdfile"><?php echo $tb_court_details->ct_bu2_holdfile->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->ct_bu2_holdfile) ?>',1);"><span id="elh_tb_court_details_ct_bu2_holdfile" class="tb_court_details_ct_bu2_holdfile">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->ct_bu2_holdfile->FldCaption() ?><?php echo $Language->Phrase("SrchLegend") ?></td><td style="width: 10px;"><?php if ($tb_court_details->ct_bu2_holdfile->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->ct_bu2_holdfile->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_court_details->ct_bu2_file->Visible) { // ct_bu2_file ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->ct_bu2_file) == "") { ?>
		<td><span id="elh_tb_court_details_ct_bu2_file" class="tb_court_details_ct_bu2_file"><?php echo $tb_court_details->ct_bu2_file->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->ct_bu2_file) ?>',1);"><span id="elh_tb_court_details_ct_bu2_file" class="tb_court_details_ct_bu2_file">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->ct_bu2_file->FldCaption() ?><?php echo $Language->Phrase("SrchLegend") ?></td><td style="width: 10px;"><?php if ($tb_court_details->ct_bu2_file->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->ct_bu2_file->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_court_details->ct_accommodation->Visible) { // ct_accommodation ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->ct_accommodation) == "") { ?>
		<td><span id="elh_tb_court_details_ct_accommodation" class="tb_court_details_ct_accommodation"><?php echo $tb_court_details->ct_accommodation->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->ct_accommodation) ?>',1);"><span id="elh_tb_court_details_ct_accommodation" class="tb_court_details_ct_accommodation">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->ct_accommodation->FldCaption() ?></td><td style="width: 10px;"><?php if ($tb_court_details->ct_accommodation->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->ct_accommodation->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_court_details->ct_nw1_holdfile->Visible) { // ct_nw1_holdfile ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->ct_nw1_holdfile) == "") { ?>
		<td><span id="elh_tb_court_details_ct_nw1_holdfile" class="tb_court_details_ct_nw1_holdfile"><?php echo $tb_court_details->ct_nw1_holdfile->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->ct_nw1_holdfile) ?>',1);"><span id="elh_tb_court_details_ct_nw1_holdfile" class="tb_court_details_ct_nw1_holdfile">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->ct_nw1_holdfile->FldCaption() ?><?php echo $Language->Phrase("SrchLegend") ?></td><td style="width: 10px;"><?php if ($tb_court_details->ct_nw1_holdfile->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->ct_nw1_holdfile->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_court_details->ct_nw1_file->Visible) { // ct_nw1_file ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->ct_nw1_file) == "") { ?>
		<td><span id="elh_tb_court_details_ct_nw1_file" class="tb_court_details_ct_nw1_file"><?php echo $tb_court_details->ct_nw1_file->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->ct_nw1_file) ?>',1);"><span id="elh_tb_court_details_ct_nw1_file" class="tb_court_details_ct_nw1_file">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->ct_nw1_file->FldCaption() ?><?php echo $Language->Phrase("SrchLegend") ?></td><td style="width: 10px;"><?php if ($tb_court_details->ct_nw1_file->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->ct_nw1_file->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_court_details->ct_nw2_holdfile->Visible) { // ct_nw2_holdfile ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->ct_nw2_holdfile) == "") { ?>
		<td><span id="elh_tb_court_details_ct_nw2_holdfile" class="tb_court_details_ct_nw2_holdfile"><?php echo $tb_court_details->ct_nw2_holdfile->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->ct_nw2_holdfile) ?>',1);"><span id="elh_tb_court_details_ct_nw2_holdfile" class="tb_court_details_ct_nw2_holdfile">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->ct_nw2_holdfile->FldCaption() ?><?php echo $Language->Phrase("SrchLegend") ?></td><td style="width: 10px;"><?php if ($tb_court_details->ct_nw2_holdfile->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->ct_nw2_holdfile->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_court_details->ct_nw2_file->Visible) { // ct_nw2_file ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->ct_nw2_file) == "") { ?>
		<td><span id="elh_tb_court_details_ct_nw2_file" class="tb_court_details_ct_nw2_file"><?php echo $tb_court_details->ct_nw2_file->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->ct_nw2_file) ?>',1);"><span id="elh_tb_court_details_ct_nw2_file" class="tb_court_details_ct_nw2_file">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->ct_nw2_file->FldCaption() ?><?php echo $Language->Phrase("SrchLegend") ?></td><td style="width: 10px;"><?php if ($tb_court_details->ct_nw2_file->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->ct_nw2_file->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_court_details->ct_vcs_plan_holdfile->Visible) { // ct_vcs_plan_holdfile ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->ct_vcs_plan_holdfile) == "") { ?>
		<td><span id="elh_tb_court_details_ct_vcs_plan_holdfile" class="tb_court_details_ct_vcs_plan_holdfile"><?php echo $tb_court_details->ct_vcs_plan_holdfile->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->ct_vcs_plan_holdfile) ?>',1);"><span id="elh_tb_court_details_ct_vcs_plan_holdfile" class="tb_court_details_ct_vcs_plan_holdfile">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->ct_vcs_plan_holdfile->FldCaption() ?><?php echo $Language->Phrase("SrchLegend") ?></td><td style="width: 10px;"><?php if ($tb_court_details->ct_vcs_plan_holdfile->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->ct_vcs_plan_holdfile->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_court_details->ct_vcs_plan_file->Visible) { // ct_vcs_plan_file ?>
	<?php if ($tb_court_details->SortUrl($tb_court_details->ct_vcs_plan_file) == "") { ?>
		<td><span id="elh_tb_court_details_ct_vcs_plan_file" class="tb_court_details_ct_vcs_plan_file"><?php echo $tb_court_details->ct_vcs_plan_file->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_court_details->SortUrl($tb_court_details->ct_vcs_plan_file) ?>',1);"><span id="elh_tb_court_details_ct_vcs_plan_file" class="tb_court_details_ct_vcs_plan_file">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_court_details->ct_vcs_plan_file->FldCaption() ?><?php echo $Language->Phrase("SrchLegend") ?></td><td style="width: 10px;"><?php if ($tb_court_details->ct_vcs_plan_file->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_court_details->ct_vcs_plan_file->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php

// Render list options (header, right)
$tb_court_details_list->ListOptions->Render("header", "right");
?>
	</tr>
</thead>
<tbody>
<?php
if ($tb_court_details->ExportAll && $tb_court_details->Export <> "") {
	$tb_court_details_list->StopRec = $tb_court_details_list->TotalRecs;
} else {

	// Set the last record to display
	if ($tb_court_details_list->TotalRecs > $tb_court_details_list->StartRec + $tb_court_details_list->DisplayRecs - 1)
		$tb_court_details_list->StopRec = $tb_court_details_list->StartRec + $tb_court_details_list->DisplayRecs - 1;
	else
		$tb_court_details_list->StopRec = $tb_court_details_list->TotalRecs;
}
$tb_court_details_list->RecCnt = $tb_court_details_list->StartRec - 1;
if ($tb_court_details_list->Recordset && !$tb_court_details_list->Recordset->EOF) {
	$tb_court_details_list->Recordset->MoveFirst();
	if (!$bSelectLimit && $tb_court_details_list->StartRec > 1)
		$tb_court_details_list->Recordset->Move($tb_court_details_list->StartRec - 1);
} elseif (!$tb_court_details->AllowAddDeleteRow && $tb_court_details_list->StopRec == 0) {
	$tb_court_details_list->StopRec = $tb_court_details->GridAddRowCount;
}

// Initialize aggregate
$tb_court_details->RowType = EW_ROWTYPE_AGGREGATEINIT;
$tb_court_details->ResetAttrs();
$tb_court_details_list->RenderRow();
while ($tb_court_details_list->RecCnt < $tb_court_details_list->StopRec) {
	$tb_court_details_list->RecCnt++;
	if (intval($tb_court_details_list->RecCnt) >= intval($tb_court_details_list->StartRec)) {
		$tb_court_details_list->RowCnt++;

		// Set up key count
		$tb_court_details_list->KeyCount = $tb_court_details_list->RowIndex;

		// Init row class and style
		$tb_court_details->ResetAttrs();
		$tb_court_details->CssClass = "";
		if ($tb_court_details->CurrentAction == "gridadd") {
		} else {
			$tb_court_details_list->LoadRowValues($tb_court_details_list->Recordset); // Load row values
		}
		$tb_court_details->RowType = EW_ROWTYPE_VIEW; // Render view

		// Set up row id / data-rowindex
		$tb_court_details->RowAttrs = array_merge($tb_court_details->RowAttrs, array('data-rowindex'=>$tb_court_details_list->RowCnt, 'id'=>'r' . $tb_court_details_list->RowCnt . '_tb_court_details', 'data-rowtype'=>$tb_court_details->RowType));

		// Render row
		$tb_court_details_list->RenderRow();

		// Render list options
		$tb_court_details_list->RenderListOptions();
?>
	<tr<?php echo $tb_court_details->RowAttributes() ?>>
<?php

// Render list options (body, left)
$tb_court_details_list->ListOptions->Render("body", "left", $tb_court_details_list->RowCnt);
?>
	<?php if ($tb_court_details->court_id->Visible) { // court_id ?>
		<td<?php echo $tb_court_details->court_id->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_court_id" class="tb_court_details_court_id">
<span<?php echo $tb_court_details->court_id->ViewAttributes() ?>>
<?php echo $tb_court_details->court_id->ListViewValue() ?></span>
<a name="<?php echo $tb_court_details_list->PageObjName . "_row_" . $tb_court_details_list->RowCnt ?>" id="<?php echo $tb_court_details_list->PageObjName . "_row_" . $tb_court_details_list->RowCnt ?>"></a></span></td>
	<?php } ?>
	<?php if ($tb_court_details->ct_isdn1->Visible) { // ct_isdn1 ?>
		<td<?php echo $tb_court_details->ct_isdn1->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_ct_isdn1" class="tb_court_details_ct_isdn1">
<span<?php echo $tb_court_details->ct_isdn1->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_isdn1->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_court_details->ct_isdn2->Visible) { // ct_isdn2 ?>
		<td<?php echo $tb_court_details->ct_isdn2->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_ct_isdn2" class="tb_court_details_ct_isdn2">
<span<?php echo $tb_court_details->ct_isdn2->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_isdn2->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_court_details->ct_isdn3->Visible) { // ct_isdn3 ?>
		<td<?php echo $tb_court_details->ct_isdn3->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_ct_isdn3" class="tb_court_details_ct_isdn3">
<span<?php echo $tb_court_details->ct_isdn3->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_isdn3->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_court_details->ct_ip->Visible) { // ct_ip ?>
		<td<?php echo $tb_court_details->ct_ip->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_ct_ip" class="tb_court_details_ct_ip">
<span<?php echo $tb_court_details->ct_ip->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_ip->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_court_details->ct_just->Visible) { // ct_just ?>
		<td<?php echo $tb_court_details->ct_just->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_ct_just" class="tb_court_details_ct_just">
<span<?php echo $tb_court_details->ct_just->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_just->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_court_details->ct_just_senior->Visible) { // ct_just_senior ?>
		<td<?php echo $tb_court_details->ct_just_senior->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_ct_just_senior" class="tb_court_details_ct_just_senior">
<span<?php echo $tb_court_details->ct_just_senior->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_just_senior->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_court_details->ct_officer->Visible) { // ct_officer ?>
		<td<?php echo $tb_court_details->ct_officer->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_ct_officer" class="tb_court_details_ct_officer">
<span<?php echo $tb_court_details->ct_officer->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_officer->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_court_details->ct_officer_other->Visible) { // ct_officer_other ?>
		<td<?php echo $tb_court_details->ct_officer_other->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_ct_officer_other" class="tb_court_details_ct_officer_other">
<span<?php echo $tb_court_details->ct_officer_other->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_officer_other->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_court_details->ct_emp_driver->Visible) { // ct_emp_driver ?>
		<td<?php echo $tb_court_details->ct_emp_driver->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_ct_emp_driver" class="tb_court_details_ct_emp_driver">
<span<?php echo $tb_court_details->ct_emp_driver->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_emp_driver->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_court_details->ct_emp_ger->Visible) { // ct_emp_ger ?>
		<td<?php echo $tb_court_details->ct_emp_ger->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_ct_emp_ger" class="tb_court_details_ct_emp_ger">
<span<?php echo $tb_court_details->ct_emp_ger->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_emp_ger->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_court_details->ct_emp_interpreter->Visible) { // ct_emp_interpreter ?>
		<td<?php echo $tb_court_details->ct_emp_interpreter->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_ct_emp_interpreter" class="tb_court_details_ct_emp_interpreter">
<span<?php echo $tb_court_details->ct_emp_interpreter->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_emp_interpreter->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_court_details->ct_emp_place->Visible) { // ct_emp_place ?>
		<td<?php echo $tb_court_details->ct_emp_place->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_ct_emp_place" class="tb_court_details_ct_emp_place">
<span<?php echo $tb_court_details->ct_emp_place->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_emp_place->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_court_details->ct_emp_tele->Visible) { // ct_emp_tele ?>
		<td<?php echo $tb_court_details->ct_emp_tele->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_ct_emp_tele" class="tb_court_details_ct_emp_tele">
<span<?php echo $tb_court_details->ct_emp_tele->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_emp_tele->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_court_details->ct_emp_guard->Visible) { // ct_emp_guard ?>
		<td<?php echo $tb_court_details->ct_emp_guard->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_ct_emp_guard" class="tb_court_details_ct_emp_guard">
<span<?php echo $tb_court_details->ct_emp_guard->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_emp_guard->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_court_details->ct_tmp_librarian1->Visible) { // ct_tmp_librarian1 ?>
		<td<?php echo $tb_court_details->ct_tmp_librarian1->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_ct_tmp_librarian1" class="tb_court_details_ct_tmp_librarian1">
<span<?php echo $tb_court_details->ct_tmp_librarian1->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_tmp_librarian1->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_court_details->ct_tmp_librarian2->Visible) { // ct_tmp_librarian2 ?>
		<td<?php echo $tb_court_details->ct_tmp_librarian2->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_ct_tmp_librarian2" class="tb_court_details_ct_tmp_librarian2">
<span<?php echo $tb_court_details->ct_tmp_librarian2->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_tmp_librarian2->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_court_details->ct_tmp_place->Visible) { // ct_tmp_place ?>
		<td<?php echo $tb_court_details->ct_tmp_place->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_ct_tmp_place" class="tb_court_details_ct_tmp_place">
<span<?php echo $tb_court_details->ct_tmp_place->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_tmp_place->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_court_details->ct_tmp_citation->Visible) { // ct_tmp_citation ?>
		<td<?php echo $tb_court_details->ct_tmp_citation->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_ct_tmp_citation" class="tb_court_details_ct_tmp_citation">
<span<?php echo $tb_court_details->ct_tmp_citation->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_tmp_citation->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_court_details->ct_tmp_record->Visible) { // ct_tmp_record ?>
		<td<?php echo $tb_court_details->ct_tmp_record->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_ct_tmp_record" class="tb_court_details_ct_tmp_record">
<span<?php echo $tb_court_details->ct_tmp_record->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_tmp_record->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_court_details->ct_tmp_office->Visible) { // ct_tmp_office ?>
		<td<?php echo $tb_court_details->ct_tmp_office->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_ct_tmp_office" class="tb_court_details_ct_tmp_office">
<span<?php echo $tb_court_details->ct_tmp_office->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_tmp_office->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_court_details->ct_tmp_court1->Visible) { // ct_tmp_court1 ?>
		<td<?php echo $tb_court_details->ct_tmp_court1->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_ct_tmp_court1" class="tb_court_details_ct_tmp_court1">
<span<?php echo $tb_court_details->ct_tmp_court1->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_tmp_court1->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_court_details->ct_tmp_court2->Visible) { // ct_tmp_court2 ?>
		<td<?php echo $tb_court_details->ct_tmp_court2->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_ct_tmp_court2" class="tb_court_details_ct_tmp_court2">
<span<?php echo $tb_court_details->ct_tmp_court2->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_tmp_court2->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_court_details->ct_tmp_plan->Visible) { // ct_tmp_plan ?>
		<td<?php echo $tb_court_details->ct_tmp_plan->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_ct_tmp_plan" class="tb_court_details_ct_tmp_plan">
<span<?php echo $tb_court_details->ct_tmp_plan->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_tmp_plan->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_court_details->ct_tmp_hr->Visible) { // ct_tmp_hr ?>
		<td<?php echo $tb_court_details->ct_tmp_hr->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_ct_tmp_hr" class="tb_court_details_ct_tmp_hr">
<span<?php echo $tb_court_details->ct_tmp_hr->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_tmp_hr->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_court_details->ct_tmp_lawyer1->Visible) { // ct_tmp_lawyer1 ?>
		<td<?php echo $tb_court_details->ct_tmp_lawyer1->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_ct_tmp_lawyer1" class="tb_court_details_ct_tmp_lawyer1">
<span<?php echo $tb_court_details->ct_tmp_lawyer1->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_tmp_lawyer1->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_court_details->ct_tmp_lawyer2->Visible) { // ct_tmp_lawyer2 ?>
		<td<?php echo $tb_court_details->ct_tmp_lawyer2->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_ct_tmp_lawyer2" class="tb_court_details_ct_tmp_lawyer2">
<span<?php echo $tb_court_details->ct_tmp_lawyer2->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_tmp_lawyer2->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_court_details->ct_gov_computer->Visible) { // ct_gov_computer ?>
		<td<?php echo $tb_court_details->ct_gov_computer->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_ct_gov_computer" class="tb_court_details_ct_gov_computer">
<span<?php echo $tb_court_details->ct_gov_computer->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_gov_computer->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_court_details->ct_gov_place->Visible) { // ct_gov_place ?>
		<td<?php echo $tb_court_details->ct_gov_place->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_ct_gov_place" class="tb_court_details_ct_gov_place">
<span<?php echo $tb_court_details->ct_gov_place->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_gov_place->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_court_details->ct_gov_office->Visible) { // ct_gov_office ?>
		<td<?php echo $tb_court_details->ct_gov_office->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_ct_gov_office" class="tb_court_details_ct_gov_office">
<span<?php echo $tb_court_details->ct_gov_office->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_gov_office->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_court_details->ct_gov_court->Visible) { // ct_gov_court ?>
		<td<?php echo $tb_court_details->ct_gov_court->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_ct_gov_court" class="tb_court_details_ct_gov_court">
<span<?php echo $tb_court_details->ct_gov_court->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_gov_court->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_court_details->ct_gov_lawyer1->Visible) { // ct_gov_lawyer1 ?>
		<td<?php echo $tb_court_details->ct_gov_lawyer1->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_ct_gov_lawyer1" class="tb_court_details_ct_gov_lawyer1">
<span<?php echo $tb_court_details->ct_gov_lawyer1->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_gov_lawyer1->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_court_details->ct_gov_lawyer2->Visible) { // ct_gov_lawyer2 ?>
		<td<?php echo $tb_court_details->ct_gov_lawyer2->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_ct_gov_lawyer2" class="tb_court_details_ct_gov_lawyer2">
<span<?php echo $tb_court_details->ct_gov_lawyer2->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_gov_lawyer2->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_court_details->ct_room_child->Visible) { // ct_room_child ?>
		<td<?php echo $tb_court_details->ct_room_child->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_ct_room_child" class="tb_court_details_ct_room_child">
<span<?php echo $tb_court_details->ct_room_child->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_room_child->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_court_details->ct_room->Visible) { // ct_room ?>
		<td<?php echo $tb_court_details->ct_room->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_ct_room" class="tb_court_details_ct_room">
<span<?php echo $tb_court_details->ct_room->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_room->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_court_details->ct_rooming->Visible) { // ct_rooming ?>
		<td<?php echo $tb_court_details->ct_rooming->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_ct_rooming" class="tb_court_details_ct_rooming">
<span<?php echo $tb_court_details->ct_rooming->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_rooming->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_court_details->ct_comment->Visible) { // ct_comment ?>
		<td<?php echo $tb_court_details->ct_comment->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_ct_comment" class="tb_court_details_ct_comment">
<span<?php echo $tb_court_details->ct_comment->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_comment->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_court_details->ct_builing_update->Visible) { // ct_builing_update ?>
		<td<?php echo $tb_court_details->ct_builing_update->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_ct_builing_update" class="tb_court_details_ct_builing_update">
<span<?php echo $tb_court_details->ct_builing_update->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_builing_update->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_court_details->ct_builing_num->Visible) { // ct_builing_num ?>
		<td<?php echo $tb_court_details->ct_builing_num->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_ct_builing_num" class="tb_court_details_ct_builing_num">
<span<?php echo $tb_court_details->ct_builing_num->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_builing_num->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_court_details->ct_bu1_holdfile->Visible) { // ct_bu1_holdfile ?>
		<td<?php echo $tb_court_details->ct_bu1_holdfile->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_ct_bu1_holdfile" class="tb_court_details_ct_bu1_holdfile">
<span<?php echo $tb_court_details->ct_bu1_holdfile->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_bu1_holdfile->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_court_details->ct_bu1_file->Visible) { // ct_bu1_file ?>
		<td<?php echo $tb_court_details->ct_bu1_file->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_ct_bu1_file" class="tb_court_details_ct_bu1_file">
<span<?php echo $tb_court_details->ct_bu1_file->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_bu1_file->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_court_details->ct_bu2_holdfile->Visible) { // ct_bu2_holdfile ?>
		<td<?php echo $tb_court_details->ct_bu2_holdfile->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_ct_bu2_holdfile" class="tb_court_details_ct_bu2_holdfile">
<span<?php echo $tb_court_details->ct_bu2_holdfile->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_bu2_holdfile->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_court_details->ct_bu2_file->Visible) { // ct_bu2_file ?>
		<td<?php echo $tb_court_details->ct_bu2_file->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_ct_bu2_file" class="tb_court_details_ct_bu2_file">
<span<?php echo $tb_court_details->ct_bu2_file->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_bu2_file->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_court_details->ct_accommodation->Visible) { // ct_accommodation ?>
		<td<?php echo $tb_court_details->ct_accommodation->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_ct_accommodation" class="tb_court_details_ct_accommodation">
<span<?php echo $tb_court_details->ct_accommodation->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_accommodation->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_court_details->ct_nw1_holdfile->Visible) { // ct_nw1_holdfile ?>
		<td<?php echo $tb_court_details->ct_nw1_holdfile->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_ct_nw1_holdfile" class="tb_court_details_ct_nw1_holdfile">
<span<?php echo $tb_court_details->ct_nw1_holdfile->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_nw1_holdfile->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_court_details->ct_nw1_file->Visible) { // ct_nw1_file ?>
		<td<?php echo $tb_court_details->ct_nw1_file->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_ct_nw1_file" class="tb_court_details_ct_nw1_file">
<span<?php echo $tb_court_details->ct_nw1_file->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_nw1_file->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_court_details->ct_nw2_holdfile->Visible) { // ct_nw2_holdfile ?>
		<td<?php echo $tb_court_details->ct_nw2_holdfile->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_ct_nw2_holdfile" class="tb_court_details_ct_nw2_holdfile">
<span<?php echo $tb_court_details->ct_nw2_holdfile->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_nw2_holdfile->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_court_details->ct_nw2_file->Visible) { // ct_nw2_file ?>
		<td<?php echo $tb_court_details->ct_nw2_file->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_ct_nw2_file" class="tb_court_details_ct_nw2_file">
<span<?php echo $tb_court_details->ct_nw2_file->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_nw2_file->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_court_details->ct_vcs_plan_holdfile->Visible) { // ct_vcs_plan_holdfile ?>
		<td<?php echo $tb_court_details->ct_vcs_plan_holdfile->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_ct_vcs_plan_holdfile" class="tb_court_details_ct_vcs_plan_holdfile">
<span<?php echo $tb_court_details->ct_vcs_plan_holdfile->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_vcs_plan_holdfile->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_court_details->ct_vcs_plan_file->Visible) { // ct_vcs_plan_file ?>
		<td<?php echo $tb_court_details->ct_vcs_plan_file->CellAttributes() ?>><span id="el<?php echo $tb_court_details_list->RowCnt ?>_tb_court_details_ct_vcs_plan_file" class="tb_court_details_ct_vcs_plan_file">
<span<?php echo $tb_court_details->ct_vcs_plan_file->ViewAttributes() ?>>
<?php echo $tb_court_details->ct_vcs_plan_file->ListViewValue() ?></span>
</span></td>
	<?php } ?>
<?php

// Render list options (body, right)
$tb_court_details_list->ListOptions->Render("body", "right", $tb_court_details_list->RowCnt);
?>
	</tr>
<?php
	}
	if ($tb_court_details->CurrentAction <> "gridadd")
		$tb_court_details_list->Recordset->MoveNext();
}
?>
</tbody>
</table>
<?php } ?>
<?php if ($tb_court_details->CurrentAction == "") { ?>
<input type="hidden" name="a_list" id="a_list" value="">
<?php } ?>
</div>
</form>
<?php

// Close recordset
if ($tb_court_details_list->Recordset)
	$tb_court_details_list->Recordset->Close();
?>
<?php if ($tb_court_details_list->TotalRecs > 0) { ?>
<div class="ewGridLowerPanel">
<?php if ($tb_court_details->CurrentAction <> "gridadd" && $tb_court_details->CurrentAction <> "gridedit") { ?>
<form name="ewpagerform" id="ewpagerform" class="ewForm" action="<?php echo ew_CurrentPage() ?>">
<table border="0" cellspacing="0" cellpadding="0" class="ewPager">
	<tr>
		<td nowrap>
<?php if (!isset($tb_court_details_list->Pager)) $tb_court_details_list->Pager = new cPrevNextPager($tb_court_details_list->StartRec, $tb_court_details_list->DisplayRecs, $tb_court_details_list->TotalRecs) ?>
<?php if ($tb_court_details_list->Pager->RecordCount > 0) { ?>
	<table border="0" cellspacing="0" cellpadding="0"><tr><td><span class="phpmaker"><?php echo $Language->Phrase("Page") ?>&nbsp;</span></td>
<!--first page button-->
	<?php if ($tb_court_details_list->Pager->FirstButton->Enabled) { ?>
	<td><a href="<?php echo $tb_court_details_list->PageUrl() ?>start=<?php echo $tb_court_details_list->Pager->FirstButton->Start ?>"><img src="phpimages/first.gif" alt="<?php echo $Language->Phrase("PagerFirst") ?>" width="16" height="16" border="0"></a></td>
	<?php } else { ?>
	<td><img src="phpimages/firstdisab.gif" alt="<?php echo $Language->Phrase("PagerFirst") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
<!--previous page button-->
	<?php if ($tb_court_details_list->Pager->PrevButton->Enabled) { ?>
	<td><a href="<?php echo $tb_court_details_list->PageUrl() ?>start=<?php echo $tb_court_details_list->Pager->PrevButton->Start ?>"><img src="phpimages/prev.gif" alt="<?php echo $Language->Phrase("PagerPrevious") ?>" width="16" height="16" border="0"></a></td>
	<?php } else { ?>
	<td><img src="phpimages/prevdisab.gif" alt="<?php echo $Language->Phrase("PagerPrevious") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
<!--current page number-->
	<td><input type="text" name="<?php echo EW_TABLE_PAGE_NO ?>" id="<?php echo EW_TABLE_PAGE_NO ?>" value="<?php echo $tb_court_details_list->Pager->CurrentPage ?>" size="4"></td>
<!--next page button-->
	<?php if ($tb_court_details_list->Pager->NextButton->Enabled) { ?>
	<td><a href="<?php echo $tb_court_details_list->PageUrl() ?>start=<?php echo $tb_court_details_list->Pager->NextButton->Start ?>"><img src="phpimages/next.gif" alt="<?php echo $Language->Phrase("PagerNext") ?>" width="16" height="16" border="0"></a></td>	
	<?php } else { ?>
	<td><img src="phpimages/nextdisab.gif" alt="<?php echo $Language->Phrase("PagerNext") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
<!--last page button-->
	<?php if ($tb_court_details_list->Pager->LastButton->Enabled) { ?>
	<td><a href="<?php echo $tb_court_details_list->PageUrl() ?>start=<?php echo $tb_court_details_list->Pager->LastButton->Start ?>"><img src="phpimages/last.gif" alt="<?php echo $Language->Phrase("PagerLast") ?>" width="16" height="16" border="0"></a></td>	
	<?php } else { ?>
	<td><img src="phpimages/lastdisab.gif" alt="<?php echo $Language->Phrase("PagerLast") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
	<td><span class="phpmaker">&nbsp;<?php echo $Language->Phrase("of") ?>&nbsp;<?php echo $tb_court_details_list->Pager->PageCount ?></span></td>
	</tr></table>
	</td>	
	<td>&nbsp;&nbsp;&nbsp;&nbsp;</td>
	<td>
	<span class="phpmaker"><?php echo $Language->Phrase("Record") ?>&nbsp;<?php echo $tb_court_details_list->Pager->FromIndex ?>&nbsp;<?php echo $Language->Phrase("To") ?>&nbsp;<?php echo $tb_court_details_list->Pager->ToIndex ?>&nbsp;<?php echo $Language->Phrase("Of") ?>&nbsp;<?php echo $tb_court_details_list->Pager->RecordCount ?></span>
<?php } else { ?>
	<?php if ($tb_court_details_list->SearchWhere == "0=101") { ?>
	<span class="phpmaker"><?php echo $Language->Phrase("EnterSearchCriteria") ?></span>
	<?php } else { ?>
	<span class="phpmaker"><?php echo $Language->Phrase("NoRecord") ?></span>
	<?php } ?>
<?php } ?>
		</td>
	</tr>
</table>
</form>
<?php } ?>
<span class="phpmaker">
<?php if ($tb_court_details_list->AddUrl <> "") { ?>
<a class="ewGridLink" href="<?php echo $tb_court_details_list->AddUrl ?>"><?php echo $Language->Phrase("AddLink") ?></a>&nbsp;&nbsp;
<?php } ?>
</span>
</div>
<?php } ?>
</td></tr></table>
<script type="text/javascript">
ftb_court_detailslistsrch.Init();
ftb_court_detailslist.Init();
</script>
<?php
$tb_court_details_list->ShowPageFooter();
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
?>
<script type="text/javascript">

// Write your table-specific startup script here
// document.write("page loaded");

</script>
<?php include_once "footer.php" ?>
<?php
$tb_court_details_list->Page_Terminate();
?>
