<?php
if (session_id() == "") session_start(); // Initialize Session data
ob_start(); // Turn on output buffering
?>
<?php include_once "ewcfg9.php" ?>
<?php include_once "ewmysql9.php" ?>
<?php include_once "phpfn9.php" ?>
<?php include_once "tb_nb_peopleinfo.php" ?>
<?php include_once "userfn9.php" ?>
<?php

//
// Page class
//

$tb_nb_people_add = NULL; // Initialize page object first

class ctb_nb_people_add extends ctb_nb_people {

	// Page ID
	var $PageID = 'add';

	// Project ID
	var $ProjectID = "{6072F4AB-8E55-4BED-87E8-94ADB1680AEB}";

	// Table name
	var $TableName = 'tb_nb_people';

	// Page object name
	var $PageObjName = 'tb_nb_people_add';

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		if ($this->UseTokenInUrl) $PageUrl .= "t=" . $this->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_MESSAGE], $v);
	}

	function getFailureMessage() {
		return @$_SESSION[EW_SESSION_FAILURE_MESSAGE];
	}

	function setFailureMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_FAILURE_MESSAGE], $v);
	}

	function getSuccessMessage() {
		return @$_SESSION[EW_SESSION_SUCCESS_MESSAGE];
	}

	function setSuccessMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_SUCCESS_MESSAGE], $v);
	}

	function getWarningMessage() {
		return @$_SESSION[EW_SESSION_WARNING_MESSAGE];
	}

	function setWarningMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_WARNING_MESSAGE], $v);
	}

	// Show message
	function ShowMessage() {
		$hidden = FALSE;
		$html = "";

		// Message
		$sMessage = $this->getMessage();
		$this->Message_Showing($sMessage, "");
		if ($sMessage <> "") { // Message in Session, display
			$html .= "<p class=\"ewMessage\">" . $sMessage . "</p>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}

		// Warning message
		$sWarningMessage = $this->getWarningMessage();
		$this->Message_Showing($sWarningMessage, "warning");
		if ($sWarningMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewWarningIcon\"></td><td class=\"ewWarningMessage\">" . $sWarningMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_WARNING_MESSAGE] = ""; // Clear message in Session
		}

		// Success message
		$sSuccessMessage = $this->getSuccessMessage();
		$this->Message_Showing($sSuccessMessage, "success");
		if ($sSuccessMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewSuccessIcon\"></td><td class=\"ewSuccessMessage\">" . $sSuccessMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = ""; // Clear message in Session
		}

		// Failure message
		$sErrorMessage = $this->getFailureMessage();
		$this->Message_Showing($sErrorMessage, "failure");
		if ($sErrorMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewErrorIcon\"></td><td class=\"ewErrorMessage\">" . $sErrorMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_FAILURE_MESSAGE] = ""; // Clear message in Session
		}		
		echo "<div class=\"ewMessageDialog\"" . (($hidden) ? " style=\"display: none;\"" : "") . ">" . $html . "</div>";
	}
	var $PageHeader;
	var $PageFooter;

	// Show Page Header
	function ShowPageHeader() {
		$sHeader = $this->PageHeader;
		$this->Page_DataRendering($sHeader);
		if ($sHeader <> "") { // Header exists, display
			echo "<p class=\"phpmaker\">" . $sHeader . "</p>";
		}
	}

	// Show Page Footer
	function ShowPageFooter() {
		$sFooter = $this->PageFooter;
		$this->Page_DataRendered($sFooter);
		if ($sFooter <> "") { // Fotoer exists, display
			echo "<p class=\"phpmaker\">" . $sFooter . "</p>";
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm;
		if ($this->UseTokenInUrl) {
			if ($objForm)
				return ($this->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($this->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}

	//
	// Page class constructor
	//
	function __construct() {
		global $conn, $Language;
		$GLOBALS["Page"] = &$this;

		// Language object
		if (!isset($Language)) $Language = new cLanguage();

		// Parent constuctor
		parent::__construct();

		// Table object (tb_nb_people)
		if (!isset($GLOBALS["tb_nb_people"])) {
			$GLOBALS["tb_nb_people"] = &$this;
			$GLOBALS["Table"] = &$GLOBALS["tb_nb_people"];
		}

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'add', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'tb_nb_people', TRUE);

		// Start timer
		if (!isset($GLOBALS["gTimer"])) $GLOBALS["gTimer"] = new cTimer();

		// Open connection
		if (!isset($conn)) $conn = ew_Connect();
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;

		// Create form object
		$objForm = new cFormObj();
		$this->CurrentAction = (@$_GET["a"] <> "") ? $_GET["a"] : @$_POST["a_list"];

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $conn;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();
		$this->Page_Redirecting($url);

		 // Close connection
		$conn->Close();

		// Go to URL if specified
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			header("Location: " . $url);
		}
		exit();
	}
	var $DbMasterFilter = "";
	var $DbDetailFilter = "";
	var $Priv = 0;
	var $OldRecordset;
	var $CopyRecord;

	// 
	// Page main
	//
	function Page_Main() {
		global $objForm, $Language, $gsFormError;

		// Process form if post back
		if (@$_POST["a_add"] <> "") {
			$this->CurrentAction = $_POST["a_add"]; // Get form action
			$this->CopyRecord = $this->LoadOldRecord(); // Load old recordset
			$this->LoadFormValues(); // Load form values
		} else { // Not post back

			// Load key values from QueryString
			$this->CopyRecord = TRUE;
			if (@$_GET["per_id"] != "") {
				$this->per_id->setQueryStringValue($_GET["per_id"]);
				$this->setKey("per_id", $this->per_id->CurrentValue); // Set up key
			} else {
				$this->setKey("per_id", ""); // Clear key
				$this->CopyRecord = FALSE;
			}
			if ($this->CopyRecord) {
				$this->CurrentAction = "C"; // Copy record
			} else {
				$this->CurrentAction = "I"; // Display blank record
				$this->LoadDefaultValues(); // Load default values
			}
		}

		// Validate form if post back
		if (@$_POST["a_add"] <> "") {
			if (!$this->ValidateForm()) {
				$this->CurrentAction = "I"; // Form error, reset action
				$this->EventCancelled = TRUE; // Event cancelled
				$this->RestoreFormValues(); // Restore form values
				$this->setFailureMessage($gsFormError);
			}
		}

		// Perform action based on action code
		switch ($this->CurrentAction) {
			case "I": // Blank record, no action required
				break;
			case "C": // Copy an existing record
				if (!$this->LoadRow()) { // Load record based on key
					if ($this->getFailureMessage() == "") $this->setFailureMessage($Language->Phrase("NoRecord")); // No record found
					$this->Page_Terminate("tb_nb_peoplelist.php"); // No matching record, return to list
				}
				break;
			case "A": // Add new record
				$this->SendEmail = TRUE; // Send email on add success
				if ($this->AddRow($this->OldRecordset)) { // Add successful
					if ($this->getSuccessMessage() == "")
						$this->setSuccessMessage($Language->Phrase("AddSuccess")); // Set up success message
					$sReturnUrl = $this->getReturnUrl();
					if (ew_GetPageName($sReturnUrl) == "tb_nb_peopleview.php")
						$sReturnUrl = $this->GetViewUrl(); // View paging, return to view page with keyurl directly
					$this->Page_Terminate($sReturnUrl); // Clean up and return
				} else {
					$this->EventCancelled = TRUE; // Event cancelled
					$this->RestoreFormValues(); // Add failed, restore form values
				}
		}

		// Render row based on row type
		$this->RowType = EW_ROWTYPE_ADD;  // Render add type

		// Render row
		$this->ResetAttrs();
		$this->RenderRow();
	}

	// Get upload files
	function GetUploadFiles() {
		global $objForm;

		// Get upload data
		$index = $objForm->Index; // Save form index
		$objForm->Index = -1;
		$confirmPage = (strval($objForm->GetValue("a_confirm")) <> "");
		$objForm->Index = $index; // Restore form index
	}

	// Load default values
	function LoadDefaultValues() {
		$this->per_id->CurrentValue = "P0001";
		$this->court_id->CurrentValue = NULL;
		$this->court_id->OldValue = $this->court_id->CurrentValue;
		$this->per_fname->CurrentValue = NULL;
		$this->per_fname->OldValue = $this->per_fname->CurrentValue;
		$this->per_lname->CurrentValue = NULL;
		$this->per_lname->OldValue = $this->per_lname->CurrentValue;
		$this->per_position_type->CurrentValue = NULL;
		$this->per_position_type->OldValue = $this->per_position_type->CurrentValue;
		$this->per_position->CurrentValue = NULL;
		$this->per_position->OldValue = $this->per_position->CurrentValue;
		$this->per_status->CurrentValue = NULL;
		$this->per_status->OldValue = $this->per_status->CurrentValue;
		$this->per_status_date->CurrentValue = NULL;
		$this->per_status_date->OldValue = $this->per_status_date->CurrentValue;
		$this->per_detail->CurrentValue = NULL;
		$this->per_detail->OldValue = $this->per_detail->CurrentValue;
	}

	// Load form values
	function LoadFormValues() {

		// Load from form
		global $objForm;
		if (!$this->per_id->FldIsDetailKey) {
			$this->per_id->setFormValue($objForm->GetValue("x_per_id"));
		}
		if (!$this->court_id->FldIsDetailKey) {
			$this->court_id->setFormValue($objForm->GetValue("x_court_id"));
		}
		if (!$this->per_fname->FldIsDetailKey) {
			$this->per_fname->setFormValue($objForm->GetValue("x_per_fname"));
		}
		if (!$this->per_lname->FldIsDetailKey) {
			$this->per_lname->setFormValue($objForm->GetValue("x_per_lname"));
		}
		if (!$this->per_position_type->FldIsDetailKey) {
			$this->per_position_type->setFormValue($objForm->GetValue("x_per_position_type"));
		}
		if (!$this->per_position->FldIsDetailKey) {
			$this->per_position->setFormValue($objForm->GetValue("x_per_position"));
		}
		if (!$this->per_status->FldIsDetailKey) {
			$this->per_status->setFormValue($objForm->GetValue("x_per_status"));
		}
		if (!$this->per_status_date->FldIsDetailKey) {
			$this->per_status_date->setFormValue($objForm->GetValue("x_per_status_date"));
			$this->per_status_date->CurrentValue = ew_UnFormatDateTime($this->per_status_date->CurrentValue, 5);
		}
		if (!$this->per_detail->FldIsDetailKey) {
			$this->per_detail->setFormValue($objForm->GetValue("x_per_detail"));
		}
	}

	// Restore form values
	function RestoreFormValues() {
		global $objForm;
		$this->LoadOldRecord();
		$this->per_id->CurrentValue = $this->per_id->FormValue;
		$this->court_id->CurrentValue = $this->court_id->FormValue;
		$this->per_fname->CurrentValue = $this->per_fname->FormValue;
		$this->per_lname->CurrentValue = $this->per_lname->FormValue;
		$this->per_position_type->CurrentValue = $this->per_position_type->FormValue;
		$this->per_position->CurrentValue = $this->per_position->FormValue;
		$this->per_status->CurrentValue = $this->per_status->FormValue;
		$this->per_status_date->CurrentValue = $this->per_status_date->FormValue;
		$this->per_status_date->CurrentValue = ew_UnFormatDateTime($this->per_status_date->CurrentValue, 5);
		$this->per_detail->CurrentValue = $this->per_detail->FormValue;
	}

	// Load row based on key values
	function LoadRow() {
		global $conn, $Security, $Language;
		$sFilter = $this->KeyFilter();

		// Call Row Selecting event
		$this->Row_Selecting($sFilter);

		// Load SQL based on filter
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		global $conn;
		if (!$rs || $rs->EOF) return;

		// Call Row Selected event
		$row = &$rs->fields;
		$this->Row_Selected($row);
		$this->per_id->setDbValue($rs->fields('per_id'));
		$this->court_id->setDbValue($rs->fields('court_id'));
		$this->per_fname->setDbValue($rs->fields('per_fname'));
		$this->per_lname->setDbValue($rs->fields('per_lname'));
		$this->per_position_type->setDbValue($rs->fields('per_position_type'));
		$this->per_position->setDbValue($rs->fields('per_position'));
		$this->per_status->setDbValue($rs->fields('per_status'));
		$this->per_status_date->setDbValue($rs->fields('per_status_date'));
		$this->per_detail->setDbValue($rs->fields('per_detail'));
	}

	// Load old record
	function LoadOldRecord() {

		// Load key values from Session
		$bValidKey = TRUE;
		if (strval($this->getKey("per_id")) <> "")
			$this->per_id->CurrentValue = $this->getKey("per_id"); // per_id
		else
			$bValidKey = FALSE;

		// Load old recordset
		if ($bValidKey) {
			$this->CurrentFilter = $this->KeyFilter();
			$sSql = $this->SQL();
			$this->OldRecordset = ew_LoadRecordset($sSql);
			$this->LoadRowValues($this->OldRecordset); // Load row values
		} else {
			$this->OldRecordset = NULL;
		}
		return $bValidKey;
	}

	// Render row values based on field settings
	function RenderRow() {
		global $conn, $Security, $Language;
		global $gsLanguage;

		// Initialize URLs
		// Call Row_Rendering event

		$this->Row_Rendering();

		// Common render codes for all row types
		// per_id
		// court_id
		// per_fname
		// per_lname
		// per_position_type
		// per_position
		// per_status
		// per_status_date
		// per_detail

		if ($this->RowType == EW_ROWTYPE_VIEW) { // View row

			// per_id
			$this->per_id->ViewValue = $this->per_id->CurrentValue;
			$this->per_id->ViewCustomAttributes = "";

			// court_id
			$this->court_id->ViewValue = $this->court_id->CurrentValue;
			$this->court_id->ViewCustomAttributes = "";

			// per_fname
			$this->per_fname->ViewValue = $this->per_fname->CurrentValue;
			$this->per_fname->ViewCustomAttributes = "";

			// per_lname
			$this->per_lname->ViewValue = $this->per_lname->CurrentValue;
			$this->per_lname->ViewCustomAttributes = "";

			// per_position_type
			if (strval($this->per_position_type->CurrentValue) <> "") {
				switch ($this->per_position_type->CurrentValue) {
					case $this->per_position_type->FldTagValue(1):
						$this->per_position_type->ViewValue = $this->per_position_type->FldTagCaption(1) <> "" ? $this->per_position_type->FldTagCaption(1) : $this->per_position_type->CurrentValue;
						break;
					case $this->per_position_type->FldTagValue(2):
						$this->per_position_type->ViewValue = $this->per_position_type->FldTagCaption(2) <> "" ? $this->per_position_type->FldTagCaption(2) : $this->per_position_type->CurrentValue;
						break;
					case $this->per_position_type->FldTagValue(3):
						$this->per_position_type->ViewValue = $this->per_position_type->FldTagCaption(3) <> "" ? $this->per_position_type->FldTagCaption(3) : $this->per_position_type->CurrentValue;
						break;
					case $this->per_position_type->FldTagValue(4):
						$this->per_position_type->ViewValue = $this->per_position_type->FldTagCaption(4) <> "" ? $this->per_position_type->FldTagCaption(4) : $this->per_position_type->CurrentValue;
						break;
					case $this->per_position_type->FldTagValue(5):
						$this->per_position_type->ViewValue = $this->per_position_type->FldTagCaption(5) <> "" ? $this->per_position_type->FldTagCaption(5) : $this->per_position_type->CurrentValue;
						break;
					case $this->per_position_type->FldTagValue(6):
						$this->per_position_type->ViewValue = $this->per_position_type->FldTagCaption(6) <> "" ? $this->per_position_type->FldTagCaption(6) : $this->per_position_type->CurrentValue;
						break;
					default:
						$this->per_position_type->ViewValue = $this->per_position_type->CurrentValue;
				}
			} else {
				$this->per_position_type->ViewValue = NULL;
			}
			$this->per_position_type->ViewCustomAttributes = "";

			// per_position
			$this->per_position->ViewValue = $this->per_position->CurrentValue;
			$this->per_position->ViewCustomAttributes = "";

			// per_status
			if (strval($this->per_status->CurrentValue) <> "") {
				switch ($this->per_status->CurrentValue) {
					case $this->per_status->FldTagValue(1):
						$this->per_status->ViewValue = $this->per_status->FldTagCaption(1) <> "" ? $this->per_status->FldTagCaption(1) : $this->per_status->CurrentValue;
						break;
					case $this->per_status->FldTagValue(2):
						$this->per_status->ViewValue = $this->per_status->FldTagCaption(2) <> "" ? $this->per_status->FldTagCaption(2) : $this->per_status->CurrentValue;
						break;
					case $this->per_status->FldTagValue(3):
						$this->per_status->ViewValue = $this->per_status->FldTagCaption(3) <> "" ? $this->per_status->FldTagCaption(3) : $this->per_status->CurrentValue;
						break;
					case $this->per_status->FldTagValue(4):
						$this->per_status->ViewValue = $this->per_status->FldTagCaption(4) <> "" ? $this->per_status->FldTagCaption(4) : $this->per_status->CurrentValue;
						break;
					case $this->per_status->FldTagValue(5):
						$this->per_status->ViewValue = $this->per_status->FldTagCaption(5) <> "" ? $this->per_status->FldTagCaption(5) : $this->per_status->CurrentValue;
						break;
					case $this->per_status->FldTagValue(6):
						$this->per_status->ViewValue = $this->per_status->FldTagCaption(6) <> "" ? $this->per_status->FldTagCaption(6) : $this->per_status->CurrentValue;
						break;
					default:
						$this->per_status->ViewValue = $this->per_status->CurrentValue;
				}
			} else {
				$this->per_status->ViewValue = NULL;
			}
			$this->per_status->ViewCustomAttributes = "";

			// per_status_date
			$this->per_status_date->ViewValue = $this->per_status_date->CurrentValue;
			$this->per_status_date->ViewValue = ew_FormatDateTime($this->per_status_date->ViewValue, 5);
			$this->per_status_date->ViewCustomAttributes = "";

			// per_detail
			$this->per_detail->ViewValue = $this->per_detail->CurrentValue;
			$this->per_detail->ViewCustomAttributes = "";

			// per_id
			$this->per_id->LinkCustomAttributes = "";
			$this->per_id->HrefValue = "";
			$this->per_id->TooltipValue = "";

			// court_id
			$this->court_id->LinkCustomAttributes = "";
			$this->court_id->HrefValue = "";
			$this->court_id->TooltipValue = "";

			// per_fname
			$this->per_fname->LinkCustomAttributes = "";
			$this->per_fname->HrefValue = "";
			$this->per_fname->TooltipValue = "";

			// per_lname
			$this->per_lname->LinkCustomAttributes = "";
			$this->per_lname->HrefValue = "";
			$this->per_lname->TooltipValue = "";

			// per_position_type
			$this->per_position_type->LinkCustomAttributes = "";
			$this->per_position_type->HrefValue = "";
			$this->per_position_type->TooltipValue = "";

			// per_position
			$this->per_position->LinkCustomAttributes = "";
			$this->per_position->HrefValue = "";
			$this->per_position->TooltipValue = "";

			// per_status
			$this->per_status->LinkCustomAttributes = "";
			$this->per_status->HrefValue = "";
			$this->per_status->TooltipValue = "";

			// per_status_date
			$this->per_status_date->LinkCustomAttributes = "";
			$this->per_status_date->HrefValue = "";
			$this->per_status_date->TooltipValue = "";

			// per_detail
			$this->per_detail->LinkCustomAttributes = "";
			$this->per_detail->HrefValue = "";
			$this->per_detail->TooltipValue = "";
		} elseif ($this->RowType == EW_ROWTYPE_ADD) { // Add row

			// per_id
			$this->per_id->EditCustomAttributes = "";
			$this->per_id->EditValue = ew_HtmlEncode($this->per_id->CurrentValue);

			// court_id
			$this->court_id->EditCustomAttributes = "";
			$this->court_id->EditValue = ew_HtmlEncode($this->court_id->CurrentValue);

			// per_fname
			$this->per_fname->EditCustomAttributes = "";
			$this->per_fname->EditValue = ew_HtmlEncode($this->per_fname->CurrentValue);

			// per_lname
			$this->per_lname->EditCustomAttributes = "";
			$this->per_lname->EditValue = ew_HtmlEncode($this->per_lname->CurrentValue);

			// per_position_type
			$this->per_position_type->EditCustomAttributes = "";
			$arwrk = array();
			$arwrk[] = array($this->per_position_type->FldTagValue(1), $this->per_position_type->FldTagCaption(1) <> "" ? $this->per_position_type->FldTagCaption(1) : $this->per_position_type->FldTagValue(1));
			$arwrk[] = array($this->per_position_type->FldTagValue(2), $this->per_position_type->FldTagCaption(2) <> "" ? $this->per_position_type->FldTagCaption(2) : $this->per_position_type->FldTagValue(2));
			$arwrk[] = array($this->per_position_type->FldTagValue(3), $this->per_position_type->FldTagCaption(3) <> "" ? $this->per_position_type->FldTagCaption(3) : $this->per_position_type->FldTagValue(3));
			$arwrk[] = array($this->per_position_type->FldTagValue(4), $this->per_position_type->FldTagCaption(4) <> "" ? $this->per_position_type->FldTagCaption(4) : $this->per_position_type->FldTagValue(4));
			$arwrk[] = array($this->per_position_type->FldTagValue(5), $this->per_position_type->FldTagCaption(5) <> "" ? $this->per_position_type->FldTagCaption(5) : $this->per_position_type->FldTagValue(5));
			$arwrk[] = array($this->per_position_type->FldTagValue(6), $this->per_position_type->FldTagCaption(6) <> "" ? $this->per_position_type->FldTagCaption(6) : $this->per_position_type->FldTagValue(6));
			array_unshift($arwrk, array("", $Language->Phrase("PleaseSelect")));
			$this->per_position_type->EditValue = $arwrk;

			// per_position
			$this->per_position->EditCustomAttributes = "";
			$this->per_position->EditValue = ew_HtmlEncode($this->per_position->CurrentValue);

			// per_status
			$this->per_status->EditCustomAttributes = "";
			$arwrk = array();
			$arwrk[] = array($this->per_status->FldTagValue(1), $this->per_status->FldTagCaption(1) <> "" ? $this->per_status->FldTagCaption(1) : $this->per_status->FldTagValue(1));
			$arwrk[] = array($this->per_status->FldTagValue(2), $this->per_status->FldTagCaption(2) <> "" ? $this->per_status->FldTagCaption(2) : $this->per_status->FldTagValue(2));
			$arwrk[] = array($this->per_status->FldTagValue(3), $this->per_status->FldTagCaption(3) <> "" ? $this->per_status->FldTagCaption(3) : $this->per_status->FldTagValue(3));
			$arwrk[] = array($this->per_status->FldTagValue(4), $this->per_status->FldTagCaption(4) <> "" ? $this->per_status->FldTagCaption(4) : $this->per_status->FldTagValue(4));
			$arwrk[] = array($this->per_status->FldTagValue(5), $this->per_status->FldTagCaption(5) <> "" ? $this->per_status->FldTagCaption(5) : $this->per_status->FldTagValue(5));
			$arwrk[] = array($this->per_status->FldTagValue(6), $this->per_status->FldTagCaption(6) <> "" ? $this->per_status->FldTagCaption(6) : $this->per_status->FldTagValue(6));
			array_unshift($arwrk, array("", $Language->Phrase("PleaseSelect")));
			$this->per_status->EditValue = $arwrk;

			// per_status_date
			$this->per_status_date->EditCustomAttributes = "";
			$this->per_status_date->EditValue = ew_HtmlEncode(ew_FormatDateTime($this->per_status_date->CurrentValue, 5));

			// per_detail
			$this->per_detail->EditCustomAttributes = "";
			$this->per_detail->EditValue = ew_HtmlEncode($this->per_detail->CurrentValue);

			// Edit refer script
			// per_id

			$this->per_id->HrefValue = "";

			// court_id
			$this->court_id->HrefValue = "";

			// per_fname
			$this->per_fname->HrefValue = "";

			// per_lname
			$this->per_lname->HrefValue = "";

			// per_position_type
			$this->per_position_type->HrefValue = "";

			// per_position
			$this->per_position->HrefValue = "";

			// per_status
			$this->per_status->HrefValue = "";

			// per_status_date
			$this->per_status_date->HrefValue = "";

			// per_detail
			$this->per_detail->HrefValue = "";
		}
		if ($this->RowType == EW_ROWTYPE_ADD ||
			$this->RowType == EW_ROWTYPE_EDIT ||
			$this->RowType == EW_ROWTYPE_SEARCH) { // Add / Edit / Search row
			$this->SetupFieldTitles();
		}

		// Call Row Rendered event
		if ($this->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$this->Row_Rendered();
	}

	// Validate form
	function ValidateForm() {
		global $Language, $gsFormError;

		// Initialize form error message
		$gsFormError = "";

		// Check if validation required
		if (!EW_SERVER_VALIDATE)
			return ($gsFormError == "");
		if (!is_null($this->per_id->FormValue) && $this->per_id->FormValue == "") {
			ew_AddMessage($gsFormError, $Language->Phrase("EnterRequiredField") . " - " . $this->per_id->FldCaption());
		}
		if (!is_null($this->court_id->FormValue) && $this->court_id->FormValue == "") {
			ew_AddMessage($gsFormError, $Language->Phrase("EnterRequiredField") . " - " . $this->court_id->FldCaption());
		}
		if (!is_null($this->per_position_type->FormValue) && $this->per_position_type->FormValue == "") {
			ew_AddMessage($gsFormError, $Language->Phrase("EnterRequiredField") . " - " . $this->per_position_type->FldCaption());
		}
		if (!is_null($this->per_position->FormValue) && $this->per_position->FormValue == "") {
			ew_AddMessage($gsFormError, $Language->Phrase("EnterRequiredField") . " - " . $this->per_position->FldCaption());
		}
		if (!is_null($this->per_status->FormValue) && $this->per_status->FormValue == "") {
			ew_AddMessage($gsFormError, $Language->Phrase("EnterRequiredField") . " - " . $this->per_status->FldCaption());
		}
		if (!ew_CheckDate($this->per_status_date->FormValue)) {
			ew_AddMessage($gsFormError, $this->per_status_date->FldErrMsg());
		}

		// Return validate result
		$ValidateForm = ($gsFormError == "");

		// Call Form_CustomValidate event
		$sFormCustomError = "";
		$ValidateForm = $ValidateForm && $this->Form_CustomValidate($sFormCustomError);
		if ($sFormCustomError <> "") {
			ew_AddMessage($gsFormError, $sFormCustomError);
		}
		return $ValidateForm;
	}

	// Add record
	function AddRow($rsold = NULL) {
		global $conn, $Language, $Security;
		$rsnew = array();

		// per_id
		$this->per_id->SetDbValueDef($rsnew, $this->per_id->CurrentValue, "", strval($this->per_id->CurrentValue) == "");

		// court_id
		$this->court_id->SetDbValueDef($rsnew, $this->court_id->CurrentValue, NULL, FALSE);

		// per_fname
		$this->per_fname->SetDbValueDef($rsnew, $this->per_fname->CurrentValue, NULL, FALSE);

		// per_lname
		$this->per_lname->SetDbValueDef($rsnew, $this->per_lname->CurrentValue, NULL, FALSE);

		// per_position_type
		$this->per_position_type->SetDbValueDef($rsnew, $this->per_position_type->CurrentValue, NULL, FALSE);

		// per_position
		$this->per_position->SetDbValueDef($rsnew, $this->per_position->CurrentValue, NULL, FALSE);

		// per_status
		$this->per_status->SetDbValueDef($rsnew, $this->per_status->CurrentValue, NULL, FALSE);

		// per_status_date
		$this->per_status_date->SetDbValueDef($rsnew, ew_UnFormatDateTime($this->per_status_date->CurrentValue, 5), NULL, FALSE);

		// per_detail
		$this->per_detail->SetDbValueDef($rsnew, $this->per_detail->CurrentValue, NULL, FALSE);

		// Call Row Inserting event
		$rs = ($rsold == NULL) ? NULL : $rsold->fields;
		$bInsertRow = $this->Row_Inserting($rs, $rsnew);

		// Check if key value entered
		if ($bInsertRow && $this->ValidateKey && $this->per_id->CurrentValue == "" && $this->per_id->getSessionValue() == "") {
			$this->setFailureMessage($Language->Phrase("InvalidKeyValue"));
			$bInsertRow = FALSE;
		}

		// Check for duplicate key
		if ($bInsertRow && $this->ValidateKey) {
			$sFilter = $this->KeyFilter();
			$rsChk = $this->LoadRs($sFilter);
			if ($rsChk && !$rsChk->EOF) {
				$sKeyErrMsg = str_replace("%f", $sFilter, $Language->Phrase("DupKey"));
				$this->setFailureMessage($sKeyErrMsg);
				$rsChk->Close();
				$bInsertRow = FALSE;
			}
		}
		if ($bInsertRow) {
			$conn->raiseErrorFn = 'ew_ErrorFn';
			$AddRow = $this->Insert($rsnew);
			$conn->raiseErrorFn = '';
			if ($AddRow) {
			}
		} else {
			if ($this->getSuccessMessage() <> "" || $this->getFailureMessage() <> "") {

				// Use the message, do nothing
			} elseif ($this->CancelMessage <> "") {
				$this->setFailureMessage($this->CancelMessage);
				$this->CancelMessage = "";
			} else {
				$this->setFailureMessage($Language->Phrase("InsertCancelled"));
			}
			$AddRow = FALSE;
		}

		// Get insert id if necessary
		if ($AddRow) {
		}
		if ($AddRow) {

			// Call Row Inserted event
			$rs = ($rsold == NULL) ? NULL : $rsold->fields;
			$this->Row_Inserted($rs, $rsnew);
		}
		return $AddRow;
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	// $type = ''|'success'|'failure'|'warning'
	function Message_Showing(&$msg, $type) {
		if ($type == 'success') {

			//$msg = "your success message";
		} elseif ($type == 'failure') {

			//$msg = "your failure message";
		} elseif ($type == 'warning') {

			//$msg = "your warning message";
		} else {

			//$msg = "your message";
		}
	}

	// Page Data Rendering event
	function Page_DataRendering(&$header) {

		// Example:
		//$header = "your header";

	}

	// Page Data Rendered event
	function Page_DataRendered(&$footer) {

		// Example:
		//$footer = "your footer";

	}

	// Form Custom Validate event
	function Form_CustomValidate(&$CustomError) {

		// Return error message in CustomError
		return TRUE;
	}
}
?>
<?php ew_Header(FALSE) ?>
<?php

// Create page object
if (!isset($tb_nb_people_add)) $tb_nb_people_add = new ctb_nb_people_add();

// Page init
$tb_nb_people_add->Page_Init();

// Page main
$tb_nb_people_add->Page_Main();
?>
<?php include_once "header.php" ?>
<script type="text/javascript">

// Page object
var tb_nb_people_add = new ew_Page("tb_nb_people_add");
tb_nb_people_add.PageID = "add"; // Page ID
var EW_PAGE_ID = tb_nb_people_add.PageID; // For backward compatibility

// Form object
var ftb_nb_peopleadd = new ew_Form("ftb_nb_peopleadd");

// Validate form
ftb_nb_peopleadd.Validate = function(fobj) {
	if (!this.ValidateRequired)
		return true; // Ignore validation
	fobj = fobj || this.Form;
	this.PostAutoSuggest();	
	if (fobj.a_confirm && fobj.a_confirm.value == "F")
		return true;
	var elm, aelm;
	var rowcnt = 1;
	var startcnt = (rowcnt == 0) ? 0 : 1; // rowcnt == 0 => Inline-Add
	for (var i = startcnt; i <= rowcnt; i++) {
		var infix = "";
		elm = fobj.elements["x" + infix + "_per_id"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tb_nb_people->per_id->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_court_id"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tb_nb_people->court_id->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_per_position_type"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tb_nb_people->per_position_type->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_per_position"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tb_nb_people->per_position->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_per_status"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tb_nb_people->per_status->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_per_status_date"];
		if (elm && !ew_CheckDate(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_nb_people->per_status_date->FldErrMsg()) ?>");

		// Set up row object
		ew_ElementsToRow(fobj, infix);

		// Fire Form_CustomValidate event
		if (!this.Form_CustomValidate(fobj))
			return false;
	}

	// Process detail page
	if (fobj.detailpage && fobj.detailpage.value && ewForms[fobj.detailpage.value])
		return ewForms[fobj.detailpage.value].Validate(fobj);
	return true;
}

// Form_CustomValidate event
ftb_nb_peopleadd.Form_CustomValidate =  
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }

// Use JavaScript validation or not
<?php if (EW_CLIENT_VALIDATE) { ?>
ftb_nb_peopleadd.ValidateRequired = true;
<?php } else { ?>
ftb_nb_peopleadd.ValidateRequired = false; 
<?php } ?>

// Dynamic selection lists
// Form object for search

</script>
<script type="text/javascript">

// Write your client script here, no need to add script tags.
</script>
<p><span class="ewTitle ewTableTitle"><?php echo $Language->Phrase("Add") ?>&nbsp;<?php echo $Language->Phrase("TblTypeTABLE") ?><?php echo $tb_nb_people->TableCaption() ?></span></p>
<p class="phpmaker"><a href="<?php echo $tb_nb_people->getReturnUrl() ?>"><?php echo $Language->Phrase("GoBack") ?></a></p>
<?php $tb_nb_people_add->ShowPageHeader(); ?>
<?php
$tb_nb_people_add->ShowMessage();
?>
<form name="ftb_nb_peopleadd" id="ftb_nb_peopleadd" class="ewForm" action="<?php echo ew_CurrentPage() ?>" method="post" onsubmit="return ewForms[this.id].Submit();">
<p>
<input type="hidden" name="t" value="tb_nb_people">
<input type="hidden" name="a_add" id="a_add" value="A">
<table cellspacing="0" class="ewGrid"><tr><td class="ewGridContent">
<div class="ewGridMiddlePanel">
<table cellspacing="0" id="tbl_tb_nb_peopleadd" class="ewTable">
<?php if ($tb_nb_people->per_id->Visible) { // per_id ?>
	<tr id="r_per_id"<?php echo $tb_nb_people->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_nb_people_per_id"><?php echo $tb_nb_people->per_id->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></span></td>
		<td<?php echo $tb_nb_people->per_id->CellAttributes() ?>><span id="el_tb_nb_people_per_id">
<input type="text" name="x_per_id" id="x_per_id" size="30" maxlength="10" value="<?php echo $tb_nb_people->per_id->EditValue ?>"<?php echo $tb_nb_people->per_id->EditAttributes() ?>>
</span><?php echo $tb_nb_people->per_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_nb_people->court_id->Visible) { // court_id ?>
	<tr id="r_court_id"<?php echo $tb_nb_people->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_nb_people_court_id"><?php echo $tb_nb_people->court_id->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></span></td>
		<td<?php echo $tb_nb_people->court_id->CellAttributes() ?>><span id="el_tb_nb_people_court_id">
<input type="text" name="x_court_id" id="x_court_id" size="30" maxlength="10" value="<?php echo $tb_nb_people->court_id->EditValue ?>"<?php echo $tb_nb_people->court_id->EditAttributes() ?>>
</span><?php echo $tb_nb_people->court_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_nb_people->per_fname->Visible) { // per_fname ?>
	<tr id="r_per_fname"<?php echo $tb_nb_people->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_nb_people_per_fname"><?php echo $tb_nb_people->per_fname->FldCaption() ?></span></td>
		<td<?php echo $tb_nb_people->per_fname->CellAttributes() ?>><span id="el_tb_nb_people_per_fname">
<input type="text" name="x_per_fname" id="x_per_fname" size="30" maxlength="100" value="<?php echo $tb_nb_people->per_fname->EditValue ?>"<?php echo $tb_nb_people->per_fname->EditAttributes() ?>>
</span><?php echo $tb_nb_people->per_fname->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_nb_people->per_lname->Visible) { // per_lname ?>
	<tr id="r_per_lname"<?php echo $tb_nb_people->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_nb_people_per_lname"><?php echo $tb_nb_people->per_lname->FldCaption() ?></span></td>
		<td<?php echo $tb_nb_people->per_lname->CellAttributes() ?>><span id="el_tb_nb_people_per_lname">
<input type="text" name="x_per_lname" id="x_per_lname" size="30" maxlength="100" value="<?php echo $tb_nb_people->per_lname->EditValue ?>"<?php echo $tb_nb_people->per_lname->EditAttributes() ?>>
</span><?php echo $tb_nb_people->per_lname->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_nb_people->per_position_type->Visible) { // per_position_type ?>
	<tr id="r_per_position_type"<?php echo $tb_nb_people->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_nb_people_per_position_type"><?php echo $tb_nb_people->per_position_type->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></span></td>
		<td<?php echo $tb_nb_people->per_position_type->CellAttributes() ?>><span id="el_tb_nb_people_per_position_type">
<select id="x_per_position_type" name="x_per_position_type"<?php echo $tb_nb_people->per_position_type->EditAttributes() ?>>
<?php
if (is_array($tb_nb_people->per_position_type->EditValue)) {
	$arwrk = $tb_nb_people->per_position_type->EditValue;
	$rowswrk = count($arwrk);
	$emptywrk = TRUE;
	for ($rowcntwrk = 0; $rowcntwrk < $rowswrk; $rowcntwrk++) {
		$selwrk = (strval($tb_nb_people->per_position_type->CurrentValue) == strval($arwrk[$rowcntwrk][0])) ? " selected=\"selected\"" : "";
		if ($selwrk <> "") $emptywrk = FALSE;
?>
<option value="<?php echo ew_HtmlEncode($arwrk[$rowcntwrk][0]) ?>"<?php echo $selwrk ?>>
<?php echo $arwrk[$rowcntwrk][1] ?>
</option>
<?php
	}
}
?>
</select>
</span><?php echo $tb_nb_people->per_position_type->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_nb_people->per_position->Visible) { // per_position ?>
	<tr id="r_per_position"<?php echo $tb_nb_people->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_nb_people_per_position"><?php echo $tb_nb_people->per_position->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></span></td>
		<td<?php echo $tb_nb_people->per_position->CellAttributes() ?>><span id="el_tb_nb_people_per_position">
<input type="text" name="x_per_position" id="x_per_position" size="30" maxlength="100" value="<?php echo $tb_nb_people->per_position->EditValue ?>"<?php echo $tb_nb_people->per_position->EditAttributes() ?>>
</span><?php echo $tb_nb_people->per_position->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_nb_people->per_status->Visible) { // per_status ?>
	<tr id="r_per_status"<?php echo $tb_nb_people->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_nb_people_per_status"><?php echo $tb_nb_people->per_status->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></span></td>
		<td<?php echo $tb_nb_people->per_status->CellAttributes() ?>><span id="el_tb_nb_people_per_status">
<select id="x_per_status" name="x_per_status"<?php echo $tb_nb_people->per_status->EditAttributes() ?>>
<?php
if (is_array($tb_nb_people->per_status->EditValue)) {
	$arwrk = $tb_nb_people->per_status->EditValue;
	$rowswrk = count($arwrk);
	$emptywrk = TRUE;
	for ($rowcntwrk = 0; $rowcntwrk < $rowswrk; $rowcntwrk++) {
		$selwrk = (strval($tb_nb_people->per_status->CurrentValue) == strval($arwrk[$rowcntwrk][0])) ? " selected=\"selected\"" : "";
		if ($selwrk <> "") $emptywrk = FALSE;
?>
<option value="<?php echo ew_HtmlEncode($arwrk[$rowcntwrk][0]) ?>"<?php echo $selwrk ?>>
<?php echo $arwrk[$rowcntwrk][1] ?>
</option>
<?php
	}
}
?>
</select>
</span><?php echo $tb_nb_people->per_status->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_nb_people->per_status_date->Visible) { // per_status_date ?>
	<tr id="r_per_status_date"<?php echo $tb_nb_people->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_nb_people_per_status_date"><?php echo $tb_nb_people->per_status_date->FldCaption() ?></span></td>
		<td<?php echo $tb_nb_people->per_status_date->CellAttributes() ?>><span id="el_tb_nb_people_per_status_date">
<input type="text" name="x_per_status_date" id="x_per_status_date" value="<?php echo $tb_nb_people->per_status_date->EditValue ?>"<?php echo $tb_nb_people->per_status_date->EditAttributes() ?>>
</span><?php echo $tb_nb_people->per_status_date->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_nb_people->per_detail->Visible) { // per_detail ?>
	<tr id="r_per_detail"<?php echo $tb_nb_people->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_nb_people_per_detail"><?php echo $tb_nb_people->per_detail->FldCaption() ?></span></td>
		<td<?php echo $tb_nb_people->per_detail->CellAttributes() ?>><span id="el_tb_nb_people_per_detail">
<input type="text" name="x_per_detail" id="x_per_detail" size="30" maxlength="200" value="<?php echo $tb_nb_people->per_detail->EditValue ?>"<?php echo $tb_nb_people->per_detail->EditAttributes() ?>>
</span><?php echo $tb_nb_people->per_detail->CustomMsg ?></td>
	</tr>
<?php } ?>
</table>
</div>
</td></tr></table>
<p>
<input type="submit" name="btnAction" id="btnAction" value="<?php echo ew_BtnCaption($Language->Phrase("AddBtn")) ?>">
</form>
<script type="text/javascript">
ftb_nb_peopleadd.Init();
</script>
<?php
$tb_nb_people_add->ShowPageFooter();
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
?>
<script type="text/javascript">

// Write your table-specific startup script here
// document.write("page loaded");

</script>
<?php include_once "footer.php" ?>
<?php
$tb_nb_people_add->Page_Terminate();
?>
