<?php
if (session_id() == "") session_start(); // Initialize Session data
ob_start(); // Turn on output buffering
?>
<?php include_once "ewcfg9.php" ?>
<?php include_once "ewmysql9.php" ?>
<?php include_once "phpfn9.php" ?>
<?php include_once "tb_nb_peopleinfo.php" ?>
<?php include_once "userfn9.php" ?>
<?php

//
// Page class
//

$tb_nb_people_list = NULL; // Initialize page object first

class ctb_nb_people_list extends ctb_nb_people {

	// Page ID
	var $PageID = 'list';

	// Project ID
	var $ProjectID = "{6072F4AB-8E55-4BED-87E8-94ADB1680AEB}";

	// Table name
	var $TableName = 'tb_nb_people';

	// Page object name
	var $PageObjName = 'tb_nb_people_list';

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		if ($this->UseTokenInUrl) $PageUrl .= "t=" . $this->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Page URLs
	var $AddUrl;
	var $EditUrl;
	var $CopyUrl;
	var $DeleteUrl;
	var $ViewUrl;
	var $ListUrl;

	// Export URLs
	var $ExportPrintUrl;
	var $ExportHtmlUrl;
	var $ExportExcelUrl;
	var $ExportWordUrl;
	var $ExportXmlUrl;
	var $ExportCsvUrl;
	var $ExportPdfUrl;

	// Update URLs
	var $InlineAddUrl;
	var $InlineCopyUrl;
	var $InlineEditUrl;
	var $GridAddUrl;
	var $GridEditUrl;
	var $MultiDeleteUrl;
	var $MultiUpdateUrl;

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_MESSAGE], $v);
	}

	function getFailureMessage() {
		return @$_SESSION[EW_SESSION_FAILURE_MESSAGE];
	}

	function setFailureMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_FAILURE_MESSAGE], $v);
	}

	function getSuccessMessage() {
		return @$_SESSION[EW_SESSION_SUCCESS_MESSAGE];
	}

	function setSuccessMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_SUCCESS_MESSAGE], $v);
	}

	function getWarningMessage() {
		return @$_SESSION[EW_SESSION_WARNING_MESSAGE];
	}

	function setWarningMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_WARNING_MESSAGE], $v);
	}

	// Show message
	function ShowMessage() {
		$hidden = FALSE;
		$html = "";

		// Message
		$sMessage = $this->getMessage();
		$this->Message_Showing($sMessage, "");
		if ($sMessage <> "") { // Message in Session, display
			$html .= "<p class=\"ewMessage\">" . $sMessage . "</p>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}

		// Warning message
		$sWarningMessage = $this->getWarningMessage();
		$this->Message_Showing($sWarningMessage, "warning");
		if ($sWarningMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewWarningIcon\"></td><td class=\"ewWarningMessage\">" . $sWarningMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_WARNING_MESSAGE] = ""; // Clear message in Session
		}

		// Success message
		$sSuccessMessage = $this->getSuccessMessage();
		$this->Message_Showing($sSuccessMessage, "success");
		if ($sSuccessMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewSuccessIcon\"></td><td class=\"ewSuccessMessage\">" . $sSuccessMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = ""; // Clear message in Session
		}

		// Failure message
		$sErrorMessage = $this->getFailureMessage();
		$this->Message_Showing($sErrorMessage, "failure");
		if ($sErrorMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewErrorIcon\"></td><td class=\"ewErrorMessage\">" . $sErrorMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_FAILURE_MESSAGE] = ""; // Clear message in Session
		}		
		echo "<div class=\"ewMessageDialog\"" . (($hidden) ? " style=\"display: none;\"" : "") . ">" . $html . "</div>";
	}
	var $PageHeader;
	var $PageFooter;

	// Show Page Header
	function ShowPageHeader() {
		$sHeader = $this->PageHeader;
		$this->Page_DataRendering($sHeader);
		if ($sHeader <> "") { // Header exists, display
			echo "<p class=\"phpmaker\">" . $sHeader . "</p>";
		}
	}

	// Show Page Footer
	function ShowPageFooter() {
		$sFooter = $this->PageFooter;
		$this->Page_DataRendered($sFooter);
		if ($sFooter <> "") { // Fotoer exists, display
			echo "<p class=\"phpmaker\">" . $sFooter . "</p>";
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm;
		if ($this->UseTokenInUrl) {
			if ($objForm)
				return ($this->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($this->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}

	//
	// Page class constructor
	//
	function __construct() {
		global $conn, $Language;
		$GLOBALS["Page"] = &$this;

		// Language object
		if (!isset($Language)) $Language = new cLanguage();

		// Parent constuctor
		parent::__construct();

		// Table object (tb_nb_people)
		if (!isset($GLOBALS["tb_nb_people"])) {
			$GLOBALS["tb_nb_people"] = &$this;
			$GLOBALS["Table"] = &$GLOBALS["tb_nb_people"];
		}

		// Initialize URLs
		$this->ExportPrintUrl = $this->PageUrl() . "export=print";
		$this->ExportExcelUrl = $this->PageUrl() . "export=excel";
		$this->ExportWordUrl = $this->PageUrl() . "export=word";
		$this->ExportHtmlUrl = $this->PageUrl() . "export=html";
		$this->ExportXmlUrl = $this->PageUrl() . "export=xml";
		$this->ExportCsvUrl = $this->PageUrl() . "export=csv";
		$this->ExportPdfUrl = $this->PageUrl() . "export=pdf";
		$this->AddUrl = "tb_nb_peopleadd.php";
		$this->InlineAddUrl = $this->PageUrl() . "a=add";
		$this->GridAddUrl = $this->PageUrl() . "a=gridadd";
		$this->GridEditUrl = $this->PageUrl() . "a=gridedit";
		$this->MultiDeleteUrl = "tb_nb_peopledelete.php";
		$this->MultiUpdateUrl = "tb_nb_peopleupdate.php";

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'list', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'tb_nb_people', TRUE);

		// Start timer
		if (!isset($GLOBALS["gTimer"])) $GLOBALS["gTimer"] = new cTimer();

		// Open connection
		if (!isset($conn)) $conn = ew_Connect();

		// List options
		$this->ListOptions = new cListOptions();
		$this->ListOptions->TableVar = $this->TableVar;

		// Export options
		$this->ExportOptions = new cListOptions();
		$this->ExportOptions->Tag = "span";
		$this->ExportOptions->TagClassName = "ewExportOption";
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;

		// Get grid add count
		$gridaddcnt = @$_GET[EW_TABLE_GRID_ADD_ROW_COUNT];
		if (is_numeric($gridaddcnt) && $gridaddcnt > 0)
			$this->GridAddRowCount = $gridaddcnt;

		// Set up list options
		$this->SetupListOptions();
		$this->CurrentAction = (@$_GET["a"] <> "") ? $_GET["a"] : @$_POST["a_list"];

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $conn;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();
		$this->Page_Redirecting($url);

		 // Close connection
		$conn->Close();

		// Go to URL if specified
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			header("Location: " . $url);
		}
		exit();
	}

	// Class variables
	var $ListOptions; // List options
	var $ExportOptions; // Export options
	var $DisplayRecs = 20;
	var $StartRec;
	var $StopRec;
	var $TotalRecs = 0;
	var $RecRange = 10;
	var $Pager;
	var $SearchWhere = ""; // Search WHERE clause
	var $RecCnt = 0; // Record count
	var $EditRowCnt;
	var $StartRowCnt = 1;
	var $RowCnt = 0;
	var $Attrs = array(); // Row attributes and cell attributes
	var $RowIndex = 0; // Row index
	var $KeyCount = 0; // Key count
	var $RowAction = ""; // Row action
	var $RowOldKey = ""; // Row old key (for copy)
	var $RecPerRow = 0;
	var $ColCnt = 0;
	var $DbMasterFilter = ""; // Master filter
	var $DbDetailFilter = ""; // Detail filter
	var $MasterRecordExists;	
	var $MultiSelectKey;
	var $RestoreSearch;
	var $Recordset;
	var $OldRecordset;

	//
	// Page main
	//
	function Page_Main() {
		global $objForm, $Language, $gsFormError, $gsSearchError, $Security;

		// Search filters
		$sSrchAdvanced = ""; // Advanced search filter
		$sSrchBasic = ""; // Basic search filter
		$sFilter = "";
		if ($this->IsPageRequest()) { // Validate request

			// Handle reset command
			$this->ResetCmd();

			// Hide all options
			if ($this->Export <> "" ||
				$this->CurrentAction == "gridadd" ||
				$this->CurrentAction == "gridedit") {
				$this->ListOptions->HideAllOptions();
				$this->ExportOptions->HideAllOptions();
			}

			// Get basic search values
			$this->LoadBasicSearchValues();

			// Restore search parms from Session
			$this->RestoreSearchParms();

			// Call Recordset SearchValidated event
			$this->Recordset_SearchValidated();

			// Set up sorting order
			$this->SetUpSortOrder();

			// Get basic search criteria
			if ($gsSearchError == "")
				$sSrchBasic = $this->BasicSearchWhere();
		}

		// Restore display records
		if ($this->getRecordsPerPage() <> "") {
			$this->DisplayRecs = $this->getRecordsPerPage(); // Restore from Session
		} else {
			$this->DisplayRecs = 20; // Load default
		}

		// Load Sorting Order
		$this->LoadSortOrder();

		// Load search default if no existing search criteria
		if ($sSrchBasic == "" && $sSrchAdvanced == "") {

			// Load basic search from default
			$this->BasicSearchKeyword = $this->BasicSearchKeywordDefault;
			$this->BasicSearchType = $this->BasicSearchTypeDefault;
			$this->setSessionBasicSearchType($this->BasicSearchTypeDefault);
			if ($this->BasicSearchKeyword != "")
				$sSrchBasic = $this->BasicSearchWhere();
		}

		// Build search criteria
		ew_AddFilter($this->SearchWhere, $sSrchAdvanced);
		ew_AddFilter($this->SearchWhere, $sSrchBasic);

		// Call Recordset_Searching event
		$this->Recordset_Searching($this->SearchWhere);

		// Save search criteria
		if ($this->SearchWhere <> "") {
			if ($sSrchBasic == "")
				$this->ResetBasicSearchParms();
			$this->setSearchWhere($this->SearchWhere); // Save to Session
			if (!$this->RestoreSearch) {
				$this->StartRec = 1; // Reset start record counter
				$this->setStartRecordNumber($this->StartRec);
			}

		//} else {
		} elseif ($this->RestoreSearch) {
			$this->SearchWhere = $this->getSearchWhere();
		}

		// Build filter
		$sFilter = "";
		ew_AddFilter($sFilter, $this->DbDetailFilter);
		ew_AddFilter($sFilter, $this->SearchWhere);

		// Set up filter in session
		$this->setSessionWhere($sFilter);
		$this->CurrentFilter = "";
	}

	// Build filter for all keys
	function BuildKeyFilter() {
		global $objForm;
		$sWrkFilter = "";

		// Update row index and get row key
		$rowindex = 1;
		$objForm->Index = $rowindex;
		$sThisKey = strval($objForm->GetValue("k_key"));
		while ($sThisKey <> "") {
			if ($this->SetupKeyValues($sThisKey)) {
				$sFilter = $this->KeyFilter();
				if ($sWrkFilter <> "") $sWrkFilter .= " OR ";
				$sWrkFilter .= $sFilter;
			} else {
				$sWrkFilter = "0=1";
				break;
			}

			// Update row index and get row key
			$rowindex++; // next row
			$objForm->Index = $rowindex;
			$sThisKey = strval($objForm->GetValue("k_key"));
		}
		return $sWrkFilter;
	}

	// Set up key values
	function SetupKeyValues($key) {
		$arrKeyFlds = explode($GLOBALS["EW_COMPOSITE_KEY_SEPARATOR"], $key);
		if (count($arrKeyFlds) >= 1) {
			$this->per_id->setFormValue($arrKeyFlds[0]);
		}
		return TRUE;
	}

	// Return basic search SQL
	function BasicSearchSQL($Keyword) {
		$sKeyword = ew_AdjustSql($Keyword);
		$sWhere = "";
		$this->BuildBasicSearchSQL($sWhere, $this->per_id, $Keyword);
		$this->BuildBasicSearchSQL($sWhere, $this->court_id, $Keyword);
		$this->BuildBasicSearchSQL($sWhere, $this->per_fname, $Keyword);
		$this->BuildBasicSearchSQL($sWhere, $this->per_lname, $Keyword);
		$this->BuildBasicSearchSQL($sWhere, $this->per_position, $Keyword);
		$this->BuildBasicSearchSQL($sWhere, $this->per_detail, $Keyword);
		return $sWhere;
	}

	// Build basic search SQL
	function BuildBasicSearchSql(&$Where, &$Fld, $Keyword) {
		if ($Keyword == EW_NULL_VALUE) {
			$sWrk = $Fld->FldExpression . " IS NULL";
		} elseif ($Keyword == EW_NOT_NULL_VALUE) {
			$sWrk = $Fld->FldExpression . " IS NOT NULL";
		} else {
			$sFldExpression = ($Fld->FldVirtualExpression <> $Fld->FldExpression) ? $Fld->FldVirtualExpression : $Fld->FldBasicSearchExpression;
			$sWrk = $sFldExpression . ew_Like(ew_QuotedValue("%" . $Keyword . "%", EW_DATATYPE_STRING));
		}
		if ($Where <> "") $Where .= " OR ";
		$Where .= $sWrk;
	}

	// Return basic search WHERE clause based on search keyword and type
	function BasicSearchWhere() {
		global $Security;
		$sSearchStr = "";
		$sSearchKeyword = $this->BasicSearchKeyword;
		$sSearchType = $this->BasicSearchType;
		if ($sSearchKeyword <> "") {
			$sSearch = trim($sSearchKeyword);
			if ($sSearchType <> "=") {
				while (strpos($sSearch, "  ") !== FALSE)
					$sSearch = str_replace("  ", " ", $sSearch);
				$arKeyword = explode(" ", trim($sSearch));
				foreach ($arKeyword as $sKeyword) {
					if ($sSearchStr <> "") $sSearchStr .= " " . $sSearchType . " ";
					$sSearchStr .= "(" . $this->BasicSearchSQL($sKeyword) . ")";
				}
			} else {
				$sSearchStr = $this->BasicSearchSQL($sSearch);
			}
		}
		if ($sSearchKeyword <> "") {
			$this->setSessionBasicSearchKeyword($sSearchKeyword);
			$this->setSessionBasicSearchType($sSearchType);
		}
		return $sSearchStr;
	}

	// Clear all search parameters
	function ResetSearchParms() {

		// Clear search WHERE clause
		$this->SearchWhere = "";
		$this->setSearchWhere($this->SearchWhere);

		// Clear basic search parameters
		$this->ResetBasicSearchParms();
	}

	// Load advanced search default values
	function LoadAdvancedSearchDefault() {
		return FALSE;
	}

	// Clear all basic search parameters
	function ResetBasicSearchParms() {
		$this->setSessionBasicSearchKeyword("");
		$this->setSessionBasicSearchType($this->BasicSearchTypeDefault);
	}

	// Restore all search parameters
	function RestoreSearchParms() {
		$bRestore = TRUE;
		if ($this->BasicSearchKeyword <> "") $bRestore = FALSE;
		$this->RestoreSearch = $bRestore;
		if ($bRestore) {

			// Restore basic search values
			$this->BasicSearchKeyword = $this->getSessionBasicSearchKeyword();
			if ($this->getSessionBasicSearchType() == "") $this->setSessionBasicSearchType("=");
			$this->BasicSearchType = $this->getSessionBasicSearchType();
		}
	}

	// Set up sort parameters
	function SetUpSortOrder() {

		// Check for "order" parameter
		if (@$_GET["order"] <> "") {
			$this->CurrentOrder = ew_StripSlashes(@$_GET["order"]);
			$this->CurrentOrderType = @$_GET["ordertype"];
			$this->UpdateSort($this->per_id); // per_id
			$this->UpdateSort($this->court_id); // court_id
			$this->UpdateSort($this->per_fname); // per_fname
			$this->UpdateSort($this->per_lname); // per_lname
			$this->UpdateSort($this->per_position_type); // per_position_type
			$this->UpdateSort($this->per_position); // per_position
			$this->UpdateSort($this->per_status); // per_status
			$this->UpdateSort($this->per_status_date); // per_status_date
			$this->UpdateSort($this->per_detail); // per_detail
			$this->setStartRecordNumber(1); // Reset start position
		}
	}

	// Load sort order parameters
	function LoadSortOrder() {
		$sOrderBy = $this->getSessionOrderBy(); // Get ORDER BY from Session
		if ($sOrderBy == "") {
			if ($this->SqlOrderBy() <> "") {
				$sOrderBy = $this->SqlOrderBy();
				$this->setSessionOrderBy($sOrderBy);
			}
		}
	}

	// Reset command
	// cmd=reset (Reset search parameters)
	// cmd=resetall (Reset search and master/detail parameters)
	// cmd=resetsort (Reset sort parameters)
	function ResetCmd() {

		// Get reset command
		if (@$_GET["cmd"] <> "") {
			$sCmd = $_GET["cmd"];

			// Reset search criteria
			if (strtolower($sCmd) == "reset" || strtolower($sCmd) == "resetall")
				$this->ResetSearchParms();

			// Reset sorting order
			if (strtolower($sCmd) == "resetsort") {
				$sOrderBy = "";
				$this->setSessionOrderBy($sOrderBy);
				$this->per_id->setSort("");
				$this->court_id->setSort("");
				$this->per_fname->setSort("");
				$this->per_lname->setSort("");
				$this->per_position_type->setSort("");
				$this->per_position->setSort("");
				$this->per_status->setSort("");
				$this->per_status_date->setSort("");
				$this->per_detail->setSort("");
			}

			// Reset start position
			$this->StartRec = 1;
			$this->setStartRecordNumber($this->StartRec);
		}
	}

	// Set up list options
	function SetupListOptions() {
		global $Security, $Language;

		// "view"
		$item = &$this->ListOptions->Add("view");
		$item->CssStyle = "white-space: nowrap;";
		$item->Visible = TRUE;
		$item->OnLeft = FALSE;

		// "edit"
		$item = &$this->ListOptions->Add("edit");
		$item->CssStyle = "white-space: nowrap;";
		$item->Visible = TRUE;
		$item->OnLeft = FALSE;

		// "delete"
		$item = &$this->ListOptions->Add("delete");
		$item->CssStyle = "white-space: nowrap;";
		$item->Visible = TRUE;
		$item->OnLeft = FALSE;

		// Call ListOptions_Load event
		$this->ListOptions_Load();
	}

	// Render list options
	function RenderListOptions() {
		global $Security, $Language, $objForm;
		$this->ListOptions->LoadDefault();

		// "view"
		$oListOpt = &$this->ListOptions->Items["view"];
		if (TRUE)
			$oListOpt->Body = "<a class=\"ewRowLink\" href=\"" . $this->ViewUrl . "\">" . $Language->Phrase("ViewLink") . "</a>";

		// "edit"
		$oListOpt = &$this->ListOptions->Items["edit"];
		if (TRUE) {
			$oListOpt->Body = "<a class=\"ewRowLink\" href=\"" . $this->EditUrl . "\">" . $Language->Phrase("EditLink") . "</a>";
		}

		// "delete"
		$oListOpt = &$this->ListOptions->Items["delete"];
		if (TRUE)
			$oListOpt->Body = "<a class=\"ewRowLink\"" . "" . " href=\"" . $this->DeleteUrl . "\">" . $Language->Phrase("DeleteLink") . "</a>";
		$this->RenderListOptionsExt();

		// Call ListOptions_Rendered event
		$this->ListOptions_Rendered();
	}

	function RenderListOptionsExt() {
		global $Security, $Language;
	}

	// Set up starting record parameters
	function SetUpStartRec() {
		if ($this->DisplayRecs == 0)
			return;
		if ($this->IsPageRequest()) { // Validate request
			if (@$_GET[EW_TABLE_START_REC] <> "") { // Check for "start" parameter
				$this->StartRec = $_GET[EW_TABLE_START_REC];
				$this->setStartRecordNumber($this->StartRec);
			} elseif (@$_GET[EW_TABLE_PAGE_NO] <> "") {
				$PageNo = $_GET[EW_TABLE_PAGE_NO];
				if (is_numeric($PageNo)) {
					$this->StartRec = ($PageNo-1)*$this->DisplayRecs+1;
					if ($this->StartRec <= 0) {
						$this->StartRec = 1;
					} elseif ($this->StartRec >= intval(($this->TotalRecs-1)/$this->DisplayRecs)*$this->DisplayRecs+1) {
						$this->StartRec = intval(($this->TotalRecs-1)/$this->DisplayRecs)*$this->DisplayRecs+1;
					}
					$this->setStartRecordNumber($this->StartRec);
				}
			}
		}
		$this->StartRec = $this->getStartRecordNumber();

		// Check if correct start record counter
		if (!is_numeric($this->StartRec) || $this->StartRec == "") { // Avoid invalid start record counter
			$this->StartRec = 1; // Reset start record counter
			$this->setStartRecordNumber($this->StartRec);
		} elseif (intval($this->StartRec) > intval($this->TotalRecs)) { // Avoid starting record > total records
			$this->StartRec = intval(($this->TotalRecs-1)/$this->DisplayRecs)*$this->DisplayRecs+1; // Point to last page first record
			$this->setStartRecordNumber($this->StartRec);
		} elseif (($this->StartRec-1) % $this->DisplayRecs <> 0) {
			$this->StartRec = intval(($this->StartRec-1)/$this->DisplayRecs)*$this->DisplayRecs+1; // Point to page boundary
			$this->setStartRecordNumber($this->StartRec);
		}
	}

	// Load basic search values
	function LoadBasicSearchValues() {
		$this->BasicSearchKeyword = @$_GET[EW_TABLE_BASIC_SEARCH];
		$this->BasicSearchType = @$_GET[EW_TABLE_BASIC_SEARCH_TYPE];
	}

	// Load recordset
	function LoadRecordset($offset = -1, $rowcnt = -1) {
		global $conn;

		// Call Recordset Selecting event
		$this->Recordset_Selecting($this->CurrentFilter);

		// Load List page SQL
		$sSql = $this->SelectSQL();
		if ($offset > -1 && $rowcnt > -1)
			$sSql .= " LIMIT $rowcnt OFFSET $offset";

		// Load recordset
		$rs = ew_LoadRecordset($sSql);

		// Call Recordset Selected event
		$this->Recordset_Selected($rs);
		return $rs;
	}

	// Load row based on key values
	function LoadRow() {
		global $conn, $Security, $Language;
		$sFilter = $this->KeyFilter();

		// Call Row Selecting event
		$this->Row_Selecting($sFilter);

		// Load SQL based on filter
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		global $conn;
		if (!$rs || $rs->EOF) return;

		// Call Row Selected event
		$row = &$rs->fields;
		$this->Row_Selected($row);
		$this->per_id->setDbValue($rs->fields('per_id'));
		$this->court_id->setDbValue($rs->fields('court_id'));
		$this->per_fname->setDbValue($rs->fields('per_fname'));
		$this->per_lname->setDbValue($rs->fields('per_lname'));
		$this->per_position_type->setDbValue($rs->fields('per_position_type'));
		$this->per_position->setDbValue($rs->fields('per_position'));
		$this->per_status->setDbValue($rs->fields('per_status'));
		$this->per_status_date->setDbValue($rs->fields('per_status_date'));
		$this->per_detail->setDbValue($rs->fields('per_detail'));
	}

	// Load old record
	function LoadOldRecord() {

		// Load key values from Session
		$bValidKey = TRUE;
		if (strval($this->getKey("per_id")) <> "")
			$this->per_id->CurrentValue = $this->getKey("per_id"); // per_id
		else
			$bValidKey = FALSE;

		// Load old recordset
		if ($bValidKey) {
			$this->CurrentFilter = $this->KeyFilter();
			$sSql = $this->SQL();
			$this->OldRecordset = ew_LoadRecordset($sSql);
			$this->LoadRowValues($this->OldRecordset); // Load row values
		} else {
			$this->OldRecordset = NULL;
		}
		return $bValidKey;
	}

	// Render row values based on field settings
	function RenderRow() {
		global $conn, $Security, $Language;
		global $gsLanguage;

		// Initialize URLs
		$this->ViewUrl = $this->GetViewUrl();
		$this->EditUrl = $this->GetEditUrl();
		$this->InlineEditUrl = $this->GetInlineEditUrl();
		$this->CopyUrl = $this->GetCopyUrl();
		$this->InlineCopyUrl = $this->GetInlineCopyUrl();
		$this->DeleteUrl = $this->GetDeleteUrl();

		// Call Row_Rendering event
		$this->Row_Rendering();

		// Common render codes for all row types
		// per_id
		// court_id
		// per_fname
		// per_lname
		// per_position_type
		// per_position
		// per_status
		// per_status_date
		// per_detail

		if ($this->RowType == EW_ROWTYPE_VIEW) { // View row

			// per_id
			$this->per_id->ViewValue = $this->per_id->CurrentValue;
			$this->per_id->ViewCustomAttributes = "";

			// court_id
			$this->court_id->ViewValue = $this->court_id->CurrentValue;
			$this->court_id->ViewCustomAttributes = "";

			// per_fname
			$this->per_fname->ViewValue = $this->per_fname->CurrentValue;
			$this->per_fname->ViewCustomAttributes = "";

			// per_lname
			$this->per_lname->ViewValue = $this->per_lname->CurrentValue;
			$this->per_lname->ViewCustomAttributes = "";

			// per_position_type
			if (strval($this->per_position_type->CurrentValue) <> "") {
				switch ($this->per_position_type->CurrentValue) {
					case $this->per_position_type->FldTagValue(1):
						$this->per_position_type->ViewValue = $this->per_position_type->FldTagCaption(1) <> "" ? $this->per_position_type->FldTagCaption(1) : $this->per_position_type->CurrentValue;
						break;
					case $this->per_position_type->FldTagValue(2):
						$this->per_position_type->ViewValue = $this->per_position_type->FldTagCaption(2) <> "" ? $this->per_position_type->FldTagCaption(2) : $this->per_position_type->CurrentValue;
						break;
					case $this->per_position_type->FldTagValue(3):
						$this->per_position_type->ViewValue = $this->per_position_type->FldTagCaption(3) <> "" ? $this->per_position_type->FldTagCaption(3) : $this->per_position_type->CurrentValue;
						break;
					case $this->per_position_type->FldTagValue(4):
						$this->per_position_type->ViewValue = $this->per_position_type->FldTagCaption(4) <> "" ? $this->per_position_type->FldTagCaption(4) : $this->per_position_type->CurrentValue;
						break;
					case $this->per_position_type->FldTagValue(5):
						$this->per_position_type->ViewValue = $this->per_position_type->FldTagCaption(5) <> "" ? $this->per_position_type->FldTagCaption(5) : $this->per_position_type->CurrentValue;
						break;
					case $this->per_position_type->FldTagValue(6):
						$this->per_position_type->ViewValue = $this->per_position_type->FldTagCaption(6) <> "" ? $this->per_position_type->FldTagCaption(6) : $this->per_position_type->CurrentValue;
						break;
					default:
						$this->per_position_type->ViewValue = $this->per_position_type->CurrentValue;
				}
			} else {
				$this->per_position_type->ViewValue = NULL;
			}
			$this->per_position_type->ViewCustomAttributes = "";

			// per_position
			$this->per_position->ViewValue = $this->per_position->CurrentValue;
			$this->per_position->ViewCustomAttributes = "";

			// per_status
			if (strval($this->per_status->CurrentValue) <> "") {
				switch ($this->per_status->CurrentValue) {
					case $this->per_status->FldTagValue(1):
						$this->per_status->ViewValue = $this->per_status->FldTagCaption(1) <> "" ? $this->per_status->FldTagCaption(1) : $this->per_status->CurrentValue;
						break;
					case $this->per_status->FldTagValue(2):
						$this->per_status->ViewValue = $this->per_status->FldTagCaption(2) <> "" ? $this->per_status->FldTagCaption(2) : $this->per_status->CurrentValue;
						break;
					case $this->per_status->FldTagValue(3):
						$this->per_status->ViewValue = $this->per_status->FldTagCaption(3) <> "" ? $this->per_status->FldTagCaption(3) : $this->per_status->CurrentValue;
						break;
					case $this->per_status->FldTagValue(4):
						$this->per_status->ViewValue = $this->per_status->FldTagCaption(4) <> "" ? $this->per_status->FldTagCaption(4) : $this->per_status->CurrentValue;
						break;
					case $this->per_status->FldTagValue(5):
						$this->per_status->ViewValue = $this->per_status->FldTagCaption(5) <> "" ? $this->per_status->FldTagCaption(5) : $this->per_status->CurrentValue;
						break;
					case $this->per_status->FldTagValue(6):
						$this->per_status->ViewValue = $this->per_status->FldTagCaption(6) <> "" ? $this->per_status->FldTagCaption(6) : $this->per_status->CurrentValue;
						break;
					default:
						$this->per_status->ViewValue = $this->per_status->CurrentValue;
				}
			} else {
				$this->per_status->ViewValue = NULL;
			}
			$this->per_status->ViewCustomAttributes = "";

			// per_status_date
			$this->per_status_date->ViewValue = $this->per_status_date->CurrentValue;
			$this->per_status_date->ViewValue = ew_FormatDateTime($this->per_status_date->ViewValue, 5);
			$this->per_status_date->ViewCustomAttributes = "";

			// per_detail
			$this->per_detail->ViewValue = $this->per_detail->CurrentValue;
			$this->per_detail->ViewCustomAttributes = "";

			// per_id
			$this->per_id->LinkCustomAttributes = "";
			$this->per_id->HrefValue = "";
			$this->per_id->TooltipValue = "";

			// court_id
			$this->court_id->LinkCustomAttributes = "";
			$this->court_id->HrefValue = "";
			$this->court_id->TooltipValue = "";

			// per_fname
			$this->per_fname->LinkCustomAttributes = "";
			$this->per_fname->HrefValue = "";
			$this->per_fname->TooltipValue = "";

			// per_lname
			$this->per_lname->LinkCustomAttributes = "";
			$this->per_lname->HrefValue = "";
			$this->per_lname->TooltipValue = "";

			// per_position_type
			$this->per_position_type->LinkCustomAttributes = "";
			$this->per_position_type->HrefValue = "";
			$this->per_position_type->TooltipValue = "";

			// per_position
			$this->per_position->LinkCustomAttributes = "";
			$this->per_position->HrefValue = "";
			$this->per_position->TooltipValue = "";

			// per_status
			$this->per_status->LinkCustomAttributes = "";
			$this->per_status->HrefValue = "";
			$this->per_status->TooltipValue = "";

			// per_status_date
			$this->per_status_date->LinkCustomAttributes = "";
			$this->per_status_date->HrefValue = "";
			$this->per_status_date->TooltipValue = "";

			// per_detail
			$this->per_detail->LinkCustomAttributes = "";
			$this->per_detail->HrefValue = "";
			$this->per_detail->TooltipValue = "";
		}

		// Call Row Rendered event
		if ($this->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$this->Row_Rendered();
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	// $type = ''|'success'|'failure'|'warning'
	function Message_Showing(&$msg, $type) {
		if ($type == 'success') {

			//$msg = "your success message";
		} elseif ($type == 'failure') {

			//$msg = "your failure message";
		} elseif ($type == 'warning') {

			//$msg = "your warning message";
		} else {

			//$msg = "your message";
		}
	}

	// Page Data Rendering event
	function Page_DataRendering(&$header) {

		// Example:
		//$header = "your header";

	}

	// Page Data Rendered event
	function Page_DataRendered(&$footer) {

		// Example:
		//$footer = "your footer";

	}

	// Form Custom Validate event
	function Form_CustomValidate(&$CustomError) {

		// Return error message in CustomError
		return TRUE;
	}

	// ListOptions Load event
	function ListOptions_Load() {

		// Example:
		//$opt = &$this->ListOptions->Add("new");
		//$opt->Header = "xxx";
		//$opt->OnLeft = TRUE; // Link on left
		//$opt->MoveTo(0); // Move to first column

	}

	// ListOptions Rendered event
	function ListOptions_Rendered() {

		// Example: 
		//$this->ListOptions->Items["new"]->Body = "xxx";

	}
}
?>
<?php ew_Header(FALSE) ?>
<?php

// Create page object
if (!isset($tb_nb_people_list)) $tb_nb_people_list = new ctb_nb_people_list();

// Page init
$tb_nb_people_list->Page_Init();

// Page main
$tb_nb_people_list->Page_Main();
?>
<?php include_once "header.php" ?>
<script type="text/javascript">

// Page object
var tb_nb_people_list = new ew_Page("tb_nb_people_list");
tb_nb_people_list.PageID = "list"; // Page ID
var EW_PAGE_ID = tb_nb_people_list.PageID; // For backward compatibility

// Form object
var ftb_nb_peoplelist = new ew_Form("ftb_nb_peoplelist");

// Form_CustomValidate event
ftb_nb_peoplelist.Form_CustomValidate =  
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }

// Use JavaScript validation or not
<?php if (EW_CLIENT_VALIDATE) { ?>
ftb_nb_peoplelist.ValidateRequired = true;
<?php } else { ?>
ftb_nb_peoplelist.ValidateRequired = false; 
<?php } ?>

// Dynamic selection lists
// Form object for search

var ftb_nb_peoplelistsrch = new ew_Form("ftb_nb_peoplelistsrch");
</script>
<script type="text/javascript">

// Write your client script here, no need to add script tags.
</script>
<?php
	$bSelectLimit = EW_SELECT_LIMIT;
	if ($bSelectLimit) {
		$tb_nb_people_list->TotalRecs = $tb_nb_people->SelectRecordCount();
	} else {
		if ($tb_nb_people_list->Recordset = $tb_nb_people_list->LoadRecordset())
			$tb_nb_people_list->TotalRecs = $tb_nb_people_list->Recordset->RecordCount();
	}
	$tb_nb_people_list->StartRec = 1;
	if ($tb_nb_people_list->DisplayRecs <= 0 || ($tb_nb_people->Export <> "" && $tb_nb_people->ExportAll)) // Display all records
		$tb_nb_people_list->DisplayRecs = $tb_nb_people_list->TotalRecs;
	if (!($tb_nb_people->Export <> "" && $tb_nb_people->ExportAll))
		$tb_nb_people_list->SetUpStartRec(); // Set up start record position
	if ($bSelectLimit)
		$tb_nb_people_list->Recordset = $tb_nb_people_list->LoadRecordset($tb_nb_people_list->StartRec-1, $tb_nb_people_list->DisplayRecs);
?>
<p style="white-space: nowrap;"><span class="ewTitle ewTableTitle"><?php echo $Language->Phrase("TblTypeTABLE") ?><?php echo $tb_nb_people->TableCaption() ?>&nbsp;&nbsp;</span>
<?php $tb_nb_people_list->ExportOptions->Render("body"); ?>
</p>
<?php if ($tb_nb_people->Export == "" && $tb_nb_people->CurrentAction == "") { ?>
<form name="ftb_nb_peoplelistsrch" id="ftb_nb_peoplelistsrch" class="ewForm" action="<?php echo ew_CurrentPage() ?>">
<a href="javascript:ftb_nb_peoplelistsrch.ToggleSearchPanel();" style="text-decoration: none;"><img id="ftb_nb_peoplelistsrch_SearchImage" src="phpimages/collapse.gif" alt="" width="9" height="9" border="0"></a><span class="phpmaker">&nbsp;<?php echo $Language->Phrase("Search") ?></span><br>
<div id="ftb_nb_peoplelistsrch_SearchPanel">
<input type="hidden" name="t" value="tb_nb_people">
<div class="ewBasicSearch">
<div id="xsr_1" class="ewRow">
	<input type="text" name="<?php echo EW_TABLE_BASIC_SEARCH ?>" size="20" value="<?php echo ew_HtmlEncode($tb_nb_people->getSessionBasicSearchKeyword()) ?>">
	<input type="submit" name="btnsubmit" id="btnsubmit" value="<?php echo ew_BtnCaption($Language->Phrase("QuickSearchBtn")) ?>">&nbsp;
	<a href="<?php echo $tb_nb_people_list->PageUrl() ?>cmd=reset"><?php echo $Language->Phrase("ShowAll") ?></a>&nbsp;
</div>
<div id="xsr_2" class="ewRow">
	<label><input type="radio" name="<?php echo EW_TABLE_BASIC_SEARCH_TYPE ?>" value="="<?php if ($tb_nb_people->getSessionBasicSearchType() == "=") { ?> checked="checked"<?php } ?>><?php echo $Language->Phrase("ExactPhrase") ?></label>&nbsp;&nbsp;<label><input type="radio" name="<?php echo EW_TABLE_BASIC_SEARCH_TYPE ?>" value="AND"<?php if ($tb_nb_people->getSessionBasicSearchType() == "AND") { ?> checked="checked"<?php } ?>><?php echo $Language->Phrase("AllWord") ?></label>&nbsp;&nbsp;<label><input type="radio" name="<?php echo EW_TABLE_BASIC_SEARCH_TYPE ?>" value="OR"<?php if ($tb_nb_people->getSessionBasicSearchType() == "OR") { ?> checked="checked"<?php } ?>><?php echo $Language->Phrase("AnyWord") ?></label>
</div>
</div>
</div>
</form>
<?php } ?>
<?php $tb_nb_people_list->ShowPageHeader(); ?>
<?php
$tb_nb_people_list->ShowMessage();
?>
<br>
<table cellspacing="0" class="ewGrid"><tr><td class="ewGridContent">
<div class="ewGridUpperPanel">
<?php if ($tb_nb_people->CurrentAction <> "gridadd" && $tb_nb_people->CurrentAction <> "gridedit") { ?>
<form name="ewpagerform" id="ewpagerform" class="ewForm" action="<?php echo ew_CurrentPage() ?>">
<table border="0" cellspacing="0" cellpadding="0" class="ewPager">
	<tr>
		<td nowrap>
<?php if (!isset($tb_nb_people_list->Pager)) $tb_nb_people_list->Pager = new cPrevNextPager($tb_nb_people_list->StartRec, $tb_nb_people_list->DisplayRecs, $tb_nb_people_list->TotalRecs) ?>
<?php if ($tb_nb_people_list->Pager->RecordCount > 0) { ?>
	<table border="0" cellspacing="0" cellpadding="0"><tr><td><span class="phpmaker"><?php echo $Language->Phrase("Page") ?>&nbsp;</span></td>
<!--first page button-->
	<?php if ($tb_nb_people_list->Pager->FirstButton->Enabled) { ?>
	<td><a href="<?php echo $tb_nb_people_list->PageUrl() ?>start=<?php echo $tb_nb_people_list->Pager->FirstButton->Start ?>"><img src="phpimages/first.gif" alt="<?php echo $Language->Phrase("PagerFirst") ?>" width="16" height="16" border="0"></a></td>
	<?php } else { ?>
	<td><img src="phpimages/firstdisab.gif" alt="<?php echo $Language->Phrase("PagerFirst") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
<!--previous page button-->
	<?php if ($tb_nb_people_list->Pager->PrevButton->Enabled) { ?>
	<td><a href="<?php echo $tb_nb_people_list->PageUrl() ?>start=<?php echo $tb_nb_people_list->Pager->PrevButton->Start ?>"><img src="phpimages/prev.gif" alt="<?php echo $Language->Phrase("PagerPrevious") ?>" width="16" height="16" border="0"></a></td>
	<?php } else { ?>
	<td><img src="phpimages/prevdisab.gif" alt="<?php echo $Language->Phrase("PagerPrevious") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
<!--current page number-->
	<td><input type="text" name="<?php echo EW_TABLE_PAGE_NO ?>" id="<?php echo EW_TABLE_PAGE_NO ?>" value="<?php echo $tb_nb_people_list->Pager->CurrentPage ?>" size="4"></td>
<!--next page button-->
	<?php if ($tb_nb_people_list->Pager->NextButton->Enabled) { ?>
	<td><a href="<?php echo $tb_nb_people_list->PageUrl() ?>start=<?php echo $tb_nb_people_list->Pager->NextButton->Start ?>"><img src="phpimages/next.gif" alt="<?php echo $Language->Phrase("PagerNext") ?>" width="16" height="16" border="0"></a></td>	
	<?php } else { ?>
	<td><img src="phpimages/nextdisab.gif" alt="<?php echo $Language->Phrase("PagerNext") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
<!--last page button-->
	<?php if ($tb_nb_people_list->Pager->LastButton->Enabled) { ?>
	<td><a href="<?php echo $tb_nb_people_list->PageUrl() ?>start=<?php echo $tb_nb_people_list->Pager->LastButton->Start ?>"><img src="phpimages/last.gif" alt="<?php echo $Language->Phrase("PagerLast") ?>" width="16" height="16" border="0"></a></td>	
	<?php } else { ?>
	<td><img src="phpimages/lastdisab.gif" alt="<?php echo $Language->Phrase("PagerLast") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
	<td><span class="phpmaker">&nbsp;<?php echo $Language->Phrase("of") ?>&nbsp;<?php echo $tb_nb_people_list->Pager->PageCount ?></span></td>
	</tr></table>
	</td>	
	<td>&nbsp;&nbsp;&nbsp;&nbsp;</td>
	<td>
	<span class="phpmaker"><?php echo $Language->Phrase("Record") ?>&nbsp;<?php echo $tb_nb_people_list->Pager->FromIndex ?>&nbsp;<?php echo $Language->Phrase("To") ?>&nbsp;<?php echo $tb_nb_people_list->Pager->ToIndex ?>&nbsp;<?php echo $Language->Phrase("Of") ?>&nbsp;<?php echo $tb_nb_people_list->Pager->RecordCount ?></span>
<?php } else { ?>
	<?php if ($tb_nb_people_list->SearchWhere == "0=101") { ?>
	<span class="phpmaker"><?php echo $Language->Phrase("EnterSearchCriteria") ?></span>
	<?php } else { ?>
	<span class="phpmaker"><?php echo $Language->Phrase("NoRecord") ?></span>
	<?php } ?>
<?php } ?>
		</td>
	</tr>
</table>
</form>
<?php } ?>
<span class="phpmaker">
<?php if ($tb_nb_people_list->AddUrl <> "") { ?>
<a class="ewGridLink" href="<?php echo $tb_nb_people_list->AddUrl ?>"><?php echo $Language->Phrase("AddLink") ?></a>&nbsp;&nbsp;
<?php } ?>
</span>
</div>
<form name="ftb_nb_peoplelist" id="ftb_nb_peoplelist" class="ewForm" action="" method="post">
<input type="hidden" name="t" value="tb_nb_people">
<div id="gmp_tb_nb_people" class="ewGridMiddlePanel">
<?php if ($tb_nb_people_list->TotalRecs > 0) { ?>
<table cellspacing="0" id="tbl_tb_nb_peoplelist" class="ewTable ewTableSeparate">
<?php echo $tb_nb_people->TableCustomInnerHtml ?>
<thead><!-- Table header -->
	<tr class="ewTableHeader">
<?php

// Render list options
$tb_nb_people_list->RenderListOptions();

// Render list options (header, left)
$tb_nb_people_list->ListOptions->Render("header", "left");
?>
<?php if ($tb_nb_people->per_id->Visible) { // per_id ?>
	<?php if ($tb_nb_people->SortUrl($tb_nb_people->per_id) == "") { ?>
		<td><span id="elh_tb_nb_people_per_id" class="tb_nb_people_per_id"><?php echo $tb_nb_people->per_id->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_nb_people->SortUrl($tb_nb_people->per_id) ?>',1);"><span id="elh_tb_nb_people_per_id" class="tb_nb_people_per_id">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_nb_people->per_id->FldCaption() ?><?php echo $Language->Phrase("SrchLegend") ?></td><td style="width: 10px;"><?php if ($tb_nb_people->per_id->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_nb_people->per_id->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_nb_people->court_id->Visible) { // court_id ?>
	<?php if ($tb_nb_people->SortUrl($tb_nb_people->court_id) == "") { ?>
		<td><span id="elh_tb_nb_people_court_id" class="tb_nb_people_court_id"><?php echo $tb_nb_people->court_id->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_nb_people->SortUrl($tb_nb_people->court_id) ?>',1);"><span id="elh_tb_nb_people_court_id" class="tb_nb_people_court_id">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_nb_people->court_id->FldCaption() ?><?php echo $Language->Phrase("SrchLegend") ?></td><td style="width: 10px;"><?php if ($tb_nb_people->court_id->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_nb_people->court_id->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_nb_people->per_fname->Visible) { // per_fname ?>
	<?php if ($tb_nb_people->SortUrl($tb_nb_people->per_fname) == "") { ?>
		<td><span id="elh_tb_nb_people_per_fname" class="tb_nb_people_per_fname"><?php echo $tb_nb_people->per_fname->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_nb_people->SortUrl($tb_nb_people->per_fname) ?>',1);"><span id="elh_tb_nb_people_per_fname" class="tb_nb_people_per_fname">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_nb_people->per_fname->FldCaption() ?><?php echo $Language->Phrase("SrchLegend") ?></td><td style="width: 10px;"><?php if ($tb_nb_people->per_fname->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_nb_people->per_fname->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_nb_people->per_lname->Visible) { // per_lname ?>
	<?php if ($tb_nb_people->SortUrl($tb_nb_people->per_lname) == "") { ?>
		<td><span id="elh_tb_nb_people_per_lname" class="tb_nb_people_per_lname"><?php echo $tb_nb_people->per_lname->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_nb_people->SortUrl($tb_nb_people->per_lname) ?>',1);"><span id="elh_tb_nb_people_per_lname" class="tb_nb_people_per_lname">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_nb_people->per_lname->FldCaption() ?><?php echo $Language->Phrase("SrchLegend") ?></td><td style="width: 10px;"><?php if ($tb_nb_people->per_lname->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_nb_people->per_lname->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_nb_people->per_position_type->Visible) { // per_position_type ?>
	<?php if ($tb_nb_people->SortUrl($tb_nb_people->per_position_type) == "") { ?>
		<td><span id="elh_tb_nb_people_per_position_type" class="tb_nb_people_per_position_type"><?php echo $tb_nb_people->per_position_type->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_nb_people->SortUrl($tb_nb_people->per_position_type) ?>',1);"><span id="elh_tb_nb_people_per_position_type" class="tb_nb_people_per_position_type">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_nb_people->per_position_type->FldCaption() ?></td><td style="width: 10px;"><?php if ($tb_nb_people->per_position_type->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_nb_people->per_position_type->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_nb_people->per_position->Visible) { // per_position ?>
	<?php if ($tb_nb_people->SortUrl($tb_nb_people->per_position) == "") { ?>
		<td><span id="elh_tb_nb_people_per_position" class="tb_nb_people_per_position"><?php echo $tb_nb_people->per_position->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_nb_people->SortUrl($tb_nb_people->per_position) ?>',1);"><span id="elh_tb_nb_people_per_position" class="tb_nb_people_per_position">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_nb_people->per_position->FldCaption() ?><?php echo $Language->Phrase("SrchLegend") ?></td><td style="width: 10px;"><?php if ($tb_nb_people->per_position->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_nb_people->per_position->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_nb_people->per_status->Visible) { // per_status ?>
	<?php if ($tb_nb_people->SortUrl($tb_nb_people->per_status) == "") { ?>
		<td><span id="elh_tb_nb_people_per_status" class="tb_nb_people_per_status"><?php echo $tb_nb_people->per_status->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_nb_people->SortUrl($tb_nb_people->per_status) ?>',1);"><span id="elh_tb_nb_people_per_status" class="tb_nb_people_per_status">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_nb_people->per_status->FldCaption() ?></td><td style="width: 10px;"><?php if ($tb_nb_people->per_status->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_nb_people->per_status->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_nb_people->per_status_date->Visible) { // per_status_date ?>
	<?php if ($tb_nb_people->SortUrl($tb_nb_people->per_status_date) == "") { ?>
		<td><span id="elh_tb_nb_people_per_status_date" class="tb_nb_people_per_status_date"><?php echo $tb_nb_people->per_status_date->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_nb_people->SortUrl($tb_nb_people->per_status_date) ?>',1);"><span id="elh_tb_nb_people_per_status_date" class="tb_nb_people_per_status_date">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_nb_people->per_status_date->FldCaption() ?></td><td style="width: 10px;"><?php if ($tb_nb_people->per_status_date->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_nb_people->per_status_date->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php if ($tb_nb_people->per_detail->Visible) { // per_detail ?>
	<?php if ($tb_nb_people->SortUrl($tb_nb_people->per_detail) == "") { ?>
		<td><span id="elh_tb_nb_people_per_detail" class="tb_nb_people_per_detail"><?php echo $tb_nb_people->per_detail->FldCaption() ?></span></td>
	<?php } else { ?>
		<td><div class="ewPointer" onmousedown="ew_Sort(event,'<?php echo $tb_nb_people->SortUrl($tb_nb_people->per_detail) ?>',1);"><span id="elh_tb_nb_people_per_detail" class="tb_nb_people_per_detail">
			<table cellspacing="0" class="ewTableHeaderBtn"><thead><tr><td><?php echo $tb_nb_people->per_detail->FldCaption() ?><?php echo $Language->Phrase("SrchLegend") ?></td><td style="width: 10px;"><?php if ($tb_nb_people->per_detail->getSort() == "ASC") { ?><img src="phpimages/sortup.gif" width="10" height="9" border="0"><?php } elseif ($tb_nb_people->per_detail->getSort() == "DESC") { ?><img src="phpimages/sortdown.gif" width="10" height="9" border="0"><?php } ?></td></tr></thead></table>
		</span></div></td>		
	<?php } ?>
<?php } ?>		
<?php

// Render list options (header, right)
$tb_nb_people_list->ListOptions->Render("header", "right");
?>
	</tr>
</thead>
<tbody>
<?php
if ($tb_nb_people->ExportAll && $tb_nb_people->Export <> "") {
	$tb_nb_people_list->StopRec = $tb_nb_people_list->TotalRecs;
} else {

	// Set the last record to display
	if ($tb_nb_people_list->TotalRecs > $tb_nb_people_list->StartRec + $tb_nb_people_list->DisplayRecs - 1)
		$tb_nb_people_list->StopRec = $tb_nb_people_list->StartRec + $tb_nb_people_list->DisplayRecs - 1;
	else
		$tb_nb_people_list->StopRec = $tb_nb_people_list->TotalRecs;
}
$tb_nb_people_list->RecCnt = $tb_nb_people_list->StartRec - 1;
if ($tb_nb_people_list->Recordset && !$tb_nb_people_list->Recordset->EOF) {
	$tb_nb_people_list->Recordset->MoveFirst();
	if (!$bSelectLimit && $tb_nb_people_list->StartRec > 1)
		$tb_nb_people_list->Recordset->Move($tb_nb_people_list->StartRec - 1);
} elseif (!$tb_nb_people->AllowAddDeleteRow && $tb_nb_people_list->StopRec == 0) {
	$tb_nb_people_list->StopRec = $tb_nb_people->GridAddRowCount;
}

// Initialize aggregate
$tb_nb_people->RowType = EW_ROWTYPE_AGGREGATEINIT;
$tb_nb_people->ResetAttrs();
$tb_nb_people_list->RenderRow();
while ($tb_nb_people_list->RecCnt < $tb_nb_people_list->StopRec) {
	$tb_nb_people_list->RecCnt++;
	if (intval($tb_nb_people_list->RecCnt) >= intval($tb_nb_people_list->StartRec)) {
		$tb_nb_people_list->RowCnt++;

		// Set up key count
		$tb_nb_people_list->KeyCount = $tb_nb_people_list->RowIndex;

		// Init row class and style
		$tb_nb_people->ResetAttrs();
		$tb_nb_people->CssClass = "";
		if ($tb_nb_people->CurrentAction == "gridadd") {
		} else {
			$tb_nb_people_list->LoadRowValues($tb_nb_people_list->Recordset); // Load row values
		}
		$tb_nb_people->RowType = EW_ROWTYPE_VIEW; // Render view

		// Set up row id / data-rowindex
		$tb_nb_people->RowAttrs = array_merge($tb_nb_people->RowAttrs, array('data-rowindex'=>$tb_nb_people_list->RowCnt, 'id'=>'r' . $tb_nb_people_list->RowCnt . '_tb_nb_people', 'data-rowtype'=>$tb_nb_people->RowType));

		// Render row
		$tb_nb_people_list->RenderRow();

		// Render list options
		$tb_nb_people_list->RenderListOptions();
?>
	<tr<?php echo $tb_nb_people->RowAttributes() ?>>
<?php

// Render list options (body, left)
$tb_nb_people_list->ListOptions->Render("body", "left", $tb_nb_people_list->RowCnt);
?>
	<?php if ($tb_nb_people->per_id->Visible) { // per_id ?>
		<td<?php echo $tb_nb_people->per_id->CellAttributes() ?>><span id="el<?php echo $tb_nb_people_list->RowCnt ?>_tb_nb_people_per_id" class="tb_nb_people_per_id">
<span<?php echo $tb_nb_people->per_id->ViewAttributes() ?>>
<?php echo $tb_nb_people->per_id->ListViewValue() ?></span>
<a name="<?php echo $tb_nb_people_list->PageObjName . "_row_" . $tb_nb_people_list->RowCnt ?>" id="<?php echo $tb_nb_people_list->PageObjName . "_row_" . $tb_nb_people_list->RowCnt ?>"></a></span></td>
	<?php } ?>
	<?php if ($tb_nb_people->court_id->Visible) { // court_id ?>
		<td<?php echo $tb_nb_people->court_id->CellAttributes() ?>><span id="el<?php echo $tb_nb_people_list->RowCnt ?>_tb_nb_people_court_id" class="tb_nb_people_court_id">
<span<?php echo $tb_nb_people->court_id->ViewAttributes() ?>>
<?php echo $tb_nb_people->court_id->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_nb_people->per_fname->Visible) { // per_fname ?>
		<td<?php echo $tb_nb_people->per_fname->CellAttributes() ?>><span id="el<?php echo $tb_nb_people_list->RowCnt ?>_tb_nb_people_per_fname" class="tb_nb_people_per_fname">
<span<?php echo $tb_nb_people->per_fname->ViewAttributes() ?>>
<?php echo $tb_nb_people->per_fname->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_nb_people->per_lname->Visible) { // per_lname ?>
		<td<?php echo $tb_nb_people->per_lname->CellAttributes() ?>><span id="el<?php echo $tb_nb_people_list->RowCnt ?>_tb_nb_people_per_lname" class="tb_nb_people_per_lname">
<span<?php echo $tb_nb_people->per_lname->ViewAttributes() ?>>
<?php echo $tb_nb_people->per_lname->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_nb_people->per_position_type->Visible) { // per_position_type ?>
		<td<?php echo $tb_nb_people->per_position_type->CellAttributes() ?>><span id="el<?php echo $tb_nb_people_list->RowCnt ?>_tb_nb_people_per_position_type" class="tb_nb_people_per_position_type">
<span<?php echo $tb_nb_people->per_position_type->ViewAttributes() ?>>
<?php echo $tb_nb_people->per_position_type->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_nb_people->per_position->Visible) { // per_position ?>
		<td<?php echo $tb_nb_people->per_position->CellAttributes() ?>><span id="el<?php echo $tb_nb_people_list->RowCnt ?>_tb_nb_people_per_position" class="tb_nb_people_per_position">
<span<?php echo $tb_nb_people->per_position->ViewAttributes() ?>>
<?php echo $tb_nb_people->per_position->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_nb_people->per_status->Visible) { // per_status ?>
		<td<?php echo $tb_nb_people->per_status->CellAttributes() ?>><span id="el<?php echo $tb_nb_people_list->RowCnt ?>_tb_nb_people_per_status" class="tb_nb_people_per_status">
<span<?php echo $tb_nb_people->per_status->ViewAttributes() ?>>
<?php echo $tb_nb_people->per_status->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_nb_people->per_status_date->Visible) { // per_status_date ?>
		<td<?php echo $tb_nb_people->per_status_date->CellAttributes() ?>><span id="el<?php echo $tb_nb_people_list->RowCnt ?>_tb_nb_people_per_status_date" class="tb_nb_people_per_status_date">
<span<?php echo $tb_nb_people->per_status_date->ViewAttributes() ?>>
<?php echo $tb_nb_people->per_status_date->ListViewValue() ?></span>
</span></td>
	<?php } ?>
	<?php if ($tb_nb_people->per_detail->Visible) { // per_detail ?>
		<td<?php echo $tb_nb_people->per_detail->CellAttributes() ?>><span id="el<?php echo $tb_nb_people_list->RowCnt ?>_tb_nb_people_per_detail" class="tb_nb_people_per_detail">
<span<?php echo $tb_nb_people->per_detail->ViewAttributes() ?>>
<?php echo $tb_nb_people->per_detail->ListViewValue() ?></span>
</span></td>
	<?php } ?>
<?php

// Render list options (body, right)
$tb_nb_people_list->ListOptions->Render("body", "right", $tb_nb_people_list->RowCnt);
?>
	</tr>
<?php
	}
	if ($tb_nb_people->CurrentAction <> "gridadd")
		$tb_nb_people_list->Recordset->MoveNext();
}
?>
</tbody>
</table>
<?php } ?>
<?php if ($tb_nb_people->CurrentAction == "") { ?>
<input type="hidden" name="a_list" id="a_list" value="">
<?php } ?>
</div>
</form>
<?php

// Close recordset
if ($tb_nb_people_list->Recordset)
	$tb_nb_people_list->Recordset->Close();
?>
<?php if ($tb_nb_people_list->TotalRecs > 0) { ?>
<div class="ewGridLowerPanel">
<?php if ($tb_nb_people->CurrentAction <> "gridadd" && $tb_nb_people->CurrentAction <> "gridedit") { ?>
<form name="ewpagerform" id="ewpagerform" class="ewForm" action="<?php echo ew_CurrentPage() ?>">
<table border="0" cellspacing="0" cellpadding="0" class="ewPager">
	<tr>
		<td nowrap>
<?php if (!isset($tb_nb_people_list->Pager)) $tb_nb_people_list->Pager = new cPrevNextPager($tb_nb_people_list->StartRec, $tb_nb_people_list->DisplayRecs, $tb_nb_people_list->TotalRecs) ?>
<?php if ($tb_nb_people_list->Pager->RecordCount > 0) { ?>
	<table border="0" cellspacing="0" cellpadding="0"><tr><td><span class="phpmaker"><?php echo $Language->Phrase("Page") ?>&nbsp;</span></td>
<!--first page button-->
	<?php if ($tb_nb_people_list->Pager->FirstButton->Enabled) { ?>
	<td><a href="<?php echo $tb_nb_people_list->PageUrl() ?>start=<?php echo $tb_nb_people_list->Pager->FirstButton->Start ?>"><img src="phpimages/first.gif" alt="<?php echo $Language->Phrase("PagerFirst") ?>" width="16" height="16" border="0"></a></td>
	<?php } else { ?>
	<td><img src="phpimages/firstdisab.gif" alt="<?php echo $Language->Phrase("PagerFirst") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
<!--previous page button-->
	<?php if ($tb_nb_people_list->Pager->PrevButton->Enabled) { ?>
	<td><a href="<?php echo $tb_nb_people_list->PageUrl() ?>start=<?php echo $tb_nb_people_list->Pager->PrevButton->Start ?>"><img src="phpimages/prev.gif" alt="<?php echo $Language->Phrase("PagerPrevious") ?>" width="16" height="16" border="0"></a></td>
	<?php } else { ?>
	<td><img src="phpimages/prevdisab.gif" alt="<?php echo $Language->Phrase("PagerPrevious") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
<!--current page number-->
	<td><input type="text" name="<?php echo EW_TABLE_PAGE_NO ?>" id="<?php echo EW_TABLE_PAGE_NO ?>" value="<?php echo $tb_nb_people_list->Pager->CurrentPage ?>" size="4"></td>
<!--next page button-->
	<?php if ($tb_nb_people_list->Pager->NextButton->Enabled) { ?>
	<td><a href="<?php echo $tb_nb_people_list->PageUrl() ?>start=<?php echo $tb_nb_people_list->Pager->NextButton->Start ?>"><img src="phpimages/next.gif" alt="<?php echo $Language->Phrase("PagerNext") ?>" width="16" height="16" border="0"></a></td>	
	<?php } else { ?>
	<td><img src="phpimages/nextdisab.gif" alt="<?php echo $Language->Phrase("PagerNext") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
<!--last page button-->
	<?php if ($tb_nb_people_list->Pager->LastButton->Enabled) { ?>
	<td><a href="<?php echo $tb_nb_people_list->PageUrl() ?>start=<?php echo $tb_nb_people_list->Pager->LastButton->Start ?>"><img src="phpimages/last.gif" alt="<?php echo $Language->Phrase("PagerLast") ?>" width="16" height="16" border="0"></a></td>	
	<?php } else { ?>
	<td><img src="phpimages/lastdisab.gif" alt="<?php echo $Language->Phrase("PagerLast") ?>" width="16" height="16" border="0"></td>
	<?php } ?>
	<td><span class="phpmaker">&nbsp;<?php echo $Language->Phrase("of") ?>&nbsp;<?php echo $tb_nb_people_list->Pager->PageCount ?></span></td>
	</tr></table>
	</td>	
	<td>&nbsp;&nbsp;&nbsp;&nbsp;</td>
	<td>
	<span class="phpmaker"><?php echo $Language->Phrase("Record") ?>&nbsp;<?php echo $tb_nb_people_list->Pager->FromIndex ?>&nbsp;<?php echo $Language->Phrase("To") ?>&nbsp;<?php echo $tb_nb_people_list->Pager->ToIndex ?>&nbsp;<?php echo $Language->Phrase("Of") ?>&nbsp;<?php echo $tb_nb_people_list->Pager->RecordCount ?></span>
<?php } else { ?>
	<?php if ($tb_nb_people_list->SearchWhere == "0=101") { ?>
	<span class="phpmaker"><?php echo $Language->Phrase("EnterSearchCriteria") ?></span>
	<?php } else { ?>
	<span class="phpmaker"><?php echo $Language->Phrase("NoRecord") ?></span>
	<?php } ?>
<?php } ?>
		</td>
	</tr>
</table>
</form>
<?php } ?>
<span class="phpmaker">
<?php if ($tb_nb_people_list->AddUrl <> "") { ?>
<a class="ewGridLink" href="<?php echo $tb_nb_people_list->AddUrl ?>"><?php echo $Language->Phrase("AddLink") ?></a>&nbsp;&nbsp;
<?php } ?>
</span>
</div>
<?php } ?>
</td></tr></table>
<script type="text/javascript">
ftb_nb_peoplelistsrch.Init();
ftb_nb_peoplelist.Init();
</script>
<?php
$tb_nb_people_list->ShowPageFooter();
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
?>
<script type="text/javascript">

// Write your table-specific startup script here
// document.write("page loaded");

</script>
<?php include_once "footer.php" ?>
<?php
$tb_nb_people_list->Page_Terminate();
?>
