<?php
if (session_id() == "") session_start(); // Initialize Session data
ob_start(); // Turn on output buffering
?>
<?php include_once "ewcfg9.php" ?>
<?php include_once "ewmysql9.php" ?>
<?php include_once "phpfn9.php" ?>
<?php include_once "tb_nb_usagesinfo.php" ?>
<?php include_once "userfn9.php" ?>
<?php

//
// Page class
//

$tb_nb_usages_edit = NULL; // Initialize page object first

class ctb_nb_usages_edit extends ctb_nb_usages {

	// Page ID
	var $PageID = 'edit';

	// Project ID
	var $ProjectID = "{6072F4AB-8E55-4BED-87E8-94ADB1680AEB}";

	// Table name
	var $TableName = 'tb_nb_usages';

	// Page object name
	var $PageObjName = 'tb_nb_usages_edit';

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		if ($this->UseTokenInUrl) $PageUrl .= "t=" . $this->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_MESSAGE], $v);
	}

	function getFailureMessage() {
		return @$_SESSION[EW_SESSION_FAILURE_MESSAGE];
	}

	function setFailureMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_FAILURE_MESSAGE], $v);
	}

	function getSuccessMessage() {
		return @$_SESSION[EW_SESSION_SUCCESS_MESSAGE];
	}

	function setSuccessMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_SUCCESS_MESSAGE], $v);
	}

	function getWarningMessage() {
		return @$_SESSION[EW_SESSION_WARNING_MESSAGE];
	}

	function setWarningMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_WARNING_MESSAGE], $v);
	}

	// Show message
	function ShowMessage() {
		$hidden = FALSE;
		$html = "";

		// Message
		$sMessage = $this->getMessage();
		$this->Message_Showing($sMessage, "");
		if ($sMessage <> "") { // Message in Session, display
			$html .= "<p class=\"ewMessage\">" . $sMessage . "</p>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}

		// Warning message
		$sWarningMessage = $this->getWarningMessage();
		$this->Message_Showing($sWarningMessage, "warning");
		if ($sWarningMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewWarningIcon\"></td><td class=\"ewWarningMessage\">" . $sWarningMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_WARNING_MESSAGE] = ""; // Clear message in Session
		}

		// Success message
		$sSuccessMessage = $this->getSuccessMessage();
		$this->Message_Showing($sSuccessMessage, "success");
		if ($sSuccessMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewSuccessIcon\"></td><td class=\"ewSuccessMessage\">" . $sSuccessMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = ""; // Clear message in Session
		}

		// Failure message
		$sErrorMessage = $this->getFailureMessage();
		$this->Message_Showing($sErrorMessage, "failure");
		if ($sErrorMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewErrorIcon\"></td><td class=\"ewErrorMessage\">" . $sErrorMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_FAILURE_MESSAGE] = ""; // Clear message in Session
		}		
		echo "<div class=\"ewMessageDialog\"" . (($hidden) ? " style=\"display: none;\"" : "") . ">" . $html . "</div>";
	}
	var $PageHeader;
	var $PageFooter;

	// Show Page Header
	function ShowPageHeader() {
		$sHeader = $this->PageHeader;
		$this->Page_DataRendering($sHeader);
		if ($sHeader <> "") { // Header exists, display
			echo "<p class=\"phpmaker\">" . $sHeader . "</p>";
		}
	}

	// Show Page Footer
	function ShowPageFooter() {
		$sFooter = $this->PageFooter;
		$this->Page_DataRendered($sFooter);
		if ($sFooter <> "") { // Fotoer exists, display
			echo "<p class=\"phpmaker\">" . $sFooter . "</p>";
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm;
		if ($this->UseTokenInUrl) {
			if ($objForm)
				return ($this->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($this->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}

	//
	// Page class constructor
	//
	function __construct() {
		global $conn, $Language;
		$GLOBALS["Page"] = &$this;

		// Language object
		if (!isset($Language)) $Language = new cLanguage();

		// Parent constuctor
		parent::__construct();

		// Table object (tb_nb_usages)
		if (!isset($GLOBALS["tb_nb_usages"])) {
			$GLOBALS["tb_nb_usages"] = &$this;
			$GLOBALS["Table"] = &$GLOBALS["tb_nb_usages"];
		}

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'edit', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'tb_nb_usages', TRUE);

		// Start timer
		if (!isset($GLOBALS["gTimer"])) $GLOBALS["gTimer"] = new cTimer();

		// Open connection
		if (!isset($conn)) $conn = ew_Connect();
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;

		// Create form object
		$objForm = new cFormObj();
		$this->CurrentAction = (@$_GET["a"] <> "") ? $_GET["a"] : @$_POST["a_list"];

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $conn;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();
		$this->Page_Redirecting($url);

		 // Close connection
		$conn->Close();

		// Go to URL if specified
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			header("Location: " . $url);
		}
		exit();
	}
	var $DbMasterFilter;
	var $DbDetailFilter;

	// 
	// Page main
	//
	function Page_Main() {
		global $objForm, $Language, $gsFormError;

		// Load key from QueryString
		if (@$_GET["nb_id"] <> "")
			$this->nb_id->setQueryStringValue($_GET["nb_id"]);
		if (@$_GET["per_id"] <> "")
			$this->per_id->setQueryStringValue($_GET["per_id"]);

		// Process form if post back
		if (@$_POST["a_edit"] <> "") {
			$this->CurrentAction = $_POST["a_edit"]; // Get action code
			$this->LoadFormValues(); // Get form values
		} else {
			$this->CurrentAction = "I"; // Default action is display
		}

		// Check if valid key
		if ($this->nb_id->CurrentValue == "")
			$this->Page_Terminate("tb_nb_usageslist.php"); // Invalid key, return to list
		if ($this->per_id->CurrentValue == "")
			$this->Page_Terminate("tb_nb_usageslist.php"); // Invalid key, return to list

		// Validate form if post back
		if (@$_POST["a_edit"] <> "") {
			if (!$this->ValidateForm()) {
				$this->CurrentAction = ""; // Form error, reset action
				$this->setFailureMessage($gsFormError);
				$this->EventCancelled = TRUE; // Event cancelled
				$this->RestoreFormValues();
			}
		}
		switch ($this->CurrentAction) {
			case "I": // Get a record to display
				if (!$this->LoadRow()) { // Load record based on key
					if ($this->getFailureMessage() == "") $this->setFailureMessage($Language->Phrase("NoRecord")); // No record found
					$this->Page_Terminate("tb_nb_usageslist.php"); // No matching record, return to list
				}
				break;
			Case "U": // Update
				$this->SendEmail = TRUE; // Send email on update success
				if ($this->EditRow()) { // Update record based on key
					if ($this->getSuccessMessage() == "")
						$this->setSuccessMessage($Language->Phrase("UpdateSuccess")); // Update success
					$sReturnUrl = $this->getReturnUrl();
					if (ew_GetPageName($sReturnUrl) == "tb_nb_usagesview.php")
						$sReturnUrl = $this->GetViewUrl(); // View paging, return to View page directly
					$this->Page_Terminate($sReturnUrl); // Return to caller
				} else {
					$this->EventCancelled = TRUE; // Event cancelled
					$this->RestoreFormValues(); // Restore form values if update failed
				}
		}

		// Render the record
		if ($this->CurrentAction == "F") { // Confirm page
			$this->RowType = EW_ROWTYPE_VIEW; // Render as View
		} else {
			$this->RowType = EW_ROWTYPE_EDIT; // Render as Edit
		}
		$this->ResetAttrs();
		$this->RenderRow();
	}

	// Get upload files
	function GetUploadFiles() {
		global $objForm;

		// Get upload data
		$index = $objForm->Index; // Save form index
		$objForm->Index = -1;
		$confirmPage = (strval($objForm->GetValue("a_confirm")) <> "");
		$objForm->Index = $index; // Restore form index
	}

	// Load form values
	function LoadFormValues() {

		// Load from form
		global $objForm;
		if (!$this->nb_id->FldIsDetailKey) {
			$this->nb_id->setFormValue($objForm->GetValue("x_nb_id"));
		}
		if (!$this->per_id->FldIsDetailKey) {
			$this->per_id->setFormValue($objForm->GetValue("x_per_id"));
		}
		if (!$this->court_id->FldIsDetailKey) {
			$this->court_id->setFormValue($objForm->GetValue("x_court_id"));
		}
		if (!$this->nbu_recieve->FldIsDetailKey) {
			$this->nbu_recieve->setFormValue($objForm->GetValue("x_nbu_recieve"));
			$this->nbu_recieve->CurrentValue = ew_UnFormatDateTime($this->nbu_recieve->CurrentValue, 5);
		}
		if (!$this->nbu_return->FldIsDetailKey) {
			$this->nbu_return->setFormValue($objForm->GetValue("x_nbu_return"));
			$this->nbu_return->CurrentValue = ew_UnFormatDateTime($this->nbu_return->CurrentValue, 5);
		}
		if (!$this->nbu_status->FldIsDetailKey) {
			$this->nbu_status->setFormValue($objForm->GetValue("x_nbu_status"));
		}
		if (!$this->nbu_detail->FldIsDetailKey) {
			$this->nbu_detail->setFormValue($objForm->GetValue("x_nbu_detail"));
		}
	}

	// Restore form values
	function RestoreFormValues() {
		global $objForm;
		$this->LoadRow();
		$this->nb_id->CurrentValue = $this->nb_id->FormValue;
		$this->per_id->CurrentValue = $this->per_id->FormValue;
		$this->court_id->CurrentValue = $this->court_id->FormValue;
		$this->nbu_recieve->CurrentValue = $this->nbu_recieve->FormValue;
		$this->nbu_recieve->CurrentValue = ew_UnFormatDateTime($this->nbu_recieve->CurrentValue, 5);
		$this->nbu_return->CurrentValue = $this->nbu_return->FormValue;
		$this->nbu_return->CurrentValue = ew_UnFormatDateTime($this->nbu_return->CurrentValue, 5);
		$this->nbu_status->CurrentValue = $this->nbu_status->FormValue;
		$this->nbu_detail->CurrentValue = $this->nbu_detail->FormValue;
	}

	// Load row based on key values
	function LoadRow() {
		global $conn, $Security, $Language;
		$sFilter = $this->KeyFilter();

		// Call Row Selecting event
		$this->Row_Selecting($sFilter);

		// Load SQL based on filter
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		global $conn;
		if (!$rs || $rs->EOF) return;

		// Call Row Selected event
		$row = &$rs->fields;
		$this->Row_Selected($row);
		$this->nb_id->setDbValue($rs->fields('nb_id'));
		$this->per_id->setDbValue($rs->fields('per_id'));
		$this->court_id->setDbValue($rs->fields('court_id'));
		$this->nbu_recieve->setDbValue($rs->fields('nbu_recieve'));
		$this->nbu_return->setDbValue($rs->fields('nbu_return'));
		$this->nbu_status->setDbValue($rs->fields('nbu_status'));
		$this->nbu_detail->setDbValue($rs->fields('nbu_detail'));
	}

	// Render row values based on field settings
	function RenderRow() {
		global $conn, $Security, $Language;
		global $gsLanguage;

		// Initialize URLs
		// Call Row_Rendering event

		$this->Row_Rendering();

		// Common render codes for all row types
		// nb_id
		// per_id
		// court_id
		// nbu_recieve
		// nbu_return
		// nbu_status
		// nbu_detail

		if ($this->RowType == EW_ROWTYPE_VIEW) { // View row

			// nb_id
			$this->nb_id->ViewValue = $this->nb_id->CurrentValue;
			$this->nb_id->ViewCustomAttributes = "";

			// per_id
			if (strval($this->per_id->CurrentValue) <> "") {
				$sFilterWrk = "`per_id`" . ew_SearchString("=", $this->per_id->CurrentValue, EW_DATATYPE_STRING);
			$sSqlWrk = "SELECT `per_id`, `per_fname` AS `DispFld`, `per_lname` AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_nb_people`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				ew_AddFilter($sWhereWrk, $sFilterWrk);
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$this->per_id->ViewValue = $rswrk->fields('DispFld');
					$this->per_id->ViewValue .= ew_ValueSeparator(1,$tb_nb_usages->per_id) . $rswrk->fields('Disp2Fld');
					$rswrk->Close();
				} else {
					$this->per_id->ViewValue = $this->per_id->CurrentValue;
				}
			} else {
				$this->per_id->ViewValue = NULL;
			}
			$this->per_id->ViewCustomAttributes = "";

			// court_id
			$this->court_id->ViewValue = $this->court_id->CurrentValue;
			$this->court_id->ViewCustomAttributes = "";

			// nbu_recieve
			$this->nbu_recieve->ViewValue = $this->nbu_recieve->CurrentValue;
			$this->nbu_recieve->ViewValue = ew_FormatDateTime($this->nbu_recieve->ViewValue, 5);
			$this->nbu_recieve->ViewCustomAttributes = "";

			// nbu_return
			$this->nbu_return->ViewValue = $this->nbu_return->CurrentValue;
			$this->nbu_return->ViewValue = ew_FormatDateTime($this->nbu_return->ViewValue, 5);
			$this->nbu_return->ViewCustomAttributes = "";

			// nbu_status
			if (strval($this->nbu_status->CurrentValue) <> "") {
				switch ($this->nbu_status->CurrentValue) {
					case $this->nbu_status->FldTagValue(1):
						$this->nbu_status->ViewValue = $this->nbu_status->FldTagCaption(1) <> "" ? $this->nbu_status->FldTagCaption(1) : $this->nbu_status->CurrentValue;
						break;
					case $this->nbu_status->FldTagValue(2):
						$this->nbu_status->ViewValue = $this->nbu_status->FldTagCaption(2) <> "" ? $this->nbu_status->FldTagCaption(2) : $this->nbu_status->CurrentValue;
						break;
					case $this->nbu_status->FldTagValue(3):
						$this->nbu_status->ViewValue = $this->nbu_status->FldTagCaption(3) <> "" ? $this->nbu_status->FldTagCaption(3) : $this->nbu_status->CurrentValue;
						break;
					case $this->nbu_status->FldTagValue(4):
						$this->nbu_status->ViewValue = $this->nbu_status->FldTagCaption(4) <> "" ? $this->nbu_status->FldTagCaption(4) : $this->nbu_status->CurrentValue;
						break;
					case $this->nbu_status->FldTagValue(5):
						$this->nbu_status->ViewValue = $this->nbu_status->FldTagCaption(5) <> "" ? $this->nbu_status->FldTagCaption(5) : $this->nbu_status->CurrentValue;
						break;
					case $this->nbu_status->FldTagValue(6):
						$this->nbu_status->ViewValue = $this->nbu_status->FldTagCaption(6) <> "" ? $this->nbu_status->FldTagCaption(6) : $this->nbu_status->CurrentValue;
						break;
					default:
						$this->nbu_status->ViewValue = $this->nbu_status->CurrentValue;
				}
			} else {
				$this->nbu_status->ViewValue = NULL;
			}
			$this->nbu_status->ViewCustomAttributes = "";

			// nbu_detail
			$this->nbu_detail->ViewValue = $this->nbu_detail->CurrentValue;
			$this->nbu_detail->ViewCustomAttributes = "";

			// nb_id
			$this->nb_id->LinkCustomAttributes = "";
			$this->nb_id->HrefValue = "";
			$this->nb_id->TooltipValue = "";

			// per_id
			$this->per_id->LinkCustomAttributes = "";
			$this->per_id->HrefValue = "";
			$this->per_id->TooltipValue = "";

			// court_id
			$this->court_id->LinkCustomAttributes = "";
			$this->court_id->HrefValue = "";
			$this->court_id->TooltipValue = "";

			// nbu_recieve
			$this->nbu_recieve->LinkCustomAttributes = "";
			$this->nbu_recieve->HrefValue = "";
			$this->nbu_recieve->TooltipValue = "";

			// nbu_return
			$this->nbu_return->LinkCustomAttributes = "";
			$this->nbu_return->HrefValue = "";
			$this->nbu_return->TooltipValue = "";

			// nbu_status
			$this->nbu_status->LinkCustomAttributes = "";
			$this->nbu_status->HrefValue = "";
			$this->nbu_status->TooltipValue = "";

			// nbu_detail
			$this->nbu_detail->LinkCustomAttributes = "";
			$this->nbu_detail->HrefValue = "";
			$this->nbu_detail->TooltipValue = "";
		} elseif ($this->RowType == EW_ROWTYPE_EDIT) { // Edit row

			// nb_id
			$this->nb_id->EditCustomAttributes = "";
			$this->nb_id->EditValue = $this->nb_id->CurrentValue;
			$this->nb_id->ViewCustomAttributes = "";

			// per_id
			$this->per_id->EditCustomAttributes = "";
			if (strval($this->per_id->CurrentValue) <> "") {
				$sFilterWrk = "`per_id`" . ew_SearchString("=", $this->per_id->CurrentValue, EW_DATATYPE_STRING);
			$sSqlWrk = "SELECT `per_id`, `per_fname` AS `DispFld`, `per_lname` AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_nb_people`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				ew_AddFilter($sWhereWrk, $sFilterWrk);
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$this->per_id->EditValue = $rswrk->fields('DispFld');
					$this->per_id->EditValue .= ew_ValueSeparator(1,$tb_nb_usages->per_id) . $rswrk->fields('Disp2Fld');
					$rswrk->Close();
				} else {
					$this->per_id->EditValue = $this->per_id->CurrentValue;
				}
			} else {
				$this->per_id->EditValue = NULL;
			}
			$this->per_id->ViewCustomAttributes = "";

			// court_id
			$this->court_id->EditCustomAttributes = "";
			$this->court_id->EditValue = ew_HtmlEncode($this->court_id->CurrentValue);

			// nbu_recieve
			$this->nbu_recieve->EditCustomAttributes = "";
			$this->nbu_recieve->EditValue = ew_HtmlEncode(ew_FormatDateTime($this->nbu_recieve->CurrentValue, 5));

			// nbu_return
			$this->nbu_return->EditCustomAttributes = "";
			$this->nbu_return->EditValue = ew_HtmlEncode(ew_FormatDateTime($this->nbu_return->CurrentValue, 5));

			// nbu_status
			$this->nbu_status->EditCustomAttributes = "";
			$arwrk = array();
			$arwrk[] = array($this->nbu_status->FldTagValue(1), $this->nbu_status->FldTagCaption(1) <> "" ? $this->nbu_status->FldTagCaption(1) : $this->nbu_status->FldTagValue(1));
			$arwrk[] = array($this->nbu_status->FldTagValue(2), $this->nbu_status->FldTagCaption(2) <> "" ? $this->nbu_status->FldTagCaption(2) : $this->nbu_status->FldTagValue(2));
			$arwrk[] = array($this->nbu_status->FldTagValue(3), $this->nbu_status->FldTagCaption(3) <> "" ? $this->nbu_status->FldTagCaption(3) : $this->nbu_status->FldTagValue(3));
			$arwrk[] = array($this->nbu_status->FldTagValue(4), $this->nbu_status->FldTagCaption(4) <> "" ? $this->nbu_status->FldTagCaption(4) : $this->nbu_status->FldTagValue(4));
			$arwrk[] = array($this->nbu_status->FldTagValue(5), $this->nbu_status->FldTagCaption(5) <> "" ? $this->nbu_status->FldTagCaption(5) : $this->nbu_status->FldTagValue(5));
			$arwrk[] = array($this->nbu_status->FldTagValue(6), $this->nbu_status->FldTagCaption(6) <> "" ? $this->nbu_status->FldTagCaption(6) : $this->nbu_status->FldTagValue(6));
			$this->nbu_status->EditValue = $arwrk;

			// nbu_detail
			$this->nbu_detail->EditCustomAttributes = "";
			$this->nbu_detail->EditValue = ew_HtmlEncode($this->nbu_detail->CurrentValue);

			// Edit refer script
			// nb_id

			$this->nb_id->HrefValue = "";

			// per_id
			$this->per_id->HrefValue = "";

			// court_id
			$this->court_id->HrefValue = "";

			// nbu_recieve
			$this->nbu_recieve->HrefValue = "";

			// nbu_return
			$this->nbu_return->HrefValue = "";

			// nbu_status
			$this->nbu_status->HrefValue = "";

			// nbu_detail
			$this->nbu_detail->HrefValue = "";
		}
		if ($this->RowType == EW_ROWTYPE_ADD ||
			$this->RowType == EW_ROWTYPE_EDIT ||
			$this->RowType == EW_ROWTYPE_SEARCH) { // Add / Edit / Search row
			$this->SetupFieldTitles();
		}

		// Call Row Rendered event
		if ($this->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$this->Row_Rendered();
	}

	// Validate form
	function ValidateForm() {
		global $Language, $gsFormError;

		// Initialize form error message
		$gsFormError = "";

		// Check if validation required
		if (!EW_SERVER_VALIDATE)
			return ($gsFormError == "");
		if (!is_null($this->nb_id->FormValue) && $this->nb_id->FormValue == "") {
			ew_AddMessage($gsFormError, $Language->Phrase("EnterRequiredField") . " - " . $this->nb_id->FldCaption());
		}
		if (!is_null($this->per_id->FormValue) && $this->per_id->FormValue == "") {
			ew_AddMessage($gsFormError, $Language->Phrase("EnterRequiredField") . " - " . $this->per_id->FldCaption());
		}
		if (!is_null($this->court_id->FormValue) && $this->court_id->FormValue == "") {
			ew_AddMessage($gsFormError, $Language->Phrase("EnterRequiredField") . " - " . $this->court_id->FldCaption());
		}
		if (!ew_CheckDate($this->nbu_recieve->FormValue)) {
			ew_AddMessage($gsFormError, $this->nbu_recieve->FldErrMsg());
		}
		if (!ew_CheckDate($this->nbu_return->FormValue)) {
			ew_AddMessage($gsFormError, $this->nbu_return->FldErrMsg());
		}
		if ($this->nbu_status->FormValue == "") {
			ew_AddMessage($gsFormError, $Language->Phrase("EnterRequiredField") . " - " . $this->nbu_status->FldCaption());
		}

		// Return validate result
		$ValidateForm = ($gsFormError == "");

		// Call Form_CustomValidate event
		$sFormCustomError = "";
		$ValidateForm = $ValidateForm && $this->Form_CustomValidate($sFormCustomError);
		if ($sFormCustomError <> "") {
			ew_AddMessage($gsFormError, $sFormCustomError);
		}
		return $ValidateForm;
	}

	// Update record based on key values
	function EditRow() {
		global $conn, $Security, $Language;
		$sFilter = $this->KeyFilter();
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$conn->raiseErrorFn = 'ew_ErrorFn';
		$rs = $conn->Execute($sSql);
		$conn->raiseErrorFn = '';
		if ($rs === FALSE)
			return FALSE;
		if ($rs->EOF) {
			$EditRow = FALSE; // Update Failed
		} else {

			// Save old values
			$rsold = &$rs->fields;
			$rsnew = array();

			// nb_id
			// per_id
			// court_id

			$this->court_id->SetDbValueDef($rsnew, $this->court_id->CurrentValue, "", $this->court_id->ReadOnly);

			// nbu_recieve
			$this->nbu_recieve->SetDbValueDef($rsnew, ew_UnFormatDateTime($this->nbu_recieve->CurrentValue, 5), NULL, $this->nbu_recieve->ReadOnly);

			// nbu_return
			$this->nbu_return->SetDbValueDef($rsnew, ew_UnFormatDateTime($this->nbu_return->CurrentValue, 5), NULL, $this->nbu_return->ReadOnly);

			// nbu_status
			$this->nbu_status->SetDbValueDef($rsnew, $this->nbu_status->CurrentValue, NULL, $this->nbu_status->ReadOnly);

			// nbu_detail
			$this->nbu_detail->SetDbValueDef($rsnew, $this->nbu_detail->CurrentValue, NULL, $this->nbu_detail->ReadOnly);

			// Call Row Updating event
			$bUpdateRow = $this->Row_Updating($rsold, $rsnew);
			if ($bUpdateRow) {
				$conn->raiseErrorFn = 'ew_ErrorFn';
				if (count($rsnew) > 0)
					$EditRow = $this->Update($rsnew);
				else
					$EditRow = TRUE; // No field to update
				$conn->raiseErrorFn = '';
			} else {
				if ($this->getSuccessMessage() <> "" || $this->getFailureMessage() <> "") {

					// Use the message, do nothing
				} elseif ($this->CancelMessage <> "") {
					$this->setFailureMessage($this->CancelMessage);
					$this->CancelMessage = "";
				} else {
					$this->setFailureMessage($Language->Phrase("UpdateCancelled"));
				}
				$EditRow = FALSE;
			}
		}

		// Call Row_Updated event
		if ($EditRow)
			$this->Row_Updated($rsold, $rsnew);
		$rs->Close();
		return $EditRow;
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	// $type = ''|'success'|'failure'|'warning'
	function Message_Showing(&$msg, $type) {
		if ($type == 'success') {

			//$msg = "your success message";
		} elseif ($type == 'failure') {

			//$msg = "your failure message";
		} elseif ($type == 'warning') {

			//$msg = "your warning message";
		} else {

			//$msg = "your message";
		}
	}

	// Page Data Rendering event
	function Page_DataRendering(&$header) {

		// Example:
		//$header = "your header";

	}

	// Page Data Rendered event
	function Page_DataRendered(&$footer) {

		// Example:
		//$footer = "your footer";

	}

	// Form Custom Validate event
	function Form_CustomValidate(&$CustomError) {

		// Return error message in CustomError
		return TRUE;
	}
}
?>
<?php ew_Header(FALSE) ?>
<?php

// Create page object
if (!isset($tb_nb_usages_edit)) $tb_nb_usages_edit = new ctb_nb_usages_edit();

// Page init
$tb_nb_usages_edit->Page_Init();

// Page main
$tb_nb_usages_edit->Page_Main();
?>
<?php include_once "header.php" ?>
<script type="text/javascript">

// Page object
var tb_nb_usages_edit = new ew_Page("tb_nb_usages_edit");
tb_nb_usages_edit.PageID = "edit"; // Page ID
var EW_PAGE_ID = tb_nb_usages_edit.PageID; // For backward compatibility

// Form object
var ftb_nb_usagesedit = new ew_Form("ftb_nb_usagesedit");

// Validate form
ftb_nb_usagesedit.Validate = function(fobj) {
	if (!this.ValidateRequired)
		return true; // Ignore validation
	fobj = fobj || this.Form;
	this.PostAutoSuggest();	
	if (fobj.a_confirm && fobj.a_confirm.value == "F")
		return true;
	var elm, aelm;
	var rowcnt = 1;
	var startcnt = (rowcnt == 0) ? 0 : 1; // rowcnt == 0 => Inline-Add
	for (var i = startcnt; i <= rowcnt; i++) {
		var infix = "";
		elm = fobj.elements["x" + infix + "_nb_id"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tb_nb_usages->nb_id->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_per_id"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tb_nb_usages->per_id->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_court_id"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tb_nb_usages->court_id->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_nbu_recieve"];
		if (elm && !ew_CheckDate(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_nb_usages->nbu_recieve->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_nbu_return"];
		if (elm && !ew_CheckDate(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_nb_usages->nbu_return->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_nbu_status"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tb_nb_usages->nbu_status->FldCaption()) ?>");

		// Set up row object
		ew_ElementsToRow(fobj, infix);

		// Fire Form_CustomValidate event
		if (!this.Form_CustomValidate(fobj))
			return false;
	}

	// Process detail page
	if (fobj.detailpage && fobj.detailpage.value && ewForms[fobj.detailpage.value])
		return ewForms[fobj.detailpage.value].Validate(fobj);
	return true;
}

// Form_CustomValidate event
ftb_nb_usagesedit.Form_CustomValidate =  
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }

// Use JavaScript validation or not
<?php if (EW_CLIENT_VALIDATE) { ?>
ftb_nb_usagesedit.ValidateRequired = true;
<?php } else { ?>
ftb_nb_usagesedit.ValidateRequired = false; 
<?php } ?>

// Dynamic selection lists
ftb_nb_usagesedit.Lists["x_per_id"] = {"LinkField":"x_per_id","Ajax":null,"AutoFill":false,"DisplayFields":["x_per_fname","x_per_lname","",""],"ParentFields":[],"FilterFields":[],"Options":[]};

// Form object for search
</script>
<script type="text/javascript">

// Write your client script here, no need to add script tags.
</script>
<p><span class="ewTitle ewTableTitle"><?php echo $Language->Phrase("Edit") ?>&nbsp;<?php echo $Language->Phrase("TblTypeTABLE") ?><?php echo $tb_nb_usages->TableCaption() ?></span></p>
<p class="phpmaker"><a href="<?php echo $tb_nb_usages->getReturnUrl() ?>"><?php echo $Language->Phrase("GoBack") ?></a></p>
<?php $tb_nb_usages_edit->ShowPageHeader(); ?>
<?php
$tb_nb_usages_edit->ShowMessage();
?>
<form name="ftb_nb_usagesedit" id="ftb_nb_usagesedit" class="ewForm" action="<?php echo ew_CurrentPage() ?>" method="post" onsubmit="return ewForms[this.id].Submit();">
<p>
<input type="hidden" name="t" value="tb_nb_usages">
<input type="hidden" name="a_edit" id="a_edit" value="U">
<?php if ($tb_nb_usages->CurrentAction == "F") { // Confirm page ?>
<input type="hidden" name="a_confirm" id="a_confirm" value="F">
<?php } ?>
<table cellspacing="0" class="ewGrid"><tr><td class="ewGridContent">
<div class="ewGridMiddlePanel">
<table cellspacing="0" id="tbl_tb_nb_usagesedit" class="ewTable">
<?php if ($tb_nb_usages->nb_id->Visible) { // nb_id ?>
	<tr id="r_nb_id"<?php echo $tb_nb_usages->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_nb_usages_nb_id"><?php echo $tb_nb_usages->nb_id->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></span></td>
		<td<?php echo $tb_nb_usages->nb_id->CellAttributes() ?>><span id="el_tb_nb_usages_nb_id">
<?php if ($tb_nb_usages->CurrentAction <> "F") { ?>
<span<?php echo $tb_nb_usages->nb_id->ViewAttributes() ?>>
<?php echo $tb_nb_usages->nb_id->EditValue ?></span>
<input type="hidden" name="x_nb_id" id="x_nb_id" value="<?php echo ew_HtmlEncode($tb_nb_usages->nb_id->CurrentValue) ?>">
<?php } else { ?>
<span<?php echo $tb_nb_usages->nb_id->ViewAttributes() ?>>
<?php echo $tb_nb_usages->nb_id->ViewValue ?></span>
<input type="hidden" name="x_nb_id" id="x_nb_id" value="<?php echo ew_HtmlEncode($tb_nb_usages->nb_id->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_nb_usages->nb_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_nb_usages->per_id->Visible) { // per_id ?>
	<tr id="r_per_id"<?php echo $tb_nb_usages->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_nb_usages_per_id"><?php echo $tb_nb_usages->per_id->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></span></td>
		<td<?php echo $tb_nb_usages->per_id->CellAttributes() ?>><span id="el_tb_nb_usages_per_id">
<?php if ($tb_nb_usages->CurrentAction <> "F") { ?>
<span<?php echo $tb_nb_usages->per_id->ViewAttributes() ?>>
<?php echo $tb_nb_usages->per_id->EditValue ?></span>
<input type="hidden" name="x_per_id" id="x_per_id" value="<?php echo ew_HtmlEncode($tb_nb_usages->per_id->CurrentValue) ?>">
<?php } else { ?>
<span<?php echo $tb_nb_usages->per_id->ViewAttributes() ?>>
<?php echo $tb_nb_usages->per_id->ViewValue ?></span>
<input type="hidden" name="x_per_id" id="x_per_id" value="<?php echo ew_HtmlEncode($tb_nb_usages->per_id->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_nb_usages->per_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_nb_usages->court_id->Visible) { // court_id ?>
	<tr id="r_court_id"<?php echo $tb_nb_usages->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_nb_usages_court_id"><?php echo $tb_nb_usages->court_id->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></span></td>
		<td<?php echo $tb_nb_usages->court_id->CellAttributes() ?>><span id="el_tb_nb_usages_court_id">
<?php if ($tb_nb_usages->CurrentAction <> "F") { ?>
<input type="text" name="x_court_id" id="x_court_id" size="30" maxlength="10" value="<?php echo $tb_nb_usages->court_id->EditValue ?>"<?php echo $tb_nb_usages->court_id->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_nb_usages->court_id->ViewAttributes() ?>>
<?php echo $tb_nb_usages->court_id->ViewValue ?></span>
<input type="hidden" name="x_court_id" id="x_court_id" value="<?php echo ew_HtmlEncode($tb_nb_usages->court_id->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_nb_usages->court_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_nb_usages->nbu_recieve->Visible) { // nbu_recieve ?>
	<tr id="r_nbu_recieve"<?php echo $tb_nb_usages->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_nb_usages_nbu_recieve"><?php echo $tb_nb_usages->nbu_recieve->FldCaption() ?></span></td>
		<td<?php echo $tb_nb_usages->nbu_recieve->CellAttributes() ?>><span id="el_tb_nb_usages_nbu_recieve">
<?php if ($tb_nb_usages->CurrentAction <> "F") { ?>
<input type="text" name="x_nbu_recieve" id="x_nbu_recieve" value="<?php echo $tb_nb_usages->nbu_recieve->EditValue ?>"<?php echo $tb_nb_usages->nbu_recieve->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_nb_usages->nbu_recieve->ViewAttributes() ?>>
<?php echo $tb_nb_usages->nbu_recieve->ViewValue ?></span>
<input type="hidden" name="x_nbu_recieve" id="x_nbu_recieve" value="<?php echo ew_HtmlEncode($tb_nb_usages->nbu_recieve->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_nb_usages->nbu_recieve->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_nb_usages->nbu_return->Visible) { // nbu_return ?>
	<tr id="r_nbu_return"<?php echo $tb_nb_usages->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_nb_usages_nbu_return"><?php echo $tb_nb_usages->nbu_return->FldCaption() ?></span></td>
		<td<?php echo $tb_nb_usages->nbu_return->CellAttributes() ?>><span id="el_tb_nb_usages_nbu_return">
<?php if ($tb_nb_usages->CurrentAction <> "F") { ?>
<input type="text" name="x_nbu_return" id="x_nbu_return" value="<?php echo $tb_nb_usages->nbu_return->EditValue ?>"<?php echo $tb_nb_usages->nbu_return->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_nb_usages->nbu_return->ViewAttributes() ?>>
<?php echo $tb_nb_usages->nbu_return->ViewValue ?></span>
<input type="hidden" name="x_nbu_return" id="x_nbu_return" value="<?php echo ew_HtmlEncode($tb_nb_usages->nbu_return->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_nb_usages->nbu_return->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_nb_usages->nbu_status->Visible) { // nbu_status ?>
	<tr id="r_nbu_status"<?php echo $tb_nb_usages->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_nb_usages_nbu_status"><?php echo $tb_nb_usages->nbu_status->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></span></td>
		<td<?php echo $tb_nb_usages->nbu_status->CellAttributes() ?>><span id="el_tb_nb_usages_nbu_status">
<?php if ($tb_nb_usages->CurrentAction <> "F") { ?>
<div id="tp_x_nbu_status" class="<?php echo EW_ITEM_TEMPLATE_CLASSNAME ?>"><input type="radio" name="x_nbu_status" id="x_nbu_status" value="{value}"<?php echo $tb_nb_usages->nbu_status->EditAttributes() ?>></div>
<div id="dsl_x_nbu_status" data-repeatcolumn="5" class="ewItemList">
<?php
$arwrk = $tb_nb_usages->nbu_status->EditValue;
if (is_array($arwrk)) {
	$rowswrk = count($arwrk);
	$emptywrk = TRUE;
	for ($rowcntwrk = 0; $rowcntwrk < $rowswrk; $rowcntwrk++) {
		$selwrk = (strval($tb_nb_usages->nbu_status->CurrentValue) == strval($arwrk[$rowcntwrk][0])) ? " checked=\"checked\"" : "";
		if ($selwrk <> "") $emptywrk = FALSE;

		// Note: No spacing within the LABEL tag
?>
<?php echo ew_RepeatColumnTable($rowswrk, $rowcntwrk, 5, 1) ?>
<label><input type="radio" name="x_nbu_status" id="x_nbu_status" value="<?php echo ew_HtmlEncode($arwrk[$rowcntwrk][0]) ?>"<?php echo $selwrk ?><?php echo $tb_nb_usages->nbu_status->EditAttributes() ?>><?php echo $arwrk[$rowcntwrk][1] ?></label>
<?php echo ew_RepeatColumnTable($rowswrk, $rowcntwrk, 5, 2) ?>
<?php
	}
}
?>
</div>
<?php } else { ?>
<span<?php echo $tb_nb_usages->nbu_status->ViewAttributes() ?>>
<?php echo $tb_nb_usages->nbu_status->ViewValue ?></span>
<input type="hidden" name="x_nbu_status" id="x_nbu_status" value="<?php echo ew_HtmlEncode($tb_nb_usages->nbu_status->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_nb_usages->nbu_status->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_nb_usages->nbu_detail->Visible) { // nbu_detail ?>
	<tr id="r_nbu_detail"<?php echo $tb_nb_usages->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_nb_usages_nbu_detail"><?php echo $tb_nb_usages->nbu_detail->FldCaption() ?></span></td>
		<td<?php echo $tb_nb_usages->nbu_detail->CellAttributes() ?>><span id="el_tb_nb_usages_nbu_detail">
<?php if ($tb_nb_usages->CurrentAction <> "F") { ?>
<input type="text" name="x_nbu_detail" id="x_nbu_detail" size="30" maxlength="100" value="<?php echo $tb_nb_usages->nbu_detail->EditValue ?>"<?php echo $tb_nb_usages->nbu_detail->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_nb_usages->nbu_detail->ViewAttributes() ?>>
<?php echo $tb_nb_usages->nbu_detail->ViewValue ?></span>
<input type="hidden" name="x_nbu_detail" id="x_nbu_detail" value="<?php echo ew_HtmlEncode($tb_nb_usages->nbu_detail->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_nb_usages->nbu_detail->CustomMsg ?></td>
	</tr>
<?php } ?>
</table>
</div>
</td></tr></table>
<p>
<?php if ($tb_nb_usages->CurrentAction <> "F") { // Confirm page ?>
<input type="submit" name="btnAction" id="btnAction" value="<?php echo ew_BtnCaption($Language->Phrase("EditBtn")) ?>" onclick="this.form.a_edit.value='F';">
<?php } else { ?>
<input type="submit" name="btnCancel" id="btnCancel" value="<?php echo ew_BtnCaption($Language->Phrase("CancelBtn")) ?>" onclick="this.form.a_edit.value='X';">
<input type="submit" name="btnAction" id="btnAction" value="<?php echo ew_BtnCaption($Language->Phrase("ConfirmBtn")) ?>">
<?php } ?>
</form>
<script type="text/javascript">
ftb_nb_usagesedit.Init();
</script>
<?php
$tb_nb_usages_edit->ShowPageFooter();
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
?>
<script type="text/javascript">

// Write your table-specific startup script here
// document.write("page loaded");

</script>
<?php include_once "footer.php" ?>
<?php
$tb_nb_usages_edit->Page_Terminate();
?>
