<?php
if (session_id() == "") session_start(); // Initialize Session data
ob_start(); // Turn on output buffering
?>
<?php include_once "ewcfg9.php" ?>
<?php include_once "ewmysql9.php" ?>
<?php include_once "phpfn9.php" ?>
<?php include_once "tb_networksinfo.php" ?>
<?php include_once "userfn9.php" ?>
<?php

//
// Page class
//

$tb_networks_edit = NULL; // Initialize page object first

class ctb_networks_edit extends ctb_networks {

	// Page ID
	var $PageID = 'edit';

	// Project ID
	var $ProjectID = "{6072F4AB-8E55-4BED-87E8-94ADB1680AEB}";

	// Table name
	var $TableName = 'tb_networks';

	// Page object name
	var $PageObjName = 'tb_networks_edit';

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		if ($this->UseTokenInUrl) $PageUrl .= "t=" . $this->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_MESSAGE], $v);
	}

	function getFailureMessage() {
		return @$_SESSION[EW_SESSION_FAILURE_MESSAGE];
	}

	function setFailureMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_FAILURE_MESSAGE], $v);
	}

	function getSuccessMessage() {
		return @$_SESSION[EW_SESSION_SUCCESS_MESSAGE];
	}

	function setSuccessMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_SUCCESS_MESSAGE], $v);
	}

	function getWarningMessage() {
		return @$_SESSION[EW_SESSION_WARNING_MESSAGE];
	}

	function setWarningMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_WARNING_MESSAGE], $v);
	}

	// Show message
	function ShowMessage() {
		$hidden = FALSE;
		$html = "";

		// Message
		$sMessage = $this->getMessage();
		$this->Message_Showing($sMessage, "");
		if ($sMessage <> "") { // Message in Session, display
			$html .= "<p class=\"ewMessage\">" . $sMessage . "</p>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}

		// Warning message
		$sWarningMessage = $this->getWarningMessage();
		$this->Message_Showing($sWarningMessage, "warning");
		if ($sWarningMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewWarningIcon\"></td><td class=\"ewWarningMessage\">" . $sWarningMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_WARNING_MESSAGE] = ""; // Clear message in Session
		}

		// Success message
		$sSuccessMessage = $this->getSuccessMessage();
		$this->Message_Showing($sSuccessMessage, "success");
		if ($sSuccessMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewSuccessIcon\"></td><td class=\"ewSuccessMessage\">" . $sSuccessMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = ""; // Clear message in Session
		}

		// Failure message
		$sErrorMessage = $this->getFailureMessage();
		$this->Message_Showing($sErrorMessage, "failure");
		if ($sErrorMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewErrorIcon\"></td><td class=\"ewErrorMessage\">" . $sErrorMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_FAILURE_MESSAGE] = ""; // Clear message in Session
		}		
		echo "<div class=\"ewMessageDialog\"" . (($hidden) ? " style=\"display: none;\"" : "") . ">" . $html . "</div>";
	}
	var $PageHeader;
	var $PageFooter;

	// Show Page Header
	function ShowPageHeader() {
		$sHeader = $this->PageHeader;
		$this->Page_DataRendering($sHeader);
		if ($sHeader <> "") { // Header exists, display
			echo "<p class=\"phpmaker\">" . $sHeader . "</p>";
		}
	}

	// Show Page Footer
	function ShowPageFooter() {
		$sFooter = $this->PageFooter;
		$this->Page_DataRendered($sFooter);
		if ($sFooter <> "") { // Fotoer exists, display
			echo "<p class=\"phpmaker\">" . $sFooter . "</p>";
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm;
		if ($this->UseTokenInUrl) {
			if ($objForm)
				return ($this->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($this->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}

	//
	// Page class constructor
	//
	function __construct() {
		global $conn, $Language;
		$GLOBALS["Page"] = &$this;

		// Language object
		if (!isset($Language)) $Language = new cLanguage();

		// Parent constuctor
		parent::__construct();

		// Table object (tb_networks)
		if (!isset($GLOBALS["tb_networks"])) {
			$GLOBALS["tb_networks"] = &$this;
			$GLOBALS["Table"] = &$GLOBALS["tb_networks"];
		}

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'edit', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'tb_networks', TRUE);

		// Start timer
		if (!isset($GLOBALS["gTimer"])) $GLOBALS["gTimer"] = new cTimer();

		// Open connection
		if (!isset($conn)) $conn = ew_Connect();
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;

		// Create form object
		$objForm = new cFormObj();
		$this->CurrentAction = (@$_GET["a"] <> "") ? $_GET["a"] : @$_POST["a_list"];

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $conn;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();
		$this->Page_Redirecting($url);

		 // Close connection
		$conn->Close();

		// Go to URL if specified
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			header("Location: " . $url);
		}
		exit();
	}
	var $DbMasterFilter;
	var $DbDetailFilter;

	// 
	// Page main
	//
	function Page_Main() {
		global $objForm, $Language, $gsFormError;

		// Load key from QueryString
		if (@$_GET["nw_id"] <> "")
			$this->nw_id->setQueryStringValue($_GET["nw_id"]);

		// Process form if post back
		if (@$_POST["a_edit"] <> "") {
			$this->CurrentAction = $_POST["a_edit"]; // Get action code
			$this->LoadFormValues(); // Get form values
		} else {
			$this->CurrentAction = "I"; // Default action is display
		}

		// Check if valid key
		if ($this->nw_id->CurrentValue == "")
			$this->Page_Terminate("tb_networkslist.php"); // Invalid key, return to list

		// Validate form if post back
		if (@$_POST["a_edit"] <> "") {
			if (!$this->ValidateForm()) {
				$this->CurrentAction = ""; // Form error, reset action
				$this->setFailureMessage($gsFormError);
				$this->EventCancelled = TRUE; // Event cancelled
				$this->RestoreFormValues();
			}
		}
		switch ($this->CurrentAction) {
			case "I": // Get a record to display
				if (!$this->LoadRow()) { // Load record based on key
					if ($this->getFailureMessage() == "") $this->setFailureMessage($Language->Phrase("NoRecord")); // No record found
					$this->Page_Terminate("tb_networkslist.php"); // No matching record, return to list
				}
				break;
			Case "U": // Update
				$this->SendEmail = TRUE; // Send email on update success
				if ($this->EditRow()) { // Update record based on key
					if ($this->getSuccessMessage() == "")
						$this->setSuccessMessage($Language->Phrase("UpdateSuccess")); // Update success
					$sReturnUrl = $this->getReturnUrl();
					if (ew_GetPageName($sReturnUrl) == "tb_networksview.php")
						$sReturnUrl = $this->GetViewUrl(); // View paging, return to View page directly
					$this->Page_Terminate($sReturnUrl); // Return to caller
				} else {
					$this->EventCancelled = TRUE; // Event cancelled
					$this->RestoreFormValues(); // Restore form values if update failed
				}
		}

		// Render the record
		if ($this->CurrentAction == "F") { // Confirm page
			$this->RowType = EW_ROWTYPE_VIEW; // Render as View
		} else {
			$this->RowType = EW_ROWTYPE_EDIT; // Render as Edit
		}
		$this->ResetAttrs();
		$this->RenderRow();
	}

	// Get upload files
	function GetUploadFiles() {
		global $objForm;

		// Get upload data
		$index = $objForm->Index; // Save form index
		$objForm->Index = -1;
		$confirmPage = (strval($objForm->GetValue("a_confirm")) <> "");
		$objForm->Index = $index; // Restore form index
	}

	// Load form values
	function LoadFormValues() {

		// Load from form
		global $objForm;
		if (!$this->nw_id->FldIsDetailKey) {
			$this->nw_id->setFormValue($objForm->GetValue("x_nw_id"));
		}
		if (!$this->court_id->FldIsDetailKey) {
			$this->court_id->setFormValue($objForm->GetValue("x_court_id"));
		}
		if (!$this->nwt_id->FldIsDetailKey) {
			$this->nwt_id->setFormValue($objForm->GetValue("x_nwt_id"));
		}
		if (!$this->nw_sn->FldIsDetailKey) {
			$this->nw_sn->setFormValue($objForm->GetValue("x_nw_sn"));
		}
		if (!$this->nw_number->FldIsDetailKey) {
			$this->nw_number->setFormValue($objForm->GetValue("x_nw_number"));
		}
		if (!$this->nw_brand->FldIsDetailKey) {
			$this->nw_brand->setFormValue($objForm->GetValue("x_nw_brand"));
		}
		if (!$this->nw_model->FldIsDetailKey) {
			$this->nw_model->setFormValue($objForm->GetValue("x_nw_model"));
		}
		if (!$this->nw_desc->FldIsDetailKey) {
			$this->nw_desc->setFormValue($objForm->GetValue("x_nw_desc"));
		}
		if (!$this->nw_date_receive->FldIsDetailKey) {
			$this->nw_date_receive->setFormValue($objForm->GetValue("x_nw_date_receive"));
			$this->nw_date_receive->CurrentValue = ew_UnFormatDateTime($this->nw_date_receive->CurrentValue, 5);
		}
		if (!$this->plt_id->FldIsDetailKey) {
			$this->plt_id->setFormValue($objForm->GetValue("x_plt_id"));
		}
		if (!$this->nw_year->FldIsDetailKey) {
			$this->nw_year->setFormValue($objForm->GetValue("x_nw_year"));
		}
		if (!$this->nw_date_recieve->FldIsDetailKey) {
			$this->nw_date_recieve->setFormValue($objForm->GetValue("x_nw_date_recieve"));
			$this->nw_date_recieve->CurrentValue = ew_UnFormatDateTime($this->nw_date_recieve->CurrentValue, 5);
		}
		if (!$this->nw_cont_date_start->FldIsDetailKey) {
			$this->nw_cont_date_start->setFormValue($objForm->GetValue("x_nw_cont_date_start"));
			$this->nw_cont_date_start->CurrentValue = ew_UnFormatDateTime($this->nw_cont_date_start->CurrentValue, 5);
		}
		if (!$this->nw_warranty->FldIsDetailKey) {
			$this->nw_warranty->setFormValue($objForm->GetValue("x_nw_warranty"));
		}
		if (!$this->cont_id->FldIsDetailKey) {
			$this->cont_id->setFormValue($objForm->GetValue("x_cont_id"));
		}
		if (!$this->nw_price->FldIsDetailKey) {
			$this->nw_price->setFormValue($objForm->GetValue("x_nw_price"));
		}
		if (!$this->nw_origin->FldIsDetailKey) {
			$this->nw_origin->setFormValue($objForm->GetValue("x_nw_origin"));
		}
		if (!$this->nw_present->FldIsDetailKey) {
			$this->nw_present->setFormValue($objForm->GetValue("x_nw_present"));
		}
		if (!$this->nw_comment->FldIsDetailKey) {
			$this->nw_comment->setFormValue($objForm->GetValue("x_nw_comment"));
		}
	}

	// Restore form values
	function RestoreFormValues() {
		global $objForm;
		$this->LoadRow();
		$this->nw_id->CurrentValue = $this->nw_id->FormValue;
		$this->court_id->CurrentValue = $this->court_id->FormValue;
		$this->nwt_id->CurrentValue = $this->nwt_id->FormValue;
		$this->nw_sn->CurrentValue = $this->nw_sn->FormValue;
		$this->nw_number->CurrentValue = $this->nw_number->FormValue;
		$this->nw_brand->CurrentValue = $this->nw_brand->FormValue;
		$this->nw_model->CurrentValue = $this->nw_model->FormValue;
		$this->nw_desc->CurrentValue = $this->nw_desc->FormValue;
		$this->nw_date_receive->CurrentValue = $this->nw_date_receive->FormValue;
		$this->nw_date_receive->CurrentValue = ew_UnFormatDateTime($this->nw_date_receive->CurrentValue, 5);
		$this->plt_id->CurrentValue = $this->plt_id->FormValue;
		$this->nw_year->CurrentValue = $this->nw_year->FormValue;
		$this->nw_date_recieve->CurrentValue = $this->nw_date_recieve->FormValue;
		$this->nw_date_recieve->CurrentValue = ew_UnFormatDateTime($this->nw_date_recieve->CurrentValue, 5);
		$this->nw_cont_date_start->CurrentValue = $this->nw_cont_date_start->FormValue;
		$this->nw_cont_date_start->CurrentValue = ew_UnFormatDateTime($this->nw_cont_date_start->CurrentValue, 5);
		$this->nw_warranty->CurrentValue = $this->nw_warranty->FormValue;
		$this->cont_id->CurrentValue = $this->cont_id->FormValue;
		$this->nw_price->CurrentValue = $this->nw_price->FormValue;
		$this->nw_origin->CurrentValue = $this->nw_origin->FormValue;
		$this->nw_present->CurrentValue = $this->nw_present->FormValue;
		$this->nw_comment->CurrentValue = $this->nw_comment->FormValue;
	}

	// Load row based on key values
	function LoadRow() {
		global $conn, $Security, $Language;
		$sFilter = $this->KeyFilter();

		// Call Row Selecting event
		$this->Row_Selecting($sFilter);

		// Load SQL based on filter
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		global $conn;
		if (!$rs || $rs->EOF) return;

		// Call Row Selected event
		$row = &$rs->fields;
		$this->Row_Selected($row);
		$this->nw_id->setDbValue($rs->fields('nw_id'));
		$this->court_id->setDbValue($rs->fields('court_id'));
		$this->nwt_id->setDbValue($rs->fields('nwt_id'));
		$this->nw_sn->setDbValue($rs->fields('nw_sn'));
		$this->nw_number->setDbValue($rs->fields('nw_number'));
		$this->nw_brand->setDbValue($rs->fields('nw_brand'));
		$this->nw_model->setDbValue($rs->fields('nw_model'));
		$this->nw_desc->setDbValue($rs->fields('nw_desc'));
		$this->nw_date_receive->setDbValue($rs->fields('nw_date_receive'));
		$this->plt_id->setDbValue($rs->fields('plt_id'));
		$this->nw_year->setDbValue($rs->fields('nw_year'));
		$this->nw_date_recieve->setDbValue($rs->fields('nw_date_recieve'));
		$this->nw_cont_date_start->setDbValue($rs->fields('nw_cont_date_start'));
		$this->nw_warranty->setDbValue($rs->fields('nw_warranty'));
		$this->cont_id->setDbValue($rs->fields('cont_id'));
		$this->nw_price->setDbValue($rs->fields('nw_price'));
		$this->nw_origin->setDbValue($rs->fields('nw_origin'));
		$this->nw_present->setDbValue($rs->fields('nw_present'));
		$this->nw_comment->setDbValue($rs->fields('nw_comment'));
	}

	// Render row values based on field settings
	function RenderRow() {
		global $conn, $Security, $Language;
		global $gsLanguage;

		// Initialize URLs
		// Convert decimal values if posted back

		if ($this->nw_warranty->FormValue == $this->nw_warranty->CurrentValue && is_numeric(ew_StrToFloat($this->nw_warranty->CurrentValue)))
			$this->nw_warranty->CurrentValue = ew_StrToFloat($this->nw_warranty->CurrentValue);

		// Convert decimal values if posted back
		if ($this->nw_price->FormValue == $this->nw_price->CurrentValue && is_numeric(ew_StrToFloat($this->nw_price->CurrentValue)))
			$this->nw_price->CurrentValue = ew_StrToFloat($this->nw_price->CurrentValue);

		// Call Row_Rendering event
		$this->Row_Rendering();

		// Common render codes for all row types
		// nw_id
		// court_id
		// nwt_id
		// nw_sn
		// nw_number
		// nw_brand
		// nw_model
		// nw_desc
		// nw_date_receive
		// plt_id
		// nw_year
		// nw_date_recieve
		// nw_cont_date_start
		// nw_warranty
		// cont_id
		// nw_price
		// nw_origin
		// nw_present
		// nw_comment

		if ($this->RowType == EW_ROWTYPE_VIEW) { // View row

			// nw_id
			$this->nw_id->ViewValue = $this->nw_id->CurrentValue;
			$this->nw_id->ViewCustomAttributes = "";

			// court_id
			$this->court_id->ViewValue = $this->court_id->CurrentValue;
			$this->court_id->ViewCustomAttributes = "";

			// nwt_id
			$this->nwt_id->ViewValue = $this->nwt_id->CurrentValue;
			if (strval($this->nwt_id->CurrentValue) <> "") {
				$sFilterWrk = "`nwt_id`" . ew_SearchString("=", $this->nwt_id->CurrentValue, EW_DATATYPE_STRING);
			$sSqlWrk = "SELECT `nwt_id`, `nwt_name` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_network_types`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				ew_AddFilter($sWhereWrk, $sFilterWrk);
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$this->nwt_id->ViewValue = $rswrk->fields('DispFld');
					$rswrk->Close();
				} else {
					$this->nwt_id->ViewValue = $this->nwt_id->CurrentValue;
				}
			} else {
				$this->nwt_id->ViewValue = NULL;
			}
			$this->nwt_id->ViewCustomAttributes = "";

			// nw_sn
			$this->nw_sn->ViewValue = $this->nw_sn->CurrentValue;
			$this->nw_sn->ViewCustomAttributes = "";

			// nw_number
			$this->nw_number->ViewValue = $this->nw_number->CurrentValue;
			$this->nw_number->ViewCustomAttributes = "";

			// nw_brand
			$this->nw_brand->ViewValue = $this->nw_brand->CurrentValue;
			$this->nw_brand->ViewCustomAttributes = "";

			// nw_model
			$this->nw_model->ViewValue = $this->nw_model->CurrentValue;
			$this->nw_model->ViewCustomAttributes = "";

			// nw_desc
			$this->nw_desc->ViewValue = $this->nw_desc->CurrentValue;
			$this->nw_desc->ViewCustomAttributes = "";

			// nw_date_receive
			$this->nw_date_receive->ViewValue = $this->nw_date_receive->CurrentValue;
			$this->nw_date_receive->ViewValue = ew_FormatDateTime($this->nw_date_receive->ViewValue, 5);
			$this->nw_date_receive->ViewCustomAttributes = "";

			// plt_id
			$this->plt_id->ViewValue = $this->plt_id->CurrentValue;
			$this->plt_id->ViewCustomAttributes = "";

			// nw_year
			$this->nw_year->ViewValue = $this->nw_year->CurrentValue;
			$this->nw_year->ViewCustomAttributes = "";

			// nw_date_recieve
			$this->nw_date_recieve->ViewValue = $this->nw_date_recieve->CurrentValue;
			$this->nw_date_recieve->ViewValue = ew_FormatDateTime($this->nw_date_recieve->ViewValue, 5);
			$this->nw_date_recieve->ViewCustomAttributes = "";

			// nw_cont_date_start
			$this->nw_cont_date_start->ViewValue = $this->nw_cont_date_start->CurrentValue;
			$this->nw_cont_date_start->ViewValue = ew_FormatDateTime($this->nw_cont_date_start->ViewValue, 5);
			$this->nw_cont_date_start->ViewCustomAttributes = "";

			// nw_warranty
			$this->nw_warranty->ViewValue = $this->nw_warranty->CurrentValue;
			$this->nw_warranty->ViewCustomAttributes = "";

			// cont_id
			if (strval($this->cont_id->CurrentValue) <> "") {
				$sFilterWrk = "`cont_id`" . ew_SearchString("=", $this->cont_id->CurrentValue, EW_DATATYPE_NUMBER);
			$sSqlWrk = "SELECT `cont_id`, `cont_num` AS `DispFld`, `cont_project` AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_contracts`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				ew_AddFilter($sWhereWrk, $sFilterWrk);
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$this->cont_id->ViewValue = $rswrk->fields('DispFld');
					$this->cont_id->ViewValue .= ew_ValueSeparator(1,$tb_networks->cont_id) . $rswrk->fields('Disp2Fld');
					$rswrk->Close();
				} else {
					$this->cont_id->ViewValue = $this->cont_id->CurrentValue;
				}
			} else {
				$this->cont_id->ViewValue = NULL;
			}
			$this->cont_id->ViewCustomAttributes = "";

			// nw_price
			$this->nw_price->ViewValue = $this->nw_price->CurrentValue;
			$this->nw_price->ViewCustomAttributes = "";

			// nw_origin
			if (strval($this->nw_origin->CurrentValue) <> "") {
				switch ($this->nw_origin->CurrentValue) {
					case $this->nw_origin->FldTagValue(1):
						$this->nw_origin->ViewValue = $this->nw_origin->FldTagCaption(1) <> "" ? $this->nw_origin->FldTagCaption(1) : $this->nw_origin->CurrentValue;
						break;
					case $this->nw_origin->FldTagValue(2):
						$this->nw_origin->ViewValue = $this->nw_origin->FldTagCaption(2) <> "" ? $this->nw_origin->FldTagCaption(2) : $this->nw_origin->CurrentValue;
						break;
					case $this->nw_origin->FldTagValue(3):
						$this->nw_origin->ViewValue = $this->nw_origin->FldTagCaption(3) <> "" ? $this->nw_origin->FldTagCaption(3) : $this->nw_origin->CurrentValue;
						break;
					case $this->nw_origin->FldTagValue(4):
						$this->nw_origin->ViewValue = $this->nw_origin->FldTagCaption(4) <> "" ? $this->nw_origin->FldTagCaption(4) : $this->nw_origin->CurrentValue;
						break;
					default:
						$this->nw_origin->ViewValue = $this->nw_origin->CurrentValue;
				}
			} else {
				$this->nw_origin->ViewValue = NULL;
			}
			$this->nw_origin->ViewCustomAttributes = "";

			// nw_present
			if (strval($this->nw_present->CurrentValue) <> "") {
				switch ($this->nw_present->CurrentValue) {
					case $this->nw_present->FldTagValue(1):
						$this->nw_present->ViewValue = $this->nw_present->FldTagCaption(1) <> "" ? $this->nw_present->FldTagCaption(1) : $this->nw_present->CurrentValue;
						break;
					case $this->nw_present->FldTagValue(2):
						$this->nw_present->ViewValue = $this->nw_present->FldTagCaption(2) <> "" ? $this->nw_present->FldTagCaption(2) : $this->nw_present->CurrentValue;
						break;
					case $this->nw_present->FldTagValue(3):
						$this->nw_present->ViewValue = $this->nw_present->FldTagCaption(3) <> "" ? $this->nw_present->FldTagCaption(3) : $this->nw_present->CurrentValue;
						break;
					case $this->nw_present->FldTagValue(4):
						$this->nw_present->ViewValue = $this->nw_present->FldTagCaption(4) <> "" ? $this->nw_present->FldTagCaption(4) : $this->nw_present->CurrentValue;
						break;
					case $this->nw_present->FldTagValue(5):
						$this->nw_present->ViewValue = $this->nw_present->FldTagCaption(5) <> "" ? $this->nw_present->FldTagCaption(5) : $this->nw_present->CurrentValue;
						break;
					case $this->nw_present->FldTagValue(6):
						$this->nw_present->ViewValue = $this->nw_present->FldTagCaption(6) <> "" ? $this->nw_present->FldTagCaption(6) : $this->nw_present->CurrentValue;
						break;
					default:
						$this->nw_present->ViewValue = $this->nw_present->CurrentValue;
				}
			} else {
				$this->nw_present->ViewValue = NULL;
			}
			$this->nw_present->ViewCustomAttributes = "";

			// nw_comment
			$this->nw_comment->ViewValue = $this->nw_comment->CurrentValue;
			$this->nw_comment->ViewCustomAttributes = "";

			// nw_id
			$this->nw_id->LinkCustomAttributes = "";
			$this->nw_id->HrefValue = "";
			$this->nw_id->TooltipValue = "";

			// court_id
			$this->court_id->LinkCustomAttributes = "";
			$this->court_id->HrefValue = "";
			$this->court_id->TooltipValue = "";

			// nwt_id
			$this->nwt_id->LinkCustomAttributes = "";
			$this->nwt_id->HrefValue = "";
			$this->nwt_id->TooltipValue = "";

			// nw_sn
			$this->nw_sn->LinkCustomAttributes = "";
			$this->nw_sn->HrefValue = "";
			$this->nw_sn->TooltipValue = "";

			// nw_number
			$this->nw_number->LinkCustomAttributes = "";
			$this->nw_number->HrefValue = "";
			$this->nw_number->TooltipValue = "";

			// nw_brand
			$this->nw_brand->LinkCustomAttributes = "";
			$this->nw_brand->HrefValue = "";
			$this->nw_brand->TooltipValue = "";

			// nw_model
			$this->nw_model->LinkCustomAttributes = "";
			$this->nw_model->HrefValue = "";
			$this->nw_model->TooltipValue = "";

			// nw_desc
			$this->nw_desc->LinkCustomAttributes = "";
			$this->nw_desc->HrefValue = "";
			$this->nw_desc->TooltipValue = "";

			// nw_date_receive
			$this->nw_date_receive->LinkCustomAttributes = "";
			$this->nw_date_receive->HrefValue = "";
			$this->nw_date_receive->TooltipValue = "";

			// plt_id
			$this->plt_id->LinkCustomAttributes = "";
			$this->plt_id->HrefValue = "";
			$this->plt_id->TooltipValue = "";

			// nw_year
			$this->nw_year->LinkCustomAttributes = "";
			$this->nw_year->HrefValue = "";
			$this->nw_year->TooltipValue = "";

			// nw_date_recieve
			$this->nw_date_recieve->LinkCustomAttributes = "";
			$this->nw_date_recieve->HrefValue = "";
			$this->nw_date_recieve->TooltipValue = "";

			// nw_cont_date_start
			$this->nw_cont_date_start->LinkCustomAttributes = "";
			$this->nw_cont_date_start->HrefValue = "";
			$this->nw_cont_date_start->TooltipValue = "";

			// nw_warranty
			$this->nw_warranty->LinkCustomAttributes = "";
			$this->nw_warranty->HrefValue = "";
			$this->nw_warranty->TooltipValue = "";

			// cont_id
			$this->cont_id->LinkCustomAttributes = "";
			$this->cont_id->HrefValue = "";
			$this->cont_id->TooltipValue = "";

			// nw_price
			$this->nw_price->LinkCustomAttributes = "";
			$this->nw_price->HrefValue = "";
			$this->nw_price->TooltipValue = "";

			// nw_origin
			$this->nw_origin->LinkCustomAttributes = "";
			$this->nw_origin->HrefValue = "";
			$this->nw_origin->TooltipValue = "";

			// nw_present
			$this->nw_present->LinkCustomAttributes = "";
			$this->nw_present->HrefValue = "";
			$this->nw_present->TooltipValue = "";

			// nw_comment
			$this->nw_comment->LinkCustomAttributes = "";
			$this->nw_comment->HrefValue = "";
			$this->nw_comment->TooltipValue = "";
		} elseif ($this->RowType == EW_ROWTYPE_EDIT) { // Edit row

			// nw_id
			$this->nw_id->EditCustomAttributes = "";
			$this->nw_id->EditValue = $this->nw_id->CurrentValue;
			$this->nw_id->ViewCustomAttributes = "";

			// court_id
			$this->court_id->EditCustomAttributes = "";
			$this->court_id->EditValue = ew_HtmlEncode($this->court_id->CurrentValue);

			// nwt_id
			$this->nwt_id->EditCustomAttributes = "";
			$this->nwt_id->EditValue = ew_HtmlEncode($this->nwt_id->CurrentValue);
			if (strval($this->nwt_id->CurrentValue) <> "") {
				$sFilterWrk = "`nwt_id`" . ew_SearchString("=", $this->nwt_id->CurrentValue, EW_DATATYPE_STRING);
			$sSqlWrk = "SELECT `nwt_id`, `nwt_name` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_network_types`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				ew_AddFilter($sWhereWrk, $sFilterWrk);
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$this->nwt_id->EditValue = $rswrk->fields('DispFld');
					$rswrk->Close();
				} else {
					$this->nwt_id->EditValue = $this->nwt_id->CurrentValue;
				}
			} else {
				$this->nwt_id->EditValue = NULL;
			}

			// nw_sn
			$this->nw_sn->EditCustomAttributes = "";
			$this->nw_sn->EditValue = ew_HtmlEncode($this->nw_sn->CurrentValue);

			// nw_number
			$this->nw_number->EditCustomAttributes = "";
			$this->nw_number->EditValue = ew_HtmlEncode($this->nw_number->CurrentValue);

			// nw_brand
			$this->nw_brand->EditCustomAttributes = "";
			$this->nw_brand->EditValue = ew_HtmlEncode($this->nw_brand->CurrentValue);

			// nw_model
			$this->nw_model->EditCustomAttributes = "";
			$this->nw_model->EditValue = ew_HtmlEncode($this->nw_model->CurrentValue);

			// nw_desc
			$this->nw_desc->EditCustomAttributes = "";
			$this->nw_desc->EditValue = ew_HtmlEncode($this->nw_desc->CurrentValue);

			// nw_date_receive
			$this->nw_date_receive->EditCustomAttributes = "";
			$this->nw_date_receive->EditValue = ew_HtmlEncode(ew_FormatDateTime($this->nw_date_receive->CurrentValue, 5));

			// plt_id
			$this->plt_id->EditCustomAttributes = "";
			$this->plt_id->EditValue = ew_HtmlEncode($this->plt_id->CurrentValue);

			// nw_year
			$this->nw_year->EditCustomAttributes = "";
			$this->nw_year->EditValue = ew_HtmlEncode($this->nw_year->CurrentValue);

			// nw_date_recieve
			$this->nw_date_recieve->EditCustomAttributes = "";
			$this->nw_date_recieve->EditValue = ew_HtmlEncode(ew_FormatDateTime($this->nw_date_recieve->CurrentValue, 5));

			// nw_cont_date_start
			$this->nw_cont_date_start->EditCustomAttributes = "";
			$this->nw_cont_date_start->EditValue = ew_HtmlEncode(ew_FormatDateTime($this->nw_cont_date_start->CurrentValue, 5));

			// nw_warranty
			$this->nw_warranty->EditCustomAttributes = "";
			$this->nw_warranty->EditValue = ew_HtmlEncode($this->nw_warranty->CurrentValue);
			if (strval($this->nw_warranty->EditValue) <> "" && is_numeric($this->nw_warranty->EditValue)) $this->nw_warranty->EditValue = ew_FormatNumber($this->nw_warranty->EditValue, -2, -1, -2, 0);

			// cont_id
			$this->cont_id->EditCustomAttributes = "";
			$sFilterWrk = "";
			$sSqlWrk = "SELECT `cont_id`, `cont_num` AS `DispFld`, `cont_project` AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld`, '' AS `SelectFilterFld`, '' AS `SelectFilterFld2`, '' AS `SelectFilterFld3`, '' AS `SelectFilterFld4` FROM `tb_contracts`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				ew_AddFilter($sWhereWrk, $sFilterWrk);
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = $conn->Execute($sSqlWrk);
			$arwrk = ($rswrk) ? $rswrk->GetRows() : array();
			if ($rswrk) $rswrk->Close();
			array_unshift($arwrk, array("", $Language->Phrase("PleaseSelect"), "", "", "", "", "", "", ""));
			$this->cont_id->EditValue = $arwrk;

			// nw_price
			$this->nw_price->EditCustomAttributes = "";
			$this->nw_price->EditValue = ew_HtmlEncode($this->nw_price->CurrentValue);
			if (strval($this->nw_price->EditValue) <> "" && is_numeric($this->nw_price->EditValue)) $this->nw_price->EditValue = ew_FormatNumber($this->nw_price->EditValue, -2, -1, -2, 0);

			// nw_origin
			$this->nw_origin->EditCustomAttributes = "";
			$arwrk = array();
			$arwrk[] = array($this->nw_origin->FldTagValue(1), $this->nw_origin->FldTagCaption(1) <> "" ? $this->nw_origin->FldTagCaption(1) : $this->nw_origin->FldTagValue(1));
			$arwrk[] = array($this->nw_origin->FldTagValue(2), $this->nw_origin->FldTagCaption(2) <> "" ? $this->nw_origin->FldTagCaption(2) : $this->nw_origin->FldTagValue(2));
			$arwrk[] = array($this->nw_origin->FldTagValue(3), $this->nw_origin->FldTagCaption(3) <> "" ? $this->nw_origin->FldTagCaption(3) : $this->nw_origin->FldTagValue(3));
			$arwrk[] = array($this->nw_origin->FldTagValue(4), $this->nw_origin->FldTagCaption(4) <> "" ? $this->nw_origin->FldTagCaption(4) : $this->nw_origin->FldTagValue(4));
			$this->nw_origin->EditValue = $arwrk;

			// nw_present
			$this->nw_present->EditCustomAttributes = "";
			$arwrk = array();
			$arwrk[] = array($this->nw_present->FldTagValue(1), $this->nw_present->FldTagCaption(1) <> "" ? $this->nw_present->FldTagCaption(1) : $this->nw_present->FldTagValue(1));
			$arwrk[] = array($this->nw_present->FldTagValue(2), $this->nw_present->FldTagCaption(2) <> "" ? $this->nw_present->FldTagCaption(2) : $this->nw_present->FldTagValue(2));
			$arwrk[] = array($this->nw_present->FldTagValue(3), $this->nw_present->FldTagCaption(3) <> "" ? $this->nw_present->FldTagCaption(3) : $this->nw_present->FldTagValue(3));
			$arwrk[] = array($this->nw_present->FldTagValue(4), $this->nw_present->FldTagCaption(4) <> "" ? $this->nw_present->FldTagCaption(4) : $this->nw_present->FldTagValue(4));
			$arwrk[] = array($this->nw_present->FldTagValue(5), $this->nw_present->FldTagCaption(5) <> "" ? $this->nw_present->FldTagCaption(5) : $this->nw_present->FldTagValue(5));
			$arwrk[] = array($this->nw_present->FldTagValue(6), $this->nw_present->FldTagCaption(6) <> "" ? $this->nw_present->FldTagCaption(6) : $this->nw_present->FldTagValue(6));
			$this->nw_present->EditValue = $arwrk;

			// nw_comment
			$this->nw_comment->EditCustomAttributes = "";
			$this->nw_comment->EditValue = ew_HtmlEncode($this->nw_comment->CurrentValue);

			// Edit refer script
			// nw_id

			$this->nw_id->HrefValue = "";

			// court_id
			$this->court_id->HrefValue = "";

			// nwt_id
			$this->nwt_id->HrefValue = "";

			// nw_sn
			$this->nw_sn->HrefValue = "";

			// nw_number
			$this->nw_number->HrefValue = "";

			// nw_brand
			$this->nw_brand->HrefValue = "";

			// nw_model
			$this->nw_model->HrefValue = "";

			// nw_desc
			$this->nw_desc->HrefValue = "";

			// nw_date_receive
			$this->nw_date_receive->HrefValue = "";

			// plt_id
			$this->plt_id->HrefValue = "";

			// nw_year
			$this->nw_year->HrefValue = "";

			// nw_date_recieve
			$this->nw_date_recieve->HrefValue = "";

			// nw_cont_date_start
			$this->nw_cont_date_start->HrefValue = "";

			// nw_warranty
			$this->nw_warranty->HrefValue = "";

			// cont_id
			$this->cont_id->HrefValue = "";

			// nw_price
			$this->nw_price->HrefValue = "";

			// nw_origin
			$this->nw_origin->HrefValue = "";

			// nw_present
			$this->nw_present->HrefValue = "";

			// nw_comment
			$this->nw_comment->HrefValue = "";
		}
		if ($this->RowType == EW_ROWTYPE_ADD ||
			$this->RowType == EW_ROWTYPE_EDIT ||
			$this->RowType == EW_ROWTYPE_SEARCH) { // Add / Edit / Search row
			$this->SetupFieldTitles();
		}

		// Call Row Rendered event
		if ($this->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$this->Row_Rendered();
	}

	// Validate form
	function ValidateForm() {
		global $Language, $gsFormError;

		// Initialize form error message
		$gsFormError = "";

		// Check if validation required
		if (!EW_SERVER_VALIDATE)
			return ($gsFormError == "");
		if (!is_null($this->nw_id->FormValue) && $this->nw_id->FormValue == "") {
			ew_AddMessage($gsFormError, $Language->Phrase("EnterRequiredField") . " - " . $this->nw_id->FldCaption());
		}
		if (!is_null($this->court_id->FormValue) && $this->court_id->FormValue == "") {
			ew_AddMessage($gsFormError, $Language->Phrase("EnterRequiredField") . " - " . $this->court_id->FldCaption());
		}
		if (!is_null($this->nwt_id->FormValue) && $this->nwt_id->FormValue == "") {
			ew_AddMessage($gsFormError, $Language->Phrase("EnterRequiredField") . " - " . $this->nwt_id->FldCaption());
		}
		if (!is_null($this->nw_number->FormValue) && $this->nw_number->FormValue == "") {
			ew_AddMessage($gsFormError, $Language->Phrase("EnterRequiredField") . " - " . $this->nw_number->FldCaption());
		}
		if (!is_null($this->nw_brand->FormValue) && $this->nw_brand->FormValue == "") {
			ew_AddMessage($gsFormError, $Language->Phrase("EnterRequiredField") . " - " . $this->nw_brand->FldCaption());
		}
		if (!ew_CheckDate($this->nw_date_receive->FormValue)) {
			ew_AddMessage($gsFormError, $this->nw_date_receive->FldErrMsg());
		}
		if (!ew_CheckDate($this->nw_date_recieve->FormValue)) {
			ew_AddMessage($gsFormError, $this->nw_date_recieve->FldErrMsg());
		}
		if (!ew_CheckDate($this->nw_cont_date_start->FormValue)) {
			ew_AddMessage($gsFormError, $this->nw_cont_date_start->FldErrMsg());
		}
		if (!ew_CheckNumber($this->nw_warranty->FormValue)) {
			ew_AddMessage($gsFormError, $this->nw_warranty->FldErrMsg());
		}
		if (!ew_CheckNumber($this->nw_price->FormValue)) {
			ew_AddMessage($gsFormError, $this->nw_price->FldErrMsg());
		}

		// Return validate result
		$ValidateForm = ($gsFormError == "");

		// Call Form_CustomValidate event
		$sFormCustomError = "";
		$ValidateForm = $ValidateForm && $this->Form_CustomValidate($sFormCustomError);
		if ($sFormCustomError <> "") {
			ew_AddMessage($gsFormError, $sFormCustomError);
		}
		return $ValidateForm;
	}

	// Update record based on key values
	function EditRow() {
		global $conn, $Security, $Language;
		$sFilter = $this->KeyFilter();
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$conn->raiseErrorFn = 'ew_ErrorFn';
		$rs = $conn->Execute($sSql);
		$conn->raiseErrorFn = '';
		if ($rs === FALSE)
			return FALSE;
		if ($rs->EOF) {
			$EditRow = FALSE; // Update Failed
		} else {

			// Save old values
			$rsold = &$rs->fields;
			$rsnew = array();

			// nw_id
			// court_id

			$this->court_id->SetDbValueDef($rsnew, $this->court_id->CurrentValue, NULL, $this->court_id->ReadOnly);

			// nwt_id
			$this->nwt_id->SetDbValueDef($rsnew, $this->nwt_id->CurrentValue, NULL, $this->nwt_id->ReadOnly);

			// nw_sn
			$this->nw_sn->SetDbValueDef($rsnew, $this->nw_sn->CurrentValue, NULL, $this->nw_sn->ReadOnly);

			// nw_number
			$this->nw_number->SetDbValueDef($rsnew, $this->nw_number->CurrentValue, NULL, $this->nw_number->ReadOnly);

			// nw_brand
			$this->nw_brand->SetDbValueDef($rsnew, $this->nw_brand->CurrentValue, NULL, $this->nw_brand->ReadOnly);

			// nw_model
			$this->nw_model->SetDbValueDef($rsnew, $this->nw_model->CurrentValue, NULL, $this->nw_model->ReadOnly);

			// nw_desc
			$this->nw_desc->SetDbValueDef($rsnew, $this->nw_desc->CurrentValue, NULL, $this->nw_desc->ReadOnly);

			// nw_date_receive
			$this->nw_date_receive->SetDbValueDef($rsnew, ew_UnFormatDateTime($this->nw_date_receive->CurrentValue, 5), NULL, $this->nw_date_receive->ReadOnly);

			// plt_id
			$this->plt_id->SetDbValueDef($rsnew, $this->plt_id->CurrentValue, NULL, $this->plt_id->ReadOnly);

			// nw_year
			$this->nw_year->SetDbValueDef($rsnew, $this->nw_year->CurrentValue, NULL, $this->nw_year->ReadOnly);

			// nw_date_recieve
			$this->nw_date_recieve->SetDbValueDef($rsnew, ew_UnFormatDateTime($this->nw_date_recieve->CurrentValue, 5), NULL, $this->nw_date_recieve->ReadOnly);

			// nw_cont_date_start
			$this->nw_cont_date_start->SetDbValueDef($rsnew, ew_UnFormatDateTime($this->nw_cont_date_start->CurrentValue, 5), NULL, $this->nw_cont_date_start->ReadOnly);

			// nw_warranty
			$this->nw_warranty->SetDbValueDef($rsnew, $this->nw_warranty->CurrentValue, NULL, $this->nw_warranty->ReadOnly);

			// cont_id
			$this->cont_id->SetDbValueDef($rsnew, $this->cont_id->CurrentValue, NULL, $this->cont_id->ReadOnly);

			// nw_price
			$this->nw_price->SetDbValueDef($rsnew, $this->nw_price->CurrentValue, NULL, $this->nw_price->ReadOnly);

			// nw_origin
			$this->nw_origin->SetDbValueDef($rsnew, $this->nw_origin->CurrentValue, NULL, $this->nw_origin->ReadOnly);

			// nw_present
			$this->nw_present->SetDbValueDef($rsnew, $this->nw_present->CurrentValue, NULL, $this->nw_present->ReadOnly);

			// nw_comment
			$this->nw_comment->SetDbValueDef($rsnew, $this->nw_comment->CurrentValue, NULL, $this->nw_comment->ReadOnly);

			// Call Row Updating event
			$bUpdateRow = $this->Row_Updating($rsold, $rsnew);
			if ($bUpdateRow) {
				$conn->raiseErrorFn = 'ew_ErrorFn';
				if (count($rsnew) > 0)
					$EditRow = $this->Update($rsnew);
				else
					$EditRow = TRUE; // No field to update
				$conn->raiseErrorFn = '';
			} else {
				if ($this->getSuccessMessage() <> "" || $this->getFailureMessage() <> "") {

					// Use the message, do nothing
				} elseif ($this->CancelMessage <> "") {
					$this->setFailureMessage($this->CancelMessage);
					$this->CancelMessage = "";
				} else {
					$this->setFailureMessage($Language->Phrase("UpdateCancelled"));
				}
				$EditRow = FALSE;
			}
		}

		// Call Row_Updated event
		if ($EditRow)
			$this->Row_Updated($rsold, $rsnew);
		$rs->Close();
		return $EditRow;
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	// $type = ''|'success'|'failure'|'warning'
	function Message_Showing(&$msg, $type) {
		if ($type == 'success') {

			//$msg = "your success message";
		} elseif ($type == 'failure') {

			//$msg = "your failure message";
		} elseif ($type == 'warning') {

			//$msg = "your warning message";
		} else {

			//$msg = "your message";
		}
	}

	// Page Data Rendering event
	function Page_DataRendering(&$header) {

		// Example:
		//$header = "your header";

	}

	// Page Data Rendered event
	function Page_DataRendered(&$footer) {

		// Example:
		//$footer = "your footer";

	}

	// Form Custom Validate event
	function Form_CustomValidate(&$CustomError) {

		// Return error message in CustomError
		return TRUE;
	}
}
?>
<?php ew_Header(FALSE) ?>
<?php

// Create page object
if (!isset($tb_networks_edit)) $tb_networks_edit = new ctb_networks_edit();

// Page init
$tb_networks_edit->Page_Init();

// Page main
$tb_networks_edit->Page_Main();
?>
<?php include_once "header.php" ?>
<script type="text/javascript">

// Page object
var tb_networks_edit = new ew_Page("tb_networks_edit");
tb_networks_edit.PageID = "edit"; // Page ID
var EW_PAGE_ID = tb_networks_edit.PageID; // For backward compatibility

// Form object
var ftb_networksedit = new ew_Form("ftb_networksedit");

// Validate form
ftb_networksedit.Validate = function(fobj) {
	if (!this.ValidateRequired)
		return true; // Ignore validation
	fobj = fobj || this.Form;
	this.PostAutoSuggest();	
	if (fobj.a_confirm && fobj.a_confirm.value == "F")
		return true;
	var elm, aelm;
	var rowcnt = 1;
	var startcnt = (rowcnt == 0) ? 0 : 1; // rowcnt == 0 => Inline-Add
	for (var i = startcnt; i <= rowcnt; i++) {
		var infix = "";
		elm = fobj.elements["x" + infix + "_nw_id"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tb_networks->nw_id->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_court_id"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tb_networks->court_id->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_nwt_id"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tb_networks->nwt_id->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_nw_number"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tb_networks->nw_number->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_nw_brand"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tb_networks->nw_brand->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_nw_date_receive"];
		if (elm && !ew_CheckDate(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_networks->nw_date_receive->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_nw_date_recieve"];
		if (elm && !ew_CheckDate(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_networks->nw_date_recieve->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_nw_cont_date_start"];
		if (elm && !ew_CheckDate(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_networks->nw_cont_date_start->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_nw_warranty"];
		if (elm && !ew_CheckNumber(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_networks->nw_warranty->FldErrMsg()) ?>");
		elm = fobj.elements["x" + infix + "_nw_price"];
		if (elm && !ew_CheckNumber(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tb_networks->nw_price->FldErrMsg()) ?>");

		// Set up row object
		ew_ElementsToRow(fobj, infix);

		// Fire Form_CustomValidate event
		if (!this.Form_CustomValidate(fobj))
			return false;
	}

	// Process detail page
	if (fobj.detailpage && fobj.detailpage.value && ewForms[fobj.detailpage.value])
		return ewForms[fobj.detailpage.value].Validate(fobj);
	return true;
}

// Form_CustomValidate event
ftb_networksedit.Form_CustomValidate =  
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }

// Use JavaScript validation or not
<?php if (EW_CLIENT_VALIDATE) { ?>
ftb_networksedit.ValidateRequired = true;
<?php } else { ?>
ftb_networksedit.ValidateRequired = false; 
<?php } ?>

// Dynamic selection lists
ftb_networksedit.Lists["x_nwt_id"] = {"LinkField":"x_nwt_id","Ajax":true,"AutoFill":false,"DisplayFields":["x_nwt_name","","",""],"ParentFields":[],"FilterFields":[],"Options":[]};
ftb_networksedit.Lists["x_cont_id"] = {"LinkField":"x_cont_id","Ajax":null,"AutoFill":false,"DisplayFields":["x_cont_num","x_cont_project","",""],"ParentFields":[],"FilterFields":[],"Options":[]};

// Form object for search
</script>
<script type="text/javascript">

// Write your client script here, no need to add script tags.
</script>
<p><span class="ewTitle ewTableTitle"><?php echo $Language->Phrase("Edit") ?>&nbsp;<?php echo $Language->Phrase("TblTypeTABLE") ?><?php echo $tb_networks->TableCaption() ?></span></p>
<p class="phpmaker"><a href="<?php echo $tb_networks->getReturnUrl() ?>"><?php echo $Language->Phrase("GoBack") ?></a></p>
<?php $tb_networks_edit->ShowPageHeader(); ?>
<?php
$tb_networks_edit->ShowMessage();
?>
<form name="ftb_networksedit" id="ftb_networksedit" class="ewForm" action="<?php echo ew_CurrentPage() ?>" method="post" onsubmit="return ewForms[this.id].Submit();">
<p>
<input type="hidden" name="t" value="tb_networks">
<input type="hidden" name="a_edit" id="a_edit" value="U">
<?php if ($tb_networks->CurrentAction == "F") { // Confirm page ?>
<input type="hidden" name="a_confirm" id="a_confirm" value="F">
<?php } ?>
<table cellspacing="0" class="ewGrid"><tr><td class="ewGridContent">
<div class="ewGridMiddlePanel">
<table cellspacing="0" id="tbl_tb_networksedit" class="ewTable">
<?php if ($tb_networks->nw_id->Visible) { // nw_id ?>
	<tr id="r_nw_id"<?php echo $tb_networks->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_networks_nw_id"><?php echo $tb_networks->nw_id->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></span></td>
		<td<?php echo $tb_networks->nw_id->CellAttributes() ?>><span id="el_tb_networks_nw_id">
<?php if ($tb_networks->CurrentAction <> "F") { ?>
<span<?php echo $tb_networks->nw_id->ViewAttributes() ?>>
<?php echo $tb_networks->nw_id->EditValue ?></span>
<input type="hidden" name="x_nw_id" id="x_nw_id" value="<?php echo ew_HtmlEncode($tb_networks->nw_id->CurrentValue) ?>">
<?php } else { ?>
<span<?php echo $tb_networks->nw_id->ViewAttributes() ?>>
<?php echo $tb_networks->nw_id->ViewValue ?></span>
<input type="hidden" name="x_nw_id" id="x_nw_id" value="<?php echo ew_HtmlEncode($tb_networks->nw_id->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_networks->nw_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_networks->court_id->Visible) { // court_id ?>
	<tr id="r_court_id"<?php echo $tb_networks->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_networks_court_id"><?php echo $tb_networks->court_id->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></span></td>
		<td<?php echo $tb_networks->court_id->CellAttributes() ?>><span id="el_tb_networks_court_id">
<?php if ($tb_networks->CurrentAction <> "F") { ?>
<input type="text" name="x_court_id" id="x_court_id" size="30" maxlength="10" value="<?php echo $tb_networks->court_id->EditValue ?>"<?php echo $tb_networks->court_id->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_networks->court_id->ViewAttributes() ?>>
<?php echo $tb_networks->court_id->ViewValue ?></span>
<input type="hidden" name="x_court_id" id="x_court_id" value="<?php echo ew_HtmlEncode($tb_networks->court_id->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_networks->court_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_networks->nwt_id->Visible) { // nwt_id ?>
	<tr id="r_nwt_id"<?php echo $tb_networks->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_networks_nwt_id"><?php echo $tb_networks->nwt_id->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></span></td>
		<td<?php echo $tb_networks->nwt_id->CellAttributes() ?>><span id="el_tb_networks_nwt_id">
<?php if ($tb_networks->CurrentAction <> "F") { ?>
<?php
	$wrkonchange = trim(" " . @$tb_networks->nwt_id->EditAttrs["onchange"]);
	if ($wrkonchange <> "") $wrkonchange = " onchange=\"" . ew_JsEncode2($wrkonchange) . "\"";
	$tb_networks->nwt_id->EditAttrs["onchange"] = "";
?>
<span id="as_x_nwt_id" style="white-space: nowrap; z-index: 8970">
	<input type="text" name="sv_x_nwt_id" id="sv_x_nwt_id" value="<?php echo $tb_networks->nwt_id->EditValue ?>" size="30" maxlength="10"<?php echo $tb_networks->nwt_id->EditAttributes() ?>>&nbsp;<span id="em_x_nwt_id" class="ewMessage" style="display: none"><?php echo str_replace("%f", "phpimages/", $Language->Phrase("UnmatchedValue")) ?></span>
	<div id="sc_x_nwt_id" style="z-index: 8970"></div>
</span>
<input type="hidden" name="x_nwt_id" id="x_nwt_id" value="<?php echo $tb_networks->nwt_id->CurrentValue ?>"<?php echo $wrkonchange ?>>
<?php
$sSqlWrk = "SELECT `nwt_id`, `nwt_name` FROM `tb_network_types`";
$sWhereWrk = "`nwt_name` LIKE '{query_value}%'";
if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
$sSqlWrk .= " LIMIT " . EW_AUTO_SUGGEST_MAX_ENTRIES;
?>
<input type="hidden" name="q_x_nwt_id" id="q_x_nwt_id" value="s=<?php echo TEAencrypt($sSqlWrk) ?>&fn=<?php echo urlencode($tb_networks->nwt_id->LookupFn) ?>">
<script type="text/javascript">
var oas = new ew_AutoSuggest("x_nwt_id", ftb_networksedit, false, EW_AUTO_SUGGEST_MAX_ENTRIES);
oas.formatResult = function(ar) {
	var dv = ar[1];
	for (var i = 2; i <= 4; i++)
		dv += (ar[i]) ? ew_ValueSeparator(i - 1, "x_nwt_id") + ar[i] : "";
	return dv;
}
oas.ac.typeAhead = false;
ftb_networksedit.AutoSuggests["x_nwt_id"] = oas;
</script>
<?php } else { ?>
<span<?php echo $tb_networks->nwt_id->ViewAttributes() ?>>
<?php echo $tb_networks->nwt_id->ViewValue ?></span>
<input type="hidden" name="x_nwt_id" id="x_nwt_id" value="<?php echo ew_HtmlEncode($tb_networks->nwt_id->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_networks->nwt_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_networks->nw_sn->Visible) { // nw_sn ?>
	<tr id="r_nw_sn"<?php echo $tb_networks->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_networks_nw_sn"><?php echo $tb_networks->nw_sn->FldCaption() ?></span></td>
		<td<?php echo $tb_networks->nw_sn->CellAttributes() ?>><span id="el_tb_networks_nw_sn">
<?php if ($tb_networks->CurrentAction <> "F") { ?>
<input type="text" name="x_nw_sn" id="x_nw_sn" size="30" maxlength="100" value="<?php echo $tb_networks->nw_sn->EditValue ?>"<?php echo $tb_networks->nw_sn->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_networks->nw_sn->ViewAttributes() ?>>
<?php echo $tb_networks->nw_sn->ViewValue ?></span>
<input type="hidden" name="x_nw_sn" id="x_nw_sn" value="<?php echo ew_HtmlEncode($tb_networks->nw_sn->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_networks->nw_sn->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_networks->nw_number->Visible) { // nw_number ?>
	<tr id="r_nw_number"<?php echo $tb_networks->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_networks_nw_number"><?php echo $tb_networks->nw_number->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></span></td>
		<td<?php echo $tb_networks->nw_number->CellAttributes() ?>><span id="el_tb_networks_nw_number">
<?php if ($tb_networks->CurrentAction <> "F") { ?>
<input type="text" name="x_nw_number" id="x_nw_number" size="30" maxlength="100" value="<?php echo $tb_networks->nw_number->EditValue ?>"<?php echo $tb_networks->nw_number->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_networks->nw_number->ViewAttributes() ?>>
<?php echo $tb_networks->nw_number->ViewValue ?></span>
<input type="hidden" name="x_nw_number" id="x_nw_number" value="<?php echo ew_HtmlEncode($tb_networks->nw_number->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_networks->nw_number->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_networks->nw_brand->Visible) { // nw_brand ?>
	<tr id="r_nw_brand"<?php echo $tb_networks->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_networks_nw_brand"><?php echo $tb_networks->nw_brand->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></span></td>
		<td<?php echo $tb_networks->nw_brand->CellAttributes() ?>><span id="el_tb_networks_nw_brand">
<?php if ($tb_networks->CurrentAction <> "F") { ?>
<input type="text" name="x_nw_brand" id="x_nw_brand" size="30" maxlength="200" value="<?php echo $tb_networks->nw_brand->EditValue ?>"<?php echo $tb_networks->nw_brand->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_networks->nw_brand->ViewAttributes() ?>>
<?php echo $tb_networks->nw_brand->ViewValue ?></span>
<input type="hidden" name="x_nw_brand" id="x_nw_brand" value="<?php echo ew_HtmlEncode($tb_networks->nw_brand->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_networks->nw_brand->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_networks->nw_model->Visible) { // nw_model ?>
	<tr id="r_nw_model"<?php echo $tb_networks->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_networks_nw_model"><?php echo $tb_networks->nw_model->FldCaption() ?></span></td>
		<td<?php echo $tb_networks->nw_model->CellAttributes() ?>><span id="el_tb_networks_nw_model">
<?php if ($tb_networks->CurrentAction <> "F") { ?>
<input type="text" name="x_nw_model" id="x_nw_model" size="30" maxlength="200" value="<?php echo $tb_networks->nw_model->EditValue ?>"<?php echo $tb_networks->nw_model->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_networks->nw_model->ViewAttributes() ?>>
<?php echo $tb_networks->nw_model->ViewValue ?></span>
<input type="hidden" name="x_nw_model" id="x_nw_model" value="<?php echo ew_HtmlEncode($tb_networks->nw_model->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_networks->nw_model->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_networks->nw_desc->Visible) { // nw_desc ?>
	<tr id="r_nw_desc"<?php echo $tb_networks->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_networks_nw_desc"><?php echo $tb_networks->nw_desc->FldCaption() ?></span></td>
		<td<?php echo $tb_networks->nw_desc->CellAttributes() ?>><span id="el_tb_networks_nw_desc">
<?php if ($tb_networks->CurrentAction <> "F") { ?>
<input type="text" name="x_nw_desc" id="x_nw_desc" size="30" maxlength="200" value="<?php echo $tb_networks->nw_desc->EditValue ?>"<?php echo $tb_networks->nw_desc->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_networks->nw_desc->ViewAttributes() ?>>
<?php echo $tb_networks->nw_desc->ViewValue ?></span>
<input type="hidden" name="x_nw_desc" id="x_nw_desc" value="<?php echo ew_HtmlEncode($tb_networks->nw_desc->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_networks->nw_desc->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_networks->nw_date_receive->Visible) { // nw_date_receive ?>
	<tr id="r_nw_date_receive"<?php echo $tb_networks->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_networks_nw_date_receive"><?php echo $tb_networks->nw_date_receive->FldCaption() ?></span></td>
		<td<?php echo $tb_networks->nw_date_receive->CellAttributes() ?>><span id="el_tb_networks_nw_date_receive">
<?php if ($tb_networks->CurrentAction <> "F") { ?>
<input type="text" name="x_nw_date_receive" id="x_nw_date_receive" value="<?php echo $tb_networks->nw_date_receive->EditValue ?>"<?php echo $tb_networks->nw_date_receive->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_networks->nw_date_receive->ViewAttributes() ?>>
<?php echo $tb_networks->nw_date_receive->ViewValue ?></span>
<input type="hidden" name="x_nw_date_receive" id="x_nw_date_receive" value="<?php echo ew_HtmlEncode($tb_networks->nw_date_receive->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_networks->nw_date_receive->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_networks->plt_id->Visible) { // plt_id ?>
	<tr id="r_plt_id"<?php echo $tb_networks->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_networks_plt_id"><?php echo $tb_networks->plt_id->FldCaption() ?></span></td>
		<td<?php echo $tb_networks->plt_id->CellAttributes() ?>><span id="el_tb_networks_plt_id">
<?php if ($tb_networks->CurrentAction <> "F") { ?>
<input type="text" name="x_plt_id" id="x_plt_id" size="30" maxlength="10" value="<?php echo $tb_networks->plt_id->EditValue ?>"<?php echo $tb_networks->plt_id->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_networks->plt_id->ViewAttributes() ?>>
<?php echo $tb_networks->plt_id->ViewValue ?></span>
<input type="hidden" name="x_plt_id" id="x_plt_id" value="<?php echo ew_HtmlEncode($tb_networks->plt_id->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_networks->plt_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_networks->nw_year->Visible) { // nw_year ?>
	<tr id="r_nw_year"<?php echo $tb_networks->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_networks_nw_year"><?php echo $tb_networks->nw_year->FldCaption() ?></span></td>
		<td<?php echo $tb_networks->nw_year->CellAttributes() ?>><span id="el_tb_networks_nw_year">
<?php if ($tb_networks->CurrentAction <> "F") { ?>
<input type="text" name="x_nw_year" id="x_nw_year" size="30" maxlength="4" value="<?php echo $tb_networks->nw_year->EditValue ?>"<?php echo $tb_networks->nw_year->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_networks->nw_year->ViewAttributes() ?>>
<?php echo $tb_networks->nw_year->ViewValue ?></span>
<input type="hidden" name="x_nw_year" id="x_nw_year" value="<?php echo ew_HtmlEncode($tb_networks->nw_year->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_networks->nw_year->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_networks->nw_date_recieve->Visible) { // nw_date_recieve ?>
	<tr id="r_nw_date_recieve"<?php echo $tb_networks->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_networks_nw_date_recieve"><?php echo $tb_networks->nw_date_recieve->FldCaption() ?></span></td>
		<td<?php echo $tb_networks->nw_date_recieve->CellAttributes() ?>><span id="el_tb_networks_nw_date_recieve">
<?php if ($tb_networks->CurrentAction <> "F") { ?>
<input type="text" name="x_nw_date_recieve" id="x_nw_date_recieve" value="<?php echo $tb_networks->nw_date_recieve->EditValue ?>"<?php echo $tb_networks->nw_date_recieve->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_networks->nw_date_recieve->ViewAttributes() ?>>
<?php echo $tb_networks->nw_date_recieve->ViewValue ?></span>
<input type="hidden" name="x_nw_date_recieve" id="x_nw_date_recieve" value="<?php echo ew_HtmlEncode($tb_networks->nw_date_recieve->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_networks->nw_date_recieve->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_networks->nw_cont_date_start->Visible) { // nw_cont_date_start ?>
	<tr id="r_nw_cont_date_start"<?php echo $tb_networks->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_networks_nw_cont_date_start"><?php echo $tb_networks->nw_cont_date_start->FldCaption() ?></span></td>
		<td<?php echo $tb_networks->nw_cont_date_start->CellAttributes() ?>><span id="el_tb_networks_nw_cont_date_start">
<?php if ($tb_networks->CurrentAction <> "F") { ?>
<input type="text" name="x_nw_cont_date_start" id="x_nw_cont_date_start" value="<?php echo $tb_networks->nw_cont_date_start->EditValue ?>"<?php echo $tb_networks->nw_cont_date_start->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_networks->nw_cont_date_start->ViewAttributes() ?>>
<?php echo $tb_networks->nw_cont_date_start->ViewValue ?></span>
<input type="hidden" name="x_nw_cont_date_start" id="x_nw_cont_date_start" value="<?php echo ew_HtmlEncode($tb_networks->nw_cont_date_start->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_networks->nw_cont_date_start->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_networks->nw_warranty->Visible) { // nw_warranty ?>
	<tr id="r_nw_warranty"<?php echo $tb_networks->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_networks_nw_warranty"><?php echo $tb_networks->nw_warranty->FldCaption() ?></span></td>
		<td<?php echo $tb_networks->nw_warranty->CellAttributes() ?>><span id="el_tb_networks_nw_warranty">
<?php if ($tb_networks->CurrentAction <> "F") { ?>
<input type="text" name="x_nw_warranty" id="x_nw_warranty" size="30" value="<?php echo $tb_networks->nw_warranty->EditValue ?>"<?php echo $tb_networks->nw_warranty->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_networks->nw_warranty->ViewAttributes() ?>>
<?php echo $tb_networks->nw_warranty->ViewValue ?></span>
<input type="hidden" name="x_nw_warranty" id="x_nw_warranty" value="<?php echo ew_HtmlEncode($tb_networks->nw_warranty->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_networks->nw_warranty->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_networks->cont_id->Visible) { // cont_id ?>
	<tr id="r_cont_id"<?php echo $tb_networks->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_networks_cont_id"><?php echo $tb_networks->cont_id->FldCaption() ?></span></td>
		<td<?php echo $tb_networks->cont_id->CellAttributes() ?>><span id="el_tb_networks_cont_id">
<?php if ($tb_networks->CurrentAction <> "F") { ?>
<select id="x_cont_id" name="x_cont_id"<?php echo $tb_networks->cont_id->EditAttributes() ?>>
<?php
if (is_array($tb_networks->cont_id->EditValue)) {
	$arwrk = $tb_networks->cont_id->EditValue;
	$rowswrk = count($arwrk);
	$emptywrk = TRUE;
	for ($rowcntwrk = 0; $rowcntwrk < $rowswrk; $rowcntwrk++) {
		$selwrk = (strval($tb_networks->cont_id->CurrentValue) == strval($arwrk[$rowcntwrk][0])) ? " selected=\"selected\"" : "";
		if ($selwrk <> "") $emptywrk = FALSE;
?>
<option value="<?php echo ew_HtmlEncode($arwrk[$rowcntwrk][0]) ?>"<?php echo $selwrk ?>>
<?php echo $arwrk[$rowcntwrk][1] ?>
<?php if ($arwrk[$rowcntwrk][2] <> "") { ?>
<?php echo ew_ValueSeparator(1,$tb_networks->cont_id) ?><?php echo $arwrk[$rowcntwrk][2] ?>
<?php } ?>
</option>
<?php
	}
}
?>
</select>
<script type="text/javascript">
ftb_networksedit.Lists["x_cont_id"].Options = <?php echo (is_array($tb_networks->cont_id->EditValue)) ? ew_ArrayToJson($tb_networks->cont_id->EditValue, 1) : "[]" ?>;
</script>
<?php } else { ?>
<span<?php echo $tb_networks->cont_id->ViewAttributes() ?>>
<?php echo $tb_networks->cont_id->ViewValue ?></span>
<input type="hidden" name="x_cont_id" id="x_cont_id" value="<?php echo ew_HtmlEncode($tb_networks->cont_id->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_networks->cont_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_networks->nw_price->Visible) { // nw_price ?>
	<tr id="r_nw_price"<?php echo $tb_networks->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_networks_nw_price"><?php echo $tb_networks->nw_price->FldCaption() ?></span></td>
		<td<?php echo $tb_networks->nw_price->CellAttributes() ?>><span id="el_tb_networks_nw_price">
<?php if ($tb_networks->CurrentAction <> "F") { ?>
<input type="text" name="x_nw_price" id="x_nw_price" size="30" value="<?php echo $tb_networks->nw_price->EditValue ?>"<?php echo $tb_networks->nw_price->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_networks->nw_price->ViewAttributes() ?>>
<?php echo $tb_networks->nw_price->ViewValue ?></span>
<input type="hidden" name="x_nw_price" id="x_nw_price" value="<?php echo ew_HtmlEncode($tb_networks->nw_price->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_networks->nw_price->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_networks->nw_origin->Visible) { // nw_origin ?>
	<tr id="r_nw_origin"<?php echo $tb_networks->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_networks_nw_origin"><?php echo $tb_networks->nw_origin->FldCaption() ?></span></td>
		<td<?php echo $tb_networks->nw_origin->CellAttributes() ?>><span id="el_tb_networks_nw_origin">
<?php if ($tb_networks->CurrentAction <> "F") { ?>
<div id="tp_x_nw_origin" class="<?php echo EW_ITEM_TEMPLATE_CLASSNAME ?>"><input type="radio" name="x_nw_origin" id="x_nw_origin" value="{value}"<?php echo $tb_networks->nw_origin->EditAttributes() ?>></div>
<div id="dsl_x_nw_origin" data-repeatcolumn="5" class="ewItemList">
<?php
$arwrk = $tb_networks->nw_origin->EditValue;
if (is_array($arwrk)) {
	$rowswrk = count($arwrk);
	$emptywrk = TRUE;
	for ($rowcntwrk = 0; $rowcntwrk < $rowswrk; $rowcntwrk++) {
		$selwrk = (strval($tb_networks->nw_origin->CurrentValue) == strval($arwrk[$rowcntwrk][0])) ? " checked=\"checked\"" : "";
		if ($selwrk <> "") $emptywrk = FALSE;

		// Note: No spacing within the LABEL tag
?>
<?php echo ew_RepeatColumnTable($rowswrk, $rowcntwrk, 5, 1) ?>
<label><input type="radio" name="x_nw_origin" id="x_nw_origin" value="<?php echo ew_HtmlEncode($arwrk[$rowcntwrk][0]) ?>"<?php echo $selwrk ?><?php echo $tb_networks->nw_origin->EditAttributes() ?>><?php echo $arwrk[$rowcntwrk][1] ?></label>
<?php echo ew_RepeatColumnTable($rowswrk, $rowcntwrk, 5, 2) ?>
<?php
	}
}
?>
</div>
<?php } else { ?>
<span<?php echo $tb_networks->nw_origin->ViewAttributes() ?>>
<?php echo $tb_networks->nw_origin->ViewValue ?></span>
<input type="hidden" name="x_nw_origin" id="x_nw_origin" value="<?php echo ew_HtmlEncode($tb_networks->nw_origin->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_networks->nw_origin->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_networks->nw_present->Visible) { // nw_present ?>
	<tr id="r_nw_present"<?php echo $tb_networks->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_networks_nw_present"><?php echo $tb_networks->nw_present->FldCaption() ?></span></td>
		<td<?php echo $tb_networks->nw_present->CellAttributes() ?>><span id="el_tb_networks_nw_present">
<?php if ($tb_networks->CurrentAction <> "F") { ?>
<div id="tp_x_nw_present" class="<?php echo EW_ITEM_TEMPLATE_CLASSNAME ?>"><input type="radio" name="x_nw_present" id="x_nw_present" value="{value}"<?php echo $tb_networks->nw_present->EditAttributes() ?>></div>
<div id="dsl_x_nw_present" data-repeatcolumn="5" class="ewItemList">
<?php
$arwrk = $tb_networks->nw_present->EditValue;
if (is_array($arwrk)) {
	$rowswrk = count($arwrk);
	$emptywrk = TRUE;
	for ($rowcntwrk = 0; $rowcntwrk < $rowswrk; $rowcntwrk++) {
		$selwrk = (strval($tb_networks->nw_present->CurrentValue) == strval($arwrk[$rowcntwrk][0])) ? " checked=\"checked\"" : "";
		if ($selwrk <> "") $emptywrk = FALSE;

		// Note: No spacing within the LABEL tag
?>
<?php echo ew_RepeatColumnTable($rowswrk, $rowcntwrk, 5, 1) ?>
<label><input type="radio" name="x_nw_present" id="x_nw_present" value="<?php echo ew_HtmlEncode($arwrk[$rowcntwrk][0]) ?>"<?php echo $selwrk ?><?php echo $tb_networks->nw_present->EditAttributes() ?>><?php echo $arwrk[$rowcntwrk][1] ?></label>
<?php echo ew_RepeatColumnTable($rowswrk, $rowcntwrk, 5, 2) ?>
<?php
	}
}
?>
</div>
<?php } else { ?>
<span<?php echo $tb_networks->nw_present->ViewAttributes() ?>>
<?php echo $tb_networks->nw_present->ViewValue ?></span>
<input type="hidden" name="x_nw_present" id="x_nw_present" value="<?php echo ew_HtmlEncode($tb_networks->nw_present->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_networks->nw_present->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tb_networks->nw_comment->Visible) { // nw_comment ?>
	<tr id="r_nw_comment"<?php echo $tb_networks->RowAttributes() ?>>
		<td class="ewTableHeader"><span id="elh_tb_networks_nw_comment"><?php echo $tb_networks->nw_comment->FldCaption() ?></span></td>
		<td<?php echo $tb_networks->nw_comment->CellAttributes() ?>><span id="el_tb_networks_nw_comment">
<?php if ($tb_networks->CurrentAction <> "F") { ?>
<input type="text" name="x_nw_comment" id="x_nw_comment" size="30" maxlength="200" value="<?php echo $tb_networks->nw_comment->EditValue ?>"<?php echo $tb_networks->nw_comment->EditAttributes() ?>>
<?php } else { ?>
<span<?php echo $tb_networks->nw_comment->ViewAttributes() ?>>
<?php echo $tb_networks->nw_comment->ViewValue ?></span>
<input type="hidden" name="x_nw_comment" id="x_nw_comment" value="<?php echo ew_HtmlEncode($tb_networks->nw_comment->FormValue) ?>">
<?php } ?>
</span><?php echo $tb_networks->nw_comment->CustomMsg ?></td>
	</tr>
<?php } ?>
</table>
</div>
</td></tr></table>
<p>
<?php if ($tb_networks->CurrentAction <> "F") { // Confirm page ?>
<input type="submit" name="btnAction" id="btnAction" value="<?php echo ew_BtnCaption($Language->Phrase("EditBtn")) ?>" onclick="this.form.a_edit.value='F';">
<?php } else { ?>
<input type="submit" name="btnCancel" id="btnCancel" value="<?php echo ew_BtnCaption($Language->Phrase("CancelBtn")) ?>" onclick="this.form.a_edit.value='X';">
<input type="submit" name="btnAction" id="btnAction" value="<?php echo ew_BtnCaption($Language->Phrase("ConfirmBtn")) ?>">
<?php } ?>
</form>
<script type="text/javascript">
ftb_networksedit.Init();
</script>
<?php
$tb_networks_edit->ShowPageFooter();
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
?>
<script type="text/javascript">

// Write your table-specific startup script here
// document.write("page loaded");

</script>
<?php include_once "footer.php" ?>
<?php
$tb_networks_edit->Page_Terminate();
?>
