<?php

// Global variable for table object
$tb_notebooks = NULL;

//
// Table class for tb_notebooks
//
class ctb_notebooks extends cTable {
	var $nb_id;
	var $court_id;
	var $cont_id;
	var $plt_id;
	var $nb_number;
	var $nb_sn;
	var $nb_brand;
	var $mdt_id;
	var $nb_hdd;
	var $nb_speed;
	var $nb_ram;
	var $nb_work;
	var $nb_accessories;
	var $nb_os;
	var $nb_year;
	var $nb_date_recieve;
	var $nb_contract_start;
	var $nb_warranty;
	var $nb_price;
	var $nb_origin;
	var $nb_present;
	var $nb_comment;

	//
	// Table class constructor
	//
	function __construct() {
		global $Language;

		// Language object
		if (!isset($Language)) $Language = new cLanguage();
		$this->TableVar = 'tb_notebooks';
		$this->TableName = 'tb_notebooks';
		$this->TableType = 'TABLE';
		$this->ExportAll = TRUE;
		$this->ExportPageBreakCount = 0; // Page break per every n record (PDF only)
		$this->ExportPageOrientation = "portrait"; // Page orientation (PDF only)
		$this->ExportPageSize = "a4"; // Page size (PDF only)
		$this->DetailAdd = FALSE; // Allow detail add
		$this->DetailEdit = FALSE; // Allow detail edit
		$this->GridAddRowCount = 5;
		$this->AllowAddDeleteRow = ew_AllowAddDeleteRow(); // Allow add/delete row

		// nb_id
		$this->nb_id = new cField('tb_notebooks', 'tb_notebooks', 'x_nb_id', 'nb_id', '`nb_id`', '`nb_id`', 200, -1, FALSE, '`nb_id`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['nb_id'] = &$this->nb_id;

		// court_id
		$this->court_id = new cField('tb_notebooks', 'tb_notebooks', 'x_court_id', 'court_id', '`court_id`', '`court_id`', 200, -1, FALSE, '`court_id`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['court_id'] = &$this->court_id;

		// cont_id
		$this->cont_id = new cField('tb_notebooks', 'tb_notebooks', 'x_cont_id', 'cont_id', '`cont_id`', '`cont_id`', 3, -1, FALSE, '`cont_id`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->cont_id->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['cont_id'] = &$this->cont_id;

		// plt_id
		$this->plt_id = new cField('tb_notebooks', 'tb_notebooks', 'x_plt_id', 'plt_id', '`plt_id`', '`plt_id`', 200, -1, FALSE, '`plt_id`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['plt_id'] = &$this->plt_id;

		// nb_number
		$this->nb_number = new cField('tb_notebooks', 'tb_notebooks', 'x_nb_number', 'nb_number', '`nb_number`', '`nb_number`', 200, -1, FALSE, '`nb_number`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['nb_number'] = &$this->nb_number;

		// nb_sn
		$this->nb_sn = new cField('tb_notebooks', 'tb_notebooks', 'x_nb_sn', 'nb_sn', '`nb_sn`', '`nb_sn`', 200, -1, FALSE, '`nb_sn`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['nb_sn'] = &$this->nb_sn;

		// nb_brand
		$this->nb_brand = new cField('tb_notebooks', 'tb_notebooks', 'x_nb_brand', 'nb_brand', '`nb_brand`', '`nb_brand`', 200, -1, FALSE, '`nb_brand`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['nb_brand'] = &$this->nb_brand;

		// mdt_id
		$this->mdt_id = new cField('tb_notebooks', 'tb_notebooks', 'x_mdt_id', 'mdt_id', '`mdt_id`', '`mdt_id`', 200, -1, FALSE, '`mdt_id`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['mdt_id'] = &$this->mdt_id;

		// nb_hdd
		$this->nb_hdd = new cField('tb_notebooks', 'tb_notebooks', 'x_nb_hdd', 'nb_hdd', '`nb_hdd`', '`nb_hdd`', 200, -1, FALSE, '`nb_hdd`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['nb_hdd'] = &$this->nb_hdd;

		// nb_speed
		$this->nb_speed = new cField('tb_notebooks', 'tb_notebooks', 'x_nb_speed', 'nb_speed', '`nb_speed`', '`nb_speed`', 200, -1, FALSE, '`nb_speed`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['nb_speed'] = &$this->nb_speed;

		// nb_ram
		$this->nb_ram = new cField('tb_notebooks', 'tb_notebooks', 'x_nb_ram', 'nb_ram', '`nb_ram`', '`nb_ram`', 200, -1, FALSE, '`nb_ram`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['nb_ram'] = &$this->nb_ram;

		// nb_work
		$this->nb_work = new cField('tb_notebooks', 'tb_notebooks', 'x_nb_work', 'nb_work', '`nb_work`', '`nb_work`', 200, -1, FALSE, '`nb_work`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['nb_work'] = &$this->nb_work;

		// nb_accessories
		$this->nb_accessories = new cField('tb_notebooks', 'tb_notebooks', 'x_nb_accessories', 'nb_accessories', '`nb_accessories`', '`nb_accessories`', 3, -1, FALSE, '`nb_accessories`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->nb_accessories->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['nb_accessories'] = &$this->nb_accessories;

		// nb_os
		$this->nb_os = new cField('tb_notebooks', 'tb_notebooks', 'x_nb_os', 'nb_os', '`nb_os`', '`nb_os`', 200, -1, FALSE, '`nb_os`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['nb_os'] = &$this->nb_os;

		// nb_year
		$this->nb_year = new cField('tb_notebooks', 'tb_notebooks', 'x_nb_year', 'nb_year', '`nb_year`', '`nb_year`', 200, -1, FALSE, '`nb_year`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['nb_year'] = &$this->nb_year;

		// nb_date_recieve
		$this->nb_date_recieve = new cField('tb_notebooks', 'tb_notebooks', 'x_nb_date_recieve', 'nb_date_recieve', '`nb_date_recieve`', 'DATE_FORMAT(`nb_date_recieve`, \'%Y/%m/%d %H:%i:%s\')', 133, 5, FALSE, '`nb_date_recieve`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->nb_date_recieve->FldDefaultErrMsg = str_replace("%s", "/", $Language->Phrase("IncorrectDateYMD"));
		$this->fields['nb_date_recieve'] = &$this->nb_date_recieve;

		// nb_contract_start
		$this->nb_contract_start = new cField('tb_notebooks', 'tb_notebooks', 'x_nb_contract_start', 'nb_contract_start', '`nb_contract_start`', 'DATE_FORMAT(`nb_contract_start`, \'%Y/%m/%d %H:%i:%s\')', 133, 5, FALSE, '`nb_contract_start`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->nb_contract_start->FldDefaultErrMsg = str_replace("%s", "/", $Language->Phrase("IncorrectDateYMD"));
		$this->fields['nb_contract_start'] = &$this->nb_contract_start;

		// nb_warranty
		$this->nb_warranty = new cField('tb_notebooks', 'tb_notebooks', 'x_nb_warranty', 'nb_warranty', '`nb_warranty`', '`nb_warranty`', 131, -1, FALSE, '`nb_warranty`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->nb_warranty->FldDefaultErrMsg = $Language->Phrase("IncorrectFloat");
		$this->fields['nb_warranty'] = &$this->nb_warranty;

		// nb_price
		$this->nb_price = new cField('tb_notebooks', 'tb_notebooks', 'x_nb_price', 'nb_price', '`nb_price`', '`nb_price`', 131, -1, FALSE, '`nb_price`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->nb_price->FldDefaultErrMsg = $Language->Phrase("IncorrectFloat");
		$this->fields['nb_price'] = &$this->nb_price;

		// nb_origin
		$this->nb_origin = new cField('tb_notebooks', 'tb_notebooks', 'x_nb_origin', 'nb_origin', '`nb_origin`', '`nb_origin`', 3, -1, FALSE, '`nb_origin`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->nb_origin->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['nb_origin'] = &$this->nb_origin;

		// nb_present
		$this->nb_present = new cField('tb_notebooks', 'tb_notebooks', 'x_nb_present', 'nb_present', '`nb_present`', '`nb_present`', 3, -1, FALSE, '`nb_present`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->nb_present->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['nb_present'] = &$this->nb_present;

		// nb_comment
		$this->nb_comment = new cField('tb_notebooks', 'tb_notebooks', 'x_nb_comment', 'nb_comment', '`nb_comment`', '`nb_comment`', 200, -1, FALSE, '`nb_comment`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['nb_comment'] = &$this->nb_comment;
	}

	// Single column sort
	function UpdateSort(&$ofld) {
		if ($this->CurrentOrder == $ofld->FldName) {
			$sSortField = $ofld->FldExpression;
			$sLastSort = $ofld->getSort();
			if ($this->CurrentOrderType == "ASC" || $this->CurrentOrderType == "DESC") {
				$sThisSort = $this->CurrentOrderType;
			} else {
				$sThisSort = ($sLastSort == "ASC") ? "DESC" : "ASC";
			}
			$ofld->setSort($sThisSort);
			$this->setSessionOrderBy($sSortField . " " . $sThisSort); // Save to Session
		} else {
			$ofld->setSort("");
		}
	}

	// Table level SQL
	function SqlFrom() { // From
		return "`tb_notebooks`";
	}

	function SqlSelect() { // Select
		return "SELECT * FROM " . $this->SqlFrom();
	}

	function SqlWhere() { // Where
		$sWhere = "";
		$this->TableFilter = "";
		ew_AddFilter($sWhere, $this->TableFilter);
		return $sWhere;
	}

	function SqlGroupBy() { // Group By
		return "";
	}

	function SqlHaving() { // Having
		return "";
	}

	function SqlOrderBy() { // Order By
		return "";
	}

	// Check if Anonymous User is allowed
	function AllowAnonymousUser() {
		switch (@$this->PageID) {
			case "add":
			case "register":
			case "addopt":
				return FALSE;
			case "edit":
			case "update":
			case "changepwd":
			case "forgotpwd":
				return FALSE;
			case "delete":
				return FALSE;
			case "view":
				return FALSE;
			case "search":
				return FALSE;
			default:
				return FALSE;
		}
	}

	// Apply User ID filters
	function ApplyUserIDFilters($sFilter) {
		return $sFilter;
	}

	// Check if User ID security allows view all
	function UserIDAllow($id = "") {
		return TRUE;
	}

	// Get SQL
	function GetSQL($where, $orderby) {
		return ew_BuildSelectSql($this->SqlSelect(), $this->SqlWhere(),
			$this->SqlGroupBy(), $this->SqlHaving(), $this->SqlOrderBy(),
			$where, $orderby);
	}

	// Table SQL
	function SQL() {
		$sFilter = $this->CurrentFilter;
		$sFilter = $this->ApplyUserIDFilters($sFilter);
		$sSort = $this->getSessionOrderBy();
		return ew_BuildSelectSql($this->SqlSelect(), $this->SqlWhere(),
			$this->SqlGroupBy(), $this->SqlHaving(), $this->SqlOrderBy(),
			$sFilter, $sSort);
	}

	// Table SQL with List page filter
	function SelectSQL() {
		$sFilter = $this->getSessionWhere();
		ew_AddFilter($sFilter, $this->CurrentFilter);
		$sFilter = $this->ApplyUserIDFilters($sFilter);
		$sSort = $this->getSessionOrderBy();
		return ew_BuildSelectSql($this->SqlSelect(), $this->SqlWhere(), $this->SqlGroupBy(),
			$this->SqlHaving(), $this->SqlOrderBy(), $sFilter, $sSort);
	}

	// Get ORDER BY clause
	function GetOrderBy() {
		$sSort = $this->getSessionOrderBy();
		return ew_BuildSelectSql("", "", "", "", $this->SqlOrderBy(), "", $sSort);
	}

	// Try to get record count
	function TryGetRecordCount($sSql) {
		global $conn;
		$cnt = -1;
		if ($this->TableType == 'TABLE' || $this->TableType == 'VIEW') {
			$sSql = "SELECT COUNT(*) FROM" . substr($sSql, 13);
			$sOrderBy = $this->GetOrderBy();
			if (substr($sSql, strlen($sOrderBy) * -1) == $sOrderBy)
				$sSql = substr($sSql, 0, strlen($sSql) - strlen($sOrderBy)); // Remove ORDER BY clause
		} else {
			$sSql = "SELECT COUNT(*) FROM (" . $sSql . ") EW_COUNT_TABLE";
		}
		if ($rs = $conn->Execute($sSql)) {
			if (!$rs->EOF && $rs->FieldCount() > 0) {
				$cnt = $rs->fields[0];
				$rs->Close();
			}
		}
		return intval($cnt);
	}

	// Get record count based on filter (for detail record count in master table pages)
	function LoadRecordCount($sFilter) {
		$origFilter = $this->CurrentFilter;
		$this->CurrentFilter = $sFilter;
		$this->Recordset_Selecting($this->CurrentFilter);

		//$sSql = $this->SQL();
		$sSql = $this->GetSQL($this->CurrentFilter, "");
		$cnt = $this->TryGetRecordCount($sSql);
		if ($cnt == -1) {
			if ($rs = $this->LoadRs($this->CurrentFilter)) {
				$cnt = $rs->RecordCount();
				$rs->Close();
			}
		}
		$this->CurrentFilter = $origFilter;
		return intval($cnt);
	}

	// Get record count (for current List page)
	function SelectRecordCount() {
		global $conn;
		$origFilter = $this->CurrentFilter;
		$this->Recordset_Selecting($this->CurrentFilter);
		$sSql = $this->SelectSQL();
		$cnt = $this->TryGetRecordCount($sSql);
		if ($cnt == -1) {
			if ($rs = $conn->Execute($sSql)) {
				$cnt = $rs->RecordCount();
				$rs->Close();
			}
		}
		$this->CurrentFilter = $origFilter;
		return intval($cnt);
	}

	// Update Table
	var $UpdateTable = "`tb_notebooks`";

	// INSERT statement
	function InsertSQL(&$rs) {
		global $conn;
		$names = "";
		$values = "";
		foreach ($rs as $name => $value) {
			if (!isset($this->fields[$name]))
				continue;
			$names .= $this->fields[$name]->FldExpression . ",";
			$values .= ew_QuotedValue($value, $this->fields[$name]->FldDataType) . ",";
		}
		while (substr($names, -1) == ",")
			$names = substr($names, 0, -1);
		while (substr($values, -1) == ",")
			$values = substr($values, 0, -1);
		return "INSERT INTO " . $this->UpdateTable . " ($names) VALUES ($values)";
	}

	// Insert
	function Insert(&$rs) {
		global $conn;
		return $conn->Execute($this->InsertSQL($rs));
	}

	// UPDATE statement
	function UpdateSQL(&$rs, $where = "") {
		$sql = "UPDATE " . $this->UpdateTable . " SET ";
		foreach ($rs as $name => $value) {
			if (!isset($this->fields[$name]))
				continue;
			$sql .= $this->fields[$name]->FldExpression . "=";
			$sql .= ew_QuotedValue($value, $this->fields[$name]->FldDataType) . ",";
		}
		while (substr($sql, -1) == ",")
			$sql = substr($sql, 0, -1);
		$filter = $this->CurrentFilter;
		ew_AddFilter($filter, $where);
		if ($filter <> "")	$sql .= " WHERE " . $filter;
		return $sql;
	}

	// Update
	function Update(&$rs, $where = "") {
		global $conn;
		return $conn->Execute($this->UpdateSQL($rs, $where));
	}

	// DELETE statement
	function DeleteSQL(&$rs, $where = "") {
		$sql = "DELETE FROM " . $this->UpdateTable . " WHERE ";
		if ($rs) {
			$sql .= ew_QuotedName('nb_id') . '=' . ew_QuotedValue($rs['nb_id'], $this->nb_id->FldDataType) . ' AND ';
		}
		if (substr($sql, -5) == " AND ") $sql = substr($sql, 0, -5);
		$filter = $this->CurrentFilter;
		ew_AddFilter($filter, $where);
		if ($filter <> "")	$sql .= " AND " . $filter;
		return $sql;
	}

	// Delete
	function Delete(&$rs, $where = "") {
		global $conn;
		return $conn->Execute($this->DeleteSQL($rs, $where));
	}

	// Key filter WHERE clause
	function SqlKeyFilter() {
		return "`nb_id` = '@nb_id@'";
	}

	// Key filter
	function KeyFilter() {
		$sKeyFilter = $this->SqlKeyFilter();
		$sKeyFilter = str_replace("@nb_id@", ew_AdjustSql($this->nb_id->CurrentValue), $sKeyFilter); // Replace key value
		return $sKeyFilter;
	}

	// Return page URL
	function getReturnUrl() {
		$name = EW_PROJECT_NAME . "_" . $this->TableVar . "_" . EW_TABLE_RETURN_URL;

		// Get referer URL automatically
		if (ew_ServerVar("HTTP_REFERER") <> "" && ew_ReferPage() <> ew_CurrentPage() && ew_ReferPage() <> "login.php") // Referer not same page or login page
			$_SESSION[$name] = ew_ServerVar("HTTP_REFERER"); // Save to Session
		if (@$_SESSION[$name] <> "") {
			return $_SESSION[$name];
		} else {
			return "tb_notebookslist.php";
		}
	}

	function setReturnUrl($v) {
		$_SESSION[EW_PROJECT_NAME . "_" . $this->TableVar . "_" . EW_TABLE_RETURN_URL] = $v;
	}

	// List URL
	function GetListUrl() {
		return "tb_notebookslist.php";
	}

	// View URL
	function GetViewUrl() {
		return $this->KeyUrl("tb_notebooksview.php", $this->UrlParm());
	}

	// Add URL
	function GetAddUrl() {
		return "tb_notebooksadd.php";
	}

	// Edit URL
	function GetEditUrl($parm = "") {
		return $this->KeyUrl("tb_notebooksedit.php", $this->UrlParm($parm));
	}

	// Inline edit URL
	function GetInlineEditUrl() {
		return $this->KeyUrl(ew_CurrentPage(), $this->UrlParm("a=edit"));
	}

	// Copy URL
	function GetCopyUrl($parm = "") {
		return $this->KeyUrl("tb_notebooksadd.php", $this->UrlParm($parm));
	}

	// Inline copy URL
	function GetInlineCopyUrl() {
		return $this->KeyUrl(ew_CurrentPage(), $this->UrlParm("a=copy"));
	}

	// Delete URL
	function GetDeleteUrl() {
		return $this->KeyUrl("tb_notebooksdelete.php", $this->UrlParm());
	}

	// Add key value to URL
	function KeyUrl($url, $parm = "") {
		$sUrl = $url . "?";
		if ($parm <> "") $sUrl .= $parm . "&";
		if (!is_null($this->nb_id->CurrentValue)) {
			$sUrl .= "nb_id=" . urlencode($this->nb_id->CurrentValue);
		} else {
			return "javascript:alert(ewLanguage.Phrase('InvalidRecord'));";
		}
		return $sUrl;
	}

	// Sort URL
	function SortUrl(&$fld) {
		if ($this->CurrentAction <> "" || $this->Export <> "" ||
			in_array($fld->FldType, array(128, 204, 205))) { // Unsortable data type
				return "";
		} elseif ($fld->Sortable) {
			$sUrlParm = $this->UrlParm("order=" . urlencode($fld->FldName) . "&ordertype=" . $fld->ReverseSort());
			return ew_CurrentPage() . "?" . $sUrlParm;
		} else {
			return "";
		}
	}

	// Get record keys from $_POST/$_GET/$_SESSION
	function GetRecordKeys() {
		global $EW_COMPOSITE_KEY_SEPARATOR;
		$arKeys = array();
		$arKey = array();
		if (isset($_POST["key_m"])) {
			$arKeys = ew_StripSlashes($_POST["key_m"]);
			$cnt = count($arKeys);
		} elseif (isset($_GET["key_m"])) {
			$arKeys = ew_StripSlashes($_GET["key_m"]);
			$cnt = count($arKeys);
		} elseif (isset($_GET)) {
			$arKeys[] = @$_GET["nb_id"]; // nb_id

			//return $arKeys; // do not return yet, so the values will also be checked by the following code
		}

		// check keys
		$ar = array();
		foreach ($arKeys as $key) {
			$ar[] = $key;
		}
		return $ar;
	}

	// Get key filter
	function GetKeyFilter() {
		$arKeys = $this->GetRecordKeys();
		$sKeyFilter = "";
		foreach ($arKeys as $key) {
			if ($sKeyFilter <> "") $sKeyFilter .= " OR ";
			$this->nb_id->CurrentValue = $key;
			$sKeyFilter .= "(" . $this->KeyFilter() . ")";
		}
		return $sKeyFilter;
	}

	// Load rows based on filter
	function &LoadRs($sFilter) {
		global $conn;

		// Set up filter (SQL WHERE clause) and get return SQL
		//$this->CurrentFilter = $sFilter;
		//$sSql = $this->SQL();

		$sSql = $this->GetSQL($sFilter, "");
		$rs = $conn->Execute($sSql);
		return $rs;
	}

	// Load row values from recordset
	function LoadListRowValues(&$rs) {
		$this->nb_id->setDbValue($rs->fields('nb_id'));
		$this->court_id->setDbValue($rs->fields('court_id'));
		$this->cont_id->setDbValue($rs->fields('cont_id'));
		$this->plt_id->setDbValue($rs->fields('plt_id'));
		$this->nb_number->setDbValue($rs->fields('nb_number'));
		$this->nb_sn->setDbValue($rs->fields('nb_sn'));
		$this->nb_brand->setDbValue($rs->fields('nb_brand'));
		$this->mdt_id->setDbValue($rs->fields('mdt_id'));
		$this->nb_hdd->setDbValue($rs->fields('nb_hdd'));
		$this->nb_speed->setDbValue($rs->fields('nb_speed'));
		$this->nb_ram->setDbValue($rs->fields('nb_ram'));
		$this->nb_work->setDbValue($rs->fields('nb_work'));
		$this->nb_accessories->setDbValue($rs->fields('nb_accessories'));
		$this->nb_os->setDbValue($rs->fields('nb_os'));
		$this->nb_year->setDbValue($rs->fields('nb_year'));
		$this->nb_date_recieve->setDbValue($rs->fields('nb_date_recieve'));
		$this->nb_contract_start->setDbValue($rs->fields('nb_contract_start'));
		$this->nb_warranty->setDbValue($rs->fields('nb_warranty'));
		$this->nb_price->setDbValue($rs->fields('nb_price'));
		$this->nb_origin->setDbValue($rs->fields('nb_origin'));
		$this->nb_present->setDbValue($rs->fields('nb_present'));
		$this->nb_comment->setDbValue($rs->fields('nb_comment'));
	}

	// Render list row values
	function RenderListRow() {
		global $conn, $Security;

		// Call Row Rendering event
		$this->Row_Rendering();

   // Common render codes
		// nb_id
		// court_id
		// cont_id
		// plt_id
		// nb_number
		// nb_sn
		// nb_brand
		// mdt_id
		// nb_hdd
		// nb_speed
		// nb_ram
		// nb_work
		// nb_accessories
		// nb_os
		// nb_year
		// nb_date_recieve
		// nb_contract_start
		// nb_warranty
		// nb_price
		// nb_origin
		// nb_present
		// nb_comment
		// nb_id

		$this->nb_id->ViewValue = $this->nb_id->CurrentValue;
		$this->nb_id->ViewCustomAttributes = "";

		// court_id
		$this->court_id->ViewValue = $this->court_id->CurrentValue;
		$this->court_id->ViewCustomAttributes = "";

		// cont_id
		if (strval($this->cont_id->CurrentValue) <> "") {
			$sFilterWrk = "`cont_id`" . ew_SearchString("=", $this->cont_id->CurrentValue, EW_DATATYPE_NUMBER);
		$sSqlWrk = "SELECT `cont_id`, `cont_num` AS `DispFld`, `cont_project` AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_contracts`";
		$sWhereWrk = "";
		if ($sFilterWrk <> "") {
			ew_AddFilter($sWhereWrk, $sFilterWrk);
		}
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = $conn->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$this->cont_id->ViewValue = $rswrk->fields('DispFld');
				$this->cont_id->ViewValue .= ew_ValueSeparator(1,$this->cont_id) . $rswrk->fields('Disp2Fld');
				$rswrk->Close();
			} else {
				$this->cont_id->ViewValue = $this->cont_id->CurrentValue;
			}
		} else {
			$this->cont_id->ViewValue = NULL;
		}
		$this->cont_id->ViewCustomAttributes = "";

		// plt_id
		if (strval($this->plt_id->CurrentValue) <> "") {
			$sFilterWrk = "`plt_id`" . ew_SearchString("=", $this->plt_id->CurrentValue, EW_DATATYPE_STRING);
		$sSqlWrk = "SELECT `plt_id`, `plt_name` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_place_types`";
		$sWhereWrk = "";
		if ($sFilterWrk <> "") {
			ew_AddFilter($sWhereWrk, $sFilterWrk);
		}
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = $conn->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$this->plt_id->ViewValue = $rswrk->fields('DispFld');
				$rswrk->Close();
			} else {
				$this->plt_id->ViewValue = $this->plt_id->CurrentValue;
			}
		} else {
			$this->plt_id->ViewValue = NULL;
		}
		$this->plt_id->ViewCustomAttributes = "";

		// nb_number
		$this->nb_number->ViewValue = $this->nb_number->CurrentValue;
		$this->nb_number->ViewCustomAttributes = "";

		// nb_sn
		$this->nb_sn->ViewValue = $this->nb_sn->CurrentValue;
		$this->nb_sn->ViewCustomAttributes = "";

		// nb_brand
		$this->nb_brand->ViewValue = $this->nb_brand->CurrentValue;
		$this->nb_brand->ViewCustomAttributes = "";

		// mdt_id
		$this->mdt_id->ViewValue = $this->mdt_id->CurrentValue;
		if (strval($this->mdt_id->CurrentValue) <> "") {
			$sFilterWrk = "`mdt_id`" . ew_SearchString("=", $this->mdt_id->CurrentValue, EW_DATATYPE_STRING);
		$sSqlWrk = "SELECT `mdt_id`, `mdt_name` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_model_types`";
		$sWhereWrk = "";
		if ($sFilterWrk <> "") {
			ew_AddFilter($sWhereWrk, $sFilterWrk);
		}
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = $conn->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$this->mdt_id->ViewValue = $rswrk->fields('DispFld');
				$rswrk->Close();
			} else {
				$this->mdt_id->ViewValue = $this->mdt_id->CurrentValue;
			}
		} else {
			$this->mdt_id->ViewValue = NULL;
		}
		$this->mdt_id->ViewCustomAttributes = "";

		// nb_hdd
		$this->nb_hdd->ViewValue = $this->nb_hdd->CurrentValue;
		$this->nb_hdd->ViewCustomAttributes = "";

		// nb_speed
		$this->nb_speed->ViewValue = $this->nb_speed->CurrentValue;
		$this->nb_speed->ViewCustomAttributes = "";

		// nb_ram
		$this->nb_ram->ViewValue = $this->nb_ram->CurrentValue;
		$this->nb_ram->ViewCustomAttributes = "";

		// nb_work
		$this->nb_work->ViewValue = $this->nb_work->CurrentValue;
		$this->nb_work->ViewCustomAttributes = "";

		// nb_accessories
		if (strval($this->nb_accessories->CurrentValue) <> "") {
			switch ($this->nb_accessories->CurrentValue) {
				case $this->nb_accessories->FldTagValue(1):
					$this->nb_accessories->ViewValue = $this->nb_accessories->FldTagCaption(1) <> "" ? $this->nb_accessories->FldTagCaption(1) : $this->nb_accessories->CurrentValue;
					break;
				case $this->nb_accessories->FldTagValue(2):
					$this->nb_accessories->ViewValue = $this->nb_accessories->FldTagCaption(2) <> "" ? $this->nb_accessories->FldTagCaption(2) : $this->nb_accessories->CurrentValue;
					break;
				case $this->nb_accessories->FldTagValue(3):
					$this->nb_accessories->ViewValue = $this->nb_accessories->FldTagCaption(3) <> "" ? $this->nb_accessories->FldTagCaption(3) : $this->nb_accessories->CurrentValue;
					break;
				case $this->nb_accessories->FldTagValue(4):
					$this->nb_accessories->ViewValue = $this->nb_accessories->FldTagCaption(4) <> "" ? $this->nb_accessories->FldTagCaption(4) : $this->nb_accessories->CurrentValue;
					break;
				default:
					$this->nb_accessories->ViewValue = $this->nb_accessories->CurrentValue;
			}
		} else {
			$this->nb_accessories->ViewValue = NULL;
		}
		$this->nb_accessories->ViewCustomAttributes = "";

		// nb_os
		$this->nb_os->ViewValue = $this->nb_os->CurrentValue;
		$this->nb_os->ViewCustomAttributes = "";

		// nb_year
		$this->nb_year->ViewValue = $this->nb_year->CurrentValue;
		$this->nb_year->ViewCustomAttributes = "";

		// nb_date_recieve
		$this->nb_date_recieve->ViewValue = $this->nb_date_recieve->CurrentValue;
		$this->nb_date_recieve->ViewValue = ew_FormatDateTime($this->nb_date_recieve->ViewValue, 5);
		$this->nb_date_recieve->ViewCustomAttributes = "";

		// nb_contract_start
		$this->nb_contract_start->ViewValue = $this->nb_contract_start->CurrentValue;
		$this->nb_contract_start->ViewValue = ew_FormatDateTime($this->nb_contract_start->ViewValue, 5);
		$this->nb_contract_start->ViewCustomAttributes = "";

		// nb_warranty
		$this->nb_warranty->ViewValue = $this->nb_warranty->CurrentValue;
		$this->nb_warranty->ViewCustomAttributes = "";

		// nb_price
		$this->nb_price->ViewValue = $this->nb_price->CurrentValue;
		$this->nb_price->ViewCustomAttributes = "";

		// nb_origin
		if (strval($this->nb_origin->CurrentValue) <> "") {
			switch ($this->nb_origin->CurrentValue) {
				case $this->nb_origin->FldTagValue(1):
					$this->nb_origin->ViewValue = $this->nb_origin->FldTagCaption(1) <> "" ? $this->nb_origin->FldTagCaption(1) : $this->nb_origin->CurrentValue;
					break;
				case $this->nb_origin->FldTagValue(2):
					$this->nb_origin->ViewValue = $this->nb_origin->FldTagCaption(2) <> "" ? $this->nb_origin->FldTagCaption(2) : $this->nb_origin->CurrentValue;
					break;
				case $this->nb_origin->FldTagValue(3):
					$this->nb_origin->ViewValue = $this->nb_origin->FldTagCaption(3) <> "" ? $this->nb_origin->FldTagCaption(3) : $this->nb_origin->CurrentValue;
					break;
				case $this->nb_origin->FldTagValue(4):
					$this->nb_origin->ViewValue = $this->nb_origin->FldTagCaption(4) <> "" ? $this->nb_origin->FldTagCaption(4) : $this->nb_origin->CurrentValue;
					break;
				default:
					$this->nb_origin->ViewValue = $this->nb_origin->CurrentValue;
			}
		} else {
			$this->nb_origin->ViewValue = NULL;
		}
		$this->nb_origin->ViewCustomAttributes = "";

		// nb_present
		if (strval($this->nb_present->CurrentValue) <> "") {
			switch ($this->nb_present->CurrentValue) {
				case $this->nb_present->FldTagValue(1):
					$this->nb_present->ViewValue = $this->nb_present->FldTagCaption(1) <> "" ? $this->nb_present->FldTagCaption(1) : $this->nb_present->CurrentValue;
					break;
				case $this->nb_present->FldTagValue(2):
					$this->nb_present->ViewValue = $this->nb_present->FldTagCaption(2) <> "" ? $this->nb_present->FldTagCaption(2) : $this->nb_present->CurrentValue;
					break;
				case $this->nb_present->FldTagValue(3):
					$this->nb_present->ViewValue = $this->nb_present->FldTagCaption(3) <> "" ? $this->nb_present->FldTagCaption(3) : $this->nb_present->CurrentValue;
					break;
				case $this->nb_present->FldTagValue(4):
					$this->nb_present->ViewValue = $this->nb_present->FldTagCaption(4) <> "" ? $this->nb_present->FldTagCaption(4) : $this->nb_present->CurrentValue;
					break;
				case $this->nb_present->FldTagValue(5):
					$this->nb_present->ViewValue = $this->nb_present->FldTagCaption(5) <> "" ? $this->nb_present->FldTagCaption(5) : $this->nb_present->CurrentValue;
					break;
				case $this->nb_present->FldTagValue(6):
					$this->nb_present->ViewValue = $this->nb_present->FldTagCaption(6) <> "" ? $this->nb_present->FldTagCaption(6) : $this->nb_present->CurrentValue;
					break;
				case $this->nb_present->FldTagValue(7):
					$this->nb_present->ViewValue = $this->nb_present->FldTagCaption(7) <> "" ? $this->nb_present->FldTagCaption(7) : $this->nb_present->CurrentValue;
					break;
				case $this->nb_present->FldTagValue(8):
					$this->nb_present->ViewValue = $this->nb_present->FldTagCaption(8) <> "" ? $this->nb_present->FldTagCaption(8) : $this->nb_present->CurrentValue;
					break;
				case $this->nb_present->FldTagValue(9):
					$this->nb_present->ViewValue = $this->nb_present->FldTagCaption(9) <> "" ? $this->nb_present->FldTagCaption(9) : $this->nb_present->CurrentValue;
					break;
				case $this->nb_present->FldTagValue(10):
					$this->nb_present->ViewValue = $this->nb_present->FldTagCaption(10) <> "" ? $this->nb_present->FldTagCaption(10) : $this->nb_present->CurrentValue;
					break;
				case $this->nb_present->FldTagValue(11):
					$this->nb_present->ViewValue = $this->nb_present->FldTagCaption(11) <> "" ? $this->nb_present->FldTagCaption(11) : $this->nb_present->CurrentValue;
					break;
				case $this->nb_present->FldTagValue(12):
					$this->nb_present->ViewValue = $this->nb_present->FldTagCaption(12) <> "" ? $this->nb_present->FldTagCaption(12) : $this->nb_present->CurrentValue;
					break;
				case $this->nb_present->FldTagValue(13):
					$this->nb_present->ViewValue = $this->nb_present->FldTagCaption(13) <> "" ? $this->nb_present->FldTagCaption(13) : $this->nb_present->CurrentValue;
					break;
				default:
					$this->nb_present->ViewValue = $this->nb_present->CurrentValue;
			}
		} else {
			$this->nb_present->ViewValue = NULL;
		}
		$this->nb_present->ViewCustomAttributes = "";

		// nb_comment
		$this->nb_comment->ViewValue = $this->nb_comment->CurrentValue;
		$this->nb_comment->ViewCustomAttributes = "";

		// nb_id
		$this->nb_id->LinkCustomAttributes = "";
		$this->nb_id->HrefValue = "";
		$this->nb_id->TooltipValue = "";

		// court_id
		$this->court_id->LinkCustomAttributes = "";
		$this->court_id->HrefValue = "";
		$this->court_id->TooltipValue = "";

		// cont_id
		$this->cont_id->LinkCustomAttributes = "";
		$this->cont_id->HrefValue = "";
		$this->cont_id->TooltipValue = "";

		// plt_id
		$this->plt_id->LinkCustomAttributes = "";
		$this->plt_id->HrefValue = "";
		$this->plt_id->TooltipValue = "";

		// nb_number
		$this->nb_number->LinkCustomAttributes = "";
		$this->nb_number->HrefValue = "";
		$this->nb_number->TooltipValue = "";

		// nb_sn
		$this->nb_sn->LinkCustomAttributes = "";
		$this->nb_sn->HrefValue = "";
		$this->nb_sn->TooltipValue = "";

		// nb_brand
		$this->nb_brand->LinkCustomAttributes = "";
		$this->nb_brand->HrefValue = "";
		$this->nb_brand->TooltipValue = "";

		// mdt_id
		$this->mdt_id->LinkCustomAttributes = "";
		$this->mdt_id->HrefValue = "";
		$this->mdt_id->TooltipValue = "";

		// nb_hdd
		$this->nb_hdd->LinkCustomAttributes = "";
		$this->nb_hdd->HrefValue = "";
		$this->nb_hdd->TooltipValue = "";

		// nb_speed
		$this->nb_speed->LinkCustomAttributes = "";
		$this->nb_speed->HrefValue = "";
		$this->nb_speed->TooltipValue = "";

		// nb_ram
		$this->nb_ram->LinkCustomAttributes = "";
		$this->nb_ram->HrefValue = "";
		$this->nb_ram->TooltipValue = "";

		// nb_work
		$this->nb_work->LinkCustomAttributes = "";
		$this->nb_work->HrefValue = "";
		$this->nb_work->TooltipValue = "";

		// nb_accessories
		$this->nb_accessories->LinkCustomAttributes = "";
		$this->nb_accessories->HrefValue = "";
		$this->nb_accessories->TooltipValue = "";

		// nb_os
		$this->nb_os->LinkCustomAttributes = "";
		$this->nb_os->HrefValue = "";
		$this->nb_os->TooltipValue = "";

		// nb_year
		$this->nb_year->LinkCustomAttributes = "";
		$this->nb_year->HrefValue = "";
		$this->nb_year->TooltipValue = "";

		// nb_date_recieve
		$this->nb_date_recieve->LinkCustomAttributes = "";
		$this->nb_date_recieve->HrefValue = "";
		$this->nb_date_recieve->TooltipValue = "";

		// nb_contract_start
		$this->nb_contract_start->LinkCustomAttributes = "";
		$this->nb_contract_start->HrefValue = "";
		$this->nb_contract_start->TooltipValue = "";

		// nb_warranty
		$this->nb_warranty->LinkCustomAttributes = "";
		$this->nb_warranty->HrefValue = "";
		$this->nb_warranty->TooltipValue = "";

		// nb_price
		$this->nb_price->LinkCustomAttributes = "";
		$this->nb_price->HrefValue = "";
		$this->nb_price->TooltipValue = "";

		// nb_origin
		$this->nb_origin->LinkCustomAttributes = "";
		$this->nb_origin->HrefValue = "";
		$this->nb_origin->TooltipValue = "";

		// nb_present
		$this->nb_present->LinkCustomAttributes = "";
		$this->nb_present->HrefValue = "";
		$this->nb_present->TooltipValue = "";

		// nb_comment
		$this->nb_comment->LinkCustomAttributes = "";
		$this->nb_comment->HrefValue = "";
		$this->nb_comment->TooltipValue = "";

		// Call Row Rendered event
		$this->Row_Rendered();
	}

	// Aggregate list row values
	function AggregateListRowValues() {
	}

	// Aggregate list row (for rendering)
	function AggregateListRow() {
	}

	// Export data in HTML/CSV/Word/Excel/Email/PDF format
	function ExportDocument(&$Doc, &$Recordset, $StartRec, $StopRec, $ExportPageType = "") {
		if (!$Recordset || !$Doc)
			return;

		// Write header
		$Doc->ExportTableHeader();
		if ($Doc->Horizontal) { // Horizontal format, write header
			$Doc->BeginExportRow();
			if ($ExportPageType == "view") {
				$Doc->ExportCaption($this->nb_id);
				$Doc->ExportCaption($this->court_id);
				$Doc->ExportCaption($this->cont_id);
				$Doc->ExportCaption($this->plt_id);
				$Doc->ExportCaption($this->nb_number);
				$Doc->ExportCaption($this->nb_sn);
				$Doc->ExportCaption($this->nb_brand);
				$Doc->ExportCaption($this->mdt_id);
				$Doc->ExportCaption($this->nb_hdd);
				$Doc->ExportCaption($this->nb_speed);
				$Doc->ExportCaption($this->nb_ram);
				$Doc->ExportCaption($this->nb_work);
				$Doc->ExportCaption($this->nb_accessories);
				$Doc->ExportCaption($this->nb_os);
				$Doc->ExportCaption($this->nb_year);
				$Doc->ExportCaption($this->nb_date_recieve);
				$Doc->ExportCaption($this->nb_contract_start);
				$Doc->ExportCaption($this->nb_warranty);
				$Doc->ExportCaption($this->nb_price);
				$Doc->ExportCaption($this->nb_origin);
				$Doc->ExportCaption($this->nb_present);
				$Doc->ExportCaption($this->nb_comment);
			} else {
				$Doc->ExportCaption($this->nb_id);
				$Doc->ExportCaption($this->court_id);
				$Doc->ExportCaption($this->cont_id);
				$Doc->ExportCaption($this->plt_id);
				$Doc->ExportCaption($this->nb_number);
				$Doc->ExportCaption($this->nb_sn);
				$Doc->ExportCaption($this->nb_brand);
				$Doc->ExportCaption($this->mdt_id);
				$Doc->ExportCaption($this->nb_hdd);
				$Doc->ExportCaption($this->nb_speed);
				$Doc->ExportCaption($this->nb_ram);
				$Doc->ExportCaption($this->nb_work);
				$Doc->ExportCaption($this->nb_accessories);
				$Doc->ExportCaption($this->nb_os);
				$Doc->ExportCaption($this->nb_year);
				$Doc->ExportCaption($this->nb_date_recieve);
				$Doc->ExportCaption($this->nb_contract_start);
				$Doc->ExportCaption($this->nb_warranty);
				$Doc->ExportCaption($this->nb_price);
				$Doc->ExportCaption($this->nb_origin);
				$Doc->ExportCaption($this->nb_present);
				$Doc->ExportCaption($this->nb_comment);
			}
			$Doc->EndExportRow();
		}

		// Move to first record
		$RecCnt = $StartRec - 1;
		if (!$Recordset->EOF) {
			$Recordset->MoveFirst();
			if ($StartRec > 1)
				$Recordset->Move($StartRec - 1);
		}
		while (!$Recordset->EOF && $RecCnt < $StopRec) {
			$RecCnt++;
			if (intval($RecCnt) >= intval($StartRec)) {
				$RowCnt = intval($RecCnt) - intval($StartRec) + 1;

				// Page break
				if ($this->ExportPageBreakCount > 0) {
					if ($RowCnt > 1 && ($RowCnt - 1) % $this->ExportPageBreakCount == 0)
						$Doc->ExportPageBreak();
				}
				$this->LoadListRowValues($Recordset);

				// Render row
				$this->RowType = EW_ROWTYPE_VIEW; // Render view
				$this->ResetAttrs();
				$this->RenderListRow();
				$Doc->BeginExportRow($RowCnt); // Allow CSS styles if enabled
				if ($ExportPageType == "view") {
					$Doc->ExportField($this->nb_id);
					$Doc->ExportField($this->court_id);
					$Doc->ExportField($this->cont_id);
					$Doc->ExportField($this->plt_id);
					$Doc->ExportField($this->nb_number);
					$Doc->ExportField($this->nb_sn);
					$Doc->ExportField($this->nb_brand);
					$Doc->ExportField($this->mdt_id);
					$Doc->ExportField($this->nb_hdd);
					$Doc->ExportField($this->nb_speed);
					$Doc->ExportField($this->nb_ram);
					$Doc->ExportField($this->nb_work);
					$Doc->ExportField($this->nb_accessories);
					$Doc->ExportField($this->nb_os);
					$Doc->ExportField($this->nb_year);
					$Doc->ExportField($this->nb_date_recieve);
					$Doc->ExportField($this->nb_contract_start);
					$Doc->ExportField($this->nb_warranty);
					$Doc->ExportField($this->nb_price);
					$Doc->ExportField($this->nb_origin);
					$Doc->ExportField($this->nb_present);
					$Doc->ExportField($this->nb_comment);
				} else {
					$Doc->ExportField($this->nb_id);
					$Doc->ExportField($this->court_id);
					$Doc->ExportField($this->cont_id);
					$Doc->ExportField($this->plt_id);
					$Doc->ExportField($this->nb_number);
					$Doc->ExportField($this->nb_sn);
					$Doc->ExportField($this->nb_brand);
					$Doc->ExportField($this->mdt_id);
					$Doc->ExportField($this->nb_hdd);
					$Doc->ExportField($this->nb_speed);
					$Doc->ExportField($this->nb_ram);
					$Doc->ExportField($this->nb_work);
					$Doc->ExportField($this->nb_accessories);
					$Doc->ExportField($this->nb_os);
					$Doc->ExportField($this->nb_year);
					$Doc->ExportField($this->nb_date_recieve);
					$Doc->ExportField($this->nb_contract_start);
					$Doc->ExportField($this->nb_warranty);
					$Doc->ExportField($this->nb_price);
					$Doc->ExportField($this->nb_origin);
					$Doc->ExportField($this->nb_present);
					$Doc->ExportField($this->nb_comment);
				}
				$Doc->EndExportRow();
			}
			$Recordset->MoveNext();
		}
		$Doc->ExportTableFooter();
	}

	// Table level events
	// Recordset Selecting event
	function Recordset_Selecting(&$filter) {

		// Enter your code here	
	}

	// Recordset Selected event
	function Recordset_Selected(&$rs) {

		//echo "Recordset Selected";
	}

	// Recordset Search Validated event
	function Recordset_SearchValidated() {

		// Example:
		//$this->MyField1->AdvancedSearch->SearchValue = "your search criteria"; // Search value

	}

	// Recordset Searching event
	function Recordset_Searching(&$filter) {

		// Enter your code here	
	}

	// Row_Selecting event
	function Row_Selecting(&$filter) {

		// Enter your code here	
	}

	// Row Selected event
	function Row_Selected(&$rs) {

		//echo "Row Selected";
	}

	// Row Inserting event
	function Row_Inserting($rsold, &$rsnew) {

		// Enter your code here
		// To cancel, set return value to FALSE

		return TRUE;
	}

	// Row Inserted event
	function Row_Inserted($rsold, &$rsnew) {

		//echo "Row Inserted"
	}

	// Row Updating event
	function Row_Updating($rsold, &$rsnew) {

		// Enter your code here
		// To cancel, set return value to FALSE

		return TRUE;
	}

	// Row Updated event
	function Row_Updated($rsold, &$rsnew) {

		//echo "Row Updated";
	}

	// Row Update Conflict event
	function Row_UpdateConflict($rsold, &$rsnew) {

		// Enter your code here
		// To ignore conflict, set return value to FALSE

		return TRUE;
	}

	// Row Deleting event
	function Row_Deleting(&$rs) {

		// Enter your code here
		// To cancel, set return value to False

		return TRUE;
	}

	// Row Deleted event
	function Row_Deleted(&$rs) {

		//echo "Row Deleted";
	}

	// Email Sending event
	function Email_Sending(&$Email, &$Args) {

		//var_dump($Email); var_dump($Args); exit();
		return TRUE;
	}

	// Row Rendering event
	function Row_Rendering() {

		// Enter your code here	
	}

	// Row Rendered event
	function Row_Rendered() {

		// To view properties of field class, use:
		//var_dump($this-><FieldName>); 

	}

	// User ID Filtering event
	function UserID_Filtering(&$filter) {

		// Enter your code here
	}
}
?>
