<?php
if (session_id() == "") session_start(); // Initialize Session data
ob_start(); // Turn on output buffering
?>
<?php include_once "ewcfg9.php" ?>
<?php include_once "ewmysql9.php" ?>
<?php include_once "phpfn9.php" ?>
<?php include_once "tb_repairinfo.php" ?>
<?php include_once "userfn9.php" ?>
<?php

//
// Page class
//

$tb_repair_delete = NULL; // Initialize page object first

class ctb_repair_delete extends ctb_repair {

	// Page ID
	var $PageID = 'delete';

	// Project ID
	var $ProjectID = "{6072F4AB-8E55-4BED-87E8-94ADB1680AEB}";

	// Table name
	var $TableName = 'tb_repair';

	// Page object name
	var $PageObjName = 'tb_repair_delete';

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		if ($this->UseTokenInUrl) $PageUrl .= "t=" . $this->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_MESSAGE], $v);
	}

	function getFailureMessage() {
		return @$_SESSION[EW_SESSION_FAILURE_MESSAGE];
	}

	function setFailureMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_FAILURE_MESSAGE], $v);
	}

	function getSuccessMessage() {
		return @$_SESSION[EW_SESSION_SUCCESS_MESSAGE];
	}

	function setSuccessMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_SUCCESS_MESSAGE], $v);
	}

	function getWarningMessage() {
		return @$_SESSION[EW_SESSION_WARNING_MESSAGE];
	}

	function setWarningMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_WARNING_MESSAGE], $v);
	}

	// Show message
	function ShowMessage() {
		$hidden = FALSE;
		$html = "";

		// Message
		$sMessage = $this->getMessage();
		$this->Message_Showing($sMessage, "");
		if ($sMessage <> "") { // Message in Session, display
			$html .= "<p class=\"ewMessage\">" . $sMessage . "</p>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}

		// Warning message
		$sWarningMessage = $this->getWarningMessage();
		$this->Message_Showing($sWarningMessage, "warning");
		if ($sWarningMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewWarningIcon\"></td><td class=\"ewWarningMessage\">" . $sWarningMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_WARNING_MESSAGE] = ""; // Clear message in Session
		}

		// Success message
		$sSuccessMessage = $this->getSuccessMessage();
		$this->Message_Showing($sSuccessMessage, "success");
		if ($sSuccessMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewSuccessIcon\"></td><td class=\"ewSuccessMessage\">" . $sSuccessMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = ""; // Clear message in Session
		}

		// Failure message
		$sErrorMessage = $this->getFailureMessage();
		$this->Message_Showing($sErrorMessage, "failure");
		if ($sErrorMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewErrorIcon\"></td><td class=\"ewErrorMessage\">" . $sErrorMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_FAILURE_MESSAGE] = ""; // Clear message in Session
		}		
		echo "<div class=\"ewMessageDialog\"" . (($hidden) ? " style=\"display: none;\"" : "") . ">" . $html . "</div>";
	}
	var $PageHeader;
	var $PageFooter;

	// Show Page Header
	function ShowPageHeader() {
		$sHeader = $this->PageHeader;
		$this->Page_DataRendering($sHeader);
		if ($sHeader <> "") { // Header exists, display
			echo "<p class=\"phpmaker\">" . $sHeader . "</p>";
		}
	}

	// Show Page Footer
	function ShowPageFooter() {
		$sFooter = $this->PageFooter;
		$this->Page_DataRendered($sFooter);
		if ($sFooter <> "") { // Fotoer exists, display
			echo "<p class=\"phpmaker\">" . $sFooter . "</p>";
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm;
		if ($this->UseTokenInUrl) {
			if ($objForm)
				return ($this->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($this->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}

	//
	// Page class constructor
	//
	function __construct() {
		global $conn, $Language;
		$GLOBALS["Page"] = &$this;

		// Language object
		if (!isset($Language)) $Language = new cLanguage();

		// Parent constuctor
		parent::__construct();

		// Table object (tb_repair)
		if (!isset($GLOBALS["tb_repair"])) {
			$GLOBALS["tb_repair"] = &$this;
			$GLOBALS["Table"] = &$GLOBALS["tb_repair"];
		}

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'delete', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'tb_repair', TRUE);

		// Start timer
		if (!isset($GLOBALS["gTimer"])) $GLOBALS["gTimer"] = new cTimer();

		// Open connection
		if (!isset($conn)) $conn = ew_Connect();
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;
		$this->CurrentAction = (@$_GET["a"] <> "") ? $_GET["a"] : @$_POST["a_list"];
		$this->rp_id->Visible = !$this->IsAdd() && !$this->IsCopy() && !$this->IsGridAdd();

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $conn;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();
		$this->Page_Redirecting($url);

		 // Close connection
		$conn->Close();

		// Go to URL if specified
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			header("Location: " . $url);
		}
		exit();
	}
	var $TotalRecs = 0;
	var $RecCnt;
	var $RecKeys = array();
	var $Recordset;
	var $RowCnt = 0;

	//
	// Page main
	//
	function Page_Main() {
		global $Language;

		// Load key parameters
		$this->RecKeys = $this->GetRecordKeys(); // Load record keys
		$sFilter = $this->GetKeyFilter();
		if ($sFilter == "")
			$this->Page_Terminate("tb_repairlist.php"); // Prevent SQL injection, return to list

		// Set up filter (SQL WHHERE clause) and get return SQL
		// SQL constructor in tb_repair class, tb_repairinfo.php

		$this->CurrentFilter = $sFilter;

		// Get action
		if (@$_POST["a_delete"] <> "") {
			$this->CurrentAction = $_POST["a_delete"];
		} else {
			$this->CurrentAction = "I"; // Display record
		}
		switch ($this->CurrentAction) {
			case "D": // Delete
				$this->SendEmail = TRUE; // Send email on delete success
				if ($this->DeleteRows()) { // delete rows
					if ($this->getSuccessMessage() == "")
						$this->setSuccessMessage($Language->Phrase("DeleteSuccess")); // Set up success message
					$this->Page_Terminate($this->getReturnUrl()); // Return to caller
				}
		}
	}

// No functions
	// Load recordset
	function LoadRecordset($offset = -1, $rowcnt = -1) {
		global $conn;

		// Call Recordset Selecting event
		$this->Recordset_Selecting($this->CurrentFilter);

		// Load List page SQL
		$sSql = $this->SelectSQL();
		if ($offset > -1 && $rowcnt > -1)
			$sSql .= " LIMIT $rowcnt OFFSET $offset";

		// Load recordset
		$rs = ew_LoadRecordset($sSql);

		// Call Recordset Selected event
		$this->Recordset_Selected($rs);
		return $rs;
	}

	// Load row based on key values
	function LoadRow() {
		global $conn, $Security, $Language;
		$sFilter = $this->KeyFilter();

		// Call Row Selecting event
		$this->Row_Selecting($sFilter);

		// Load SQL based on filter
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		global $conn;
		if (!$rs || $rs->EOF) return;

		// Call Row Selected event
		$row = &$rs->fields;
		$this->Row_Selected($row);
		$this->rp_id->setDbValue($rs->fields('rp_id'));
		$this->court_id->setDbValue($rs->fields('court_id'));
		$this->equip_id->setDbValue($rs->fields('equip_id'));
		$this->rp_cause->setDbValue($rs->fields('rp_cause'));
		$this->rp_date->setDbValue($rs->fields('rp_date'));
		$this->rp_return_date->setDbValue($rs->fields('rp_return_date'));
		$this->rp_comment->setDbValue($rs->fields('rp_comment'));
	}

	// Render row values based on field settings
	function RenderRow() {
		global $conn, $Security, $Language;
		global $gsLanguage;

		// Initialize URLs
		// Call Row_Rendering event

		$this->Row_Rendering();

		// Common render codes for all row types
		// rp_id
		// court_id
		// equip_id
		// rp_cause
		// rp_date
		// rp_return_date
		// rp_comment

		if ($this->RowType == EW_ROWTYPE_VIEW) { // View row

			// rp_id
			$this->rp_id->ViewValue = $this->rp_id->CurrentValue;
			$this->rp_id->ViewCustomAttributes = "";

			// court_id
			$this->court_id->ViewValue = $this->court_id->CurrentValue;
			$this->court_id->ViewCustomAttributes = "";

			// equip_id
			$this->equip_id->ViewValue = $this->equip_id->CurrentValue;
			$this->equip_id->ViewCustomAttributes = "";

			// rp_cause
			$this->rp_cause->ViewValue = $this->rp_cause->CurrentValue;
			$this->rp_cause->ViewCustomAttributes = "";

			// rp_date
			$this->rp_date->ViewValue = $this->rp_date->CurrentValue;
			$this->rp_date->ViewValue = ew_FormatDateTime($this->rp_date->ViewValue, 5);
			$this->rp_date->ViewCustomAttributes = "";

			// rp_return_date
			$this->rp_return_date->ViewValue = $this->rp_return_date->CurrentValue;
			$this->rp_return_date->ViewValue = ew_FormatDateTime($this->rp_return_date->ViewValue, 5);
			$this->rp_return_date->ViewCustomAttributes = "";

			// rp_comment
			$this->rp_comment->ViewValue = $this->rp_comment->CurrentValue;
			$this->rp_comment->ViewCustomAttributes = "";

			// rp_id
			$this->rp_id->LinkCustomAttributes = "";
			$this->rp_id->HrefValue = "";
			$this->rp_id->TooltipValue = "";

			// court_id
			$this->court_id->LinkCustomAttributes = "";
			$this->court_id->HrefValue = "";
			$this->court_id->TooltipValue = "";

			// equip_id
			$this->equip_id->LinkCustomAttributes = "";
			$this->equip_id->HrefValue = "";
			$this->equip_id->TooltipValue = "";

			// rp_cause
			$this->rp_cause->LinkCustomAttributes = "";
			$this->rp_cause->HrefValue = "";
			$this->rp_cause->TooltipValue = "";

			// rp_date
			$this->rp_date->LinkCustomAttributes = "";
			$this->rp_date->HrefValue = "";
			$this->rp_date->TooltipValue = "";

			// rp_return_date
			$this->rp_return_date->LinkCustomAttributes = "";
			$this->rp_return_date->HrefValue = "";
			$this->rp_return_date->TooltipValue = "";

			// rp_comment
			$this->rp_comment->LinkCustomAttributes = "";
			$this->rp_comment->HrefValue = "";
			$this->rp_comment->TooltipValue = "";
		}

		// Call Row Rendered event
		if ($this->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$this->Row_Rendered();
	}

	//
	// Delete records based on current filter
	//
	function DeleteRows() {
		global $conn, $Language, $Security;
		$DeleteRows = TRUE;
		$sSql = $this->SQL();
		$conn->raiseErrorFn = 'ew_ErrorFn';
		$rs = $conn->Execute($sSql);
		$conn->raiseErrorFn = '';
		if ($rs === FALSE) {
			return FALSE;
		} elseif ($rs->EOF) {
			$this->setFailureMessage($Language->Phrase("NoRecord")); // No record found
			$rs->Close();
			return FALSE;
		} else {
			$this->LoadRowValues($rs); // Load row values
		}
		$conn->BeginTrans();

		// Clone old rows
		$rsold = ($rs) ? $rs->GetRows() : array();
		if ($rs)
			$rs->Close();

		// Call row deleting event
		if ($DeleteRows) {
			foreach ($rsold as $row) {
				$DeleteRows = $this->Row_Deleting($row);
				if (!$DeleteRows) break;
			}
		}
		if ($DeleteRows) {
			$sKey = "";
			foreach ($rsold as $row) {
				$sThisKey = "";
				if ($sThisKey <> "") $sThisKey .= $GLOBALS["EW_COMPOSITE_KEY_SEPARATOR"];
				$sThisKey .= $row['rp_id'];
				$conn->raiseErrorFn = 'ew_ErrorFn';
				$DeleteRows = $this->Delete($row); // Delete
				$conn->raiseErrorFn = '';
				if ($DeleteRows === FALSE)
					break;
				if ($sKey <> "") $sKey .= ", ";
				$sKey .= $sThisKey;
			}
		} else {

			// Set up error message
			if ($this->getSuccessMessage() <> "" || $this->getFailureMessage() <> "") {

				// Use the message, do nothing
			} elseif ($this->CancelMessage <> "") {
				$this->setFailureMessage($this->CancelMessage);
				$this->CancelMessage = "";
			} else {
				$this->setFailureMessage($Language->Phrase("DeleteCancelled"));
			}
		}
		if ($DeleteRows) {
			$conn->CommitTrans(); // Commit the changes
		} else {
			$conn->RollbackTrans(); // Rollback changes
		}

		// Call Row Deleted event
		if ($DeleteRows) {
			foreach ($rsold as $row) {
				$this->Row_Deleted($row);
			}
		}
		return $DeleteRows;
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	// $type = ''|'success'|'failure'|'warning'
	function Message_Showing(&$msg, $type) {
		if ($type == 'success') {

			//$msg = "your success message";
		} elseif ($type == 'failure') {

			//$msg = "your failure message";
		} elseif ($type == 'warning') {

			//$msg = "your warning message";
		} else {

			//$msg = "your message";
		}
	}

	// Page Data Rendering event
	function Page_DataRendering(&$header) {

		// Example:
		//$header = "your header";

	}

	// Page Data Rendered event
	function Page_DataRendered(&$footer) {

		// Example:
		//$footer = "your footer";

	}
}
?>
<?php ew_Header(FALSE) ?>
<?php

// Create page object
if (!isset($tb_repair_delete)) $tb_repair_delete = new ctb_repair_delete();

// Page init
$tb_repair_delete->Page_Init();

// Page main
$tb_repair_delete->Page_Main();
?>
<?php include_once "header.php" ?>
<script type="text/javascript">

// Page object
var tb_repair_delete = new ew_Page("tb_repair_delete");
tb_repair_delete.PageID = "delete"; // Page ID
var EW_PAGE_ID = tb_repair_delete.PageID; // For backward compatibility

// Form object
var ftb_repairdelete = new ew_Form("ftb_repairdelete");

// Form_CustomValidate event
ftb_repairdelete.Form_CustomValidate =  
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }

// Use JavaScript validation or not
<?php if (EW_CLIENT_VALIDATE) { ?>
ftb_repairdelete.ValidateRequired = true;
<?php } else { ?>
ftb_repairdelete.ValidateRequired = false; 
<?php } ?>

// Dynamic selection lists
// Form object for search

</script>
<script type="text/javascript">

// Write your client script here, no need to add script tags.
</script>
<?php

// Load records for display
if ($tb_repair_delete->Recordset = $tb_repair_delete->LoadRecordset())
	$tb_repair_deleteTotalRecs = $tb_repair_delete->Recordset->RecordCount(); // Get record count
if ($tb_repair_deleteTotalRecs <= 0) { // No record found, exit
	if ($tb_repair_delete->Recordset)
		$tb_repair_delete->Recordset->Close();
	$tb_repair_delete->Page_Terminate("tb_repairlist.php"); // Return to list
}
?>
<p><span class="ewTitle ewTableTitle"><?php echo $Language->Phrase("Delete") ?>&nbsp;<?php echo $Language->Phrase("TblTypeTABLE") ?><?php echo $tb_repair->TableCaption() ?></span></p>
<p class="phpmaker"><a href="<?php echo $tb_repair->getReturnUrl() ?>"><?php echo $Language->Phrase("GoBack") ?></a></p>
<?php $tb_repair_delete->ShowPageHeader(); ?>
<?php
$tb_repair_delete->ShowMessage();
?>
<form name="ftb_repairdelete" id="ftb_repairdelete" class="ewForm" action="<?php echo ew_CurrentPage() ?>" method="post">
<p>
<input type="hidden" name="t" value="tb_repair">
<input type="hidden" name="a_delete" id="a_delete" value="D">
<?php foreach ($tb_repair_delete->RecKeys as $key) { ?>
<?php $keyvalue = is_array($key) ? implode($EW_COMPOSITE_KEY_SEPARATOR, $key) : $key; ?>
<input type="hidden" name="key_m[]" value="<?php echo ew_HtmlEncode($keyvalue) ?>">
<?php } ?>
<table class="ewGrid"><tr><td class="ewGridContent">
<div class="ewGridMiddlePanel">
<table cellspacing="0" id="tbl_tb_repairdelete" class="ewTable ewTableSeparate">
<?php echo $tb_repair->TableCustomInnerHtml ?>
	<thead>
	<tr class="ewTableHeader">
		<td><span id="elh_tb_repair_rp_id" class="tb_repair_rp_id"><?php echo $tb_repair->rp_id->FldCaption() ?></span></td>
		<td><span id="elh_tb_repair_court_id" class="tb_repair_court_id"><?php echo $tb_repair->court_id->FldCaption() ?></span></td>
		<td><span id="elh_tb_repair_equip_id" class="tb_repair_equip_id"><?php echo $tb_repair->equip_id->FldCaption() ?></span></td>
		<td><span id="elh_tb_repair_rp_cause" class="tb_repair_rp_cause"><?php echo $tb_repair->rp_cause->FldCaption() ?></span></td>
		<td><span id="elh_tb_repair_rp_date" class="tb_repair_rp_date"><?php echo $tb_repair->rp_date->FldCaption() ?></span></td>
		<td><span id="elh_tb_repair_rp_return_date" class="tb_repair_rp_return_date"><?php echo $tb_repair->rp_return_date->FldCaption() ?></span></td>
		<td><span id="elh_tb_repair_rp_comment" class="tb_repair_rp_comment"><?php echo $tb_repair->rp_comment->FldCaption() ?></span></td>
	</tr>
	</thead>
	<tbody>
<?php
$tb_repair_delete->RecCnt = 0;
$i = 0;
while (!$tb_repair_delete->Recordset->EOF) {
	$tb_repair_delete->RecCnt++;
	$tb_repair_delete->RowCnt++;

	// Set row properties
	$tb_repair->ResetAttrs();
	$tb_repair->RowType = EW_ROWTYPE_VIEW; // View

	// Get the field contents
	$tb_repair_delete->LoadRowValues($tb_repair_delete->Recordset);

	// Render row
	$tb_repair_delete->RenderRow();
?>
	<tr<?php echo $tb_repair->RowAttributes() ?>>
		<td<?php echo $tb_repair->rp_id->CellAttributes() ?>><span id="el<?php echo $tb_repair_delete->RowCnt ?>_tb_repair_rp_id" class="tb_repair_rp_id">
<span<?php echo $tb_repair->rp_id->ViewAttributes() ?>>
<?php echo $tb_repair->rp_id->ListViewValue() ?></span>
</span></td>
		<td<?php echo $tb_repair->court_id->CellAttributes() ?>><span id="el<?php echo $tb_repair_delete->RowCnt ?>_tb_repair_court_id" class="tb_repair_court_id">
<span<?php echo $tb_repair->court_id->ViewAttributes() ?>>
<?php echo $tb_repair->court_id->ListViewValue() ?></span>
</span></td>
		<td<?php echo $tb_repair->equip_id->CellAttributes() ?>><span id="el<?php echo $tb_repair_delete->RowCnt ?>_tb_repair_equip_id" class="tb_repair_equip_id">
<span<?php echo $tb_repair->equip_id->ViewAttributes() ?>>
<?php echo $tb_repair->equip_id->ListViewValue() ?></span>
</span></td>
		<td<?php echo $tb_repair->rp_cause->CellAttributes() ?>><span id="el<?php echo $tb_repair_delete->RowCnt ?>_tb_repair_rp_cause" class="tb_repair_rp_cause">
<span<?php echo $tb_repair->rp_cause->ViewAttributes() ?>>
<?php echo $tb_repair->rp_cause->ListViewValue() ?></span>
</span></td>
		<td<?php echo $tb_repair->rp_date->CellAttributes() ?>><span id="el<?php echo $tb_repair_delete->RowCnt ?>_tb_repair_rp_date" class="tb_repair_rp_date">
<span<?php echo $tb_repair->rp_date->ViewAttributes() ?>>
<?php echo $tb_repair->rp_date->ListViewValue() ?></span>
</span></td>
		<td<?php echo $tb_repair->rp_return_date->CellAttributes() ?>><span id="el<?php echo $tb_repair_delete->RowCnt ?>_tb_repair_rp_return_date" class="tb_repair_rp_return_date">
<span<?php echo $tb_repair->rp_return_date->ViewAttributes() ?>>
<?php echo $tb_repair->rp_return_date->ListViewValue() ?></span>
</span></td>
		<td<?php echo $tb_repair->rp_comment->CellAttributes() ?>><span id="el<?php echo $tb_repair_delete->RowCnt ?>_tb_repair_rp_comment" class="tb_repair_rp_comment">
<span<?php echo $tb_repair->rp_comment->ViewAttributes() ?>>
<?php echo $tb_repair->rp_comment->ListViewValue() ?></span>
</span></td>
	</tr>
<?php
	$tb_repair_delete->Recordset->MoveNext();
}
$tb_repair_delete->Recordset->Close();
?>
</tbody>
</table>
</div>
</td></tr></table>
<p>
<input type="submit" name="Action" value="<?php echo ew_BtnCaption($Language->Phrase("DeleteBtn")) ?>">
</form>
<script type="text/javascript">
ftb_repairdelete.Init();
</script>
<?php
$tb_repair_delete->ShowPageFooter();
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
?>
<script type="text/javascript">

// Write your table-specific startup script here
// document.write("page loaded");

</script>
<?php include_once "footer.php" ?>
<?php
$tb_repair_delete->Page_Terminate();
?>
