<?php
if (session_id() == "") session_start(); // Initialize Session data
ob_start(); // Turn on output buffering
?>
<?php include_once "ewcfg9.php" ?>
<?php include_once "ewmysql9.php" ?>
<?php include_once "phpfn9.php" ?>
<?php include_once "tb_vcsdevicesinfo.php" ?>
<?php include_once "userfn9.php" ?>
<?php

//
// Page class
//

$tb_vcsdevices_delete = NULL; // Initialize page object first

class ctb_vcsdevices_delete extends ctb_vcsdevices {

	// Page ID
	var $PageID = 'delete';

	// Project ID
	var $ProjectID = "{6072F4AB-8E55-4BED-87E8-94ADB1680AEB}";

	// Table name
	var $TableName = 'tb_vcsdevices';

	// Page object name
	var $PageObjName = 'tb_vcsdevices_delete';

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		if ($this->UseTokenInUrl) $PageUrl .= "t=" . $this->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_MESSAGE], $v);
	}

	function getFailureMessage() {
		return @$_SESSION[EW_SESSION_FAILURE_MESSAGE];
	}

	function setFailureMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_FAILURE_MESSAGE], $v);
	}

	function getSuccessMessage() {
		return @$_SESSION[EW_SESSION_SUCCESS_MESSAGE];
	}

	function setSuccessMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_SUCCESS_MESSAGE], $v);
	}

	function getWarningMessage() {
		return @$_SESSION[EW_SESSION_WARNING_MESSAGE];
	}

	function setWarningMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_WARNING_MESSAGE], $v);
	}

	// Show message
	function ShowMessage() {
		$hidden = FALSE;
		$html = "";

		// Message
		$sMessage = $this->getMessage();
		$this->Message_Showing($sMessage, "");
		if ($sMessage <> "") { // Message in Session, display
			$html .= "<p class=\"ewMessage\">" . $sMessage . "</p>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}

		// Warning message
		$sWarningMessage = $this->getWarningMessage();
		$this->Message_Showing($sWarningMessage, "warning");
		if ($sWarningMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewWarningIcon\"></td><td class=\"ewWarningMessage\">" . $sWarningMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_WARNING_MESSAGE] = ""; // Clear message in Session
		}

		// Success message
		$sSuccessMessage = $this->getSuccessMessage();
		$this->Message_Showing($sSuccessMessage, "success");
		if ($sSuccessMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewSuccessIcon\"></td><td class=\"ewSuccessMessage\">" . $sSuccessMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = ""; // Clear message in Session
		}

		// Failure message
		$sErrorMessage = $this->getFailureMessage();
		$this->Message_Showing($sErrorMessage, "failure");
		if ($sErrorMessage <> "") { // Message in Session, display
			$html .= "<table class=\"ewMessageTable\"><tr><td class=\"ewErrorIcon\"></td><td class=\"ewErrorMessage\">" . $sErrorMessage . "</td></tr></table>";
			$_SESSION[EW_SESSION_FAILURE_MESSAGE] = ""; // Clear message in Session
		}		
		echo "<div class=\"ewMessageDialog\"" . (($hidden) ? " style=\"display: none;\"" : "") . ">" . $html . "</div>";
	}
	var $PageHeader;
	var $PageFooter;

	// Show Page Header
	function ShowPageHeader() {
		$sHeader = $this->PageHeader;
		$this->Page_DataRendering($sHeader);
		if ($sHeader <> "") { // Header exists, display
			echo "<p class=\"phpmaker\">" . $sHeader . "</p>";
		}
	}

	// Show Page Footer
	function ShowPageFooter() {
		$sFooter = $this->PageFooter;
		$this->Page_DataRendered($sFooter);
		if ($sFooter <> "") { // Fotoer exists, display
			echo "<p class=\"phpmaker\">" . $sFooter . "</p>";
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm;
		if ($this->UseTokenInUrl) {
			if ($objForm)
				return ($this->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($this->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}

	//
	// Page class constructor
	//
	function __construct() {
		global $conn, $Language;
		$GLOBALS["Page"] = &$this;

		// Language object
		if (!isset($Language)) $Language = new cLanguage();

		// Parent constuctor
		parent::__construct();

		// Table object (tb_vcsdevices)
		if (!isset($GLOBALS["tb_vcsdevices"])) {
			$GLOBALS["tb_vcsdevices"] = &$this;
			$GLOBALS["Table"] = &$GLOBALS["tb_vcsdevices"];
		}

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'delete', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'tb_vcsdevices', TRUE);

		// Start timer
		if (!isset($GLOBALS["gTimer"])) $GLOBALS["gTimer"] = new cTimer();

		// Open connection
		if (!isset($conn)) $conn = ew_Connect();
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;
		$this->CurrentAction = (@$_GET["a"] <> "") ? $_GET["a"] : @$_POST["a_list"];

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $conn;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();
		$this->Page_Redirecting($url);

		 // Close connection
		$conn->Close();

		// Go to URL if specified
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			header("Location: " . $url);
		}
		exit();
	}
	var $TotalRecs = 0;
	var $RecCnt;
	var $RecKeys = array();
	var $Recordset;
	var $RowCnt = 0;

	//
	// Page main
	//
	function Page_Main() {
		global $Language;

		// Load key parameters
		$this->RecKeys = $this->GetRecordKeys(); // Load record keys
		$sFilter = $this->GetKeyFilter();
		if ($sFilter == "")
			$this->Page_Terminate("tb_vcsdeviceslist.php"); // Prevent SQL injection, return to list

		// Set up filter (SQL WHHERE clause) and get return SQL
		// SQL constructor in tb_vcsdevices class, tb_vcsdevicesinfo.php

		$this->CurrentFilter = $sFilter;

		// Get action
		if (@$_POST["a_delete"] <> "") {
			$this->CurrentAction = $_POST["a_delete"];
		} else {
			$this->CurrentAction = "I"; // Display record
		}
		switch ($this->CurrentAction) {
			case "D": // Delete
				$this->SendEmail = TRUE; // Send email on delete success
				if ($this->DeleteRows()) { // delete rows
					if ($this->getSuccessMessage() == "")
						$this->setSuccessMessage($Language->Phrase("DeleteSuccess")); // Set up success message
					$this->Page_Terminate($this->getReturnUrl()); // Return to caller
				}
		}
	}

// No functions
	// Load recordset
	function LoadRecordset($offset = -1, $rowcnt = -1) {
		global $conn;

		// Call Recordset Selecting event
		$this->Recordset_Selecting($this->CurrentFilter);

		// Load List page SQL
		$sSql = $this->SelectSQL();
		if ($offset > -1 && $rowcnt > -1)
			$sSql .= " LIMIT $rowcnt OFFSET $offset";

		// Load recordset
		$rs = ew_LoadRecordset($sSql);

		// Call Recordset Selected event
		$this->Recordset_Selected($rs);
		return $rs;
	}

	// Load row based on key values
	function LoadRow() {
		global $conn, $Security, $Language;
		$sFilter = $this->KeyFilter();

		// Call Row Selecting event
		$this->Row_Selecting($sFilter);

		// Load SQL based on filter
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		global $conn;
		if (!$rs || $rs->EOF) return;

		// Call Row Selected event
		$row = &$rs->fields;
		$this->Row_Selected($row);
		$this->vcs_id->setDbValue($rs->fields('vcs_id'));
		$this->vcst_id->setDbValue($rs->fields('vcst_id'));
		$this->court_id->setDbValue($rs->fields('court_id'));
		$this->vcs_sn->setDbValue($rs->fields('vcs_sn'));
		$this->vcs_number->setDbValue($rs->fields('vcs_number'));
		$this->vcs_brand->setDbValue($rs->fields('vcs_brand'));
		$this->vcs_model->setDbValue($rs->fields('vcs_model'));
		$this->plt_id->setDbValue($rs->fields('plt_id'));
		$this->vcs_installroom->setDbValue($rs->fields('vcs_installroom'));
		$this->vcs_year->setDbValue($rs->fields('vcs_year'));
		$this->vcs_date_recieve->setDbValue($rs->fields('vcs_date_recieve'));
		$this->vcs_contract_date_start->setDbValue($rs->fields('vcs_contract_date_start'));
		$this->vcs_warranty->setDbValue($rs->fields('vcs_warranty'));
		$this->cont_id->setDbValue($rs->fields('cont_id'));
		$this->vcs_price->setDbValue($rs->fields('vcs_price'));
		$this->vcs_origin->setDbValue($rs->fields('vcs_origin'));
		$this->vcs_present->setDbValue($rs->fields('vcs_present'));
		$this->vcs_comment->setDbValue($rs->fields('vcs_comment'));
	}

	// Render row values based on field settings
	function RenderRow() {
		global $conn, $Security, $Language;
		global $gsLanguage;

		// Initialize URLs
		// Convert decimal values if posted back

		if ($this->vcs_warranty->FormValue == $this->vcs_warranty->CurrentValue && is_numeric(ew_StrToFloat($this->vcs_warranty->CurrentValue)))
			$this->vcs_warranty->CurrentValue = ew_StrToFloat($this->vcs_warranty->CurrentValue);

		// Convert decimal values if posted back
		if ($this->vcs_price->FormValue == $this->vcs_price->CurrentValue && is_numeric(ew_StrToFloat($this->vcs_price->CurrentValue)))
			$this->vcs_price->CurrentValue = ew_StrToFloat($this->vcs_price->CurrentValue);

		// Call Row_Rendering event
		$this->Row_Rendering();

		// Common render codes for all row types
		// vcs_id
		// vcst_id
		// court_id
		// vcs_sn
		// vcs_number
		// vcs_brand
		// vcs_model
		// plt_id
		// vcs_installroom
		// vcs_year
		// vcs_date_recieve
		// vcs_contract_date_start
		// vcs_warranty
		// cont_id
		// vcs_price
		// vcs_origin
		// vcs_present
		// vcs_comment

		if ($this->RowType == EW_ROWTYPE_VIEW) { // View row

			// vcs_id
			$this->vcs_id->ViewValue = $this->vcs_id->CurrentValue;
			$this->vcs_id->ViewCustomAttributes = "";

			// vcst_id
			$this->vcst_id->ViewValue = $this->vcst_id->CurrentValue;
			if (strval($this->vcst_id->CurrentValue) <> "") {
				$sFilterWrk = "`vcst_id`" . ew_SearchString("=", $this->vcst_id->CurrentValue, EW_DATATYPE_STRING);
			$sSqlWrk = "SELECT `vcst_id`, `vcst_name` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_vcsdevice_types`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				ew_AddFilter($sWhereWrk, $sFilterWrk);
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$this->vcst_id->ViewValue = $rswrk->fields('DispFld');
					$rswrk->Close();
				} else {
					$this->vcst_id->ViewValue = $this->vcst_id->CurrentValue;
				}
			} else {
				$this->vcst_id->ViewValue = NULL;
			}
			$this->vcst_id->ViewCustomAttributes = "";

			// court_id
			$this->court_id->ViewValue = $this->court_id->CurrentValue;
			$this->court_id->ViewCustomAttributes = "";

			// vcs_sn
			$this->vcs_sn->ViewValue = $this->vcs_sn->CurrentValue;
			$this->vcs_sn->ViewCustomAttributes = "";

			// vcs_number
			$this->vcs_number->ViewValue = $this->vcs_number->CurrentValue;
			$this->vcs_number->ViewCustomAttributes = "";

			// vcs_brand
			$this->vcs_brand->ViewValue = $this->vcs_brand->CurrentValue;
			$this->vcs_brand->ViewCustomAttributes = "";

			// vcs_model
			$this->vcs_model->ViewValue = $this->vcs_model->CurrentValue;
			$this->vcs_model->ViewCustomAttributes = "";

			// plt_id
			$this->plt_id->ViewValue = $this->plt_id->CurrentValue;
			if (strval($this->plt_id->CurrentValue) <> "") {
				$sFilterWrk = "`plt_id`" . ew_SearchString("=", $this->plt_id->CurrentValue, EW_DATATYPE_STRING);
			$sSqlWrk = "SELECT `plt_id`, `plt_name` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_place_types`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				ew_AddFilter($sWhereWrk, $sFilterWrk);
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$this->plt_id->ViewValue = $rswrk->fields('DispFld');
					$rswrk->Close();
				} else {
					$this->plt_id->ViewValue = $this->plt_id->CurrentValue;
				}
			} else {
				$this->plt_id->ViewValue = NULL;
			}
			$this->plt_id->ViewCustomAttributes = "";

			// vcs_installroom
			$this->vcs_installroom->ViewValue = $this->vcs_installroom->CurrentValue;
			$this->vcs_installroom->ViewCustomAttributes = "";

			// vcs_year
			$this->vcs_year->ViewValue = $this->vcs_year->CurrentValue;
			$this->vcs_year->ViewCustomAttributes = "";

			// vcs_date_recieve
			$this->vcs_date_recieve->ViewValue = $this->vcs_date_recieve->CurrentValue;
			$this->vcs_date_recieve->ViewValue = ew_FormatDateTime($this->vcs_date_recieve->ViewValue, 5);
			$this->vcs_date_recieve->ViewCustomAttributes = "";

			// vcs_contract_date_start
			$this->vcs_contract_date_start->ViewValue = $this->vcs_contract_date_start->CurrentValue;
			$this->vcs_contract_date_start->ViewValue = ew_FormatDateTime($this->vcs_contract_date_start->ViewValue, 5);
			$this->vcs_contract_date_start->ViewCustomAttributes = "";

			// vcs_warranty
			$this->vcs_warranty->ViewValue = $this->vcs_warranty->CurrentValue;
			$this->vcs_warranty->ViewCustomAttributes = "";

			// cont_id
			$this->cont_id->ViewValue = $this->cont_id->CurrentValue;
			if (strval($this->cont_id->CurrentValue) <> "") {
				$sFilterWrk = "`cont_id`" . ew_SearchString("=", $this->cont_id->CurrentValue, EW_DATATYPE_NUMBER);
			$sSqlWrk = "SELECT `cont_id`, `cont_num` AS `DispFld`, `cont_project` AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_contracts`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				ew_AddFilter($sWhereWrk, $sFilterWrk);
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$this->cont_id->ViewValue = $rswrk->fields('DispFld');
					$this->cont_id->ViewValue .= ew_ValueSeparator(1,$tb_vcsdevices->cont_id) . $rswrk->fields('Disp2Fld');
					$rswrk->Close();
				} else {
					$this->cont_id->ViewValue = $this->cont_id->CurrentValue;
				}
			} else {
				$this->cont_id->ViewValue = NULL;
			}
			$this->cont_id->ViewCustomAttributes = "";

			// vcs_price
			$this->vcs_price->ViewValue = $this->vcs_price->CurrentValue;
			$this->vcs_price->ViewCustomAttributes = "";

			// vcs_origin
			if (strval($this->vcs_origin->CurrentValue) <> "") {
				switch ($this->vcs_origin->CurrentValue) {
					case $this->vcs_origin->FldTagValue(1):
						$this->vcs_origin->ViewValue = $this->vcs_origin->FldTagCaption(1) <> "" ? $this->vcs_origin->FldTagCaption(1) : $this->vcs_origin->CurrentValue;
						break;
					case $this->vcs_origin->FldTagValue(2):
						$this->vcs_origin->ViewValue = $this->vcs_origin->FldTagCaption(2) <> "" ? $this->vcs_origin->FldTagCaption(2) : $this->vcs_origin->CurrentValue;
						break;
					case $this->vcs_origin->FldTagValue(3):
						$this->vcs_origin->ViewValue = $this->vcs_origin->FldTagCaption(3) <> "" ? $this->vcs_origin->FldTagCaption(3) : $this->vcs_origin->CurrentValue;
						break;
					case $this->vcs_origin->FldTagValue(4):
						$this->vcs_origin->ViewValue = $this->vcs_origin->FldTagCaption(4) <> "" ? $this->vcs_origin->FldTagCaption(4) : $this->vcs_origin->CurrentValue;
						break;
					default:
						$this->vcs_origin->ViewValue = $this->vcs_origin->CurrentValue;
				}
			} else {
				$this->vcs_origin->ViewValue = NULL;
			}
			$this->vcs_origin->ViewCustomAttributes = "";

			// vcs_present
			if (strval($this->vcs_present->CurrentValue) <> "") {
				switch ($this->vcs_present->CurrentValue) {
					case $this->vcs_present->FldTagValue(1):
						$this->vcs_present->ViewValue = $this->vcs_present->FldTagCaption(1) <> "" ? $this->vcs_present->FldTagCaption(1) : $this->vcs_present->CurrentValue;
						break;
					case $this->vcs_present->FldTagValue(2):
						$this->vcs_present->ViewValue = $this->vcs_present->FldTagCaption(2) <> "" ? $this->vcs_present->FldTagCaption(2) : $this->vcs_present->CurrentValue;
						break;
					case $this->vcs_present->FldTagValue(3):
						$this->vcs_present->ViewValue = $this->vcs_present->FldTagCaption(3) <> "" ? $this->vcs_present->FldTagCaption(3) : $this->vcs_present->CurrentValue;
						break;
					case $this->vcs_present->FldTagValue(4):
						$this->vcs_present->ViewValue = $this->vcs_present->FldTagCaption(4) <> "" ? $this->vcs_present->FldTagCaption(4) : $this->vcs_present->CurrentValue;
						break;
					case $this->vcs_present->FldTagValue(5):
						$this->vcs_present->ViewValue = $this->vcs_present->FldTagCaption(5) <> "" ? $this->vcs_present->FldTagCaption(5) : $this->vcs_present->CurrentValue;
						break;
					case $this->vcs_present->FldTagValue(6):
						$this->vcs_present->ViewValue = $this->vcs_present->FldTagCaption(6) <> "" ? $this->vcs_present->FldTagCaption(6) : $this->vcs_present->CurrentValue;
						break;
					default:
						$this->vcs_present->ViewValue = $this->vcs_present->CurrentValue;
				}
			} else {
				$this->vcs_present->ViewValue = NULL;
			}
			$this->vcs_present->ViewCustomAttributes = "";

			// vcs_comment
			$this->vcs_comment->ViewValue = $this->vcs_comment->CurrentValue;
			$this->vcs_comment->ViewCustomAttributes = "";

			// vcs_id
			$this->vcs_id->LinkCustomAttributes = "";
			$this->vcs_id->HrefValue = "";
			$this->vcs_id->TooltipValue = "";

			// vcst_id
			$this->vcst_id->LinkCustomAttributes = "";
			$this->vcst_id->HrefValue = "";
			$this->vcst_id->TooltipValue = "";

			// court_id
			$this->court_id->LinkCustomAttributes = "";
			$this->court_id->HrefValue = "";
			$this->court_id->TooltipValue = "";

			// vcs_sn
			$this->vcs_sn->LinkCustomAttributes = "";
			$this->vcs_sn->HrefValue = "";
			$this->vcs_sn->TooltipValue = "";

			// vcs_number
			$this->vcs_number->LinkCustomAttributes = "";
			$this->vcs_number->HrefValue = "";
			$this->vcs_number->TooltipValue = "";

			// vcs_brand
			$this->vcs_brand->LinkCustomAttributes = "";
			$this->vcs_brand->HrefValue = "";
			$this->vcs_brand->TooltipValue = "";

			// vcs_model
			$this->vcs_model->LinkCustomAttributes = "";
			$this->vcs_model->HrefValue = "";
			$this->vcs_model->TooltipValue = "";

			// plt_id
			$this->plt_id->LinkCustomAttributes = "";
			$this->plt_id->HrefValue = "";
			$this->plt_id->TooltipValue = "";

			// vcs_installroom
			$this->vcs_installroom->LinkCustomAttributes = "";
			$this->vcs_installroom->HrefValue = "";
			$this->vcs_installroom->TooltipValue = "";

			// vcs_year
			$this->vcs_year->LinkCustomAttributes = "";
			$this->vcs_year->HrefValue = "";
			$this->vcs_year->TooltipValue = "";

			// vcs_date_recieve
			$this->vcs_date_recieve->LinkCustomAttributes = "";
			$this->vcs_date_recieve->HrefValue = "";
			$this->vcs_date_recieve->TooltipValue = "";

			// vcs_contract_date_start
			$this->vcs_contract_date_start->LinkCustomAttributes = "";
			$this->vcs_contract_date_start->HrefValue = "";
			$this->vcs_contract_date_start->TooltipValue = "";

			// vcs_warranty
			$this->vcs_warranty->LinkCustomAttributes = "";
			$this->vcs_warranty->HrefValue = "";
			$this->vcs_warranty->TooltipValue = "";

			// cont_id
			$this->cont_id->LinkCustomAttributes = "";
			$this->cont_id->HrefValue = "";
			$this->cont_id->TooltipValue = "";

			// vcs_price
			$this->vcs_price->LinkCustomAttributes = "";
			$this->vcs_price->HrefValue = "";
			$this->vcs_price->TooltipValue = "";

			// vcs_origin
			$this->vcs_origin->LinkCustomAttributes = "";
			$this->vcs_origin->HrefValue = "";
			$this->vcs_origin->TooltipValue = "";

			// vcs_present
			$this->vcs_present->LinkCustomAttributes = "";
			$this->vcs_present->HrefValue = "";
			$this->vcs_present->TooltipValue = "";

			// vcs_comment
			$this->vcs_comment->LinkCustomAttributes = "";
			$this->vcs_comment->HrefValue = "";
			$this->vcs_comment->TooltipValue = "";
		}

		// Call Row Rendered event
		if ($this->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$this->Row_Rendered();
	}

	//
	// Delete records based on current filter
	//
	function DeleteRows() {
		global $conn, $Language, $Security;
		$DeleteRows = TRUE;
		$sSql = $this->SQL();
		$conn->raiseErrorFn = 'ew_ErrorFn';
		$rs = $conn->Execute($sSql);
		$conn->raiseErrorFn = '';
		if ($rs === FALSE) {
			return FALSE;
		} elseif ($rs->EOF) {
			$this->setFailureMessage($Language->Phrase("NoRecord")); // No record found
			$rs->Close();
			return FALSE;
		} else {
			$this->LoadRowValues($rs); // Load row values
		}
		$conn->BeginTrans();

		// Clone old rows
		$rsold = ($rs) ? $rs->GetRows() : array();
		if ($rs)
			$rs->Close();

		// Call row deleting event
		if ($DeleteRows) {
			foreach ($rsold as $row) {
				$DeleteRows = $this->Row_Deleting($row);
				if (!$DeleteRows) break;
			}
		}
		if ($DeleteRows) {
			$sKey = "";
			foreach ($rsold as $row) {
				$sThisKey = "";
				if ($sThisKey <> "") $sThisKey .= $GLOBALS["EW_COMPOSITE_KEY_SEPARATOR"];
				$sThisKey .= $row['vcs_id'];
				$conn->raiseErrorFn = 'ew_ErrorFn';
				$DeleteRows = $this->Delete($row); // Delete
				$conn->raiseErrorFn = '';
				if ($DeleteRows === FALSE)
					break;
				if ($sKey <> "") $sKey .= ", ";
				$sKey .= $sThisKey;
			}
		} else {

			// Set up error message
			if ($this->getSuccessMessage() <> "" || $this->getFailureMessage() <> "") {

				// Use the message, do nothing
			} elseif ($this->CancelMessage <> "") {
				$this->setFailureMessage($this->CancelMessage);
				$this->CancelMessage = "";
			} else {
				$this->setFailureMessage($Language->Phrase("DeleteCancelled"));
			}
		}
		if ($DeleteRows) {
			$conn->CommitTrans(); // Commit the changes
		} else {
			$conn->RollbackTrans(); // Rollback changes
		}

		// Call Row Deleted event
		if ($DeleteRows) {
			foreach ($rsold as $row) {
				$this->Row_Deleted($row);
			}
		}
		return $DeleteRows;
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	// $type = ''|'success'|'failure'|'warning'
	function Message_Showing(&$msg, $type) {
		if ($type == 'success') {

			//$msg = "your success message";
		} elseif ($type == 'failure') {

			//$msg = "your failure message";
		} elseif ($type == 'warning') {

			//$msg = "your warning message";
		} else {

			//$msg = "your message";
		}
	}

	// Page Data Rendering event
	function Page_DataRendering(&$header) {

		// Example:
		//$header = "your header";

	}

	// Page Data Rendered event
	function Page_DataRendered(&$footer) {

		// Example:
		//$footer = "your footer";

	}
}
?>
<?php ew_Header(FALSE) ?>
<?php

// Create page object
if (!isset($tb_vcsdevices_delete)) $tb_vcsdevices_delete = new ctb_vcsdevices_delete();

// Page init
$tb_vcsdevices_delete->Page_Init();

// Page main
$tb_vcsdevices_delete->Page_Main();
?>
<?php include_once "header.php" ?>
<script type="text/javascript">

// Page object
var tb_vcsdevices_delete = new ew_Page("tb_vcsdevices_delete");
tb_vcsdevices_delete.PageID = "delete"; // Page ID
var EW_PAGE_ID = tb_vcsdevices_delete.PageID; // For backward compatibility

// Form object
var ftb_vcsdevicesdelete = new ew_Form("ftb_vcsdevicesdelete");

// Form_CustomValidate event
ftb_vcsdevicesdelete.Form_CustomValidate =  
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }

// Use JavaScript validation or not
<?php if (EW_CLIENT_VALIDATE) { ?>
ftb_vcsdevicesdelete.ValidateRequired = true;
<?php } else { ?>
ftb_vcsdevicesdelete.ValidateRequired = false; 
<?php } ?>

// Dynamic selection lists
ftb_vcsdevicesdelete.Lists["x_vcst_id"] = {"LinkField":"x_vcst_id","Ajax":true,"AutoFill":false,"DisplayFields":["x_vcst_name","","",""],"ParentFields":[],"FilterFields":[],"Options":[]};
ftb_vcsdevicesdelete.Lists["x_plt_id"] = {"LinkField":"x_plt_id","Ajax":true,"AutoFill":false,"DisplayFields":["x_plt_name","","",""],"ParentFields":[],"FilterFields":[],"Options":[]};
ftb_vcsdevicesdelete.Lists["x_cont_id"] = {"LinkField":"x_cont_id","Ajax":true,"AutoFill":false,"DisplayFields":["x_cont_num","x_cont_project","",""],"ParentFields":[],"FilterFields":[],"Options":[]};

// Form object for search
</script>
<script type="text/javascript">

// Write your client script here, no need to add script tags.
</script>
<?php

// Load records for display
if ($tb_vcsdevices_delete->Recordset = $tb_vcsdevices_delete->LoadRecordset())
	$tb_vcsdevices_deleteTotalRecs = $tb_vcsdevices_delete->Recordset->RecordCount(); // Get record count
if ($tb_vcsdevices_deleteTotalRecs <= 0) { // No record found, exit
	if ($tb_vcsdevices_delete->Recordset)
		$tb_vcsdevices_delete->Recordset->Close();
	$tb_vcsdevices_delete->Page_Terminate("tb_vcsdeviceslist.php"); // Return to list
}
?>
<p><span class="ewTitle ewTableTitle"><?php echo $Language->Phrase("Delete") ?>&nbsp;<?php echo $Language->Phrase("TblTypeTABLE") ?><?php echo $tb_vcsdevices->TableCaption() ?></span></p>
<p class="phpmaker"><a href="<?php echo $tb_vcsdevices->getReturnUrl() ?>"><?php echo $Language->Phrase("GoBack") ?></a></p>
<?php $tb_vcsdevices_delete->ShowPageHeader(); ?>
<?php
$tb_vcsdevices_delete->ShowMessage();
?>
<form name="ftb_vcsdevicesdelete" id="ftb_vcsdevicesdelete" class="ewForm" action="<?php echo ew_CurrentPage() ?>" method="post">
<p>
<input type="hidden" name="t" value="tb_vcsdevices">
<input type="hidden" name="a_delete" id="a_delete" value="D">
<?php foreach ($tb_vcsdevices_delete->RecKeys as $key) { ?>
<?php $keyvalue = is_array($key) ? implode($EW_COMPOSITE_KEY_SEPARATOR, $key) : $key; ?>
<input type="hidden" name="key_m[]" value="<?php echo ew_HtmlEncode($keyvalue) ?>">
<?php } ?>
<table class="ewGrid"><tr><td class="ewGridContent">
<div class="ewGridMiddlePanel">
<table cellspacing="0" id="tbl_tb_vcsdevicesdelete" class="ewTable ewTableSeparate">
<?php echo $tb_vcsdevices->TableCustomInnerHtml ?>
	<thead>
	<tr class="ewTableHeader">
		<td><span id="elh_tb_vcsdevices_vcs_id" class="tb_vcsdevices_vcs_id"><?php echo $tb_vcsdevices->vcs_id->FldCaption() ?></span></td>
		<td><span id="elh_tb_vcsdevices_vcst_id" class="tb_vcsdevices_vcst_id"><?php echo $tb_vcsdevices->vcst_id->FldCaption() ?></span></td>
		<td><span id="elh_tb_vcsdevices_court_id" class="tb_vcsdevices_court_id"><?php echo $tb_vcsdevices->court_id->FldCaption() ?></span></td>
		<td><span id="elh_tb_vcsdevices_vcs_sn" class="tb_vcsdevices_vcs_sn"><?php echo $tb_vcsdevices->vcs_sn->FldCaption() ?></span></td>
		<td><span id="elh_tb_vcsdevices_vcs_number" class="tb_vcsdevices_vcs_number"><?php echo $tb_vcsdevices->vcs_number->FldCaption() ?></span></td>
		<td><span id="elh_tb_vcsdevices_vcs_brand" class="tb_vcsdevices_vcs_brand"><?php echo $tb_vcsdevices->vcs_brand->FldCaption() ?></span></td>
		<td><span id="elh_tb_vcsdevices_vcs_model" class="tb_vcsdevices_vcs_model"><?php echo $tb_vcsdevices->vcs_model->FldCaption() ?></span></td>
		<td><span id="elh_tb_vcsdevices_plt_id" class="tb_vcsdevices_plt_id"><?php echo $tb_vcsdevices->plt_id->FldCaption() ?></span></td>
		<td><span id="elh_tb_vcsdevices_vcs_installroom" class="tb_vcsdevices_vcs_installroom"><?php echo $tb_vcsdevices->vcs_installroom->FldCaption() ?></span></td>
		<td><span id="elh_tb_vcsdevices_vcs_year" class="tb_vcsdevices_vcs_year"><?php echo $tb_vcsdevices->vcs_year->FldCaption() ?></span></td>
		<td><span id="elh_tb_vcsdevices_vcs_date_recieve" class="tb_vcsdevices_vcs_date_recieve"><?php echo $tb_vcsdevices->vcs_date_recieve->FldCaption() ?></span></td>
		<td><span id="elh_tb_vcsdevices_vcs_contract_date_start" class="tb_vcsdevices_vcs_contract_date_start"><?php echo $tb_vcsdevices->vcs_contract_date_start->FldCaption() ?></span></td>
		<td><span id="elh_tb_vcsdevices_vcs_warranty" class="tb_vcsdevices_vcs_warranty"><?php echo $tb_vcsdevices->vcs_warranty->FldCaption() ?></span></td>
		<td><span id="elh_tb_vcsdevices_cont_id" class="tb_vcsdevices_cont_id"><?php echo $tb_vcsdevices->cont_id->FldCaption() ?></span></td>
		<td><span id="elh_tb_vcsdevices_vcs_price" class="tb_vcsdevices_vcs_price"><?php echo $tb_vcsdevices->vcs_price->FldCaption() ?></span></td>
		<td><span id="elh_tb_vcsdevices_vcs_origin" class="tb_vcsdevices_vcs_origin"><?php echo $tb_vcsdevices->vcs_origin->FldCaption() ?></span></td>
		<td><span id="elh_tb_vcsdevices_vcs_present" class="tb_vcsdevices_vcs_present"><?php echo $tb_vcsdevices->vcs_present->FldCaption() ?></span></td>
		<td><span id="elh_tb_vcsdevices_vcs_comment" class="tb_vcsdevices_vcs_comment"><?php echo $tb_vcsdevices->vcs_comment->FldCaption() ?></span></td>
	</tr>
	</thead>
	<tbody>
<?php
$tb_vcsdevices_delete->RecCnt = 0;
$i = 0;
while (!$tb_vcsdevices_delete->Recordset->EOF) {
	$tb_vcsdevices_delete->RecCnt++;
	$tb_vcsdevices_delete->RowCnt++;

	// Set row properties
	$tb_vcsdevices->ResetAttrs();
	$tb_vcsdevices->RowType = EW_ROWTYPE_VIEW; // View

	// Get the field contents
	$tb_vcsdevices_delete->LoadRowValues($tb_vcsdevices_delete->Recordset);

	// Render row
	$tb_vcsdevices_delete->RenderRow();
?>
	<tr<?php echo $tb_vcsdevices->RowAttributes() ?>>
		<td<?php echo $tb_vcsdevices->vcs_id->CellAttributes() ?>><span id="el<?php echo $tb_vcsdevices_delete->RowCnt ?>_tb_vcsdevices_vcs_id" class="tb_vcsdevices_vcs_id">
<span<?php echo $tb_vcsdevices->vcs_id->ViewAttributes() ?>>
<?php echo $tb_vcsdevices->vcs_id->ListViewValue() ?></span>
</span></td>
		<td<?php echo $tb_vcsdevices->vcst_id->CellAttributes() ?>><span id="el<?php echo $tb_vcsdevices_delete->RowCnt ?>_tb_vcsdevices_vcst_id" class="tb_vcsdevices_vcst_id">
<span<?php echo $tb_vcsdevices->vcst_id->ViewAttributes() ?>>
<?php echo $tb_vcsdevices->vcst_id->ListViewValue() ?></span>
</span></td>
		<td<?php echo $tb_vcsdevices->court_id->CellAttributes() ?>><span id="el<?php echo $tb_vcsdevices_delete->RowCnt ?>_tb_vcsdevices_court_id" class="tb_vcsdevices_court_id">
<span<?php echo $tb_vcsdevices->court_id->ViewAttributes() ?>>
<?php echo $tb_vcsdevices->court_id->ListViewValue() ?></span>
</span></td>
		<td<?php echo $tb_vcsdevices->vcs_sn->CellAttributes() ?>><span id="el<?php echo $tb_vcsdevices_delete->RowCnt ?>_tb_vcsdevices_vcs_sn" class="tb_vcsdevices_vcs_sn">
<span<?php echo $tb_vcsdevices->vcs_sn->ViewAttributes() ?>>
<?php echo $tb_vcsdevices->vcs_sn->ListViewValue() ?></span>
</span></td>
		<td<?php echo $tb_vcsdevices->vcs_number->CellAttributes() ?>><span id="el<?php echo $tb_vcsdevices_delete->RowCnt ?>_tb_vcsdevices_vcs_number" class="tb_vcsdevices_vcs_number">
<span<?php echo $tb_vcsdevices->vcs_number->ViewAttributes() ?>>
<?php echo $tb_vcsdevices->vcs_number->ListViewValue() ?></span>
</span></td>
		<td<?php echo $tb_vcsdevices->vcs_brand->CellAttributes() ?>><span id="el<?php echo $tb_vcsdevices_delete->RowCnt ?>_tb_vcsdevices_vcs_brand" class="tb_vcsdevices_vcs_brand">
<span<?php echo $tb_vcsdevices->vcs_brand->ViewAttributes() ?>>
<?php echo $tb_vcsdevices->vcs_brand->ListViewValue() ?></span>
</span></td>
		<td<?php echo $tb_vcsdevices->vcs_model->CellAttributes() ?>><span id="el<?php echo $tb_vcsdevices_delete->RowCnt ?>_tb_vcsdevices_vcs_model" class="tb_vcsdevices_vcs_model">
<span<?php echo $tb_vcsdevices->vcs_model->ViewAttributes() ?>>
<?php echo $tb_vcsdevices->vcs_model->ListViewValue() ?></span>
</span></td>
		<td<?php echo $tb_vcsdevices->plt_id->CellAttributes() ?>><span id="el<?php echo $tb_vcsdevices_delete->RowCnt ?>_tb_vcsdevices_plt_id" class="tb_vcsdevices_plt_id">
<span<?php echo $tb_vcsdevices->plt_id->ViewAttributes() ?>>
<?php echo $tb_vcsdevices->plt_id->ListViewValue() ?></span>
</span></td>
		<td<?php echo $tb_vcsdevices->vcs_installroom->CellAttributes() ?>><span id="el<?php echo $tb_vcsdevices_delete->RowCnt ?>_tb_vcsdevices_vcs_installroom" class="tb_vcsdevices_vcs_installroom">
<span<?php echo $tb_vcsdevices->vcs_installroom->ViewAttributes() ?>>
<?php echo $tb_vcsdevices->vcs_installroom->ListViewValue() ?></span>
</span></td>
		<td<?php echo $tb_vcsdevices->vcs_year->CellAttributes() ?>><span id="el<?php echo $tb_vcsdevices_delete->RowCnt ?>_tb_vcsdevices_vcs_year" class="tb_vcsdevices_vcs_year">
<span<?php echo $tb_vcsdevices->vcs_year->ViewAttributes() ?>>
<?php echo $tb_vcsdevices->vcs_year->ListViewValue() ?></span>
</span></td>
		<td<?php echo $tb_vcsdevices->vcs_date_recieve->CellAttributes() ?>><span id="el<?php echo $tb_vcsdevices_delete->RowCnt ?>_tb_vcsdevices_vcs_date_recieve" class="tb_vcsdevices_vcs_date_recieve">
<span<?php echo $tb_vcsdevices->vcs_date_recieve->ViewAttributes() ?>>
<?php echo $tb_vcsdevices->vcs_date_recieve->ListViewValue() ?></span>
</span></td>
		<td<?php echo $tb_vcsdevices->vcs_contract_date_start->CellAttributes() ?>><span id="el<?php echo $tb_vcsdevices_delete->RowCnt ?>_tb_vcsdevices_vcs_contract_date_start" class="tb_vcsdevices_vcs_contract_date_start">
<span<?php echo $tb_vcsdevices->vcs_contract_date_start->ViewAttributes() ?>>
<?php echo $tb_vcsdevices->vcs_contract_date_start->ListViewValue() ?></span>
</span></td>
		<td<?php echo $tb_vcsdevices->vcs_warranty->CellAttributes() ?>><span id="el<?php echo $tb_vcsdevices_delete->RowCnt ?>_tb_vcsdevices_vcs_warranty" class="tb_vcsdevices_vcs_warranty">
<span<?php echo $tb_vcsdevices->vcs_warranty->ViewAttributes() ?>>
<?php echo $tb_vcsdevices->vcs_warranty->ListViewValue() ?></span>
</span></td>
		<td<?php echo $tb_vcsdevices->cont_id->CellAttributes() ?>><span id="el<?php echo $tb_vcsdevices_delete->RowCnt ?>_tb_vcsdevices_cont_id" class="tb_vcsdevices_cont_id">
<span<?php echo $tb_vcsdevices->cont_id->ViewAttributes() ?>>
<?php echo $tb_vcsdevices->cont_id->ListViewValue() ?></span>
</span></td>
		<td<?php echo $tb_vcsdevices->vcs_price->CellAttributes() ?>><span id="el<?php echo $tb_vcsdevices_delete->RowCnt ?>_tb_vcsdevices_vcs_price" class="tb_vcsdevices_vcs_price">
<span<?php echo $tb_vcsdevices->vcs_price->ViewAttributes() ?>>
<?php echo $tb_vcsdevices->vcs_price->ListViewValue() ?></span>
</span></td>
		<td<?php echo $tb_vcsdevices->vcs_origin->CellAttributes() ?>><span id="el<?php echo $tb_vcsdevices_delete->RowCnt ?>_tb_vcsdevices_vcs_origin" class="tb_vcsdevices_vcs_origin">
<span<?php echo $tb_vcsdevices->vcs_origin->ViewAttributes() ?>>
<?php echo $tb_vcsdevices->vcs_origin->ListViewValue() ?></span>
</span></td>
		<td<?php echo $tb_vcsdevices->vcs_present->CellAttributes() ?>><span id="el<?php echo $tb_vcsdevices_delete->RowCnt ?>_tb_vcsdevices_vcs_present" class="tb_vcsdevices_vcs_present">
<span<?php echo $tb_vcsdevices->vcs_present->ViewAttributes() ?>>
<?php echo $tb_vcsdevices->vcs_present->ListViewValue() ?></span>
</span></td>
		<td<?php echo $tb_vcsdevices->vcs_comment->CellAttributes() ?>><span id="el<?php echo $tb_vcsdevices_delete->RowCnt ?>_tb_vcsdevices_vcs_comment" class="tb_vcsdevices_vcs_comment">
<span<?php echo $tb_vcsdevices->vcs_comment->ViewAttributes() ?>>
<?php echo $tb_vcsdevices->vcs_comment->ListViewValue() ?></span>
</span></td>
	</tr>
<?php
	$tb_vcsdevices_delete->Recordset->MoveNext();
}
$tb_vcsdevices_delete->Recordset->Close();
?>
</tbody>
</table>
</div>
</td></tr></table>
<p>
<input type="submit" name="Action" value="<?php echo ew_BtnCaption($Language->Phrase("DeleteBtn")) ?>">
</form>
<script type="text/javascript">
ftb_vcsdevicesdelete.Init();
</script>
<?php
$tb_vcsdevices_delete->ShowPageFooter();
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
?>
<script type="text/javascript">

// Write your table-specific startup script here
// document.write("page loaded");

</script>
<?php include_once "footer.php" ?>
<?php
$tb_vcsdevices_delete->Page_Terminate();
?>
