<?php

// Global variable for table object
$tb_vcsdevices = NULL;

//
// Table class for tb_vcsdevices
//
class ctb_vcsdevices extends cTable {
	var $vcs_id;
	var $vcst_id;
	var $court_id;
	var $vcs_sn;
	var $vcs_number;
	var $vcs_brand;
	var $vcs_model;
	var $plt_id;
	var $vcs_installroom;
	var $vcs_year;
	var $vcs_date_recieve;
	var $vcs_contract_date_start;
	var $vcs_warranty;
	var $cont_id;
	var $vcs_price;
	var $vcs_origin;
	var $vcs_present;
	var $vcs_comment;

	//
	// Table class constructor
	//
	function __construct() {
		global $Language;

		// Language object
		if (!isset($Language)) $Language = new cLanguage();
		$this->TableVar = 'tb_vcsdevices';
		$this->TableName = 'tb_vcsdevices';
		$this->TableType = 'TABLE';
		$this->ExportAll = TRUE;
		$this->ExportPageBreakCount = 0; // Page break per every n record (PDF only)
		$this->ExportPageOrientation = "portrait"; // Page orientation (PDF only)
		$this->ExportPageSize = "a4"; // Page size (PDF only)
		$this->DetailAdd = FALSE; // Allow detail add
		$this->DetailEdit = FALSE; // Allow detail edit
		$this->GridAddRowCount = 5;
		$this->AllowAddDeleteRow = ew_AllowAddDeleteRow(); // Allow add/delete row

		// vcs_id
		$this->vcs_id = new cField('tb_vcsdevices', 'tb_vcsdevices', 'x_vcs_id', 'vcs_id', '`vcs_id`', '`vcs_id`', 200, -1, FALSE, '`vcs_id`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['vcs_id'] = &$this->vcs_id;

		// vcst_id
		$this->vcst_id = new cField('tb_vcsdevices', 'tb_vcsdevices', 'x_vcst_id', 'vcst_id', '`vcst_id`', '`vcst_id`', 200, -1, FALSE, '`vcst_id`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['vcst_id'] = &$this->vcst_id;

		// court_id
		$this->court_id = new cField('tb_vcsdevices', 'tb_vcsdevices', 'x_court_id', 'court_id', '`court_id`', '`court_id`', 200, -1, FALSE, '`court_id`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['court_id'] = &$this->court_id;

		// vcs_sn
		$this->vcs_sn = new cField('tb_vcsdevices', 'tb_vcsdevices', 'x_vcs_sn', 'vcs_sn', '`vcs_sn`', '`vcs_sn`', 200, -1, FALSE, '`vcs_sn`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['vcs_sn'] = &$this->vcs_sn;

		// vcs_number
		$this->vcs_number = new cField('tb_vcsdevices', 'tb_vcsdevices', 'x_vcs_number', 'vcs_number', '`vcs_number`', '`vcs_number`', 200, -1, FALSE, '`vcs_number`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['vcs_number'] = &$this->vcs_number;

		// vcs_brand
		$this->vcs_brand = new cField('tb_vcsdevices', 'tb_vcsdevices', 'x_vcs_brand', 'vcs_brand', '`vcs_brand`', '`vcs_brand`', 200, -1, FALSE, '`vcs_brand`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['vcs_brand'] = &$this->vcs_brand;

		// vcs_model
		$this->vcs_model = new cField('tb_vcsdevices', 'tb_vcsdevices', 'x_vcs_model', 'vcs_model', '`vcs_model`', '`vcs_model`', 200, -1, FALSE, '`vcs_model`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['vcs_model'] = &$this->vcs_model;

		// plt_id
		$this->plt_id = new cField('tb_vcsdevices', 'tb_vcsdevices', 'x_plt_id', 'plt_id', '`plt_id`', '`plt_id`', 200, -1, FALSE, '`plt_id`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['plt_id'] = &$this->plt_id;

		// vcs_installroom
		$this->vcs_installroom = new cField('tb_vcsdevices', 'tb_vcsdevices', 'x_vcs_installroom', 'vcs_installroom', '`vcs_installroom`', '`vcs_installroom`', 200, -1, FALSE, '`vcs_installroom`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['vcs_installroom'] = &$this->vcs_installroom;

		// vcs_year
		$this->vcs_year = new cField('tb_vcsdevices', 'tb_vcsdevices', 'x_vcs_year', 'vcs_year', '`vcs_year`', '`vcs_year`', 200, -1, FALSE, '`vcs_year`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['vcs_year'] = &$this->vcs_year;

		// vcs_date_recieve
		$this->vcs_date_recieve = new cField('tb_vcsdevices', 'tb_vcsdevices', 'x_vcs_date_recieve', 'vcs_date_recieve', '`vcs_date_recieve`', 'DATE_FORMAT(`vcs_date_recieve`, \'%Y/%m/%d %H:%i:%s\')', 133, 5, FALSE, '`vcs_date_recieve`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->vcs_date_recieve->FldDefaultErrMsg = str_replace("%s", "/", $Language->Phrase("IncorrectDateYMD"));
		$this->fields['vcs_date_recieve'] = &$this->vcs_date_recieve;

		// vcs_contract_date_start
		$this->vcs_contract_date_start = new cField('tb_vcsdevices', 'tb_vcsdevices', 'x_vcs_contract_date_start', 'vcs_contract_date_start', '`vcs_contract_date_start`', 'DATE_FORMAT(`vcs_contract_date_start`, \'%Y/%m/%d %H:%i:%s\')', 133, 5, FALSE, '`vcs_contract_date_start`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->vcs_contract_date_start->FldDefaultErrMsg = str_replace("%s", "/", $Language->Phrase("IncorrectDateYMD"));
		$this->fields['vcs_contract_date_start'] = &$this->vcs_contract_date_start;

		// vcs_warranty
		$this->vcs_warranty = new cField('tb_vcsdevices', 'tb_vcsdevices', 'x_vcs_warranty', 'vcs_warranty', '`vcs_warranty`', '`vcs_warranty`', 131, -1, FALSE, '`vcs_warranty`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->vcs_warranty->FldDefaultErrMsg = $Language->Phrase("IncorrectFloat");
		$this->fields['vcs_warranty'] = &$this->vcs_warranty;

		// cont_id
		$this->cont_id = new cField('tb_vcsdevices', 'tb_vcsdevices', 'x_cont_id', 'cont_id', '`cont_id`', '`cont_id`', 3, -1, FALSE, '`cont_id`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->cont_id->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['cont_id'] = &$this->cont_id;

		// vcs_price
		$this->vcs_price = new cField('tb_vcsdevices', 'tb_vcsdevices', 'x_vcs_price', 'vcs_price', '`vcs_price`', '`vcs_price`', 131, -1, FALSE, '`vcs_price`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->vcs_price->FldDefaultErrMsg = $Language->Phrase("IncorrectFloat");
		$this->fields['vcs_price'] = &$this->vcs_price;

		// vcs_origin
		$this->vcs_origin = new cField('tb_vcsdevices', 'tb_vcsdevices', 'x_vcs_origin', 'vcs_origin', '`vcs_origin`', '`vcs_origin`', 3, -1, FALSE, '`vcs_origin`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->vcs_origin->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['vcs_origin'] = &$this->vcs_origin;

		// vcs_present
		$this->vcs_present = new cField('tb_vcsdevices', 'tb_vcsdevices', 'x_vcs_present', 'vcs_present', '`vcs_present`', '`vcs_present`', 3, -1, FALSE, '`vcs_present`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->vcs_present->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['vcs_present'] = &$this->vcs_present;

		// vcs_comment
		$this->vcs_comment = new cField('tb_vcsdevices', 'tb_vcsdevices', 'x_vcs_comment', 'vcs_comment', '`vcs_comment`', '`vcs_comment`', 200, -1, FALSE, '`vcs_comment`', FALSE, FALSE, FALSE, 'FORMATTED TEXT');
		$this->fields['vcs_comment'] = &$this->vcs_comment;
	}

	// Single column sort
	function UpdateSort(&$ofld) {
		if ($this->CurrentOrder == $ofld->FldName) {
			$sSortField = $ofld->FldExpression;
			$sLastSort = $ofld->getSort();
			if ($this->CurrentOrderType == "ASC" || $this->CurrentOrderType == "DESC") {
				$sThisSort = $this->CurrentOrderType;
			} else {
				$sThisSort = ($sLastSort == "ASC") ? "DESC" : "ASC";
			}
			$ofld->setSort($sThisSort);
			$this->setSessionOrderBy($sSortField . " " . $sThisSort); // Save to Session
		} else {
			$ofld->setSort("");
		}
	}

	// Table level SQL
	function SqlFrom() { // From
		return "`tb_vcsdevices`";
	}

	function SqlSelect() { // Select
		return "SELECT * FROM " . $this->SqlFrom();
	}

	function SqlWhere() { // Where
		$sWhere = "";
		$this->TableFilter = "";
		ew_AddFilter($sWhere, $this->TableFilter);
		return $sWhere;
	}

	function SqlGroupBy() { // Group By
		return "";
	}

	function SqlHaving() { // Having
		return "";
	}

	function SqlOrderBy() { // Order By
		return "";
	}

	// Check if Anonymous User is allowed
	function AllowAnonymousUser() {
		switch (@$this->PageID) {
			case "add":
			case "register":
			case "addopt":
				return FALSE;
			case "edit":
			case "update":
			case "changepwd":
			case "forgotpwd":
				return FALSE;
			case "delete":
				return FALSE;
			case "view":
				return FALSE;
			case "search":
				return FALSE;
			default:
				return FALSE;
		}
	}

	// Apply User ID filters
	function ApplyUserIDFilters($sFilter) {
		return $sFilter;
	}

	// Check if User ID security allows view all
	function UserIDAllow($id = "") {
		return TRUE;
	}

	// Get SQL
	function GetSQL($where, $orderby) {
		return ew_BuildSelectSql($this->SqlSelect(), $this->SqlWhere(),
			$this->SqlGroupBy(), $this->SqlHaving(), $this->SqlOrderBy(),
			$where, $orderby);
	}

	// Table SQL
	function SQL() {
		$sFilter = $this->CurrentFilter;
		$sFilter = $this->ApplyUserIDFilters($sFilter);
		$sSort = $this->getSessionOrderBy();
		return ew_BuildSelectSql($this->SqlSelect(), $this->SqlWhere(),
			$this->SqlGroupBy(), $this->SqlHaving(), $this->SqlOrderBy(),
			$sFilter, $sSort);
	}

	// Table SQL with List page filter
	function SelectSQL() {
		$sFilter = $this->getSessionWhere();
		ew_AddFilter($sFilter, $this->CurrentFilter);
		$sFilter = $this->ApplyUserIDFilters($sFilter);
		$sSort = $this->getSessionOrderBy();
		return ew_BuildSelectSql($this->SqlSelect(), $this->SqlWhere(), $this->SqlGroupBy(),
			$this->SqlHaving(), $this->SqlOrderBy(), $sFilter, $sSort);
	}

	// Get ORDER BY clause
	function GetOrderBy() {
		$sSort = $this->getSessionOrderBy();
		return ew_BuildSelectSql("", "", "", "", $this->SqlOrderBy(), "", $sSort);
	}

	// Try to get record count
	function TryGetRecordCount($sSql) {
		global $conn;
		$cnt = -1;
		if ($this->TableType == 'TABLE' || $this->TableType == 'VIEW') {
			$sSql = "SELECT COUNT(*) FROM" . substr($sSql, 13);
			$sOrderBy = $this->GetOrderBy();
			if (substr($sSql, strlen($sOrderBy) * -1) == $sOrderBy)
				$sSql = substr($sSql, 0, strlen($sSql) - strlen($sOrderBy)); // Remove ORDER BY clause
		} else {
			$sSql = "SELECT COUNT(*) FROM (" . $sSql . ") EW_COUNT_TABLE";
		}
		if ($rs = $conn->Execute($sSql)) {
			if (!$rs->EOF && $rs->FieldCount() > 0) {
				$cnt = $rs->fields[0];
				$rs->Close();
			}
		}
		return intval($cnt);
	}

	// Get record count based on filter (for detail record count in master table pages)
	function LoadRecordCount($sFilter) {
		$origFilter = $this->CurrentFilter;
		$this->CurrentFilter = $sFilter;
		$this->Recordset_Selecting($this->CurrentFilter);

		//$sSql = $this->SQL();
		$sSql = $this->GetSQL($this->CurrentFilter, "");
		$cnt = $this->TryGetRecordCount($sSql);
		if ($cnt == -1) {
			if ($rs = $this->LoadRs($this->CurrentFilter)) {
				$cnt = $rs->RecordCount();
				$rs->Close();
			}
		}
		$this->CurrentFilter = $origFilter;
		return intval($cnt);
	}

	// Get record count (for current List page)
	function SelectRecordCount() {
		global $conn;
		$origFilter = $this->CurrentFilter;
		$this->Recordset_Selecting($this->CurrentFilter);
		$sSql = $this->SelectSQL();
		$cnt = $this->TryGetRecordCount($sSql);
		if ($cnt == -1) {
			if ($rs = $conn->Execute($sSql)) {
				$cnt = $rs->RecordCount();
				$rs->Close();
			}
		}
		$this->CurrentFilter = $origFilter;
		return intval($cnt);
	}

	// Update Table
	var $UpdateTable = "`tb_vcsdevices`";

	// INSERT statement
	function InsertSQL(&$rs) {
		global $conn;
		$names = "";
		$values = "";
		foreach ($rs as $name => $value) {
			if (!isset($this->fields[$name]))
				continue;
			$names .= $this->fields[$name]->FldExpression . ",";
			$values .= ew_QuotedValue($value, $this->fields[$name]->FldDataType) . ",";
		}
		while (substr($names, -1) == ",")
			$names = substr($names, 0, -1);
		while (substr($values, -1) == ",")
			$values = substr($values, 0, -1);
		return "INSERT INTO " . $this->UpdateTable . " ($names) VALUES ($values)";
	}

	// Insert
	function Insert(&$rs) {
		global $conn;
		return $conn->Execute($this->InsertSQL($rs));
	}

	// UPDATE statement
	function UpdateSQL(&$rs, $where = "") {
		$sql = "UPDATE " . $this->UpdateTable . " SET ";
		foreach ($rs as $name => $value) {
			if (!isset($this->fields[$name]))
				continue;
			$sql .= $this->fields[$name]->FldExpression . "=";
			$sql .= ew_QuotedValue($value, $this->fields[$name]->FldDataType) . ",";
		}
		while (substr($sql, -1) == ",")
			$sql = substr($sql, 0, -1);
		$filter = $this->CurrentFilter;
		ew_AddFilter($filter, $where);
		if ($filter <> "")	$sql .= " WHERE " . $filter;
		return $sql;
	}

	// Update
	function Update(&$rs, $where = "") {
		global $conn;
		return $conn->Execute($this->UpdateSQL($rs, $where));
	}

	// DELETE statement
	function DeleteSQL(&$rs, $where = "") {
		$sql = "DELETE FROM " . $this->UpdateTable . " WHERE ";
		if ($rs) {
			$sql .= ew_QuotedName('vcs_id') . '=' . ew_QuotedValue($rs['vcs_id'], $this->vcs_id->FldDataType) . ' AND ';
		}
		if (substr($sql, -5) == " AND ") $sql = substr($sql, 0, -5);
		$filter = $this->CurrentFilter;
		ew_AddFilter($filter, $where);
		if ($filter <> "")	$sql .= " AND " . $filter;
		return $sql;
	}

	// Delete
	function Delete(&$rs, $where = "") {
		global $conn;
		return $conn->Execute($this->DeleteSQL($rs, $where));
	}

	// Key filter WHERE clause
	function SqlKeyFilter() {
		return "`vcs_id` = '@vcs_id@'";
	}

	// Key filter
	function KeyFilter() {
		$sKeyFilter = $this->SqlKeyFilter();
		$sKeyFilter = str_replace("@vcs_id@", ew_AdjustSql($this->vcs_id->CurrentValue), $sKeyFilter); // Replace key value
		return $sKeyFilter;
	}

	// Return page URL
	function getReturnUrl() {
		$name = EW_PROJECT_NAME . "_" . $this->TableVar . "_" . EW_TABLE_RETURN_URL;

		// Get referer URL automatically
		if (ew_ServerVar("HTTP_REFERER") <> "" && ew_ReferPage() <> ew_CurrentPage() && ew_ReferPage() <> "login.php") // Referer not same page or login page
			$_SESSION[$name] = ew_ServerVar("HTTP_REFERER"); // Save to Session
		if (@$_SESSION[$name] <> "") {
			return $_SESSION[$name];
		} else {
			return "tb_vcsdeviceslist.php";
		}
	}

	function setReturnUrl($v) {
		$_SESSION[EW_PROJECT_NAME . "_" . $this->TableVar . "_" . EW_TABLE_RETURN_URL] = $v;
	}

	// List URL
	function GetListUrl() {
		return "tb_vcsdeviceslist.php";
	}

	// View URL
	function GetViewUrl() {
		return $this->KeyUrl("tb_vcsdevicesview.php", $this->UrlParm());
	}

	// Add URL
	function GetAddUrl() {
		return "tb_vcsdevicesadd.php";
	}

	// Edit URL
	function GetEditUrl($parm = "") {
		return $this->KeyUrl("tb_vcsdevicesedit.php", $this->UrlParm($parm));
	}

	// Inline edit URL
	function GetInlineEditUrl() {
		return $this->KeyUrl(ew_CurrentPage(), $this->UrlParm("a=edit"));
	}

	// Copy URL
	function GetCopyUrl($parm = "") {
		return $this->KeyUrl("tb_vcsdevicesadd.php", $this->UrlParm($parm));
	}

	// Inline copy URL
	function GetInlineCopyUrl() {
		return $this->KeyUrl(ew_CurrentPage(), $this->UrlParm("a=copy"));
	}

	// Delete URL
	function GetDeleteUrl() {
		return $this->KeyUrl("tb_vcsdevicesdelete.php", $this->UrlParm());
	}

	// Add key value to URL
	function KeyUrl($url, $parm = "") {
		$sUrl = $url . "?";
		if ($parm <> "") $sUrl .= $parm . "&";
		if (!is_null($this->vcs_id->CurrentValue)) {
			$sUrl .= "vcs_id=" . urlencode($this->vcs_id->CurrentValue);
		} else {
			return "javascript:alert(ewLanguage.Phrase('InvalidRecord'));";
		}
		return $sUrl;
	}

	// Sort URL
	function SortUrl(&$fld) {
		if ($this->CurrentAction <> "" || $this->Export <> "" ||
			in_array($fld->FldType, array(128, 204, 205))) { // Unsortable data type
				return "";
		} elseif ($fld->Sortable) {
			$sUrlParm = $this->UrlParm("order=" . urlencode($fld->FldName) . "&ordertype=" . $fld->ReverseSort());
			return ew_CurrentPage() . "?" . $sUrlParm;
		} else {
			return "";
		}
	}

	// Get record keys from $_POST/$_GET/$_SESSION
	function GetRecordKeys() {
		global $EW_COMPOSITE_KEY_SEPARATOR;
		$arKeys = array();
		$arKey = array();
		if (isset($_POST["key_m"])) {
			$arKeys = ew_StripSlashes($_POST["key_m"]);
			$cnt = count($arKeys);
		} elseif (isset($_GET["key_m"])) {
			$arKeys = ew_StripSlashes($_GET["key_m"]);
			$cnt = count($arKeys);
		} elseif (isset($_GET)) {
			$arKeys[] = @$_GET["vcs_id"]; // vcs_id

			//return $arKeys; // do not return yet, so the values will also be checked by the following code
		}

		// check keys
		$ar = array();
		foreach ($arKeys as $key) {
			$ar[] = $key;
		}
		return $ar;
	}

	// Get key filter
	function GetKeyFilter() {
		$arKeys = $this->GetRecordKeys();
		$sKeyFilter = "";
		foreach ($arKeys as $key) {
			if ($sKeyFilter <> "") $sKeyFilter .= " OR ";
			$this->vcs_id->CurrentValue = $key;
			$sKeyFilter .= "(" . $this->KeyFilter() . ")";
		}
		return $sKeyFilter;
	}

	// Load rows based on filter
	function &LoadRs($sFilter) {
		global $conn;

		// Set up filter (SQL WHERE clause) and get return SQL
		//$this->CurrentFilter = $sFilter;
		//$sSql = $this->SQL();

		$sSql = $this->GetSQL($sFilter, "");
		$rs = $conn->Execute($sSql);
		return $rs;
	}

	// Load row values from recordset
	function LoadListRowValues(&$rs) {
		$this->vcs_id->setDbValue($rs->fields('vcs_id'));
		$this->vcst_id->setDbValue($rs->fields('vcst_id'));
		$this->court_id->setDbValue($rs->fields('court_id'));
		$this->vcs_sn->setDbValue($rs->fields('vcs_sn'));
		$this->vcs_number->setDbValue($rs->fields('vcs_number'));
		$this->vcs_brand->setDbValue($rs->fields('vcs_brand'));
		$this->vcs_model->setDbValue($rs->fields('vcs_model'));
		$this->plt_id->setDbValue($rs->fields('plt_id'));
		$this->vcs_installroom->setDbValue($rs->fields('vcs_installroom'));
		$this->vcs_year->setDbValue($rs->fields('vcs_year'));
		$this->vcs_date_recieve->setDbValue($rs->fields('vcs_date_recieve'));
		$this->vcs_contract_date_start->setDbValue($rs->fields('vcs_contract_date_start'));
		$this->vcs_warranty->setDbValue($rs->fields('vcs_warranty'));
		$this->cont_id->setDbValue($rs->fields('cont_id'));
		$this->vcs_price->setDbValue($rs->fields('vcs_price'));
		$this->vcs_origin->setDbValue($rs->fields('vcs_origin'));
		$this->vcs_present->setDbValue($rs->fields('vcs_present'));
		$this->vcs_comment->setDbValue($rs->fields('vcs_comment'));
	}

	// Render list row values
	function RenderListRow() {
		global $conn, $Security;

		// Call Row Rendering event
		$this->Row_Rendering();

   // Common render codes
		// vcs_id
		// vcst_id
		// court_id
		// vcs_sn
		// vcs_number
		// vcs_brand
		// vcs_model
		// plt_id
		// vcs_installroom
		// vcs_year
		// vcs_date_recieve
		// vcs_contract_date_start
		// vcs_warranty
		// cont_id
		// vcs_price
		// vcs_origin
		// vcs_present
		// vcs_comment
		// vcs_id

		$this->vcs_id->ViewValue = $this->vcs_id->CurrentValue;
		$this->vcs_id->ViewCustomAttributes = "";

		// vcst_id
		$this->vcst_id->ViewValue = $this->vcst_id->CurrentValue;
		if (strval($this->vcst_id->CurrentValue) <> "") {
			$sFilterWrk = "`vcst_id`" . ew_SearchString("=", $this->vcst_id->CurrentValue, EW_DATATYPE_STRING);
		$sSqlWrk = "SELECT `vcst_id`, `vcst_name` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_vcsdevice_types`";
		$sWhereWrk = "";
		if ($sFilterWrk <> "") {
			ew_AddFilter($sWhereWrk, $sFilterWrk);
		}
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = $conn->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$this->vcst_id->ViewValue = $rswrk->fields('DispFld');
				$rswrk->Close();
			} else {
				$this->vcst_id->ViewValue = $this->vcst_id->CurrentValue;
			}
		} else {
			$this->vcst_id->ViewValue = NULL;
		}
		$this->vcst_id->ViewCustomAttributes = "";

		// court_id
		$this->court_id->ViewValue = $this->court_id->CurrentValue;
		$this->court_id->ViewCustomAttributes = "";

		// vcs_sn
		$this->vcs_sn->ViewValue = $this->vcs_sn->CurrentValue;
		$this->vcs_sn->ViewCustomAttributes = "";

		// vcs_number
		$this->vcs_number->ViewValue = $this->vcs_number->CurrentValue;
		$this->vcs_number->ViewCustomAttributes = "";

		// vcs_brand
		$this->vcs_brand->ViewValue = $this->vcs_brand->CurrentValue;
		$this->vcs_brand->ViewCustomAttributes = "";

		// vcs_model
		$this->vcs_model->ViewValue = $this->vcs_model->CurrentValue;
		$this->vcs_model->ViewCustomAttributes = "";

		// plt_id
		$this->plt_id->ViewValue = $this->plt_id->CurrentValue;
		if (strval($this->plt_id->CurrentValue) <> "") {
			$sFilterWrk = "`plt_id`" . ew_SearchString("=", $this->plt_id->CurrentValue, EW_DATATYPE_STRING);
		$sSqlWrk = "SELECT `plt_id`, `plt_name` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_place_types`";
		$sWhereWrk = "";
		if ($sFilterWrk <> "") {
			ew_AddFilter($sWhereWrk, $sFilterWrk);
		}
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = $conn->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$this->plt_id->ViewValue = $rswrk->fields('DispFld');
				$rswrk->Close();
			} else {
				$this->plt_id->ViewValue = $this->plt_id->CurrentValue;
			}
		} else {
			$this->plt_id->ViewValue = NULL;
		}
		$this->plt_id->ViewCustomAttributes = "";

		// vcs_installroom
		$this->vcs_installroom->ViewValue = $this->vcs_installroom->CurrentValue;
		$this->vcs_installroom->ViewCustomAttributes = "";

		// vcs_year
		$this->vcs_year->ViewValue = $this->vcs_year->CurrentValue;
		$this->vcs_year->ViewCustomAttributes = "";

		// vcs_date_recieve
		$this->vcs_date_recieve->ViewValue = $this->vcs_date_recieve->CurrentValue;
		$this->vcs_date_recieve->ViewValue = ew_FormatDateTime($this->vcs_date_recieve->ViewValue, 5);
		$this->vcs_date_recieve->ViewCustomAttributes = "";

		// vcs_contract_date_start
		$this->vcs_contract_date_start->ViewValue = $this->vcs_contract_date_start->CurrentValue;
		$this->vcs_contract_date_start->ViewValue = ew_FormatDateTime($this->vcs_contract_date_start->ViewValue, 5);
		$this->vcs_contract_date_start->ViewCustomAttributes = "";

		// vcs_warranty
		$this->vcs_warranty->ViewValue = $this->vcs_warranty->CurrentValue;
		$this->vcs_warranty->ViewCustomAttributes = "";

		// cont_id
		$this->cont_id->ViewValue = $this->cont_id->CurrentValue;
		if (strval($this->cont_id->CurrentValue) <> "") {
			$sFilterWrk = "`cont_id`" . ew_SearchString("=", $this->cont_id->CurrentValue, EW_DATATYPE_NUMBER);
		$sSqlWrk = "SELECT `cont_id`, `cont_num` AS `DispFld`, `cont_project` AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tb_contracts`";
		$sWhereWrk = "";
		if ($sFilterWrk <> "") {
			ew_AddFilter($sWhereWrk, $sFilterWrk);
		}
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = $conn->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$this->cont_id->ViewValue = $rswrk->fields('DispFld');
				$this->cont_id->ViewValue .= ew_ValueSeparator(1,$this->cont_id) . $rswrk->fields('Disp2Fld');
				$rswrk->Close();
			} else {
				$this->cont_id->ViewValue = $this->cont_id->CurrentValue;
			}
		} else {
			$this->cont_id->ViewValue = NULL;
		}
		$this->cont_id->ViewCustomAttributes = "";

		// vcs_price
		$this->vcs_price->ViewValue = $this->vcs_price->CurrentValue;
		$this->vcs_price->ViewCustomAttributes = "";

		// vcs_origin
		if (strval($this->vcs_origin->CurrentValue) <> "") {
			switch ($this->vcs_origin->CurrentValue) {
				case $this->vcs_origin->FldTagValue(1):
					$this->vcs_origin->ViewValue = $this->vcs_origin->FldTagCaption(1) <> "" ? $this->vcs_origin->FldTagCaption(1) : $this->vcs_origin->CurrentValue;
					break;
				case $this->vcs_origin->FldTagValue(2):
					$this->vcs_origin->ViewValue = $this->vcs_origin->FldTagCaption(2) <> "" ? $this->vcs_origin->FldTagCaption(2) : $this->vcs_origin->CurrentValue;
					break;
				case $this->vcs_origin->FldTagValue(3):
					$this->vcs_origin->ViewValue = $this->vcs_origin->FldTagCaption(3) <> "" ? $this->vcs_origin->FldTagCaption(3) : $this->vcs_origin->CurrentValue;
					break;
				case $this->vcs_origin->FldTagValue(4):
					$this->vcs_origin->ViewValue = $this->vcs_origin->FldTagCaption(4) <> "" ? $this->vcs_origin->FldTagCaption(4) : $this->vcs_origin->CurrentValue;
					break;
				default:
					$this->vcs_origin->ViewValue = $this->vcs_origin->CurrentValue;
			}
		} else {
			$this->vcs_origin->ViewValue = NULL;
		}
		$this->vcs_origin->ViewCustomAttributes = "";

		// vcs_present
		if (strval($this->vcs_present->CurrentValue) <> "") {
			switch ($this->vcs_present->CurrentValue) {
				case $this->vcs_present->FldTagValue(1):
					$this->vcs_present->ViewValue = $this->vcs_present->FldTagCaption(1) <> "" ? $this->vcs_present->FldTagCaption(1) : $this->vcs_present->CurrentValue;
					break;
				case $this->vcs_present->FldTagValue(2):
					$this->vcs_present->ViewValue = $this->vcs_present->FldTagCaption(2) <> "" ? $this->vcs_present->FldTagCaption(2) : $this->vcs_present->CurrentValue;
					break;
				case $this->vcs_present->FldTagValue(3):
					$this->vcs_present->ViewValue = $this->vcs_present->FldTagCaption(3) <> "" ? $this->vcs_present->FldTagCaption(3) : $this->vcs_present->CurrentValue;
					break;
				case $this->vcs_present->FldTagValue(4):
					$this->vcs_present->ViewValue = $this->vcs_present->FldTagCaption(4) <> "" ? $this->vcs_present->FldTagCaption(4) : $this->vcs_present->CurrentValue;
					break;
				case $this->vcs_present->FldTagValue(5):
					$this->vcs_present->ViewValue = $this->vcs_present->FldTagCaption(5) <> "" ? $this->vcs_present->FldTagCaption(5) : $this->vcs_present->CurrentValue;
					break;
				case $this->vcs_present->FldTagValue(6):
					$this->vcs_present->ViewValue = $this->vcs_present->FldTagCaption(6) <> "" ? $this->vcs_present->FldTagCaption(6) : $this->vcs_present->CurrentValue;
					break;
				default:
					$this->vcs_present->ViewValue = $this->vcs_present->CurrentValue;
			}
		} else {
			$this->vcs_present->ViewValue = NULL;
		}
		$this->vcs_present->ViewCustomAttributes = "";

		// vcs_comment
		$this->vcs_comment->ViewValue = $this->vcs_comment->CurrentValue;
		$this->vcs_comment->ViewCustomAttributes = "";

		// vcs_id
		$this->vcs_id->LinkCustomAttributes = "";
		$this->vcs_id->HrefValue = "";
		$this->vcs_id->TooltipValue = "";

		// vcst_id
		$this->vcst_id->LinkCustomAttributes = "";
		$this->vcst_id->HrefValue = "";
		$this->vcst_id->TooltipValue = "";

		// court_id
		$this->court_id->LinkCustomAttributes = "";
		$this->court_id->HrefValue = "";
		$this->court_id->TooltipValue = "";

		// vcs_sn
		$this->vcs_sn->LinkCustomAttributes = "";
		$this->vcs_sn->HrefValue = "";
		$this->vcs_sn->TooltipValue = "";

		// vcs_number
		$this->vcs_number->LinkCustomAttributes = "";
		$this->vcs_number->HrefValue = "";
		$this->vcs_number->TooltipValue = "";

		// vcs_brand
		$this->vcs_brand->LinkCustomAttributes = "";
		$this->vcs_brand->HrefValue = "";
		$this->vcs_brand->TooltipValue = "";

		// vcs_model
		$this->vcs_model->LinkCustomAttributes = "";
		$this->vcs_model->HrefValue = "";
		$this->vcs_model->TooltipValue = "";

		// plt_id
		$this->plt_id->LinkCustomAttributes = "";
		$this->plt_id->HrefValue = "";
		$this->plt_id->TooltipValue = "";

		// vcs_installroom
		$this->vcs_installroom->LinkCustomAttributes = "";
		$this->vcs_installroom->HrefValue = "";
		$this->vcs_installroom->TooltipValue = "";

		// vcs_year
		$this->vcs_year->LinkCustomAttributes = "";
		$this->vcs_year->HrefValue = "";
		$this->vcs_year->TooltipValue = "";

		// vcs_date_recieve
		$this->vcs_date_recieve->LinkCustomAttributes = "";
		$this->vcs_date_recieve->HrefValue = "";
		$this->vcs_date_recieve->TooltipValue = "";

		// vcs_contract_date_start
		$this->vcs_contract_date_start->LinkCustomAttributes = "";
		$this->vcs_contract_date_start->HrefValue = "";
		$this->vcs_contract_date_start->TooltipValue = "";

		// vcs_warranty
		$this->vcs_warranty->LinkCustomAttributes = "";
		$this->vcs_warranty->HrefValue = "";
		$this->vcs_warranty->TooltipValue = "";

		// cont_id
		$this->cont_id->LinkCustomAttributes = "";
		$this->cont_id->HrefValue = "";
		$this->cont_id->TooltipValue = "";

		// vcs_price
		$this->vcs_price->LinkCustomAttributes = "";
		$this->vcs_price->HrefValue = "";
		$this->vcs_price->TooltipValue = "";

		// vcs_origin
		$this->vcs_origin->LinkCustomAttributes = "";
		$this->vcs_origin->HrefValue = "";
		$this->vcs_origin->TooltipValue = "";

		// vcs_present
		$this->vcs_present->LinkCustomAttributes = "";
		$this->vcs_present->HrefValue = "";
		$this->vcs_present->TooltipValue = "";

		// vcs_comment
		$this->vcs_comment->LinkCustomAttributes = "";
		$this->vcs_comment->HrefValue = "";
		$this->vcs_comment->TooltipValue = "";

		// Call Row Rendered event
		$this->Row_Rendered();
	}

	// Aggregate list row values
	function AggregateListRowValues() {
	}

	// Aggregate list row (for rendering)
	function AggregateListRow() {
	}

	// Export data in HTML/CSV/Word/Excel/Email/PDF format
	function ExportDocument(&$Doc, &$Recordset, $StartRec, $StopRec, $ExportPageType = "") {
		if (!$Recordset || !$Doc)
			return;

		// Write header
		$Doc->ExportTableHeader();
		if ($Doc->Horizontal) { // Horizontal format, write header
			$Doc->BeginExportRow();
			if ($ExportPageType == "view") {
				$Doc->ExportCaption($this->vcs_id);
				$Doc->ExportCaption($this->vcst_id);
				$Doc->ExportCaption($this->court_id);
				$Doc->ExportCaption($this->vcs_sn);
				$Doc->ExportCaption($this->vcs_number);
				$Doc->ExportCaption($this->vcs_brand);
				$Doc->ExportCaption($this->vcs_model);
				$Doc->ExportCaption($this->plt_id);
				$Doc->ExportCaption($this->vcs_installroom);
				$Doc->ExportCaption($this->vcs_year);
				$Doc->ExportCaption($this->vcs_date_recieve);
				$Doc->ExportCaption($this->vcs_contract_date_start);
				$Doc->ExportCaption($this->vcs_warranty);
				$Doc->ExportCaption($this->cont_id);
				$Doc->ExportCaption($this->vcs_price);
				$Doc->ExportCaption($this->vcs_origin);
				$Doc->ExportCaption($this->vcs_present);
				$Doc->ExportCaption($this->vcs_comment);
			} else {
				$Doc->ExportCaption($this->vcs_id);
				$Doc->ExportCaption($this->vcst_id);
				$Doc->ExportCaption($this->court_id);
				$Doc->ExportCaption($this->vcs_sn);
				$Doc->ExportCaption($this->vcs_number);
				$Doc->ExportCaption($this->vcs_brand);
				$Doc->ExportCaption($this->vcs_model);
				$Doc->ExportCaption($this->plt_id);
				$Doc->ExportCaption($this->vcs_installroom);
				$Doc->ExportCaption($this->vcs_year);
				$Doc->ExportCaption($this->vcs_date_recieve);
				$Doc->ExportCaption($this->vcs_contract_date_start);
				$Doc->ExportCaption($this->vcs_warranty);
				$Doc->ExportCaption($this->cont_id);
				$Doc->ExportCaption($this->vcs_price);
				$Doc->ExportCaption($this->vcs_origin);
				$Doc->ExportCaption($this->vcs_present);
				$Doc->ExportCaption($this->vcs_comment);
			}
			$Doc->EndExportRow();
		}

		// Move to first record
		$RecCnt = $StartRec - 1;
		if (!$Recordset->EOF) {
			$Recordset->MoveFirst();
			if ($StartRec > 1)
				$Recordset->Move($StartRec - 1);
		}
		while (!$Recordset->EOF && $RecCnt < $StopRec) {
			$RecCnt++;
			if (intval($RecCnt) >= intval($StartRec)) {
				$RowCnt = intval($RecCnt) - intval($StartRec) + 1;

				// Page break
				if ($this->ExportPageBreakCount > 0) {
					if ($RowCnt > 1 && ($RowCnt - 1) % $this->ExportPageBreakCount == 0)
						$Doc->ExportPageBreak();
				}
				$this->LoadListRowValues($Recordset);

				// Render row
				$this->RowType = EW_ROWTYPE_VIEW; // Render view
				$this->ResetAttrs();
				$this->RenderListRow();
				$Doc->BeginExportRow($RowCnt); // Allow CSS styles if enabled
				if ($ExportPageType == "view") {
					$Doc->ExportField($this->vcs_id);
					$Doc->ExportField($this->vcst_id);
					$Doc->ExportField($this->court_id);
					$Doc->ExportField($this->vcs_sn);
					$Doc->ExportField($this->vcs_number);
					$Doc->ExportField($this->vcs_brand);
					$Doc->ExportField($this->vcs_model);
					$Doc->ExportField($this->plt_id);
					$Doc->ExportField($this->vcs_installroom);
					$Doc->ExportField($this->vcs_year);
					$Doc->ExportField($this->vcs_date_recieve);
					$Doc->ExportField($this->vcs_contract_date_start);
					$Doc->ExportField($this->vcs_warranty);
					$Doc->ExportField($this->cont_id);
					$Doc->ExportField($this->vcs_price);
					$Doc->ExportField($this->vcs_origin);
					$Doc->ExportField($this->vcs_present);
					$Doc->ExportField($this->vcs_comment);
				} else {
					$Doc->ExportField($this->vcs_id);
					$Doc->ExportField($this->vcst_id);
					$Doc->ExportField($this->court_id);
					$Doc->ExportField($this->vcs_sn);
					$Doc->ExportField($this->vcs_number);
					$Doc->ExportField($this->vcs_brand);
					$Doc->ExportField($this->vcs_model);
					$Doc->ExportField($this->plt_id);
					$Doc->ExportField($this->vcs_installroom);
					$Doc->ExportField($this->vcs_year);
					$Doc->ExportField($this->vcs_date_recieve);
					$Doc->ExportField($this->vcs_contract_date_start);
					$Doc->ExportField($this->vcs_warranty);
					$Doc->ExportField($this->cont_id);
					$Doc->ExportField($this->vcs_price);
					$Doc->ExportField($this->vcs_origin);
					$Doc->ExportField($this->vcs_present);
					$Doc->ExportField($this->vcs_comment);
				}
				$Doc->EndExportRow();
			}
			$Recordset->MoveNext();
		}
		$Doc->ExportTableFooter();
	}

	// Table level events
	// Recordset Selecting event
	function Recordset_Selecting(&$filter) {

		// Enter your code here	
	}

	// Recordset Selected event
	function Recordset_Selected(&$rs) {

		//echo "Recordset Selected";
	}

	// Recordset Search Validated event
	function Recordset_SearchValidated() {

		// Example:
		//$this->MyField1->AdvancedSearch->SearchValue = "your search criteria"; // Search value

	}

	// Recordset Searching event
	function Recordset_Searching(&$filter) {

		// Enter your code here	
	}

	// Row_Selecting event
	function Row_Selecting(&$filter) {

		// Enter your code here	
	}

	// Row Selected event
	function Row_Selected(&$rs) {

		//echo "Row Selected";
	}

	// Row Inserting event
	function Row_Inserting($rsold, &$rsnew) {

		// Enter your code here
		// To cancel, set return value to FALSE

		return TRUE;
	}

	// Row Inserted event
	function Row_Inserted($rsold, &$rsnew) {

		//echo "Row Inserted"
	}

	// Row Updating event
	function Row_Updating($rsold, &$rsnew) {

		// Enter your code here
		// To cancel, set return value to FALSE

		return TRUE;
	}

	// Row Updated event
	function Row_Updated($rsold, &$rsnew) {

		//echo "Row Updated";
	}

	// Row Update Conflict event
	function Row_UpdateConflict($rsold, &$rsnew) {

		// Enter your code here
		// To ignore conflict, set return value to FALSE

		return TRUE;
	}

	// Row Deleting event
	function Row_Deleting(&$rs) {

		// Enter your code here
		// To cancel, set return value to False

		return TRUE;
	}

	// Row Deleted event
	function Row_Deleted(&$rs) {

		//echo "Row Deleted";
	}

	// Email Sending event
	function Email_Sending(&$Email, &$Args) {

		//var_dump($Email); var_dump($Args); exit();
		return TRUE;
	}

	// Row Rendering event
	function Row_Rendering() {

		// Enter your code here	
	}

	// Row Rendered event
	function Row_Rendered() {

		// To view properties of field class, use:
		//var_dump($this-><FieldName>); 

	}

	// User ID Filtering event
	function UserID_Filtering(&$filter) {

		// Enter your code here
	}
}
?>
